import { Component, h, Prop, State } from '@stencil/core';
export class QuickomChat {
  constructor() {
    this.domain = 'https://quickom-demo.web.app';
    this.backgroundColor = '#176DFA';
    this.chatAccount = null;
    this.chatWithAccount = null;
    this.isOpen = false;
    this.isOpenned = false;
  }
  toggleButton() {
    this.isOpen = !this.isOpen;
  }
  onVisible(ev) {
    this.isOpen = ev.detail;
  }
  render() {
    this.isOpenned = this.isOpenned || this.isOpen;
    return (h("div", { class: {
        'sm:absolute': this.isOpen,
        'absolute': !this.isOpen,
      }, style: {
        bottom: 'var(--widget-position-bottom, initial)',
        right: 'var(--widget-position-right, initial)',
        top: 'var(--widget-position-top, initial)',
        left: 'var(--widget-position-left, initial)',
      } },
      h("div", { class: "relative", style: { '--chat-head-bg-color': this.backgroundColor } },
        this.isOpenned ? h("div", { class: {
            'w-screen h-screen sm:w-auto sm:h-auto chat-box-container': true,
            'hidden': !this.isOpen,
          } },
          h("quickom-chat-iframe", { domain: this.domain, chatAccount: this.chatAccount, chatWithAccount: this.chatWithAccount, onVisible: ev => this.onVisible(ev) })) : '',
        h("div", { class: { 'text-right': true, 'hidden sm:block mt-2': this.isOpen } },
          h("button", { class: "bubble rounded-full inline-flex items-center text-white justify-center shadow focus:outline-none", onClick: () => this.toggleButton() },
            h("svg", { width: "29", height: "29", viewBox: "0 0 29 29", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
              h("g", { "clip-path": "url(#speech-bubble-clip0)" },
                h("path", { d: "M4.40347 26.8813H2.39927L3.81644 25.4641C4.58057 24.7 5.05774 23.7061 5.18602 22.628C1.91374 20.4805 0.285156 17.3696 0.285156 14.1082C0.285156 8.09135 5.81522 1.97681 14.4759 1.97681C23.651 1.97681 28.5709 7.60333 28.5709 13.5811C28.5709 19.5982 23.5991 25.221 14.4759 25.221C12.8778 25.221 11.2101 25.0076 9.72124 24.6162C8.31181 26.0618 6.40213 26.8813 4.40347 26.8813Z", fill: "currentColor" })),
              h("defs", null,
                h("clipPath", { id: "speech-bubble-clip0" },
                  h("rect", { width: "28.2857", height: "28.2857", fill: "currentColor", transform: "translate(0.285156 0.285645)" })))))))));
  }
  static get is() { return "quickom-chat"; }
  static get originalStyleUrls() { return {
    "$": ["quickom-chat.styl"]
  }; }
  static get styleUrls() { return {
    "$": ["quickom-chat.css"]
  }; }
  static get properties() { return {
    "domain": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "domain",
      "reflect": false,
      "defaultValue": "'https://quickom-demo.web.app'"
    },
    "backgroundColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "background-color",
      "reflect": false,
      "defaultValue": "'#176DFA'"
    },
    "chatAccount": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "ChatAccount",
        "resolved": "ChatAccount",
        "references": {
          "ChatAccount": {
            "location": "import",
            "path": "../../dtos/chatAccount"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "defaultValue": "null"
    },
    "chatWithAccount": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "ChatWithAccount",
        "resolved": "ChatWithAccount",
        "references": {
          "ChatWithAccount": {
            "location": "import",
            "path": "../../dtos/chatWithAccount"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "defaultValue": "null"
    }
  }; }
  static get states() { return {
    "isOpen": {}
  }; }
}
