import { h, createEvent, attachShadow, proxyCustomElement } from '@stencil/core/internal/client';
export { setAssetPath } from '@stencil/core/internal/client';

const globalScripts = () => {};

const quickomChatCss = "/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */html{line-height:1.15;-webkit-text-size-adjust:100%;}body{margin:0}main{display:block}h1{font-size:2em;margin:0.67em 0}hr{-webkit-box-sizing:content-box;box-sizing:content-box;height:0;overflow:visible;}pre{font-family:monospace, monospace;font-size:1em;}a{background-color:transparent}abbr[title]{border-bottom:none;text-decoration:underline;-webkit-text-decoration:underline dotted;text-decoration:underline dotted;}b,strong{font-weight:bolder}code,kbd,samp{font-family:monospace, monospace;font-size:1em;}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-0.25em}sup{top:-0.5em}img{border-style:none}button,input,optgroup,select,textarea{font-family:inherit;font-size:100%;line-height:1.15;margin:0;}button,input{overflow:visible}button,select{text-transform:none}button,[type=\"button\"],[type=\"reset\"],[type=\"submit\"]{-webkit-appearance:button}button::-moz-focus-inner,[type=\"button\"]::-moz-focus-inner,[type=\"reset\"]::-moz-focus-inner,[type=\"submit\"]::-moz-focus-inner{border-style:none;padding:0}button:-moz-focusring,[type=\"button\"]:-moz-focusring,[type=\"reset\"]:-moz-focusring,[type=\"submit\"]:-moz-focusring{outline:1px dotted ButtonText}fieldset{padding:0.35em 0.75em 0.625em}legend{-webkit-box-sizing:border-box;box-sizing:border-box;color:inherit;display:table;max-width:100%;padding:0;white-space:normal;}progress{vertical-align:baseline}textarea{overflow:auto}[type=\"checkbox\"],[type=\"radio\"]{-webkit-box-sizing:border-box;box-sizing:border-box;padding:0;}[type=\"number\"]::-webkit-inner-spin-button,[type=\"number\"]::-webkit-outer-spin-button{height:auto}[type=\"search\"]{-webkit-appearance:textfield;outline-offset:-2px;}[type=\"search\"]::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit;}details{display:block}summary{display:list-item}template{display:none}[hidden]{display:none}blockquote,dl,dd,h1,h2,h3,h4,h5,h6,hr,figure,p,pre{margin:0}button{background-color:transparent;background-image:none}button:focus{outline:1px dotted;outline:5px auto -webkit-focus-ring-color}fieldset{margin:0;padding:0}ol,ul{list-style:none;margin:0;padding:0}html{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";line-height:1.5;}*,::before,::after{-webkit-box-sizing:border-box;box-sizing:border-box;border-width:0;border-style:solid;border-color:#e2e8f0;}hr{border-top-width:1px}img{border-style:solid}textarea{resize:vertical}input::-webkit-input-placeholder,textarea::-webkit-input-placeholder{color:#a0aec0}input::-moz-placeholder,textarea::-moz-placeholder{color:#a0aec0}input:-ms-input-placeholder,textarea:-ms-input-placeholder{color:#a0aec0}input::-ms-input-placeholder,textarea::-ms-input-placeholder{color:#a0aec0}input::placeholder,textarea::placeholder{color:#a0aec0}button,[role=\"button\"]{cursor:pointer}table{border-collapse:collapse}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}button,input,optgroup,select,textarea{padding:0;line-height:inherit;color:inherit}pre,code,kbd,samp{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}img,svg,video,canvas,audio,iframe,embed,object{display:block;vertical-align:middle}img,video{max-width:100%;height:auto}.container{width:100%}@media (min-width: 640px){.container{max-width:640px}}@media (min-width: 768px){.container{max-width:768px}}@media (min-width: 1024px){.container{max-width:1024px}}@media (min-width: 1280px){.container{max-width:1280px}}.space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.divide-transparent>:not(template)~:not(template){border-color:transparent}.divide-current>:not(template)~:not(template){border-color:currentColor}.divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.divide-solid>:not(template)~:not(template){border-style:solid}.divide-dashed>:not(template)~:not(template){border-style:dashed}.divide-dotted>:not(template)~:not(template){border-style:dotted}.divide-double>:not(template)~:not(template){border-style:double}.divide-none>:not(template)~:not(template){border-style:none}.divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.bg-fixed{background-attachment:fixed}.bg-local{background-attachment:local}.bg-scroll{background-attachment:scroll}.bg-clip-border{background-clip:border-box}.bg-clip-padding{background-clip:padding-box}.bg-clip-content{background-clip:content-box}.bg-clip-text{-webkit-background-clip:text;background-clip:text}.bg-transparent{background-color:transparent}.bg-current{background-color:currentColor}.bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.hover\\:bg-transparent:hover{background-color:transparent}.hover\\:bg-current:hover{background-color:currentColor}.hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.focus\\:bg-transparent:focus{background-color:transparent}.focus\\:bg-current:focus{background-color:currentColor}.focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.bg-none{background-image:none}.bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.to-transparent{--gradient-to-color:transparent}.to-current{--gradient-to-color:currentColor}.to-black{--gradient-to-color:#000}.to-white{--gradient-to-color:#fff}.to-gray-100{--gradient-to-color:#f7fafc}.to-gray-200{--gradient-to-color:#edf2f7}.to-gray-300{--gradient-to-color:#e2e8f0}.to-gray-400{--gradient-to-color:#cbd5e0}.to-gray-500{--gradient-to-color:#a0aec0}.to-gray-600{--gradient-to-color:#718096}.to-gray-700{--gradient-to-color:#4a5568}.to-gray-800{--gradient-to-color:#2d3748}.to-gray-900{--gradient-to-color:#1a202c}.to-red-100{--gradient-to-color:#fff5f5}.to-red-200{--gradient-to-color:#fed7d7}.to-red-300{--gradient-to-color:#feb2b2}.to-red-400{--gradient-to-color:#fc8181}.to-red-500{--gradient-to-color:#f56565}.to-red-600{--gradient-to-color:#e53e3e}.to-red-700{--gradient-to-color:#c53030}.to-red-800{--gradient-to-color:#9b2c2c}.to-red-900{--gradient-to-color:#742a2a}.to-orange-100{--gradient-to-color:#fffaf0}.to-orange-200{--gradient-to-color:#feebc8}.to-orange-300{--gradient-to-color:#fbd38d}.to-orange-400{--gradient-to-color:#f6ad55}.to-orange-500{--gradient-to-color:#ed8936}.to-orange-600{--gradient-to-color:#dd6b20}.to-orange-700{--gradient-to-color:#c05621}.to-orange-800{--gradient-to-color:#9c4221}.to-orange-900{--gradient-to-color:#7b341e}.to-yellow-100{--gradient-to-color:#fffff0}.to-yellow-200{--gradient-to-color:#fefcbf}.to-yellow-300{--gradient-to-color:#faf089}.to-yellow-400{--gradient-to-color:#f6e05e}.to-yellow-500{--gradient-to-color:#ecc94b}.to-yellow-600{--gradient-to-color:#d69e2e}.to-yellow-700{--gradient-to-color:#b7791f}.to-yellow-800{--gradient-to-color:#975a16}.to-yellow-900{--gradient-to-color:#744210}.to-green-100{--gradient-to-color:#f0fff4}.to-green-200{--gradient-to-color:#c6f6d5}.to-green-300{--gradient-to-color:#9ae6b4}.to-green-400{--gradient-to-color:#68d391}.to-green-500{--gradient-to-color:#48bb78}.to-green-600{--gradient-to-color:#38a169}.to-green-700{--gradient-to-color:#2f855a}.to-green-800{--gradient-to-color:#276749}.to-green-900{--gradient-to-color:#22543d}.to-teal-100{--gradient-to-color:#e6fffa}.to-teal-200{--gradient-to-color:#b2f5ea}.to-teal-300{--gradient-to-color:#81e6d9}.to-teal-400{--gradient-to-color:#4fd1c5}.to-teal-500{--gradient-to-color:#38b2ac}.to-teal-600{--gradient-to-color:#319795}.to-teal-700{--gradient-to-color:#2c7a7b}.to-teal-800{--gradient-to-color:#285e61}.to-teal-900{--gradient-to-color:#234e52}.to-blue-100{--gradient-to-color:#ebf8ff}.to-blue-200{--gradient-to-color:#bee3f8}.to-blue-300{--gradient-to-color:#90cdf4}.to-blue-400{--gradient-to-color:#63b3ed}.to-blue-500{--gradient-to-color:#4299e1}.to-blue-600{--gradient-to-color:#3182ce}.to-blue-700{--gradient-to-color:#2b6cb0}.to-blue-800{--gradient-to-color:#2c5282}.to-blue-900{--gradient-to-color:#2a4365}.to-indigo-100{--gradient-to-color:#ebf4ff}.to-indigo-200{--gradient-to-color:#c3dafe}.to-indigo-300{--gradient-to-color:#a3bffa}.to-indigo-400{--gradient-to-color:#7f9cf5}.to-indigo-500{--gradient-to-color:#667eea}.to-indigo-600{--gradient-to-color:#5a67d8}.to-indigo-700{--gradient-to-color:#4c51bf}.to-indigo-800{--gradient-to-color:#434190}.to-indigo-900{--gradient-to-color:#3c366b}.to-purple-100{--gradient-to-color:#faf5ff}.to-purple-200{--gradient-to-color:#e9d8fd}.to-purple-300{--gradient-to-color:#d6bcfa}.to-purple-400{--gradient-to-color:#b794f4}.to-purple-500{--gradient-to-color:#9f7aea}.to-purple-600{--gradient-to-color:#805ad5}.to-purple-700{--gradient-to-color:#6b46c1}.to-purple-800{--gradient-to-color:#553c9a}.to-purple-900{--gradient-to-color:#44337a}.to-pink-100{--gradient-to-color:#fff5f7}.to-pink-200{--gradient-to-color:#fed7e2}.to-pink-300{--gradient-to-color:#fbb6ce}.to-pink-400{--gradient-to-color:#f687b3}.to-pink-500{--gradient-to-color:#ed64a6}.to-pink-600{--gradient-to-color:#d53f8c}.to-pink-700{--gradient-to-color:#b83280}.to-pink-800{--gradient-to-color:#97266d}.to-pink-900{--gradient-to-color:#702459}.hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.hover\\:to-transparent:hover{--gradient-to-color:transparent}.hover\\:to-current:hover{--gradient-to-color:currentColor}.hover\\:to-black:hover{--gradient-to-color:#000}.hover\\:to-white:hover{--gradient-to-color:#fff}.hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.hover\\:to-gray-600:hover{--gradient-to-color:#718096}.hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.hover\\:to-red-500:hover{--gradient-to-color:#f56565}.hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.hover\\:to-red-700:hover{--gradient-to-color:#c53030}.hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.hover\\:to-green-400:hover{--gradient-to-color:#68d391}.hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.hover\\:to-green-600:hover{--gradient-to-color:#38a169}.hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.hover\\:to-green-800:hover{--gradient-to-color:#276749}.hover\\:to-green-900:hover{--gradient-to-color:#22543d}.hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.hover\\:to-teal-600:hover{--gradient-to-color:#319795}.hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.hover\\:to-pink-900:hover{--gradient-to-color:#702459}.focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.focus\\:to-transparent:focus{--gradient-to-color:transparent}.focus\\:to-current:focus{--gradient-to-color:currentColor}.focus\\:to-black:focus{--gradient-to-color:#000}.focus\\:to-white:focus{--gradient-to-color:#fff}.focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.focus\\:to-gray-600:focus{--gradient-to-color:#718096}.focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.focus\\:to-red-500:focus{--gradient-to-color:#f56565}.focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.focus\\:to-red-700:focus{--gradient-to-color:#c53030}.focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.focus\\:to-green-400:focus{--gradient-to-color:#68d391}.focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.focus\\:to-green-600:focus{--gradient-to-color:#38a169}.focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.focus\\:to-green-800:focus{--gradient-to-color:#276749}.focus\\:to-green-900:focus{--gradient-to-color:#22543d}.focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.focus\\:to-teal-600:focus{--gradient-to-color:#319795}.focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.focus\\:to-pink-900:focus{--gradient-to-color:#702459}.bg-opacity-0{--bg-opacity:0}.bg-opacity-25{--bg-opacity:0.25}.bg-opacity-50{--bg-opacity:0.5}.bg-opacity-75{--bg-opacity:0.75}.bg-opacity-100{--bg-opacity:1}.hover\\:bg-opacity-0:hover{--bg-opacity:0}.hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.hover\\:bg-opacity-100:hover{--bg-opacity:1}.focus\\:bg-opacity-0:focus{--bg-opacity:0}.focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.focus\\:bg-opacity-100:focus{--bg-opacity:1}.bg-bottom{background-position:bottom}.bg-center{background-position:center}.bg-left{background-position:left}.bg-left-bottom{background-position:left bottom}.bg-left-top{background-position:left top}.bg-right{background-position:right}.bg-right-bottom{background-position:right bottom}.bg-right-top{background-position:right top}.bg-top{background-position:top}.bg-repeat{background-repeat:repeat}.bg-no-repeat{background-repeat:no-repeat}.bg-repeat-x{background-repeat:repeat-x}.bg-repeat-y{background-repeat:repeat-y}.bg-repeat-round{background-repeat:round}.bg-repeat-space{background-repeat:space}.bg-auto{background-size:auto}.bg-cover{background-size:cover}.bg-contain{background-size:contain}.border-collapse{border-collapse:collapse}.border-separate{border-collapse:separate}.border-transparent{border-color:transparent}.border-current{border-color:currentColor}.border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.hover\\:border-transparent:hover{border-color:transparent}.hover\\:border-current:hover{border-color:currentColor}.hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.focus\\:border-transparent:focus{border-color:transparent}.focus\\:border-current:focus{border-color:currentColor}.focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.border-opacity-0{--border-opacity:0}.border-opacity-25{--border-opacity:0.25}.border-opacity-50{--border-opacity:0.5}.border-opacity-75{--border-opacity:0.75}.border-opacity-100{--border-opacity:1}.hover\\:border-opacity-0:hover{--border-opacity:0}.hover\\:border-opacity-25:hover{--border-opacity:0.25}.hover\\:border-opacity-50:hover{--border-opacity:0.5}.hover\\:border-opacity-75:hover{--border-opacity:0.75}.hover\\:border-opacity-100:hover{--border-opacity:1}.focus\\:border-opacity-0:focus{--border-opacity:0}.focus\\:border-opacity-25:focus{--border-opacity:0.25}.focus\\:border-opacity-50:focus{--border-opacity:0.5}.focus\\:border-opacity-75:focus{--border-opacity:0.75}.focus\\:border-opacity-100:focus{--border-opacity:1}.rounded-none{border-radius:0}.rounded-sm{border-radius:0.125rem}.rounded{border-radius:0.25rem}.rounded-md{border-radius:0.375rem}.rounded-lg{border-radius:0.5rem}.rounded-full{border-radius:9999px}.rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.rounded-tl-none{border-top-left-radius:0}.rounded-tr-none{border-top-right-radius:0}.rounded-br-none{border-bottom-right-radius:0}.rounded-bl-none{border-bottom-left-radius:0}.rounded-tl-sm{border-top-left-radius:0.125rem}.rounded-tr-sm{border-top-right-radius:0.125rem}.rounded-br-sm{border-bottom-right-radius:0.125rem}.rounded-bl-sm{border-bottom-left-radius:0.125rem}.rounded-tl{border-top-left-radius:0.25rem}.rounded-tr{border-top-right-radius:0.25rem}.rounded-br{border-bottom-right-radius:0.25rem}.rounded-bl{border-bottom-left-radius:0.25rem}.rounded-tl-md{border-top-left-radius:0.375rem}.rounded-tr-md{border-top-right-radius:0.375rem}.rounded-br-md{border-bottom-right-radius:0.375rem}.rounded-bl-md{border-bottom-left-radius:0.375rem}.rounded-tl-lg{border-top-left-radius:0.5rem}.rounded-tr-lg{border-top-right-radius:0.5rem}.rounded-br-lg{border-bottom-right-radius:0.5rem}.rounded-bl-lg{border-bottom-left-radius:0.5rem}.rounded-tl-full{border-top-left-radius:9999px}.rounded-tr-full{border-top-right-radius:9999px}.rounded-br-full{border-bottom-right-radius:9999px}.rounded-bl-full{border-bottom-left-radius:9999px}.border-solid{border-style:solid}.border-dashed{border-style:dashed}.border-dotted{border-style:dotted}.border-double{border-style:double}.border-none{border-style:none}.border-0{border-width:0}.border-2{border-width:2px}.border-4{border-width:4px}.border-8{border-width:8px}.border{border-width:1px}.border-t-0{border-top-width:0}.border-r-0{border-right-width:0}.border-b-0{border-bottom-width:0}.border-l-0{border-left-width:0}.border-t-2{border-top-width:2px}.border-r-2{border-right-width:2px}.border-b-2{border-bottom-width:2px}.border-l-2{border-left-width:2px}.border-t-4{border-top-width:4px}.border-r-4{border-right-width:4px}.border-b-4{border-bottom-width:4px}.border-l-4{border-left-width:4px}.border-t-8{border-top-width:8px}.border-r-8{border-right-width:8px}.border-b-8{border-bottom-width:8px}.border-l-8{border-left-width:8px}.border-t{border-top-width:1px}.border-r{border-right-width:1px}.border-b{border-bottom-width:1px}.border-l{border-left-width:1px}.box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.cursor-auto{cursor:auto}.cursor-default{cursor:default}.cursor-pointer{cursor:pointer}.cursor-wait{cursor:wait}.cursor-text{cursor:text}.cursor-move{cursor:move}.cursor-not-allowed{cursor:not-allowed}.block{display:block}.inline-block{display:inline-block}.inline{display:inline}.flex{display:-ms-flexbox;display:flex}.inline-flex{display:-ms-inline-flexbox;display:inline-flex}.table{display:table}.table-caption{display:table-caption}.table-cell{display:table-cell}.table-column{display:table-column}.table-column-group{display:table-column-group}.table-footer-group{display:table-footer-group}.table-header-group{display:table-header-group}.table-row-group{display:table-row-group}.table-row{display:table-row}.flow-root{display:flow-root}.grid{display:grid}.inline-grid{display:inline-grid}.contents{display:contents}.hidden{display:none}.flex-row{-ms-flex-direction:row;flex-direction:row}.flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.flex-col{-ms-flex-direction:column;flex-direction:column}.flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.place-items-auto{place-items:auto}.place-items-start{place-items:start}.place-items-end{place-items:end}.place-items-center{place-items:center}.place-items-stretch{place-items:stretch}.place-content-center{place-content:center}.place-content-start{place-content:start}.place-content-end{place-content:end}.place-content-between{place-content:space-between}.place-content-around{place-content:space-around}.place-content-evenly{place-content:space-evenly}.place-content-stretch{place-content:stretch}.place-self-auto{place-self:auto}.place-self-start{place-self:start}.place-self-end{place-self:end}.place-self-center{place-self:center}.place-self-stretch{place-self:stretch}.items-start{-ms-flex-align:start;align-items:flex-start}.items-end{-ms-flex-align:end;align-items:flex-end}.items-center{-ms-flex-align:center;align-items:center}.items-baseline{-ms-flex-align:baseline;align-items:baseline}.items-stretch{-ms-flex-align:stretch;align-items:stretch}.content-center{-ms-flex-line-pack:center;align-content:center}.content-start{-ms-flex-line-pack:start;align-content:flex-start}.content-end{-ms-flex-line-pack:end;align-content:flex-end}.content-between{-ms-flex-line-pack:justify;align-content:space-between}.content-around{-ms-flex-line-pack:distribute;align-content:space-around}.content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.self-auto{-ms-flex-item-align:auto;align-self:auto}.self-start{-ms-flex-item-align:start;align-self:flex-start}.self-end{-ms-flex-item-align:end;align-self:flex-end}.self-center{-ms-flex-item-align:center;align-self:center}.self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.justify-items-auto{justify-items:auto}.justify-items-start{justify-items:start}.justify-items-end{justify-items:end}.justify-items-center{justify-items:center}.justify-items-stretch{justify-items:stretch}.justify-start{-ms-flex-pack:start;justify-content:flex-start}.justify-end{-ms-flex-pack:end;justify-content:flex-end}.justify-center{-ms-flex-pack:center;justify-content:center}.justify-between{-ms-flex-pack:justify;justify-content:space-between}.justify-around{-ms-flex-pack:distribute;justify-content:space-around}.justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.justify-self-auto{justify-self:auto}.justify-self-start{justify-self:start}.justify-self-end{justify-self:end}.justify-self-center{justify-self:center}.justify-self-stretch{justify-self:stretch}.flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.flex-none{-ms-flex:none;flex:none}.flex-grow-0{-ms-flex-positive:0;flex-grow:0}.flex-grow{-ms-flex-positive:1;flex-grow:1}.flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.flex-shrink{-ms-flex-negative:1;flex-shrink:1}.order-1{-ms-flex-order:1;order:1}.order-2{-ms-flex-order:2;order:2}.order-3{-ms-flex-order:3;order:3}.order-4{-ms-flex-order:4;order:4}.order-5{-ms-flex-order:5;order:5}.order-6{-ms-flex-order:6;order:6}.order-7{-ms-flex-order:7;order:7}.order-8{-ms-flex-order:8;order:8}.order-9{-ms-flex-order:9;order:9}.order-10{-ms-flex-order:10;order:10}.order-11{-ms-flex-order:11;order:11}.order-12{-ms-flex-order:12;order:12}.order-first{-ms-flex-order:-9999;order:-9999}.order-last{-ms-flex-order:9999;order:9999}.order-none{-ms-flex-order:0;order:0}.float-right{float:right}.float-left{float:left}.float-none{float:none}.clearfix:after{content:\"\";display:table;clear:both}.clear-left{clear:left}.clear-right{clear:right}.clear-both{clear:both}.clear-none{clear:none}.font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.font-hairline{font-weight:100}.font-thin{font-weight:200}.font-light{font-weight:300}.font-normal{font-weight:400}.font-medium{font-weight:500}.font-semibold{font-weight:600}.font-bold{font-weight:700}.font-extrabold{font-weight:800}.font-black{font-weight:900}.hover\\:font-hairline:hover{font-weight:100}.hover\\:font-thin:hover{font-weight:200}.hover\\:font-light:hover{font-weight:300}.hover\\:font-normal:hover{font-weight:400}.hover\\:font-medium:hover{font-weight:500}.hover\\:font-semibold:hover{font-weight:600}.hover\\:font-bold:hover{font-weight:700}.hover\\:font-extrabold:hover{font-weight:800}.hover\\:font-black:hover{font-weight:900}.focus\\:font-hairline:focus{font-weight:100}.focus\\:font-thin:focus{font-weight:200}.focus\\:font-light:focus{font-weight:300}.focus\\:font-normal:focus{font-weight:400}.focus\\:font-medium:focus{font-weight:500}.focus\\:font-semibold:focus{font-weight:600}.focus\\:font-bold:focus{font-weight:700}.focus\\:font-extrabold:focus{font-weight:800}.focus\\:font-black:focus{font-weight:900}.h-0{height:0}.h-1{height:0.25rem}.h-2{height:0.5rem}.h-3{height:0.75rem}.h-4{height:1rem}.h-5{height:1.25rem}.h-6{height:1.5rem}.h-8{height:2rem}.h-10{height:2.5rem}.h-12{height:3rem}.h-16{height:4rem}.h-20{height:5rem}.h-24{height:6rem}.h-32{height:8rem}.h-40{height:10rem}.h-48{height:12rem}.h-56{height:14rem}.h-64{height:16rem}.h-auto{height:auto}.h-px{height:1px}.h-full{height:100%}.h-screen{height:100vh}.text-xs{font-size:0.75rem}.text-sm{font-size:0.875rem}.text-base{font-size:1rem}.text-lg{font-size:1.125rem}.text-xl{font-size:1.25rem}.text-2xl{font-size:1.5rem}.text-3xl{font-size:1.875rem}.text-4xl{font-size:2.25rem}.text-5xl{font-size:3rem}.text-6xl{font-size:4rem}.leading-3{line-height:.75rem}.leading-4{line-height:1rem}.leading-5{line-height:1.25rem}.leading-6{line-height:1.5rem}.leading-7{line-height:1.75rem}.leading-8{line-height:2rem}.leading-9{line-height:2.25rem}.leading-10{line-height:2.5rem}.leading-none{line-height:1}.leading-tight{line-height:1.25}.leading-snug{line-height:1.375}.leading-normal{line-height:1.5}.leading-relaxed{line-height:1.625}.leading-loose{line-height:2}.list-inside{list-style-position:inside}.list-outside{list-style-position:outside}.list-none{list-style-type:none}.list-disc{list-style-type:disc}.list-decimal{list-style-type:decimal}.m-0{margin:0}.m-1{margin:0.25rem}.m-2{margin:0.5rem}.m-3{margin:0.75rem}.m-4{margin:1rem}.m-5{margin:1.25rem}.m-6{margin:1.5rem}.m-8{margin:2rem}.m-10{margin:2.5rem}.m-12{margin:3rem}.m-16{margin:4rem}.m-20{margin:5rem}.m-24{margin:6rem}.m-32{margin:8rem}.m-40{margin:10rem}.m-48{margin:12rem}.m-56{margin:14rem}.m-64{margin:16rem}.m-auto{margin:auto}.m-px{margin:1px}.-m-1{margin:-0.25rem}.-m-2{margin:-0.5rem}.-m-3{margin:-0.75rem}.-m-4{margin:-1rem}.-m-5{margin:-1.25rem}.-m-6{margin:-1.5rem}.-m-8{margin:-2rem}.-m-10{margin:-2.5rem}.-m-12{margin:-3rem}.-m-16{margin:-4rem}.-m-20{margin:-5rem}.-m-24{margin:-6rem}.-m-32{margin:-8rem}.-m-40{margin:-10rem}.-m-48{margin:-12rem}.-m-56{margin:-14rem}.-m-64{margin:-16rem}.-m-px{margin:-1px}.my-0{margin-top:0;margin-bottom:0}.mx-0{margin-left:0;margin-right:0}.my-1{margin-top:0.25rem;margin-bottom:0.25rem}.mx-1{margin-left:0.25rem;margin-right:0.25rem}.my-2{margin-top:0.5rem;margin-bottom:0.5rem}.mx-2{margin-left:0.5rem;margin-right:0.5rem}.my-3{margin-top:0.75rem;margin-bottom:0.75rem}.mx-3{margin-left:0.75rem;margin-right:0.75rem}.my-4{margin-top:1rem;margin-bottom:1rem}.mx-4{margin-left:1rem;margin-right:1rem}.my-5{margin-top:1.25rem;margin-bottom:1.25rem}.mx-5{margin-left:1.25rem;margin-right:1.25rem}.my-6{margin-top:1.5rem;margin-bottom:1.5rem}.mx-6{margin-left:1.5rem;margin-right:1.5rem}.my-8{margin-top:2rem;margin-bottom:2rem}.mx-8{margin-left:2rem;margin-right:2rem}.my-10{margin-top:2.5rem;margin-bottom:2.5rem}.mx-10{margin-left:2.5rem;margin-right:2.5rem}.my-12{margin-top:3rem;margin-bottom:3rem}.mx-12{margin-left:3rem;margin-right:3rem}.my-16{margin-top:4rem;margin-bottom:4rem}.mx-16{margin-left:4rem;margin-right:4rem}.my-20{margin-top:5rem;margin-bottom:5rem}.mx-20{margin-left:5rem;margin-right:5rem}.my-24{margin-top:6rem;margin-bottom:6rem}.mx-24{margin-left:6rem;margin-right:6rem}.my-32{margin-top:8rem;margin-bottom:8rem}.mx-32{margin-left:8rem;margin-right:8rem}.my-40{margin-top:10rem;margin-bottom:10rem}.mx-40{margin-left:10rem;margin-right:10rem}.my-48{margin-top:12rem;margin-bottom:12rem}.mx-48{margin-left:12rem;margin-right:12rem}.my-56{margin-top:14rem;margin-bottom:14rem}.mx-56{margin-left:14rem;margin-right:14rem}.my-64{margin-top:16rem;margin-bottom:16rem}.mx-64{margin-left:16rem;margin-right:16rem}.my-auto{margin-top:auto;margin-bottom:auto}.mx-auto{margin-left:auto;margin-right:auto}.my-px{margin-top:1px;margin-bottom:1px}.mx-px{margin-left:1px;margin-right:1px}.-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.-my-4{margin-top:-1rem;margin-bottom:-1rem}.-mx-4{margin-left:-1rem;margin-right:-1rem}.-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.-my-8{margin-top:-2rem;margin-bottom:-2rem}.-mx-8{margin-left:-2rem;margin-right:-2rem}.-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.-my-12{margin-top:-3rem;margin-bottom:-3rem}.-mx-12{margin-left:-3rem;margin-right:-3rem}.-my-16{margin-top:-4rem;margin-bottom:-4rem}.-mx-16{margin-left:-4rem;margin-right:-4rem}.-my-20{margin-top:-5rem;margin-bottom:-5rem}.-mx-20{margin-left:-5rem;margin-right:-5rem}.-my-24{margin-top:-6rem;margin-bottom:-6rem}.-mx-24{margin-left:-6rem;margin-right:-6rem}.-my-32{margin-top:-8rem;margin-bottom:-8rem}.-mx-32{margin-left:-8rem;margin-right:-8rem}.-my-40{margin-top:-10rem;margin-bottom:-10rem}.-mx-40{margin-left:-10rem;margin-right:-10rem}.-my-48{margin-top:-12rem;margin-bottom:-12rem}.-mx-48{margin-left:-12rem;margin-right:-12rem}.-my-56{margin-top:-14rem;margin-bottom:-14rem}.-mx-56{margin-left:-14rem;margin-right:-14rem}.-my-64{margin-top:-16rem;margin-bottom:-16rem}.-mx-64{margin-left:-16rem;margin-right:-16rem}.-my-px{margin-top:-1px;margin-bottom:-1px}.-mx-px{margin-left:-1px;margin-right:-1px}.mt-0{margin-top:0}.mr-0{margin-right:0}.mb-0{margin-bottom:0}.ml-0{margin-left:0}.mt-1{margin-top:0.25rem}.mr-1{margin-right:0.25rem}.mb-1{margin-bottom:0.25rem}.ml-1{margin-left:0.25rem}.mt-2{margin-top:0.5rem}.mr-2{margin-right:0.5rem}.mb-2{margin-bottom:0.5rem}.ml-2{margin-left:0.5rem}.mt-3{margin-top:0.75rem}.mr-3{margin-right:0.75rem}.mb-3{margin-bottom:0.75rem}.ml-3{margin-left:0.75rem}.mt-4{margin-top:1rem}.mr-4{margin-right:1rem}.mb-4{margin-bottom:1rem}.ml-4{margin-left:1rem}.mt-5{margin-top:1.25rem}.mr-5{margin-right:1.25rem}.mb-5{margin-bottom:1.25rem}.ml-5{margin-left:1.25rem}.mt-6{margin-top:1.5rem}.mr-6{margin-right:1.5rem}.mb-6{margin-bottom:1.5rem}.ml-6{margin-left:1.5rem}.mt-8{margin-top:2rem}.mr-8{margin-right:2rem}.mb-8{margin-bottom:2rem}.ml-8{margin-left:2rem}.mt-10{margin-top:2.5rem}.mr-10{margin-right:2.5rem}.mb-10{margin-bottom:2.5rem}.ml-10{margin-left:2.5rem}.mt-12{margin-top:3rem}.mr-12{margin-right:3rem}.mb-12{margin-bottom:3rem}.ml-12{margin-left:3rem}.mt-16{margin-top:4rem}.mr-16{margin-right:4rem}.mb-16{margin-bottom:4rem}.ml-16{margin-left:4rem}.mt-20{margin-top:5rem}.mr-20{margin-right:5rem}.mb-20{margin-bottom:5rem}.ml-20{margin-left:5rem}.mt-24{margin-top:6rem}.mr-24{margin-right:6rem}.mb-24{margin-bottom:6rem}.ml-24{margin-left:6rem}.mt-32{margin-top:8rem}.mr-32{margin-right:8rem}.mb-32{margin-bottom:8rem}.ml-32{margin-left:8rem}.mt-40{margin-top:10rem}.mr-40{margin-right:10rem}.mb-40{margin-bottom:10rem}.ml-40{margin-left:10rem}.mt-48{margin-top:12rem}.mr-48{margin-right:12rem}.mb-48{margin-bottom:12rem}.ml-48{margin-left:12rem}.mt-56{margin-top:14rem}.mr-56{margin-right:14rem}.mb-56{margin-bottom:14rem}.ml-56{margin-left:14rem}.mt-64{margin-top:16rem}.mr-64{margin-right:16rem}.mb-64{margin-bottom:16rem}.ml-64{margin-left:16rem}.mt-auto{margin-top:auto}.mr-auto{margin-right:auto}.mb-auto{margin-bottom:auto}.ml-auto{margin-left:auto}.mt-px{margin-top:1px}.mr-px{margin-right:1px}.mb-px{margin-bottom:1px}.ml-px{margin-left:1px}.-mt-1{margin-top:-0.25rem}.-mr-1{margin-right:-0.25rem}.-mb-1{margin-bottom:-0.25rem}.-ml-1{margin-left:-0.25rem}.-mt-2{margin-top:-0.5rem}.-mr-2{margin-right:-0.5rem}.-mb-2{margin-bottom:-0.5rem}.-ml-2{margin-left:-0.5rem}.-mt-3{margin-top:-0.75rem}.-mr-3{margin-right:-0.75rem}.-mb-3{margin-bottom:-0.75rem}.-ml-3{margin-left:-0.75rem}.-mt-4{margin-top:-1rem}.-mr-4{margin-right:-1rem}.-mb-4{margin-bottom:-1rem}.-ml-4{margin-left:-1rem}.-mt-5{margin-top:-1.25rem}.-mr-5{margin-right:-1.25rem}.-mb-5{margin-bottom:-1.25rem}.-ml-5{margin-left:-1.25rem}.-mt-6{margin-top:-1.5rem}.-mr-6{margin-right:-1.5rem}.-mb-6{margin-bottom:-1.5rem}.-ml-6{margin-left:-1.5rem}.-mt-8{margin-top:-2rem}.-mr-8{margin-right:-2rem}.-mb-8{margin-bottom:-2rem}.-ml-8{margin-left:-2rem}.-mt-10{margin-top:-2.5rem}.-mr-10{margin-right:-2.5rem}.-mb-10{margin-bottom:-2.5rem}.-ml-10{margin-left:-2.5rem}.-mt-12{margin-top:-3rem}.-mr-12{margin-right:-3rem}.-mb-12{margin-bottom:-3rem}.-ml-12{margin-left:-3rem}.-mt-16{margin-top:-4rem}.-mr-16{margin-right:-4rem}.-mb-16{margin-bottom:-4rem}.-ml-16{margin-left:-4rem}.-mt-20{margin-top:-5rem}.-mr-20{margin-right:-5rem}.-mb-20{margin-bottom:-5rem}.-ml-20{margin-left:-5rem}.-mt-24{margin-top:-6rem}.-mr-24{margin-right:-6rem}.-mb-24{margin-bottom:-6rem}.-ml-24{margin-left:-6rem}.-mt-32{margin-top:-8rem}.-mr-32{margin-right:-8rem}.-mb-32{margin-bottom:-8rem}.-ml-32{margin-left:-8rem}.-mt-40{margin-top:-10rem}.-mr-40{margin-right:-10rem}.-mb-40{margin-bottom:-10rem}.-ml-40{margin-left:-10rem}.-mt-48{margin-top:-12rem}.-mr-48{margin-right:-12rem}.-mb-48{margin-bottom:-12rem}.-ml-48{margin-left:-12rem}.-mt-56{margin-top:-14rem}.-mr-56{margin-right:-14rem}.-mb-56{margin-bottom:-14rem}.-ml-56{margin-left:-14rem}.-mt-64{margin-top:-16rem}.-mr-64{margin-right:-16rem}.-mb-64{margin-bottom:-16rem}.-ml-64{margin-left:-16rem}.-mt-px{margin-top:-1px}.-mr-px{margin-right:-1px}.-mb-px{margin-bottom:-1px}.-ml-px{margin-left:-1px}.max-h-full{max-height:100%}.max-h-screen{max-height:100vh}.max-w-none{max-width:none}.max-w-xs{max-width:20rem}.max-w-sm{max-width:24rem}.max-w-md{max-width:28rem}.max-w-lg{max-width:32rem}.max-w-xl{max-width:36rem}.max-w-2xl{max-width:42rem}.max-w-3xl{max-width:48rem}.max-w-4xl{max-width:56rem}.max-w-5xl{max-width:64rem}.max-w-6xl{max-width:72rem}.max-w-full{max-width:100%}.max-w-screen-sm{max-width:640px}.max-w-screen-md{max-width:768px}.max-w-screen-lg{max-width:1024px}.max-w-screen-xl{max-width:1280px}.min-h-0{min-height:0}.min-h-full{min-height:100%}.min-h-screen{min-height:100vh}.min-w-0{min-width:0}.min-w-full{min-width:100%}.object-contain{-o-object-fit:contain;object-fit:contain}.object-cover{-o-object-fit:cover;object-fit:cover}.object-fill{-o-object-fit:fill;object-fit:fill}.object-none{-o-object-fit:none;object-fit:none}.object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.object-bottom{-o-object-position:bottom;object-position:bottom}.object-center{-o-object-position:center;object-position:center}.object-left{-o-object-position:left;object-position:left}.object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.object-left-top{-o-object-position:left top;object-position:left top}.object-right{-o-object-position:right;object-position:right}.object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.object-right-top{-o-object-position:right top;object-position:right top}.object-top{-o-object-position:top;object-position:top}.opacity-0{opacity:0}.opacity-25{opacity:0.25}.opacity-50{opacity:0.5}.opacity-75{opacity:0.75}.opacity-100{opacity:1}.hover\\:opacity-0:hover{opacity:0}.hover\\:opacity-25:hover{opacity:0.25}.hover\\:opacity-50:hover{opacity:0.5}.hover\\:opacity-75:hover{opacity:0.75}.hover\\:opacity-100:hover{opacity:1}.focus\\:opacity-0:focus{opacity:0}.focus\\:opacity-25:focus{opacity:0.25}.focus\\:opacity-50:focus{opacity:0.5}.focus\\:opacity-75:focus{opacity:0.75}.focus\\:opacity-100:focus{opacity:1}.outline-none{outline:0}.focus\\:outline-none:focus{outline:0}.overflow-auto{overflow:auto}.overflow-hidden{overflow:hidden}.overflow-visible{overflow:visible}.overflow-scroll{overflow:scroll}.overflow-x-auto{overflow-x:auto}.overflow-y-auto{overflow-y:auto}.overflow-x-hidden{overflow-x:hidden}.overflow-y-hidden{overflow-y:hidden}.overflow-x-visible{overflow-x:visible}.overflow-y-visible{overflow-y:visible}.overflow-x-scroll{overflow-x:scroll}.overflow-y-scroll{overflow-y:scroll}.scrolling-touch{-webkit-overflow-scrolling:touch}.scrolling-auto{-webkit-overflow-scrolling:auto}.overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.overscroll-y-auto{overscroll-behavior-y:auto}.overscroll-y-contain{overscroll-behavior-y:contain}.overscroll-y-none{overscroll-behavior-y:none}.overscroll-x-auto{overscroll-behavior-x:auto}.overscroll-x-contain{overscroll-behavior-x:contain}.overscroll-x-none{overscroll-behavior-x:none}.p-0{padding:0}.p-1{padding:0.25rem}.p-2{padding:0.5rem}.p-3{padding:0.75rem}.p-4{padding:1rem}.p-5{padding:1.25rem}.p-6{padding:1.5rem}.p-8{padding:2rem}.p-10{padding:2.5rem}.p-12{padding:3rem}.p-16{padding:4rem}.p-20{padding:5rem}.p-24{padding:6rem}.p-32{padding:8rem}.p-40{padding:10rem}.p-48{padding:12rem}.p-56{padding:14rem}.p-64{padding:16rem}.p-px{padding:1px}.py-0{padding-top:0;padding-bottom:0}.px-0{padding-left:0;padding-right:0}.py-1{padding-top:0.25rem;padding-bottom:0.25rem}.px-1{padding-left:0.25rem;padding-right:0.25rem}.py-2{padding-top:0.5rem;padding-bottom:0.5rem}.px-2{padding-left:0.5rem;padding-right:0.5rem}.py-3{padding-top:0.75rem;padding-bottom:0.75rem}.px-3{padding-left:0.75rem;padding-right:0.75rem}.py-4{padding-top:1rem;padding-bottom:1rem}.px-4{padding-left:1rem;padding-right:1rem}.py-5{padding-top:1.25rem;padding-bottom:1.25rem}.px-5{padding-left:1.25rem;padding-right:1.25rem}.py-6{padding-top:1.5rem;padding-bottom:1.5rem}.px-6{padding-left:1.5rem;padding-right:1.5rem}.py-8{padding-top:2rem;padding-bottom:2rem}.px-8{padding-left:2rem;padding-right:2rem}.py-10{padding-top:2.5rem;padding-bottom:2.5rem}.px-10{padding-left:2.5rem;padding-right:2.5rem}.py-12{padding-top:3rem;padding-bottom:3rem}.px-12{padding-left:3rem;padding-right:3rem}.py-16{padding-top:4rem;padding-bottom:4rem}.px-16{padding-left:4rem;padding-right:4rem}.py-20{padding-top:5rem;padding-bottom:5rem}.px-20{padding-left:5rem;padding-right:5rem}.py-24{padding-top:6rem;padding-bottom:6rem}.px-24{padding-left:6rem;padding-right:6rem}.py-32{padding-top:8rem;padding-bottom:8rem}.px-32{padding-left:8rem;padding-right:8rem}.py-40{padding-top:10rem;padding-bottom:10rem}.px-40{padding-left:10rem;padding-right:10rem}.py-48{padding-top:12rem;padding-bottom:12rem}.px-48{padding-left:12rem;padding-right:12rem}.py-56{padding-top:14rem;padding-bottom:14rem}.px-56{padding-left:14rem;padding-right:14rem}.py-64{padding-top:16rem;padding-bottom:16rem}.px-64{padding-left:16rem;padding-right:16rem}.py-px{padding-top:1px;padding-bottom:1px}.px-px{padding-left:1px;padding-right:1px}.pt-0{padding-top:0}.pr-0{padding-right:0}.pb-0{padding-bottom:0}.pl-0{padding-left:0}.pt-1{padding-top:0.25rem}.pr-1{padding-right:0.25rem}.pb-1{padding-bottom:0.25rem}.pl-1{padding-left:0.25rem}.pt-2{padding-top:0.5rem}.pr-2{padding-right:0.5rem}.pb-2{padding-bottom:0.5rem}.pl-2{padding-left:0.5rem}.pt-3{padding-top:0.75rem}.pr-3{padding-right:0.75rem}.pb-3{padding-bottom:0.75rem}.pl-3{padding-left:0.75rem}.pt-4{padding-top:1rem}.pr-4{padding-right:1rem}.pb-4{padding-bottom:1rem}.pl-4{padding-left:1rem}.pt-5{padding-top:1.25rem}.pr-5{padding-right:1.25rem}.pb-5{padding-bottom:1.25rem}.pl-5{padding-left:1.25rem}.pt-6{padding-top:1.5rem}.pr-6{padding-right:1.5rem}.pb-6{padding-bottom:1.5rem}.pl-6{padding-left:1.5rem}.pt-8{padding-top:2rem}.pr-8{padding-right:2rem}.pb-8{padding-bottom:2rem}.pl-8{padding-left:2rem}.pt-10{padding-top:2.5rem}.pr-10{padding-right:2.5rem}.pb-10{padding-bottom:2.5rem}.pl-10{padding-left:2.5rem}.pt-12{padding-top:3rem}.pr-12{padding-right:3rem}.pb-12{padding-bottom:3rem}.pl-12{padding-left:3rem}.pt-16{padding-top:4rem}.pr-16{padding-right:4rem}.pb-16{padding-bottom:4rem}.pl-16{padding-left:4rem}.pt-20{padding-top:5rem}.pr-20{padding-right:5rem}.pb-20{padding-bottom:5rem}.pl-20{padding-left:5rem}.pt-24{padding-top:6rem}.pr-24{padding-right:6rem}.pb-24{padding-bottom:6rem}.pl-24{padding-left:6rem}.pt-32{padding-top:8rem}.pr-32{padding-right:8rem}.pb-32{padding-bottom:8rem}.pl-32{padding-left:8rem}.pt-40{padding-top:10rem}.pr-40{padding-right:10rem}.pb-40{padding-bottom:10rem}.pl-40{padding-left:10rem}.pt-48{padding-top:12rem}.pr-48{padding-right:12rem}.pb-48{padding-bottom:12rem}.pl-48{padding-left:12rem}.pt-56{padding-top:14rem}.pr-56{padding-right:14rem}.pb-56{padding-bottom:14rem}.pl-56{padding-left:14rem}.pt-64{padding-top:16rem}.pr-64{padding-right:16rem}.pb-64{padding-bottom:16rem}.pl-64{padding-left:16rem}.pt-px{padding-top:1px}.pr-px{padding-right:1px}.pb-px{padding-bottom:1px}.pl-px{padding-left:1px}.placeholder-transparent::-webkit-input-placeholder{color:transparent}.placeholder-transparent::-moz-placeholder{color:transparent}.placeholder-transparent:-ms-input-placeholder{color:transparent}.placeholder-transparent::-ms-input-placeholder{color:transparent}.placeholder-transparent::placeholder{color:transparent}.placeholder-current::-webkit-input-placeholder{color:currentColor}.placeholder-current::-moz-placeholder{color:currentColor}.placeholder-current:-ms-input-placeholder{color:currentColor}.placeholder-current::-ms-input-placeholder{color:currentColor}.placeholder-current::placeholder{color:currentColor}.placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.focus\\:placeholder-transparent:focus::placeholder{color:transparent}.focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.focus\\:placeholder-current:focus::placeholder{color:currentColor}.focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.placeholder-opacity-0::placeholder{--placeholder-opacity:0}.placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.placeholder-opacity-100::placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.pointer-events-none{pointer-events:none}.pointer-events-auto{pointer-events:auto}.static{position:static}.fixed{position:fixed}.absolute{position:absolute}.relative{position:relative}.sticky{position:-webkit-sticky;position:sticky}.inset-0{top:0;right:0;bottom:0;left:0}.inset-auto{top:auto;right:auto;bottom:auto;left:auto}.inset-y-0{top:0;bottom:0}.inset-x-0{right:0;left:0}.inset-y-auto{top:auto;bottom:auto}.inset-x-auto{right:auto;left:auto}.top-0{top:0}.right-0{right:0}.bottom-0{bottom:0}.left-0{left:0}.top-auto{top:auto}.right-auto{right:auto}.bottom-auto{bottom:auto}.left-auto{left:auto}.resize-none{resize:none}.resize-y{resize:vertical}.resize-x{resize:horizontal}.resize{resize:both}.shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.shadow-none{-webkit-box-shadow:none;box-shadow:none}.hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.fill-current{fill:currentColor}.stroke-current{stroke:currentColor}.stroke-0{stroke-width:0}.stroke-1{stroke-width:1}.stroke-2{stroke-width:2}.table-auto{table-layout:auto}.table-fixed{table-layout:fixed}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.text-justify{text-align:justify}.text-transparent{color:transparent}.text-current{color:currentColor}.text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.hover\\:text-transparent:hover{color:transparent}.hover\\:text-current:hover{color:currentColor}.hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.focus\\:text-transparent:focus{color:transparent}.focus\\:text-current:focus{color:currentColor}.focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.text-opacity-0{--text-opacity:0}.text-opacity-25{--text-opacity:0.25}.text-opacity-50{--text-opacity:0.5}.text-opacity-75{--text-opacity:0.75}.text-opacity-100{--text-opacity:1}.hover\\:text-opacity-0:hover{--text-opacity:0}.hover\\:text-opacity-25:hover{--text-opacity:0.25}.hover\\:text-opacity-50:hover{--text-opacity:0.5}.hover\\:text-opacity-75:hover{--text-opacity:0.75}.hover\\:text-opacity-100:hover{--text-opacity:1}.focus\\:text-opacity-0:focus{--text-opacity:0}.focus\\:text-opacity-25:focus{--text-opacity:0.25}.focus\\:text-opacity-50:focus{--text-opacity:0.5}.focus\\:text-opacity-75:focus{--text-opacity:0.75}.focus\\:text-opacity-100:focus{--text-opacity:1}.italic{font-style:italic}.not-italic{font-style:normal}.uppercase{text-transform:uppercase}.lowercase{text-transform:lowercase}.capitalize{text-transform:capitalize}.normal-case{text-transform:none}.underline{text-decoration:underline}.line-through{text-decoration:line-through}.no-underline{text-decoration:none}.hover\\:underline:hover{text-decoration:underline}.hover\\:line-through:hover{text-decoration:line-through}.hover\\:no-underline:hover{text-decoration:none}.focus\\:underline:focus{text-decoration:underline}.focus\\:line-through:focus{text-decoration:line-through}.focus\\:no-underline:focus{text-decoration:none}.antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.ordinal,.slashed-zero,.lining-nums,.oldstyle-nums,.proportional-nums,.tabular-nums,.diagonal-fractions,.stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.normal-nums{font-variant-numeric:normal}.ordinal{--font-variant-numeric-ordinal:ordinal}.slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.lining-nums{--font-variant-numeric-figure:lining-nums}.oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.proportional-nums{--font-variant-numeric-spacing:proportional-nums}.tabular-nums{--font-variant-numeric-spacing:tabular-nums}.diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.tracking-tighter{letter-spacing:-0.05em}.tracking-tight{letter-spacing:-0.025em}.tracking-normal{letter-spacing:0}.tracking-wide{letter-spacing:0.025em}.tracking-wider{letter-spacing:0.05em}.tracking-widest{letter-spacing:0.1em}.select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.align-baseline{vertical-align:baseline}.align-top{vertical-align:top}.align-middle{vertical-align:middle}.align-bottom{vertical-align:bottom}.align-text-top{vertical-align:text-top}.align-text-bottom{vertical-align:text-bottom}.visible{visibility:visible}.invisible{visibility:hidden}.whitespace-normal{white-space:normal}.whitespace-no-wrap{white-space:nowrap}.whitespace-pre{white-space:pre}.whitespace-pre-line{white-space:pre-line}.whitespace-pre-wrap{white-space:pre-wrap}.break-normal{overflow-wrap:normal;word-break:normal}.break-words{overflow-wrap:break-word}.break-all{word-break:break-all}.truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.w-0{width:0}.w-1{width:0.25rem}.w-2{width:0.5rem}.w-3{width:0.75rem}.w-4{width:1rem}.w-5{width:1.25rem}.w-6{width:1.5rem}.w-8{width:2rem}.w-10{width:2.5rem}.w-12{width:3rem}.w-16{width:4rem}.w-20{width:5rem}.w-24{width:6rem}.w-32{width:8rem}.w-40{width:10rem}.w-48{width:12rem}.w-56{width:14rem}.w-64{width:16rem}.w-auto{width:auto}.w-px{width:1px}.w-1\\/2{width:50%}.w-1\\/3{width:33.333333%}.w-2\\/3{width:66.666667%}.w-1\\/4{width:25%}.w-2\\/4{width:50%}.w-3\\/4{width:75%}.w-1\\/5{width:20%}.w-2\\/5{width:40%}.w-3\\/5{width:60%}.w-4\\/5{width:80%}.w-1\\/6{width:16.666667%}.w-2\\/6{width:33.333333%}.w-3\\/6{width:50%}.w-4\\/6{width:66.666667%}.w-5\\/6{width:83.333333%}.w-1\\/12{width:8.333333%}.w-2\\/12{width:16.666667%}.w-3\\/12{width:25%}.w-4\\/12{width:33.333333%}.w-5\\/12{width:41.666667%}.w-6\\/12{width:50%}.w-7\\/12{width:58.333333%}.w-8\\/12{width:66.666667%}.w-9\\/12{width:75%}.w-10\\/12{width:83.333333%}.w-11\\/12{width:91.666667%}.w-full{width:100%}.w-screen{width:100vw}.z-0{z-index:0}.z-10{z-index:10}.z-20{z-index:20}.z-30{z-index:30}.z-40{z-index:40}.z-50{z-index:50}.z-auto{z-index:auto}.gap-0{grid-gap:0;gap:0}.gap-1{grid-gap:0.25rem;gap:0.25rem}.gap-2{grid-gap:0.5rem;gap:0.5rem}.gap-3{grid-gap:0.75rem;gap:0.75rem}.gap-4{grid-gap:1rem;gap:1rem}.gap-5{grid-gap:1.25rem;gap:1.25rem}.gap-6{grid-gap:1.5rem;gap:1.5rem}.gap-8{grid-gap:2rem;gap:2rem}.gap-10{grid-gap:2.5rem;gap:2.5rem}.gap-12{grid-gap:3rem;gap:3rem}.gap-16{grid-gap:4rem;gap:4rem}.gap-20{grid-gap:5rem;gap:5rem}.gap-24{grid-gap:6rem;gap:6rem}.gap-32{grid-gap:8rem;gap:8rem}.gap-40{grid-gap:10rem;gap:10rem}.gap-48{grid-gap:12rem;gap:12rem}.gap-56{grid-gap:14rem;gap:14rem}.gap-64{grid-gap:16rem;gap:16rem}.gap-px{grid-gap:1px;gap:1px}.gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.gap-y-0{grid-row-gap:0;row-gap:0}.gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.gap-y-4{grid-row-gap:1rem;row-gap:1rem}.gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.gap-y-8{grid-row-gap:2rem;row-gap:2rem}.gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.gap-y-12{grid-row-gap:3rem;row-gap:3rem}.gap-y-16{grid-row-gap:4rem;row-gap:4rem}.gap-y-20{grid-row-gap:5rem;row-gap:5rem}.gap-y-24{grid-row-gap:6rem;row-gap:6rem}.gap-y-32{grid-row-gap:8rem;row-gap:8rem}.gap-y-40{grid-row-gap:10rem;row-gap:10rem}.gap-y-48{grid-row-gap:12rem;row-gap:12rem}.gap-y-56{grid-row-gap:14rem;row-gap:14rem}.gap-y-64{grid-row-gap:16rem;row-gap:16rem}.gap-y-px{grid-row-gap:1px;row-gap:1px}.grid-flow-row{grid-auto-flow:row}.grid-flow-col{grid-auto-flow:column}.grid-flow-row-dense{grid-auto-flow:row dense}.grid-flow-col-dense{grid-auto-flow:column dense}.grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.grid-cols-none{grid-template-columns:none}.col-auto{grid-column:auto}.col-span-1{grid-column:span 1 / span 1}.col-span-2{grid-column:span 2 / span 2}.col-span-3{grid-column:span 3 / span 3}.col-span-4{grid-column:span 4 / span 4}.col-span-5{grid-column:span 5 / span 5}.col-span-6{grid-column:span 6 / span 6}.col-span-7{grid-column:span 7 / span 7}.col-span-8{grid-column:span 8 / span 8}.col-span-9{grid-column:span 9 / span 9}.col-span-10{grid-column:span 10 / span 10}.col-span-11{grid-column:span 11 / span 11}.col-span-12{grid-column:span 12 / span 12}.col-start-1{grid-column-start:1}.col-start-2{grid-column-start:2}.col-start-3{grid-column-start:3}.col-start-4{grid-column-start:4}.col-start-5{grid-column-start:5}.col-start-6{grid-column-start:6}.col-start-7{grid-column-start:7}.col-start-8{grid-column-start:8}.col-start-9{grid-column-start:9}.col-start-10{grid-column-start:10}.col-start-11{grid-column-start:11}.col-start-12{grid-column-start:12}.col-start-13{grid-column-start:13}.col-start-auto{grid-column-start:auto}.col-end-1{grid-column-end:1}.col-end-2{grid-column-end:2}.col-end-3{grid-column-end:3}.col-end-4{grid-column-end:4}.col-end-5{grid-column-end:5}.col-end-6{grid-column-end:6}.col-end-7{grid-column-end:7}.col-end-8{grid-column-end:8}.col-end-9{grid-column-end:9}.col-end-10{grid-column-end:10}.col-end-11{grid-column-end:11}.col-end-12{grid-column-end:12}.col-end-13{grid-column-end:13}.col-end-auto{grid-column-end:auto}.grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.grid-rows-none{grid-template-rows:none}.row-auto{grid-row:auto}.row-span-1{grid-row:span 1 / span 1}.row-span-2{grid-row:span 2 / span 2}.row-span-3{grid-row:span 3 / span 3}.row-span-4{grid-row:span 4 / span 4}.row-span-5{grid-row:span 5 / span 5}.row-span-6{grid-row:span 6 / span 6}.row-start-1{grid-row-start:1}.row-start-2{grid-row-start:2}.row-start-3{grid-row-start:3}.row-start-4{grid-row-start:4}.row-start-5{grid-row-start:5}.row-start-6{grid-row-start:6}.row-start-7{grid-row-start:7}.row-start-auto{grid-row-start:auto}.row-end-1{grid-row-end:1}.row-end-2{grid-row-end:2}.row-end-3{grid-row-end:3}.row-end-4{grid-row-end:4}.row-end-5{grid-row-end:5}.row-end-6{grid-row-end:6}.row-end-7{grid-row-end:7}.row-end-auto{grid-row-end:auto}.transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.transform-none{-webkit-transform:none;transform:none}.origin-center{-webkit-transform-origin:center;transform-origin:center}.origin-top{-webkit-transform-origin:top;transform-origin:top}.origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.origin-right{-webkit-transform-origin:right;transform-origin:right}.origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.origin-left{-webkit-transform-origin:left;transform-origin:left}.origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.scale-0{--transform-scale-x:0;--transform-scale-y:0}.scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.scale-100{--transform-scale-x:1;--transform-scale-y:1}.scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.scale-x-0{--transform-scale-x:0}.scale-x-50{--transform-scale-x:.5}.scale-x-75{--transform-scale-x:.75}.scale-x-90{--transform-scale-x:.9}.scale-x-95{--transform-scale-x:.95}.scale-x-100{--transform-scale-x:1}.scale-x-105{--transform-scale-x:1.05}.scale-x-110{--transform-scale-x:1.1}.scale-x-125{--transform-scale-x:1.25}.scale-x-150{--transform-scale-x:1.5}.scale-y-0{--transform-scale-y:0}.scale-y-50{--transform-scale-y:.5}.scale-y-75{--transform-scale-y:.75}.scale-y-90{--transform-scale-y:.9}.scale-y-95{--transform-scale-y:.95}.scale-y-100{--transform-scale-y:1}.scale-y-105{--transform-scale-y:1.05}.scale-y-110{--transform-scale-y:1.1}.scale-y-125{--transform-scale-y:1.25}.scale-y-150{--transform-scale-y:1.5}.hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.hover\\:scale-x-0:hover{--transform-scale-x:0}.hover\\:scale-x-50:hover{--transform-scale-x:.5}.hover\\:scale-x-75:hover{--transform-scale-x:.75}.hover\\:scale-x-90:hover{--transform-scale-x:.9}.hover\\:scale-x-95:hover{--transform-scale-x:.95}.hover\\:scale-x-100:hover{--transform-scale-x:1}.hover\\:scale-x-105:hover{--transform-scale-x:1.05}.hover\\:scale-x-110:hover{--transform-scale-x:1.1}.hover\\:scale-x-125:hover{--transform-scale-x:1.25}.hover\\:scale-x-150:hover{--transform-scale-x:1.5}.hover\\:scale-y-0:hover{--transform-scale-y:0}.hover\\:scale-y-50:hover{--transform-scale-y:.5}.hover\\:scale-y-75:hover{--transform-scale-y:.75}.hover\\:scale-y-90:hover{--transform-scale-y:.9}.hover\\:scale-y-95:hover{--transform-scale-y:.95}.hover\\:scale-y-100:hover{--transform-scale-y:1}.hover\\:scale-y-105:hover{--transform-scale-y:1.05}.hover\\:scale-y-110:hover{--transform-scale-y:1.1}.hover\\:scale-y-125:hover{--transform-scale-y:1.25}.hover\\:scale-y-150:hover{--transform-scale-y:1.5}.focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.focus\\:scale-x-0:focus{--transform-scale-x:0}.focus\\:scale-x-50:focus{--transform-scale-x:.5}.focus\\:scale-x-75:focus{--transform-scale-x:.75}.focus\\:scale-x-90:focus{--transform-scale-x:.9}.focus\\:scale-x-95:focus{--transform-scale-x:.95}.focus\\:scale-x-100:focus{--transform-scale-x:1}.focus\\:scale-x-105:focus{--transform-scale-x:1.05}.focus\\:scale-x-110:focus{--transform-scale-x:1.1}.focus\\:scale-x-125:focus{--transform-scale-x:1.25}.focus\\:scale-x-150:focus{--transform-scale-x:1.5}.focus\\:scale-y-0:focus{--transform-scale-y:0}.focus\\:scale-y-50:focus{--transform-scale-y:.5}.focus\\:scale-y-75:focus{--transform-scale-y:.75}.focus\\:scale-y-90:focus{--transform-scale-y:.9}.focus\\:scale-y-95:focus{--transform-scale-y:.95}.focus\\:scale-y-100:focus{--transform-scale-y:1}.focus\\:scale-y-105:focus{--transform-scale-y:1.05}.focus\\:scale-y-110:focus{--transform-scale-y:1.1}.focus\\:scale-y-125:focus{--transform-scale-y:1.25}.focus\\:scale-y-150:focus{--transform-scale-y:1.5}.rotate-0{--transform-rotate:0}.rotate-45{--transform-rotate:45deg}.rotate-90{--transform-rotate:90deg}.rotate-180{--transform-rotate:180deg}.-rotate-180{--transform-rotate:-180deg}.-rotate-90{--transform-rotate:-90deg}.-rotate-45{--transform-rotate:-45deg}.hover\\:rotate-0:hover{--transform-rotate:0}.hover\\:rotate-45:hover{--transform-rotate:45deg}.hover\\:rotate-90:hover{--transform-rotate:90deg}.hover\\:rotate-180:hover{--transform-rotate:180deg}.hover\\:-rotate-180:hover{--transform-rotate:-180deg}.hover\\:-rotate-90:hover{--transform-rotate:-90deg}.hover\\:-rotate-45:hover{--transform-rotate:-45deg}.focus\\:rotate-0:focus{--transform-rotate:0}.focus\\:rotate-45:focus{--transform-rotate:45deg}.focus\\:rotate-90:focus{--transform-rotate:90deg}.focus\\:rotate-180:focus{--transform-rotate:180deg}.focus\\:-rotate-180:focus{--transform-rotate:-180deg}.focus\\:-rotate-90:focus{--transform-rotate:-90deg}.focus\\:-rotate-45:focus{--transform-rotate:-45deg}.translate-x-0{--transform-translate-x:0}.translate-x-1{--transform-translate-x:0.25rem}.translate-x-2{--transform-translate-x:0.5rem}.translate-x-3{--transform-translate-x:0.75rem}.translate-x-4{--transform-translate-x:1rem}.translate-x-5{--transform-translate-x:1.25rem}.translate-x-6{--transform-translate-x:1.5rem}.translate-x-8{--transform-translate-x:2rem}.translate-x-10{--transform-translate-x:2.5rem}.translate-x-12{--transform-translate-x:3rem}.translate-x-16{--transform-translate-x:4rem}.translate-x-20{--transform-translate-x:5rem}.translate-x-24{--transform-translate-x:6rem}.translate-x-32{--transform-translate-x:8rem}.translate-x-40{--transform-translate-x:10rem}.translate-x-48{--transform-translate-x:12rem}.translate-x-56{--transform-translate-x:14rem}.translate-x-64{--transform-translate-x:16rem}.translate-x-px{--transform-translate-x:1px}.-translate-x-1{--transform-translate-x:-0.25rem}.-translate-x-2{--transform-translate-x:-0.5rem}.-translate-x-3{--transform-translate-x:-0.75rem}.-translate-x-4{--transform-translate-x:-1rem}.-translate-x-5{--transform-translate-x:-1.25rem}.-translate-x-6{--transform-translate-x:-1.5rem}.-translate-x-8{--transform-translate-x:-2rem}.-translate-x-10{--transform-translate-x:-2.5rem}.-translate-x-12{--transform-translate-x:-3rem}.-translate-x-16{--transform-translate-x:-4rem}.-translate-x-20{--transform-translate-x:-5rem}.-translate-x-24{--transform-translate-x:-6rem}.-translate-x-32{--transform-translate-x:-8rem}.-translate-x-40{--transform-translate-x:-10rem}.-translate-x-48{--transform-translate-x:-12rem}.-translate-x-56{--transform-translate-x:-14rem}.-translate-x-64{--transform-translate-x:-16rem}.-translate-x-px{--transform-translate-x:-1px}.-translate-x-full{--transform-translate-x:-100%}.-translate-x-1\\/2{--transform-translate-x:-50%}.translate-x-1\\/2{--transform-translate-x:50%}.translate-x-full{--transform-translate-x:100%}.translate-y-0{--transform-translate-y:0}.translate-y-1{--transform-translate-y:0.25rem}.translate-y-2{--transform-translate-y:0.5rem}.translate-y-3{--transform-translate-y:0.75rem}.translate-y-4{--transform-translate-y:1rem}.translate-y-5{--transform-translate-y:1.25rem}.translate-y-6{--transform-translate-y:1.5rem}.translate-y-8{--transform-translate-y:2rem}.translate-y-10{--transform-translate-y:2.5rem}.translate-y-12{--transform-translate-y:3rem}.translate-y-16{--transform-translate-y:4rem}.translate-y-20{--transform-translate-y:5rem}.translate-y-24{--transform-translate-y:6rem}.translate-y-32{--transform-translate-y:8rem}.translate-y-40{--transform-translate-y:10rem}.translate-y-48{--transform-translate-y:12rem}.translate-y-56{--transform-translate-y:14rem}.translate-y-64{--transform-translate-y:16rem}.translate-y-px{--transform-translate-y:1px}.-translate-y-1{--transform-translate-y:-0.25rem}.-translate-y-2{--transform-translate-y:-0.5rem}.-translate-y-3{--transform-translate-y:-0.75rem}.-translate-y-4{--transform-translate-y:-1rem}.-translate-y-5{--transform-translate-y:-1.25rem}.-translate-y-6{--transform-translate-y:-1.5rem}.-translate-y-8{--transform-translate-y:-2rem}.-translate-y-10{--transform-translate-y:-2.5rem}.-translate-y-12{--transform-translate-y:-3rem}.-translate-y-16{--transform-translate-y:-4rem}.-translate-y-20{--transform-translate-y:-5rem}.-translate-y-24{--transform-translate-y:-6rem}.-translate-y-32{--transform-translate-y:-8rem}.-translate-y-40{--transform-translate-y:-10rem}.-translate-y-48{--transform-translate-y:-12rem}.-translate-y-56{--transform-translate-y:-14rem}.-translate-y-64{--transform-translate-y:-16rem}.-translate-y-px{--transform-translate-y:-1px}.-translate-y-full{--transform-translate-y:-100%}.-translate-y-1\\/2{--transform-translate-y:-50%}.translate-y-1\\/2{--transform-translate-y:50%}.translate-y-full{--transform-translate-y:100%}.hover\\:translate-x-0:hover{--transform-translate-x:0}.hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.hover\\:translate-x-4:hover{--transform-translate-x:1rem}.hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.hover\\:translate-x-8:hover{--transform-translate-x:2rem}.hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.hover\\:translate-x-12:hover{--transform-translate-x:3rem}.hover\\:translate-x-16:hover{--transform-translate-x:4rem}.hover\\:translate-x-20:hover{--transform-translate-x:5rem}.hover\\:translate-x-24:hover{--transform-translate-x:6rem}.hover\\:translate-x-32:hover{--transform-translate-x:8rem}.hover\\:translate-x-40:hover{--transform-translate-x:10rem}.hover\\:translate-x-48:hover{--transform-translate-x:12rem}.hover\\:translate-x-56:hover{--transform-translate-x:14rem}.hover\\:translate-x-64:hover{--transform-translate-x:16rem}.hover\\:translate-x-px:hover{--transform-translate-x:1px}.hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.hover\\:translate-x-full:hover{--transform-translate-x:100%}.hover\\:translate-y-0:hover{--transform-translate-y:0}.hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.hover\\:translate-y-4:hover{--transform-translate-y:1rem}.hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.hover\\:translate-y-8:hover{--transform-translate-y:2rem}.hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.hover\\:translate-y-12:hover{--transform-translate-y:3rem}.hover\\:translate-y-16:hover{--transform-translate-y:4rem}.hover\\:translate-y-20:hover{--transform-translate-y:5rem}.hover\\:translate-y-24:hover{--transform-translate-y:6rem}.hover\\:translate-y-32:hover{--transform-translate-y:8rem}.hover\\:translate-y-40:hover{--transform-translate-y:10rem}.hover\\:translate-y-48:hover{--transform-translate-y:12rem}.hover\\:translate-y-56:hover{--transform-translate-y:14rem}.hover\\:translate-y-64:hover{--transform-translate-y:16rem}.hover\\:translate-y-px:hover{--transform-translate-y:1px}.hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.hover\\:translate-y-full:hover{--transform-translate-y:100%}.focus\\:translate-x-0:focus{--transform-translate-x:0}.focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.focus\\:translate-x-4:focus{--transform-translate-x:1rem}.focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.focus\\:translate-x-8:focus{--transform-translate-x:2rem}.focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.focus\\:translate-x-12:focus{--transform-translate-x:3rem}.focus\\:translate-x-16:focus{--transform-translate-x:4rem}.focus\\:translate-x-20:focus{--transform-translate-x:5rem}.focus\\:translate-x-24:focus{--transform-translate-x:6rem}.focus\\:translate-x-32:focus{--transform-translate-x:8rem}.focus\\:translate-x-40:focus{--transform-translate-x:10rem}.focus\\:translate-x-48:focus{--transform-translate-x:12rem}.focus\\:translate-x-56:focus{--transform-translate-x:14rem}.focus\\:translate-x-64:focus{--transform-translate-x:16rem}.focus\\:translate-x-px:focus{--transform-translate-x:1px}.focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.focus\\:translate-x-full:focus{--transform-translate-x:100%}.focus\\:translate-y-0:focus{--transform-translate-y:0}.focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.focus\\:translate-y-4:focus{--transform-translate-y:1rem}.focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.focus\\:translate-y-8:focus{--transform-translate-y:2rem}.focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.focus\\:translate-y-12:focus{--transform-translate-y:3rem}.focus\\:translate-y-16:focus{--transform-translate-y:4rem}.focus\\:translate-y-20:focus{--transform-translate-y:5rem}.focus\\:translate-y-24:focus{--transform-translate-y:6rem}.focus\\:translate-y-32:focus{--transform-translate-y:8rem}.focus\\:translate-y-40:focus{--transform-translate-y:10rem}.focus\\:translate-y-48:focus{--transform-translate-y:12rem}.focus\\:translate-y-56:focus{--transform-translate-y:14rem}.focus\\:translate-y-64:focus{--transform-translate-y:16rem}.focus\\:translate-y-px:focus{--transform-translate-y:1px}.focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.focus\\:translate-y-full:focus{--transform-translate-y:100%}.skew-x-0{--transform-skew-x:0}.skew-x-3{--transform-skew-x:3deg}.skew-x-6{--transform-skew-x:6deg}.skew-x-12{--transform-skew-x:12deg}.-skew-x-12{--transform-skew-x:-12deg}.-skew-x-6{--transform-skew-x:-6deg}.-skew-x-3{--transform-skew-x:-3deg}.skew-y-0{--transform-skew-y:0}.skew-y-3{--transform-skew-y:3deg}.skew-y-6{--transform-skew-y:6deg}.skew-y-12{--transform-skew-y:12deg}.-skew-y-12{--transform-skew-y:-12deg}.-skew-y-6{--transform-skew-y:-6deg}.-skew-y-3{--transform-skew-y:-3deg}.hover\\:skew-x-0:hover{--transform-skew-x:0}.hover\\:skew-x-3:hover{--transform-skew-x:3deg}.hover\\:skew-x-6:hover{--transform-skew-x:6deg}.hover\\:skew-x-12:hover{--transform-skew-x:12deg}.hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.hover\\:skew-y-0:hover{--transform-skew-y:0}.hover\\:skew-y-3:hover{--transform-skew-y:3deg}.hover\\:skew-y-6:hover{--transform-skew-y:6deg}.hover\\:skew-y-12:hover{--transform-skew-y:12deg}.hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.focus\\:skew-x-0:focus{--transform-skew-x:0}.focus\\:skew-x-3:focus{--transform-skew-x:3deg}.focus\\:skew-x-6:focus{--transform-skew-x:6deg}.focus\\:skew-x-12:focus{--transform-skew-x:12deg}.focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.focus\\:skew-y-0:focus{--transform-skew-y:0}.focus\\:skew-y-3:focus{--transform-skew-y:3deg}.focus\\:skew-y-6:focus{--transform-skew-y:6deg}.focus\\:skew-y-12:focus{--transform-skew-y:12deg}.focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.transition-none{-webkit-transition-property:none;transition-property:none}.transition-all{-webkit-transition-property:all;transition-property:all}.transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}@-webkit-keyframes spin{to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes spin{to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@-webkit-keyframes ping{75%,100%{-webkit-transform:scale(2);transform:scale(2);opacity:0}}@keyframes ping{75%,100%{-webkit-transform:scale(2);transform:scale(2);opacity:0}}@-webkit-keyframes pulse{50%{opacity:.5}}@keyframes pulse{50%{opacity:.5}}@-webkit-keyframes bounce{0%,100%{-webkit-transform:translateY(-25%);transform:translateY(-25%);-webkit-animation-timing-function:cubic-bezier(0.8,0,1,1);animation-timing-function:cubic-bezier(0.8,0,1,1)}50%{-webkit-transform:none;transform:none;-webkit-animation-timing-function:cubic-bezier(0,0,0.2,1);animation-timing-function:cubic-bezier(0,0,0.2,1)}}@keyframes bounce{0%,100%{-webkit-transform:translateY(-25%);transform:translateY(-25%);-webkit-animation-timing-function:cubic-bezier(0.8,0,1,1);animation-timing-function:cubic-bezier(0.8,0,1,1)}50%{-webkit-transform:none;transform:none;-webkit-animation-timing-function:cubic-bezier(0,0,0.2,1);animation-timing-function:cubic-bezier(0,0,0.2,1)}}.animate-none{-webkit-animation:none;animation:none}.animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}@media (min-width: 640px){.sm\\:container{width:100%}@media (min-width: 640px){.sm\\:container{max-width:640px}}@media (min-width: 768px){.sm\\:container{max-width:768px}}@media (min-width: 1024px){.sm\\:container{max-width:1024px}}@media (min-width: 1280px){.sm\\:container{max-width:1280px}}.sm\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.sm\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.sm\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.sm\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.sm\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.sm\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.sm\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.sm\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.sm\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.sm\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.sm\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.sm\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.sm\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.sm\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.sm\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.sm\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.sm\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.sm\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.sm\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.sm\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.sm\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.sm\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.sm\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.sm\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.sm\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.sm\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.sm\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.sm\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.sm\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.sm\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.sm\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.sm\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.sm\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.sm\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.sm\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.sm\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.sm\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.sm\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.sm\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.sm\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.sm\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.sm\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.sm\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.sm\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.sm\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.sm\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.sm\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.sm\\:divide-current>:not(template)~:not(template){border-color:currentColor}.sm\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.sm\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.sm\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.sm\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.sm\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.sm\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.sm\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.sm\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.sm\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.sm\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.sm\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.sm\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.sm\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.sm\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.sm\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.sm\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.sm\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.sm\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.sm\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.sm\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.sm\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.sm\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.sm\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.sm\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.sm\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.sm\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.sm\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.sm\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.sm\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.sm\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.sm\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.sm\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.sm\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.sm\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.sm\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.sm\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.sm\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.sm\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.sm\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.sm\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.sm\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.sm\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.sm\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.sm\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.sm\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.sm\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.sm\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.sm\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.sm\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.sm\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.sm\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.sm\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.sm\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.sm\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.sm\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.sm\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.sm\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.sm\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.sm\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.sm\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.sm\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.sm\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.sm\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.sm\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.sm\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.sm\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.sm\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.sm\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.sm\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.sm\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.sm\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.sm\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.sm\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.sm\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.sm\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.sm\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.sm\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.sm\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.sm\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.sm\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.sm\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.sm\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.sm\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.sm\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.sm\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.sm\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.sm\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.sm\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.sm\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.sm\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.sm\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.sm\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.sm\\:divide-solid>:not(template)~:not(template){border-style:solid}.sm\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.sm\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.sm\\:divide-double>:not(template)~:not(template){border-style:double}.sm\\:divide-none>:not(template)~:not(template){border-style:none}.sm\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.sm\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.sm\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.sm\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.sm\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.sm\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.sm\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.sm\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.sm\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.sm\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.sm\\:bg-fixed{background-attachment:fixed}.sm\\:bg-local{background-attachment:local}.sm\\:bg-scroll{background-attachment:scroll}.sm\\:bg-clip-border{background-clip:border-box}.sm\\:bg-clip-padding{background-clip:padding-box}.sm\\:bg-clip-content{background-clip:content-box}.sm\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.sm\\:bg-transparent{background-color:transparent}.sm\\:bg-current{background-color:currentColor}.sm\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.sm\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.sm\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.sm\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.sm\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.sm\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.sm\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.sm\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.sm\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.sm\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.sm\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.sm\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.sm\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.sm\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.sm\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.sm\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.sm\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.sm\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.sm\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.sm\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.sm\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.sm\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.sm\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.sm\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.sm\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.sm\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.sm\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.sm\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.sm\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.sm\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.sm\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.sm\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.sm\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.sm\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.sm\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.sm\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.sm\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.sm\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.sm\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.sm\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.sm\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.sm\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.sm\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.sm\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.sm\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.sm\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.sm\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.sm\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.sm\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.sm\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.sm\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.sm\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.sm\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.sm\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.sm\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.sm\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.sm\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.sm\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.sm\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.sm\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.sm\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.sm\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.sm\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.sm\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.sm\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.sm\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.sm\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.sm\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.sm\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.sm\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.sm\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.sm\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.sm\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.sm\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.sm\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.sm\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.sm\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.sm\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.sm\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.sm\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.sm\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.sm\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.sm\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.sm\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.sm\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.sm\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.sm\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.sm\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.sm\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.sm\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.sm\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.sm\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.sm\\:hover\\:bg-transparent:hover{background-color:transparent}.sm\\:hover\\:bg-current:hover{background-color:currentColor}.sm\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.sm\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.sm\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.sm\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.sm\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.sm\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.sm\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.sm\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.sm\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.sm\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.sm\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.sm\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.sm\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.sm\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.sm\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.sm\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.sm\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.sm\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.sm\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.sm\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.sm\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.sm\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.sm\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.sm\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.sm\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.sm\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.sm\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.sm\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.sm\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.sm\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.sm\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.sm\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.sm\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.sm\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.sm\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.sm\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.sm\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.sm\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.sm\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.sm\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.sm\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.sm\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.sm\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.sm\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.sm\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.sm\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.sm\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.sm\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.sm\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.sm\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.sm\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.sm\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.sm\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.sm\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.sm\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.sm\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.sm\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.sm\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.sm\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.sm\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.sm\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.sm\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.sm\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.sm\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.sm\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.sm\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.sm\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.sm\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.sm\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.sm\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.sm\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.sm\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.sm\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.sm\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.sm\\:focus\\:bg-transparent:focus{background-color:transparent}.sm\\:focus\\:bg-current:focus{background-color:currentColor}.sm\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.sm\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.sm\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.sm\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.sm\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.sm\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.sm\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.sm\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.sm\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.sm\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.sm\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.sm\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.sm\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.sm\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.sm\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.sm\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.sm\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.sm\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.sm\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.sm\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.sm\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.sm\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.sm\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.sm\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.sm\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.sm\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.sm\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.sm\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.sm\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.sm\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.sm\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.sm\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.sm\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.sm\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.sm\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.sm\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.sm\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.sm\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.sm\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.sm\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.sm\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.sm\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.sm\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.sm\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.sm\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.sm\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.sm\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.sm\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.sm\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.sm\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.sm\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.sm\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.sm\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.sm\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.sm\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.sm\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.sm\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.sm\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.sm\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.sm\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.sm\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.sm\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.sm\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.sm\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.sm\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.sm\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.sm\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.sm\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.sm\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.sm\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.sm\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.sm\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.sm\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.sm\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.sm\\:bg-none{background-image:none}.sm\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.sm\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.sm\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.sm\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.sm\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.sm\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.sm\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.sm\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.sm\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:to-transparent{--gradient-to-color:transparent}.sm\\:to-current{--gradient-to-color:currentColor}.sm\\:to-black{--gradient-to-color:#000}.sm\\:to-white{--gradient-to-color:#fff}.sm\\:to-gray-100{--gradient-to-color:#f7fafc}.sm\\:to-gray-200{--gradient-to-color:#edf2f7}.sm\\:to-gray-300{--gradient-to-color:#e2e8f0}.sm\\:to-gray-400{--gradient-to-color:#cbd5e0}.sm\\:to-gray-500{--gradient-to-color:#a0aec0}.sm\\:to-gray-600{--gradient-to-color:#718096}.sm\\:to-gray-700{--gradient-to-color:#4a5568}.sm\\:to-gray-800{--gradient-to-color:#2d3748}.sm\\:to-gray-900{--gradient-to-color:#1a202c}.sm\\:to-red-100{--gradient-to-color:#fff5f5}.sm\\:to-red-200{--gradient-to-color:#fed7d7}.sm\\:to-red-300{--gradient-to-color:#feb2b2}.sm\\:to-red-400{--gradient-to-color:#fc8181}.sm\\:to-red-500{--gradient-to-color:#f56565}.sm\\:to-red-600{--gradient-to-color:#e53e3e}.sm\\:to-red-700{--gradient-to-color:#c53030}.sm\\:to-red-800{--gradient-to-color:#9b2c2c}.sm\\:to-red-900{--gradient-to-color:#742a2a}.sm\\:to-orange-100{--gradient-to-color:#fffaf0}.sm\\:to-orange-200{--gradient-to-color:#feebc8}.sm\\:to-orange-300{--gradient-to-color:#fbd38d}.sm\\:to-orange-400{--gradient-to-color:#f6ad55}.sm\\:to-orange-500{--gradient-to-color:#ed8936}.sm\\:to-orange-600{--gradient-to-color:#dd6b20}.sm\\:to-orange-700{--gradient-to-color:#c05621}.sm\\:to-orange-800{--gradient-to-color:#9c4221}.sm\\:to-orange-900{--gradient-to-color:#7b341e}.sm\\:to-yellow-100{--gradient-to-color:#fffff0}.sm\\:to-yellow-200{--gradient-to-color:#fefcbf}.sm\\:to-yellow-300{--gradient-to-color:#faf089}.sm\\:to-yellow-400{--gradient-to-color:#f6e05e}.sm\\:to-yellow-500{--gradient-to-color:#ecc94b}.sm\\:to-yellow-600{--gradient-to-color:#d69e2e}.sm\\:to-yellow-700{--gradient-to-color:#b7791f}.sm\\:to-yellow-800{--gradient-to-color:#975a16}.sm\\:to-yellow-900{--gradient-to-color:#744210}.sm\\:to-green-100{--gradient-to-color:#f0fff4}.sm\\:to-green-200{--gradient-to-color:#c6f6d5}.sm\\:to-green-300{--gradient-to-color:#9ae6b4}.sm\\:to-green-400{--gradient-to-color:#68d391}.sm\\:to-green-500{--gradient-to-color:#48bb78}.sm\\:to-green-600{--gradient-to-color:#38a169}.sm\\:to-green-700{--gradient-to-color:#2f855a}.sm\\:to-green-800{--gradient-to-color:#276749}.sm\\:to-green-900{--gradient-to-color:#22543d}.sm\\:to-teal-100{--gradient-to-color:#e6fffa}.sm\\:to-teal-200{--gradient-to-color:#b2f5ea}.sm\\:to-teal-300{--gradient-to-color:#81e6d9}.sm\\:to-teal-400{--gradient-to-color:#4fd1c5}.sm\\:to-teal-500{--gradient-to-color:#38b2ac}.sm\\:to-teal-600{--gradient-to-color:#319795}.sm\\:to-teal-700{--gradient-to-color:#2c7a7b}.sm\\:to-teal-800{--gradient-to-color:#285e61}.sm\\:to-teal-900{--gradient-to-color:#234e52}.sm\\:to-blue-100{--gradient-to-color:#ebf8ff}.sm\\:to-blue-200{--gradient-to-color:#bee3f8}.sm\\:to-blue-300{--gradient-to-color:#90cdf4}.sm\\:to-blue-400{--gradient-to-color:#63b3ed}.sm\\:to-blue-500{--gradient-to-color:#4299e1}.sm\\:to-blue-600{--gradient-to-color:#3182ce}.sm\\:to-blue-700{--gradient-to-color:#2b6cb0}.sm\\:to-blue-800{--gradient-to-color:#2c5282}.sm\\:to-blue-900{--gradient-to-color:#2a4365}.sm\\:to-indigo-100{--gradient-to-color:#ebf4ff}.sm\\:to-indigo-200{--gradient-to-color:#c3dafe}.sm\\:to-indigo-300{--gradient-to-color:#a3bffa}.sm\\:to-indigo-400{--gradient-to-color:#7f9cf5}.sm\\:to-indigo-500{--gradient-to-color:#667eea}.sm\\:to-indigo-600{--gradient-to-color:#5a67d8}.sm\\:to-indigo-700{--gradient-to-color:#4c51bf}.sm\\:to-indigo-800{--gradient-to-color:#434190}.sm\\:to-indigo-900{--gradient-to-color:#3c366b}.sm\\:to-purple-100{--gradient-to-color:#faf5ff}.sm\\:to-purple-200{--gradient-to-color:#e9d8fd}.sm\\:to-purple-300{--gradient-to-color:#d6bcfa}.sm\\:to-purple-400{--gradient-to-color:#b794f4}.sm\\:to-purple-500{--gradient-to-color:#9f7aea}.sm\\:to-purple-600{--gradient-to-color:#805ad5}.sm\\:to-purple-700{--gradient-to-color:#6b46c1}.sm\\:to-purple-800{--gradient-to-color:#553c9a}.sm\\:to-purple-900{--gradient-to-color:#44337a}.sm\\:to-pink-100{--gradient-to-color:#fff5f7}.sm\\:to-pink-200{--gradient-to-color:#fed7e2}.sm\\:to-pink-300{--gradient-to-color:#fbb6ce}.sm\\:to-pink-400{--gradient-to-color:#f687b3}.sm\\:to-pink-500{--gradient-to-color:#ed64a6}.sm\\:to-pink-600{--gradient-to-color:#d53f8c}.sm\\:to-pink-700{--gradient-to-color:#b83280}.sm\\:to-pink-800{--gradient-to-color:#97266d}.sm\\:to-pink-900{--gradient-to-color:#702459}.sm\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.sm\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.sm\\:hover\\:to-black:hover{--gradient-to-color:#000}.sm\\:hover\\:to-white:hover{--gradient-to-color:#fff}.sm\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.sm\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.sm\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.sm\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.sm\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.sm\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.sm\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.sm\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.sm\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.sm\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.sm\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.sm\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.sm\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.sm\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.sm\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.sm\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.sm\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.sm\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.sm\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.sm\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.sm\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.sm\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.sm\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.sm\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.sm\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.sm\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.sm\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.sm\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.sm\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.sm\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.sm\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.sm\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.sm\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.sm\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.sm\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.sm\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.sm\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.sm\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.sm\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.sm\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.sm\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.sm\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.sm\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.sm\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.sm\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.sm\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.sm\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.sm\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.sm\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.sm\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.sm\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.sm\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.sm\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.sm\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.sm\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.sm\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.sm\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.sm\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.sm\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.sm\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.sm\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.sm\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.sm\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.sm\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.sm\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.sm\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.sm\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.sm\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.sm\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.sm\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.sm\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.sm\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.sm\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.sm\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.sm\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.sm\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.sm\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.sm\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.sm\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.sm\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.sm\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.sm\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.sm\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.sm\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.sm\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.sm\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.sm\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.sm\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.sm\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.sm\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.sm\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.sm\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.sm\\:focus\\:to-black:focus{--gradient-to-color:#000}.sm\\:focus\\:to-white:focus{--gradient-to-color:#fff}.sm\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.sm\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.sm\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.sm\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.sm\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.sm\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.sm\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.sm\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.sm\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.sm\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.sm\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.sm\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.sm\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.sm\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.sm\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.sm\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.sm\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.sm\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.sm\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.sm\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.sm\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.sm\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.sm\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.sm\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.sm\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.sm\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.sm\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.sm\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.sm\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.sm\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.sm\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.sm\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.sm\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.sm\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.sm\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.sm\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.sm\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.sm\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.sm\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.sm\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.sm\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.sm\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.sm\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.sm\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.sm\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.sm\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.sm\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.sm\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.sm\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.sm\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.sm\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.sm\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.sm\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.sm\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.sm\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.sm\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.sm\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.sm\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.sm\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.sm\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.sm\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.sm\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.sm\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.sm\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.sm\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.sm\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.sm\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.sm\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.sm\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.sm\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.sm\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.sm\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.sm\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.sm\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.sm\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.sm\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.sm\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.sm\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.sm\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.sm\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.sm\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.sm\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.sm\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.sm\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.sm\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.sm\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.sm\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.sm\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.sm\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.sm\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.sm\\:bg-opacity-0{--bg-opacity:0}.sm\\:bg-opacity-25{--bg-opacity:0.25}.sm\\:bg-opacity-50{--bg-opacity:0.5}.sm\\:bg-opacity-75{--bg-opacity:0.75}.sm\\:bg-opacity-100{--bg-opacity:1}.sm\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.sm\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.sm\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.sm\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.sm\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.sm\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.sm\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.sm\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.sm\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.sm\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.sm\\:bg-bottom{background-position:bottom}.sm\\:bg-center{background-position:center}.sm\\:bg-left{background-position:left}.sm\\:bg-left-bottom{background-position:left bottom}.sm\\:bg-left-top{background-position:left top}.sm\\:bg-right{background-position:right}.sm\\:bg-right-bottom{background-position:right bottom}.sm\\:bg-right-top{background-position:right top}.sm\\:bg-top{background-position:top}.sm\\:bg-repeat{background-repeat:repeat}.sm\\:bg-no-repeat{background-repeat:no-repeat}.sm\\:bg-repeat-x{background-repeat:repeat-x}.sm\\:bg-repeat-y{background-repeat:repeat-y}.sm\\:bg-repeat-round{background-repeat:round}.sm\\:bg-repeat-space{background-repeat:space}.sm\\:bg-auto{background-size:auto}.sm\\:bg-cover{background-size:cover}.sm\\:bg-contain{background-size:contain}.sm\\:border-collapse{border-collapse:collapse}.sm\\:border-separate{border-collapse:separate}.sm\\:border-transparent{border-color:transparent}.sm\\:border-current{border-color:currentColor}.sm\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.sm\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.sm\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.sm\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.sm\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.sm\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.sm\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.sm\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.sm\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.sm\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.sm\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.sm\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.sm\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.sm\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.sm\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.sm\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.sm\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.sm\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.sm\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.sm\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.sm\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.sm\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.sm\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.sm\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.sm\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.sm\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.sm\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.sm\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.sm\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.sm\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.sm\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.sm\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.sm\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.sm\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.sm\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.sm\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.sm\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.sm\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.sm\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.sm\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.sm\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.sm\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.sm\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.sm\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.sm\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.sm\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.sm\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.sm\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.sm\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.sm\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.sm\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.sm\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.sm\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.sm\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.sm\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.sm\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.sm\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.sm\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.sm\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.sm\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.sm\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.sm\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.sm\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.sm\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.sm\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.sm\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.sm\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.sm\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.sm\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.sm\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.sm\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.sm\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.sm\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.sm\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.sm\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.sm\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.sm\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.sm\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.sm\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.sm\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.sm\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.sm\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.sm\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.sm\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.sm\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.sm\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.sm\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.sm\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.sm\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.sm\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.sm\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.sm\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.sm\\:hover\\:border-transparent:hover{border-color:transparent}.sm\\:hover\\:border-current:hover{border-color:currentColor}.sm\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.sm\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.sm\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.sm\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.sm\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.sm\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.sm\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.sm\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.sm\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.sm\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.sm\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.sm\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.sm\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.sm\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.sm\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.sm\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.sm\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.sm\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.sm\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.sm\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.sm\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.sm\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.sm\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.sm\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.sm\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.sm\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.sm\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.sm\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.sm\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.sm\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.sm\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.sm\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.sm\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.sm\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.sm\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.sm\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.sm\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.sm\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.sm\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.sm\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.sm\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.sm\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.sm\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.sm\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.sm\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.sm\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.sm\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.sm\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.sm\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.sm\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.sm\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.sm\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.sm\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.sm\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.sm\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.sm\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.sm\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.sm\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.sm\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.sm\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.sm\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.sm\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.sm\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.sm\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.sm\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.sm\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.sm\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.sm\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.sm\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.sm\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.sm\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.sm\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.sm\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.sm\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.sm\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.sm\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.sm\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.sm\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.sm\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.sm\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.sm\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.sm\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.sm\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.sm\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.sm\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.sm\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.sm\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.sm\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.sm\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.sm\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.sm\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.sm\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.sm\\:focus\\:border-transparent:focus{border-color:transparent}.sm\\:focus\\:border-current:focus{border-color:currentColor}.sm\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.sm\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.sm\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.sm\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.sm\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.sm\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.sm\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.sm\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.sm\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.sm\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.sm\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.sm\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.sm\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.sm\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.sm\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.sm\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.sm\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.sm\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.sm\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.sm\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.sm\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.sm\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.sm\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.sm\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.sm\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.sm\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.sm\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.sm\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.sm\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.sm\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.sm\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.sm\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.sm\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.sm\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.sm\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.sm\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.sm\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.sm\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.sm\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.sm\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.sm\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.sm\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.sm\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.sm\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.sm\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.sm\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.sm\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.sm\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.sm\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.sm\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.sm\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.sm\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.sm\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.sm\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.sm\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.sm\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.sm\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.sm\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.sm\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.sm\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.sm\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.sm\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.sm\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.sm\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.sm\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.sm\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.sm\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.sm\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.sm\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.sm\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.sm\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.sm\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.sm\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.sm\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.sm\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.sm\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.sm\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.sm\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.sm\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.sm\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.sm\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.sm\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.sm\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.sm\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.sm\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.sm\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.sm\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.sm\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.sm\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.sm\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.sm\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.sm\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.sm\\:border-opacity-0{--border-opacity:0}.sm\\:border-opacity-25{--border-opacity:0.25}.sm\\:border-opacity-50{--border-opacity:0.5}.sm\\:border-opacity-75{--border-opacity:0.75}.sm\\:border-opacity-100{--border-opacity:1}.sm\\:hover\\:border-opacity-0:hover{--border-opacity:0}.sm\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.sm\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.sm\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.sm\\:hover\\:border-opacity-100:hover{--border-opacity:1}.sm\\:focus\\:border-opacity-0:focus{--border-opacity:0}.sm\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.sm\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.sm\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.sm\\:focus\\:border-opacity-100:focus{--border-opacity:1}.sm\\:rounded-none{border-radius:0}.sm\\:rounded-sm{border-radius:0.125rem}.sm\\:rounded{border-radius:0.25rem}.sm\\:rounded-md{border-radius:0.375rem}.sm\\:rounded-lg{border-radius:0.5rem}.sm\\:rounded-full{border-radius:9999px}.sm\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.sm\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.sm\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.sm\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.sm\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.sm\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.sm\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.sm\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.sm\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.sm\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.sm\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.sm\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.sm\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.sm\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.sm\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.sm\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.sm\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.sm\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.sm\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.sm\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.sm\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.sm\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.sm\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.sm\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.sm\\:rounded-tl-none{border-top-left-radius:0}.sm\\:rounded-tr-none{border-top-right-radius:0}.sm\\:rounded-br-none{border-bottom-right-radius:0}.sm\\:rounded-bl-none{border-bottom-left-radius:0}.sm\\:rounded-tl-sm{border-top-left-radius:0.125rem}.sm\\:rounded-tr-sm{border-top-right-radius:0.125rem}.sm\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.sm\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.sm\\:rounded-tl{border-top-left-radius:0.25rem}.sm\\:rounded-tr{border-top-right-radius:0.25rem}.sm\\:rounded-br{border-bottom-right-radius:0.25rem}.sm\\:rounded-bl{border-bottom-left-radius:0.25rem}.sm\\:rounded-tl-md{border-top-left-radius:0.375rem}.sm\\:rounded-tr-md{border-top-right-radius:0.375rem}.sm\\:rounded-br-md{border-bottom-right-radius:0.375rem}.sm\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.sm\\:rounded-tl-lg{border-top-left-radius:0.5rem}.sm\\:rounded-tr-lg{border-top-right-radius:0.5rem}.sm\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.sm\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.sm\\:rounded-tl-full{border-top-left-radius:9999px}.sm\\:rounded-tr-full{border-top-right-radius:9999px}.sm\\:rounded-br-full{border-bottom-right-radius:9999px}.sm\\:rounded-bl-full{border-bottom-left-radius:9999px}.sm\\:border-solid{border-style:solid}.sm\\:border-dashed{border-style:dashed}.sm\\:border-dotted{border-style:dotted}.sm\\:border-double{border-style:double}.sm\\:border-none{border-style:none}.sm\\:border-0{border-width:0}.sm\\:border-2{border-width:2px}.sm\\:border-4{border-width:4px}.sm\\:border-8{border-width:8px}.sm\\:border{border-width:1px}.sm\\:border-t-0{border-top-width:0}.sm\\:border-r-0{border-right-width:0}.sm\\:border-b-0{border-bottom-width:0}.sm\\:border-l-0{border-left-width:0}.sm\\:border-t-2{border-top-width:2px}.sm\\:border-r-2{border-right-width:2px}.sm\\:border-b-2{border-bottom-width:2px}.sm\\:border-l-2{border-left-width:2px}.sm\\:border-t-4{border-top-width:4px}.sm\\:border-r-4{border-right-width:4px}.sm\\:border-b-4{border-bottom-width:4px}.sm\\:border-l-4{border-left-width:4px}.sm\\:border-t-8{border-top-width:8px}.sm\\:border-r-8{border-right-width:8px}.sm\\:border-b-8{border-bottom-width:8px}.sm\\:border-l-8{border-left-width:8px}.sm\\:border-t{border-top-width:1px}.sm\\:border-r{border-right-width:1px}.sm\\:border-b{border-bottom-width:1px}.sm\\:border-l{border-left-width:1px}.sm\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.sm\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.sm\\:cursor-auto{cursor:auto}.sm\\:cursor-default{cursor:default}.sm\\:cursor-pointer{cursor:pointer}.sm\\:cursor-wait{cursor:wait}.sm\\:cursor-text{cursor:text}.sm\\:cursor-move{cursor:move}.sm\\:cursor-not-allowed{cursor:not-allowed}.sm\\:block{display:block}.sm\\:inline-block{display:inline-block}.sm\\:inline{display:inline}.sm\\:flex{display:-ms-flexbox;display:flex}.sm\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.sm\\:table{display:table}.sm\\:table-caption{display:table-caption}.sm\\:table-cell{display:table-cell}.sm\\:table-column{display:table-column}.sm\\:table-column-group{display:table-column-group}.sm\\:table-footer-group{display:table-footer-group}.sm\\:table-header-group{display:table-header-group}.sm\\:table-row-group{display:table-row-group}.sm\\:table-row{display:table-row}.sm\\:flow-root{display:flow-root}.sm\\:grid{display:grid}.sm\\:inline-grid{display:inline-grid}.sm\\:contents{display:contents}.sm\\:hidden{display:none}.sm\\:flex-row{-ms-flex-direction:row;flex-direction:row}.sm\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.sm\\:flex-col{-ms-flex-direction:column;flex-direction:column}.sm\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.sm\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.sm\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.sm\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.sm\\:place-items-auto{place-items:auto}.sm\\:place-items-start{place-items:start}.sm\\:place-items-end{place-items:end}.sm\\:place-items-center{place-items:center}.sm\\:place-items-stretch{place-items:stretch}.sm\\:place-content-center{place-content:center}.sm\\:place-content-start{place-content:start}.sm\\:place-content-end{place-content:end}.sm\\:place-content-between{place-content:space-between}.sm\\:place-content-around{place-content:space-around}.sm\\:place-content-evenly{place-content:space-evenly}.sm\\:place-content-stretch{place-content:stretch}.sm\\:place-self-auto{place-self:auto}.sm\\:place-self-start{place-self:start}.sm\\:place-self-end{place-self:end}.sm\\:place-self-center{place-self:center}.sm\\:place-self-stretch{place-self:stretch}.sm\\:items-start{-ms-flex-align:start;align-items:flex-start}.sm\\:items-end{-ms-flex-align:end;align-items:flex-end}.sm\\:items-center{-ms-flex-align:center;align-items:center}.sm\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.sm\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.sm\\:content-center{-ms-flex-line-pack:center;align-content:center}.sm\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.sm\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.sm\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.sm\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.sm\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.sm\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.sm\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.sm\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.sm\\:self-center{-ms-flex-item-align:center;align-self:center}.sm\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.sm\\:justify-items-auto{justify-items:auto}.sm\\:justify-items-start{justify-items:start}.sm\\:justify-items-end{justify-items:end}.sm\\:justify-items-center{justify-items:center}.sm\\:justify-items-stretch{justify-items:stretch}.sm\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.sm\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.sm\\:justify-center{-ms-flex-pack:center;justify-content:center}.sm\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.sm\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.sm\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.sm\\:justify-self-auto{justify-self:auto}.sm\\:justify-self-start{justify-self:start}.sm\\:justify-self-end{justify-self:end}.sm\\:justify-self-center{justify-self:center}.sm\\:justify-self-stretch{justify-self:stretch}.sm\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.sm\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.sm\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.sm\\:flex-none{-ms-flex:none;flex:none}.sm\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.sm\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.sm\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.sm\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.sm\\:order-1{-ms-flex-order:1;order:1}.sm\\:order-2{-ms-flex-order:2;order:2}.sm\\:order-3{-ms-flex-order:3;order:3}.sm\\:order-4{-ms-flex-order:4;order:4}.sm\\:order-5{-ms-flex-order:5;order:5}.sm\\:order-6{-ms-flex-order:6;order:6}.sm\\:order-7{-ms-flex-order:7;order:7}.sm\\:order-8{-ms-flex-order:8;order:8}.sm\\:order-9{-ms-flex-order:9;order:9}.sm\\:order-10{-ms-flex-order:10;order:10}.sm\\:order-11{-ms-flex-order:11;order:11}.sm\\:order-12{-ms-flex-order:12;order:12}.sm\\:order-first{-ms-flex-order:-9999;order:-9999}.sm\\:order-last{-ms-flex-order:9999;order:9999}.sm\\:order-none{-ms-flex-order:0;order:0}.sm\\:float-right{float:right}.sm\\:float-left{float:left}.sm\\:float-none{float:none}.sm\\:clearfix:after{content:\"\";display:table;clear:both}.sm\\:clear-left{clear:left}.sm\\:clear-right{clear:right}.sm\\:clear-both{clear:both}.sm\\:clear-none{clear:none}.sm\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.sm\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.sm\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.sm\\:font-hairline{font-weight:100}.sm\\:font-thin{font-weight:200}.sm\\:font-light{font-weight:300}.sm\\:font-normal{font-weight:400}.sm\\:font-medium{font-weight:500}.sm\\:font-semibold{font-weight:600}.sm\\:font-bold{font-weight:700}.sm\\:font-extrabold{font-weight:800}.sm\\:font-black{font-weight:900}.sm\\:hover\\:font-hairline:hover{font-weight:100}.sm\\:hover\\:font-thin:hover{font-weight:200}.sm\\:hover\\:font-light:hover{font-weight:300}.sm\\:hover\\:font-normal:hover{font-weight:400}.sm\\:hover\\:font-medium:hover{font-weight:500}.sm\\:hover\\:font-semibold:hover{font-weight:600}.sm\\:hover\\:font-bold:hover{font-weight:700}.sm\\:hover\\:font-extrabold:hover{font-weight:800}.sm\\:hover\\:font-black:hover{font-weight:900}.sm\\:focus\\:font-hairline:focus{font-weight:100}.sm\\:focus\\:font-thin:focus{font-weight:200}.sm\\:focus\\:font-light:focus{font-weight:300}.sm\\:focus\\:font-normal:focus{font-weight:400}.sm\\:focus\\:font-medium:focus{font-weight:500}.sm\\:focus\\:font-semibold:focus{font-weight:600}.sm\\:focus\\:font-bold:focus{font-weight:700}.sm\\:focus\\:font-extrabold:focus{font-weight:800}.sm\\:focus\\:font-black:focus{font-weight:900}.sm\\:h-0{height:0}.sm\\:h-1{height:0.25rem}.sm\\:h-2{height:0.5rem}.sm\\:h-3{height:0.75rem}.sm\\:h-4{height:1rem}.sm\\:h-5{height:1.25rem}.sm\\:h-6{height:1.5rem}.sm\\:h-8{height:2rem}.sm\\:h-10{height:2.5rem}.sm\\:h-12{height:3rem}.sm\\:h-16{height:4rem}.sm\\:h-20{height:5rem}.sm\\:h-24{height:6rem}.sm\\:h-32{height:8rem}.sm\\:h-40{height:10rem}.sm\\:h-48{height:12rem}.sm\\:h-56{height:14rem}.sm\\:h-64{height:16rem}.sm\\:h-auto{height:auto}.sm\\:h-px{height:1px}.sm\\:h-full{height:100%}.sm\\:h-screen{height:100vh}.sm\\:text-xs{font-size:0.75rem}.sm\\:text-sm{font-size:0.875rem}.sm\\:text-base{font-size:1rem}.sm\\:text-lg{font-size:1.125rem}.sm\\:text-xl{font-size:1.25rem}.sm\\:text-2xl{font-size:1.5rem}.sm\\:text-3xl{font-size:1.875rem}.sm\\:text-4xl{font-size:2.25rem}.sm\\:text-5xl{font-size:3rem}.sm\\:text-6xl{font-size:4rem}.sm\\:leading-3{line-height:.75rem}.sm\\:leading-4{line-height:1rem}.sm\\:leading-5{line-height:1.25rem}.sm\\:leading-6{line-height:1.5rem}.sm\\:leading-7{line-height:1.75rem}.sm\\:leading-8{line-height:2rem}.sm\\:leading-9{line-height:2.25rem}.sm\\:leading-10{line-height:2.5rem}.sm\\:leading-none{line-height:1}.sm\\:leading-tight{line-height:1.25}.sm\\:leading-snug{line-height:1.375}.sm\\:leading-normal{line-height:1.5}.sm\\:leading-relaxed{line-height:1.625}.sm\\:leading-loose{line-height:2}.sm\\:list-inside{list-style-position:inside}.sm\\:list-outside{list-style-position:outside}.sm\\:list-none{list-style-type:none}.sm\\:list-disc{list-style-type:disc}.sm\\:list-decimal{list-style-type:decimal}.sm\\:m-0{margin:0}.sm\\:m-1{margin:0.25rem}.sm\\:m-2{margin:0.5rem}.sm\\:m-3{margin:0.75rem}.sm\\:m-4{margin:1rem}.sm\\:m-5{margin:1.25rem}.sm\\:m-6{margin:1.5rem}.sm\\:m-8{margin:2rem}.sm\\:m-10{margin:2.5rem}.sm\\:m-12{margin:3rem}.sm\\:m-16{margin:4rem}.sm\\:m-20{margin:5rem}.sm\\:m-24{margin:6rem}.sm\\:m-32{margin:8rem}.sm\\:m-40{margin:10rem}.sm\\:m-48{margin:12rem}.sm\\:m-56{margin:14rem}.sm\\:m-64{margin:16rem}.sm\\:m-auto{margin:auto}.sm\\:m-px{margin:1px}.sm\\:-m-1{margin:-0.25rem}.sm\\:-m-2{margin:-0.5rem}.sm\\:-m-3{margin:-0.75rem}.sm\\:-m-4{margin:-1rem}.sm\\:-m-5{margin:-1.25rem}.sm\\:-m-6{margin:-1.5rem}.sm\\:-m-8{margin:-2rem}.sm\\:-m-10{margin:-2.5rem}.sm\\:-m-12{margin:-3rem}.sm\\:-m-16{margin:-4rem}.sm\\:-m-20{margin:-5rem}.sm\\:-m-24{margin:-6rem}.sm\\:-m-32{margin:-8rem}.sm\\:-m-40{margin:-10rem}.sm\\:-m-48{margin:-12rem}.sm\\:-m-56{margin:-14rem}.sm\\:-m-64{margin:-16rem}.sm\\:-m-px{margin:-1px}.sm\\:my-0{margin-top:0;margin-bottom:0}.sm\\:mx-0{margin-left:0;margin-right:0}.sm\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.sm\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.sm\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.sm\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.sm\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.sm\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.sm\\:my-4{margin-top:1rem;margin-bottom:1rem}.sm\\:mx-4{margin-left:1rem;margin-right:1rem}.sm\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.sm\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.sm\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.sm\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.sm\\:my-8{margin-top:2rem;margin-bottom:2rem}.sm\\:mx-8{margin-left:2rem;margin-right:2rem}.sm\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.sm\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.sm\\:my-12{margin-top:3rem;margin-bottom:3rem}.sm\\:mx-12{margin-left:3rem;margin-right:3rem}.sm\\:my-16{margin-top:4rem;margin-bottom:4rem}.sm\\:mx-16{margin-left:4rem;margin-right:4rem}.sm\\:my-20{margin-top:5rem;margin-bottom:5rem}.sm\\:mx-20{margin-left:5rem;margin-right:5rem}.sm\\:my-24{margin-top:6rem;margin-bottom:6rem}.sm\\:mx-24{margin-left:6rem;margin-right:6rem}.sm\\:my-32{margin-top:8rem;margin-bottom:8rem}.sm\\:mx-32{margin-left:8rem;margin-right:8rem}.sm\\:my-40{margin-top:10rem;margin-bottom:10rem}.sm\\:mx-40{margin-left:10rem;margin-right:10rem}.sm\\:my-48{margin-top:12rem;margin-bottom:12rem}.sm\\:mx-48{margin-left:12rem;margin-right:12rem}.sm\\:my-56{margin-top:14rem;margin-bottom:14rem}.sm\\:mx-56{margin-left:14rem;margin-right:14rem}.sm\\:my-64{margin-top:16rem;margin-bottom:16rem}.sm\\:mx-64{margin-left:16rem;margin-right:16rem}.sm\\:my-auto{margin-top:auto;margin-bottom:auto}.sm\\:mx-auto{margin-left:auto;margin-right:auto}.sm\\:my-px{margin-top:1px;margin-bottom:1px}.sm\\:mx-px{margin-left:1px;margin-right:1px}.sm\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.sm\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.sm\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.sm\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.sm\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.sm\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.sm\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.sm\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.sm\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.sm\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.sm\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.sm\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.sm\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.sm\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.sm\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.sm\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.sm\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.sm\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.sm\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.sm\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.sm\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.sm\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.sm\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.sm\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.sm\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.sm\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.sm\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.sm\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.sm\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.sm\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.sm\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.sm\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.sm\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.sm\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.sm\\:-my-px{margin-top:-1px;margin-bottom:-1px}.sm\\:-mx-px{margin-left:-1px;margin-right:-1px}.sm\\:mt-0{margin-top:0}.sm\\:mr-0{margin-right:0}.sm\\:mb-0{margin-bottom:0}.sm\\:ml-0{margin-left:0}.sm\\:mt-1{margin-top:0.25rem}.sm\\:mr-1{margin-right:0.25rem}.sm\\:mb-1{margin-bottom:0.25rem}.sm\\:ml-1{margin-left:0.25rem}.sm\\:mt-2{margin-top:0.5rem}.sm\\:mr-2{margin-right:0.5rem}.sm\\:mb-2{margin-bottom:0.5rem}.sm\\:ml-2{margin-left:0.5rem}.sm\\:mt-3{margin-top:0.75rem}.sm\\:mr-3{margin-right:0.75rem}.sm\\:mb-3{margin-bottom:0.75rem}.sm\\:ml-3{margin-left:0.75rem}.sm\\:mt-4{margin-top:1rem}.sm\\:mr-4{margin-right:1rem}.sm\\:mb-4{margin-bottom:1rem}.sm\\:ml-4{margin-left:1rem}.sm\\:mt-5{margin-top:1.25rem}.sm\\:mr-5{margin-right:1.25rem}.sm\\:mb-5{margin-bottom:1.25rem}.sm\\:ml-5{margin-left:1.25rem}.sm\\:mt-6{margin-top:1.5rem}.sm\\:mr-6{margin-right:1.5rem}.sm\\:mb-6{margin-bottom:1.5rem}.sm\\:ml-6{margin-left:1.5rem}.sm\\:mt-8{margin-top:2rem}.sm\\:mr-8{margin-right:2rem}.sm\\:mb-8{margin-bottom:2rem}.sm\\:ml-8{margin-left:2rem}.sm\\:mt-10{margin-top:2.5rem}.sm\\:mr-10{margin-right:2.5rem}.sm\\:mb-10{margin-bottom:2.5rem}.sm\\:ml-10{margin-left:2.5rem}.sm\\:mt-12{margin-top:3rem}.sm\\:mr-12{margin-right:3rem}.sm\\:mb-12{margin-bottom:3rem}.sm\\:ml-12{margin-left:3rem}.sm\\:mt-16{margin-top:4rem}.sm\\:mr-16{margin-right:4rem}.sm\\:mb-16{margin-bottom:4rem}.sm\\:ml-16{margin-left:4rem}.sm\\:mt-20{margin-top:5rem}.sm\\:mr-20{margin-right:5rem}.sm\\:mb-20{margin-bottom:5rem}.sm\\:ml-20{margin-left:5rem}.sm\\:mt-24{margin-top:6rem}.sm\\:mr-24{margin-right:6rem}.sm\\:mb-24{margin-bottom:6rem}.sm\\:ml-24{margin-left:6rem}.sm\\:mt-32{margin-top:8rem}.sm\\:mr-32{margin-right:8rem}.sm\\:mb-32{margin-bottom:8rem}.sm\\:ml-32{margin-left:8rem}.sm\\:mt-40{margin-top:10rem}.sm\\:mr-40{margin-right:10rem}.sm\\:mb-40{margin-bottom:10rem}.sm\\:ml-40{margin-left:10rem}.sm\\:mt-48{margin-top:12rem}.sm\\:mr-48{margin-right:12rem}.sm\\:mb-48{margin-bottom:12rem}.sm\\:ml-48{margin-left:12rem}.sm\\:mt-56{margin-top:14rem}.sm\\:mr-56{margin-right:14rem}.sm\\:mb-56{margin-bottom:14rem}.sm\\:ml-56{margin-left:14rem}.sm\\:mt-64{margin-top:16rem}.sm\\:mr-64{margin-right:16rem}.sm\\:mb-64{margin-bottom:16rem}.sm\\:ml-64{margin-left:16rem}.sm\\:mt-auto{margin-top:auto}.sm\\:mr-auto{margin-right:auto}.sm\\:mb-auto{margin-bottom:auto}.sm\\:ml-auto{margin-left:auto}.sm\\:mt-px{margin-top:1px}.sm\\:mr-px{margin-right:1px}.sm\\:mb-px{margin-bottom:1px}.sm\\:ml-px{margin-left:1px}.sm\\:-mt-1{margin-top:-0.25rem}.sm\\:-mr-1{margin-right:-0.25rem}.sm\\:-mb-1{margin-bottom:-0.25rem}.sm\\:-ml-1{margin-left:-0.25rem}.sm\\:-mt-2{margin-top:-0.5rem}.sm\\:-mr-2{margin-right:-0.5rem}.sm\\:-mb-2{margin-bottom:-0.5rem}.sm\\:-ml-2{margin-left:-0.5rem}.sm\\:-mt-3{margin-top:-0.75rem}.sm\\:-mr-3{margin-right:-0.75rem}.sm\\:-mb-3{margin-bottom:-0.75rem}.sm\\:-ml-3{margin-left:-0.75rem}.sm\\:-mt-4{margin-top:-1rem}.sm\\:-mr-4{margin-right:-1rem}.sm\\:-mb-4{margin-bottom:-1rem}.sm\\:-ml-4{margin-left:-1rem}.sm\\:-mt-5{margin-top:-1.25rem}.sm\\:-mr-5{margin-right:-1.25rem}.sm\\:-mb-5{margin-bottom:-1.25rem}.sm\\:-ml-5{margin-left:-1.25rem}.sm\\:-mt-6{margin-top:-1.5rem}.sm\\:-mr-6{margin-right:-1.5rem}.sm\\:-mb-6{margin-bottom:-1.5rem}.sm\\:-ml-6{margin-left:-1.5rem}.sm\\:-mt-8{margin-top:-2rem}.sm\\:-mr-8{margin-right:-2rem}.sm\\:-mb-8{margin-bottom:-2rem}.sm\\:-ml-8{margin-left:-2rem}.sm\\:-mt-10{margin-top:-2.5rem}.sm\\:-mr-10{margin-right:-2.5rem}.sm\\:-mb-10{margin-bottom:-2.5rem}.sm\\:-ml-10{margin-left:-2.5rem}.sm\\:-mt-12{margin-top:-3rem}.sm\\:-mr-12{margin-right:-3rem}.sm\\:-mb-12{margin-bottom:-3rem}.sm\\:-ml-12{margin-left:-3rem}.sm\\:-mt-16{margin-top:-4rem}.sm\\:-mr-16{margin-right:-4rem}.sm\\:-mb-16{margin-bottom:-4rem}.sm\\:-ml-16{margin-left:-4rem}.sm\\:-mt-20{margin-top:-5rem}.sm\\:-mr-20{margin-right:-5rem}.sm\\:-mb-20{margin-bottom:-5rem}.sm\\:-ml-20{margin-left:-5rem}.sm\\:-mt-24{margin-top:-6rem}.sm\\:-mr-24{margin-right:-6rem}.sm\\:-mb-24{margin-bottom:-6rem}.sm\\:-ml-24{margin-left:-6rem}.sm\\:-mt-32{margin-top:-8rem}.sm\\:-mr-32{margin-right:-8rem}.sm\\:-mb-32{margin-bottom:-8rem}.sm\\:-ml-32{margin-left:-8rem}.sm\\:-mt-40{margin-top:-10rem}.sm\\:-mr-40{margin-right:-10rem}.sm\\:-mb-40{margin-bottom:-10rem}.sm\\:-ml-40{margin-left:-10rem}.sm\\:-mt-48{margin-top:-12rem}.sm\\:-mr-48{margin-right:-12rem}.sm\\:-mb-48{margin-bottom:-12rem}.sm\\:-ml-48{margin-left:-12rem}.sm\\:-mt-56{margin-top:-14rem}.sm\\:-mr-56{margin-right:-14rem}.sm\\:-mb-56{margin-bottom:-14rem}.sm\\:-ml-56{margin-left:-14rem}.sm\\:-mt-64{margin-top:-16rem}.sm\\:-mr-64{margin-right:-16rem}.sm\\:-mb-64{margin-bottom:-16rem}.sm\\:-ml-64{margin-left:-16rem}.sm\\:-mt-px{margin-top:-1px}.sm\\:-mr-px{margin-right:-1px}.sm\\:-mb-px{margin-bottom:-1px}.sm\\:-ml-px{margin-left:-1px}.sm\\:max-h-full{max-height:100%}.sm\\:max-h-screen{max-height:100vh}.sm\\:max-w-none{max-width:none}.sm\\:max-w-xs{max-width:20rem}.sm\\:max-w-sm{max-width:24rem}.sm\\:max-w-md{max-width:28rem}.sm\\:max-w-lg{max-width:32rem}.sm\\:max-w-xl{max-width:36rem}.sm\\:max-w-2xl{max-width:42rem}.sm\\:max-w-3xl{max-width:48rem}.sm\\:max-w-4xl{max-width:56rem}.sm\\:max-w-5xl{max-width:64rem}.sm\\:max-w-6xl{max-width:72rem}.sm\\:max-w-full{max-width:100%}.sm\\:max-w-screen-sm{max-width:640px}.sm\\:max-w-screen-md{max-width:768px}.sm\\:max-w-screen-lg{max-width:1024px}.sm\\:max-w-screen-xl{max-width:1280px}.sm\\:min-h-0{min-height:0}.sm\\:min-h-full{min-height:100%}.sm\\:min-h-screen{min-height:100vh}.sm\\:min-w-0{min-width:0}.sm\\:min-w-full{min-width:100%}.sm\\:object-contain{-o-object-fit:contain;object-fit:contain}.sm\\:object-cover{-o-object-fit:cover;object-fit:cover}.sm\\:object-fill{-o-object-fit:fill;object-fit:fill}.sm\\:object-none{-o-object-fit:none;object-fit:none}.sm\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.sm\\:object-bottom{-o-object-position:bottom;object-position:bottom}.sm\\:object-center{-o-object-position:center;object-position:center}.sm\\:object-left{-o-object-position:left;object-position:left}.sm\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.sm\\:object-left-top{-o-object-position:left top;object-position:left top}.sm\\:object-right{-o-object-position:right;object-position:right}.sm\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.sm\\:object-right-top{-o-object-position:right top;object-position:right top}.sm\\:object-top{-o-object-position:top;object-position:top}.sm\\:opacity-0{opacity:0}.sm\\:opacity-25{opacity:0.25}.sm\\:opacity-50{opacity:0.5}.sm\\:opacity-75{opacity:0.75}.sm\\:opacity-100{opacity:1}.sm\\:hover\\:opacity-0:hover{opacity:0}.sm\\:hover\\:opacity-25:hover{opacity:0.25}.sm\\:hover\\:opacity-50:hover{opacity:0.5}.sm\\:hover\\:opacity-75:hover{opacity:0.75}.sm\\:hover\\:opacity-100:hover{opacity:1}.sm\\:focus\\:opacity-0:focus{opacity:0}.sm\\:focus\\:opacity-25:focus{opacity:0.25}.sm\\:focus\\:opacity-50:focus{opacity:0.5}.sm\\:focus\\:opacity-75:focus{opacity:0.75}.sm\\:focus\\:opacity-100:focus{opacity:1}.sm\\:outline-none{outline:0}.sm\\:focus\\:outline-none:focus{outline:0}.sm\\:overflow-auto{overflow:auto}.sm\\:overflow-hidden{overflow:hidden}.sm\\:overflow-visible{overflow:visible}.sm\\:overflow-scroll{overflow:scroll}.sm\\:overflow-x-auto{overflow-x:auto}.sm\\:overflow-y-auto{overflow-y:auto}.sm\\:overflow-x-hidden{overflow-x:hidden}.sm\\:overflow-y-hidden{overflow-y:hidden}.sm\\:overflow-x-visible{overflow-x:visible}.sm\\:overflow-y-visible{overflow-y:visible}.sm\\:overflow-x-scroll{overflow-x:scroll}.sm\\:overflow-y-scroll{overflow-y:scroll}.sm\\:scrolling-touch{-webkit-overflow-scrolling:touch}.sm\\:scrolling-auto{-webkit-overflow-scrolling:auto}.sm\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.sm\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.sm\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.sm\\:overscroll-y-auto{overscroll-behavior-y:auto}.sm\\:overscroll-y-contain{overscroll-behavior-y:contain}.sm\\:overscroll-y-none{overscroll-behavior-y:none}.sm\\:overscroll-x-auto{overscroll-behavior-x:auto}.sm\\:overscroll-x-contain{overscroll-behavior-x:contain}.sm\\:overscroll-x-none{overscroll-behavior-x:none}.sm\\:p-0{padding:0}.sm\\:p-1{padding:0.25rem}.sm\\:p-2{padding:0.5rem}.sm\\:p-3{padding:0.75rem}.sm\\:p-4{padding:1rem}.sm\\:p-5{padding:1.25rem}.sm\\:p-6{padding:1.5rem}.sm\\:p-8{padding:2rem}.sm\\:p-10{padding:2.5rem}.sm\\:p-12{padding:3rem}.sm\\:p-16{padding:4rem}.sm\\:p-20{padding:5rem}.sm\\:p-24{padding:6rem}.sm\\:p-32{padding:8rem}.sm\\:p-40{padding:10rem}.sm\\:p-48{padding:12rem}.sm\\:p-56{padding:14rem}.sm\\:p-64{padding:16rem}.sm\\:p-px{padding:1px}.sm\\:py-0{padding-top:0;padding-bottom:0}.sm\\:px-0{padding-left:0;padding-right:0}.sm\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.sm\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.sm\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.sm\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.sm\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.sm\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.sm\\:py-4{padding-top:1rem;padding-bottom:1rem}.sm\\:px-4{padding-left:1rem;padding-right:1rem}.sm\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.sm\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.sm\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.sm\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.sm\\:py-8{padding-top:2rem;padding-bottom:2rem}.sm\\:px-8{padding-left:2rem;padding-right:2rem}.sm\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.sm\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.sm\\:py-12{padding-top:3rem;padding-bottom:3rem}.sm\\:px-12{padding-left:3rem;padding-right:3rem}.sm\\:py-16{padding-top:4rem;padding-bottom:4rem}.sm\\:px-16{padding-left:4rem;padding-right:4rem}.sm\\:py-20{padding-top:5rem;padding-bottom:5rem}.sm\\:px-20{padding-left:5rem;padding-right:5rem}.sm\\:py-24{padding-top:6rem;padding-bottom:6rem}.sm\\:px-24{padding-left:6rem;padding-right:6rem}.sm\\:py-32{padding-top:8rem;padding-bottom:8rem}.sm\\:px-32{padding-left:8rem;padding-right:8rem}.sm\\:py-40{padding-top:10rem;padding-bottom:10rem}.sm\\:px-40{padding-left:10rem;padding-right:10rem}.sm\\:py-48{padding-top:12rem;padding-bottom:12rem}.sm\\:px-48{padding-left:12rem;padding-right:12rem}.sm\\:py-56{padding-top:14rem;padding-bottom:14rem}.sm\\:px-56{padding-left:14rem;padding-right:14rem}.sm\\:py-64{padding-top:16rem;padding-bottom:16rem}.sm\\:px-64{padding-left:16rem;padding-right:16rem}.sm\\:py-px{padding-top:1px;padding-bottom:1px}.sm\\:px-px{padding-left:1px;padding-right:1px}.sm\\:pt-0{padding-top:0}.sm\\:pr-0{padding-right:0}.sm\\:pb-0{padding-bottom:0}.sm\\:pl-0{padding-left:0}.sm\\:pt-1{padding-top:0.25rem}.sm\\:pr-1{padding-right:0.25rem}.sm\\:pb-1{padding-bottom:0.25rem}.sm\\:pl-1{padding-left:0.25rem}.sm\\:pt-2{padding-top:0.5rem}.sm\\:pr-2{padding-right:0.5rem}.sm\\:pb-2{padding-bottom:0.5rem}.sm\\:pl-2{padding-left:0.5rem}.sm\\:pt-3{padding-top:0.75rem}.sm\\:pr-3{padding-right:0.75rem}.sm\\:pb-3{padding-bottom:0.75rem}.sm\\:pl-3{padding-left:0.75rem}.sm\\:pt-4{padding-top:1rem}.sm\\:pr-4{padding-right:1rem}.sm\\:pb-4{padding-bottom:1rem}.sm\\:pl-4{padding-left:1rem}.sm\\:pt-5{padding-top:1.25rem}.sm\\:pr-5{padding-right:1.25rem}.sm\\:pb-5{padding-bottom:1.25rem}.sm\\:pl-5{padding-left:1.25rem}.sm\\:pt-6{padding-top:1.5rem}.sm\\:pr-6{padding-right:1.5rem}.sm\\:pb-6{padding-bottom:1.5rem}.sm\\:pl-6{padding-left:1.5rem}.sm\\:pt-8{padding-top:2rem}.sm\\:pr-8{padding-right:2rem}.sm\\:pb-8{padding-bottom:2rem}.sm\\:pl-8{padding-left:2rem}.sm\\:pt-10{padding-top:2.5rem}.sm\\:pr-10{padding-right:2.5rem}.sm\\:pb-10{padding-bottom:2.5rem}.sm\\:pl-10{padding-left:2.5rem}.sm\\:pt-12{padding-top:3rem}.sm\\:pr-12{padding-right:3rem}.sm\\:pb-12{padding-bottom:3rem}.sm\\:pl-12{padding-left:3rem}.sm\\:pt-16{padding-top:4rem}.sm\\:pr-16{padding-right:4rem}.sm\\:pb-16{padding-bottom:4rem}.sm\\:pl-16{padding-left:4rem}.sm\\:pt-20{padding-top:5rem}.sm\\:pr-20{padding-right:5rem}.sm\\:pb-20{padding-bottom:5rem}.sm\\:pl-20{padding-left:5rem}.sm\\:pt-24{padding-top:6rem}.sm\\:pr-24{padding-right:6rem}.sm\\:pb-24{padding-bottom:6rem}.sm\\:pl-24{padding-left:6rem}.sm\\:pt-32{padding-top:8rem}.sm\\:pr-32{padding-right:8rem}.sm\\:pb-32{padding-bottom:8rem}.sm\\:pl-32{padding-left:8rem}.sm\\:pt-40{padding-top:10rem}.sm\\:pr-40{padding-right:10rem}.sm\\:pb-40{padding-bottom:10rem}.sm\\:pl-40{padding-left:10rem}.sm\\:pt-48{padding-top:12rem}.sm\\:pr-48{padding-right:12rem}.sm\\:pb-48{padding-bottom:12rem}.sm\\:pl-48{padding-left:12rem}.sm\\:pt-56{padding-top:14rem}.sm\\:pr-56{padding-right:14rem}.sm\\:pb-56{padding-bottom:14rem}.sm\\:pl-56{padding-left:14rem}.sm\\:pt-64{padding-top:16rem}.sm\\:pr-64{padding-right:16rem}.sm\\:pb-64{padding-bottom:16rem}.sm\\:pl-64{padding-left:16rem}.sm\\:pt-px{padding-top:1px}.sm\\:pr-px{padding-right:1px}.sm\\:pb-px{padding-bottom:1px}.sm\\:pl-px{padding-left:1px}.sm\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.sm\\:placeholder-transparent::-moz-placeholder{color:transparent}.sm\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.sm\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.sm\\:placeholder-transparent::placeholder{color:transparent}.sm\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.sm\\:placeholder-current::-moz-placeholder{color:currentColor}.sm\\:placeholder-current:-ms-input-placeholder{color:currentColor}.sm\\:placeholder-current::-ms-input-placeholder{color:currentColor}.sm\\:placeholder-current::placeholder{color:currentColor}.sm\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.sm\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.sm\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.sm\\:pointer-events-none{pointer-events:none}.sm\\:pointer-events-auto{pointer-events:auto}.sm\\:static{position:static}.sm\\:fixed{position:fixed}.sm\\:absolute{position:absolute}.sm\\:relative{position:relative}.sm\\:sticky{position:-webkit-sticky;position:sticky}.sm\\:inset-0{top:0;right:0;bottom:0;left:0}.sm\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.sm\\:inset-y-0{top:0;bottom:0}.sm\\:inset-x-0{right:0;left:0}.sm\\:inset-y-auto{top:auto;bottom:auto}.sm\\:inset-x-auto{right:auto;left:auto}.sm\\:top-0{top:0}.sm\\:right-0{right:0}.sm\\:bottom-0{bottom:0}.sm\\:left-0{left:0}.sm\\:top-auto{top:auto}.sm\\:right-auto{right:auto}.sm\\:bottom-auto{bottom:auto}.sm\\:left-auto{left:auto}.sm\\:resize-none{resize:none}.sm\\:resize-y{resize:vertical}.sm\\:resize-x{resize:horizontal}.sm\\:resize{resize:both}.sm\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.sm\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.sm\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.sm\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.sm\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.sm\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.sm\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.sm\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.sm\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.sm\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.sm\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.sm\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.sm\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.sm\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.sm\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.sm\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.sm\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.sm\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.sm\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.sm\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.sm\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.sm\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.sm\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.sm\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.sm\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.sm\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.sm\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.sm\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.sm\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.sm\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.sm\\:fill-current{fill:currentColor}.sm\\:stroke-current{stroke:currentColor}.sm\\:stroke-0{stroke-width:0}.sm\\:stroke-1{stroke-width:1}.sm\\:stroke-2{stroke-width:2}.sm\\:table-auto{table-layout:auto}.sm\\:table-fixed{table-layout:fixed}.sm\\:text-left{text-align:left}.sm\\:text-center{text-align:center}.sm\\:text-right{text-align:right}.sm\\:text-justify{text-align:justify}.sm\\:text-transparent{color:transparent}.sm\\:text-current{color:currentColor}.sm\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.sm\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.sm\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.sm\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.sm\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.sm\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.sm\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.sm\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.sm\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.sm\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.sm\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.sm\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.sm\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.sm\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.sm\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.sm\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.sm\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.sm\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.sm\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.sm\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.sm\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.sm\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.sm\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.sm\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.sm\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.sm\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.sm\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.sm\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.sm\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.sm\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.sm\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.sm\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.sm\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.sm\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.sm\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.sm\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.sm\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.sm\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.sm\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.sm\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.sm\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.sm\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.sm\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.sm\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.sm\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.sm\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.sm\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.sm\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.sm\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.sm\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.sm\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.sm\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.sm\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.sm\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.sm\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.sm\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.sm\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.sm\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.sm\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.sm\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.sm\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.sm\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.sm\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.sm\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.sm\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.sm\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.sm\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.sm\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.sm\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.sm\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.sm\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.sm\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.sm\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.sm\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.sm\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.sm\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.sm\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.sm\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.sm\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.sm\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.sm\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.sm\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.sm\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.sm\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.sm\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.sm\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.sm\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.sm\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.sm\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.sm\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.sm\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.sm\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.sm\\:hover\\:text-transparent:hover{color:transparent}.sm\\:hover\\:text-current:hover{color:currentColor}.sm\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.sm\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.sm\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.sm\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.sm\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.sm\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.sm\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.sm\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.sm\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.sm\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.sm\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.sm\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.sm\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.sm\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.sm\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.sm\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.sm\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.sm\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.sm\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.sm\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.sm\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.sm\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.sm\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.sm\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.sm\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.sm\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.sm\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.sm\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.sm\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.sm\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.sm\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.sm\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.sm\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.sm\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.sm\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.sm\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.sm\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.sm\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.sm\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.sm\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.sm\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.sm\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.sm\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.sm\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.sm\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.sm\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.sm\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.sm\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.sm\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.sm\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.sm\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.sm\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.sm\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.sm\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.sm\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.sm\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.sm\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.sm\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.sm\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.sm\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.sm\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.sm\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.sm\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.sm\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.sm\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.sm\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.sm\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.sm\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.sm\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.sm\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.sm\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.sm\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.sm\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.sm\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.sm\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.sm\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.sm\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.sm\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.sm\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.sm\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.sm\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.sm\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.sm\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.sm\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.sm\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.sm\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.sm\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.sm\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.sm\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.sm\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.sm\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.sm\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.sm\\:focus\\:text-transparent:focus{color:transparent}.sm\\:focus\\:text-current:focus{color:currentColor}.sm\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.sm\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.sm\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.sm\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.sm\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.sm\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.sm\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.sm\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.sm\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.sm\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.sm\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.sm\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.sm\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.sm\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.sm\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.sm\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.sm\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.sm\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.sm\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.sm\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.sm\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.sm\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.sm\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.sm\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.sm\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.sm\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.sm\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.sm\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.sm\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.sm\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.sm\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.sm\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.sm\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.sm\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.sm\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.sm\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.sm\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.sm\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.sm\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.sm\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.sm\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.sm\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.sm\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.sm\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.sm\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.sm\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.sm\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.sm\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.sm\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.sm\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.sm\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.sm\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.sm\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.sm\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.sm\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.sm\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.sm\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.sm\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.sm\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.sm\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.sm\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.sm\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.sm\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.sm\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.sm\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.sm\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.sm\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.sm\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.sm\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.sm\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.sm\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.sm\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.sm\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.sm\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.sm\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.sm\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.sm\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.sm\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.sm\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.sm\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.sm\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.sm\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.sm\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.sm\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.sm\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.sm\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.sm\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.sm\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.sm\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.sm\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.sm\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.sm\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.sm\\:text-opacity-0{--text-opacity:0}.sm\\:text-opacity-25{--text-opacity:0.25}.sm\\:text-opacity-50{--text-opacity:0.5}.sm\\:text-opacity-75{--text-opacity:0.75}.sm\\:text-opacity-100{--text-opacity:1}.sm\\:hover\\:text-opacity-0:hover{--text-opacity:0}.sm\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.sm\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.sm\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.sm\\:hover\\:text-opacity-100:hover{--text-opacity:1}.sm\\:focus\\:text-opacity-0:focus{--text-opacity:0}.sm\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.sm\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.sm\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.sm\\:focus\\:text-opacity-100:focus{--text-opacity:1}.sm\\:italic{font-style:italic}.sm\\:not-italic{font-style:normal}.sm\\:uppercase{text-transform:uppercase}.sm\\:lowercase{text-transform:lowercase}.sm\\:capitalize{text-transform:capitalize}.sm\\:normal-case{text-transform:none}.sm\\:underline{text-decoration:underline}.sm\\:line-through{text-decoration:line-through}.sm\\:no-underline{text-decoration:none}.sm\\:hover\\:underline:hover{text-decoration:underline}.sm\\:hover\\:line-through:hover{text-decoration:line-through}.sm\\:hover\\:no-underline:hover{text-decoration:none}.sm\\:focus\\:underline:focus{text-decoration:underline}.sm\\:focus\\:line-through:focus{text-decoration:line-through}.sm\\:focus\\:no-underline:focus{text-decoration:none}.sm\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.sm\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.sm\\:ordinal,.sm\\:slashed-zero,.sm\\:lining-nums,.sm\\:oldstyle-nums,.sm\\:proportional-nums,.sm\\:tabular-nums,.sm\\:diagonal-fractions,.sm\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.sm\\:normal-nums{font-variant-numeric:normal}.sm\\:ordinal{--font-variant-numeric-ordinal:ordinal}.sm\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.sm\\:lining-nums{--font-variant-numeric-figure:lining-nums}.sm\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.sm\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.sm\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.sm\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.sm\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.sm\\:tracking-tighter{letter-spacing:-0.05em}.sm\\:tracking-tight{letter-spacing:-0.025em}.sm\\:tracking-normal{letter-spacing:0}.sm\\:tracking-wide{letter-spacing:0.025em}.sm\\:tracking-wider{letter-spacing:0.05em}.sm\\:tracking-widest{letter-spacing:0.1em}.sm\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.sm\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.sm\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.sm\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.sm\\:align-baseline{vertical-align:baseline}.sm\\:align-top{vertical-align:top}.sm\\:align-middle{vertical-align:middle}.sm\\:align-bottom{vertical-align:bottom}.sm\\:align-text-top{vertical-align:text-top}.sm\\:align-text-bottom{vertical-align:text-bottom}.sm\\:visible{visibility:visible}.sm\\:invisible{visibility:hidden}.sm\\:whitespace-normal{white-space:normal}.sm\\:whitespace-no-wrap{white-space:nowrap}.sm\\:whitespace-pre{white-space:pre}.sm\\:whitespace-pre-line{white-space:pre-line}.sm\\:whitespace-pre-wrap{white-space:pre-wrap}.sm\\:break-normal{overflow-wrap:normal;word-break:normal}.sm\\:break-words{overflow-wrap:break-word}.sm\\:break-all{word-break:break-all}.sm\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.sm\\:w-0{width:0}.sm\\:w-1{width:0.25rem}.sm\\:w-2{width:0.5rem}.sm\\:w-3{width:0.75rem}.sm\\:w-4{width:1rem}.sm\\:w-5{width:1.25rem}.sm\\:w-6{width:1.5rem}.sm\\:w-8{width:2rem}.sm\\:w-10{width:2.5rem}.sm\\:w-12{width:3rem}.sm\\:w-16{width:4rem}.sm\\:w-20{width:5rem}.sm\\:w-24{width:6rem}.sm\\:w-32{width:8rem}.sm\\:w-40{width:10rem}.sm\\:w-48{width:12rem}.sm\\:w-56{width:14rem}.sm\\:w-64{width:16rem}.sm\\:w-auto{width:auto}.sm\\:w-px{width:1px}.sm\\:w-1\\/2{width:50%}.sm\\:w-1\\/3{width:33.333333%}.sm\\:w-2\\/3{width:66.666667%}.sm\\:w-1\\/4{width:25%}.sm\\:w-2\\/4{width:50%}.sm\\:w-3\\/4{width:75%}.sm\\:w-1\\/5{width:20%}.sm\\:w-2\\/5{width:40%}.sm\\:w-3\\/5{width:60%}.sm\\:w-4\\/5{width:80%}.sm\\:w-1\\/6{width:16.666667%}.sm\\:w-2\\/6{width:33.333333%}.sm\\:w-3\\/6{width:50%}.sm\\:w-4\\/6{width:66.666667%}.sm\\:w-5\\/6{width:83.333333%}.sm\\:w-1\\/12{width:8.333333%}.sm\\:w-2\\/12{width:16.666667%}.sm\\:w-3\\/12{width:25%}.sm\\:w-4\\/12{width:33.333333%}.sm\\:w-5\\/12{width:41.666667%}.sm\\:w-6\\/12{width:50%}.sm\\:w-7\\/12{width:58.333333%}.sm\\:w-8\\/12{width:66.666667%}.sm\\:w-9\\/12{width:75%}.sm\\:w-10\\/12{width:83.333333%}.sm\\:w-11\\/12{width:91.666667%}.sm\\:w-full{width:100%}.sm\\:w-screen{width:100vw}.sm\\:z-0{z-index:0}.sm\\:z-10{z-index:10}.sm\\:z-20{z-index:20}.sm\\:z-30{z-index:30}.sm\\:z-40{z-index:40}.sm\\:z-50{z-index:50}.sm\\:z-auto{z-index:auto}.sm\\:gap-0{grid-gap:0;gap:0}.sm\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.sm\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.sm\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.sm\\:gap-4{grid-gap:1rem;gap:1rem}.sm\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.sm\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.sm\\:gap-8{grid-gap:2rem;gap:2rem}.sm\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.sm\\:gap-12{grid-gap:3rem;gap:3rem}.sm\\:gap-16{grid-gap:4rem;gap:4rem}.sm\\:gap-20{grid-gap:5rem;gap:5rem}.sm\\:gap-24{grid-gap:6rem;gap:6rem}.sm\\:gap-32{grid-gap:8rem;gap:8rem}.sm\\:gap-40{grid-gap:10rem;gap:10rem}.sm\\:gap-48{grid-gap:12rem;gap:12rem}.sm\\:gap-56{grid-gap:14rem;gap:14rem}.sm\\:gap-64{grid-gap:16rem;gap:16rem}.sm\\:gap-px{grid-gap:1px;gap:1px}.sm\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.sm\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.sm\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.sm\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.sm\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.sm\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.sm\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.sm\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.sm\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.sm\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.sm\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.sm\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.sm\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.sm\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.sm\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.sm\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.sm\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.sm\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.sm\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.sm\\:gap-y-0{grid-row-gap:0;row-gap:0}.sm\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.sm\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.sm\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.sm\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.sm\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.sm\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.sm\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.sm\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.sm\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.sm\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.sm\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.sm\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.sm\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.sm\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.sm\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.sm\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.sm\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.sm\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.sm\\:grid-flow-row{grid-auto-flow:row}.sm\\:grid-flow-col{grid-auto-flow:column}.sm\\:grid-flow-row-dense{grid-auto-flow:row dense}.sm\\:grid-flow-col-dense{grid-auto-flow:column dense}.sm\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.sm\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.sm\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.sm\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.sm\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.sm\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.sm\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.sm\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.sm\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.sm\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.sm\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.sm\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.sm\\:grid-cols-none{grid-template-columns:none}.sm\\:col-auto{grid-column:auto}.sm\\:col-span-1{grid-column:span 1 / span 1}.sm\\:col-span-2{grid-column:span 2 / span 2}.sm\\:col-span-3{grid-column:span 3 / span 3}.sm\\:col-span-4{grid-column:span 4 / span 4}.sm\\:col-span-5{grid-column:span 5 / span 5}.sm\\:col-span-6{grid-column:span 6 / span 6}.sm\\:col-span-7{grid-column:span 7 / span 7}.sm\\:col-span-8{grid-column:span 8 / span 8}.sm\\:col-span-9{grid-column:span 9 / span 9}.sm\\:col-span-10{grid-column:span 10 / span 10}.sm\\:col-span-11{grid-column:span 11 / span 11}.sm\\:col-span-12{grid-column:span 12 / span 12}.sm\\:col-start-1{grid-column-start:1}.sm\\:col-start-2{grid-column-start:2}.sm\\:col-start-3{grid-column-start:3}.sm\\:col-start-4{grid-column-start:4}.sm\\:col-start-5{grid-column-start:5}.sm\\:col-start-6{grid-column-start:6}.sm\\:col-start-7{grid-column-start:7}.sm\\:col-start-8{grid-column-start:8}.sm\\:col-start-9{grid-column-start:9}.sm\\:col-start-10{grid-column-start:10}.sm\\:col-start-11{grid-column-start:11}.sm\\:col-start-12{grid-column-start:12}.sm\\:col-start-13{grid-column-start:13}.sm\\:col-start-auto{grid-column-start:auto}.sm\\:col-end-1{grid-column-end:1}.sm\\:col-end-2{grid-column-end:2}.sm\\:col-end-3{grid-column-end:3}.sm\\:col-end-4{grid-column-end:4}.sm\\:col-end-5{grid-column-end:5}.sm\\:col-end-6{grid-column-end:6}.sm\\:col-end-7{grid-column-end:7}.sm\\:col-end-8{grid-column-end:8}.sm\\:col-end-9{grid-column-end:9}.sm\\:col-end-10{grid-column-end:10}.sm\\:col-end-11{grid-column-end:11}.sm\\:col-end-12{grid-column-end:12}.sm\\:col-end-13{grid-column-end:13}.sm\\:col-end-auto{grid-column-end:auto}.sm\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.sm\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.sm\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.sm\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.sm\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.sm\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.sm\\:grid-rows-none{grid-template-rows:none}.sm\\:row-auto{grid-row:auto}.sm\\:row-span-1{grid-row:span 1 / span 1}.sm\\:row-span-2{grid-row:span 2 / span 2}.sm\\:row-span-3{grid-row:span 3 / span 3}.sm\\:row-span-4{grid-row:span 4 / span 4}.sm\\:row-span-5{grid-row:span 5 / span 5}.sm\\:row-span-6{grid-row:span 6 / span 6}.sm\\:row-start-1{grid-row-start:1}.sm\\:row-start-2{grid-row-start:2}.sm\\:row-start-3{grid-row-start:3}.sm\\:row-start-4{grid-row-start:4}.sm\\:row-start-5{grid-row-start:5}.sm\\:row-start-6{grid-row-start:6}.sm\\:row-start-7{grid-row-start:7}.sm\\:row-start-auto{grid-row-start:auto}.sm\\:row-end-1{grid-row-end:1}.sm\\:row-end-2{grid-row-end:2}.sm\\:row-end-3{grid-row-end:3}.sm\\:row-end-4{grid-row-end:4}.sm\\:row-end-5{grid-row-end:5}.sm\\:row-end-6{grid-row-end:6}.sm\\:row-end-7{grid-row-end:7}.sm\\:row-end-auto{grid-row-end:auto}.sm\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.sm\\:transform-none{-webkit-transform:none;transform:none}.sm\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.sm\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.sm\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.sm\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.sm\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.sm\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.sm\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.sm\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.sm\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.sm\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.sm\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.sm\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.sm\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.sm\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.sm\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.sm\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.sm\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.sm\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.sm\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.sm\\:scale-x-0{--transform-scale-x:0}.sm\\:scale-x-50{--transform-scale-x:.5}.sm\\:scale-x-75{--transform-scale-x:.75}.sm\\:scale-x-90{--transform-scale-x:.9}.sm\\:scale-x-95{--transform-scale-x:.95}.sm\\:scale-x-100{--transform-scale-x:1}.sm\\:scale-x-105{--transform-scale-x:1.05}.sm\\:scale-x-110{--transform-scale-x:1.1}.sm\\:scale-x-125{--transform-scale-x:1.25}.sm\\:scale-x-150{--transform-scale-x:1.5}.sm\\:scale-y-0{--transform-scale-y:0}.sm\\:scale-y-50{--transform-scale-y:.5}.sm\\:scale-y-75{--transform-scale-y:.75}.sm\\:scale-y-90{--transform-scale-y:.9}.sm\\:scale-y-95{--transform-scale-y:.95}.sm\\:scale-y-100{--transform-scale-y:1}.sm\\:scale-y-105{--transform-scale-y:1.05}.sm\\:scale-y-110{--transform-scale-y:1.1}.sm\\:scale-y-125{--transform-scale-y:1.25}.sm\\:scale-y-150{--transform-scale-y:1.5}.sm\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.sm\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.sm\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.sm\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.sm\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.sm\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.sm\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.sm\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.sm\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.sm\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.sm\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.sm\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.sm\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.sm\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.sm\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.sm\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.sm\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.sm\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.sm\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.sm\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.sm\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.sm\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.sm\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.sm\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.sm\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.sm\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.sm\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.sm\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.sm\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.sm\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.sm\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.sm\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.sm\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.sm\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.sm\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.sm\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.sm\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.sm\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.sm\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.sm\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.sm\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.sm\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.sm\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.sm\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.sm\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.sm\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.sm\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.sm\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.sm\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.sm\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.sm\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.sm\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.sm\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.sm\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.sm\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.sm\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.sm\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.sm\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.sm\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.sm\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.sm\\:rotate-0{--transform-rotate:0}.sm\\:rotate-45{--transform-rotate:45deg}.sm\\:rotate-90{--transform-rotate:90deg}.sm\\:rotate-180{--transform-rotate:180deg}.sm\\:-rotate-180{--transform-rotate:-180deg}.sm\\:-rotate-90{--transform-rotate:-90deg}.sm\\:-rotate-45{--transform-rotate:-45deg}.sm\\:hover\\:rotate-0:hover{--transform-rotate:0}.sm\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.sm\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.sm\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.sm\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.sm\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.sm\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.sm\\:focus\\:rotate-0:focus{--transform-rotate:0}.sm\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.sm\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.sm\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.sm\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.sm\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.sm\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.sm\\:translate-x-0{--transform-translate-x:0}.sm\\:translate-x-1{--transform-translate-x:0.25rem}.sm\\:translate-x-2{--transform-translate-x:0.5rem}.sm\\:translate-x-3{--transform-translate-x:0.75rem}.sm\\:translate-x-4{--transform-translate-x:1rem}.sm\\:translate-x-5{--transform-translate-x:1.25rem}.sm\\:translate-x-6{--transform-translate-x:1.5rem}.sm\\:translate-x-8{--transform-translate-x:2rem}.sm\\:translate-x-10{--transform-translate-x:2.5rem}.sm\\:translate-x-12{--transform-translate-x:3rem}.sm\\:translate-x-16{--transform-translate-x:4rem}.sm\\:translate-x-20{--transform-translate-x:5rem}.sm\\:translate-x-24{--transform-translate-x:6rem}.sm\\:translate-x-32{--transform-translate-x:8rem}.sm\\:translate-x-40{--transform-translate-x:10rem}.sm\\:translate-x-48{--transform-translate-x:12rem}.sm\\:translate-x-56{--transform-translate-x:14rem}.sm\\:translate-x-64{--transform-translate-x:16rem}.sm\\:translate-x-px{--transform-translate-x:1px}.sm\\:-translate-x-1{--transform-translate-x:-0.25rem}.sm\\:-translate-x-2{--transform-translate-x:-0.5rem}.sm\\:-translate-x-3{--transform-translate-x:-0.75rem}.sm\\:-translate-x-4{--transform-translate-x:-1rem}.sm\\:-translate-x-5{--transform-translate-x:-1.25rem}.sm\\:-translate-x-6{--transform-translate-x:-1.5rem}.sm\\:-translate-x-8{--transform-translate-x:-2rem}.sm\\:-translate-x-10{--transform-translate-x:-2.5rem}.sm\\:-translate-x-12{--transform-translate-x:-3rem}.sm\\:-translate-x-16{--transform-translate-x:-4rem}.sm\\:-translate-x-20{--transform-translate-x:-5rem}.sm\\:-translate-x-24{--transform-translate-x:-6rem}.sm\\:-translate-x-32{--transform-translate-x:-8rem}.sm\\:-translate-x-40{--transform-translate-x:-10rem}.sm\\:-translate-x-48{--transform-translate-x:-12rem}.sm\\:-translate-x-56{--transform-translate-x:-14rem}.sm\\:-translate-x-64{--transform-translate-x:-16rem}.sm\\:-translate-x-px{--transform-translate-x:-1px}.sm\\:-translate-x-full{--transform-translate-x:-100%}.sm\\:-translate-x-1\\/2{--transform-translate-x:-50%}.sm\\:translate-x-1\\/2{--transform-translate-x:50%}.sm\\:translate-x-full{--transform-translate-x:100%}.sm\\:translate-y-0{--transform-translate-y:0}.sm\\:translate-y-1{--transform-translate-y:0.25rem}.sm\\:translate-y-2{--transform-translate-y:0.5rem}.sm\\:translate-y-3{--transform-translate-y:0.75rem}.sm\\:translate-y-4{--transform-translate-y:1rem}.sm\\:translate-y-5{--transform-translate-y:1.25rem}.sm\\:translate-y-6{--transform-translate-y:1.5rem}.sm\\:translate-y-8{--transform-translate-y:2rem}.sm\\:translate-y-10{--transform-translate-y:2.5rem}.sm\\:translate-y-12{--transform-translate-y:3rem}.sm\\:translate-y-16{--transform-translate-y:4rem}.sm\\:translate-y-20{--transform-translate-y:5rem}.sm\\:translate-y-24{--transform-translate-y:6rem}.sm\\:translate-y-32{--transform-translate-y:8rem}.sm\\:translate-y-40{--transform-translate-y:10rem}.sm\\:translate-y-48{--transform-translate-y:12rem}.sm\\:translate-y-56{--transform-translate-y:14rem}.sm\\:translate-y-64{--transform-translate-y:16rem}.sm\\:translate-y-px{--transform-translate-y:1px}.sm\\:-translate-y-1{--transform-translate-y:-0.25rem}.sm\\:-translate-y-2{--transform-translate-y:-0.5rem}.sm\\:-translate-y-3{--transform-translate-y:-0.75rem}.sm\\:-translate-y-4{--transform-translate-y:-1rem}.sm\\:-translate-y-5{--transform-translate-y:-1.25rem}.sm\\:-translate-y-6{--transform-translate-y:-1.5rem}.sm\\:-translate-y-8{--transform-translate-y:-2rem}.sm\\:-translate-y-10{--transform-translate-y:-2.5rem}.sm\\:-translate-y-12{--transform-translate-y:-3rem}.sm\\:-translate-y-16{--transform-translate-y:-4rem}.sm\\:-translate-y-20{--transform-translate-y:-5rem}.sm\\:-translate-y-24{--transform-translate-y:-6rem}.sm\\:-translate-y-32{--transform-translate-y:-8rem}.sm\\:-translate-y-40{--transform-translate-y:-10rem}.sm\\:-translate-y-48{--transform-translate-y:-12rem}.sm\\:-translate-y-56{--transform-translate-y:-14rem}.sm\\:-translate-y-64{--transform-translate-y:-16rem}.sm\\:-translate-y-px{--transform-translate-y:-1px}.sm\\:-translate-y-full{--transform-translate-y:-100%}.sm\\:-translate-y-1\\/2{--transform-translate-y:-50%}.sm\\:translate-y-1\\/2{--transform-translate-y:50%}.sm\\:translate-y-full{--transform-translate-y:100%}.sm\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.sm\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.sm\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.sm\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.sm\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.sm\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.sm\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.sm\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.sm\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.sm\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.sm\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.sm\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.sm\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.sm\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.sm\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.sm\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.sm\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.sm\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.sm\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.sm\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.sm\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.sm\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.sm\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.sm\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.sm\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.sm\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.sm\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.sm\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.sm\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.sm\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.sm\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.sm\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.sm\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.sm\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.sm\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.sm\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.sm\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.sm\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.sm\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.sm\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.sm\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.sm\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.sm\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.sm\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.sm\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.sm\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.sm\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.sm\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.sm\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.sm\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.sm\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.sm\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.sm\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.sm\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.sm\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.sm\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.sm\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.sm\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.sm\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.sm\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.sm\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.sm\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.sm\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.sm\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.sm\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.sm\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.sm\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.sm\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.sm\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.sm\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.sm\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.sm\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.sm\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.sm\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.sm\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.sm\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.sm\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.sm\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.sm\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.sm\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.sm\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.sm\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.sm\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.sm\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.sm\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.sm\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.sm\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.sm\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.sm\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.sm\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.sm\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.sm\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.sm\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.sm\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.sm\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.sm\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.sm\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.sm\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.sm\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.sm\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.sm\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.sm\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.sm\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.sm\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.sm\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.sm\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.sm\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.sm\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.sm\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.sm\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.sm\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.sm\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.sm\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.sm\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.sm\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.sm\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.sm\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.sm\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.sm\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.sm\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.sm\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.sm\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.sm\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.sm\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.sm\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.sm\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.sm\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.sm\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.sm\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.sm\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.sm\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.sm\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.sm\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.sm\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.sm\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.sm\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.sm\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.sm\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.sm\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.sm\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.sm\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.sm\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.sm\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.sm\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.sm\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.sm\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.sm\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.sm\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.sm\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.sm\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.sm\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.sm\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.sm\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.sm\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.sm\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.sm\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.sm\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.sm\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.sm\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.sm\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.sm\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.sm\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.sm\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.sm\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.sm\\:skew-x-0{--transform-skew-x:0}.sm\\:skew-x-3{--transform-skew-x:3deg}.sm\\:skew-x-6{--transform-skew-x:6deg}.sm\\:skew-x-12{--transform-skew-x:12deg}.sm\\:-skew-x-12{--transform-skew-x:-12deg}.sm\\:-skew-x-6{--transform-skew-x:-6deg}.sm\\:-skew-x-3{--transform-skew-x:-3deg}.sm\\:skew-y-0{--transform-skew-y:0}.sm\\:skew-y-3{--transform-skew-y:3deg}.sm\\:skew-y-6{--transform-skew-y:6deg}.sm\\:skew-y-12{--transform-skew-y:12deg}.sm\\:-skew-y-12{--transform-skew-y:-12deg}.sm\\:-skew-y-6{--transform-skew-y:-6deg}.sm\\:-skew-y-3{--transform-skew-y:-3deg}.sm\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.sm\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.sm\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.sm\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.sm\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.sm\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.sm\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.sm\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.sm\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.sm\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.sm\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.sm\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.sm\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.sm\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.sm\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.sm\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.sm\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.sm\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.sm\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.sm\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.sm\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.sm\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.sm\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.sm\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.sm\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.sm\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.sm\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.sm\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.sm\\:transition-none{-webkit-transition-property:none;transition-property:none}.sm\\:transition-all{-webkit-transition-property:all;transition-property:all}.sm\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.sm\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.sm\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.sm\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.sm\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.sm\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.sm\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.sm\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.sm\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.sm\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.sm\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.sm\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.sm\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.sm\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.sm\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.sm\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.sm\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.sm\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.sm\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.sm\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.sm\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.sm\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.sm\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.sm\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.sm\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.sm\\:animate-none{-webkit-animation:none;animation:none}.sm\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.sm\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.sm\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.sm\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}@media (min-width: 768px){.md\\:container{width:100%}@media (min-width: 640px){.md\\:container{max-width:640px}}@media (min-width: 768px){.md\\:container{max-width:768px}}@media (min-width: 1024px){.md\\:container{max-width:1024px}}@media (min-width: 1280px){.md\\:container{max-width:1280px}}.md\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.md\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.md\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.md\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.md\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.md\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.md\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.md\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.md\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.md\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.md\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.md\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.md\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.md\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.md\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.md\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.md\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.md\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.md\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.md\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.md\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.md\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.md\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.md\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.md\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.md\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.md\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.md\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.md\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.md\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.md\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.md\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.md\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.md\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.md\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.md\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.md\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.md\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.md\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.md\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.md\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.md\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.md\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.md\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.md\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.md\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.md\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.md\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.md\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.md\\:divide-current>:not(template)~:not(template){border-color:currentColor}.md\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.md\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.md\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.md\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.md\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.md\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.md\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.md\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.md\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.md\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.md\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.md\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.md\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.md\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.md\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.md\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.md\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.md\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.md\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.md\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.md\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.md\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.md\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.md\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.md\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.md\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.md\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.md\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.md\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.md\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.md\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.md\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.md\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.md\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.md\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.md\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.md\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.md\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.md\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.md\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.md\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.md\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.md\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.md\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.md\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.md\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.md\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.md\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.md\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.md\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.md\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.md\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.md\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.md\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.md\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.md\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.md\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.md\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.md\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.md\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.md\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.md\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.md\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.md\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.md\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.md\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.md\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.md\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.md\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.md\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.md\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.md\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.md\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.md\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.md\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.md\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.md\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.md\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.md\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.md\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.md\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.md\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.md\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.md\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.md\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.md\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.md\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.md\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.md\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.md\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.md\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.md\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.md\\:divide-solid>:not(template)~:not(template){border-style:solid}.md\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.md\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.md\\:divide-double>:not(template)~:not(template){border-style:double}.md\\:divide-none>:not(template)~:not(template){border-style:none}.md\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.md\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.md\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.md\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.md\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.md\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.md\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.md\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.md\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.md\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.md\\:bg-fixed{background-attachment:fixed}.md\\:bg-local{background-attachment:local}.md\\:bg-scroll{background-attachment:scroll}.md\\:bg-clip-border{background-clip:border-box}.md\\:bg-clip-padding{background-clip:padding-box}.md\\:bg-clip-content{background-clip:content-box}.md\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.md\\:bg-transparent{background-color:transparent}.md\\:bg-current{background-color:currentColor}.md\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.md\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.md\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.md\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.md\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.md\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.md\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.md\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.md\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.md\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.md\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.md\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.md\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.md\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.md\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.md\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.md\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.md\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.md\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.md\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.md\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.md\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.md\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.md\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.md\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.md\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.md\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.md\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.md\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.md\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.md\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.md\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.md\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.md\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.md\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.md\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.md\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.md\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.md\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.md\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.md\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.md\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.md\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.md\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.md\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.md\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.md\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.md\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.md\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.md\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.md\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.md\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.md\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.md\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.md\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.md\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.md\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.md\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.md\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.md\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.md\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.md\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.md\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.md\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.md\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.md\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.md\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.md\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.md\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.md\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.md\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.md\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.md\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.md\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.md\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.md\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.md\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.md\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.md\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.md\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.md\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.md\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.md\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.md\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.md\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.md\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.md\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.md\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.md\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.md\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.md\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.md\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.md\\:hover\\:bg-transparent:hover{background-color:transparent}.md\\:hover\\:bg-current:hover{background-color:currentColor}.md\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.md\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.md\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.md\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.md\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.md\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.md\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.md\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.md\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.md\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.md\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.md\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.md\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.md\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.md\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.md\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.md\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.md\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.md\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.md\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.md\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.md\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.md\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.md\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.md\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.md\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.md\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.md\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.md\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.md\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.md\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.md\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.md\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.md\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.md\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.md\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.md\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.md\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.md\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.md\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.md\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.md\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.md\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.md\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.md\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.md\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.md\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.md\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.md\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.md\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.md\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.md\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.md\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.md\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.md\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.md\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.md\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.md\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.md\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.md\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.md\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.md\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.md\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.md\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.md\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.md\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.md\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.md\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.md\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.md\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.md\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.md\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.md\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.md\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.md\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.md\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.md\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.md\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.md\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.md\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.md\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.md\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.md\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.md\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.md\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.md\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.md\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.md\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.md\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.md\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.md\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.md\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.md\\:focus\\:bg-transparent:focus{background-color:transparent}.md\\:focus\\:bg-current:focus{background-color:currentColor}.md\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.md\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.md\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.md\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.md\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.md\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.md\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.md\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.md\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.md\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.md\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.md\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.md\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.md\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.md\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.md\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.md\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.md\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.md\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.md\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.md\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.md\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.md\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.md\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.md\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.md\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.md\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.md\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.md\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.md\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.md\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.md\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.md\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.md\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.md\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.md\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.md\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.md\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.md\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.md\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.md\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.md\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.md\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.md\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.md\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.md\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.md\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.md\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.md\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.md\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.md\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.md\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.md\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.md\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.md\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.md\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.md\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.md\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.md\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.md\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.md\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.md\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.md\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.md\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.md\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.md\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.md\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.md\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.md\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.md\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.md\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.md\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.md\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.md\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.md\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.md\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.md\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.md\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.md\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.md\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.md\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.md\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.md\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.md\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.md\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.md\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.md\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.md\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.md\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.md\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.md\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.md\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.md\\:bg-none{background-image:none}.md\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.md\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.md\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.md\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.md\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.md\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.md\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.md\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.md\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:to-transparent{--gradient-to-color:transparent}.md\\:to-current{--gradient-to-color:currentColor}.md\\:to-black{--gradient-to-color:#000}.md\\:to-white{--gradient-to-color:#fff}.md\\:to-gray-100{--gradient-to-color:#f7fafc}.md\\:to-gray-200{--gradient-to-color:#edf2f7}.md\\:to-gray-300{--gradient-to-color:#e2e8f0}.md\\:to-gray-400{--gradient-to-color:#cbd5e0}.md\\:to-gray-500{--gradient-to-color:#a0aec0}.md\\:to-gray-600{--gradient-to-color:#718096}.md\\:to-gray-700{--gradient-to-color:#4a5568}.md\\:to-gray-800{--gradient-to-color:#2d3748}.md\\:to-gray-900{--gradient-to-color:#1a202c}.md\\:to-red-100{--gradient-to-color:#fff5f5}.md\\:to-red-200{--gradient-to-color:#fed7d7}.md\\:to-red-300{--gradient-to-color:#feb2b2}.md\\:to-red-400{--gradient-to-color:#fc8181}.md\\:to-red-500{--gradient-to-color:#f56565}.md\\:to-red-600{--gradient-to-color:#e53e3e}.md\\:to-red-700{--gradient-to-color:#c53030}.md\\:to-red-800{--gradient-to-color:#9b2c2c}.md\\:to-red-900{--gradient-to-color:#742a2a}.md\\:to-orange-100{--gradient-to-color:#fffaf0}.md\\:to-orange-200{--gradient-to-color:#feebc8}.md\\:to-orange-300{--gradient-to-color:#fbd38d}.md\\:to-orange-400{--gradient-to-color:#f6ad55}.md\\:to-orange-500{--gradient-to-color:#ed8936}.md\\:to-orange-600{--gradient-to-color:#dd6b20}.md\\:to-orange-700{--gradient-to-color:#c05621}.md\\:to-orange-800{--gradient-to-color:#9c4221}.md\\:to-orange-900{--gradient-to-color:#7b341e}.md\\:to-yellow-100{--gradient-to-color:#fffff0}.md\\:to-yellow-200{--gradient-to-color:#fefcbf}.md\\:to-yellow-300{--gradient-to-color:#faf089}.md\\:to-yellow-400{--gradient-to-color:#f6e05e}.md\\:to-yellow-500{--gradient-to-color:#ecc94b}.md\\:to-yellow-600{--gradient-to-color:#d69e2e}.md\\:to-yellow-700{--gradient-to-color:#b7791f}.md\\:to-yellow-800{--gradient-to-color:#975a16}.md\\:to-yellow-900{--gradient-to-color:#744210}.md\\:to-green-100{--gradient-to-color:#f0fff4}.md\\:to-green-200{--gradient-to-color:#c6f6d5}.md\\:to-green-300{--gradient-to-color:#9ae6b4}.md\\:to-green-400{--gradient-to-color:#68d391}.md\\:to-green-500{--gradient-to-color:#48bb78}.md\\:to-green-600{--gradient-to-color:#38a169}.md\\:to-green-700{--gradient-to-color:#2f855a}.md\\:to-green-800{--gradient-to-color:#276749}.md\\:to-green-900{--gradient-to-color:#22543d}.md\\:to-teal-100{--gradient-to-color:#e6fffa}.md\\:to-teal-200{--gradient-to-color:#b2f5ea}.md\\:to-teal-300{--gradient-to-color:#81e6d9}.md\\:to-teal-400{--gradient-to-color:#4fd1c5}.md\\:to-teal-500{--gradient-to-color:#38b2ac}.md\\:to-teal-600{--gradient-to-color:#319795}.md\\:to-teal-700{--gradient-to-color:#2c7a7b}.md\\:to-teal-800{--gradient-to-color:#285e61}.md\\:to-teal-900{--gradient-to-color:#234e52}.md\\:to-blue-100{--gradient-to-color:#ebf8ff}.md\\:to-blue-200{--gradient-to-color:#bee3f8}.md\\:to-blue-300{--gradient-to-color:#90cdf4}.md\\:to-blue-400{--gradient-to-color:#63b3ed}.md\\:to-blue-500{--gradient-to-color:#4299e1}.md\\:to-blue-600{--gradient-to-color:#3182ce}.md\\:to-blue-700{--gradient-to-color:#2b6cb0}.md\\:to-blue-800{--gradient-to-color:#2c5282}.md\\:to-blue-900{--gradient-to-color:#2a4365}.md\\:to-indigo-100{--gradient-to-color:#ebf4ff}.md\\:to-indigo-200{--gradient-to-color:#c3dafe}.md\\:to-indigo-300{--gradient-to-color:#a3bffa}.md\\:to-indigo-400{--gradient-to-color:#7f9cf5}.md\\:to-indigo-500{--gradient-to-color:#667eea}.md\\:to-indigo-600{--gradient-to-color:#5a67d8}.md\\:to-indigo-700{--gradient-to-color:#4c51bf}.md\\:to-indigo-800{--gradient-to-color:#434190}.md\\:to-indigo-900{--gradient-to-color:#3c366b}.md\\:to-purple-100{--gradient-to-color:#faf5ff}.md\\:to-purple-200{--gradient-to-color:#e9d8fd}.md\\:to-purple-300{--gradient-to-color:#d6bcfa}.md\\:to-purple-400{--gradient-to-color:#b794f4}.md\\:to-purple-500{--gradient-to-color:#9f7aea}.md\\:to-purple-600{--gradient-to-color:#805ad5}.md\\:to-purple-700{--gradient-to-color:#6b46c1}.md\\:to-purple-800{--gradient-to-color:#553c9a}.md\\:to-purple-900{--gradient-to-color:#44337a}.md\\:to-pink-100{--gradient-to-color:#fff5f7}.md\\:to-pink-200{--gradient-to-color:#fed7e2}.md\\:to-pink-300{--gradient-to-color:#fbb6ce}.md\\:to-pink-400{--gradient-to-color:#f687b3}.md\\:to-pink-500{--gradient-to-color:#ed64a6}.md\\:to-pink-600{--gradient-to-color:#d53f8c}.md\\:to-pink-700{--gradient-to-color:#b83280}.md\\:to-pink-800{--gradient-to-color:#97266d}.md\\:to-pink-900{--gradient-to-color:#702459}.md\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.md\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.md\\:hover\\:to-black:hover{--gradient-to-color:#000}.md\\:hover\\:to-white:hover{--gradient-to-color:#fff}.md\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.md\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.md\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.md\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.md\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.md\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.md\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.md\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.md\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.md\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.md\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.md\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.md\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.md\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.md\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.md\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.md\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.md\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.md\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.md\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.md\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.md\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.md\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.md\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.md\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.md\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.md\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.md\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.md\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.md\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.md\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.md\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.md\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.md\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.md\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.md\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.md\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.md\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.md\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.md\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.md\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.md\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.md\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.md\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.md\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.md\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.md\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.md\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.md\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.md\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.md\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.md\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.md\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.md\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.md\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.md\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.md\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.md\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.md\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.md\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.md\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.md\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.md\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.md\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.md\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.md\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.md\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.md\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.md\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.md\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.md\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.md\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.md\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.md\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.md\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.md\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.md\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.md\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.md\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.md\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.md\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.md\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.md\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.md\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.md\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.md\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.md\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.md\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.md\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.md\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.md\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.md\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.md\\:focus\\:to-black:focus{--gradient-to-color:#000}.md\\:focus\\:to-white:focus{--gradient-to-color:#fff}.md\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.md\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.md\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.md\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.md\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.md\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.md\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.md\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.md\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.md\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.md\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.md\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.md\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.md\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.md\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.md\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.md\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.md\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.md\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.md\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.md\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.md\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.md\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.md\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.md\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.md\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.md\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.md\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.md\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.md\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.md\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.md\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.md\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.md\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.md\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.md\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.md\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.md\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.md\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.md\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.md\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.md\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.md\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.md\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.md\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.md\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.md\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.md\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.md\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.md\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.md\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.md\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.md\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.md\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.md\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.md\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.md\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.md\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.md\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.md\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.md\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.md\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.md\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.md\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.md\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.md\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.md\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.md\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.md\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.md\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.md\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.md\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.md\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.md\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.md\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.md\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.md\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.md\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.md\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.md\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.md\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.md\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.md\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.md\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.md\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.md\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.md\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.md\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.md\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.md\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.md\\:bg-opacity-0{--bg-opacity:0}.md\\:bg-opacity-25{--bg-opacity:0.25}.md\\:bg-opacity-50{--bg-opacity:0.5}.md\\:bg-opacity-75{--bg-opacity:0.75}.md\\:bg-opacity-100{--bg-opacity:1}.md\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.md\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.md\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.md\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.md\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.md\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.md\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.md\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.md\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.md\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.md\\:bg-bottom{background-position:bottom}.md\\:bg-center{background-position:center}.md\\:bg-left{background-position:left}.md\\:bg-left-bottom{background-position:left bottom}.md\\:bg-left-top{background-position:left top}.md\\:bg-right{background-position:right}.md\\:bg-right-bottom{background-position:right bottom}.md\\:bg-right-top{background-position:right top}.md\\:bg-top{background-position:top}.md\\:bg-repeat{background-repeat:repeat}.md\\:bg-no-repeat{background-repeat:no-repeat}.md\\:bg-repeat-x{background-repeat:repeat-x}.md\\:bg-repeat-y{background-repeat:repeat-y}.md\\:bg-repeat-round{background-repeat:round}.md\\:bg-repeat-space{background-repeat:space}.md\\:bg-auto{background-size:auto}.md\\:bg-cover{background-size:cover}.md\\:bg-contain{background-size:contain}.md\\:border-collapse{border-collapse:collapse}.md\\:border-separate{border-collapse:separate}.md\\:border-transparent{border-color:transparent}.md\\:border-current{border-color:currentColor}.md\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.md\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.md\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.md\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.md\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.md\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.md\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.md\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.md\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.md\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.md\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.md\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.md\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.md\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.md\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.md\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.md\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.md\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.md\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.md\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.md\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.md\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.md\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.md\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.md\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.md\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.md\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.md\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.md\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.md\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.md\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.md\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.md\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.md\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.md\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.md\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.md\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.md\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.md\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.md\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.md\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.md\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.md\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.md\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.md\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.md\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.md\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.md\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.md\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.md\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.md\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.md\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.md\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.md\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.md\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.md\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.md\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.md\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.md\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.md\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.md\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.md\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.md\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.md\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.md\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.md\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.md\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.md\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.md\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.md\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.md\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.md\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.md\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.md\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.md\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.md\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.md\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.md\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.md\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.md\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.md\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.md\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.md\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.md\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.md\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.md\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.md\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.md\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.md\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.md\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.md\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.md\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.md\\:hover\\:border-transparent:hover{border-color:transparent}.md\\:hover\\:border-current:hover{border-color:currentColor}.md\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.md\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.md\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.md\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.md\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.md\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.md\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.md\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.md\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.md\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.md\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.md\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.md\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.md\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.md\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.md\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.md\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.md\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.md\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.md\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.md\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.md\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.md\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.md\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.md\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.md\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.md\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.md\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.md\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.md\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.md\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.md\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.md\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.md\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.md\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.md\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.md\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.md\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.md\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.md\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.md\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.md\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.md\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.md\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.md\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.md\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.md\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.md\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.md\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.md\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.md\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.md\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.md\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.md\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.md\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.md\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.md\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.md\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.md\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.md\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.md\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.md\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.md\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.md\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.md\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.md\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.md\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.md\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.md\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.md\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.md\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.md\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.md\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.md\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.md\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.md\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.md\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.md\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.md\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.md\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.md\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.md\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.md\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.md\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.md\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.md\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.md\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.md\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.md\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.md\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.md\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.md\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.md\\:focus\\:border-transparent:focus{border-color:transparent}.md\\:focus\\:border-current:focus{border-color:currentColor}.md\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.md\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.md\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.md\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.md\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.md\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.md\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.md\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.md\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.md\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.md\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.md\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.md\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.md\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.md\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.md\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.md\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.md\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.md\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.md\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.md\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.md\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.md\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.md\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.md\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.md\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.md\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.md\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.md\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.md\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.md\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.md\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.md\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.md\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.md\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.md\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.md\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.md\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.md\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.md\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.md\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.md\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.md\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.md\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.md\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.md\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.md\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.md\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.md\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.md\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.md\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.md\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.md\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.md\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.md\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.md\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.md\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.md\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.md\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.md\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.md\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.md\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.md\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.md\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.md\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.md\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.md\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.md\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.md\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.md\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.md\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.md\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.md\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.md\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.md\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.md\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.md\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.md\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.md\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.md\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.md\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.md\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.md\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.md\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.md\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.md\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.md\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.md\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.md\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.md\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.md\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.md\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.md\\:border-opacity-0{--border-opacity:0}.md\\:border-opacity-25{--border-opacity:0.25}.md\\:border-opacity-50{--border-opacity:0.5}.md\\:border-opacity-75{--border-opacity:0.75}.md\\:border-opacity-100{--border-opacity:1}.md\\:hover\\:border-opacity-0:hover{--border-opacity:0}.md\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.md\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.md\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.md\\:hover\\:border-opacity-100:hover{--border-opacity:1}.md\\:focus\\:border-opacity-0:focus{--border-opacity:0}.md\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.md\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.md\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.md\\:focus\\:border-opacity-100:focus{--border-opacity:1}.md\\:rounded-none{border-radius:0}.md\\:rounded-sm{border-radius:0.125rem}.md\\:rounded{border-radius:0.25rem}.md\\:rounded-md{border-radius:0.375rem}.md\\:rounded-lg{border-radius:0.5rem}.md\\:rounded-full{border-radius:9999px}.md\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.md\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.md\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.md\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.md\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.md\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.md\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.md\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.md\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.md\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.md\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.md\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.md\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.md\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.md\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.md\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.md\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.md\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.md\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.md\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.md\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.md\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.md\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.md\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.md\\:rounded-tl-none{border-top-left-radius:0}.md\\:rounded-tr-none{border-top-right-radius:0}.md\\:rounded-br-none{border-bottom-right-radius:0}.md\\:rounded-bl-none{border-bottom-left-radius:0}.md\\:rounded-tl-sm{border-top-left-radius:0.125rem}.md\\:rounded-tr-sm{border-top-right-radius:0.125rem}.md\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.md\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.md\\:rounded-tl{border-top-left-radius:0.25rem}.md\\:rounded-tr{border-top-right-radius:0.25rem}.md\\:rounded-br{border-bottom-right-radius:0.25rem}.md\\:rounded-bl{border-bottom-left-radius:0.25rem}.md\\:rounded-tl-md{border-top-left-radius:0.375rem}.md\\:rounded-tr-md{border-top-right-radius:0.375rem}.md\\:rounded-br-md{border-bottom-right-radius:0.375rem}.md\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.md\\:rounded-tl-lg{border-top-left-radius:0.5rem}.md\\:rounded-tr-lg{border-top-right-radius:0.5rem}.md\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.md\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.md\\:rounded-tl-full{border-top-left-radius:9999px}.md\\:rounded-tr-full{border-top-right-radius:9999px}.md\\:rounded-br-full{border-bottom-right-radius:9999px}.md\\:rounded-bl-full{border-bottom-left-radius:9999px}.md\\:border-solid{border-style:solid}.md\\:border-dashed{border-style:dashed}.md\\:border-dotted{border-style:dotted}.md\\:border-double{border-style:double}.md\\:border-none{border-style:none}.md\\:border-0{border-width:0}.md\\:border-2{border-width:2px}.md\\:border-4{border-width:4px}.md\\:border-8{border-width:8px}.md\\:border{border-width:1px}.md\\:border-t-0{border-top-width:0}.md\\:border-r-0{border-right-width:0}.md\\:border-b-0{border-bottom-width:0}.md\\:border-l-0{border-left-width:0}.md\\:border-t-2{border-top-width:2px}.md\\:border-r-2{border-right-width:2px}.md\\:border-b-2{border-bottom-width:2px}.md\\:border-l-2{border-left-width:2px}.md\\:border-t-4{border-top-width:4px}.md\\:border-r-4{border-right-width:4px}.md\\:border-b-4{border-bottom-width:4px}.md\\:border-l-4{border-left-width:4px}.md\\:border-t-8{border-top-width:8px}.md\\:border-r-8{border-right-width:8px}.md\\:border-b-8{border-bottom-width:8px}.md\\:border-l-8{border-left-width:8px}.md\\:border-t{border-top-width:1px}.md\\:border-r{border-right-width:1px}.md\\:border-b{border-bottom-width:1px}.md\\:border-l{border-left-width:1px}.md\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.md\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.md\\:cursor-auto{cursor:auto}.md\\:cursor-default{cursor:default}.md\\:cursor-pointer{cursor:pointer}.md\\:cursor-wait{cursor:wait}.md\\:cursor-text{cursor:text}.md\\:cursor-move{cursor:move}.md\\:cursor-not-allowed{cursor:not-allowed}.md\\:block{display:block}.md\\:inline-block{display:inline-block}.md\\:inline{display:inline}.md\\:flex{display:-ms-flexbox;display:flex}.md\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.md\\:table{display:table}.md\\:table-caption{display:table-caption}.md\\:table-cell{display:table-cell}.md\\:table-column{display:table-column}.md\\:table-column-group{display:table-column-group}.md\\:table-footer-group{display:table-footer-group}.md\\:table-header-group{display:table-header-group}.md\\:table-row-group{display:table-row-group}.md\\:table-row{display:table-row}.md\\:flow-root{display:flow-root}.md\\:grid{display:grid}.md\\:inline-grid{display:inline-grid}.md\\:contents{display:contents}.md\\:hidden{display:none}.md\\:flex-row{-ms-flex-direction:row;flex-direction:row}.md\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.md\\:flex-col{-ms-flex-direction:column;flex-direction:column}.md\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.md\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.md\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.md\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.md\\:place-items-auto{place-items:auto}.md\\:place-items-start{place-items:start}.md\\:place-items-end{place-items:end}.md\\:place-items-center{place-items:center}.md\\:place-items-stretch{place-items:stretch}.md\\:place-content-center{place-content:center}.md\\:place-content-start{place-content:start}.md\\:place-content-end{place-content:end}.md\\:place-content-between{place-content:space-between}.md\\:place-content-around{place-content:space-around}.md\\:place-content-evenly{place-content:space-evenly}.md\\:place-content-stretch{place-content:stretch}.md\\:place-self-auto{place-self:auto}.md\\:place-self-start{place-self:start}.md\\:place-self-end{place-self:end}.md\\:place-self-center{place-self:center}.md\\:place-self-stretch{place-self:stretch}.md\\:items-start{-ms-flex-align:start;align-items:flex-start}.md\\:items-end{-ms-flex-align:end;align-items:flex-end}.md\\:items-center{-ms-flex-align:center;align-items:center}.md\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.md\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.md\\:content-center{-ms-flex-line-pack:center;align-content:center}.md\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.md\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.md\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.md\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.md\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.md\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.md\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.md\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.md\\:self-center{-ms-flex-item-align:center;align-self:center}.md\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.md\\:justify-items-auto{justify-items:auto}.md\\:justify-items-start{justify-items:start}.md\\:justify-items-end{justify-items:end}.md\\:justify-items-center{justify-items:center}.md\\:justify-items-stretch{justify-items:stretch}.md\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.md\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.md\\:justify-center{-ms-flex-pack:center;justify-content:center}.md\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.md\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.md\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.md\\:justify-self-auto{justify-self:auto}.md\\:justify-self-start{justify-self:start}.md\\:justify-self-end{justify-self:end}.md\\:justify-self-center{justify-self:center}.md\\:justify-self-stretch{justify-self:stretch}.md\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.md\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.md\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.md\\:flex-none{-ms-flex:none;flex:none}.md\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.md\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.md\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.md\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.md\\:order-1{-ms-flex-order:1;order:1}.md\\:order-2{-ms-flex-order:2;order:2}.md\\:order-3{-ms-flex-order:3;order:3}.md\\:order-4{-ms-flex-order:4;order:4}.md\\:order-5{-ms-flex-order:5;order:5}.md\\:order-6{-ms-flex-order:6;order:6}.md\\:order-7{-ms-flex-order:7;order:7}.md\\:order-8{-ms-flex-order:8;order:8}.md\\:order-9{-ms-flex-order:9;order:9}.md\\:order-10{-ms-flex-order:10;order:10}.md\\:order-11{-ms-flex-order:11;order:11}.md\\:order-12{-ms-flex-order:12;order:12}.md\\:order-first{-ms-flex-order:-9999;order:-9999}.md\\:order-last{-ms-flex-order:9999;order:9999}.md\\:order-none{-ms-flex-order:0;order:0}.md\\:float-right{float:right}.md\\:float-left{float:left}.md\\:float-none{float:none}.md\\:clearfix:after{content:\"\";display:table;clear:both}.md\\:clear-left{clear:left}.md\\:clear-right{clear:right}.md\\:clear-both{clear:both}.md\\:clear-none{clear:none}.md\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.md\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.md\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.md\\:font-hairline{font-weight:100}.md\\:font-thin{font-weight:200}.md\\:font-light{font-weight:300}.md\\:font-normal{font-weight:400}.md\\:font-medium{font-weight:500}.md\\:font-semibold{font-weight:600}.md\\:font-bold{font-weight:700}.md\\:font-extrabold{font-weight:800}.md\\:font-black{font-weight:900}.md\\:hover\\:font-hairline:hover{font-weight:100}.md\\:hover\\:font-thin:hover{font-weight:200}.md\\:hover\\:font-light:hover{font-weight:300}.md\\:hover\\:font-normal:hover{font-weight:400}.md\\:hover\\:font-medium:hover{font-weight:500}.md\\:hover\\:font-semibold:hover{font-weight:600}.md\\:hover\\:font-bold:hover{font-weight:700}.md\\:hover\\:font-extrabold:hover{font-weight:800}.md\\:hover\\:font-black:hover{font-weight:900}.md\\:focus\\:font-hairline:focus{font-weight:100}.md\\:focus\\:font-thin:focus{font-weight:200}.md\\:focus\\:font-light:focus{font-weight:300}.md\\:focus\\:font-normal:focus{font-weight:400}.md\\:focus\\:font-medium:focus{font-weight:500}.md\\:focus\\:font-semibold:focus{font-weight:600}.md\\:focus\\:font-bold:focus{font-weight:700}.md\\:focus\\:font-extrabold:focus{font-weight:800}.md\\:focus\\:font-black:focus{font-weight:900}.md\\:h-0{height:0}.md\\:h-1{height:0.25rem}.md\\:h-2{height:0.5rem}.md\\:h-3{height:0.75rem}.md\\:h-4{height:1rem}.md\\:h-5{height:1.25rem}.md\\:h-6{height:1.5rem}.md\\:h-8{height:2rem}.md\\:h-10{height:2.5rem}.md\\:h-12{height:3rem}.md\\:h-16{height:4rem}.md\\:h-20{height:5rem}.md\\:h-24{height:6rem}.md\\:h-32{height:8rem}.md\\:h-40{height:10rem}.md\\:h-48{height:12rem}.md\\:h-56{height:14rem}.md\\:h-64{height:16rem}.md\\:h-auto{height:auto}.md\\:h-px{height:1px}.md\\:h-full{height:100%}.md\\:h-screen{height:100vh}.md\\:text-xs{font-size:0.75rem}.md\\:text-sm{font-size:0.875rem}.md\\:text-base{font-size:1rem}.md\\:text-lg{font-size:1.125rem}.md\\:text-xl{font-size:1.25rem}.md\\:text-2xl{font-size:1.5rem}.md\\:text-3xl{font-size:1.875rem}.md\\:text-4xl{font-size:2.25rem}.md\\:text-5xl{font-size:3rem}.md\\:text-6xl{font-size:4rem}.md\\:leading-3{line-height:.75rem}.md\\:leading-4{line-height:1rem}.md\\:leading-5{line-height:1.25rem}.md\\:leading-6{line-height:1.5rem}.md\\:leading-7{line-height:1.75rem}.md\\:leading-8{line-height:2rem}.md\\:leading-9{line-height:2.25rem}.md\\:leading-10{line-height:2.5rem}.md\\:leading-none{line-height:1}.md\\:leading-tight{line-height:1.25}.md\\:leading-snug{line-height:1.375}.md\\:leading-normal{line-height:1.5}.md\\:leading-relaxed{line-height:1.625}.md\\:leading-loose{line-height:2}.md\\:list-inside{list-style-position:inside}.md\\:list-outside{list-style-position:outside}.md\\:list-none{list-style-type:none}.md\\:list-disc{list-style-type:disc}.md\\:list-decimal{list-style-type:decimal}.md\\:m-0{margin:0}.md\\:m-1{margin:0.25rem}.md\\:m-2{margin:0.5rem}.md\\:m-3{margin:0.75rem}.md\\:m-4{margin:1rem}.md\\:m-5{margin:1.25rem}.md\\:m-6{margin:1.5rem}.md\\:m-8{margin:2rem}.md\\:m-10{margin:2.5rem}.md\\:m-12{margin:3rem}.md\\:m-16{margin:4rem}.md\\:m-20{margin:5rem}.md\\:m-24{margin:6rem}.md\\:m-32{margin:8rem}.md\\:m-40{margin:10rem}.md\\:m-48{margin:12rem}.md\\:m-56{margin:14rem}.md\\:m-64{margin:16rem}.md\\:m-auto{margin:auto}.md\\:m-px{margin:1px}.md\\:-m-1{margin:-0.25rem}.md\\:-m-2{margin:-0.5rem}.md\\:-m-3{margin:-0.75rem}.md\\:-m-4{margin:-1rem}.md\\:-m-5{margin:-1.25rem}.md\\:-m-6{margin:-1.5rem}.md\\:-m-8{margin:-2rem}.md\\:-m-10{margin:-2.5rem}.md\\:-m-12{margin:-3rem}.md\\:-m-16{margin:-4rem}.md\\:-m-20{margin:-5rem}.md\\:-m-24{margin:-6rem}.md\\:-m-32{margin:-8rem}.md\\:-m-40{margin:-10rem}.md\\:-m-48{margin:-12rem}.md\\:-m-56{margin:-14rem}.md\\:-m-64{margin:-16rem}.md\\:-m-px{margin:-1px}.md\\:my-0{margin-top:0;margin-bottom:0}.md\\:mx-0{margin-left:0;margin-right:0}.md\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.md\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.md\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.md\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.md\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.md\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.md\\:my-4{margin-top:1rem;margin-bottom:1rem}.md\\:mx-4{margin-left:1rem;margin-right:1rem}.md\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.md\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.md\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.md\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.md\\:my-8{margin-top:2rem;margin-bottom:2rem}.md\\:mx-8{margin-left:2rem;margin-right:2rem}.md\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.md\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.md\\:my-12{margin-top:3rem;margin-bottom:3rem}.md\\:mx-12{margin-left:3rem;margin-right:3rem}.md\\:my-16{margin-top:4rem;margin-bottom:4rem}.md\\:mx-16{margin-left:4rem;margin-right:4rem}.md\\:my-20{margin-top:5rem;margin-bottom:5rem}.md\\:mx-20{margin-left:5rem;margin-right:5rem}.md\\:my-24{margin-top:6rem;margin-bottom:6rem}.md\\:mx-24{margin-left:6rem;margin-right:6rem}.md\\:my-32{margin-top:8rem;margin-bottom:8rem}.md\\:mx-32{margin-left:8rem;margin-right:8rem}.md\\:my-40{margin-top:10rem;margin-bottom:10rem}.md\\:mx-40{margin-left:10rem;margin-right:10rem}.md\\:my-48{margin-top:12rem;margin-bottom:12rem}.md\\:mx-48{margin-left:12rem;margin-right:12rem}.md\\:my-56{margin-top:14rem;margin-bottom:14rem}.md\\:mx-56{margin-left:14rem;margin-right:14rem}.md\\:my-64{margin-top:16rem;margin-bottom:16rem}.md\\:mx-64{margin-left:16rem;margin-right:16rem}.md\\:my-auto{margin-top:auto;margin-bottom:auto}.md\\:mx-auto{margin-left:auto;margin-right:auto}.md\\:my-px{margin-top:1px;margin-bottom:1px}.md\\:mx-px{margin-left:1px;margin-right:1px}.md\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.md\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.md\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.md\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.md\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.md\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.md\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.md\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.md\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.md\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.md\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.md\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.md\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.md\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.md\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.md\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.md\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.md\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.md\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.md\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.md\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.md\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.md\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.md\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.md\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.md\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.md\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.md\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.md\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.md\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.md\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.md\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.md\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.md\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.md\\:-my-px{margin-top:-1px;margin-bottom:-1px}.md\\:-mx-px{margin-left:-1px;margin-right:-1px}.md\\:mt-0{margin-top:0}.md\\:mr-0{margin-right:0}.md\\:mb-0{margin-bottom:0}.md\\:ml-0{margin-left:0}.md\\:mt-1{margin-top:0.25rem}.md\\:mr-1{margin-right:0.25rem}.md\\:mb-1{margin-bottom:0.25rem}.md\\:ml-1{margin-left:0.25rem}.md\\:mt-2{margin-top:0.5rem}.md\\:mr-2{margin-right:0.5rem}.md\\:mb-2{margin-bottom:0.5rem}.md\\:ml-2{margin-left:0.5rem}.md\\:mt-3{margin-top:0.75rem}.md\\:mr-3{margin-right:0.75rem}.md\\:mb-3{margin-bottom:0.75rem}.md\\:ml-3{margin-left:0.75rem}.md\\:mt-4{margin-top:1rem}.md\\:mr-4{margin-right:1rem}.md\\:mb-4{margin-bottom:1rem}.md\\:ml-4{margin-left:1rem}.md\\:mt-5{margin-top:1.25rem}.md\\:mr-5{margin-right:1.25rem}.md\\:mb-5{margin-bottom:1.25rem}.md\\:ml-5{margin-left:1.25rem}.md\\:mt-6{margin-top:1.5rem}.md\\:mr-6{margin-right:1.5rem}.md\\:mb-6{margin-bottom:1.5rem}.md\\:ml-6{margin-left:1.5rem}.md\\:mt-8{margin-top:2rem}.md\\:mr-8{margin-right:2rem}.md\\:mb-8{margin-bottom:2rem}.md\\:ml-8{margin-left:2rem}.md\\:mt-10{margin-top:2.5rem}.md\\:mr-10{margin-right:2.5rem}.md\\:mb-10{margin-bottom:2.5rem}.md\\:ml-10{margin-left:2.5rem}.md\\:mt-12{margin-top:3rem}.md\\:mr-12{margin-right:3rem}.md\\:mb-12{margin-bottom:3rem}.md\\:ml-12{margin-left:3rem}.md\\:mt-16{margin-top:4rem}.md\\:mr-16{margin-right:4rem}.md\\:mb-16{margin-bottom:4rem}.md\\:ml-16{margin-left:4rem}.md\\:mt-20{margin-top:5rem}.md\\:mr-20{margin-right:5rem}.md\\:mb-20{margin-bottom:5rem}.md\\:ml-20{margin-left:5rem}.md\\:mt-24{margin-top:6rem}.md\\:mr-24{margin-right:6rem}.md\\:mb-24{margin-bottom:6rem}.md\\:ml-24{margin-left:6rem}.md\\:mt-32{margin-top:8rem}.md\\:mr-32{margin-right:8rem}.md\\:mb-32{margin-bottom:8rem}.md\\:ml-32{margin-left:8rem}.md\\:mt-40{margin-top:10rem}.md\\:mr-40{margin-right:10rem}.md\\:mb-40{margin-bottom:10rem}.md\\:ml-40{margin-left:10rem}.md\\:mt-48{margin-top:12rem}.md\\:mr-48{margin-right:12rem}.md\\:mb-48{margin-bottom:12rem}.md\\:ml-48{margin-left:12rem}.md\\:mt-56{margin-top:14rem}.md\\:mr-56{margin-right:14rem}.md\\:mb-56{margin-bottom:14rem}.md\\:ml-56{margin-left:14rem}.md\\:mt-64{margin-top:16rem}.md\\:mr-64{margin-right:16rem}.md\\:mb-64{margin-bottom:16rem}.md\\:ml-64{margin-left:16rem}.md\\:mt-auto{margin-top:auto}.md\\:mr-auto{margin-right:auto}.md\\:mb-auto{margin-bottom:auto}.md\\:ml-auto{margin-left:auto}.md\\:mt-px{margin-top:1px}.md\\:mr-px{margin-right:1px}.md\\:mb-px{margin-bottom:1px}.md\\:ml-px{margin-left:1px}.md\\:-mt-1{margin-top:-0.25rem}.md\\:-mr-1{margin-right:-0.25rem}.md\\:-mb-1{margin-bottom:-0.25rem}.md\\:-ml-1{margin-left:-0.25rem}.md\\:-mt-2{margin-top:-0.5rem}.md\\:-mr-2{margin-right:-0.5rem}.md\\:-mb-2{margin-bottom:-0.5rem}.md\\:-ml-2{margin-left:-0.5rem}.md\\:-mt-3{margin-top:-0.75rem}.md\\:-mr-3{margin-right:-0.75rem}.md\\:-mb-3{margin-bottom:-0.75rem}.md\\:-ml-3{margin-left:-0.75rem}.md\\:-mt-4{margin-top:-1rem}.md\\:-mr-4{margin-right:-1rem}.md\\:-mb-4{margin-bottom:-1rem}.md\\:-ml-4{margin-left:-1rem}.md\\:-mt-5{margin-top:-1.25rem}.md\\:-mr-5{margin-right:-1.25rem}.md\\:-mb-5{margin-bottom:-1.25rem}.md\\:-ml-5{margin-left:-1.25rem}.md\\:-mt-6{margin-top:-1.5rem}.md\\:-mr-6{margin-right:-1.5rem}.md\\:-mb-6{margin-bottom:-1.5rem}.md\\:-ml-6{margin-left:-1.5rem}.md\\:-mt-8{margin-top:-2rem}.md\\:-mr-8{margin-right:-2rem}.md\\:-mb-8{margin-bottom:-2rem}.md\\:-ml-8{margin-left:-2rem}.md\\:-mt-10{margin-top:-2.5rem}.md\\:-mr-10{margin-right:-2.5rem}.md\\:-mb-10{margin-bottom:-2.5rem}.md\\:-ml-10{margin-left:-2.5rem}.md\\:-mt-12{margin-top:-3rem}.md\\:-mr-12{margin-right:-3rem}.md\\:-mb-12{margin-bottom:-3rem}.md\\:-ml-12{margin-left:-3rem}.md\\:-mt-16{margin-top:-4rem}.md\\:-mr-16{margin-right:-4rem}.md\\:-mb-16{margin-bottom:-4rem}.md\\:-ml-16{margin-left:-4rem}.md\\:-mt-20{margin-top:-5rem}.md\\:-mr-20{margin-right:-5rem}.md\\:-mb-20{margin-bottom:-5rem}.md\\:-ml-20{margin-left:-5rem}.md\\:-mt-24{margin-top:-6rem}.md\\:-mr-24{margin-right:-6rem}.md\\:-mb-24{margin-bottom:-6rem}.md\\:-ml-24{margin-left:-6rem}.md\\:-mt-32{margin-top:-8rem}.md\\:-mr-32{margin-right:-8rem}.md\\:-mb-32{margin-bottom:-8rem}.md\\:-ml-32{margin-left:-8rem}.md\\:-mt-40{margin-top:-10rem}.md\\:-mr-40{margin-right:-10rem}.md\\:-mb-40{margin-bottom:-10rem}.md\\:-ml-40{margin-left:-10rem}.md\\:-mt-48{margin-top:-12rem}.md\\:-mr-48{margin-right:-12rem}.md\\:-mb-48{margin-bottom:-12rem}.md\\:-ml-48{margin-left:-12rem}.md\\:-mt-56{margin-top:-14rem}.md\\:-mr-56{margin-right:-14rem}.md\\:-mb-56{margin-bottom:-14rem}.md\\:-ml-56{margin-left:-14rem}.md\\:-mt-64{margin-top:-16rem}.md\\:-mr-64{margin-right:-16rem}.md\\:-mb-64{margin-bottom:-16rem}.md\\:-ml-64{margin-left:-16rem}.md\\:-mt-px{margin-top:-1px}.md\\:-mr-px{margin-right:-1px}.md\\:-mb-px{margin-bottom:-1px}.md\\:-ml-px{margin-left:-1px}.md\\:max-h-full{max-height:100%}.md\\:max-h-screen{max-height:100vh}.md\\:max-w-none{max-width:none}.md\\:max-w-xs{max-width:20rem}.md\\:max-w-sm{max-width:24rem}.md\\:max-w-md{max-width:28rem}.md\\:max-w-lg{max-width:32rem}.md\\:max-w-xl{max-width:36rem}.md\\:max-w-2xl{max-width:42rem}.md\\:max-w-3xl{max-width:48rem}.md\\:max-w-4xl{max-width:56rem}.md\\:max-w-5xl{max-width:64rem}.md\\:max-w-6xl{max-width:72rem}.md\\:max-w-full{max-width:100%}.md\\:max-w-screen-sm{max-width:640px}.md\\:max-w-screen-md{max-width:768px}.md\\:max-w-screen-lg{max-width:1024px}.md\\:max-w-screen-xl{max-width:1280px}.md\\:min-h-0{min-height:0}.md\\:min-h-full{min-height:100%}.md\\:min-h-screen{min-height:100vh}.md\\:min-w-0{min-width:0}.md\\:min-w-full{min-width:100%}.md\\:object-contain{-o-object-fit:contain;object-fit:contain}.md\\:object-cover{-o-object-fit:cover;object-fit:cover}.md\\:object-fill{-o-object-fit:fill;object-fit:fill}.md\\:object-none{-o-object-fit:none;object-fit:none}.md\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.md\\:object-bottom{-o-object-position:bottom;object-position:bottom}.md\\:object-center{-o-object-position:center;object-position:center}.md\\:object-left{-o-object-position:left;object-position:left}.md\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.md\\:object-left-top{-o-object-position:left top;object-position:left top}.md\\:object-right{-o-object-position:right;object-position:right}.md\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.md\\:object-right-top{-o-object-position:right top;object-position:right top}.md\\:object-top{-o-object-position:top;object-position:top}.md\\:opacity-0{opacity:0}.md\\:opacity-25{opacity:0.25}.md\\:opacity-50{opacity:0.5}.md\\:opacity-75{opacity:0.75}.md\\:opacity-100{opacity:1}.md\\:hover\\:opacity-0:hover{opacity:0}.md\\:hover\\:opacity-25:hover{opacity:0.25}.md\\:hover\\:opacity-50:hover{opacity:0.5}.md\\:hover\\:opacity-75:hover{opacity:0.75}.md\\:hover\\:opacity-100:hover{opacity:1}.md\\:focus\\:opacity-0:focus{opacity:0}.md\\:focus\\:opacity-25:focus{opacity:0.25}.md\\:focus\\:opacity-50:focus{opacity:0.5}.md\\:focus\\:opacity-75:focus{opacity:0.75}.md\\:focus\\:opacity-100:focus{opacity:1}.md\\:outline-none{outline:0}.md\\:focus\\:outline-none:focus{outline:0}.md\\:overflow-auto{overflow:auto}.md\\:overflow-hidden{overflow:hidden}.md\\:overflow-visible{overflow:visible}.md\\:overflow-scroll{overflow:scroll}.md\\:overflow-x-auto{overflow-x:auto}.md\\:overflow-y-auto{overflow-y:auto}.md\\:overflow-x-hidden{overflow-x:hidden}.md\\:overflow-y-hidden{overflow-y:hidden}.md\\:overflow-x-visible{overflow-x:visible}.md\\:overflow-y-visible{overflow-y:visible}.md\\:overflow-x-scroll{overflow-x:scroll}.md\\:overflow-y-scroll{overflow-y:scroll}.md\\:scrolling-touch{-webkit-overflow-scrolling:touch}.md\\:scrolling-auto{-webkit-overflow-scrolling:auto}.md\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.md\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.md\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.md\\:overscroll-y-auto{overscroll-behavior-y:auto}.md\\:overscroll-y-contain{overscroll-behavior-y:contain}.md\\:overscroll-y-none{overscroll-behavior-y:none}.md\\:overscroll-x-auto{overscroll-behavior-x:auto}.md\\:overscroll-x-contain{overscroll-behavior-x:contain}.md\\:overscroll-x-none{overscroll-behavior-x:none}.md\\:p-0{padding:0}.md\\:p-1{padding:0.25rem}.md\\:p-2{padding:0.5rem}.md\\:p-3{padding:0.75rem}.md\\:p-4{padding:1rem}.md\\:p-5{padding:1.25rem}.md\\:p-6{padding:1.5rem}.md\\:p-8{padding:2rem}.md\\:p-10{padding:2.5rem}.md\\:p-12{padding:3rem}.md\\:p-16{padding:4rem}.md\\:p-20{padding:5rem}.md\\:p-24{padding:6rem}.md\\:p-32{padding:8rem}.md\\:p-40{padding:10rem}.md\\:p-48{padding:12rem}.md\\:p-56{padding:14rem}.md\\:p-64{padding:16rem}.md\\:p-px{padding:1px}.md\\:py-0{padding-top:0;padding-bottom:0}.md\\:px-0{padding-left:0;padding-right:0}.md\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.md\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.md\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.md\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.md\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.md\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.md\\:py-4{padding-top:1rem;padding-bottom:1rem}.md\\:px-4{padding-left:1rem;padding-right:1rem}.md\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.md\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.md\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.md\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.md\\:py-8{padding-top:2rem;padding-bottom:2rem}.md\\:px-8{padding-left:2rem;padding-right:2rem}.md\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.md\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.md\\:py-12{padding-top:3rem;padding-bottom:3rem}.md\\:px-12{padding-left:3rem;padding-right:3rem}.md\\:py-16{padding-top:4rem;padding-bottom:4rem}.md\\:px-16{padding-left:4rem;padding-right:4rem}.md\\:py-20{padding-top:5rem;padding-bottom:5rem}.md\\:px-20{padding-left:5rem;padding-right:5rem}.md\\:py-24{padding-top:6rem;padding-bottom:6rem}.md\\:px-24{padding-left:6rem;padding-right:6rem}.md\\:py-32{padding-top:8rem;padding-bottom:8rem}.md\\:px-32{padding-left:8rem;padding-right:8rem}.md\\:py-40{padding-top:10rem;padding-bottom:10rem}.md\\:px-40{padding-left:10rem;padding-right:10rem}.md\\:py-48{padding-top:12rem;padding-bottom:12rem}.md\\:px-48{padding-left:12rem;padding-right:12rem}.md\\:py-56{padding-top:14rem;padding-bottom:14rem}.md\\:px-56{padding-left:14rem;padding-right:14rem}.md\\:py-64{padding-top:16rem;padding-bottom:16rem}.md\\:px-64{padding-left:16rem;padding-right:16rem}.md\\:py-px{padding-top:1px;padding-bottom:1px}.md\\:px-px{padding-left:1px;padding-right:1px}.md\\:pt-0{padding-top:0}.md\\:pr-0{padding-right:0}.md\\:pb-0{padding-bottom:0}.md\\:pl-0{padding-left:0}.md\\:pt-1{padding-top:0.25rem}.md\\:pr-1{padding-right:0.25rem}.md\\:pb-1{padding-bottom:0.25rem}.md\\:pl-1{padding-left:0.25rem}.md\\:pt-2{padding-top:0.5rem}.md\\:pr-2{padding-right:0.5rem}.md\\:pb-2{padding-bottom:0.5rem}.md\\:pl-2{padding-left:0.5rem}.md\\:pt-3{padding-top:0.75rem}.md\\:pr-3{padding-right:0.75rem}.md\\:pb-3{padding-bottom:0.75rem}.md\\:pl-3{padding-left:0.75rem}.md\\:pt-4{padding-top:1rem}.md\\:pr-4{padding-right:1rem}.md\\:pb-4{padding-bottom:1rem}.md\\:pl-4{padding-left:1rem}.md\\:pt-5{padding-top:1.25rem}.md\\:pr-5{padding-right:1.25rem}.md\\:pb-5{padding-bottom:1.25rem}.md\\:pl-5{padding-left:1.25rem}.md\\:pt-6{padding-top:1.5rem}.md\\:pr-6{padding-right:1.5rem}.md\\:pb-6{padding-bottom:1.5rem}.md\\:pl-6{padding-left:1.5rem}.md\\:pt-8{padding-top:2rem}.md\\:pr-8{padding-right:2rem}.md\\:pb-8{padding-bottom:2rem}.md\\:pl-8{padding-left:2rem}.md\\:pt-10{padding-top:2.5rem}.md\\:pr-10{padding-right:2.5rem}.md\\:pb-10{padding-bottom:2.5rem}.md\\:pl-10{padding-left:2.5rem}.md\\:pt-12{padding-top:3rem}.md\\:pr-12{padding-right:3rem}.md\\:pb-12{padding-bottom:3rem}.md\\:pl-12{padding-left:3rem}.md\\:pt-16{padding-top:4rem}.md\\:pr-16{padding-right:4rem}.md\\:pb-16{padding-bottom:4rem}.md\\:pl-16{padding-left:4rem}.md\\:pt-20{padding-top:5rem}.md\\:pr-20{padding-right:5rem}.md\\:pb-20{padding-bottom:5rem}.md\\:pl-20{padding-left:5rem}.md\\:pt-24{padding-top:6rem}.md\\:pr-24{padding-right:6rem}.md\\:pb-24{padding-bottom:6rem}.md\\:pl-24{padding-left:6rem}.md\\:pt-32{padding-top:8rem}.md\\:pr-32{padding-right:8rem}.md\\:pb-32{padding-bottom:8rem}.md\\:pl-32{padding-left:8rem}.md\\:pt-40{padding-top:10rem}.md\\:pr-40{padding-right:10rem}.md\\:pb-40{padding-bottom:10rem}.md\\:pl-40{padding-left:10rem}.md\\:pt-48{padding-top:12rem}.md\\:pr-48{padding-right:12rem}.md\\:pb-48{padding-bottom:12rem}.md\\:pl-48{padding-left:12rem}.md\\:pt-56{padding-top:14rem}.md\\:pr-56{padding-right:14rem}.md\\:pb-56{padding-bottom:14rem}.md\\:pl-56{padding-left:14rem}.md\\:pt-64{padding-top:16rem}.md\\:pr-64{padding-right:16rem}.md\\:pb-64{padding-bottom:16rem}.md\\:pl-64{padding-left:16rem}.md\\:pt-px{padding-top:1px}.md\\:pr-px{padding-right:1px}.md\\:pb-px{padding-bottom:1px}.md\\:pl-px{padding-left:1px}.md\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.md\\:placeholder-transparent::-moz-placeholder{color:transparent}.md\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.md\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.md\\:placeholder-transparent::placeholder{color:transparent}.md\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.md\\:placeholder-current::-moz-placeholder{color:currentColor}.md\\:placeholder-current:-ms-input-placeholder{color:currentColor}.md\\:placeholder-current::-ms-input-placeholder{color:currentColor}.md\\:placeholder-current::placeholder{color:currentColor}.md\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.md\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.md\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.md\\:pointer-events-none{pointer-events:none}.md\\:pointer-events-auto{pointer-events:auto}.md\\:static{position:static}.md\\:fixed{position:fixed}.md\\:absolute{position:absolute}.md\\:relative{position:relative}.md\\:sticky{position:-webkit-sticky;position:sticky}.md\\:inset-0{top:0;right:0;bottom:0;left:0}.md\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.md\\:inset-y-0{top:0;bottom:0}.md\\:inset-x-0{right:0;left:0}.md\\:inset-y-auto{top:auto;bottom:auto}.md\\:inset-x-auto{right:auto;left:auto}.md\\:top-0{top:0}.md\\:right-0{right:0}.md\\:bottom-0{bottom:0}.md\\:left-0{left:0}.md\\:top-auto{top:auto}.md\\:right-auto{right:auto}.md\\:bottom-auto{bottom:auto}.md\\:left-auto{left:auto}.md\\:resize-none{resize:none}.md\\:resize-y{resize:vertical}.md\\:resize-x{resize:horizontal}.md\\:resize{resize:both}.md\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.md\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.md\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.md\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.md\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.md\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.md\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.md\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.md\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.md\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.md\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.md\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.md\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.md\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.md\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.md\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.md\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.md\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.md\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.md\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.md\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.md\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.md\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.md\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.md\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.md\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.md\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.md\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.md\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.md\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.md\\:fill-current{fill:currentColor}.md\\:stroke-current{stroke:currentColor}.md\\:stroke-0{stroke-width:0}.md\\:stroke-1{stroke-width:1}.md\\:stroke-2{stroke-width:2}.md\\:table-auto{table-layout:auto}.md\\:table-fixed{table-layout:fixed}.md\\:text-left{text-align:left}.md\\:text-center{text-align:center}.md\\:text-right{text-align:right}.md\\:text-justify{text-align:justify}.md\\:text-transparent{color:transparent}.md\\:text-current{color:currentColor}.md\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.md\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.md\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.md\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.md\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.md\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.md\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.md\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.md\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.md\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.md\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.md\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.md\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.md\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.md\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.md\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.md\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.md\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.md\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.md\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.md\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.md\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.md\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.md\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.md\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.md\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.md\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.md\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.md\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.md\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.md\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.md\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.md\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.md\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.md\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.md\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.md\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.md\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.md\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.md\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.md\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.md\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.md\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.md\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.md\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.md\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.md\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.md\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.md\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.md\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.md\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.md\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.md\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.md\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.md\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.md\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.md\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.md\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.md\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.md\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.md\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.md\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.md\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.md\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.md\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.md\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.md\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.md\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.md\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.md\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.md\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.md\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.md\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.md\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.md\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.md\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.md\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.md\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.md\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.md\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.md\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.md\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.md\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.md\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.md\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.md\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.md\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.md\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.md\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.md\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.md\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.md\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.md\\:hover\\:text-transparent:hover{color:transparent}.md\\:hover\\:text-current:hover{color:currentColor}.md\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.md\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.md\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.md\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.md\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.md\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.md\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.md\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.md\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.md\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.md\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.md\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.md\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.md\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.md\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.md\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.md\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.md\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.md\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.md\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.md\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.md\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.md\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.md\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.md\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.md\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.md\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.md\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.md\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.md\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.md\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.md\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.md\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.md\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.md\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.md\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.md\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.md\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.md\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.md\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.md\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.md\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.md\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.md\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.md\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.md\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.md\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.md\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.md\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.md\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.md\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.md\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.md\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.md\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.md\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.md\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.md\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.md\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.md\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.md\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.md\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.md\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.md\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.md\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.md\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.md\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.md\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.md\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.md\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.md\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.md\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.md\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.md\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.md\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.md\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.md\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.md\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.md\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.md\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.md\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.md\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.md\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.md\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.md\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.md\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.md\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.md\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.md\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.md\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.md\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.md\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.md\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.md\\:focus\\:text-transparent:focus{color:transparent}.md\\:focus\\:text-current:focus{color:currentColor}.md\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.md\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.md\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.md\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.md\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.md\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.md\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.md\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.md\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.md\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.md\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.md\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.md\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.md\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.md\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.md\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.md\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.md\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.md\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.md\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.md\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.md\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.md\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.md\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.md\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.md\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.md\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.md\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.md\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.md\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.md\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.md\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.md\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.md\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.md\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.md\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.md\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.md\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.md\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.md\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.md\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.md\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.md\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.md\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.md\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.md\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.md\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.md\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.md\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.md\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.md\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.md\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.md\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.md\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.md\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.md\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.md\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.md\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.md\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.md\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.md\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.md\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.md\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.md\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.md\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.md\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.md\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.md\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.md\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.md\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.md\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.md\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.md\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.md\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.md\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.md\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.md\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.md\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.md\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.md\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.md\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.md\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.md\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.md\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.md\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.md\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.md\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.md\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.md\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.md\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.md\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.md\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.md\\:text-opacity-0{--text-opacity:0}.md\\:text-opacity-25{--text-opacity:0.25}.md\\:text-opacity-50{--text-opacity:0.5}.md\\:text-opacity-75{--text-opacity:0.75}.md\\:text-opacity-100{--text-opacity:1}.md\\:hover\\:text-opacity-0:hover{--text-opacity:0}.md\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.md\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.md\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.md\\:hover\\:text-opacity-100:hover{--text-opacity:1}.md\\:focus\\:text-opacity-0:focus{--text-opacity:0}.md\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.md\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.md\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.md\\:focus\\:text-opacity-100:focus{--text-opacity:1}.md\\:italic{font-style:italic}.md\\:not-italic{font-style:normal}.md\\:uppercase{text-transform:uppercase}.md\\:lowercase{text-transform:lowercase}.md\\:capitalize{text-transform:capitalize}.md\\:normal-case{text-transform:none}.md\\:underline{text-decoration:underline}.md\\:line-through{text-decoration:line-through}.md\\:no-underline{text-decoration:none}.md\\:hover\\:underline:hover{text-decoration:underline}.md\\:hover\\:line-through:hover{text-decoration:line-through}.md\\:hover\\:no-underline:hover{text-decoration:none}.md\\:focus\\:underline:focus{text-decoration:underline}.md\\:focus\\:line-through:focus{text-decoration:line-through}.md\\:focus\\:no-underline:focus{text-decoration:none}.md\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.md\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.md\\:ordinal,.md\\:slashed-zero,.md\\:lining-nums,.md\\:oldstyle-nums,.md\\:proportional-nums,.md\\:tabular-nums,.md\\:diagonal-fractions,.md\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.md\\:normal-nums{font-variant-numeric:normal}.md\\:ordinal{--font-variant-numeric-ordinal:ordinal}.md\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.md\\:lining-nums{--font-variant-numeric-figure:lining-nums}.md\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.md\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.md\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.md\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.md\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.md\\:tracking-tighter{letter-spacing:-0.05em}.md\\:tracking-tight{letter-spacing:-0.025em}.md\\:tracking-normal{letter-spacing:0}.md\\:tracking-wide{letter-spacing:0.025em}.md\\:tracking-wider{letter-spacing:0.05em}.md\\:tracking-widest{letter-spacing:0.1em}.md\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.md\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.md\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.md\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.md\\:align-baseline{vertical-align:baseline}.md\\:align-top{vertical-align:top}.md\\:align-middle{vertical-align:middle}.md\\:align-bottom{vertical-align:bottom}.md\\:align-text-top{vertical-align:text-top}.md\\:align-text-bottom{vertical-align:text-bottom}.md\\:visible{visibility:visible}.md\\:invisible{visibility:hidden}.md\\:whitespace-normal{white-space:normal}.md\\:whitespace-no-wrap{white-space:nowrap}.md\\:whitespace-pre{white-space:pre}.md\\:whitespace-pre-line{white-space:pre-line}.md\\:whitespace-pre-wrap{white-space:pre-wrap}.md\\:break-normal{overflow-wrap:normal;word-break:normal}.md\\:break-words{overflow-wrap:break-word}.md\\:break-all{word-break:break-all}.md\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.md\\:w-0{width:0}.md\\:w-1{width:0.25rem}.md\\:w-2{width:0.5rem}.md\\:w-3{width:0.75rem}.md\\:w-4{width:1rem}.md\\:w-5{width:1.25rem}.md\\:w-6{width:1.5rem}.md\\:w-8{width:2rem}.md\\:w-10{width:2.5rem}.md\\:w-12{width:3rem}.md\\:w-16{width:4rem}.md\\:w-20{width:5rem}.md\\:w-24{width:6rem}.md\\:w-32{width:8rem}.md\\:w-40{width:10rem}.md\\:w-48{width:12rem}.md\\:w-56{width:14rem}.md\\:w-64{width:16rem}.md\\:w-auto{width:auto}.md\\:w-px{width:1px}.md\\:w-1\\/2{width:50%}.md\\:w-1\\/3{width:33.333333%}.md\\:w-2\\/3{width:66.666667%}.md\\:w-1\\/4{width:25%}.md\\:w-2\\/4{width:50%}.md\\:w-3\\/4{width:75%}.md\\:w-1\\/5{width:20%}.md\\:w-2\\/5{width:40%}.md\\:w-3\\/5{width:60%}.md\\:w-4\\/5{width:80%}.md\\:w-1\\/6{width:16.666667%}.md\\:w-2\\/6{width:33.333333%}.md\\:w-3\\/6{width:50%}.md\\:w-4\\/6{width:66.666667%}.md\\:w-5\\/6{width:83.333333%}.md\\:w-1\\/12{width:8.333333%}.md\\:w-2\\/12{width:16.666667%}.md\\:w-3\\/12{width:25%}.md\\:w-4\\/12{width:33.333333%}.md\\:w-5\\/12{width:41.666667%}.md\\:w-6\\/12{width:50%}.md\\:w-7\\/12{width:58.333333%}.md\\:w-8\\/12{width:66.666667%}.md\\:w-9\\/12{width:75%}.md\\:w-10\\/12{width:83.333333%}.md\\:w-11\\/12{width:91.666667%}.md\\:w-full{width:100%}.md\\:w-screen{width:100vw}.md\\:z-0{z-index:0}.md\\:z-10{z-index:10}.md\\:z-20{z-index:20}.md\\:z-30{z-index:30}.md\\:z-40{z-index:40}.md\\:z-50{z-index:50}.md\\:z-auto{z-index:auto}.md\\:gap-0{grid-gap:0;gap:0}.md\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.md\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.md\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.md\\:gap-4{grid-gap:1rem;gap:1rem}.md\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.md\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.md\\:gap-8{grid-gap:2rem;gap:2rem}.md\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.md\\:gap-12{grid-gap:3rem;gap:3rem}.md\\:gap-16{grid-gap:4rem;gap:4rem}.md\\:gap-20{grid-gap:5rem;gap:5rem}.md\\:gap-24{grid-gap:6rem;gap:6rem}.md\\:gap-32{grid-gap:8rem;gap:8rem}.md\\:gap-40{grid-gap:10rem;gap:10rem}.md\\:gap-48{grid-gap:12rem;gap:12rem}.md\\:gap-56{grid-gap:14rem;gap:14rem}.md\\:gap-64{grid-gap:16rem;gap:16rem}.md\\:gap-px{grid-gap:1px;gap:1px}.md\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.md\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.md\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.md\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.md\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.md\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.md\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.md\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.md\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.md\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.md\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.md\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.md\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.md\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.md\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.md\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.md\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.md\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.md\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.md\\:gap-y-0{grid-row-gap:0;row-gap:0}.md\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.md\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.md\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.md\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.md\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.md\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.md\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.md\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.md\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.md\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.md\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.md\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.md\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.md\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.md\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.md\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.md\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.md\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.md\\:grid-flow-row{grid-auto-flow:row}.md\\:grid-flow-col{grid-auto-flow:column}.md\\:grid-flow-row-dense{grid-auto-flow:row dense}.md\\:grid-flow-col-dense{grid-auto-flow:column dense}.md\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.md\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.md\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.md\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.md\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.md\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.md\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.md\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.md\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.md\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.md\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.md\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.md\\:grid-cols-none{grid-template-columns:none}.md\\:col-auto{grid-column:auto}.md\\:col-span-1{grid-column:span 1 / span 1}.md\\:col-span-2{grid-column:span 2 / span 2}.md\\:col-span-3{grid-column:span 3 / span 3}.md\\:col-span-4{grid-column:span 4 / span 4}.md\\:col-span-5{grid-column:span 5 / span 5}.md\\:col-span-6{grid-column:span 6 / span 6}.md\\:col-span-7{grid-column:span 7 / span 7}.md\\:col-span-8{grid-column:span 8 / span 8}.md\\:col-span-9{grid-column:span 9 / span 9}.md\\:col-span-10{grid-column:span 10 / span 10}.md\\:col-span-11{grid-column:span 11 / span 11}.md\\:col-span-12{grid-column:span 12 / span 12}.md\\:col-start-1{grid-column-start:1}.md\\:col-start-2{grid-column-start:2}.md\\:col-start-3{grid-column-start:3}.md\\:col-start-4{grid-column-start:4}.md\\:col-start-5{grid-column-start:5}.md\\:col-start-6{grid-column-start:6}.md\\:col-start-7{grid-column-start:7}.md\\:col-start-8{grid-column-start:8}.md\\:col-start-9{grid-column-start:9}.md\\:col-start-10{grid-column-start:10}.md\\:col-start-11{grid-column-start:11}.md\\:col-start-12{grid-column-start:12}.md\\:col-start-13{grid-column-start:13}.md\\:col-start-auto{grid-column-start:auto}.md\\:col-end-1{grid-column-end:1}.md\\:col-end-2{grid-column-end:2}.md\\:col-end-3{grid-column-end:3}.md\\:col-end-4{grid-column-end:4}.md\\:col-end-5{grid-column-end:5}.md\\:col-end-6{grid-column-end:6}.md\\:col-end-7{grid-column-end:7}.md\\:col-end-8{grid-column-end:8}.md\\:col-end-9{grid-column-end:9}.md\\:col-end-10{grid-column-end:10}.md\\:col-end-11{grid-column-end:11}.md\\:col-end-12{grid-column-end:12}.md\\:col-end-13{grid-column-end:13}.md\\:col-end-auto{grid-column-end:auto}.md\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.md\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.md\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.md\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.md\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.md\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.md\\:grid-rows-none{grid-template-rows:none}.md\\:row-auto{grid-row:auto}.md\\:row-span-1{grid-row:span 1 / span 1}.md\\:row-span-2{grid-row:span 2 / span 2}.md\\:row-span-3{grid-row:span 3 / span 3}.md\\:row-span-4{grid-row:span 4 / span 4}.md\\:row-span-5{grid-row:span 5 / span 5}.md\\:row-span-6{grid-row:span 6 / span 6}.md\\:row-start-1{grid-row-start:1}.md\\:row-start-2{grid-row-start:2}.md\\:row-start-3{grid-row-start:3}.md\\:row-start-4{grid-row-start:4}.md\\:row-start-5{grid-row-start:5}.md\\:row-start-6{grid-row-start:6}.md\\:row-start-7{grid-row-start:7}.md\\:row-start-auto{grid-row-start:auto}.md\\:row-end-1{grid-row-end:1}.md\\:row-end-2{grid-row-end:2}.md\\:row-end-3{grid-row-end:3}.md\\:row-end-4{grid-row-end:4}.md\\:row-end-5{grid-row-end:5}.md\\:row-end-6{grid-row-end:6}.md\\:row-end-7{grid-row-end:7}.md\\:row-end-auto{grid-row-end:auto}.md\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.md\\:transform-none{-webkit-transform:none;transform:none}.md\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.md\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.md\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.md\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.md\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.md\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.md\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.md\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.md\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.md\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.md\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.md\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.md\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.md\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.md\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.md\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.md\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.md\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.md\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.md\\:scale-x-0{--transform-scale-x:0}.md\\:scale-x-50{--transform-scale-x:.5}.md\\:scale-x-75{--transform-scale-x:.75}.md\\:scale-x-90{--transform-scale-x:.9}.md\\:scale-x-95{--transform-scale-x:.95}.md\\:scale-x-100{--transform-scale-x:1}.md\\:scale-x-105{--transform-scale-x:1.05}.md\\:scale-x-110{--transform-scale-x:1.1}.md\\:scale-x-125{--transform-scale-x:1.25}.md\\:scale-x-150{--transform-scale-x:1.5}.md\\:scale-y-0{--transform-scale-y:0}.md\\:scale-y-50{--transform-scale-y:.5}.md\\:scale-y-75{--transform-scale-y:.75}.md\\:scale-y-90{--transform-scale-y:.9}.md\\:scale-y-95{--transform-scale-y:.95}.md\\:scale-y-100{--transform-scale-y:1}.md\\:scale-y-105{--transform-scale-y:1.05}.md\\:scale-y-110{--transform-scale-y:1.1}.md\\:scale-y-125{--transform-scale-y:1.25}.md\\:scale-y-150{--transform-scale-y:1.5}.md\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.md\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.md\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.md\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.md\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.md\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.md\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.md\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.md\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.md\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.md\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.md\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.md\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.md\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.md\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.md\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.md\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.md\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.md\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.md\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.md\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.md\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.md\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.md\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.md\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.md\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.md\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.md\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.md\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.md\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.md\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.md\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.md\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.md\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.md\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.md\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.md\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.md\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.md\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.md\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.md\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.md\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.md\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.md\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.md\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.md\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.md\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.md\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.md\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.md\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.md\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.md\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.md\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.md\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.md\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.md\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.md\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.md\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.md\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.md\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.md\\:rotate-0{--transform-rotate:0}.md\\:rotate-45{--transform-rotate:45deg}.md\\:rotate-90{--transform-rotate:90deg}.md\\:rotate-180{--transform-rotate:180deg}.md\\:-rotate-180{--transform-rotate:-180deg}.md\\:-rotate-90{--transform-rotate:-90deg}.md\\:-rotate-45{--transform-rotate:-45deg}.md\\:hover\\:rotate-0:hover{--transform-rotate:0}.md\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.md\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.md\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.md\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.md\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.md\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.md\\:focus\\:rotate-0:focus{--transform-rotate:0}.md\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.md\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.md\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.md\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.md\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.md\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.md\\:translate-x-0{--transform-translate-x:0}.md\\:translate-x-1{--transform-translate-x:0.25rem}.md\\:translate-x-2{--transform-translate-x:0.5rem}.md\\:translate-x-3{--transform-translate-x:0.75rem}.md\\:translate-x-4{--transform-translate-x:1rem}.md\\:translate-x-5{--transform-translate-x:1.25rem}.md\\:translate-x-6{--transform-translate-x:1.5rem}.md\\:translate-x-8{--transform-translate-x:2rem}.md\\:translate-x-10{--transform-translate-x:2.5rem}.md\\:translate-x-12{--transform-translate-x:3rem}.md\\:translate-x-16{--transform-translate-x:4rem}.md\\:translate-x-20{--transform-translate-x:5rem}.md\\:translate-x-24{--transform-translate-x:6rem}.md\\:translate-x-32{--transform-translate-x:8rem}.md\\:translate-x-40{--transform-translate-x:10rem}.md\\:translate-x-48{--transform-translate-x:12rem}.md\\:translate-x-56{--transform-translate-x:14rem}.md\\:translate-x-64{--transform-translate-x:16rem}.md\\:translate-x-px{--transform-translate-x:1px}.md\\:-translate-x-1{--transform-translate-x:-0.25rem}.md\\:-translate-x-2{--transform-translate-x:-0.5rem}.md\\:-translate-x-3{--transform-translate-x:-0.75rem}.md\\:-translate-x-4{--transform-translate-x:-1rem}.md\\:-translate-x-5{--transform-translate-x:-1.25rem}.md\\:-translate-x-6{--transform-translate-x:-1.5rem}.md\\:-translate-x-8{--transform-translate-x:-2rem}.md\\:-translate-x-10{--transform-translate-x:-2.5rem}.md\\:-translate-x-12{--transform-translate-x:-3rem}.md\\:-translate-x-16{--transform-translate-x:-4rem}.md\\:-translate-x-20{--transform-translate-x:-5rem}.md\\:-translate-x-24{--transform-translate-x:-6rem}.md\\:-translate-x-32{--transform-translate-x:-8rem}.md\\:-translate-x-40{--transform-translate-x:-10rem}.md\\:-translate-x-48{--transform-translate-x:-12rem}.md\\:-translate-x-56{--transform-translate-x:-14rem}.md\\:-translate-x-64{--transform-translate-x:-16rem}.md\\:-translate-x-px{--transform-translate-x:-1px}.md\\:-translate-x-full{--transform-translate-x:-100%}.md\\:-translate-x-1\\/2{--transform-translate-x:-50%}.md\\:translate-x-1\\/2{--transform-translate-x:50%}.md\\:translate-x-full{--transform-translate-x:100%}.md\\:translate-y-0{--transform-translate-y:0}.md\\:translate-y-1{--transform-translate-y:0.25rem}.md\\:translate-y-2{--transform-translate-y:0.5rem}.md\\:translate-y-3{--transform-translate-y:0.75rem}.md\\:translate-y-4{--transform-translate-y:1rem}.md\\:translate-y-5{--transform-translate-y:1.25rem}.md\\:translate-y-6{--transform-translate-y:1.5rem}.md\\:translate-y-8{--transform-translate-y:2rem}.md\\:translate-y-10{--transform-translate-y:2.5rem}.md\\:translate-y-12{--transform-translate-y:3rem}.md\\:translate-y-16{--transform-translate-y:4rem}.md\\:translate-y-20{--transform-translate-y:5rem}.md\\:translate-y-24{--transform-translate-y:6rem}.md\\:translate-y-32{--transform-translate-y:8rem}.md\\:translate-y-40{--transform-translate-y:10rem}.md\\:translate-y-48{--transform-translate-y:12rem}.md\\:translate-y-56{--transform-translate-y:14rem}.md\\:translate-y-64{--transform-translate-y:16rem}.md\\:translate-y-px{--transform-translate-y:1px}.md\\:-translate-y-1{--transform-translate-y:-0.25rem}.md\\:-translate-y-2{--transform-translate-y:-0.5rem}.md\\:-translate-y-3{--transform-translate-y:-0.75rem}.md\\:-translate-y-4{--transform-translate-y:-1rem}.md\\:-translate-y-5{--transform-translate-y:-1.25rem}.md\\:-translate-y-6{--transform-translate-y:-1.5rem}.md\\:-translate-y-8{--transform-translate-y:-2rem}.md\\:-translate-y-10{--transform-translate-y:-2.5rem}.md\\:-translate-y-12{--transform-translate-y:-3rem}.md\\:-translate-y-16{--transform-translate-y:-4rem}.md\\:-translate-y-20{--transform-translate-y:-5rem}.md\\:-translate-y-24{--transform-translate-y:-6rem}.md\\:-translate-y-32{--transform-translate-y:-8rem}.md\\:-translate-y-40{--transform-translate-y:-10rem}.md\\:-translate-y-48{--transform-translate-y:-12rem}.md\\:-translate-y-56{--transform-translate-y:-14rem}.md\\:-translate-y-64{--transform-translate-y:-16rem}.md\\:-translate-y-px{--transform-translate-y:-1px}.md\\:-translate-y-full{--transform-translate-y:-100%}.md\\:-translate-y-1\\/2{--transform-translate-y:-50%}.md\\:translate-y-1\\/2{--transform-translate-y:50%}.md\\:translate-y-full{--transform-translate-y:100%}.md\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.md\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.md\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.md\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.md\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.md\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.md\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.md\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.md\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.md\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.md\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.md\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.md\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.md\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.md\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.md\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.md\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.md\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.md\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.md\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.md\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.md\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.md\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.md\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.md\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.md\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.md\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.md\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.md\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.md\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.md\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.md\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.md\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.md\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.md\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.md\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.md\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.md\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.md\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.md\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.md\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.md\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.md\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.md\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.md\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.md\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.md\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.md\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.md\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.md\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.md\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.md\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.md\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.md\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.md\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.md\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.md\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.md\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.md\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.md\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.md\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.md\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.md\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.md\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.md\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.md\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.md\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.md\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.md\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.md\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.md\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.md\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.md\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.md\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.md\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.md\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.md\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.md\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.md\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.md\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.md\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.md\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.md\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.md\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.md\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.md\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.md\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.md\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.md\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.md\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.md\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.md\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.md\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.md\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.md\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.md\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.md\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.md\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.md\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.md\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.md\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.md\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.md\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.md\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.md\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.md\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.md\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.md\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.md\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.md\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.md\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.md\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.md\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.md\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.md\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.md\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.md\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.md\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.md\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.md\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.md\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.md\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.md\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.md\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.md\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.md\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.md\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.md\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.md\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.md\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.md\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.md\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.md\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.md\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.md\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.md\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.md\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.md\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.md\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.md\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.md\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.md\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.md\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.md\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.md\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.md\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.md\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.md\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.md\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.md\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.md\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.md\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.md\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.md\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.md\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.md\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.md\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.md\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.md\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.md\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.md\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.md\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.md\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.md\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.md\\:skew-x-0{--transform-skew-x:0}.md\\:skew-x-3{--transform-skew-x:3deg}.md\\:skew-x-6{--transform-skew-x:6deg}.md\\:skew-x-12{--transform-skew-x:12deg}.md\\:-skew-x-12{--transform-skew-x:-12deg}.md\\:-skew-x-6{--transform-skew-x:-6deg}.md\\:-skew-x-3{--transform-skew-x:-3deg}.md\\:skew-y-0{--transform-skew-y:0}.md\\:skew-y-3{--transform-skew-y:3deg}.md\\:skew-y-6{--transform-skew-y:6deg}.md\\:skew-y-12{--transform-skew-y:12deg}.md\\:-skew-y-12{--transform-skew-y:-12deg}.md\\:-skew-y-6{--transform-skew-y:-6deg}.md\\:-skew-y-3{--transform-skew-y:-3deg}.md\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.md\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.md\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.md\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.md\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.md\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.md\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.md\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.md\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.md\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.md\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.md\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.md\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.md\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.md\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.md\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.md\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.md\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.md\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.md\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.md\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.md\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.md\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.md\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.md\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.md\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.md\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.md\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.md\\:transition-none{-webkit-transition-property:none;transition-property:none}.md\\:transition-all{-webkit-transition-property:all;transition-property:all}.md\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.md\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.md\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.md\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.md\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.md\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.md\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.md\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.md\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.md\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.md\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.md\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.md\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.md\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.md\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.md\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.md\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.md\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.md\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.md\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.md\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.md\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.md\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.md\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.md\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.md\\:animate-none{-webkit-animation:none;animation:none}.md\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.md\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.md\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.md\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}@media (min-width: 1024px){.lg\\:container{width:100%}@media (min-width: 640px){.lg\\:container{max-width:640px}}@media (min-width: 768px){.lg\\:container{max-width:768px}}@media (min-width: 1024px){.lg\\:container{max-width:1024px}}@media (min-width: 1280px){.lg\\:container{max-width:1280px}}.lg\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.lg\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.lg\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.lg\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.lg\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.lg\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.lg\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.lg\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.lg\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.lg\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.lg\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.lg\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.lg\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.lg\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.lg\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.lg\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.lg\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.lg\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.lg\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.lg\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.lg\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.lg\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.lg\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.lg\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.lg\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.lg\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.lg\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.lg\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.lg\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.lg\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.lg\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.lg\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.lg\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.lg\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.lg\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.lg\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.lg\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.lg\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.lg\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.lg\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.lg\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.lg\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.lg\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.lg\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.lg\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.lg\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.lg\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.lg\\:divide-current>:not(template)~:not(template){border-color:currentColor}.lg\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.lg\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.lg\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.lg\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.lg\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.lg\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.lg\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.lg\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.lg\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.lg\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.lg\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.lg\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.lg\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.lg\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.lg\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.lg\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.lg\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.lg\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.lg\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.lg\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.lg\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.lg\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.lg\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.lg\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.lg\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.lg\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.lg\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.lg\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.lg\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.lg\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.lg\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.lg\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.lg\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.lg\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.lg\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.lg\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.lg\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.lg\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.lg\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.lg\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.lg\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.lg\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.lg\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.lg\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.lg\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.lg\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.lg\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.lg\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.lg\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.lg\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.lg\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.lg\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.lg\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.lg\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.lg\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.lg\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.lg\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.lg\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.lg\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.lg\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.lg\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.lg\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.lg\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.lg\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.lg\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.lg\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.lg\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.lg\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.lg\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.lg\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.lg\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.lg\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.lg\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.lg\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.lg\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.lg\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.lg\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.lg\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.lg\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.lg\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.lg\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.lg\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.lg\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.lg\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.lg\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.lg\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.lg\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.lg\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.lg\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.lg\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.lg\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.lg\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.lg\\:divide-solid>:not(template)~:not(template){border-style:solid}.lg\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.lg\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.lg\\:divide-double>:not(template)~:not(template){border-style:double}.lg\\:divide-none>:not(template)~:not(template){border-style:none}.lg\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.lg\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.lg\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.lg\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.lg\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.lg\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.lg\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.lg\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.lg\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.lg\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.lg\\:bg-fixed{background-attachment:fixed}.lg\\:bg-local{background-attachment:local}.lg\\:bg-scroll{background-attachment:scroll}.lg\\:bg-clip-border{background-clip:border-box}.lg\\:bg-clip-padding{background-clip:padding-box}.lg\\:bg-clip-content{background-clip:content-box}.lg\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.lg\\:bg-transparent{background-color:transparent}.lg\\:bg-current{background-color:currentColor}.lg\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.lg\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.lg\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.lg\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.lg\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.lg\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.lg\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.lg\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.lg\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.lg\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.lg\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.lg\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.lg\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.lg\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.lg\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.lg\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.lg\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.lg\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.lg\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.lg\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.lg\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.lg\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.lg\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.lg\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.lg\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.lg\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.lg\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.lg\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.lg\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.lg\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.lg\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.lg\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.lg\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.lg\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.lg\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.lg\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.lg\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.lg\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.lg\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.lg\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.lg\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.lg\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.lg\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.lg\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.lg\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.lg\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.lg\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.lg\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.lg\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.lg\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.lg\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.lg\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.lg\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.lg\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.lg\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.lg\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.lg\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.lg\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.lg\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.lg\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.lg\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.lg\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.lg\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.lg\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.lg\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.lg\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.lg\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.lg\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.lg\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.lg\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.lg\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.lg\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.lg\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.lg\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.lg\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.lg\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.lg\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.lg\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.lg\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.lg\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.lg\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.lg\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.lg\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.lg\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.lg\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.lg\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.lg\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.lg\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.lg\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.lg\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.lg\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.lg\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.lg\\:hover\\:bg-transparent:hover{background-color:transparent}.lg\\:hover\\:bg-current:hover{background-color:currentColor}.lg\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.lg\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.lg\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.lg\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.lg\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.lg\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.lg\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.lg\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.lg\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.lg\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.lg\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.lg\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.lg\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.lg\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.lg\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.lg\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.lg\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.lg\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.lg\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.lg\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.lg\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.lg\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.lg\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.lg\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.lg\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.lg\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.lg\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.lg\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.lg\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.lg\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.lg\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.lg\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.lg\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.lg\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.lg\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.lg\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.lg\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.lg\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.lg\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.lg\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.lg\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.lg\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.lg\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.lg\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.lg\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.lg\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.lg\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.lg\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.lg\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.lg\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.lg\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.lg\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.lg\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.lg\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.lg\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.lg\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.lg\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.lg\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.lg\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.lg\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.lg\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.lg\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.lg\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.lg\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.lg\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.lg\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.lg\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.lg\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.lg\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.lg\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.lg\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.lg\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.lg\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.lg\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.lg\\:focus\\:bg-transparent:focus{background-color:transparent}.lg\\:focus\\:bg-current:focus{background-color:currentColor}.lg\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.lg\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.lg\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.lg\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.lg\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.lg\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.lg\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.lg\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.lg\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.lg\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.lg\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.lg\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.lg\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.lg\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.lg\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.lg\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.lg\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.lg\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.lg\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.lg\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.lg\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.lg\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.lg\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.lg\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.lg\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.lg\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.lg\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.lg\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.lg\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.lg\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.lg\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.lg\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.lg\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.lg\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.lg\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.lg\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.lg\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.lg\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.lg\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.lg\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.lg\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.lg\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.lg\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.lg\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.lg\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.lg\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.lg\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.lg\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.lg\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.lg\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.lg\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.lg\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.lg\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.lg\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.lg\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.lg\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.lg\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.lg\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.lg\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.lg\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.lg\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.lg\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.lg\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.lg\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.lg\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.lg\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.lg\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.lg\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.lg\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.lg\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.lg\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.lg\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.lg\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.lg\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.lg\\:bg-none{background-image:none}.lg\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.lg\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.lg\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.lg\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.lg\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.lg\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.lg\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.lg\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.lg\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:to-transparent{--gradient-to-color:transparent}.lg\\:to-current{--gradient-to-color:currentColor}.lg\\:to-black{--gradient-to-color:#000}.lg\\:to-white{--gradient-to-color:#fff}.lg\\:to-gray-100{--gradient-to-color:#f7fafc}.lg\\:to-gray-200{--gradient-to-color:#edf2f7}.lg\\:to-gray-300{--gradient-to-color:#e2e8f0}.lg\\:to-gray-400{--gradient-to-color:#cbd5e0}.lg\\:to-gray-500{--gradient-to-color:#a0aec0}.lg\\:to-gray-600{--gradient-to-color:#718096}.lg\\:to-gray-700{--gradient-to-color:#4a5568}.lg\\:to-gray-800{--gradient-to-color:#2d3748}.lg\\:to-gray-900{--gradient-to-color:#1a202c}.lg\\:to-red-100{--gradient-to-color:#fff5f5}.lg\\:to-red-200{--gradient-to-color:#fed7d7}.lg\\:to-red-300{--gradient-to-color:#feb2b2}.lg\\:to-red-400{--gradient-to-color:#fc8181}.lg\\:to-red-500{--gradient-to-color:#f56565}.lg\\:to-red-600{--gradient-to-color:#e53e3e}.lg\\:to-red-700{--gradient-to-color:#c53030}.lg\\:to-red-800{--gradient-to-color:#9b2c2c}.lg\\:to-red-900{--gradient-to-color:#742a2a}.lg\\:to-orange-100{--gradient-to-color:#fffaf0}.lg\\:to-orange-200{--gradient-to-color:#feebc8}.lg\\:to-orange-300{--gradient-to-color:#fbd38d}.lg\\:to-orange-400{--gradient-to-color:#f6ad55}.lg\\:to-orange-500{--gradient-to-color:#ed8936}.lg\\:to-orange-600{--gradient-to-color:#dd6b20}.lg\\:to-orange-700{--gradient-to-color:#c05621}.lg\\:to-orange-800{--gradient-to-color:#9c4221}.lg\\:to-orange-900{--gradient-to-color:#7b341e}.lg\\:to-yellow-100{--gradient-to-color:#fffff0}.lg\\:to-yellow-200{--gradient-to-color:#fefcbf}.lg\\:to-yellow-300{--gradient-to-color:#faf089}.lg\\:to-yellow-400{--gradient-to-color:#f6e05e}.lg\\:to-yellow-500{--gradient-to-color:#ecc94b}.lg\\:to-yellow-600{--gradient-to-color:#d69e2e}.lg\\:to-yellow-700{--gradient-to-color:#b7791f}.lg\\:to-yellow-800{--gradient-to-color:#975a16}.lg\\:to-yellow-900{--gradient-to-color:#744210}.lg\\:to-green-100{--gradient-to-color:#f0fff4}.lg\\:to-green-200{--gradient-to-color:#c6f6d5}.lg\\:to-green-300{--gradient-to-color:#9ae6b4}.lg\\:to-green-400{--gradient-to-color:#68d391}.lg\\:to-green-500{--gradient-to-color:#48bb78}.lg\\:to-green-600{--gradient-to-color:#38a169}.lg\\:to-green-700{--gradient-to-color:#2f855a}.lg\\:to-green-800{--gradient-to-color:#276749}.lg\\:to-green-900{--gradient-to-color:#22543d}.lg\\:to-teal-100{--gradient-to-color:#e6fffa}.lg\\:to-teal-200{--gradient-to-color:#b2f5ea}.lg\\:to-teal-300{--gradient-to-color:#81e6d9}.lg\\:to-teal-400{--gradient-to-color:#4fd1c5}.lg\\:to-teal-500{--gradient-to-color:#38b2ac}.lg\\:to-teal-600{--gradient-to-color:#319795}.lg\\:to-teal-700{--gradient-to-color:#2c7a7b}.lg\\:to-teal-800{--gradient-to-color:#285e61}.lg\\:to-teal-900{--gradient-to-color:#234e52}.lg\\:to-blue-100{--gradient-to-color:#ebf8ff}.lg\\:to-blue-200{--gradient-to-color:#bee3f8}.lg\\:to-blue-300{--gradient-to-color:#90cdf4}.lg\\:to-blue-400{--gradient-to-color:#63b3ed}.lg\\:to-blue-500{--gradient-to-color:#4299e1}.lg\\:to-blue-600{--gradient-to-color:#3182ce}.lg\\:to-blue-700{--gradient-to-color:#2b6cb0}.lg\\:to-blue-800{--gradient-to-color:#2c5282}.lg\\:to-blue-900{--gradient-to-color:#2a4365}.lg\\:to-indigo-100{--gradient-to-color:#ebf4ff}.lg\\:to-indigo-200{--gradient-to-color:#c3dafe}.lg\\:to-indigo-300{--gradient-to-color:#a3bffa}.lg\\:to-indigo-400{--gradient-to-color:#7f9cf5}.lg\\:to-indigo-500{--gradient-to-color:#667eea}.lg\\:to-indigo-600{--gradient-to-color:#5a67d8}.lg\\:to-indigo-700{--gradient-to-color:#4c51bf}.lg\\:to-indigo-800{--gradient-to-color:#434190}.lg\\:to-indigo-900{--gradient-to-color:#3c366b}.lg\\:to-purple-100{--gradient-to-color:#faf5ff}.lg\\:to-purple-200{--gradient-to-color:#e9d8fd}.lg\\:to-purple-300{--gradient-to-color:#d6bcfa}.lg\\:to-purple-400{--gradient-to-color:#b794f4}.lg\\:to-purple-500{--gradient-to-color:#9f7aea}.lg\\:to-purple-600{--gradient-to-color:#805ad5}.lg\\:to-purple-700{--gradient-to-color:#6b46c1}.lg\\:to-purple-800{--gradient-to-color:#553c9a}.lg\\:to-purple-900{--gradient-to-color:#44337a}.lg\\:to-pink-100{--gradient-to-color:#fff5f7}.lg\\:to-pink-200{--gradient-to-color:#fed7e2}.lg\\:to-pink-300{--gradient-to-color:#fbb6ce}.lg\\:to-pink-400{--gradient-to-color:#f687b3}.lg\\:to-pink-500{--gradient-to-color:#ed64a6}.lg\\:to-pink-600{--gradient-to-color:#d53f8c}.lg\\:to-pink-700{--gradient-to-color:#b83280}.lg\\:to-pink-800{--gradient-to-color:#97266d}.lg\\:to-pink-900{--gradient-to-color:#702459}.lg\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.lg\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.lg\\:hover\\:to-black:hover{--gradient-to-color:#000}.lg\\:hover\\:to-white:hover{--gradient-to-color:#fff}.lg\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.lg\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.lg\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.lg\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.lg\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.lg\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.lg\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.lg\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.lg\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.lg\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.lg\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.lg\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.lg\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.lg\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.lg\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.lg\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.lg\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.lg\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.lg\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.lg\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.lg\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.lg\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.lg\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.lg\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.lg\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.lg\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.lg\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.lg\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.lg\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.lg\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.lg\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.lg\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.lg\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.lg\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.lg\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.lg\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.lg\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.lg\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.lg\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.lg\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.lg\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.lg\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.lg\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.lg\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.lg\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.lg\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.lg\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.lg\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.lg\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.lg\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.lg\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.lg\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.lg\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.lg\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.lg\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.lg\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.lg\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.lg\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.lg\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.lg\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.lg\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.lg\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.lg\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.lg\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.lg\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.lg\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.lg\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.lg\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.lg\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.lg\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.lg\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.lg\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.lg\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.lg\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.lg\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.lg\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.lg\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.lg\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.lg\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.lg\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.lg\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.lg\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.lg\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.lg\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.lg\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.lg\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.lg\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.lg\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.lg\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.lg\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.lg\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.lg\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.lg\\:focus\\:to-black:focus{--gradient-to-color:#000}.lg\\:focus\\:to-white:focus{--gradient-to-color:#fff}.lg\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.lg\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.lg\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.lg\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.lg\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.lg\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.lg\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.lg\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.lg\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.lg\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.lg\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.lg\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.lg\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.lg\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.lg\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.lg\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.lg\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.lg\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.lg\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.lg\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.lg\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.lg\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.lg\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.lg\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.lg\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.lg\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.lg\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.lg\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.lg\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.lg\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.lg\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.lg\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.lg\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.lg\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.lg\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.lg\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.lg\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.lg\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.lg\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.lg\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.lg\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.lg\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.lg\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.lg\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.lg\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.lg\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.lg\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.lg\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.lg\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.lg\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.lg\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.lg\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.lg\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.lg\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.lg\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.lg\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.lg\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.lg\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.lg\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.lg\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.lg\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.lg\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.lg\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.lg\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.lg\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.lg\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.lg\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.lg\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.lg\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.lg\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.lg\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.lg\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.lg\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.lg\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.lg\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.lg\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.lg\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.lg\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.lg\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.lg\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.lg\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.lg\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.lg\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.lg\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.lg\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.lg\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.lg\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.lg\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.lg\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.lg\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.lg\\:bg-opacity-0{--bg-opacity:0}.lg\\:bg-opacity-25{--bg-opacity:0.25}.lg\\:bg-opacity-50{--bg-opacity:0.5}.lg\\:bg-opacity-75{--bg-opacity:0.75}.lg\\:bg-opacity-100{--bg-opacity:1}.lg\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.lg\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.lg\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.lg\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.lg\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.lg\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.lg\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.lg\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.lg\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.lg\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.lg\\:bg-bottom{background-position:bottom}.lg\\:bg-center{background-position:center}.lg\\:bg-left{background-position:left}.lg\\:bg-left-bottom{background-position:left bottom}.lg\\:bg-left-top{background-position:left top}.lg\\:bg-right{background-position:right}.lg\\:bg-right-bottom{background-position:right bottom}.lg\\:bg-right-top{background-position:right top}.lg\\:bg-top{background-position:top}.lg\\:bg-repeat{background-repeat:repeat}.lg\\:bg-no-repeat{background-repeat:no-repeat}.lg\\:bg-repeat-x{background-repeat:repeat-x}.lg\\:bg-repeat-y{background-repeat:repeat-y}.lg\\:bg-repeat-round{background-repeat:round}.lg\\:bg-repeat-space{background-repeat:space}.lg\\:bg-auto{background-size:auto}.lg\\:bg-cover{background-size:cover}.lg\\:bg-contain{background-size:contain}.lg\\:border-collapse{border-collapse:collapse}.lg\\:border-separate{border-collapse:separate}.lg\\:border-transparent{border-color:transparent}.lg\\:border-current{border-color:currentColor}.lg\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.lg\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.lg\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.lg\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.lg\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.lg\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.lg\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.lg\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.lg\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.lg\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.lg\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.lg\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.lg\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.lg\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.lg\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.lg\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.lg\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.lg\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.lg\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.lg\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.lg\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.lg\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.lg\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.lg\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.lg\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.lg\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.lg\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.lg\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.lg\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.lg\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.lg\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.lg\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.lg\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.lg\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.lg\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.lg\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.lg\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.lg\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.lg\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.lg\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.lg\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.lg\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.lg\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.lg\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.lg\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.lg\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.lg\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.lg\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.lg\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.lg\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.lg\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.lg\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.lg\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.lg\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.lg\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.lg\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.lg\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.lg\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.lg\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.lg\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.lg\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.lg\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.lg\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.lg\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.lg\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.lg\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.lg\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.lg\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.lg\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.lg\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.lg\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.lg\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.lg\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.lg\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.lg\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.lg\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.lg\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.lg\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.lg\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.lg\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.lg\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.lg\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.lg\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.lg\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.lg\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.lg\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.lg\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.lg\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.lg\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.lg\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.lg\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.lg\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.lg\\:hover\\:border-transparent:hover{border-color:transparent}.lg\\:hover\\:border-current:hover{border-color:currentColor}.lg\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.lg\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.lg\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.lg\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.lg\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.lg\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.lg\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.lg\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.lg\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.lg\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.lg\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.lg\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.lg\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.lg\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.lg\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.lg\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.lg\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.lg\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.lg\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.lg\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.lg\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.lg\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.lg\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.lg\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.lg\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.lg\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.lg\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.lg\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.lg\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.lg\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.lg\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.lg\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.lg\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.lg\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.lg\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.lg\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.lg\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.lg\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.lg\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.lg\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.lg\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.lg\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.lg\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.lg\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.lg\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.lg\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.lg\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.lg\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.lg\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.lg\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.lg\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.lg\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.lg\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.lg\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.lg\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.lg\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.lg\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.lg\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.lg\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.lg\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.lg\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.lg\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.lg\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.lg\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.lg\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.lg\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.lg\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.lg\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.lg\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.lg\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.lg\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.lg\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.lg\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.lg\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.lg\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.lg\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.lg\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.lg\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.lg\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.lg\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.lg\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.lg\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.lg\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.lg\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.lg\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.lg\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.lg\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.lg\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.lg\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.lg\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.lg\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.lg\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.lg\\:focus\\:border-transparent:focus{border-color:transparent}.lg\\:focus\\:border-current:focus{border-color:currentColor}.lg\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.lg\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.lg\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.lg\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.lg\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.lg\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.lg\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.lg\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.lg\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.lg\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.lg\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.lg\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.lg\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.lg\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.lg\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.lg\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.lg\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.lg\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.lg\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.lg\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.lg\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.lg\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.lg\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.lg\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.lg\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.lg\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.lg\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.lg\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.lg\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.lg\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.lg\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.lg\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.lg\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.lg\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.lg\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.lg\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.lg\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.lg\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.lg\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.lg\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.lg\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.lg\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.lg\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.lg\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.lg\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.lg\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.lg\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.lg\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.lg\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.lg\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.lg\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.lg\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.lg\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.lg\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.lg\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.lg\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.lg\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.lg\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.lg\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.lg\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.lg\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.lg\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.lg\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.lg\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.lg\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.lg\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.lg\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.lg\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.lg\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.lg\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.lg\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.lg\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.lg\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.lg\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.lg\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.lg\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.lg\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.lg\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.lg\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.lg\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.lg\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.lg\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.lg\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.lg\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.lg\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.lg\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.lg\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.lg\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.lg\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.lg\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.lg\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.lg\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.lg\\:border-opacity-0{--border-opacity:0}.lg\\:border-opacity-25{--border-opacity:0.25}.lg\\:border-opacity-50{--border-opacity:0.5}.lg\\:border-opacity-75{--border-opacity:0.75}.lg\\:border-opacity-100{--border-opacity:1}.lg\\:hover\\:border-opacity-0:hover{--border-opacity:0}.lg\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.lg\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.lg\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.lg\\:hover\\:border-opacity-100:hover{--border-opacity:1}.lg\\:focus\\:border-opacity-0:focus{--border-opacity:0}.lg\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.lg\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.lg\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.lg\\:focus\\:border-opacity-100:focus{--border-opacity:1}.lg\\:rounded-none{border-radius:0}.lg\\:rounded-sm{border-radius:0.125rem}.lg\\:rounded{border-radius:0.25rem}.lg\\:rounded-md{border-radius:0.375rem}.lg\\:rounded-lg{border-radius:0.5rem}.lg\\:rounded-full{border-radius:9999px}.lg\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.lg\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.lg\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.lg\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.lg\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.lg\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.lg\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.lg\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.lg\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.lg\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.lg\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.lg\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.lg\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.lg\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.lg\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.lg\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.lg\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.lg\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.lg\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.lg\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.lg\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.lg\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.lg\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.lg\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.lg\\:rounded-tl-none{border-top-left-radius:0}.lg\\:rounded-tr-none{border-top-right-radius:0}.lg\\:rounded-br-none{border-bottom-right-radius:0}.lg\\:rounded-bl-none{border-bottom-left-radius:0}.lg\\:rounded-tl-sm{border-top-left-radius:0.125rem}.lg\\:rounded-tr-sm{border-top-right-radius:0.125rem}.lg\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.lg\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.lg\\:rounded-tl{border-top-left-radius:0.25rem}.lg\\:rounded-tr{border-top-right-radius:0.25rem}.lg\\:rounded-br{border-bottom-right-radius:0.25rem}.lg\\:rounded-bl{border-bottom-left-radius:0.25rem}.lg\\:rounded-tl-md{border-top-left-radius:0.375rem}.lg\\:rounded-tr-md{border-top-right-radius:0.375rem}.lg\\:rounded-br-md{border-bottom-right-radius:0.375rem}.lg\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.lg\\:rounded-tl-lg{border-top-left-radius:0.5rem}.lg\\:rounded-tr-lg{border-top-right-radius:0.5rem}.lg\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.lg\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.lg\\:rounded-tl-full{border-top-left-radius:9999px}.lg\\:rounded-tr-full{border-top-right-radius:9999px}.lg\\:rounded-br-full{border-bottom-right-radius:9999px}.lg\\:rounded-bl-full{border-bottom-left-radius:9999px}.lg\\:border-solid{border-style:solid}.lg\\:border-dashed{border-style:dashed}.lg\\:border-dotted{border-style:dotted}.lg\\:border-double{border-style:double}.lg\\:border-none{border-style:none}.lg\\:border-0{border-width:0}.lg\\:border-2{border-width:2px}.lg\\:border-4{border-width:4px}.lg\\:border-8{border-width:8px}.lg\\:border{border-width:1px}.lg\\:border-t-0{border-top-width:0}.lg\\:border-r-0{border-right-width:0}.lg\\:border-b-0{border-bottom-width:0}.lg\\:border-l-0{border-left-width:0}.lg\\:border-t-2{border-top-width:2px}.lg\\:border-r-2{border-right-width:2px}.lg\\:border-b-2{border-bottom-width:2px}.lg\\:border-l-2{border-left-width:2px}.lg\\:border-t-4{border-top-width:4px}.lg\\:border-r-4{border-right-width:4px}.lg\\:border-b-4{border-bottom-width:4px}.lg\\:border-l-4{border-left-width:4px}.lg\\:border-t-8{border-top-width:8px}.lg\\:border-r-8{border-right-width:8px}.lg\\:border-b-8{border-bottom-width:8px}.lg\\:border-l-8{border-left-width:8px}.lg\\:border-t{border-top-width:1px}.lg\\:border-r{border-right-width:1px}.lg\\:border-b{border-bottom-width:1px}.lg\\:border-l{border-left-width:1px}.lg\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.lg\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.lg\\:cursor-auto{cursor:auto}.lg\\:cursor-default{cursor:default}.lg\\:cursor-pointer{cursor:pointer}.lg\\:cursor-wait{cursor:wait}.lg\\:cursor-text{cursor:text}.lg\\:cursor-move{cursor:move}.lg\\:cursor-not-allowed{cursor:not-allowed}.lg\\:block{display:block}.lg\\:inline-block{display:inline-block}.lg\\:inline{display:inline}.lg\\:flex{display:-ms-flexbox;display:flex}.lg\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.lg\\:table{display:table}.lg\\:table-caption{display:table-caption}.lg\\:table-cell{display:table-cell}.lg\\:table-column{display:table-column}.lg\\:table-column-group{display:table-column-group}.lg\\:table-footer-group{display:table-footer-group}.lg\\:table-header-group{display:table-header-group}.lg\\:table-row-group{display:table-row-group}.lg\\:table-row{display:table-row}.lg\\:flow-root{display:flow-root}.lg\\:grid{display:grid}.lg\\:inline-grid{display:inline-grid}.lg\\:contents{display:contents}.lg\\:hidden{display:none}.lg\\:flex-row{-ms-flex-direction:row;flex-direction:row}.lg\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.lg\\:flex-col{-ms-flex-direction:column;flex-direction:column}.lg\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.lg\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.lg\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.lg\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.lg\\:place-items-auto{place-items:auto}.lg\\:place-items-start{place-items:start}.lg\\:place-items-end{place-items:end}.lg\\:place-items-center{place-items:center}.lg\\:place-items-stretch{place-items:stretch}.lg\\:place-content-center{place-content:center}.lg\\:place-content-start{place-content:start}.lg\\:place-content-end{place-content:end}.lg\\:place-content-between{place-content:space-between}.lg\\:place-content-around{place-content:space-around}.lg\\:place-content-evenly{place-content:space-evenly}.lg\\:place-content-stretch{place-content:stretch}.lg\\:place-self-auto{place-self:auto}.lg\\:place-self-start{place-self:start}.lg\\:place-self-end{place-self:end}.lg\\:place-self-center{place-self:center}.lg\\:place-self-stretch{place-self:stretch}.lg\\:items-start{-ms-flex-align:start;align-items:flex-start}.lg\\:items-end{-ms-flex-align:end;align-items:flex-end}.lg\\:items-center{-ms-flex-align:center;align-items:center}.lg\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.lg\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.lg\\:content-center{-ms-flex-line-pack:center;align-content:center}.lg\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.lg\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.lg\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.lg\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.lg\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.lg\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.lg\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.lg\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.lg\\:self-center{-ms-flex-item-align:center;align-self:center}.lg\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.lg\\:justify-items-auto{justify-items:auto}.lg\\:justify-items-start{justify-items:start}.lg\\:justify-items-end{justify-items:end}.lg\\:justify-items-center{justify-items:center}.lg\\:justify-items-stretch{justify-items:stretch}.lg\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.lg\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.lg\\:justify-center{-ms-flex-pack:center;justify-content:center}.lg\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.lg\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.lg\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.lg\\:justify-self-auto{justify-self:auto}.lg\\:justify-self-start{justify-self:start}.lg\\:justify-self-end{justify-self:end}.lg\\:justify-self-center{justify-self:center}.lg\\:justify-self-stretch{justify-self:stretch}.lg\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.lg\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.lg\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.lg\\:flex-none{-ms-flex:none;flex:none}.lg\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.lg\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.lg\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.lg\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.lg\\:order-1{-ms-flex-order:1;order:1}.lg\\:order-2{-ms-flex-order:2;order:2}.lg\\:order-3{-ms-flex-order:3;order:3}.lg\\:order-4{-ms-flex-order:4;order:4}.lg\\:order-5{-ms-flex-order:5;order:5}.lg\\:order-6{-ms-flex-order:6;order:6}.lg\\:order-7{-ms-flex-order:7;order:7}.lg\\:order-8{-ms-flex-order:8;order:8}.lg\\:order-9{-ms-flex-order:9;order:9}.lg\\:order-10{-ms-flex-order:10;order:10}.lg\\:order-11{-ms-flex-order:11;order:11}.lg\\:order-12{-ms-flex-order:12;order:12}.lg\\:order-first{-ms-flex-order:-9999;order:-9999}.lg\\:order-last{-ms-flex-order:9999;order:9999}.lg\\:order-none{-ms-flex-order:0;order:0}.lg\\:float-right{float:right}.lg\\:float-left{float:left}.lg\\:float-none{float:none}.lg\\:clearfix:after{content:\"\";display:table;clear:both}.lg\\:clear-left{clear:left}.lg\\:clear-right{clear:right}.lg\\:clear-both{clear:both}.lg\\:clear-none{clear:none}.lg\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.lg\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.lg\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.lg\\:font-hairline{font-weight:100}.lg\\:font-thin{font-weight:200}.lg\\:font-light{font-weight:300}.lg\\:font-normal{font-weight:400}.lg\\:font-medium{font-weight:500}.lg\\:font-semibold{font-weight:600}.lg\\:font-bold{font-weight:700}.lg\\:font-extrabold{font-weight:800}.lg\\:font-black{font-weight:900}.lg\\:hover\\:font-hairline:hover{font-weight:100}.lg\\:hover\\:font-thin:hover{font-weight:200}.lg\\:hover\\:font-light:hover{font-weight:300}.lg\\:hover\\:font-normal:hover{font-weight:400}.lg\\:hover\\:font-medium:hover{font-weight:500}.lg\\:hover\\:font-semibold:hover{font-weight:600}.lg\\:hover\\:font-bold:hover{font-weight:700}.lg\\:hover\\:font-extrabold:hover{font-weight:800}.lg\\:hover\\:font-black:hover{font-weight:900}.lg\\:focus\\:font-hairline:focus{font-weight:100}.lg\\:focus\\:font-thin:focus{font-weight:200}.lg\\:focus\\:font-light:focus{font-weight:300}.lg\\:focus\\:font-normal:focus{font-weight:400}.lg\\:focus\\:font-medium:focus{font-weight:500}.lg\\:focus\\:font-semibold:focus{font-weight:600}.lg\\:focus\\:font-bold:focus{font-weight:700}.lg\\:focus\\:font-extrabold:focus{font-weight:800}.lg\\:focus\\:font-black:focus{font-weight:900}.lg\\:h-0{height:0}.lg\\:h-1{height:0.25rem}.lg\\:h-2{height:0.5rem}.lg\\:h-3{height:0.75rem}.lg\\:h-4{height:1rem}.lg\\:h-5{height:1.25rem}.lg\\:h-6{height:1.5rem}.lg\\:h-8{height:2rem}.lg\\:h-10{height:2.5rem}.lg\\:h-12{height:3rem}.lg\\:h-16{height:4rem}.lg\\:h-20{height:5rem}.lg\\:h-24{height:6rem}.lg\\:h-32{height:8rem}.lg\\:h-40{height:10rem}.lg\\:h-48{height:12rem}.lg\\:h-56{height:14rem}.lg\\:h-64{height:16rem}.lg\\:h-auto{height:auto}.lg\\:h-px{height:1px}.lg\\:h-full{height:100%}.lg\\:h-screen{height:100vh}.lg\\:text-xs{font-size:0.75rem}.lg\\:text-sm{font-size:0.875rem}.lg\\:text-base{font-size:1rem}.lg\\:text-lg{font-size:1.125rem}.lg\\:text-xl{font-size:1.25rem}.lg\\:text-2xl{font-size:1.5rem}.lg\\:text-3xl{font-size:1.875rem}.lg\\:text-4xl{font-size:2.25rem}.lg\\:text-5xl{font-size:3rem}.lg\\:text-6xl{font-size:4rem}.lg\\:leading-3{line-height:.75rem}.lg\\:leading-4{line-height:1rem}.lg\\:leading-5{line-height:1.25rem}.lg\\:leading-6{line-height:1.5rem}.lg\\:leading-7{line-height:1.75rem}.lg\\:leading-8{line-height:2rem}.lg\\:leading-9{line-height:2.25rem}.lg\\:leading-10{line-height:2.5rem}.lg\\:leading-none{line-height:1}.lg\\:leading-tight{line-height:1.25}.lg\\:leading-snug{line-height:1.375}.lg\\:leading-normal{line-height:1.5}.lg\\:leading-relaxed{line-height:1.625}.lg\\:leading-loose{line-height:2}.lg\\:list-inside{list-style-position:inside}.lg\\:list-outside{list-style-position:outside}.lg\\:list-none{list-style-type:none}.lg\\:list-disc{list-style-type:disc}.lg\\:list-decimal{list-style-type:decimal}.lg\\:m-0{margin:0}.lg\\:m-1{margin:0.25rem}.lg\\:m-2{margin:0.5rem}.lg\\:m-3{margin:0.75rem}.lg\\:m-4{margin:1rem}.lg\\:m-5{margin:1.25rem}.lg\\:m-6{margin:1.5rem}.lg\\:m-8{margin:2rem}.lg\\:m-10{margin:2.5rem}.lg\\:m-12{margin:3rem}.lg\\:m-16{margin:4rem}.lg\\:m-20{margin:5rem}.lg\\:m-24{margin:6rem}.lg\\:m-32{margin:8rem}.lg\\:m-40{margin:10rem}.lg\\:m-48{margin:12rem}.lg\\:m-56{margin:14rem}.lg\\:m-64{margin:16rem}.lg\\:m-auto{margin:auto}.lg\\:m-px{margin:1px}.lg\\:-m-1{margin:-0.25rem}.lg\\:-m-2{margin:-0.5rem}.lg\\:-m-3{margin:-0.75rem}.lg\\:-m-4{margin:-1rem}.lg\\:-m-5{margin:-1.25rem}.lg\\:-m-6{margin:-1.5rem}.lg\\:-m-8{margin:-2rem}.lg\\:-m-10{margin:-2.5rem}.lg\\:-m-12{margin:-3rem}.lg\\:-m-16{margin:-4rem}.lg\\:-m-20{margin:-5rem}.lg\\:-m-24{margin:-6rem}.lg\\:-m-32{margin:-8rem}.lg\\:-m-40{margin:-10rem}.lg\\:-m-48{margin:-12rem}.lg\\:-m-56{margin:-14rem}.lg\\:-m-64{margin:-16rem}.lg\\:-m-px{margin:-1px}.lg\\:my-0{margin-top:0;margin-bottom:0}.lg\\:mx-0{margin-left:0;margin-right:0}.lg\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.lg\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.lg\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.lg\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.lg\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.lg\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.lg\\:my-4{margin-top:1rem;margin-bottom:1rem}.lg\\:mx-4{margin-left:1rem;margin-right:1rem}.lg\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.lg\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.lg\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.lg\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.lg\\:my-8{margin-top:2rem;margin-bottom:2rem}.lg\\:mx-8{margin-left:2rem;margin-right:2rem}.lg\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.lg\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.lg\\:my-12{margin-top:3rem;margin-bottom:3rem}.lg\\:mx-12{margin-left:3rem;margin-right:3rem}.lg\\:my-16{margin-top:4rem;margin-bottom:4rem}.lg\\:mx-16{margin-left:4rem;margin-right:4rem}.lg\\:my-20{margin-top:5rem;margin-bottom:5rem}.lg\\:mx-20{margin-left:5rem;margin-right:5rem}.lg\\:my-24{margin-top:6rem;margin-bottom:6rem}.lg\\:mx-24{margin-left:6rem;margin-right:6rem}.lg\\:my-32{margin-top:8rem;margin-bottom:8rem}.lg\\:mx-32{margin-left:8rem;margin-right:8rem}.lg\\:my-40{margin-top:10rem;margin-bottom:10rem}.lg\\:mx-40{margin-left:10rem;margin-right:10rem}.lg\\:my-48{margin-top:12rem;margin-bottom:12rem}.lg\\:mx-48{margin-left:12rem;margin-right:12rem}.lg\\:my-56{margin-top:14rem;margin-bottom:14rem}.lg\\:mx-56{margin-left:14rem;margin-right:14rem}.lg\\:my-64{margin-top:16rem;margin-bottom:16rem}.lg\\:mx-64{margin-left:16rem;margin-right:16rem}.lg\\:my-auto{margin-top:auto;margin-bottom:auto}.lg\\:mx-auto{margin-left:auto;margin-right:auto}.lg\\:my-px{margin-top:1px;margin-bottom:1px}.lg\\:mx-px{margin-left:1px;margin-right:1px}.lg\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.lg\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.lg\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.lg\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.lg\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.lg\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.lg\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.lg\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.lg\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.lg\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.lg\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.lg\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.lg\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.lg\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.lg\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.lg\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.lg\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.lg\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.lg\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.lg\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.lg\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.lg\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.lg\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.lg\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.lg\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.lg\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.lg\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.lg\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.lg\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.lg\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.lg\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.lg\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.lg\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.lg\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.lg\\:-my-px{margin-top:-1px;margin-bottom:-1px}.lg\\:-mx-px{margin-left:-1px;margin-right:-1px}.lg\\:mt-0{margin-top:0}.lg\\:mr-0{margin-right:0}.lg\\:mb-0{margin-bottom:0}.lg\\:ml-0{margin-left:0}.lg\\:mt-1{margin-top:0.25rem}.lg\\:mr-1{margin-right:0.25rem}.lg\\:mb-1{margin-bottom:0.25rem}.lg\\:ml-1{margin-left:0.25rem}.lg\\:mt-2{margin-top:0.5rem}.lg\\:mr-2{margin-right:0.5rem}.lg\\:mb-2{margin-bottom:0.5rem}.lg\\:ml-2{margin-left:0.5rem}.lg\\:mt-3{margin-top:0.75rem}.lg\\:mr-3{margin-right:0.75rem}.lg\\:mb-3{margin-bottom:0.75rem}.lg\\:ml-3{margin-left:0.75rem}.lg\\:mt-4{margin-top:1rem}.lg\\:mr-4{margin-right:1rem}.lg\\:mb-4{margin-bottom:1rem}.lg\\:ml-4{margin-left:1rem}.lg\\:mt-5{margin-top:1.25rem}.lg\\:mr-5{margin-right:1.25rem}.lg\\:mb-5{margin-bottom:1.25rem}.lg\\:ml-5{margin-left:1.25rem}.lg\\:mt-6{margin-top:1.5rem}.lg\\:mr-6{margin-right:1.5rem}.lg\\:mb-6{margin-bottom:1.5rem}.lg\\:ml-6{margin-left:1.5rem}.lg\\:mt-8{margin-top:2rem}.lg\\:mr-8{margin-right:2rem}.lg\\:mb-8{margin-bottom:2rem}.lg\\:ml-8{margin-left:2rem}.lg\\:mt-10{margin-top:2.5rem}.lg\\:mr-10{margin-right:2.5rem}.lg\\:mb-10{margin-bottom:2.5rem}.lg\\:ml-10{margin-left:2.5rem}.lg\\:mt-12{margin-top:3rem}.lg\\:mr-12{margin-right:3rem}.lg\\:mb-12{margin-bottom:3rem}.lg\\:ml-12{margin-left:3rem}.lg\\:mt-16{margin-top:4rem}.lg\\:mr-16{margin-right:4rem}.lg\\:mb-16{margin-bottom:4rem}.lg\\:ml-16{margin-left:4rem}.lg\\:mt-20{margin-top:5rem}.lg\\:mr-20{margin-right:5rem}.lg\\:mb-20{margin-bottom:5rem}.lg\\:ml-20{margin-left:5rem}.lg\\:mt-24{margin-top:6rem}.lg\\:mr-24{margin-right:6rem}.lg\\:mb-24{margin-bottom:6rem}.lg\\:ml-24{margin-left:6rem}.lg\\:mt-32{margin-top:8rem}.lg\\:mr-32{margin-right:8rem}.lg\\:mb-32{margin-bottom:8rem}.lg\\:ml-32{margin-left:8rem}.lg\\:mt-40{margin-top:10rem}.lg\\:mr-40{margin-right:10rem}.lg\\:mb-40{margin-bottom:10rem}.lg\\:ml-40{margin-left:10rem}.lg\\:mt-48{margin-top:12rem}.lg\\:mr-48{margin-right:12rem}.lg\\:mb-48{margin-bottom:12rem}.lg\\:ml-48{margin-left:12rem}.lg\\:mt-56{margin-top:14rem}.lg\\:mr-56{margin-right:14rem}.lg\\:mb-56{margin-bottom:14rem}.lg\\:ml-56{margin-left:14rem}.lg\\:mt-64{margin-top:16rem}.lg\\:mr-64{margin-right:16rem}.lg\\:mb-64{margin-bottom:16rem}.lg\\:ml-64{margin-left:16rem}.lg\\:mt-auto{margin-top:auto}.lg\\:mr-auto{margin-right:auto}.lg\\:mb-auto{margin-bottom:auto}.lg\\:ml-auto{margin-left:auto}.lg\\:mt-px{margin-top:1px}.lg\\:mr-px{margin-right:1px}.lg\\:mb-px{margin-bottom:1px}.lg\\:ml-px{margin-left:1px}.lg\\:-mt-1{margin-top:-0.25rem}.lg\\:-mr-1{margin-right:-0.25rem}.lg\\:-mb-1{margin-bottom:-0.25rem}.lg\\:-ml-1{margin-left:-0.25rem}.lg\\:-mt-2{margin-top:-0.5rem}.lg\\:-mr-2{margin-right:-0.5rem}.lg\\:-mb-2{margin-bottom:-0.5rem}.lg\\:-ml-2{margin-left:-0.5rem}.lg\\:-mt-3{margin-top:-0.75rem}.lg\\:-mr-3{margin-right:-0.75rem}.lg\\:-mb-3{margin-bottom:-0.75rem}.lg\\:-ml-3{margin-left:-0.75rem}.lg\\:-mt-4{margin-top:-1rem}.lg\\:-mr-4{margin-right:-1rem}.lg\\:-mb-4{margin-bottom:-1rem}.lg\\:-ml-4{margin-left:-1rem}.lg\\:-mt-5{margin-top:-1.25rem}.lg\\:-mr-5{margin-right:-1.25rem}.lg\\:-mb-5{margin-bottom:-1.25rem}.lg\\:-ml-5{margin-left:-1.25rem}.lg\\:-mt-6{margin-top:-1.5rem}.lg\\:-mr-6{margin-right:-1.5rem}.lg\\:-mb-6{margin-bottom:-1.5rem}.lg\\:-ml-6{margin-left:-1.5rem}.lg\\:-mt-8{margin-top:-2rem}.lg\\:-mr-8{margin-right:-2rem}.lg\\:-mb-8{margin-bottom:-2rem}.lg\\:-ml-8{margin-left:-2rem}.lg\\:-mt-10{margin-top:-2.5rem}.lg\\:-mr-10{margin-right:-2.5rem}.lg\\:-mb-10{margin-bottom:-2.5rem}.lg\\:-ml-10{margin-left:-2.5rem}.lg\\:-mt-12{margin-top:-3rem}.lg\\:-mr-12{margin-right:-3rem}.lg\\:-mb-12{margin-bottom:-3rem}.lg\\:-ml-12{margin-left:-3rem}.lg\\:-mt-16{margin-top:-4rem}.lg\\:-mr-16{margin-right:-4rem}.lg\\:-mb-16{margin-bottom:-4rem}.lg\\:-ml-16{margin-left:-4rem}.lg\\:-mt-20{margin-top:-5rem}.lg\\:-mr-20{margin-right:-5rem}.lg\\:-mb-20{margin-bottom:-5rem}.lg\\:-ml-20{margin-left:-5rem}.lg\\:-mt-24{margin-top:-6rem}.lg\\:-mr-24{margin-right:-6rem}.lg\\:-mb-24{margin-bottom:-6rem}.lg\\:-ml-24{margin-left:-6rem}.lg\\:-mt-32{margin-top:-8rem}.lg\\:-mr-32{margin-right:-8rem}.lg\\:-mb-32{margin-bottom:-8rem}.lg\\:-ml-32{margin-left:-8rem}.lg\\:-mt-40{margin-top:-10rem}.lg\\:-mr-40{margin-right:-10rem}.lg\\:-mb-40{margin-bottom:-10rem}.lg\\:-ml-40{margin-left:-10rem}.lg\\:-mt-48{margin-top:-12rem}.lg\\:-mr-48{margin-right:-12rem}.lg\\:-mb-48{margin-bottom:-12rem}.lg\\:-ml-48{margin-left:-12rem}.lg\\:-mt-56{margin-top:-14rem}.lg\\:-mr-56{margin-right:-14rem}.lg\\:-mb-56{margin-bottom:-14rem}.lg\\:-ml-56{margin-left:-14rem}.lg\\:-mt-64{margin-top:-16rem}.lg\\:-mr-64{margin-right:-16rem}.lg\\:-mb-64{margin-bottom:-16rem}.lg\\:-ml-64{margin-left:-16rem}.lg\\:-mt-px{margin-top:-1px}.lg\\:-mr-px{margin-right:-1px}.lg\\:-mb-px{margin-bottom:-1px}.lg\\:-ml-px{margin-left:-1px}.lg\\:max-h-full{max-height:100%}.lg\\:max-h-screen{max-height:100vh}.lg\\:max-w-none{max-width:none}.lg\\:max-w-xs{max-width:20rem}.lg\\:max-w-sm{max-width:24rem}.lg\\:max-w-md{max-width:28rem}.lg\\:max-w-lg{max-width:32rem}.lg\\:max-w-xl{max-width:36rem}.lg\\:max-w-2xl{max-width:42rem}.lg\\:max-w-3xl{max-width:48rem}.lg\\:max-w-4xl{max-width:56rem}.lg\\:max-w-5xl{max-width:64rem}.lg\\:max-w-6xl{max-width:72rem}.lg\\:max-w-full{max-width:100%}.lg\\:max-w-screen-sm{max-width:640px}.lg\\:max-w-screen-md{max-width:768px}.lg\\:max-w-screen-lg{max-width:1024px}.lg\\:max-w-screen-xl{max-width:1280px}.lg\\:min-h-0{min-height:0}.lg\\:min-h-full{min-height:100%}.lg\\:min-h-screen{min-height:100vh}.lg\\:min-w-0{min-width:0}.lg\\:min-w-full{min-width:100%}.lg\\:object-contain{-o-object-fit:contain;object-fit:contain}.lg\\:object-cover{-o-object-fit:cover;object-fit:cover}.lg\\:object-fill{-o-object-fit:fill;object-fit:fill}.lg\\:object-none{-o-object-fit:none;object-fit:none}.lg\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.lg\\:object-bottom{-o-object-position:bottom;object-position:bottom}.lg\\:object-center{-o-object-position:center;object-position:center}.lg\\:object-left{-o-object-position:left;object-position:left}.lg\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.lg\\:object-left-top{-o-object-position:left top;object-position:left top}.lg\\:object-right{-o-object-position:right;object-position:right}.lg\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.lg\\:object-right-top{-o-object-position:right top;object-position:right top}.lg\\:object-top{-o-object-position:top;object-position:top}.lg\\:opacity-0{opacity:0}.lg\\:opacity-25{opacity:0.25}.lg\\:opacity-50{opacity:0.5}.lg\\:opacity-75{opacity:0.75}.lg\\:opacity-100{opacity:1}.lg\\:hover\\:opacity-0:hover{opacity:0}.lg\\:hover\\:opacity-25:hover{opacity:0.25}.lg\\:hover\\:opacity-50:hover{opacity:0.5}.lg\\:hover\\:opacity-75:hover{opacity:0.75}.lg\\:hover\\:opacity-100:hover{opacity:1}.lg\\:focus\\:opacity-0:focus{opacity:0}.lg\\:focus\\:opacity-25:focus{opacity:0.25}.lg\\:focus\\:opacity-50:focus{opacity:0.5}.lg\\:focus\\:opacity-75:focus{opacity:0.75}.lg\\:focus\\:opacity-100:focus{opacity:1}.lg\\:outline-none{outline:0}.lg\\:focus\\:outline-none:focus{outline:0}.lg\\:overflow-auto{overflow:auto}.lg\\:overflow-hidden{overflow:hidden}.lg\\:overflow-visible{overflow:visible}.lg\\:overflow-scroll{overflow:scroll}.lg\\:overflow-x-auto{overflow-x:auto}.lg\\:overflow-y-auto{overflow-y:auto}.lg\\:overflow-x-hidden{overflow-x:hidden}.lg\\:overflow-y-hidden{overflow-y:hidden}.lg\\:overflow-x-visible{overflow-x:visible}.lg\\:overflow-y-visible{overflow-y:visible}.lg\\:overflow-x-scroll{overflow-x:scroll}.lg\\:overflow-y-scroll{overflow-y:scroll}.lg\\:scrolling-touch{-webkit-overflow-scrolling:touch}.lg\\:scrolling-auto{-webkit-overflow-scrolling:auto}.lg\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.lg\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.lg\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.lg\\:overscroll-y-auto{overscroll-behavior-y:auto}.lg\\:overscroll-y-contain{overscroll-behavior-y:contain}.lg\\:overscroll-y-none{overscroll-behavior-y:none}.lg\\:overscroll-x-auto{overscroll-behavior-x:auto}.lg\\:overscroll-x-contain{overscroll-behavior-x:contain}.lg\\:overscroll-x-none{overscroll-behavior-x:none}.lg\\:p-0{padding:0}.lg\\:p-1{padding:0.25rem}.lg\\:p-2{padding:0.5rem}.lg\\:p-3{padding:0.75rem}.lg\\:p-4{padding:1rem}.lg\\:p-5{padding:1.25rem}.lg\\:p-6{padding:1.5rem}.lg\\:p-8{padding:2rem}.lg\\:p-10{padding:2.5rem}.lg\\:p-12{padding:3rem}.lg\\:p-16{padding:4rem}.lg\\:p-20{padding:5rem}.lg\\:p-24{padding:6rem}.lg\\:p-32{padding:8rem}.lg\\:p-40{padding:10rem}.lg\\:p-48{padding:12rem}.lg\\:p-56{padding:14rem}.lg\\:p-64{padding:16rem}.lg\\:p-px{padding:1px}.lg\\:py-0{padding-top:0;padding-bottom:0}.lg\\:px-0{padding-left:0;padding-right:0}.lg\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.lg\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.lg\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.lg\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.lg\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.lg\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.lg\\:py-4{padding-top:1rem;padding-bottom:1rem}.lg\\:px-4{padding-left:1rem;padding-right:1rem}.lg\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.lg\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.lg\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.lg\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.lg\\:py-8{padding-top:2rem;padding-bottom:2rem}.lg\\:px-8{padding-left:2rem;padding-right:2rem}.lg\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.lg\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.lg\\:py-12{padding-top:3rem;padding-bottom:3rem}.lg\\:px-12{padding-left:3rem;padding-right:3rem}.lg\\:py-16{padding-top:4rem;padding-bottom:4rem}.lg\\:px-16{padding-left:4rem;padding-right:4rem}.lg\\:py-20{padding-top:5rem;padding-bottom:5rem}.lg\\:px-20{padding-left:5rem;padding-right:5rem}.lg\\:py-24{padding-top:6rem;padding-bottom:6rem}.lg\\:px-24{padding-left:6rem;padding-right:6rem}.lg\\:py-32{padding-top:8rem;padding-bottom:8rem}.lg\\:px-32{padding-left:8rem;padding-right:8rem}.lg\\:py-40{padding-top:10rem;padding-bottom:10rem}.lg\\:px-40{padding-left:10rem;padding-right:10rem}.lg\\:py-48{padding-top:12rem;padding-bottom:12rem}.lg\\:px-48{padding-left:12rem;padding-right:12rem}.lg\\:py-56{padding-top:14rem;padding-bottom:14rem}.lg\\:px-56{padding-left:14rem;padding-right:14rem}.lg\\:py-64{padding-top:16rem;padding-bottom:16rem}.lg\\:px-64{padding-left:16rem;padding-right:16rem}.lg\\:py-px{padding-top:1px;padding-bottom:1px}.lg\\:px-px{padding-left:1px;padding-right:1px}.lg\\:pt-0{padding-top:0}.lg\\:pr-0{padding-right:0}.lg\\:pb-0{padding-bottom:0}.lg\\:pl-0{padding-left:0}.lg\\:pt-1{padding-top:0.25rem}.lg\\:pr-1{padding-right:0.25rem}.lg\\:pb-1{padding-bottom:0.25rem}.lg\\:pl-1{padding-left:0.25rem}.lg\\:pt-2{padding-top:0.5rem}.lg\\:pr-2{padding-right:0.5rem}.lg\\:pb-2{padding-bottom:0.5rem}.lg\\:pl-2{padding-left:0.5rem}.lg\\:pt-3{padding-top:0.75rem}.lg\\:pr-3{padding-right:0.75rem}.lg\\:pb-3{padding-bottom:0.75rem}.lg\\:pl-3{padding-left:0.75rem}.lg\\:pt-4{padding-top:1rem}.lg\\:pr-4{padding-right:1rem}.lg\\:pb-4{padding-bottom:1rem}.lg\\:pl-4{padding-left:1rem}.lg\\:pt-5{padding-top:1.25rem}.lg\\:pr-5{padding-right:1.25rem}.lg\\:pb-5{padding-bottom:1.25rem}.lg\\:pl-5{padding-left:1.25rem}.lg\\:pt-6{padding-top:1.5rem}.lg\\:pr-6{padding-right:1.5rem}.lg\\:pb-6{padding-bottom:1.5rem}.lg\\:pl-6{padding-left:1.5rem}.lg\\:pt-8{padding-top:2rem}.lg\\:pr-8{padding-right:2rem}.lg\\:pb-8{padding-bottom:2rem}.lg\\:pl-8{padding-left:2rem}.lg\\:pt-10{padding-top:2.5rem}.lg\\:pr-10{padding-right:2.5rem}.lg\\:pb-10{padding-bottom:2.5rem}.lg\\:pl-10{padding-left:2.5rem}.lg\\:pt-12{padding-top:3rem}.lg\\:pr-12{padding-right:3rem}.lg\\:pb-12{padding-bottom:3rem}.lg\\:pl-12{padding-left:3rem}.lg\\:pt-16{padding-top:4rem}.lg\\:pr-16{padding-right:4rem}.lg\\:pb-16{padding-bottom:4rem}.lg\\:pl-16{padding-left:4rem}.lg\\:pt-20{padding-top:5rem}.lg\\:pr-20{padding-right:5rem}.lg\\:pb-20{padding-bottom:5rem}.lg\\:pl-20{padding-left:5rem}.lg\\:pt-24{padding-top:6rem}.lg\\:pr-24{padding-right:6rem}.lg\\:pb-24{padding-bottom:6rem}.lg\\:pl-24{padding-left:6rem}.lg\\:pt-32{padding-top:8rem}.lg\\:pr-32{padding-right:8rem}.lg\\:pb-32{padding-bottom:8rem}.lg\\:pl-32{padding-left:8rem}.lg\\:pt-40{padding-top:10rem}.lg\\:pr-40{padding-right:10rem}.lg\\:pb-40{padding-bottom:10rem}.lg\\:pl-40{padding-left:10rem}.lg\\:pt-48{padding-top:12rem}.lg\\:pr-48{padding-right:12rem}.lg\\:pb-48{padding-bottom:12rem}.lg\\:pl-48{padding-left:12rem}.lg\\:pt-56{padding-top:14rem}.lg\\:pr-56{padding-right:14rem}.lg\\:pb-56{padding-bottom:14rem}.lg\\:pl-56{padding-left:14rem}.lg\\:pt-64{padding-top:16rem}.lg\\:pr-64{padding-right:16rem}.lg\\:pb-64{padding-bottom:16rem}.lg\\:pl-64{padding-left:16rem}.lg\\:pt-px{padding-top:1px}.lg\\:pr-px{padding-right:1px}.lg\\:pb-px{padding-bottom:1px}.lg\\:pl-px{padding-left:1px}.lg\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.lg\\:placeholder-transparent::-moz-placeholder{color:transparent}.lg\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.lg\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.lg\\:placeholder-transparent::placeholder{color:transparent}.lg\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.lg\\:placeholder-current::-moz-placeholder{color:currentColor}.lg\\:placeholder-current:-ms-input-placeholder{color:currentColor}.lg\\:placeholder-current::-ms-input-placeholder{color:currentColor}.lg\\:placeholder-current::placeholder{color:currentColor}.lg\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.lg\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.lg\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.lg\\:pointer-events-none{pointer-events:none}.lg\\:pointer-events-auto{pointer-events:auto}.lg\\:static{position:static}.lg\\:fixed{position:fixed}.lg\\:absolute{position:absolute}.lg\\:relative{position:relative}.lg\\:sticky{position:-webkit-sticky;position:sticky}.lg\\:inset-0{top:0;right:0;bottom:0;left:0}.lg\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.lg\\:inset-y-0{top:0;bottom:0}.lg\\:inset-x-0{right:0;left:0}.lg\\:inset-y-auto{top:auto;bottom:auto}.lg\\:inset-x-auto{right:auto;left:auto}.lg\\:top-0{top:0}.lg\\:right-0{right:0}.lg\\:bottom-0{bottom:0}.lg\\:left-0{left:0}.lg\\:top-auto{top:auto}.lg\\:right-auto{right:auto}.lg\\:bottom-auto{bottom:auto}.lg\\:left-auto{left:auto}.lg\\:resize-none{resize:none}.lg\\:resize-y{resize:vertical}.lg\\:resize-x{resize:horizontal}.lg\\:resize{resize:both}.lg\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.lg\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.lg\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.lg\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.lg\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.lg\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.lg\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.lg\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.lg\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.lg\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.lg\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.lg\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.lg\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.lg\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.lg\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.lg\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.lg\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.lg\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.lg\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.lg\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.lg\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.lg\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.lg\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.lg\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.lg\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.lg\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.lg\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.lg\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.lg\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.lg\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.lg\\:fill-current{fill:currentColor}.lg\\:stroke-current{stroke:currentColor}.lg\\:stroke-0{stroke-width:0}.lg\\:stroke-1{stroke-width:1}.lg\\:stroke-2{stroke-width:2}.lg\\:table-auto{table-layout:auto}.lg\\:table-fixed{table-layout:fixed}.lg\\:text-left{text-align:left}.lg\\:text-center{text-align:center}.lg\\:text-right{text-align:right}.lg\\:text-justify{text-align:justify}.lg\\:text-transparent{color:transparent}.lg\\:text-current{color:currentColor}.lg\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.lg\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.lg\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.lg\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.lg\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.lg\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.lg\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.lg\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.lg\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.lg\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.lg\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.lg\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.lg\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.lg\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.lg\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.lg\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.lg\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.lg\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.lg\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.lg\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.lg\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.lg\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.lg\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.lg\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.lg\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.lg\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.lg\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.lg\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.lg\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.lg\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.lg\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.lg\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.lg\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.lg\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.lg\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.lg\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.lg\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.lg\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.lg\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.lg\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.lg\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.lg\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.lg\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.lg\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.lg\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.lg\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.lg\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.lg\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.lg\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.lg\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.lg\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.lg\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.lg\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.lg\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.lg\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.lg\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.lg\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.lg\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.lg\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.lg\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.lg\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.lg\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.lg\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.lg\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.lg\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.lg\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.lg\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.lg\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.lg\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.lg\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.lg\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.lg\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.lg\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.lg\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.lg\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.lg\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.lg\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.lg\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.lg\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.lg\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.lg\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.lg\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.lg\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.lg\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.lg\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.lg\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.lg\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.lg\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.lg\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.lg\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.lg\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.lg\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.lg\\:hover\\:text-transparent:hover{color:transparent}.lg\\:hover\\:text-current:hover{color:currentColor}.lg\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.lg\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.lg\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.lg\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.lg\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.lg\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.lg\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.lg\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.lg\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.lg\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.lg\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.lg\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.lg\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.lg\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.lg\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.lg\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.lg\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.lg\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.lg\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.lg\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.lg\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.lg\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.lg\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.lg\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.lg\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.lg\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.lg\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.lg\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.lg\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.lg\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.lg\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.lg\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.lg\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.lg\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.lg\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.lg\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.lg\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.lg\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.lg\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.lg\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.lg\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.lg\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.lg\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.lg\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.lg\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.lg\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.lg\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.lg\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.lg\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.lg\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.lg\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.lg\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.lg\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.lg\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.lg\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.lg\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.lg\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.lg\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.lg\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.lg\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.lg\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.lg\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.lg\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.lg\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.lg\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.lg\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.lg\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.lg\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.lg\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.lg\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.lg\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.lg\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.lg\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.lg\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.lg\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.lg\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.lg\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.lg\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.lg\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.lg\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.lg\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.lg\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.lg\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.lg\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.lg\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.lg\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.lg\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.lg\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.lg\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.lg\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.lg\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.lg\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.lg\\:focus\\:text-transparent:focus{color:transparent}.lg\\:focus\\:text-current:focus{color:currentColor}.lg\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.lg\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.lg\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.lg\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.lg\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.lg\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.lg\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.lg\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.lg\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.lg\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.lg\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.lg\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.lg\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.lg\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.lg\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.lg\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.lg\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.lg\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.lg\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.lg\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.lg\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.lg\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.lg\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.lg\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.lg\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.lg\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.lg\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.lg\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.lg\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.lg\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.lg\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.lg\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.lg\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.lg\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.lg\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.lg\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.lg\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.lg\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.lg\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.lg\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.lg\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.lg\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.lg\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.lg\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.lg\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.lg\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.lg\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.lg\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.lg\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.lg\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.lg\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.lg\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.lg\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.lg\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.lg\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.lg\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.lg\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.lg\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.lg\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.lg\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.lg\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.lg\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.lg\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.lg\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.lg\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.lg\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.lg\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.lg\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.lg\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.lg\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.lg\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.lg\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.lg\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.lg\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.lg\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.lg\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.lg\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.lg\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.lg\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.lg\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.lg\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.lg\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.lg\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.lg\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.lg\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.lg\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.lg\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.lg\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.lg\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.lg\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.lg\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.lg\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.lg\\:text-opacity-0{--text-opacity:0}.lg\\:text-opacity-25{--text-opacity:0.25}.lg\\:text-opacity-50{--text-opacity:0.5}.lg\\:text-opacity-75{--text-opacity:0.75}.lg\\:text-opacity-100{--text-opacity:1}.lg\\:hover\\:text-opacity-0:hover{--text-opacity:0}.lg\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.lg\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.lg\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.lg\\:hover\\:text-opacity-100:hover{--text-opacity:1}.lg\\:focus\\:text-opacity-0:focus{--text-opacity:0}.lg\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.lg\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.lg\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.lg\\:focus\\:text-opacity-100:focus{--text-opacity:1}.lg\\:italic{font-style:italic}.lg\\:not-italic{font-style:normal}.lg\\:uppercase{text-transform:uppercase}.lg\\:lowercase{text-transform:lowercase}.lg\\:capitalize{text-transform:capitalize}.lg\\:normal-case{text-transform:none}.lg\\:underline{text-decoration:underline}.lg\\:line-through{text-decoration:line-through}.lg\\:no-underline{text-decoration:none}.lg\\:hover\\:underline:hover{text-decoration:underline}.lg\\:hover\\:line-through:hover{text-decoration:line-through}.lg\\:hover\\:no-underline:hover{text-decoration:none}.lg\\:focus\\:underline:focus{text-decoration:underline}.lg\\:focus\\:line-through:focus{text-decoration:line-through}.lg\\:focus\\:no-underline:focus{text-decoration:none}.lg\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.lg\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.lg\\:ordinal,.lg\\:slashed-zero,.lg\\:lining-nums,.lg\\:oldstyle-nums,.lg\\:proportional-nums,.lg\\:tabular-nums,.lg\\:diagonal-fractions,.lg\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.lg\\:normal-nums{font-variant-numeric:normal}.lg\\:ordinal{--font-variant-numeric-ordinal:ordinal}.lg\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.lg\\:lining-nums{--font-variant-numeric-figure:lining-nums}.lg\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.lg\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.lg\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.lg\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.lg\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.lg\\:tracking-tighter{letter-spacing:-0.05em}.lg\\:tracking-tight{letter-spacing:-0.025em}.lg\\:tracking-normal{letter-spacing:0}.lg\\:tracking-wide{letter-spacing:0.025em}.lg\\:tracking-wider{letter-spacing:0.05em}.lg\\:tracking-widest{letter-spacing:0.1em}.lg\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.lg\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.lg\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.lg\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.lg\\:align-baseline{vertical-align:baseline}.lg\\:align-top{vertical-align:top}.lg\\:align-middle{vertical-align:middle}.lg\\:align-bottom{vertical-align:bottom}.lg\\:align-text-top{vertical-align:text-top}.lg\\:align-text-bottom{vertical-align:text-bottom}.lg\\:visible{visibility:visible}.lg\\:invisible{visibility:hidden}.lg\\:whitespace-normal{white-space:normal}.lg\\:whitespace-no-wrap{white-space:nowrap}.lg\\:whitespace-pre{white-space:pre}.lg\\:whitespace-pre-line{white-space:pre-line}.lg\\:whitespace-pre-wrap{white-space:pre-wrap}.lg\\:break-normal{overflow-wrap:normal;word-break:normal}.lg\\:break-words{overflow-wrap:break-word}.lg\\:break-all{word-break:break-all}.lg\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.lg\\:w-0{width:0}.lg\\:w-1{width:0.25rem}.lg\\:w-2{width:0.5rem}.lg\\:w-3{width:0.75rem}.lg\\:w-4{width:1rem}.lg\\:w-5{width:1.25rem}.lg\\:w-6{width:1.5rem}.lg\\:w-8{width:2rem}.lg\\:w-10{width:2.5rem}.lg\\:w-12{width:3rem}.lg\\:w-16{width:4rem}.lg\\:w-20{width:5rem}.lg\\:w-24{width:6rem}.lg\\:w-32{width:8rem}.lg\\:w-40{width:10rem}.lg\\:w-48{width:12rem}.lg\\:w-56{width:14rem}.lg\\:w-64{width:16rem}.lg\\:w-auto{width:auto}.lg\\:w-px{width:1px}.lg\\:w-1\\/2{width:50%}.lg\\:w-1\\/3{width:33.333333%}.lg\\:w-2\\/3{width:66.666667%}.lg\\:w-1\\/4{width:25%}.lg\\:w-2\\/4{width:50%}.lg\\:w-3\\/4{width:75%}.lg\\:w-1\\/5{width:20%}.lg\\:w-2\\/5{width:40%}.lg\\:w-3\\/5{width:60%}.lg\\:w-4\\/5{width:80%}.lg\\:w-1\\/6{width:16.666667%}.lg\\:w-2\\/6{width:33.333333%}.lg\\:w-3\\/6{width:50%}.lg\\:w-4\\/6{width:66.666667%}.lg\\:w-5\\/6{width:83.333333%}.lg\\:w-1\\/12{width:8.333333%}.lg\\:w-2\\/12{width:16.666667%}.lg\\:w-3\\/12{width:25%}.lg\\:w-4\\/12{width:33.333333%}.lg\\:w-5\\/12{width:41.666667%}.lg\\:w-6\\/12{width:50%}.lg\\:w-7\\/12{width:58.333333%}.lg\\:w-8\\/12{width:66.666667%}.lg\\:w-9\\/12{width:75%}.lg\\:w-10\\/12{width:83.333333%}.lg\\:w-11\\/12{width:91.666667%}.lg\\:w-full{width:100%}.lg\\:w-screen{width:100vw}.lg\\:z-0{z-index:0}.lg\\:z-10{z-index:10}.lg\\:z-20{z-index:20}.lg\\:z-30{z-index:30}.lg\\:z-40{z-index:40}.lg\\:z-50{z-index:50}.lg\\:z-auto{z-index:auto}.lg\\:gap-0{grid-gap:0;gap:0}.lg\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.lg\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.lg\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.lg\\:gap-4{grid-gap:1rem;gap:1rem}.lg\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.lg\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.lg\\:gap-8{grid-gap:2rem;gap:2rem}.lg\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.lg\\:gap-12{grid-gap:3rem;gap:3rem}.lg\\:gap-16{grid-gap:4rem;gap:4rem}.lg\\:gap-20{grid-gap:5rem;gap:5rem}.lg\\:gap-24{grid-gap:6rem;gap:6rem}.lg\\:gap-32{grid-gap:8rem;gap:8rem}.lg\\:gap-40{grid-gap:10rem;gap:10rem}.lg\\:gap-48{grid-gap:12rem;gap:12rem}.lg\\:gap-56{grid-gap:14rem;gap:14rem}.lg\\:gap-64{grid-gap:16rem;gap:16rem}.lg\\:gap-px{grid-gap:1px;gap:1px}.lg\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.lg\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.lg\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.lg\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.lg\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.lg\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.lg\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.lg\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.lg\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.lg\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.lg\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.lg\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.lg\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.lg\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.lg\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.lg\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.lg\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.lg\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.lg\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.lg\\:gap-y-0{grid-row-gap:0;row-gap:0}.lg\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.lg\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.lg\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.lg\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.lg\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.lg\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.lg\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.lg\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.lg\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.lg\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.lg\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.lg\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.lg\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.lg\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.lg\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.lg\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.lg\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.lg\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.lg\\:grid-flow-row{grid-auto-flow:row}.lg\\:grid-flow-col{grid-auto-flow:column}.lg\\:grid-flow-row-dense{grid-auto-flow:row dense}.lg\\:grid-flow-col-dense{grid-auto-flow:column dense}.lg\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.lg\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.lg\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.lg\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.lg\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.lg\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.lg\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.lg\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.lg\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.lg\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.lg\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.lg\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.lg\\:grid-cols-none{grid-template-columns:none}.lg\\:col-auto{grid-column:auto}.lg\\:col-span-1{grid-column:span 1 / span 1}.lg\\:col-span-2{grid-column:span 2 / span 2}.lg\\:col-span-3{grid-column:span 3 / span 3}.lg\\:col-span-4{grid-column:span 4 / span 4}.lg\\:col-span-5{grid-column:span 5 / span 5}.lg\\:col-span-6{grid-column:span 6 / span 6}.lg\\:col-span-7{grid-column:span 7 / span 7}.lg\\:col-span-8{grid-column:span 8 / span 8}.lg\\:col-span-9{grid-column:span 9 / span 9}.lg\\:col-span-10{grid-column:span 10 / span 10}.lg\\:col-span-11{grid-column:span 11 / span 11}.lg\\:col-span-12{grid-column:span 12 / span 12}.lg\\:col-start-1{grid-column-start:1}.lg\\:col-start-2{grid-column-start:2}.lg\\:col-start-3{grid-column-start:3}.lg\\:col-start-4{grid-column-start:4}.lg\\:col-start-5{grid-column-start:5}.lg\\:col-start-6{grid-column-start:6}.lg\\:col-start-7{grid-column-start:7}.lg\\:col-start-8{grid-column-start:8}.lg\\:col-start-9{grid-column-start:9}.lg\\:col-start-10{grid-column-start:10}.lg\\:col-start-11{grid-column-start:11}.lg\\:col-start-12{grid-column-start:12}.lg\\:col-start-13{grid-column-start:13}.lg\\:col-start-auto{grid-column-start:auto}.lg\\:col-end-1{grid-column-end:1}.lg\\:col-end-2{grid-column-end:2}.lg\\:col-end-3{grid-column-end:3}.lg\\:col-end-4{grid-column-end:4}.lg\\:col-end-5{grid-column-end:5}.lg\\:col-end-6{grid-column-end:6}.lg\\:col-end-7{grid-column-end:7}.lg\\:col-end-8{grid-column-end:8}.lg\\:col-end-9{grid-column-end:9}.lg\\:col-end-10{grid-column-end:10}.lg\\:col-end-11{grid-column-end:11}.lg\\:col-end-12{grid-column-end:12}.lg\\:col-end-13{grid-column-end:13}.lg\\:col-end-auto{grid-column-end:auto}.lg\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.lg\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.lg\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.lg\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.lg\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.lg\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.lg\\:grid-rows-none{grid-template-rows:none}.lg\\:row-auto{grid-row:auto}.lg\\:row-span-1{grid-row:span 1 / span 1}.lg\\:row-span-2{grid-row:span 2 / span 2}.lg\\:row-span-3{grid-row:span 3 / span 3}.lg\\:row-span-4{grid-row:span 4 / span 4}.lg\\:row-span-5{grid-row:span 5 / span 5}.lg\\:row-span-6{grid-row:span 6 / span 6}.lg\\:row-start-1{grid-row-start:1}.lg\\:row-start-2{grid-row-start:2}.lg\\:row-start-3{grid-row-start:3}.lg\\:row-start-4{grid-row-start:4}.lg\\:row-start-5{grid-row-start:5}.lg\\:row-start-6{grid-row-start:6}.lg\\:row-start-7{grid-row-start:7}.lg\\:row-start-auto{grid-row-start:auto}.lg\\:row-end-1{grid-row-end:1}.lg\\:row-end-2{grid-row-end:2}.lg\\:row-end-3{grid-row-end:3}.lg\\:row-end-4{grid-row-end:4}.lg\\:row-end-5{grid-row-end:5}.lg\\:row-end-6{grid-row-end:6}.lg\\:row-end-7{grid-row-end:7}.lg\\:row-end-auto{grid-row-end:auto}.lg\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.lg\\:transform-none{-webkit-transform:none;transform:none}.lg\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.lg\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.lg\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.lg\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.lg\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.lg\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.lg\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.lg\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.lg\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.lg\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.lg\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.lg\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.lg\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.lg\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.lg\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.lg\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.lg\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.lg\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.lg\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.lg\\:scale-x-0{--transform-scale-x:0}.lg\\:scale-x-50{--transform-scale-x:.5}.lg\\:scale-x-75{--transform-scale-x:.75}.lg\\:scale-x-90{--transform-scale-x:.9}.lg\\:scale-x-95{--transform-scale-x:.95}.lg\\:scale-x-100{--transform-scale-x:1}.lg\\:scale-x-105{--transform-scale-x:1.05}.lg\\:scale-x-110{--transform-scale-x:1.1}.lg\\:scale-x-125{--transform-scale-x:1.25}.lg\\:scale-x-150{--transform-scale-x:1.5}.lg\\:scale-y-0{--transform-scale-y:0}.lg\\:scale-y-50{--transform-scale-y:.5}.lg\\:scale-y-75{--transform-scale-y:.75}.lg\\:scale-y-90{--transform-scale-y:.9}.lg\\:scale-y-95{--transform-scale-y:.95}.lg\\:scale-y-100{--transform-scale-y:1}.lg\\:scale-y-105{--transform-scale-y:1.05}.lg\\:scale-y-110{--transform-scale-y:1.1}.lg\\:scale-y-125{--transform-scale-y:1.25}.lg\\:scale-y-150{--transform-scale-y:1.5}.lg\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.lg\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.lg\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.lg\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.lg\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.lg\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.lg\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.lg\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.lg\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.lg\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.lg\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.lg\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.lg\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.lg\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.lg\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.lg\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.lg\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.lg\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.lg\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.lg\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.lg\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.lg\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.lg\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.lg\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.lg\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.lg\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.lg\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.lg\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.lg\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.lg\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.lg\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.lg\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.lg\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.lg\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.lg\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.lg\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.lg\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.lg\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.lg\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.lg\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.lg\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.lg\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.lg\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.lg\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.lg\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.lg\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.lg\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.lg\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.lg\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.lg\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.lg\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.lg\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.lg\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.lg\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.lg\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.lg\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.lg\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.lg\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.lg\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.lg\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.lg\\:rotate-0{--transform-rotate:0}.lg\\:rotate-45{--transform-rotate:45deg}.lg\\:rotate-90{--transform-rotate:90deg}.lg\\:rotate-180{--transform-rotate:180deg}.lg\\:-rotate-180{--transform-rotate:-180deg}.lg\\:-rotate-90{--transform-rotate:-90deg}.lg\\:-rotate-45{--transform-rotate:-45deg}.lg\\:hover\\:rotate-0:hover{--transform-rotate:0}.lg\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.lg\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.lg\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.lg\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.lg\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.lg\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.lg\\:focus\\:rotate-0:focus{--transform-rotate:0}.lg\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.lg\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.lg\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.lg\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.lg\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.lg\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.lg\\:translate-x-0{--transform-translate-x:0}.lg\\:translate-x-1{--transform-translate-x:0.25rem}.lg\\:translate-x-2{--transform-translate-x:0.5rem}.lg\\:translate-x-3{--transform-translate-x:0.75rem}.lg\\:translate-x-4{--transform-translate-x:1rem}.lg\\:translate-x-5{--transform-translate-x:1.25rem}.lg\\:translate-x-6{--transform-translate-x:1.5rem}.lg\\:translate-x-8{--transform-translate-x:2rem}.lg\\:translate-x-10{--transform-translate-x:2.5rem}.lg\\:translate-x-12{--transform-translate-x:3rem}.lg\\:translate-x-16{--transform-translate-x:4rem}.lg\\:translate-x-20{--transform-translate-x:5rem}.lg\\:translate-x-24{--transform-translate-x:6rem}.lg\\:translate-x-32{--transform-translate-x:8rem}.lg\\:translate-x-40{--transform-translate-x:10rem}.lg\\:translate-x-48{--transform-translate-x:12rem}.lg\\:translate-x-56{--transform-translate-x:14rem}.lg\\:translate-x-64{--transform-translate-x:16rem}.lg\\:translate-x-px{--transform-translate-x:1px}.lg\\:-translate-x-1{--transform-translate-x:-0.25rem}.lg\\:-translate-x-2{--transform-translate-x:-0.5rem}.lg\\:-translate-x-3{--transform-translate-x:-0.75rem}.lg\\:-translate-x-4{--transform-translate-x:-1rem}.lg\\:-translate-x-5{--transform-translate-x:-1.25rem}.lg\\:-translate-x-6{--transform-translate-x:-1.5rem}.lg\\:-translate-x-8{--transform-translate-x:-2rem}.lg\\:-translate-x-10{--transform-translate-x:-2.5rem}.lg\\:-translate-x-12{--transform-translate-x:-3rem}.lg\\:-translate-x-16{--transform-translate-x:-4rem}.lg\\:-translate-x-20{--transform-translate-x:-5rem}.lg\\:-translate-x-24{--transform-translate-x:-6rem}.lg\\:-translate-x-32{--transform-translate-x:-8rem}.lg\\:-translate-x-40{--transform-translate-x:-10rem}.lg\\:-translate-x-48{--transform-translate-x:-12rem}.lg\\:-translate-x-56{--transform-translate-x:-14rem}.lg\\:-translate-x-64{--transform-translate-x:-16rem}.lg\\:-translate-x-px{--transform-translate-x:-1px}.lg\\:-translate-x-full{--transform-translate-x:-100%}.lg\\:-translate-x-1\\/2{--transform-translate-x:-50%}.lg\\:translate-x-1\\/2{--transform-translate-x:50%}.lg\\:translate-x-full{--transform-translate-x:100%}.lg\\:translate-y-0{--transform-translate-y:0}.lg\\:translate-y-1{--transform-translate-y:0.25rem}.lg\\:translate-y-2{--transform-translate-y:0.5rem}.lg\\:translate-y-3{--transform-translate-y:0.75rem}.lg\\:translate-y-4{--transform-translate-y:1rem}.lg\\:translate-y-5{--transform-translate-y:1.25rem}.lg\\:translate-y-6{--transform-translate-y:1.5rem}.lg\\:translate-y-8{--transform-translate-y:2rem}.lg\\:translate-y-10{--transform-translate-y:2.5rem}.lg\\:translate-y-12{--transform-translate-y:3rem}.lg\\:translate-y-16{--transform-translate-y:4rem}.lg\\:translate-y-20{--transform-translate-y:5rem}.lg\\:translate-y-24{--transform-translate-y:6rem}.lg\\:translate-y-32{--transform-translate-y:8rem}.lg\\:translate-y-40{--transform-translate-y:10rem}.lg\\:translate-y-48{--transform-translate-y:12rem}.lg\\:translate-y-56{--transform-translate-y:14rem}.lg\\:translate-y-64{--transform-translate-y:16rem}.lg\\:translate-y-px{--transform-translate-y:1px}.lg\\:-translate-y-1{--transform-translate-y:-0.25rem}.lg\\:-translate-y-2{--transform-translate-y:-0.5rem}.lg\\:-translate-y-3{--transform-translate-y:-0.75rem}.lg\\:-translate-y-4{--transform-translate-y:-1rem}.lg\\:-translate-y-5{--transform-translate-y:-1.25rem}.lg\\:-translate-y-6{--transform-translate-y:-1.5rem}.lg\\:-translate-y-8{--transform-translate-y:-2rem}.lg\\:-translate-y-10{--transform-translate-y:-2.5rem}.lg\\:-translate-y-12{--transform-translate-y:-3rem}.lg\\:-translate-y-16{--transform-translate-y:-4rem}.lg\\:-translate-y-20{--transform-translate-y:-5rem}.lg\\:-translate-y-24{--transform-translate-y:-6rem}.lg\\:-translate-y-32{--transform-translate-y:-8rem}.lg\\:-translate-y-40{--transform-translate-y:-10rem}.lg\\:-translate-y-48{--transform-translate-y:-12rem}.lg\\:-translate-y-56{--transform-translate-y:-14rem}.lg\\:-translate-y-64{--transform-translate-y:-16rem}.lg\\:-translate-y-px{--transform-translate-y:-1px}.lg\\:-translate-y-full{--transform-translate-y:-100%}.lg\\:-translate-y-1\\/2{--transform-translate-y:-50%}.lg\\:translate-y-1\\/2{--transform-translate-y:50%}.lg\\:translate-y-full{--transform-translate-y:100%}.lg\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.lg\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.lg\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.lg\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.lg\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.lg\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.lg\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.lg\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.lg\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.lg\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.lg\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.lg\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.lg\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.lg\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.lg\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.lg\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.lg\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.lg\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.lg\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.lg\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.lg\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.lg\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.lg\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.lg\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.lg\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.lg\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.lg\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.lg\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.lg\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.lg\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.lg\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.lg\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.lg\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.lg\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.lg\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.lg\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.lg\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.lg\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.lg\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.lg\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.lg\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.lg\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.lg\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.lg\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.lg\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.lg\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.lg\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.lg\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.lg\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.lg\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.lg\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.lg\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.lg\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.lg\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.lg\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.lg\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.lg\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.lg\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.lg\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.lg\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.lg\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.lg\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.lg\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.lg\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.lg\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.lg\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.lg\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.lg\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.lg\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.lg\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.lg\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.lg\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.lg\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.lg\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.lg\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.lg\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.lg\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.lg\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.lg\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.lg\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.lg\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.lg\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.lg\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.lg\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.lg\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.lg\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.lg\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.lg\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.lg\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.lg\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.lg\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.lg\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.lg\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.lg\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.lg\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.lg\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.lg\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.lg\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.lg\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.lg\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.lg\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.lg\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.lg\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.lg\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.lg\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.lg\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.lg\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.lg\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.lg\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.lg\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.lg\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.lg\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.lg\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.lg\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.lg\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.lg\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.lg\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.lg\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.lg\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.lg\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.lg\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.lg\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.lg\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.lg\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.lg\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.lg\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.lg\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.lg\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.lg\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.lg\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.lg\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.lg\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.lg\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.lg\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.lg\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.lg\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.lg\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.lg\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.lg\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.lg\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.lg\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.lg\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.lg\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.lg\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.lg\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.lg\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.lg\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.lg\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.lg\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.lg\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.lg\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.lg\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.lg\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.lg\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.lg\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.lg\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.lg\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.lg\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.lg\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.lg\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.lg\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.lg\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.lg\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.lg\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.lg\\:skew-x-0{--transform-skew-x:0}.lg\\:skew-x-3{--transform-skew-x:3deg}.lg\\:skew-x-6{--transform-skew-x:6deg}.lg\\:skew-x-12{--transform-skew-x:12deg}.lg\\:-skew-x-12{--transform-skew-x:-12deg}.lg\\:-skew-x-6{--transform-skew-x:-6deg}.lg\\:-skew-x-3{--transform-skew-x:-3deg}.lg\\:skew-y-0{--transform-skew-y:0}.lg\\:skew-y-3{--transform-skew-y:3deg}.lg\\:skew-y-6{--transform-skew-y:6deg}.lg\\:skew-y-12{--transform-skew-y:12deg}.lg\\:-skew-y-12{--transform-skew-y:-12deg}.lg\\:-skew-y-6{--transform-skew-y:-6deg}.lg\\:-skew-y-3{--transform-skew-y:-3deg}.lg\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.lg\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.lg\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.lg\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.lg\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.lg\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.lg\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.lg\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.lg\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.lg\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.lg\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.lg\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.lg\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.lg\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.lg\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.lg\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.lg\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.lg\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.lg\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.lg\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.lg\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.lg\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.lg\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.lg\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.lg\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.lg\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.lg\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.lg\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.lg\\:transition-none{-webkit-transition-property:none;transition-property:none}.lg\\:transition-all{-webkit-transition-property:all;transition-property:all}.lg\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.lg\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.lg\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.lg\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.lg\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.lg\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.lg\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.lg\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.lg\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.lg\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.lg\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.lg\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.lg\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.lg\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.lg\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.lg\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.lg\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.lg\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.lg\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.lg\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.lg\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.lg\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.lg\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.lg\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.lg\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.lg\\:animate-none{-webkit-animation:none;animation:none}.lg\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.lg\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.lg\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.lg\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}@media (min-width: 1280px){.xl\\:container{width:100%}@media (min-width: 640px){.xl\\:container{max-width:640px}}@media (min-width: 768px){.xl\\:container{max-width:768px}}@media (min-width: 1024px){.xl\\:container{max-width:1024px}}@media (min-width: 1280px){.xl\\:container{max-width:1280px}}.xl\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.xl\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.xl\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.xl\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.xl\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.xl\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.xl\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.xl\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.xl\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.xl\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.xl\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.xl\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.xl\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.xl\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.xl\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.xl\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.xl\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.xl\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.xl\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.xl\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.xl\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.xl\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.xl\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.xl\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.xl\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.xl\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.xl\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.xl\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.xl\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.xl\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.xl\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.xl\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.xl\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.xl\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.xl\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.xl\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.xl\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.xl\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.xl\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.xl\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.xl\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.xl\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.xl\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.xl\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.xl\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.xl\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.xl\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.xl\\:divide-current>:not(template)~:not(template){border-color:currentColor}.xl\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.xl\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.xl\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.xl\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.xl\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.xl\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.xl\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.xl\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.xl\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.xl\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.xl\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.xl\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.xl\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.xl\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.xl\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.xl\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.xl\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.xl\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.xl\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.xl\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.xl\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.xl\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.xl\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.xl\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.xl\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.xl\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.xl\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.xl\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.xl\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.xl\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.xl\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.xl\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.xl\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.xl\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.xl\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.xl\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.xl\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.xl\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.xl\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.xl\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.xl\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.xl\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.xl\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.xl\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.xl\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.xl\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.xl\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.xl\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.xl\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.xl\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.xl\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.xl\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.xl\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.xl\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.xl\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.xl\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.xl\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.xl\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.xl\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.xl\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.xl\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.xl\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.xl\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.xl\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.xl\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.xl\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.xl\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.xl\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.xl\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.xl\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.xl\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.xl\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.xl\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.xl\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.xl\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.xl\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.xl\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.xl\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.xl\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.xl\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.xl\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.xl\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.xl\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.xl\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.xl\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.xl\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.xl\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.xl\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.xl\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.xl\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.xl\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.xl\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.xl\\:divide-solid>:not(template)~:not(template){border-style:solid}.xl\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.xl\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.xl\\:divide-double>:not(template)~:not(template){border-style:double}.xl\\:divide-none>:not(template)~:not(template){border-style:none}.xl\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.xl\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.xl\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.xl\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.xl\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.xl\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.xl\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.xl\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.xl\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.xl\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.xl\\:bg-fixed{background-attachment:fixed}.xl\\:bg-local{background-attachment:local}.xl\\:bg-scroll{background-attachment:scroll}.xl\\:bg-clip-border{background-clip:border-box}.xl\\:bg-clip-padding{background-clip:padding-box}.xl\\:bg-clip-content{background-clip:content-box}.xl\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.xl\\:bg-transparent{background-color:transparent}.xl\\:bg-current{background-color:currentColor}.xl\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.xl\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.xl\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.xl\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.xl\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.xl\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.xl\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.xl\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.xl\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.xl\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.xl\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.xl\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.xl\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.xl\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.xl\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.xl\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.xl\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.xl\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.xl\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.xl\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.xl\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.xl\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.xl\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.xl\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.xl\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.xl\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.xl\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.xl\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.xl\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.xl\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.xl\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.xl\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.xl\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.xl\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.xl\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.xl\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.xl\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.xl\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.xl\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.xl\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.xl\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.xl\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.xl\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.xl\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.xl\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.xl\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.xl\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.xl\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.xl\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.xl\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.xl\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.xl\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.xl\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.xl\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.xl\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.xl\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.xl\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.xl\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.xl\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.xl\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.xl\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.xl\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.xl\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.xl\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.xl\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.xl\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.xl\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.xl\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.xl\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.xl\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.xl\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.xl\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.xl\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.xl\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.xl\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.xl\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.xl\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.xl\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.xl\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.xl\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.xl\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.xl\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.xl\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.xl\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.xl\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.xl\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.xl\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.xl\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.xl\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.xl\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.xl\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.xl\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.xl\\:hover\\:bg-transparent:hover{background-color:transparent}.xl\\:hover\\:bg-current:hover{background-color:currentColor}.xl\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.xl\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.xl\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.xl\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.xl\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.xl\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.xl\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.xl\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.xl\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.xl\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.xl\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.xl\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.xl\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.xl\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.xl\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.xl\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.xl\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.xl\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.xl\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.xl\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.xl\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.xl\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.xl\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.xl\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.xl\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.xl\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.xl\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.xl\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.xl\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.xl\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.xl\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.xl\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.xl\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.xl\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.xl\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.xl\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.xl\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.xl\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.xl\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.xl\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.xl\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.xl\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.xl\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.xl\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.xl\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.xl\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.xl\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.xl\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.xl\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.xl\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.xl\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.xl\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.xl\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.xl\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.xl\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.xl\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.xl\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.xl\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.xl\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.xl\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.xl\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.xl\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.xl\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.xl\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.xl\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.xl\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.xl\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.xl\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.xl\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.xl\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.xl\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.xl\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.xl\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.xl\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.xl\\:focus\\:bg-transparent:focus{background-color:transparent}.xl\\:focus\\:bg-current:focus{background-color:currentColor}.xl\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.xl\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.xl\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.xl\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.xl\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.xl\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.xl\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.xl\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.xl\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.xl\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.xl\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.xl\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.xl\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.xl\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.xl\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.xl\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.xl\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.xl\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.xl\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.xl\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.xl\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.xl\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.xl\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.xl\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.xl\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.xl\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.xl\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.xl\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.xl\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.xl\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.xl\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.xl\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.xl\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.xl\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.xl\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.xl\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.xl\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.xl\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.xl\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.xl\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.xl\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.xl\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.xl\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.xl\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.xl\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.xl\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.xl\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.xl\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.xl\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.xl\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.xl\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.xl\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.xl\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.xl\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.xl\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.xl\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.xl\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.xl\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.xl\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.xl\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.xl\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.xl\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.xl\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.xl\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.xl\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.xl\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.xl\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.xl\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.xl\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.xl\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.xl\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.xl\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.xl\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.xl\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.xl\\:bg-none{background-image:none}.xl\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.xl\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.xl\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.xl\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.xl\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.xl\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.xl\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.xl\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.xl\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:to-transparent{--gradient-to-color:transparent}.xl\\:to-current{--gradient-to-color:currentColor}.xl\\:to-black{--gradient-to-color:#000}.xl\\:to-white{--gradient-to-color:#fff}.xl\\:to-gray-100{--gradient-to-color:#f7fafc}.xl\\:to-gray-200{--gradient-to-color:#edf2f7}.xl\\:to-gray-300{--gradient-to-color:#e2e8f0}.xl\\:to-gray-400{--gradient-to-color:#cbd5e0}.xl\\:to-gray-500{--gradient-to-color:#a0aec0}.xl\\:to-gray-600{--gradient-to-color:#718096}.xl\\:to-gray-700{--gradient-to-color:#4a5568}.xl\\:to-gray-800{--gradient-to-color:#2d3748}.xl\\:to-gray-900{--gradient-to-color:#1a202c}.xl\\:to-red-100{--gradient-to-color:#fff5f5}.xl\\:to-red-200{--gradient-to-color:#fed7d7}.xl\\:to-red-300{--gradient-to-color:#feb2b2}.xl\\:to-red-400{--gradient-to-color:#fc8181}.xl\\:to-red-500{--gradient-to-color:#f56565}.xl\\:to-red-600{--gradient-to-color:#e53e3e}.xl\\:to-red-700{--gradient-to-color:#c53030}.xl\\:to-red-800{--gradient-to-color:#9b2c2c}.xl\\:to-red-900{--gradient-to-color:#742a2a}.xl\\:to-orange-100{--gradient-to-color:#fffaf0}.xl\\:to-orange-200{--gradient-to-color:#feebc8}.xl\\:to-orange-300{--gradient-to-color:#fbd38d}.xl\\:to-orange-400{--gradient-to-color:#f6ad55}.xl\\:to-orange-500{--gradient-to-color:#ed8936}.xl\\:to-orange-600{--gradient-to-color:#dd6b20}.xl\\:to-orange-700{--gradient-to-color:#c05621}.xl\\:to-orange-800{--gradient-to-color:#9c4221}.xl\\:to-orange-900{--gradient-to-color:#7b341e}.xl\\:to-yellow-100{--gradient-to-color:#fffff0}.xl\\:to-yellow-200{--gradient-to-color:#fefcbf}.xl\\:to-yellow-300{--gradient-to-color:#faf089}.xl\\:to-yellow-400{--gradient-to-color:#f6e05e}.xl\\:to-yellow-500{--gradient-to-color:#ecc94b}.xl\\:to-yellow-600{--gradient-to-color:#d69e2e}.xl\\:to-yellow-700{--gradient-to-color:#b7791f}.xl\\:to-yellow-800{--gradient-to-color:#975a16}.xl\\:to-yellow-900{--gradient-to-color:#744210}.xl\\:to-green-100{--gradient-to-color:#f0fff4}.xl\\:to-green-200{--gradient-to-color:#c6f6d5}.xl\\:to-green-300{--gradient-to-color:#9ae6b4}.xl\\:to-green-400{--gradient-to-color:#68d391}.xl\\:to-green-500{--gradient-to-color:#48bb78}.xl\\:to-green-600{--gradient-to-color:#38a169}.xl\\:to-green-700{--gradient-to-color:#2f855a}.xl\\:to-green-800{--gradient-to-color:#276749}.xl\\:to-green-900{--gradient-to-color:#22543d}.xl\\:to-teal-100{--gradient-to-color:#e6fffa}.xl\\:to-teal-200{--gradient-to-color:#b2f5ea}.xl\\:to-teal-300{--gradient-to-color:#81e6d9}.xl\\:to-teal-400{--gradient-to-color:#4fd1c5}.xl\\:to-teal-500{--gradient-to-color:#38b2ac}.xl\\:to-teal-600{--gradient-to-color:#319795}.xl\\:to-teal-700{--gradient-to-color:#2c7a7b}.xl\\:to-teal-800{--gradient-to-color:#285e61}.xl\\:to-teal-900{--gradient-to-color:#234e52}.xl\\:to-blue-100{--gradient-to-color:#ebf8ff}.xl\\:to-blue-200{--gradient-to-color:#bee3f8}.xl\\:to-blue-300{--gradient-to-color:#90cdf4}.xl\\:to-blue-400{--gradient-to-color:#63b3ed}.xl\\:to-blue-500{--gradient-to-color:#4299e1}.xl\\:to-blue-600{--gradient-to-color:#3182ce}.xl\\:to-blue-700{--gradient-to-color:#2b6cb0}.xl\\:to-blue-800{--gradient-to-color:#2c5282}.xl\\:to-blue-900{--gradient-to-color:#2a4365}.xl\\:to-indigo-100{--gradient-to-color:#ebf4ff}.xl\\:to-indigo-200{--gradient-to-color:#c3dafe}.xl\\:to-indigo-300{--gradient-to-color:#a3bffa}.xl\\:to-indigo-400{--gradient-to-color:#7f9cf5}.xl\\:to-indigo-500{--gradient-to-color:#667eea}.xl\\:to-indigo-600{--gradient-to-color:#5a67d8}.xl\\:to-indigo-700{--gradient-to-color:#4c51bf}.xl\\:to-indigo-800{--gradient-to-color:#434190}.xl\\:to-indigo-900{--gradient-to-color:#3c366b}.xl\\:to-purple-100{--gradient-to-color:#faf5ff}.xl\\:to-purple-200{--gradient-to-color:#e9d8fd}.xl\\:to-purple-300{--gradient-to-color:#d6bcfa}.xl\\:to-purple-400{--gradient-to-color:#b794f4}.xl\\:to-purple-500{--gradient-to-color:#9f7aea}.xl\\:to-purple-600{--gradient-to-color:#805ad5}.xl\\:to-purple-700{--gradient-to-color:#6b46c1}.xl\\:to-purple-800{--gradient-to-color:#553c9a}.xl\\:to-purple-900{--gradient-to-color:#44337a}.xl\\:to-pink-100{--gradient-to-color:#fff5f7}.xl\\:to-pink-200{--gradient-to-color:#fed7e2}.xl\\:to-pink-300{--gradient-to-color:#fbb6ce}.xl\\:to-pink-400{--gradient-to-color:#f687b3}.xl\\:to-pink-500{--gradient-to-color:#ed64a6}.xl\\:to-pink-600{--gradient-to-color:#d53f8c}.xl\\:to-pink-700{--gradient-to-color:#b83280}.xl\\:to-pink-800{--gradient-to-color:#97266d}.xl\\:to-pink-900{--gradient-to-color:#702459}.xl\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.xl\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.xl\\:hover\\:to-black:hover{--gradient-to-color:#000}.xl\\:hover\\:to-white:hover{--gradient-to-color:#fff}.xl\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.xl\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.xl\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.xl\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.xl\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.xl\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.xl\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.xl\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.xl\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.xl\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.xl\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.xl\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.xl\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.xl\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.xl\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.xl\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.xl\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.xl\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.xl\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.xl\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.xl\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.xl\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.xl\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.xl\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.xl\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.xl\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.xl\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.xl\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.xl\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.xl\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.xl\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.xl\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.xl\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.xl\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.xl\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.xl\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.xl\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.xl\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.xl\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.xl\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.xl\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.xl\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.xl\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.xl\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.xl\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.xl\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.xl\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.xl\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.xl\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.xl\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.xl\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.xl\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.xl\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.xl\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.xl\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.xl\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.xl\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.xl\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.xl\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.xl\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.xl\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.xl\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.xl\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.xl\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.xl\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.xl\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.xl\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.xl\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.xl\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.xl\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.xl\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.xl\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.xl\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.xl\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.xl\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.xl\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.xl\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.xl\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.xl\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.xl\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.xl\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.xl\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.xl\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.xl\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.xl\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.xl\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.xl\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.xl\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.xl\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.xl\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.xl\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.xl\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.xl\\:focus\\:to-black:focus{--gradient-to-color:#000}.xl\\:focus\\:to-white:focus{--gradient-to-color:#fff}.xl\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.xl\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.xl\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.xl\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.xl\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.xl\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.xl\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.xl\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.xl\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.xl\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.xl\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.xl\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.xl\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.xl\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.xl\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.xl\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.xl\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.xl\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.xl\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.xl\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.xl\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.xl\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.xl\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.xl\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.xl\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.xl\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.xl\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.xl\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.xl\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.xl\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.xl\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.xl\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.xl\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.xl\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.xl\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.xl\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.xl\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.xl\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.xl\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.xl\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.xl\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.xl\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.xl\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.xl\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.xl\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.xl\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.xl\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.xl\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.xl\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.xl\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.xl\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.xl\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.xl\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.xl\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.xl\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.xl\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.xl\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.xl\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.xl\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.xl\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.xl\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.xl\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.xl\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.xl\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.xl\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.xl\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.xl\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.xl\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.xl\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.xl\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.xl\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.xl\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.xl\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.xl\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.xl\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.xl\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.xl\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.xl\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.xl\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.xl\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.xl\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.xl\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.xl\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.xl\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.xl\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.xl\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.xl\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.xl\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.xl\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.xl\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.xl\\:bg-opacity-0{--bg-opacity:0}.xl\\:bg-opacity-25{--bg-opacity:0.25}.xl\\:bg-opacity-50{--bg-opacity:0.5}.xl\\:bg-opacity-75{--bg-opacity:0.75}.xl\\:bg-opacity-100{--bg-opacity:1}.xl\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.xl\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.xl\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.xl\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.xl\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.xl\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.xl\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.xl\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.xl\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.xl\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.xl\\:bg-bottom{background-position:bottom}.xl\\:bg-center{background-position:center}.xl\\:bg-left{background-position:left}.xl\\:bg-left-bottom{background-position:left bottom}.xl\\:bg-left-top{background-position:left top}.xl\\:bg-right{background-position:right}.xl\\:bg-right-bottom{background-position:right bottom}.xl\\:bg-right-top{background-position:right top}.xl\\:bg-top{background-position:top}.xl\\:bg-repeat{background-repeat:repeat}.xl\\:bg-no-repeat{background-repeat:no-repeat}.xl\\:bg-repeat-x{background-repeat:repeat-x}.xl\\:bg-repeat-y{background-repeat:repeat-y}.xl\\:bg-repeat-round{background-repeat:round}.xl\\:bg-repeat-space{background-repeat:space}.xl\\:bg-auto{background-size:auto}.xl\\:bg-cover{background-size:cover}.xl\\:bg-contain{background-size:contain}.xl\\:border-collapse{border-collapse:collapse}.xl\\:border-separate{border-collapse:separate}.xl\\:border-transparent{border-color:transparent}.xl\\:border-current{border-color:currentColor}.xl\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.xl\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.xl\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.xl\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.xl\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.xl\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.xl\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.xl\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.xl\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.xl\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.xl\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.xl\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.xl\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.xl\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.xl\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.xl\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.xl\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.xl\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.xl\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.xl\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.xl\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.xl\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.xl\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.xl\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.xl\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.xl\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.xl\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.xl\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.xl\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.xl\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.xl\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.xl\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.xl\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.xl\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.xl\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.xl\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.xl\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.xl\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.xl\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.xl\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.xl\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.xl\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.xl\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.xl\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.xl\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.xl\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.xl\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.xl\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.xl\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.xl\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.xl\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.xl\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.xl\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.xl\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.xl\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.xl\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.xl\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.xl\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.xl\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.xl\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.xl\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.xl\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.xl\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.xl\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.xl\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.xl\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.xl\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.xl\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.xl\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.xl\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.xl\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.xl\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.xl\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.xl\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.xl\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.xl\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.xl\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.xl\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.xl\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.xl\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.xl\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.xl\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.xl\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.xl\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.xl\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.xl\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.xl\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.xl\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.xl\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.xl\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.xl\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.xl\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.xl\\:hover\\:border-transparent:hover{border-color:transparent}.xl\\:hover\\:border-current:hover{border-color:currentColor}.xl\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.xl\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.xl\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.xl\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.xl\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.xl\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.xl\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.xl\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.xl\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.xl\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.xl\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.xl\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.xl\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.xl\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.xl\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.xl\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.xl\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.xl\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.xl\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.xl\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.xl\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.xl\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.xl\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.xl\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.xl\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.xl\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.xl\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.xl\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.xl\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.xl\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.xl\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.xl\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.xl\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.xl\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.xl\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.xl\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.xl\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.xl\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.xl\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.xl\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.xl\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.xl\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.xl\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.xl\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.xl\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.xl\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.xl\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.xl\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.xl\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.xl\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.xl\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.xl\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.xl\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.xl\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.xl\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.xl\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.xl\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.xl\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.xl\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.xl\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.xl\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.xl\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.xl\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.xl\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.xl\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.xl\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.xl\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.xl\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.xl\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.xl\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.xl\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.xl\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.xl\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.xl\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.xl\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.xl\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.xl\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.xl\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.xl\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.xl\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.xl\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.xl\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.xl\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.xl\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.xl\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.xl\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.xl\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.xl\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.xl\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.xl\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.xl\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.xl\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.xl\\:focus\\:border-transparent:focus{border-color:transparent}.xl\\:focus\\:border-current:focus{border-color:currentColor}.xl\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.xl\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.xl\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.xl\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.xl\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.xl\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.xl\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.xl\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.xl\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.xl\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.xl\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.xl\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.xl\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.xl\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.xl\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.xl\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.xl\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.xl\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.xl\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.xl\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.xl\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.xl\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.xl\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.xl\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.xl\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.xl\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.xl\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.xl\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.xl\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.xl\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.xl\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.xl\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.xl\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.xl\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.xl\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.xl\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.xl\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.xl\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.xl\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.xl\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.xl\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.xl\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.xl\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.xl\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.xl\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.xl\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.xl\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.xl\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.xl\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.xl\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.xl\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.xl\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.xl\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.xl\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.xl\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.xl\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.xl\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.xl\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.xl\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.xl\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.xl\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.xl\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.xl\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.xl\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.xl\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.xl\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.xl\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.xl\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.xl\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.xl\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.xl\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.xl\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.xl\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.xl\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.xl\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.xl\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.xl\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.xl\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.xl\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.xl\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.xl\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.xl\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.xl\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.xl\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.xl\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.xl\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.xl\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.xl\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.xl\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.xl\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.xl\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.xl\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.xl\\:border-opacity-0{--border-opacity:0}.xl\\:border-opacity-25{--border-opacity:0.25}.xl\\:border-opacity-50{--border-opacity:0.5}.xl\\:border-opacity-75{--border-opacity:0.75}.xl\\:border-opacity-100{--border-opacity:1}.xl\\:hover\\:border-opacity-0:hover{--border-opacity:0}.xl\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.xl\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.xl\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.xl\\:hover\\:border-opacity-100:hover{--border-opacity:1}.xl\\:focus\\:border-opacity-0:focus{--border-opacity:0}.xl\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.xl\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.xl\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.xl\\:focus\\:border-opacity-100:focus{--border-opacity:1}.xl\\:rounded-none{border-radius:0}.xl\\:rounded-sm{border-radius:0.125rem}.xl\\:rounded{border-radius:0.25rem}.xl\\:rounded-md{border-radius:0.375rem}.xl\\:rounded-lg{border-radius:0.5rem}.xl\\:rounded-full{border-radius:9999px}.xl\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.xl\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.xl\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.xl\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.xl\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.xl\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.xl\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.xl\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.xl\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.xl\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.xl\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.xl\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.xl\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.xl\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.xl\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.xl\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.xl\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.xl\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.xl\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.xl\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.xl\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.xl\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.xl\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.xl\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.xl\\:rounded-tl-none{border-top-left-radius:0}.xl\\:rounded-tr-none{border-top-right-radius:0}.xl\\:rounded-br-none{border-bottom-right-radius:0}.xl\\:rounded-bl-none{border-bottom-left-radius:0}.xl\\:rounded-tl-sm{border-top-left-radius:0.125rem}.xl\\:rounded-tr-sm{border-top-right-radius:0.125rem}.xl\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.xl\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.xl\\:rounded-tl{border-top-left-radius:0.25rem}.xl\\:rounded-tr{border-top-right-radius:0.25rem}.xl\\:rounded-br{border-bottom-right-radius:0.25rem}.xl\\:rounded-bl{border-bottom-left-radius:0.25rem}.xl\\:rounded-tl-md{border-top-left-radius:0.375rem}.xl\\:rounded-tr-md{border-top-right-radius:0.375rem}.xl\\:rounded-br-md{border-bottom-right-radius:0.375rem}.xl\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.xl\\:rounded-tl-lg{border-top-left-radius:0.5rem}.xl\\:rounded-tr-lg{border-top-right-radius:0.5rem}.xl\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.xl\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.xl\\:rounded-tl-full{border-top-left-radius:9999px}.xl\\:rounded-tr-full{border-top-right-radius:9999px}.xl\\:rounded-br-full{border-bottom-right-radius:9999px}.xl\\:rounded-bl-full{border-bottom-left-radius:9999px}.xl\\:border-solid{border-style:solid}.xl\\:border-dashed{border-style:dashed}.xl\\:border-dotted{border-style:dotted}.xl\\:border-double{border-style:double}.xl\\:border-none{border-style:none}.xl\\:border-0{border-width:0}.xl\\:border-2{border-width:2px}.xl\\:border-4{border-width:4px}.xl\\:border-8{border-width:8px}.xl\\:border{border-width:1px}.xl\\:border-t-0{border-top-width:0}.xl\\:border-r-0{border-right-width:0}.xl\\:border-b-0{border-bottom-width:0}.xl\\:border-l-0{border-left-width:0}.xl\\:border-t-2{border-top-width:2px}.xl\\:border-r-2{border-right-width:2px}.xl\\:border-b-2{border-bottom-width:2px}.xl\\:border-l-2{border-left-width:2px}.xl\\:border-t-4{border-top-width:4px}.xl\\:border-r-4{border-right-width:4px}.xl\\:border-b-4{border-bottom-width:4px}.xl\\:border-l-4{border-left-width:4px}.xl\\:border-t-8{border-top-width:8px}.xl\\:border-r-8{border-right-width:8px}.xl\\:border-b-8{border-bottom-width:8px}.xl\\:border-l-8{border-left-width:8px}.xl\\:border-t{border-top-width:1px}.xl\\:border-r{border-right-width:1px}.xl\\:border-b{border-bottom-width:1px}.xl\\:border-l{border-left-width:1px}.xl\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.xl\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.xl\\:cursor-auto{cursor:auto}.xl\\:cursor-default{cursor:default}.xl\\:cursor-pointer{cursor:pointer}.xl\\:cursor-wait{cursor:wait}.xl\\:cursor-text{cursor:text}.xl\\:cursor-move{cursor:move}.xl\\:cursor-not-allowed{cursor:not-allowed}.xl\\:block{display:block}.xl\\:inline-block{display:inline-block}.xl\\:inline{display:inline}.xl\\:flex{display:-ms-flexbox;display:flex}.xl\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.xl\\:table{display:table}.xl\\:table-caption{display:table-caption}.xl\\:table-cell{display:table-cell}.xl\\:table-column{display:table-column}.xl\\:table-column-group{display:table-column-group}.xl\\:table-footer-group{display:table-footer-group}.xl\\:table-header-group{display:table-header-group}.xl\\:table-row-group{display:table-row-group}.xl\\:table-row{display:table-row}.xl\\:flow-root{display:flow-root}.xl\\:grid{display:grid}.xl\\:inline-grid{display:inline-grid}.xl\\:contents{display:contents}.xl\\:hidden{display:none}.xl\\:flex-row{-ms-flex-direction:row;flex-direction:row}.xl\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.xl\\:flex-col{-ms-flex-direction:column;flex-direction:column}.xl\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.xl\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.xl\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.xl\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.xl\\:place-items-auto{place-items:auto}.xl\\:place-items-start{place-items:start}.xl\\:place-items-end{place-items:end}.xl\\:place-items-center{place-items:center}.xl\\:place-items-stretch{place-items:stretch}.xl\\:place-content-center{place-content:center}.xl\\:place-content-start{place-content:start}.xl\\:place-content-end{place-content:end}.xl\\:place-content-between{place-content:space-between}.xl\\:place-content-around{place-content:space-around}.xl\\:place-content-evenly{place-content:space-evenly}.xl\\:place-content-stretch{place-content:stretch}.xl\\:place-self-auto{place-self:auto}.xl\\:place-self-start{place-self:start}.xl\\:place-self-end{place-self:end}.xl\\:place-self-center{place-self:center}.xl\\:place-self-stretch{place-self:stretch}.xl\\:items-start{-ms-flex-align:start;align-items:flex-start}.xl\\:items-end{-ms-flex-align:end;align-items:flex-end}.xl\\:items-center{-ms-flex-align:center;align-items:center}.xl\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.xl\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.xl\\:content-center{-ms-flex-line-pack:center;align-content:center}.xl\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.xl\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.xl\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.xl\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.xl\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.xl\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.xl\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.xl\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.xl\\:self-center{-ms-flex-item-align:center;align-self:center}.xl\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.xl\\:justify-items-auto{justify-items:auto}.xl\\:justify-items-start{justify-items:start}.xl\\:justify-items-end{justify-items:end}.xl\\:justify-items-center{justify-items:center}.xl\\:justify-items-stretch{justify-items:stretch}.xl\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.xl\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.xl\\:justify-center{-ms-flex-pack:center;justify-content:center}.xl\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.xl\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.xl\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.xl\\:justify-self-auto{justify-self:auto}.xl\\:justify-self-start{justify-self:start}.xl\\:justify-self-end{justify-self:end}.xl\\:justify-self-center{justify-self:center}.xl\\:justify-self-stretch{justify-self:stretch}.xl\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.xl\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.xl\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.xl\\:flex-none{-ms-flex:none;flex:none}.xl\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.xl\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.xl\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.xl\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.xl\\:order-1{-ms-flex-order:1;order:1}.xl\\:order-2{-ms-flex-order:2;order:2}.xl\\:order-3{-ms-flex-order:3;order:3}.xl\\:order-4{-ms-flex-order:4;order:4}.xl\\:order-5{-ms-flex-order:5;order:5}.xl\\:order-6{-ms-flex-order:6;order:6}.xl\\:order-7{-ms-flex-order:7;order:7}.xl\\:order-8{-ms-flex-order:8;order:8}.xl\\:order-9{-ms-flex-order:9;order:9}.xl\\:order-10{-ms-flex-order:10;order:10}.xl\\:order-11{-ms-flex-order:11;order:11}.xl\\:order-12{-ms-flex-order:12;order:12}.xl\\:order-first{-ms-flex-order:-9999;order:-9999}.xl\\:order-last{-ms-flex-order:9999;order:9999}.xl\\:order-none{-ms-flex-order:0;order:0}.xl\\:float-right{float:right}.xl\\:float-left{float:left}.xl\\:float-none{float:none}.xl\\:clearfix:after{content:\"\";display:table;clear:both}.xl\\:clear-left{clear:left}.xl\\:clear-right{clear:right}.xl\\:clear-both{clear:both}.xl\\:clear-none{clear:none}.xl\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.xl\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.xl\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.xl\\:font-hairline{font-weight:100}.xl\\:font-thin{font-weight:200}.xl\\:font-light{font-weight:300}.xl\\:font-normal{font-weight:400}.xl\\:font-medium{font-weight:500}.xl\\:font-semibold{font-weight:600}.xl\\:font-bold{font-weight:700}.xl\\:font-extrabold{font-weight:800}.xl\\:font-black{font-weight:900}.xl\\:hover\\:font-hairline:hover{font-weight:100}.xl\\:hover\\:font-thin:hover{font-weight:200}.xl\\:hover\\:font-light:hover{font-weight:300}.xl\\:hover\\:font-normal:hover{font-weight:400}.xl\\:hover\\:font-medium:hover{font-weight:500}.xl\\:hover\\:font-semibold:hover{font-weight:600}.xl\\:hover\\:font-bold:hover{font-weight:700}.xl\\:hover\\:font-extrabold:hover{font-weight:800}.xl\\:hover\\:font-black:hover{font-weight:900}.xl\\:focus\\:font-hairline:focus{font-weight:100}.xl\\:focus\\:font-thin:focus{font-weight:200}.xl\\:focus\\:font-light:focus{font-weight:300}.xl\\:focus\\:font-normal:focus{font-weight:400}.xl\\:focus\\:font-medium:focus{font-weight:500}.xl\\:focus\\:font-semibold:focus{font-weight:600}.xl\\:focus\\:font-bold:focus{font-weight:700}.xl\\:focus\\:font-extrabold:focus{font-weight:800}.xl\\:focus\\:font-black:focus{font-weight:900}.xl\\:h-0{height:0}.xl\\:h-1{height:0.25rem}.xl\\:h-2{height:0.5rem}.xl\\:h-3{height:0.75rem}.xl\\:h-4{height:1rem}.xl\\:h-5{height:1.25rem}.xl\\:h-6{height:1.5rem}.xl\\:h-8{height:2rem}.xl\\:h-10{height:2.5rem}.xl\\:h-12{height:3rem}.xl\\:h-16{height:4rem}.xl\\:h-20{height:5rem}.xl\\:h-24{height:6rem}.xl\\:h-32{height:8rem}.xl\\:h-40{height:10rem}.xl\\:h-48{height:12rem}.xl\\:h-56{height:14rem}.xl\\:h-64{height:16rem}.xl\\:h-auto{height:auto}.xl\\:h-px{height:1px}.xl\\:h-full{height:100%}.xl\\:h-screen{height:100vh}.xl\\:text-xs{font-size:0.75rem}.xl\\:text-sm{font-size:0.875rem}.xl\\:text-base{font-size:1rem}.xl\\:text-lg{font-size:1.125rem}.xl\\:text-xl{font-size:1.25rem}.xl\\:text-2xl{font-size:1.5rem}.xl\\:text-3xl{font-size:1.875rem}.xl\\:text-4xl{font-size:2.25rem}.xl\\:text-5xl{font-size:3rem}.xl\\:text-6xl{font-size:4rem}.xl\\:leading-3{line-height:.75rem}.xl\\:leading-4{line-height:1rem}.xl\\:leading-5{line-height:1.25rem}.xl\\:leading-6{line-height:1.5rem}.xl\\:leading-7{line-height:1.75rem}.xl\\:leading-8{line-height:2rem}.xl\\:leading-9{line-height:2.25rem}.xl\\:leading-10{line-height:2.5rem}.xl\\:leading-none{line-height:1}.xl\\:leading-tight{line-height:1.25}.xl\\:leading-snug{line-height:1.375}.xl\\:leading-normal{line-height:1.5}.xl\\:leading-relaxed{line-height:1.625}.xl\\:leading-loose{line-height:2}.xl\\:list-inside{list-style-position:inside}.xl\\:list-outside{list-style-position:outside}.xl\\:list-none{list-style-type:none}.xl\\:list-disc{list-style-type:disc}.xl\\:list-decimal{list-style-type:decimal}.xl\\:m-0{margin:0}.xl\\:m-1{margin:0.25rem}.xl\\:m-2{margin:0.5rem}.xl\\:m-3{margin:0.75rem}.xl\\:m-4{margin:1rem}.xl\\:m-5{margin:1.25rem}.xl\\:m-6{margin:1.5rem}.xl\\:m-8{margin:2rem}.xl\\:m-10{margin:2.5rem}.xl\\:m-12{margin:3rem}.xl\\:m-16{margin:4rem}.xl\\:m-20{margin:5rem}.xl\\:m-24{margin:6rem}.xl\\:m-32{margin:8rem}.xl\\:m-40{margin:10rem}.xl\\:m-48{margin:12rem}.xl\\:m-56{margin:14rem}.xl\\:m-64{margin:16rem}.xl\\:m-auto{margin:auto}.xl\\:m-px{margin:1px}.xl\\:-m-1{margin:-0.25rem}.xl\\:-m-2{margin:-0.5rem}.xl\\:-m-3{margin:-0.75rem}.xl\\:-m-4{margin:-1rem}.xl\\:-m-5{margin:-1.25rem}.xl\\:-m-6{margin:-1.5rem}.xl\\:-m-8{margin:-2rem}.xl\\:-m-10{margin:-2.5rem}.xl\\:-m-12{margin:-3rem}.xl\\:-m-16{margin:-4rem}.xl\\:-m-20{margin:-5rem}.xl\\:-m-24{margin:-6rem}.xl\\:-m-32{margin:-8rem}.xl\\:-m-40{margin:-10rem}.xl\\:-m-48{margin:-12rem}.xl\\:-m-56{margin:-14rem}.xl\\:-m-64{margin:-16rem}.xl\\:-m-px{margin:-1px}.xl\\:my-0{margin-top:0;margin-bottom:0}.xl\\:mx-0{margin-left:0;margin-right:0}.xl\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.xl\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.xl\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.xl\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.xl\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.xl\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.xl\\:my-4{margin-top:1rem;margin-bottom:1rem}.xl\\:mx-4{margin-left:1rem;margin-right:1rem}.xl\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.xl\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.xl\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.xl\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.xl\\:my-8{margin-top:2rem;margin-bottom:2rem}.xl\\:mx-8{margin-left:2rem;margin-right:2rem}.xl\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.xl\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.xl\\:my-12{margin-top:3rem;margin-bottom:3rem}.xl\\:mx-12{margin-left:3rem;margin-right:3rem}.xl\\:my-16{margin-top:4rem;margin-bottom:4rem}.xl\\:mx-16{margin-left:4rem;margin-right:4rem}.xl\\:my-20{margin-top:5rem;margin-bottom:5rem}.xl\\:mx-20{margin-left:5rem;margin-right:5rem}.xl\\:my-24{margin-top:6rem;margin-bottom:6rem}.xl\\:mx-24{margin-left:6rem;margin-right:6rem}.xl\\:my-32{margin-top:8rem;margin-bottom:8rem}.xl\\:mx-32{margin-left:8rem;margin-right:8rem}.xl\\:my-40{margin-top:10rem;margin-bottom:10rem}.xl\\:mx-40{margin-left:10rem;margin-right:10rem}.xl\\:my-48{margin-top:12rem;margin-bottom:12rem}.xl\\:mx-48{margin-left:12rem;margin-right:12rem}.xl\\:my-56{margin-top:14rem;margin-bottom:14rem}.xl\\:mx-56{margin-left:14rem;margin-right:14rem}.xl\\:my-64{margin-top:16rem;margin-bottom:16rem}.xl\\:mx-64{margin-left:16rem;margin-right:16rem}.xl\\:my-auto{margin-top:auto;margin-bottom:auto}.xl\\:mx-auto{margin-left:auto;margin-right:auto}.xl\\:my-px{margin-top:1px;margin-bottom:1px}.xl\\:mx-px{margin-left:1px;margin-right:1px}.xl\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.xl\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.xl\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.xl\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.xl\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.xl\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.xl\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.xl\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.xl\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.xl\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.xl\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.xl\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.xl\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.xl\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.xl\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.xl\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.xl\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.xl\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.xl\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.xl\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.xl\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.xl\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.xl\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.xl\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.xl\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.xl\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.xl\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.xl\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.xl\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.xl\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.xl\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.xl\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.xl\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.xl\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.xl\\:-my-px{margin-top:-1px;margin-bottom:-1px}.xl\\:-mx-px{margin-left:-1px;margin-right:-1px}.xl\\:mt-0{margin-top:0}.xl\\:mr-0{margin-right:0}.xl\\:mb-0{margin-bottom:0}.xl\\:ml-0{margin-left:0}.xl\\:mt-1{margin-top:0.25rem}.xl\\:mr-1{margin-right:0.25rem}.xl\\:mb-1{margin-bottom:0.25rem}.xl\\:ml-1{margin-left:0.25rem}.xl\\:mt-2{margin-top:0.5rem}.xl\\:mr-2{margin-right:0.5rem}.xl\\:mb-2{margin-bottom:0.5rem}.xl\\:ml-2{margin-left:0.5rem}.xl\\:mt-3{margin-top:0.75rem}.xl\\:mr-3{margin-right:0.75rem}.xl\\:mb-3{margin-bottom:0.75rem}.xl\\:ml-3{margin-left:0.75rem}.xl\\:mt-4{margin-top:1rem}.xl\\:mr-4{margin-right:1rem}.xl\\:mb-4{margin-bottom:1rem}.xl\\:ml-4{margin-left:1rem}.xl\\:mt-5{margin-top:1.25rem}.xl\\:mr-5{margin-right:1.25rem}.xl\\:mb-5{margin-bottom:1.25rem}.xl\\:ml-5{margin-left:1.25rem}.xl\\:mt-6{margin-top:1.5rem}.xl\\:mr-6{margin-right:1.5rem}.xl\\:mb-6{margin-bottom:1.5rem}.xl\\:ml-6{margin-left:1.5rem}.xl\\:mt-8{margin-top:2rem}.xl\\:mr-8{margin-right:2rem}.xl\\:mb-8{margin-bottom:2rem}.xl\\:ml-8{margin-left:2rem}.xl\\:mt-10{margin-top:2.5rem}.xl\\:mr-10{margin-right:2.5rem}.xl\\:mb-10{margin-bottom:2.5rem}.xl\\:ml-10{margin-left:2.5rem}.xl\\:mt-12{margin-top:3rem}.xl\\:mr-12{margin-right:3rem}.xl\\:mb-12{margin-bottom:3rem}.xl\\:ml-12{margin-left:3rem}.xl\\:mt-16{margin-top:4rem}.xl\\:mr-16{margin-right:4rem}.xl\\:mb-16{margin-bottom:4rem}.xl\\:ml-16{margin-left:4rem}.xl\\:mt-20{margin-top:5rem}.xl\\:mr-20{margin-right:5rem}.xl\\:mb-20{margin-bottom:5rem}.xl\\:ml-20{margin-left:5rem}.xl\\:mt-24{margin-top:6rem}.xl\\:mr-24{margin-right:6rem}.xl\\:mb-24{margin-bottom:6rem}.xl\\:ml-24{margin-left:6rem}.xl\\:mt-32{margin-top:8rem}.xl\\:mr-32{margin-right:8rem}.xl\\:mb-32{margin-bottom:8rem}.xl\\:ml-32{margin-left:8rem}.xl\\:mt-40{margin-top:10rem}.xl\\:mr-40{margin-right:10rem}.xl\\:mb-40{margin-bottom:10rem}.xl\\:ml-40{margin-left:10rem}.xl\\:mt-48{margin-top:12rem}.xl\\:mr-48{margin-right:12rem}.xl\\:mb-48{margin-bottom:12rem}.xl\\:ml-48{margin-left:12rem}.xl\\:mt-56{margin-top:14rem}.xl\\:mr-56{margin-right:14rem}.xl\\:mb-56{margin-bottom:14rem}.xl\\:ml-56{margin-left:14rem}.xl\\:mt-64{margin-top:16rem}.xl\\:mr-64{margin-right:16rem}.xl\\:mb-64{margin-bottom:16rem}.xl\\:ml-64{margin-left:16rem}.xl\\:mt-auto{margin-top:auto}.xl\\:mr-auto{margin-right:auto}.xl\\:mb-auto{margin-bottom:auto}.xl\\:ml-auto{margin-left:auto}.xl\\:mt-px{margin-top:1px}.xl\\:mr-px{margin-right:1px}.xl\\:mb-px{margin-bottom:1px}.xl\\:ml-px{margin-left:1px}.xl\\:-mt-1{margin-top:-0.25rem}.xl\\:-mr-1{margin-right:-0.25rem}.xl\\:-mb-1{margin-bottom:-0.25rem}.xl\\:-ml-1{margin-left:-0.25rem}.xl\\:-mt-2{margin-top:-0.5rem}.xl\\:-mr-2{margin-right:-0.5rem}.xl\\:-mb-2{margin-bottom:-0.5rem}.xl\\:-ml-2{margin-left:-0.5rem}.xl\\:-mt-3{margin-top:-0.75rem}.xl\\:-mr-3{margin-right:-0.75rem}.xl\\:-mb-3{margin-bottom:-0.75rem}.xl\\:-ml-3{margin-left:-0.75rem}.xl\\:-mt-4{margin-top:-1rem}.xl\\:-mr-4{margin-right:-1rem}.xl\\:-mb-4{margin-bottom:-1rem}.xl\\:-ml-4{margin-left:-1rem}.xl\\:-mt-5{margin-top:-1.25rem}.xl\\:-mr-5{margin-right:-1.25rem}.xl\\:-mb-5{margin-bottom:-1.25rem}.xl\\:-ml-5{margin-left:-1.25rem}.xl\\:-mt-6{margin-top:-1.5rem}.xl\\:-mr-6{margin-right:-1.5rem}.xl\\:-mb-6{margin-bottom:-1.5rem}.xl\\:-ml-6{margin-left:-1.5rem}.xl\\:-mt-8{margin-top:-2rem}.xl\\:-mr-8{margin-right:-2rem}.xl\\:-mb-8{margin-bottom:-2rem}.xl\\:-ml-8{margin-left:-2rem}.xl\\:-mt-10{margin-top:-2.5rem}.xl\\:-mr-10{margin-right:-2.5rem}.xl\\:-mb-10{margin-bottom:-2.5rem}.xl\\:-ml-10{margin-left:-2.5rem}.xl\\:-mt-12{margin-top:-3rem}.xl\\:-mr-12{margin-right:-3rem}.xl\\:-mb-12{margin-bottom:-3rem}.xl\\:-ml-12{margin-left:-3rem}.xl\\:-mt-16{margin-top:-4rem}.xl\\:-mr-16{margin-right:-4rem}.xl\\:-mb-16{margin-bottom:-4rem}.xl\\:-ml-16{margin-left:-4rem}.xl\\:-mt-20{margin-top:-5rem}.xl\\:-mr-20{margin-right:-5rem}.xl\\:-mb-20{margin-bottom:-5rem}.xl\\:-ml-20{margin-left:-5rem}.xl\\:-mt-24{margin-top:-6rem}.xl\\:-mr-24{margin-right:-6rem}.xl\\:-mb-24{margin-bottom:-6rem}.xl\\:-ml-24{margin-left:-6rem}.xl\\:-mt-32{margin-top:-8rem}.xl\\:-mr-32{margin-right:-8rem}.xl\\:-mb-32{margin-bottom:-8rem}.xl\\:-ml-32{margin-left:-8rem}.xl\\:-mt-40{margin-top:-10rem}.xl\\:-mr-40{margin-right:-10rem}.xl\\:-mb-40{margin-bottom:-10rem}.xl\\:-ml-40{margin-left:-10rem}.xl\\:-mt-48{margin-top:-12rem}.xl\\:-mr-48{margin-right:-12rem}.xl\\:-mb-48{margin-bottom:-12rem}.xl\\:-ml-48{margin-left:-12rem}.xl\\:-mt-56{margin-top:-14rem}.xl\\:-mr-56{margin-right:-14rem}.xl\\:-mb-56{margin-bottom:-14rem}.xl\\:-ml-56{margin-left:-14rem}.xl\\:-mt-64{margin-top:-16rem}.xl\\:-mr-64{margin-right:-16rem}.xl\\:-mb-64{margin-bottom:-16rem}.xl\\:-ml-64{margin-left:-16rem}.xl\\:-mt-px{margin-top:-1px}.xl\\:-mr-px{margin-right:-1px}.xl\\:-mb-px{margin-bottom:-1px}.xl\\:-ml-px{margin-left:-1px}.xl\\:max-h-full{max-height:100%}.xl\\:max-h-screen{max-height:100vh}.xl\\:max-w-none{max-width:none}.xl\\:max-w-xs{max-width:20rem}.xl\\:max-w-sm{max-width:24rem}.xl\\:max-w-md{max-width:28rem}.xl\\:max-w-lg{max-width:32rem}.xl\\:max-w-xl{max-width:36rem}.xl\\:max-w-2xl{max-width:42rem}.xl\\:max-w-3xl{max-width:48rem}.xl\\:max-w-4xl{max-width:56rem}.xl\\:max-w-5xl{max-width:64rem}.xl\\:max-w-6xl{max-width:72rem}.xl\\:max-w-full{max-width:100%}.xl\\:max-w-screen-sm{max-width:640px}.xl\\:max-w-screen-md{max-width:768px}.xl\\:max-w-screen-lg{max-width:1024px}.xl\\:max-w-screen-xl{max-width:1280px}.xl\\:min-h-0{min-height:0}.xl\\:min-h-full{min-height:100%}.xl\\:min-h-screen{min-height:100vh}.xl\\:min-w-0{min-width:0}.xl\\:min-w-full{min-width:100%}.xl\\:object-contain{-o-object-fit:contain;object-fit:contain}.xl\\:object-cover{-o-object-fit:cover;object-fit:cover}.xl\\:object-fill{-o-object-fit:fill;object-fit:fill}.xl\\:object-none{-o-object-fit:none;object-fit:none}.xl\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.xl\\:object-bottom{-o-object-position:bottom;object-position:bottom}.xl\\:object-center{-o-object-position:center;object-position:center}.xl\\:object-left{-o-object-position:left;object-position:left}.xl\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.xl\\:object-left-top{-o-object-position:left top;object-position:left top}.xl\\:object-right{-o-object-position:right;object-position:right}.xl\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.xl\\:object-right-top{-o-object-position:right top;object-position:right top}.xl\\:object-top{-o-object-position:top;object-position:top}.xl\\:opacity-0{opacity:0}.xl\\:opacity-25{opacity:0.25}.xl\\:opacity-50{opacity:0.5}.xl\\:opacity-75{opacity:0.75}.xl\\:opacity-100{opacity:1}.xl\\:hover\\:opacity-0:hover{opacity:0}.xl\\:hover\\:opacity-25:hover{opacity:0.25}.xl\\:hover\\:opacity-50:hover{opacity:0.5}.xl\\:hover\\:opacity-75:hover{opacity:0.75}.xl\\:hover\\:opacity-100:hover{opacity:1}.xl\\:focus\\:opacity-0:focus{opacity:0}.xl\\:focus\\:opacity-25:focus{opacity:0.25}.xl\\:focus\\:opacity-50:focus{opacity:0.5}.xl\\:focus\\:opacity-75:focus{opacity:0.75}.xl\\:focus\\:opacity-100:focus{opacity:1}.xl\\:outline-none{outline:0}.xl\\:focus\\:outline-none:focus{outline:0}.xl\\:overflow-auto{overflow:auto}.xl\\:overflow-hidden{overflow:hidden}.xl\\:overflow-visible{overflow:visible}.xl\\:overflow-scroll{overflow:scroll}.xl\\:overflow-x-auto{overflow-x:auto}.xl\\:overflow-y-auto{overflow-y:auto}.xl\\:overflow-x-hidden{overflow-x:hidden}.xl\\:overflow-y-hidden{overflow-y:hidden}.xl\\:overflow-x-visible{overflow-x:visible}.xl\\:overflow-y-visible{overflow-y:visible}.xl\\:overflow-x-scroll{overflow-x:scroll}.xl\\:overflow-y-scroll{overflow-y:scroll}.xl\\:scrolling-touch{-webkit-overflow-scrolling:touch}.xl\\:scrolling-auto{-webkit-overflow-scrolling:auto}.xl\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.xl\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.xl\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.xl\\:overscroll-y-auto{overscroll-behavior-y:auto}.xl\\:overscroll-y-contain{overscroll-behavior-y:contain}.xl\\:overscroll-y-none{overscroll-behavior-y:none}.xl\\:overscroll-x-auto{overscroll-behavior-x:auto}.xl\\:overscroll-x-contain{overscroll-behavior-x:contain}.xl\\:overscroll-x-none{overscroll-behavior-x:none}.xl\\:p-0{padding:0}.xl\\:p-1{padding:0.25rem}.xl\\:p-2{padding:0.5rem}.xl\\:p-3{padding:0.75rem}.xl\\:p-4{padding:1rem}.xl\\:p-5{padding:1.25rem}.xl\\:p-6{padding:1.5rem}.xl\\:p-8{padding:2rem}.xl\\:p-10{padding:2.5rem}.xl\\:p-12{padding:3rem}.xl\\:p-16{padding:4rem}.xl\\:p-20{padding:5rem}.xl\\:p-24{padding:6rem}.xl\\:p-32{padding:8rem}.xl\\:p-40{padding:10rem}.xl\\:p-48{padding:12rem}.xl\\:p-56{padding:14rem}.xl\\:p-64{padding:16rem}.xl\\:p-px{padding:1px}.xl\\:py-0{padding-top:0;padding-bottom:0}.xl\\:px-0{padding-left:0;padding-right:0}.xl\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.xl\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.xl\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.xl\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.xl\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.xl\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.xl\\:py-4{padding-top:1rem;padding-bottom:1rem}.xl\\:px-4{padding-left:1rem;padding-right:1rem}.xl\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.xl\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.xl\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.xl\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.xl\\:py-8{padding-top:2rem;padding-bottom:2rem}.xl\\:px-8{padding-left:2rem;padding-right:2rem}.xl\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.xl\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.xl\\:py-12{padding-top:3rem;padding-bottom:3rem}.xl\\:px-12{padding-left:3rem;padding-right:3rem}.xl\\:py-16{padding-top:4rem;padding-bottom:4rem}.xl\\:px-16{padding-left:4rem;padding-right:4rem}.xl\\:py-20{padding-top:5rem;padding-bottom:5rem}.xl\\:px-20{padding-left:5rem;padding-right:5rem}.xl\\:py-24{padding-top:6rem;padding-bottom:6rem}.xl\\:px-24{padding-left:6rem;padding-right:6rem}.xl\\:py-32{padding-top:8rem;padding-bottom:8rem}.xl\\:px-32{padding-left:8rem;padding-right:8rem}.xl\\:py-40{padding-top:10rem;padding-bottom:10rem}.xl\\:px-40{padding-left:10rem;padding-right:10rem}.xl\\:py-48{padding-top:12rem;padding-bottom:12rem}.xl\\:px-48{padding-left:12rem;padding-right:12rem}.xl\\:py-56{padding-top:14rem;padding-bottom:14rem}.xl\\:px-56{padding-left:14rem;padding-right:14rem}.xl\\:py-64{padding-top:16rem;padding-bottom:16rem}.xl\\:px-64{padding-left:16rem;padding-right:16rem}.xl\\:py-px{padding-top:1px;padding-bottom:1px}.xl\\:px-px{padding-left:1px;padding-right:1px}.xl\\:pt-0{padding-top:0}.xl\\:pr-0{padding-right:0}.xl\\:pb-0{padding-bottom:0}.xl\\:pl-0{padding-left:0}.xl\\:pt-1{padding-top:0.25rem}.xl\\:pr-1{padding-right:0.25rem}.xl\\:pb-1{padding-bottom:0.25rem}.xl\\:pl-1{padding-left:0.25rem}.xl\\:pt-2{padding-top:0.5rem}.xl\\:pr-2{padding-right:0.5rem}.xl\\:pb-2{padding-bottom:0.5rem}.xl\\:pl-2{padding-left:0.5rem}.xl\\:pt-3{padding-top:0.75rem}.xl\\:pr-3{padding-right:0.75rem}.xl\\:pb-3{padding-bottom:0.75rem}.xl\\:pl-3{padding-left:0.75rem}.xl\\:pt-4{padding-top:1rem}.xl\\:pr-4{padding-right:1rem}.xl\\:pb-4{padding-bottom:1rem}.xl\\:pl-4{padding-left:1rem}.xl\\:pt-5{padding-top:1.25rem}.xl\\:pr-5{padding-right:1.25rem}.xl\\:pb-5{padding-bottom:1.25rem}.xl\\:pl-5{padding-left:1.25rem}.xl\\:pt-6{padding-top:1.5rem}.xl\\:pr-6{padding-right:1.5rem}.xl\\:pb-6{padding-bottom:1.5rem}.xl\\:pl-6{padding-left:1.5rem}.xl\\:pt-8{padding-top:2rem}.xl\\:pr-8{padding-right:2rem}.xl\\:pb-8{padding-bottom:2rem}.xl\\:pl-8{padding-left:2rem}.xl\\:pt-10{padding-top:2.5rem}.xl\\:pr-10{padding-right:2.5rem}.xl\\:pb-10{padding-bottom:2.5rem}.xl\\:pl-10{padding-left:2.5rem}.xl\\:pt-12{padding-top:3rem}.xl\\:pr-12{padding-right:3rem}.xl\\:pb-12{padding-bottom:3rem}.xl\\:pl-12{padding-left:3rem}.xl\\:pt-16{padding-top:4rem}.xl\\:pr-16{padding-right:4rem}.xl\\:pb-16{padding-bottom:4rem}.xl\\:pl-16{padding-left:4rem}.xl\\:pt-20{padding-top:5rem}.xl\\:pr-20{padding-right:5rem}.xl\\:pb-20{padding-bottom:5rem}.xl\\:pl-20{padding-left:5rem}.xl\\:pt-24{padding-top:6rem}.xl\\:pr-24{padding-right:6rem}.xl\\:pb-24{padding-bottom:6rem}.xl\\:pl-24{padding-left:6rem}.xl\\:pt-32{padding-top:8rem}.xl\\:pr-32{padding-right:8rem}.xl\\:pb-32{padding-bottom:8rem}.xl\\:pl-32{padding-left:8rem}.xl\\:pt-40{padding-top:10rem}.xl\\:pr-40{padding-right:10rem}.xl\\:pb-40{padding-bottom:10rem}.xl\\:pl-40{padding-left:10rem}.xl\\:pt-48{padding-top:12rem}.xl\\:pr-48{padding-right:12rem}.xl\\:pb-48{padding-bottom:12rem}.xl\\:pl-48{padding-left:12rem}.xl\\:pt-56{padding-top:14rem}.xl\\:pr-56{padding-right:14rem}.xl\\:pb-56{padding-bottom:14rem}.xl\\:pl-56{padding-left:14rem}.xl\\:pt-64{padding-top:16rem}.xl\\:pr-64{padding-right:16rem}.xl\\:pb-64{padding-bottom:16rem}.xl\\:pl-64{padding-left:16rem}.xl\\:pt-px{padding-top:1px}.xl\\:pr-px{padding-right:1px}.xl\\:pb-px{padding-bottom:1px}.xl\\:pl-px{padding-left:1px}.xl\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.xl\\:placeholder-transparent::-moz-placeholder{color:transparent}.xl\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.xl\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.xl\\:placeholder-transparent::placeholder{color:transparent}.xl\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.xl\\:placeholder-current::-moz-placeholder{color:currentColor}.xl\\:placeholder-current:-ms-input-placeholder{color:currentColor}.xl\\:placeholder-current::-ms-input-placeholder{color:currentColor}.xl\\:placeholder-current::placeholder{color:currentColor}.xl\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.xl\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.xl\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.xl\\:pointer-events-none{pointer-events:none}.xl\\:pointer-events-auto{pointer-events:auto}.xl\\:static{position:static}.xl\\:fixed{position:fixed}.xl\\:absolute{position:absolute}.xl\\:relative{position:relative}.xl\\:sticky{position:-webkit-sticky;position:sticky}.xl\\:inset-0{top:0;right:0;bottom:0;left:0}.xl\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.xl\\:inset-y-0{top:0;bottom:0}.xl\\:inset-x-0{right:0;left:0}.xl\\:inset-y-auto{top:auto;bottom:auto}.xl\\:inset-x-auto{right:auto;left:auto}.xl\\:top-0{top:0}.xl\\:right-0{right:0}.xl\\:bottom-0{bottom:0}.xl\\:left-0{left:0}.xl\\:top-auto{top:auto}.xl\\:right-auto{right:auto}.xl\\:bottom-auto{bottom:auto}.xl\\:left-auto{left:auto}.xl\\:resize-none{resize:none}.xl\\:resize-y{resize:vertical}.xl\\:resize-x{resize:horizontal}.xl\\:resize{resize:both}.xl\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.xl\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.xl\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.xl\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.xl\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.xl\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.xl\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.xl\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.xl\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.xl\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.xl\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.xl\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.xl\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.xl\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.xl\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.xl\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.xl\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.xl\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.xl\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.xl\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.xl\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.xl\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.xl\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.xl\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.xl\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.xl\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.xl\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.xl\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.xl\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.xl\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.xl\\:fill-current{fill:currentColor}.xl\\:stroke-current{stroke:currentColor}.xl\\:stroke-0{stroke-width:0}.xl\\:stroke-1{stroke-width:1}.xl\\:stroke-2{stroke-width:2}.xl\\:table-auto{table-layout:auto}.xl\\:table-fixed{table-layout:fixed}.xl\\:text-left{text-align:left}.xl\\:text-center{text-align:center}.xl\\:text-right{text-align:right}.xl\\:text-justify{text-align:justify}.xl\\:text-transparent{color:transparent}.xl\\:text-current{color:currentColor}.xl\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.xl\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.xl\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.xl\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.xl\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.xl\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.xl\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.xl\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.xl\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.xl\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.xl\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.xl\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.xl\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.xl\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.xl\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.xl\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.xl\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.xl\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.xl\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.xl\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.xl\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.xl\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.xl\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.xl\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.xl\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.xl\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.xl\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.xl\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.xl\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.xl\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.xl\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.xl\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.xl\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.xl\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.xl\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.xl\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.xl\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.xl\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.xl\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.xl\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.xl\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.xl\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.xl\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.xl\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.xl\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.xl\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.xl\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.xl\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.xl\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.xl\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.xl\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.xl\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.xl\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.xl\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.xl\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.xl\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.xl\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.xl\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.xl\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.xl\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.xl\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.xl\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.xl\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.xl\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.xl\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.xl\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.xl\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.xl\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.xl\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.xl\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.xl\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.xl\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.xl\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.xl\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.xl\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.xl\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.xl\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.xl\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.xl\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.xl\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.xl\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.xl\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.xl\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.xl\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.xl\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.xl\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.xl\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.xl\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.xl\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.xl\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.xl\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.xl\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.xl\\:hover\\:text-transparent:hover{color:transparent}.xl\\:hover\\:text-current:hover{color:currentColor}.xl\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.xl\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.xl\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.xl\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.xl\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.xl\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.xl\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.xl\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.xl\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.xl\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.xl\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.xl\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.xl\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.xl\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.xl\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.xl\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.xl\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.xl\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.xl\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.xl\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.xl\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.xl\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.xl\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.xl\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.xl\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.xl\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.xl\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.xl\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.xl\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.xl\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.xl\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.xl\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.xl\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.xl\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.xl\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.xl\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.xl\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.xl\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.xl\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.xl\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.xl\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.xl\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.xl\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.xl\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.xl\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.xl\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.xl\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.xl\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.xl\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.xl\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.xl\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.xl\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.xl\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.xl\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.xl\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.xl\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.xl\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.xl\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.xl\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.xl\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.xl\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.xl\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.xl\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.xl\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.xl\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.xl\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.xl\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.xl\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.xl\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.xl\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.xl\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.xl\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.xl\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.xl\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.xl\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.xl\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.xl\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.xl\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.xl\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.xl\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.xl\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.xl\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.xl\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.xl\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.xl\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.xl\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.xl\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.xl\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.xl\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.xl\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.xl\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.xl\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.xl\\:focus\\:text-transparent:focus{color:transparent}.xl\\:focus\\:text-current:focus{color:currentColor}.xl\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.xl\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.xl\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.xl\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.xl\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.xl\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.xl\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.xl\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.xl\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.xl\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.xl\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.xl\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.xl\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.xl\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.xl\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.xl\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.xl\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.xl\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.xl\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.xl\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.xl\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.xl\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.xl\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.xl\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.xl\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.xl\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.xl\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.xl\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.xl\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.xl\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.xl\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.xl\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.xl\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.xl\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.xl\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.xl\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.xl\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.xl\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.xl\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.xl\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.xl\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.xl\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.xl\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.xl\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.xl\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.xl\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.xl\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.xl\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.xl\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.xl\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.xl\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.xl\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.xl\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.xl\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.xl\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.xl\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.xl\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.xl\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.xl\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.xl\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.xl\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.xl\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.xl\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.xl\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.xl\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.xl\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.xl\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.xl\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.xl\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.xl\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.xl\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.xl\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.xl\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.xl\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.xl\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.xl\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.xl\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.xl\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.xl\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.xl\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.xl\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.xl\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.xl\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.xl\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.xl\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.xl\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.xl\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.xl\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.xl\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.xl\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.xl\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.xl\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.xl\\:text-opacity-0{--text-opacity:0}.xl\\:text-opacity-25{--text-opacity:0.25}.xl\\:text-opacity-50{--text-opacity:0.5}.xl\\:text-opacity-75{--text-opacity:0.75}.xl\\:text-opacity-100{--text-opacity:1}.xl\\:hover\\:text-opacity-0:hover{--text-opacity:0}.xl\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.xl\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.xl\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.xl\\:hover\\:text-opacity-100:hover{--text-opacity:1}.xl\\:focus\\:text-opacity-0:focus{--text-opacity:0}.xl\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.xl\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.xl\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.xl\\:focus\\:text-opacity-100:focus{--text-opacity:1}.xl\\:italic{font-style:italic}.xl\\:not-italic{font-style:normal}.xl\\:uppercase{text-transform:uppercase}.xl\\:lowercase{text-transform:lowercase}.xl\\:capitalize{text-transform:capitalize}.xl\\:normal-case{text-transform:none}.xl\\:underline{text-decoration:underline}.xl\\:line-through{text-decoration:line-through}.xl\\:no-underline{text-decoration:none}.xl\\:hover\\:underline:hover{text-decoration:underline}.xl\\:hover\\:line-through:hover{text-decoration:line-through}.xl\\:hover\\:no-underline:hover{text-decoration:none}.xl\\:focus\\:underline:focus{text-decoration:underline}.xl\\:focus\\:line-through:focus{text-decoration:line-through}.xl\\:focus\\:no-underline:focus{text-decoration:none}.xl\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.xl\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.xl\\:ordinal,.xl\\:slashed-zero,.xl\\:lining-nums,.xl\\:oldstyle-nums,.xl\\:proportional-nums,.xl\\:tabular-nums,.xl\\:diagonal-fractions,.xl\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.xl\\:normal-nums{font-variant-numeric:normal}.xl\\:ordinal{--font-variant-numeric-ordinal:ordinal}.xl\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.xl\\:lining-nums{--font-variant-numeric-figure:lining-nums}.xl\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.xl\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.xl\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.xl\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.xl\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.xl\\:tracking-tighter{letter-spacing:-0.05em}.xl\\:tracking-tight{letter-spacing:-0.025em}.xl\\:tracking-normal{letter-spacing:0}.xl\\:tracking-wide{letter-spacing:0.025em}.xl\\:tracking-wider{letter-spacing:0.05em}.xl\\:tracking-widest{letter-spacing:0.1em}.xl\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.xl\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.xl\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.xl\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.xl\\:align-baseline{vertical-align:baseline}.xl\\:align-top{vertical-align:top}.xl\\:align-middle{vertical-align:middle}.xl\\:align-bottom{vertical-align:bottom}.xl\\:align-text-top{vertical-align:text-top}.xl\\:align-text-bottom{vertical-align:text-bottom}.xl\\:visible{visibility:visible}.xl\\:invisible{visibility:hidden}.xl\\:whitespace-normal{white-space:normal}.xl\\:whitespace-no-wrap{white-space:nowrap}.xl\\:whitespace-pre{white-space:pre}.xl\\:whitespace-pre-line{white-space:pre-line}.xl\\:whitespace-pre-wrap{white-space:pre-wrap}.xl\\:break-normal{overflow-wrap:normal;word-break:normal}.xl\\:break-words{overflow-wrap:break-word}.xl\\:break-all{word-break:break-all}.xl\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.xl\\:w-0{width:0}.xl\\:w-1{width:0.25rem}.xl\\:w-2{width:0.5rem}.xl\\:w-3{width:0.75rem}.xl\\:w-4{width:1rem}.xl\\:w-5{width:1.25rem}.xl\\:w-6{width:1.5rem}.xl\\:w-8{width:2rem}.xl\\:w-10{width:2.5rem}.xl\\:w-12{width:3rem}.xl\\:w-16{width:4rem}.xl\\:w-20{width:5rem}.xl\\:w-24{width:6rem}.xl\\:w-32{width:8rem}.xl\\:w-40{width:10rem}.xl\\:w-48{width:12rem}.xl\\:w-56{width:14rem}.xl\\:w-64{width:16rem}.xl\\:w-auto{width:auto}.xl\\:w-px{width:1px}.xl\\:w-1\\/2{width:50%}.xl\\:w-1\\/3{width:33.333333%}.xl\\:w-2\\/3{width:66.666667%}.xl\\:w-1\\/4{width:25%}.xl\\:w-2\\/4{width:50%}.xl\\:w-3\\/4{width:75%}.xl\\:w-1\\/5{width:20%}.xl\\:w-2\\/5{width:40%}.xl\\:w-3\\/5{width:60%}.xl\\:w-4\\/5{width:80%}.xl\\:w-1\\/6{width:16.666667%}.xl\\:w-2\\/6{width:33.333333%}.xl\\:w-3\\/6{width:50%}.xl\\:w-4\\/6{width:66.666667%}.xl\\:w-5\\/6{width:83.333333%}.xl\\:w-1\\/12{width:8.333333%}.xl\\:w-2\\/12{width:16.666667%}.xl\\:w-3\\/12{width:25%}.xl\\:w-4\\/12{width:33.333333%}.xl\\:w-5\\/12{width:41.666667%}.xl\\:w-6\\/12{width:50%}.xl\\:w-7\\/12{width:58.333333%}.xl\\:w-8\\/12{width:66.666667%}.xl\\:w-9\\/12{width:75%}.xl\\:w-10\\/12{width:83.333333%}.xl\\:w-11\\/12{width:91.666667%}.xl\\:w-full{width:100%}.xl\\:w-screen{width:100vw}.xl\\:z-0{z-index:0}.xl\\:z-10{z-index:10}.xl\\:z-20{z-index:20}.xl\\:z-30{z-index:30}.xl\\:z-40{z-index:40}.xl\\:z-50{z-index:50}.xl\\:z-auto{z-index:auto}.xl\\:gap-0{grid-gap:0;gap:0}.xl\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.xl\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.xl\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.xl\\:gap-4{grid-gap:1rem;gap:1rem}.xl\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.xl\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.xl\\:gap-8{grid-gap:2rem;gap:2rem}.xl\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.xl\\:gap-12{grid-gap:3rem;gap:3rem}.xl\\:gap-16{grid-gap:4rem;gap:4rem}.xl\\:gap-20{grid-gap:5rem;gap:5rem}.xl\\:gap-24{grid-gap:6rem;gap:6rem}.xl\\:gap-32{grid-gap:8rem;gap:8rem}.xl\\:gap-40{grid-gap:10rem;gap:10rem}.xl\\:gap-48{grid-gap:12rem;gap:12rem}.xl\\:gap-56{grid-gap:14rem;gap:14rem}.xl\\:gap-64{grid-gap:16rem;gap:16rem}.xl\\:gap-px{grid-gap:1px;gap:1px}.xl\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.xl\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.xl\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.xl\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.xl\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.xl\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.xl\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.xl\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.xl\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.xl\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.xl\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.xl\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.xl\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.xl\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.xl\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.xl\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.xl\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.xl\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.xl\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.xl\\:gap-y-0{grid-row-gap:0;row-gap:0}.xl\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.xl\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.xl\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.xl\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.xl\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.xl\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.xl\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.xl\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.xl\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.xl\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.xl\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.xl\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.xl\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.xl\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.xl\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.xl\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.xl\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.xl\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.xl\\:grid-flow-row{grid-auto-flow:row}.xl\\:grid-flow-col{grid-auto-flow:column}.xl\\:grid-flow-row-dense{grid-auto-flow:row dense}.xl\\:grid-flow-col-dense{grid-auto-flow:column dense}.xl\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.xl\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.xl\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.xl\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.xl\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.xl\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.xl\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.xl\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.xl\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.xl\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.xl\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.xl\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.xl\\:grid-cols-none{grid-template-columns:none}.xl\\:col-auto{grid-column:auto}.xl\\:col-span-1{grid-column:span 1 / span 1}.xl\\:col-span-2{grid-column:span 2 / span 2}.xl\\:col-span-3{grid-column:span 3 / span 3}.xl\\:col-span-4{grid-column:span 4 / span 4}.xl\\:col-span-5{grid-column:span 5 / span 5}.xl\\:col-span-6{grid-column:span 6 / span 6}.xl\\:col-span-7{grid-column:span 7 / span 7}.xl\\:col-span-8{grid-column:span 8 / span 8}.xl\\:col-span-9{grid-column:span 9 / span 9}.xl\\:col-span-10{grid-column:span 10 / span 10}.xl\\:col-span-11{grid-column:span 11 / span 11}.xl\\:col-span-12{grid-column:span 12 / span 12}.xl\\:col-start-1{grid-column-start:1}.xl\\:col-start-2{grid-column-start:2}.xl\\:col-start-3{grid-column-start:3}.xl\\:col-start-4{grid-column-start:4}.xl\\:col-start-5{grid-column-start:5}.xl\\:col-start-6{grid-column-start:6}.xl\\:col-start-7{grid-column-start:7}.xl\\:col-start-8{grid-column-start:8}.xl\\:col-start-9{grid-column-start:9}.xl\\:col-start-10{grid-column-start:10}.xl\\:col-start-11{grid-column-start:11}.xl\\:col-start-12{grid-column-start:12}.xl\\:col-start-13{grid-column-start:13}.xl\\:col-start-auto{grid-column-start:auto}.xl\\:col-end-1{grid-column-end:1}.xl\\:col-end-2{grid-column-end:2}.xl\\:col-end-3{grid-column-end:3}.xl\\:col-end-4{grid-column-end:4}.xl\\:col-end-5{grid-column-end:5}.xl\\:col-end-6{grid-column-end:6}.xl\\:col-end-7{grid-column-end:7}.xl\\:col-end-8{grid-column-end:8}.xl\\:col-end-9{grid-column-end:9}.xl\\:col-end-10{grid-column-end:10}.xl\\:col-end-11{grid-column-end:11}.xl\\:col-end-12{grid-column-end:12}.xl\\:col-end-13{grid-column-end:13}.xl\\:col-end-auto{grid-column-end:auto}.xl\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.xl\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.xl\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.xl\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.xl\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.xl\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.xl\\:grid-rows-none{grid-template-rows:none}.xl\\:row-auto{grid-row:auto}.xl\\:row-span-1{grid-row:span 1 / span 1}.xl\\:row-span-2{grid-row:span 2 / span 2}.xl\\:row-span-3{grid-row:span 3 / span 3}.xl\\:row-span-4{grid-row:span 4 / span 4}.xl\\:row-span-5{grid-row:span 5 / span 5}.xl\\:row-span-6{grid-row:span 6 / span 6}.xl\\:row-start-1{grid-row-start:1}.xl\\:row-start-2{grid-row-start:2}.xl\\:row-start-3{grid-row-start:3}.xl\\:row-start-4{grid-row-start:4}.xl\\:row-start-5{grid-row-start:5}.xl\\:row-start-6{grid-row-start:6}.xl\\:row-start-7{grid-row-start:7}.xl\\:row-start-auto{grid-row-start:auto}.xl\\:row-end-1{grid-row-end:1}.xl\\:row-end-2{grid-row-end:2}.xl\\:row-end-3{grid-row-end:3}.xl\\:row-end-4{grid-row-end:4}.xl\\:row-end-5{grid-row-end:5}.xl\\:row-end-6{grid-row-end:6}.xl\\:row-end-7{grid-row-end:7}.xl\\:row-end-auto{grid-row-end:auto}.xl\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.xl\\:transform-none{-webkit-transform:none;transform:none}.xl\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.xl\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.xl\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.xl\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.xl\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.xl\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.xl\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.xl\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.xl\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.xl\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.xl\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.xl\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.xl\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.xl\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.xl\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.xl\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.xl\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.xl\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.xl\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.xl\\:scale-x-0{--transform-scale-x:0}.xl\\:scale-x-50{--transform-scale-x:.5}.xl\\:scale-x-75{--transform-scale-x:.75}.xl\\:scale-x-90{--transform-scale-x:.9}.xl\\:scale-x-95{--transform-scale-x:.95}.xl\\:scale-x-100{--transform-scale-x:1}.xl\\:scale-x-105{--transform-scale-x:1.05}.xl\\:scale-x-110{--transform-scale-x:1.1}.xl\\:scale-x-125{--transform-scale-x:1.25}.xl\\:scale-x-150{--transform-scale-x:1.5}.xl\\:scale-y-0{--transform-scale-y:0}.xl\\:scale-y-50{--transform-scale-y:.5}.xl\\:scale-y-75{--transform-scale-y:.75}.xl\\:scale-y-90{--transform-scale-y:.9}.xl\\:scale-y-95{--transform-scale-y:.95}.xl\\:scale-y-100{--transform-scale-y:1}.xl\\:scale-y-105{--transform-scale-y:1.05}.xl\\:scale-y-110{--transform-scale-y:1.1}.xl\\:scale-y-125{--transform-scale-y:1.25}.xl\\:scale-y-150{--transform-scale-y:1.5}.xl\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.xl\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.xl\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.xl\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.xl\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.xl\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.xl\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.xl\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.xl\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.xl\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.xl\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.xl\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.xl\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.xl\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.xl\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.xl\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.xl\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.xl\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.xl\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.xl\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.xl\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.xl\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.xl\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.xl\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.xl\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.xl\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.xl\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.xl\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.xl\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.xl\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.xl\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.xl\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.xl\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.xl\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.xl\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.xl\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.xl\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.xl\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.xl\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.xl\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.xl\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.xl\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.xl\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.xl\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.xl\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.xl\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.xl\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.xl\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.xl\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.xl\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.xl\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.xl\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.xl\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.xl\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.xl\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.xl\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.xl\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.xl\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.xl\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.xl\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.xl\\:rotate-0{--transform-rotate:0}.xl\\:rotate-45{--transform-rotate:45deg}.xl\\:rotate-90{--transform-rotate:90deg}.xl\\:rotate-180{--transform-rotate:180deg}.xl\\:-rotate-180{--transform-rotate:-180deg}.xl\\:-rotate-90{--transform-rotate:-90deg}.xl\\:-rotate-45{--transform-rotate:-45deg}.xl\\:hover\\:rotate-0:hover{--transform-rotate:0}.xl\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.xl\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.xl\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.xl\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.xl\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.xl\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.xl\\:focus\\:rotate-0:focus{--transform-rotate:0}.xl\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.xl\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.xl\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.xl\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.xl\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.xl\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.xl\\:translate-x-0{--transform-translate-x:0}.xl\\:translate-x-1{--transform-translate-x:0.25rem}.xl\\:translate-x-2{--transform-translate-x:0.5rem}.xl\\:translate-x-3{--transform-translate-x:0.75rem}.xl\\:translate-x-4{--transform-translate-x:1rem}.xl\\:translate-x-5{--transform-translate-x:1.25rem}.xl\\:translate-x-6{--transform-translate-x:1.5rem}.xl\\:translate-x-8{--transform-translate-x:2rem}.xl\\:translate-x-10{--transform-translate-x:2.5rem}.xl\\:translate-x-12{--transform-translate-x:3rem}.xl\\:translate-x-16{--transform-translate-x:4rem}.xl\\:translate-x-20{--transform-translate-x:5rem}.xl\\:translate-x-24{--transform-translate-x:6rem}.xl\\:translate-x-32{--transform-translate-x:8rem}.xl\\:translate-x-40{--transform-translate-x:10rem}.xl\\:translate-x-48{--transform-translate-x:12rem}.xl\\:translate-x-56{--transform-translate-x:14rem}.xl\\:translate-x-64{--transform-translate-x:16rem}.xl\\:translate-x-px{--transform-translate-x:1px}.xl\\:-translate-x-1{--transform-translate-x:-0.25rem}.xl\\:-translate-x-2{--transform-translate-x:-0.5rem}.xl\\:-translate-x-3{--transform-translate-x:-0.75rem}.xl\\:-translate-x-4{--transform-translate-x:-1rem}.xl\\:-translate-x-5{--transform-translate-x:-1.25rem}.xl\\:-translate-x-6{--transform-translate-x:-1.5rem}.xl\\:-translate-x-8{--transform-translate-x:-2rem}.xl\\:-translate-x-10{--transform-translate-x:-2.5rem}.xl\\:-translate-x-12{--transform-translate-x:-3rem}.xl\\:-translate-x-16{--transform-translate-x:-4rem}.xl\\:-translate-x-20{--transform-translate-x:-5rem}.xl\\:-translate-x-24{--transform-translate-x:-6rem}.xl\\:-translate-x-32{--transform-translate-x:-8rem}.xl\\:-translate-x-40{--transform-translate-x:-10rem}.xl\\:-translate-x-48{--transform-translate-x:-12rem}.xl\\:-translate-x-56{--transform-translate-x:-14rem}.xl\\:-translate-x-64{--transform-translate-x:-16rem}.xl\\:-translate-x-px{--transform-translate-x:-1px}.xl\\:-translate-x-full{--transform-translate-x:-100%}.xl\\:-translate-x-1\\/2{--transform-translate-x:-50%}.xl\\:translate-x-1\\/2{--transform-translate-x:50%}.xl\\:translate-x-full{--transform-translate-x:100%}.xl\\:translate-y-0{--transform-translate-y:0}.xl\\:translate-y-1{--transform-translate-y:0.25rem}.xl\\:translate-y-2{--transform-translate-y:0.5rem}.xl\\:translate-y-3{--transform-translate-y:0.75rem}.xl\\:translate-y-4{--transform-translate-y:1rem}.xl\\:translate-y-5{--transform-translate-y:1.25rem}.xl\\:translate-y-6{--transform-translate-y:1.5rem}.xl\\:translate-y-8{--transform-translate-y:2rem}.xl\\:translate-y-10{--transform-translate-y:2.5rem}.xl\\:translate-y-12{--transform-translate-y:3rem}.xl\\:translate-y-16{--transform-translate-y:4rem}.xl\\:translate-y-20{--transform-translate-y:5rem}.xl\\:translate-y-24{--transform-translate-y:6rem}.xl\\:translate-y-32{--transform-translate-y:8rem}.xl\\:translate-y-40{--transform-translate-y:10rem}.xl\\:translate-y-48{--transform-translate-y:12rem}.xl\\:translate-y-56{--transform-translate-y:14rem}.xl\\:translate-y-64{--transform-translate-y:16rem}.xl\\:translate-y-px{--transform-translate-y:1px}.xl\\:-translate-y-1{--transform-translate-y:-0.25rem}.xl\\:-translate-y-2{--transform-translate-y:-0.5rem}.xl\\:-translate-y-3{--transform-translate-y:-0.75rem}.xl\\:-translate-y-4{--transform-translate-y:-1rem}.xl\\:-translate-y-5{--transform-translate-y:-1.25rem}.xl\\:-translate-y-6{--transform-translate-y:-1.5rem}.xl\\:-translate-y-8{--transform-translate-y:-2rem}.xl\\:-translate-y-10{--transform-translate-y:-2.5rem}.xl\\:-translate-y-12{--transform-translate-y:-3rem}.xl\\:-translate-y-16{--transform-translate-y:-4rem}.xl\\:-translate-y-20{--transform-translate-y:-5rem}.xl\\:-translate-y-24{--transform-translate-y:-6rem}.xl\\:-translate-y-32{--transform-translate-y:-8rem}.xl\\:-translate-y-40{--transform-translate-y:-10rem}.xl\\:-translate-y-48{--transform-translate-y:-12rem}.xl\\:-translate-y-56{--transform-translate-y:-14rem}.xl\\:-translate-y-64{--transform-translate-y:-16rem}.xl\\:-translate-y-px{--transform-translate-y:-1px}.xl\\:-translate-y-full{--transform-translate-y:-100%}.xl\\:-translate-y-1\\/2{--transform-translate-y:-50%}.xl\\:translate-y-1\\/2{--transform-translate-y:50%}.xl\\:translate-y-full{--transform-translate-y:100%}.xl\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.xl\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.xl\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.xl\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.xl\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.xl\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.xl\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.xl\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.xl\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.xl\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.xl\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.xl\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.xl\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.xl\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.xl\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.xl\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.xl\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.xl\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.xl\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.xl\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.xl\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.xl\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.xl\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.xl\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.xl\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.xl\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.xl\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.xl\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.xl\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.xl\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.xl\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.xl\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.xl\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.xl\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.xl\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.xl\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.xl\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.xl\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.xl\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.xl\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.xl\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.xl\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.xl\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.xl\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.xl\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.xl\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.xl\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.xl\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.xl\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.xl\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.xl\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.xl\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.xl\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.xl\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.xl\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.xl\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.xl\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.xl\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.xl\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.xl\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.xl\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.xl\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.xl\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.xl\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.xl\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.xl\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.xl\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.xl\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.xl\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.xl\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.xl\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.xl\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.xl\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.xl\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.xl\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.xl\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.xl\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.xl\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.xl\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.xl\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.xl\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.xl\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.xl\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.xl\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.xl\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.xl\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.xl\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.xl\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.xl\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.xl\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.xl\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.xl\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.xl\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.xl\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.xl\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.xl\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.xl\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.xl\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.xl\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.xl\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.xl\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.xl\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.xl\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.xl\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.xl\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.xl\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.xl\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.xl\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.xl\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.xl\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.xl\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.xl\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.xl\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.xl\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.xl\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.xl\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.xl\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.xl\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.xl\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.xl\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.xl\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.xl\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.xl\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.xl\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.xl\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.xl\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.xl\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.xl\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.xl\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.xl\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.xl\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.xl\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.xl\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.xl\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.xl\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.xl\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.xl\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.xl\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.xl\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.xl\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.xl\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.xl\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.xl\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.xl\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.xl\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.xl\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.xl\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.xl\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.xl\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.xl\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.xl\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.xl\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.xl\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.xl\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.xl\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.xl\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.xl\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.xl\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.xl\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.xl\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.xl\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.xl\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.xl\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.xl\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.xl\\:skew-x-0{--transform-skew-x:0}.xl\\:skew-x-3{--transform-skew-x:3deg}.xl\\:skew-x-6{--transform-skew-x:6deg}.xl\\:skew-x-12{--transform-skew-x:12deg}.xl\\:-skew-x-12{--transform-skew-x:-12deg}.xl\\:-skew-x-6{--transform-skew-x:-6deg}.xl\\:-skew-x-3{--transform-skew-x:-3deg}.xl\\:skew-y-0{--transform-skew-y:0}.xl\\:skew-y-3{--transform-skew-y:3deg}.xl\\:skew-y-6{--transform-skew-y:6deg}.xl\\:skew-y-12{--transform-skew-y:12deg}.xl\\:-skew-y-12{--transform-skew-y:-12deg}.xl\\:-skew-y-6{--transform-skew-y:-6deg}.xl\\:-skew-y-3{--transform-skew-y:-3deg}.xl\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.xl\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.xl\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.xl\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.xl\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.xl\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.xl\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.xl\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.xl\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.xl\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.xl\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.xl\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.xl\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.xl\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.xl\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.xl\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.xl\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.xl\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.xl\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.xl\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.xl\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.xl\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.xl\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.xl\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.xl\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.xl\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.xl\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.xl\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.xl\\:transition-none{-webkit-transition-property:none;transition-property:none}.xl\\:transition-all{-webkit-transition-property:all;transition-property:all}.xl\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.xl\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.xl\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.xl\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.xl\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.xl\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.xl\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.xl\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.xl\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.xl\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.xl\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.xl\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.xl\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.xl\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.xl\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.xl\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.xl\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.xl\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.xl\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.xl\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.xl\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.xl\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.xl\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.xl\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.xl\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.xl\\:animate-none{-webkit-animation:none;animation:none}.xl\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.xl\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.xl\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.xl\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}:host{display:inline-block}.bubble{width:60px;height:60px;background-color:var(--chat-head-bg-color, #176dfa);color:#fff;border:1px solid var(--chat-head-bg-color, #176dfa)}.bubble:hover{background-color:#fff;color:var(--chat-head-bg-color, #176dfa)}@media only screen and (min-width: 640px){.chat-box-container{width:359px !important;height:505px !important}}";

const QuickomChat = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.domain = 'https://quickom-demo.web.app';
    this.backgroundColor = '#176DFA';
    this.chatAccount = null;
    this.chatWithAccount = null;
    this.isOpen = false;
    this.isOpenned = false;
  }
  toggleButton() {
    this.isOpen = !this.isOpen;
  }
  onVisible(ev) {
    this.isOpen = ev.detail;
  }
  render() {
    this.isOpenned = this.isOpenned || this.isOpen;
    return (h("div", { class: {
        'sm:absolute': this.isOpen,
        'absolute': !this.isOpen,
      }, style: {
        bottom: 'var(--widget-position-bottom, initial)',
        right: 'var(--widget-position-right, initial)',
        top: 'var(--widget-position-top, initial)',
        left: 'var(--widget-position-left, initial)',
      } }, h("div", { class: "relative", style: { '--chat-head-bg-color': this.backgroundColor } }, this.isOpenned ? h("div", { class: {
        'w-screen h-screen sm:w-auto sm:h-auto chat-box-container': true,
        'hidden': !this.isOpen,
      } }, h("quickom-chat-iframe", { domain: this.domain, chatAccount: this.chatAccount, chatWithAccount: this.chatWithAccount, onVisible: ev => this.onVisible(ev) })) : '', h("div", { class: { 'text-right': true, 'hidden sm:block mt-2': this.isOpen } }, h("button", { class: "bubble rounded-full inline-flex items-center text-white justify-center shadow focus:outline-none", onClick: () => this.toggleButton() }, h("svg", { width: "29", height: "29", viewBox: "0 0 29 29", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { "clip-path": "url(#speech-bubble-clip0)" }, h("path", { d: "M4.40347 26.8813H2.39927L3.81644 25.4641C4.58057 24.7 5.05774 23.7061 5.18602 22.628C1.91374 20.4805 0.285156 17.3696 0.285156 14.1082C0.285156 8.09135 5.81522 1.97681 14.4759 1.97681C23.651 1.97681 28.5709 7.60333 28.5709 13.5811C28.5709 19.5982 23.5991 25.221 14.4759 25.221C12.8778 25.221 11.2101 25.0076 9.72124 24.6162C8.31181 26.0618 6.40213 26.8813 4.40347 26.8813Z", fill: "currentColor" })), h("defs", null, h("clipPath", { id: "speech-bubble-clip0" }, h("rect", { width: "28.2857", height: "28.2857", fill: "currentColor", transform: "translate(0.285156 0.285645)" })))))))));
  }
  static get style() { return quickomChatCss; }
};

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

function getDefaultExportFromCjs (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

function createCommonjsModule(fn, basedir, module) {
	return module = {
	  path: basedir,
	  exports: {},
	  require: function (path, base) {
    return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
  }
	}, fn(module, module.exports), module.exports;
}

function getDefaultExportFromNamespaceIfPresent (n) {
	return n && Object.prototype.hasOwnProperty.call(n, 'default') ? n['default'] : n;
}

function getDefaultExportFromNamespaceIfNotNamed (n) {
	return n && Object.prototype.hasOwnProperty.call(n, 'default') && Object.keys(n).length === 1 ? n['default'] : n;
}

function commonjsRequire () {
	throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
}

var eventemitter3 = createCommonjsModule(function (module) {
'use strict';

var has = Object.prototype.hasOwnProperty
  , prefix = '~';

/**
 * Constructor to create a storage for our `EE` objects.
 * An `Events` instance is a plain object whose properties are event names.
 *
 * @constructor
 * @private
 */
function Events() {}

//
// We try to not inherit from `Object.prototype`. In some engines creating an
// instance in this way is faster than calling `Object.create(null)` directly.
// If `Object.create(null)` is not supported we prefix the event names with a
// character to make sure that the built-in object properties are not
// overridden or used as an attack vector.
//
if (Object.create) {
  Events.prototype = Object.create(null);

  //
  // This hack is needed because the `__proto__` property is still inherited in
  // some old browsers like Android 4, iPhone 5.1, Opera 11 and Safari 5.
  //
  if (!new Events().__proto__) prefix = false;
}

/**
 * Representation of a single event listener.
 *
 * @param {Function} fn The listener function.
 * @param {*} context The context to invoke the listener with.
 * @param {Boolean} [once=false] Specify if the listener is a one-time listener.
 * @constructor
 * @private
 */
function EE(fn, context, once) {
  this.fn = fn;
  this.context = context;
  this.once = once || false;
}

/**
 * Add a listener for a given event.
 *
 * @param {EventEmitter} emitter Reference to the `EventEmitter` instance.
 * @param {(String|Symbol)} event The event name.
 * @param {Function} fn The listener function.
 * @param {*} context The context to invoke the listener with.
 * @param {Boolean} once Specify if the listener is a one-time listener.
 * @returns {EventEmitter}
 * @private
 */
function addListener(emitter, event, fn, context, once) {
  if (typeof fn !== 'function') {
    throw new TypeError('The listener must be a function');
  }

  var listener = new EE(fn, context || emitter, once)
    , evt = prefix ? prefix + event : event;

  if (!emitter._events[evt]) emitter._events[evt] = listener, emitter._eventsCount++;
  else if (!emitter._events[evt].fn) emitter._events[evt].push(listener);
  else emitter._events[evt] = [emitter._events[evt], listener];

  return emitter;
}

/**
 * Clear event by name.
 *
 * @param {EventEmitter} emitter Reference to the `EventEmitter` instance.
 * @param {(String|Symbol)} evt The Event name.
 * @private
 */
function clearEvent(emitter, evt) {
  if (--emitter._eventsCount === 0) emitter._events = new Events();
  else delete emitter._events[evt];
}

/**
 * Minimal `EventEmitter` interface that is molded against the Node.js
 * `EventEmitter` interface.
 *
 * @constructor
 * @public
 */
function EventEmitter() {
  this._events = new Events();
  this._eventsCount = 0;
}

/**
 * Return an array listing the events for which the emitter has registered
 * listeners.
 *
 * @returns {Array}
 * @public
 */
EventEmitter.prototype.eventNames = function eventNames() {
  var names = []
    , events
    , name;

  if (this._eventsCount === 0) return names;

  for (name in (events = this._events)) {
    if (has.call(events, name)) names.push(prefix ? name.slice(1) : name);
  }

  if (Object.getOwnPropertySymbols) {
    return names.concat(Object.getOwnPropertySymbols(events));
  }

  return names;
};

/**
 * Return the listeners registered for a given event.
 *
 * @param {(String|Symbol)} event The event name.
 * @returns {Array} The registered listeners.
 * @public
 */
EventEmitter.prototype.listeners = function listeners(event) {
  var evt = prefix ? prefix + event : event
    , handlers = this._events[evt];

  if (!handlers) return [];
  if (handlers.fn) return [handlers.fn];

  for (var i = 0, l = handlers.length, ee = new Array(l); i < l; i++) {
    ee[i] = handlers[i].fn;
  }

  return ee;
};

/**
 * Return the number of listeners listening to a given event.
 *
 * @param {(String|Symbol)} event The event name.
 * @returns {Number} The number of listeners.
 * @public
 */
EventEmitter.prototype.listenerCount = function listenerCount(event) {
  var evt = prefix ? prefix + event : event
    , listeners = this._events[evt];

  if (!listeners) return 0;
  if (listeners.fn) return 1;
  return listeners.length;
};

/**
 * Calls each of the listeners registered for a given event.
 *
 * @param {(String|Symbol)} event The event name.
 * @returns {Boolean} `true` if the event had listeners, else `false`.
 * @public
 */
EventEmitter.prototype.emit = function emit(event, a1, a2, a3, a4, a5) {
  var evt = prefix ? prefix + event : event;

  if (!this._events[evt]) return false;

  var listeners = this._events[evt]
    , len = arguments.length
    , args
    , i;

  if (listeners.fn) {
    if (listeners.once) this.removeListener(event, listeners.fn, undefined, true);

    switch (len) {
      case 1: return listeners.fn.call(listeners.context), true;
      case 2: return listeners.fn.call(listeners.context, a1), true;
      case 3: return listeners.fn.call(listeners.context, a1, a2), true;
      case 4: return listeners.fn.call(listeners.context, a1, a2, a3), true;
      case 5: return listeners.fn.call(listeners.context, a1, a2, a3, a4), true;
      case 6: return listeners.fn.call(listeners.context, a1, a2, a3, a4, a5), true;
    }

    for (i = 1, args = new Array(len -1); i < len; i++) {
      args[i - 1] = arguments[i];
    }

    listeners.fn.apply(listeners.context, args);
  } else {
    var length = listeners.length
      , j;

    for (i = 0; i < length; i++) {
      if (listeners[i].once) this.removeListener(event, listeners[i].fn, undefined, true);

      switch (len) {
        case 1: listeners[i].fn.call(listeners[i].context); break;
        case 2: listeners[i].fn.call(listeners[i].context, a1); break;
        case 3: listeners[i].fn.call(listeners[i].context, a1, a2); break;
        case 4: listeners[i].fn.call(listeners[i].context, a1, a2, a3); break;
        default:
          if (!args) for (j = 1, args = new Array(len -1); j < len; j++) {
            args[j - 1] = arguments[j];
          }

          listeners[i].fn.apply(listeners[i].context, args);
      }
    }
  }

  return true;
};

/**
 * Add a listener for a given event.
 *
 * @param {(String|Symbol)} event The event name.
 * @param {Function} fn The listener function.
 * @param {*} [context=this] The context to invoke the listener with.
 * @returns {EventEmitter} `this`.
 * @public
 */
EventEmitter.prototype.on = function on(event, fn, context) {
  return addListener(this, event, fn, context, false);
};

/**
 * Add a one-time listener for a given event.
 *
 * @param {(String|Symbol)} event The event name.
 * @param {Function} fn The listener function.
 * @param {*} [context=this] The context to invoke the listener with.
 * @returns {EventEmitter} `this`.
 * @public
 */
EventEmitter.prototype.once = function once(event, fn, context) {
  return addListener(this, event, fn, context, true);
};

/**
 * Remove the listeners of a given event.
 *
 * @param {(String|Symbol)} event The event name.
 * @param {Function} fn Only remove the listeners that match this function.
 * @param {*} context Only remove the listeners that have this context.
 * @param {Boolean} once Only remove one-time listeners.
 * @returns {EventEmitter} `this`.
 * @public
 */
EventEmitter.prototype.removeListener = function removeListener(event, fn, context, once) {
  var evt = prefix ? prefix + event : event;

  if (!this._events[evt]) return this;
  if (!fn) {
    clearEvent(this, evt);
    return this;
  }

  var listeners = this._events[evt];

  if (listeners.fn) {
    if (
      listeners.fn === fn &&
      (!once || listeners.once) &&
      (!context || listeners.context === context)
    ) {
      clearEvent(this, evt);
    }
  } else {
    for (var i = 0, events = [], length = listeners.length; i < length; i++) {
      if (
        listeners[i].fn !== fn ||
        (once && !listeners[i].once) ||
        (context && listeners[i].context !== context)
      ) {
        events.push(listeners[i]);
      }
    }

    //
    // Reset the array, or remove it completely if we have no more listeners.
    //
    if (events.length) this._events[evt] = events.length === 1 ? events[0] : events;
    else clearEvent(this, evt);
  }

  return this;
};

/**
 * Remove all listeners, or those of the specified event.
 *
 * @param {(String|Symbol)} [event] The event name.
 * @returns {EventEmitter} `this`.
 * @public
 */
EventEmitter.prototype.removeAllListeners = function removeAllListeners(event) {
  var evt;

  if (event) {
    evt = prefix ? prefix + event : event;
    if (this._events[evt]) clearEvent(this, evt);
  } else {
    this._events = new Events();
    this._eventsCount = 0;
  }

  return this;
};

//
// Alias methods names because people roll like that.
//
EventEmitter.prototype.off = EventEmitter.prototype.removeListener;
EventEmitter.prototype.addListener = EventEmitter.prototype.on;

//
// Expose the prefix.
//
EventEmitter.prefixed = prefix;

//
// Allow `EventEmitter` to be imported as module namespace.
//
EventEmitter.EventEmitter = EventEmitter;

//
// Expose the module.
//
if ('undefined' !== 'object') {
  module.exports = EventEmitter;
}
});

class EventEmitter extends eventemitter3 {
  constructor() {
    super();
  }
  asObservable() {
    let listeners = [];
    let obserable = {
      on: (type, cb) => {
        listeners.push({ type, cb });
        this.on(type, cb);
        return obserable;
      },
      once: (type, cb) => {
        listeners.push({ type, cb });
        this.once(type, cb);
        return obserable;
      },
      removeListener: (type, cb) => {
        this.removeListener(type, cb);
        return obserable;
      },
      off: (type, cb) => {
        this.off(type, cb);
        return obserable;
      },
      removeAllListener() {
        listeners.forEach(({ type, cb }) => {
          this.off(type, cb);
        });
        listeners.length = 0;
        return obserable;
      },
      unsubscribe() {
        return obserable.removeAllListener();
      },
      reEmit(eventEmitter, eventNames) {
        for (let e of eventNames) {
          obserable.on(e, (...args) => {
            eventEmitter.emit(e, ...args);
          });
        }
        return obserable;
      }
    };
    return obserable;
  }
  reEmit(e, eventNames) {
    let obserable = e.asObservable();
    for (let e of eventNames) {
      obserable.on(e, (...args) => {
        this.emit(e, ...args);
      });
    }
    return obserable;
  }
}

class IframeMessenger extends EventEmitter {
  constructor(iframe) {
    super();
    this._iframe = iframe;
  }
  start() {
    this.stop();
    let onMessage = event => {
      if (event.origin === window.location.origin) {
        return;
      }
      // let data = JSON.parse(event.data);
      this.emit('message', {
        origin: event.origin,
        data: JSON.parse(event.data),
      });
    };
    window.addEventListener('message', onMessage, false);
    this._onMessage = onMessage;
  }
  stop() {
    window.removeEventListener('message', this._onMessage);
  }
  sendMessage(msg, targetOrigin = '*') {
    this._iframe.contentWindow.postMessage(JSON.stringify(msg), targetOrigin);
  }
}

// Unique ID creation requires a high quality random # generator. In the browser we therefore
// require the crypto API and do not support built-in fallback to lower quality random number
// generators (like Math.random()).
// getRandomValues needs to be invoked in a context where "this" is a Crypto implementation. Also,
// find the complete implementation of crypto (msCrypto) on IE11.
var getRandomValues = typeof crypto !== 'undefined' && crypto.getRandomValues && crypto.getRandomValues.bind(crypto) || typeof msCrypto !== 'undefined' && typeof msCrypto.getRandomValues === 'function' && msCrypto.getRandomValues.bind(msCrypto);
var rnds8 = new Uint8Array(16);
function rng() {
  if (!getRandomValues) {
    throw new Error('crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported');
  }

  return getRandomValues(rnds8);
}

const REGEX = /^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;

function validate(uuid) {
  return typeof uuid === 'string' && REGEX.test(uuid);
}

/**
 * Convert array of 16 byte values to UUID string format of the form:
 * XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
 */

var byteToHex = [];

for (var i = 0; i < 256; ++i) {
  byteToHex.push((i + 0x100).toString(16).substr(1));
}

function stringify(arr) {
  var offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  // Note: Be careful editing this code!  It's been tuned for performance
  // and works in ways you may not expect. See https://github.com/uuidjs/uuid/pull/434
  var uuid = (byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + '-' + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + '-' + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + '-' + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + '-' + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]]).toLowerCase(); // Consistency check for valid UUID.  If this throws, it's likely due to one
  // of the following:
  // - One or more input array values don't map to a hex octet (leading to
  // "undefined" in the uuid)
  // - Invalid input values for the RFC `version` or `variant` fields

  if (!validate(uuid)) {
    throw TypeError('Stringified UUID is invalid');
  }

  return uuid;
}

//
// Inspired by https://github.com/LiosK/UUID.js
// and http://docs.python.org/library/uuid.html

var _nodeId;

var _clockseq; // Previous uuid creation time


var _lastMSecs = 0;
var _lastNSecs = 0; // See https://github.com/uuidjs/uuid for API details

function v1(options, buf, offset) {
  var i = buf && offset || 0;
  var b = buf || new Array(16);
  options = options || {};
  var node = options.node || _nodeId;
  var clockseq = options.clockseq !== undefined ? options.clockseq : _clockseq; // node and clockseq need to be initialized to random values if they're not
  // specified.  We do this lazily to minimize issues related to insufficient
  // system entropy.  See #189

  if (node == null || clockseq == null) {
    var seedBytes = options.random || (options.rng || rng)();

    if (node == null) {
      // Per 4.5, create and 48-bit node id, (47 random bits + multicast bit = 1)
      node = _nodeId = [seedBytes[0] | 0x01, seedBytes[1], seedBytes[2], seedBytes[3], seedBytes[4], seedBytes[5]];
    }

    if (clockseq == null) {
      // Per 4.2.2, randomize (14 bit) clockseq
      clockseq = _clockseq = (seedBytes[6] << 8 | seedBytes[7]) & 0x3fff;
    }
  } // UUID timestamps are 100 nano-second units since the Gregorian epoch,
  // (1582-10-15 00:00).  JSNumbers aren't precise enough for this, so
  // time is handled internally as 'msecs' (integer milliseconds) and 'nsecs'
  // (100-nanoseconds offset from msecs) since unix epoch, 1970-01-01 00:00.


  var msecs = options.msecs !== undefined ? options.msecs : Date.now(); // Per 4.2.1.2, use count of uuid's generated during the current clock
  // cycle to simulate higher resolution clock

  var nsecs = options.nsecs !== undefined ? options.nsecs : _lastNSecs + 1; // Time since last uuid creation (in msecs)

  var dt = msecs - _lastMSecs + (nsecs - _lastNSecs) / 10000; // Per 4.2.1.2, Bump clockseq on clock regression

  if (dt < 0 && options.clockseq === undefined) {
    clockseq = clockseq + 1 & 0x3fff;
  } // Reset nsecs if clock regresses (new clockseq) or we've moved onto a new
  // time interval


  if ((dt < 0 || msecs > _lastMSecs) && options.nsecs === undefined) {
    nsecs = 0;
  } // Per 4.2.1.2 Throw error if too many uuids are requested


  if (nsecs >= 10000) {
    throw new Error("uuid.v1(): Can't create more than 10M uuids/sec");
  }

  _lastMSecs = msecs;
  _lastNSecs = nsecs;
  _clockseq = clockseq; // Per 4.1.4 - Convert from unix epoch to Gregorian epoch

  msecs += 12219292800000; // `time_low`

  var tl = ((msecs & 0xfffffff) * 10000 + nsecs) % 0x100000000;
  b[i++] = tl >>> 24 & 0xff;
  b[i++] = tl >>> 16 & 0xff;
  b[i++] = tl >>> 8 & 0xff;
  b[i++] = tl & 0xff; // `time_mid`

  var tmh = msecs / 0x100000000 * 10000 & 0xfffffff;
  b[i++] = tmh >>> 8 & 0xff;
  b[i++] = tmh & 0xff; // `time_high_and_version`

  b[i++] = tmh >>> 24 & 0xf | 0x10; // include version

  b[i++] = tmh >>> 16 & 0xff; // `clock_seq_hi_and_reserved` (Per 4.2.2 - include variant)

  b[i++] = clockseq >>> 8 | 0x80; // `clock_seq_low`

  b[i++] = clockseq & 0xff; // `node`

  for (var n = 0; n < 6; ++n) {
    b[i + n] = node[n];
  }

  return buf || stringify(b);
}

function parse(uuid) {
  if (!validate(uuid)) {
    throw TypeError('Invalid UUID');
  }

  var v;
  var arr = new Uint8Array(16); // Parse ########-....-....-....-............

  arr[0] = (v = parseInt(uuid.slice(0, 8), 16)) >>> 24;
  arr[1] = v >>> 16 & 0xff;
  arr[2] = v >>> 8 & 0xff;
  arr[3] = v & 0xff; // Parse ........-####-....-....-............

  arr[4] = (v = parseInt(uuid.slice(9, 13), 16)) >>> 8;
  arr[5] = v & 0xff; // Parse ........-....-####-....-............

  arr[6] = (v = parseInt(uuid.slice(14, 18), 16)) >>> 8;
  arr[7] = v & 0xff; // Parse ........-....-....-####-............

  arr[8] = (v = parseInt(uuid.slice(19, 23), 16)) >>> 8;
  arr[9] = v & 0xff; // Parse ........-....-....-....-############
  // (Use "/" to avoid 32-bit truncation when bit-shifting high-order bytes)

  arr[10] = (v = parseInt(uuid.slice(24, 36), 16)) / 0x10000000000 & 0xff;
  arr[11] = v / 0x100000000 & 0xff;
  arr[12] = v >>> 24 & 0xff;
  arr[13] = v >>> 16 & 0xff;
  arr[14] = v >>> 8 & 0xff;
  arr[15] = v & 0xff;
  return arr;
}

function stringToBytes(str) {
  str = unescape(encodeURIComponent(str)); // UTF8 escape

  var bytes = [];

  for (var i = 0; i < str.length; ++i) {
    bytes.push(str.charCodeAt(i));
  }

  return bytes;
}

var DNS = '6ba7b810-9dad-11d1-80b4-00c04fd430c8';
var URL = '6ba7b811-9dad-11d1-80b4-00c04fd430c8';
function v35 (name, version, hashfunc) {
  function generateUUID(value, namespace, buf, offset) {
    if (typeof value === 'string') {
      value = stringToBytes(value);
    }

    if (typeof namespace === 'string') {
      namespace = parse(namespace);
    }

    if (namespace.length !== 16) {
      throw TypeError('Namespace must be array-like (16 iterable integer values, 0-255)');
    } // Compute hash of namespace and value, Per 4.3
    // Future: Use spread syntax when supported on all platforms, e.g. `bytes =
    // hashfunc([...namespace, ... value])`


    var bytes = new Uint8Array(16 + value.length);
    bytes.set(namespace);
    bytes.set(value, namespace.length);
    bytes = hashfunc(bytes);
    bytes[6] = bytes[6] & 0x0f | version;
    bytes[8] = bytes[8] & 0x3f | 0x80;

    if (buf) {
      offset = offset || 0;

      for (var i = 0; i < 16; ++i) {
        buf[offset + i] = bytes[i];
      }

      return buf;
    }

    return stringify(bytes);
  } // Function#name is not settable on some platforms (#270)


  try {
    generateUUID.name = name; // eslint-disable-next-line no-empty
  } catch (err) {} // For CommonJS default export support


  generateUUID.DNS = DNS;
  generateUUID.URL = URL;
  return generateUUID;
}

/*
 * Browser-compatible JavaScript MD5
 *
 * Modification of JavaScript MD5
 * https://github.com/blueimp/JavaScript-MD5
 *
 * Copyright 2011, Sebastian Tschan
 * https://blueimp.net
 *
 * Licensed under the MIT license:
 * https://opensource.org/licenses/MIT
 *
 * Based on
 * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
 * Digest Algorithm, as defined in RFC 1321.
 * Version 2.2 Copyright (C) Paul Johnston 1999 - 2009
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for more info.
 */
function md5(bytes) {
  if (typeof bytes === 'string') {
    var msg = unescape(encodeURIComponent(bytes)); // UTF8 escape

    bytes = new Uint8Array(msg.length);

    for (var i = 0; i < msg.length; ++i) {
      bytes[i] = msg.charCodeAt(i);
    }
  }

  return md5ToHexEncodedArray(wordsToMd5(bytesToWords(bytes), bytes.length * 8));
}
/*
 * Convert an array of little-endian words to an array of bytes
 */


function md5ToHexEncodedArray(input) {
  var output = [];
  var length32 = input.length * 32;
  var hexTab = '0123456789abcdef';

  for (var i = 0; i < length32; i += 8) {
    var x = input[i >> 5] >>> i % 32 & 0xff;
    var hex = parseInt(hexTab.charAt(x >>> 4 & 0x0f) + hexTab.charAt(x & 0x0f), 16);
    output.push(hex);
  }

  return output;
}
/**
 * Calculate output length with padding and bit length
 */


function getOutputLength(inputLength8) {
  return (inputLength8 + 64 >>> 9 << 4) + 14 + 1;
}
/*
 * Calculate the MD5 of an array of little-endian words, and a bit length.
 */


function wordsToMd5(x, len) {
  /* append padding */
  x[len >> 5] |= 0x80 << len % 32;
  x[getOutputLength(len) - 1] = len;
  var a = 1732584193;
  var b = -271733879;
  var c = -1732584194;
  var d = 271733878;

  for (var i = 0; i < x.length; i += 16) {
    var olda = a;
    var oldb = b;
    var oldc = c;
    var oldd = d;
    a = md5ff(a, b, c, d, x[i], 7, -680876936);
    d = md5ff(d, a, b, c, x[i + 1], 12, -389564586);
    c = md5ff(c, d, a, b, x[i + 2], 17, 606105819);
    b = md5ff(b, c, d, a, x[i + 3], 22, -1044525330);
    a = md5ff(a, b, c, d, x[i + 4], 7, -176418897);
    d = md5ff(d, a, b, c, x[i + 5], 12, 1200080426);
    c = md5ff(c, d, a, b, x[i + 6], 17, -1473231341);
    b = md5ff(b, c, d, a, x[i + 7], 22, -45705983);
    a = md5ff(a, b, c, d, x[i + 8], 7, 1770035416);
    d = md5ff(d, a, b, c, x[i + 9], 12, -1958414417);
    c = md5ff(c, d, a, b, x[i + 10], 17, -42063);
    b = md5ff(b, c, d, a, x[i + 11], 22, -1990404162);
    a = md5ff(a, b, c, d, x[i + 12], 7, 1804603682);
    d = md5ff(d, a, b, c, x[i + 13], 12, -40341101);
    c = md5ff(c, d, a, b, x[i + 14], 17, -1502002290);
    b = md5ff(b, c, d, a, x[i + 15], 22, 1236535329);
    a = md5gg(a, b, c, d, x[i + 1], 5, -165796510);
    d = md5gg(d, a, b, c, x[i + 6], 9, -1069501632);
    c = md5gg(c, d, a, b, x[i + 11], 14, 643717713);
    b = md5gg(b, c, d, a, x[i], 20, -373897302);
    a = md5gg(a, b, c, d, x[i + 5], 5, -701558691);
    d = md5gg(d, a, b, c, x[i + 10], 9, 38016083);
    c = md5gg(c, d, a, b, x[i + 15], 14, -660478335);
    b = md5gg(b, c, d, a, x[i + 4], 20, -405537848);
    a = md5gg(a, b, c, d, x[i + 9], 5, 568446438);
    d = md5gg(d, a, b, c, x[i + 14], 9, -1019803690);
    c = md5gg(c, d, a, b, x[i + 3], 14, -187363961);
    b = md5gg(b, c, d, a, x[i + 8], 20, 1163531501);
    a = md5gg(a, b, c, d, x[i + 13], 5, -1444681467);
    d = md5gg(d, a, b, c, x[i + 2], 9, -51403784);
    c = md5gg(c, d, a, b, x[i + 7], 14, 1735328473);
    b = md5gg(b, c, d, a, x[i + 12], 20, -1926607734);
    a = md5hh(a, b, c, d, x[i + 5], 4, -378558);
    d = md5hh(d, a, b, c, x[i + 8], 11, -2022574463);
    c = md5hh(c, d, a, b, x[i + 11], 16, 1839030562);
    b = md5hh(b, c, d, a, x[i + 14], 23, -35309556);
    a = md5hh(a, b, c, d, x[i + 1], 4, -1530992060);
    d = md5hh(d, a, b, c, x[i + 4], 11, 1272893353);
    c = md5hh(c, d, a, b, x[i + 7], 16, -155497632);
    b = md5hh(b, c, d, a, x[i + 10], 23, -1094730640);
    a = md5hh(a, b, c, d, x[i + 13], 4, 681279174);
    d = md5hh(d, a, b, c, x[i], 11, -358537222);
    c = md5hh(c, d, a, b, x[i + 3], 16, -722521979);
    b = md5hh(b, c, d, a, x[i + 6], 23, 76029189);
    a = md5hh(a, b, c, d, x[i + 9], 4, -640364487);
    d = md5hh(d, a, b, c, x[i + 12], 11, -421815835);
    c = md5hh(c, d, a, b, x[i + 15], 16, 530742520);
    b = md5hh(b, c, d, a, x[i + 2], 23, -995338651);
    a = md5ii(a, b, c, d, x[i], 6, -198630844);
    d = md5ii(d, a, b, c, x[i + 7], 10, 1126891415);
    c = md5ii(c, d, a, b, x[i + 14], 15, -1416354905);
    b = md5ii(b, c, d, a, x[i + 5], 21, -57434055);
    a = md5ii(a, b, c, d, x[i + 12], 6, 1700485571);
    d = md5ii(d, a, b, c, x[i + 3], 10, -1894986606);
    c = md5ii(c, d, a, b, x[i + 10], 15, -1051523);
    b = md5ii(b, c, d, a, x[i + 1], 21, -2054922799);
    a = md5ii(a, b, c, d, x[i + 8], 6, 1873313359);
    d = md5ii(d, a, b, c, x[i + 15], 10, -30611744);
    c = md5ii(c, d, a, b, x[i + 6], 15, -1560198380);
    b = md5ii(b, c, d, a, x[i + 13], 21, 1309151649);
    a = md5ii(a, b, c, d, x[i + 4], 6, -145523070);
    d = md5ii(d, a, b, c, x[i + 11], 10, -1120210379);
    c = md5ii(c, d, a, b, x[i + 2], 15, 718787259);
    b = md5ii(b, c, d, a, x[i + 9], 21, -343485551);
    a = safeAdd(a, olda);
    b = safeAdd(b, oldb);
    c = safeAdd(c, oldc);
    d = safeAdd(d, oldd);
  }

  return [a, b, c, d];
}
/*
 * Convert an array bytes to an array of little-endian words
 * Characters >255 have their high-byte silently ignored.
 */


function bytesToWords(input) {
  if (input.length === 0) {
    return [];
  }

  var length8 = input.length * 8;
  var output = new Uint32Array(getOutputLength(length8));

  for (var i = 0; i < length8; i += 8) {
    output[i >> 5] |= (input[i / 8] & 0xff) << i % 32;
  }

  return output;
}
/*
 * Add integers, wrapping at 2^32. This uses 16-bit operations internally
 * to work around bugs in some JS interpreters.
 */


function safeAdd(x, y) {
  var lsw = (x & 0xffff) + (y & 0xffff);
  var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
  return msw << 16 | lsw & 0xffff;
}
/*
 * Bitwise rotate a 32-bit number to the left.
 */


function bitRotateLeft(num, cnt) {
  return num << cnt | num >>> 32 - cnt;
}
/*
 * These functions implement the four basic operations the algorithm uses.
 */


function md5cmn(q, a, b, x, s, t) {
  return safeAdd(bitRotateLeft(safeAdd(safeAdd(a, q), safeAdd(x, t)), s), b);
}

function md5ff(a, b, c, d, x, s, t) {
  return md5cmn(b & c | ~b & d, a, b, x, s, t);
}

function md5gg(a, b, c, d, x, s, t) {
  return md5cmn(b & d | c & ~d, a, b, x, s, t);
}

function md5hh(a, b, c, d, x, s, t) {
  return md5cmn(b ^ c ^ d, a, b, x, s, t);
}

function md5ii(a, b, c, d, x, s, t) {
  return md5cmn(c ^ (b | ~d), a, b, x, s, t);
}

var v3 = v35('v3', 0x30, md5);

function v4(options, buf, offset) {
  options = options || {};
  var rnds = options.random || (options.rng || rng)(); // Per 4.4, set bits for version and `clock_seq_hi_and_reserved`

  rnds[6] = rnds[6] & 0x0f | 0x40;
  rnds[8] = rnds[8] & 0x3f | 0x80; // Copy bytes to buffer, if provided

  if (buf) {
    offset = offset || 0;

    for (var i = 0; i < 16; ++i) {
      buf[offset + i] = rnds[i];
    }

    return buf;
  }

  return stringify(rnds);
}

// Adapted from Chris Veness' SHA1 code at
// http://www.movable-type.co.uk/scripts/sha1.html
function f(s, x, y, z) {
  switch (s) {
    case 0:
      return x & y ^ ~x & z;

    case 1:
      return x ^ y ^ z;

    case 2:
      return x & y ^ x & z ^ y & z;

    case 3:
      return x ^ y ^ z;
  }
}

function ROTL(x, n) {
  return x << n | x >>> 32 - n;
}

function sha1(bytes) {
  var K = [0x5a827999, 0x6ed9eba1, 0x8f1bbcdc, 0xca62c1d6];
  var H = [0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476, 0xc3d2e1f0];

  if (typeof bytes === 'string') {
    var msg = unescape(encodeURIComponent(bytes)); // UTF8 escape

    bytes = [];

    for (var i = 0; i < msg.length; ++i) {
      bytes.push(msg.charCodeAt(i));
    }
  } else if (!Array.isArray(bytes)) {
    // Convert Array-like to Array
    bytes = Array.prototype.slice.call(bytes);
  }

  bytes.push(0x80);
  var l = bytes.length / 4 + 2;
  var N = Math.ceil(l / 16);
  var M = new Array(N);

  for (var _i = 0; _i < N; ++_i) {
    var arr = new Uint32Array(16);

    for (var j = 0; j < 16; ++j) {
      arr[j] = bytes[_i * 64 + j * 4] << 24 | bytes[_i * 64 + j * 4 + 1] << 16 | bytes[_i * 64 + j * 4 + 2] << 8 | bytes[_i * 64 + j * 4 + 3];
    }

    M[_i] = arr;
  }

  M[N - 1][14] = (bytes.length - 1) * 8 / Math.pow(2, 32);
  M[N - 1][14] = Math.floor(M[N - 1][14]);
  M[N - 1][15] = (bytes.length - 1) * 8 & 0xffffffff;

  for (var _i2 = 0; _i2 < N; ++_i2) {
    var W = new Uint32Array(80);

    for (var t = 0; t < 16; ++t) {
      W[t] = M[_i2][t];
    }

    for (var _t = 16; _t < 80; ++_t) {
      W[_t] = ROTL(W[_t - 3] ^ W[_t - 8] ^ W[_t - 14] ^ W[_t - 16], 1);
    }

    var a = H[0];
    var b = H[1];
    var c = H[2];
    var d = H[3];
    var e = H[4];

    for (var _t2 = 0; _t2 < 80; ++_t2) {
      var s = Math.floor(_t2 / 20);
      var T = ROTL(a, 5) + f(s, b, c, d) + e + K[s] + W[_t2] >>> 0;
      e = d;
      d = c;
      c = ROTL(b, 30) >>> 0;
      b = a;
      a = T;
    }

    H[0] = H[0] + a >>> 0;
    H[1] = H[1] + b >>> 0;
    H[2] = H[2] + c >>> 0;
    H[3] = H[3] + d >>> 0;
    H[4] = H[4] + e >>> 0;
  }

  return [H[0] >> 24 & 0xff, H[0] >> 16 & 0xff, H[0] >> 8 & 0xff, H[0] & 0xff, H[1] >> 24 & 0xff, H[1] >> 16 & 0xff, H[1] >> 8 & 0xff, H[1] & 0xff, H[2] >> 24 & 0xff, H[2] >> 16 & 0xff, H[2] >> 8 & 0xff, H[2] & 0xff, H[3] >> 24 & 0xff, H[3] >> 16 & 0xff, H[3] >> 8 & 0xff, H[3] & 0xff, H[4] >> 24 & 0xff, H[4] >> 16 & 0xff, H[4] >> 8 & 0xff, H[4] & 0xff];
}

var v5 = v35('v5', 0x50, sha1);

const nil = '00000000-0000-0000-0000-000000000000';

function version(uuid) {
  if (!validate(uuid)) {
    throw TypeError('Invalid UUID');
  }

  return parseInt(uuid.substr(14, 1), 16);
}

let instances = {};
class IframeSession extends EventEmitter {
  constructor(_sessionId, _origin, _iframeMessenger) {
    super();
    this._sessionId = _sessionId;
    this._origin = _origin;
    this._iframeMessenger = _iframeMessenger;
    this._listen();
  }
  static listen(iframeMessenger) {
    if (IframeSession.iframeObserable) {
      return;
    }
    IframeSession.iframeObserable = iframeMessenger
      .asObservable()
      .on('message', (msg) => {
      if (msg.data.resource !== 'iframe-session') {
        return;
      }
      let sessionId = '';
      switch (msg.data.method) {
        case 'init':
          sessionId = msg.data.params[0];
          newSession(sessionId, msg.origin);
          break;
      }
    });
    let newSession = (sessionId, origin) => {
      if (!instances[sessionId]) {
        let instance = new IframeSession(sessionId, origin, iframeMessenger);
        instances[sessionId] = instance;
        iframeMessenger.emit('new-session', instance);
      }
    };
  }
  _listen() {
    this._iframeObserable = this._iframeMessenger
      .asObservable()
      .on('message', (msg) => {
      if (msg.data.resource !== 'iframe-session') {
        return;
      }
      let sessionId = msg.data.params[0];
      if (sessionId !== this._sessionId) {
        return;
      }
      switch (msg.data.method) {
        case 'stop':
          delete instances[sessionId];
          this.destroy();
          break;
        case 'receive':
          this._receive(msg.data.params[1]);
          break;
      }
    });
  }
  static init(iframeMessenger) {
    let sessionId = v4();
    let session = new IframeSession(sessionId, '*', iframeMessenger);
    session._init();
    return session;
  }
  _receive(msg) {
    this.emit('message', msg);
  }
  _init() {
    this._iframeMessenger.sendMessage({
      resource: 'iframe-session',
      method: 'init',
      params: [this.sessionId],
    }, this._origin);
  }
  send(msg) {
    this._iframeMessenger.sendMessage({
      resource: 'iframe-session',
      method: 'receive',
      params: [this.sessionId, msg],
    }, this._origin);
  }
  get sessionId() {
    return this._sessionId;
  }
  destroy() {
    this.emit('destroy');
    this.removeAllListeners();
    this._iframeObserable.unsubscribe();
    this._iframeMessenger = null;
  }
}

const quickomChatIframeCss = "quickom-chat-iframe{}quickom-chat-iframe iframe{border:1px solid #ebeef5;border-top-right-radius:10px;border-top-left-radius:10px;-webkit-box-shadow:0 2px 12px 0 rgba(0,0,0,.1);box-shadow:0 2px 12px 0 rgba(0,0,0,.1)}";

const QuickomChatIframe = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.visible = createEvent(this, "visible", 7);
    this.domain = 'https://quickom-demo.web.app';
    this.chatAccount = null;
    this.chatWithAccount = null;
    this.iframeElement = null;
    this.iframeMessenger = null;
    this.iframeSession = null;
  }
  getUrl() {
    return `${this.domain}/chat`;
  }
  onIframeRef(el) {
    this.iframeElement = el;
  }
  onLoadIframe() {
    this.iframeMessenger = new IframeMessenger(this.iframeElement);
    this.iframeMessenger.start();
    this.iframeSession = IframeSession.init(this.iframeMessenger);
    this.sendUpdateChatSettings();
    this.iframeSession.on('message', this.onChatBoxMessage.bind(this));
  }
  sendUpdateChatSettings() {
    if (this.iframeSession && this.chatAccount && this.chatWithAccount) {
      this.iframeSession.send({
        resource: 'chat',
        method: 'updateChatSettings',
        params: [{ chatAccount: this.chatAccount, chatWithAccount: this.chatWithAccount }],
      });
    }
  }
  onChatBoxMessage(data) {
    switch (data.method) {
      case 'show':
        this.visible.emit(true);
        break;
      case 'hide':
        this.visible.emit(false);
        break;
    }
  }
  render() {
    return h("iframe", { onLoad: () => this.onLoadIframe(), ref: el => this.onIframeRef(el), src: this.getUrl(), width: "100%", height: "100%", frameborder: "0" });
  }
  onChangeChatAccount() {
    this.sendUpdateChatSettings();
  }
  onChangeChatWithAccount() {
    this.sendUpdateChatSettings();
  }
  disconnectedCallback() {
    this.iframeSession.destroy();
    this.iframeMessenger.stop();
    this.iframeMessenger = null;
    this.iframeSession = null;
  }
  static get watchers() { return {
    "chatAccount": ["onChangeChatAccount"],
    "chatWithAccount": ["onChangeChatWithAccount"]
  }; }
  static get style() { return quickomChatIframeCss; }
};

const quickomChatQrcodeCss = "/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */html{line-height:1.15;-webkit-text-size-adjust:100%;}body{margin:0}main{display:block}h1{font-size:2em;margin:0.67em 0}hr{-webkit-box-sizing:content-box;box-sizing:content-box;height:0;overflow:visible;}pre{font-family:monospace, monospace;font-size:1em;}a{background-color:transparent}abbr[title]{border-bottom:none;text-decoration:underline;-webkit-text-decoration:underline dotted;text-decoration:underline dotted;}b,strong{font-weight:bolder}code,kbd,samp{font-family:monospace, monospace;font-size:1em;}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-0.25em}sup{top:-0.5em}img{border-style:none}button,input,optgroup,select,textarea{font-family:inherit;font-size:100%;line-height:1.15;margin:0;}button,input{overflow:visible}button,select{text-transform:none}button,[type=\"button\"],[type=\"reset\"],[type=\"submit\"]{-webkit-appearance:button}button::-moz-focus-inner,[type=\"button\"]::-moz-focus-inner,[type=\"reset\"]::-moz-focus-inner,[type=\"submit\"]::-moz-focus-inner{border-style:none;padding:0}button:-moz-focusring,[type=\"button\"]:-moz-focusring,[type=\"reset\"]:-moz-focusring,[type=\"submit\"]:-moz-focusring{outline:1px dotted ButtonText}fieldset{padding:0.35em 0.75em 0.625em}legend{-webkit-box-sizing:border-box;box-sizing:border-box;color:inherit;display:table;max-width:100%;padding:0;white-space:normal;}progress{vertical-align:baseline}textarea{overflow:auto}[type=\"checkbox\"],[type=\"radio\"]{-webkit-box-sizing:border-box;box-sizing:border-box;padding:0;}[type=\"number\"]::-webkit-inner-spin-button,[type=\"number\"]::-webkit-outer-spin-button{height:auto}[type=\"search\"]{-webkit-appearance:textfield;outline-offset:-2px;}[type=\"search\"]::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit;}details{display:block}summary{display:list-item}template{display:none}[hidden]{display:none}blockquote,dl,dd,h1,h2,h3,h4,h5,h6,hr,figure,p,pre{margin:0}button{background-color:transparent;background-image:none}button:focus{outline:1px dotted;outline:5px auto -webkit-focus-ring-color}fieldset{margin:0;padding:0}ol,ul{list-style:none;margin:0;padding:0}html{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";line-height:1.5;}*,::before,::after{-webkit-box-sizing:border-box;box-sizing:border-box;border-width:0;border-style:solid;border-color:#e2e8f0;}hr{border-top-width:1px}img{border-style:solid}textarea{resize:vertical}input::-webkit-input-placeholder,textarea::-webkit-input-placeholder{color:#a0aec0}input::-moz-placeholder,textarea::-moz-placeholder{color:#a0aec0}input:-ms-input-placeholder,textarea:-ms-input-placeholder{color:#a0aec0}input::-ms-input-placeholder,textarea::-ms-input-placeholder{color:#a0aec0}input::placeholder,textarea::placeholder{color:#a0aec0}button,[role=\"button\"]{cursor:pointer}table{border-collapse:collapse}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}button,input,optgroup,select,textarea{padding:0;line-height:inherit;color:inherit}pre,code,kbd,samp{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}img,svg,video,canvas,audio,iframe,embed,object{display:block;vertical-align:middle}img,video{max-width:100%;height:auto}.container{width:100%}@media (min-width: 640px){.container{max-width:640px}}@media (min-width: 768px){.container{max-width:768px}}@media (min-width: 1024px){.container{max-width:1024px}}@media (min-width: 1280px){.container{max-width:1280px}}.space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.divide-transparent>:not(template)~:not(template){border-color:transparent}.divide-current>:not(template)~:not(template){border-color:currentColor}.divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.divide-solid>:not(template)~:not(template){border-style:solid}.divide-dashed>:not(template)~:not(template){border-style:dashed}.divide-dotted>:not(template)~:not(template){border-style:dotted}.divide-double>:not(template)~:not(template){border-style:double}.divide-none>:not(template)~:not(template){border-style:none}.divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.bg-fixed{background-attachment:fixed}.bg-local{background-attachment:local}.bg-scroll{background-attachment:scroll}.bg-clip-border{background-clip:border-box}.bg-clip-padding{background-clip:padding-box}.bg-clip-content{background-clip:content-box}.bg-clip-text{-webkit-background-clip:text;background-clip:text}.bg-transparent{background-color:transparent}.bg-current{background-color:currentColor}.bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.hover\\:bg-transparent:hover{background-color:transparent}.hover\\:bg-current:hover{background-color:currentColor}.hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.focus\\:bg-transparent:focus{background-color:transparent}.focus\\:bg-current:focus{background-color:currentColor}.focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.bg-none{background-image:none}.bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.to-transparent{--gradient-to-color:transparent}.to-current{--gradient-to-color:currentColor}.to-black{--gradient-to-color:#000}.to-white{--gradient-to-color:#fff}.to-gray-100{--gradient-to-color:#f7fafc}.to-gray-200{--gradient-to-color:#edf2f7}.to-gray-300{--gradient-to-color:#e2e8f0}.to-gray-400{--gradient-to-color:#cbd5e0}.to-gray-500{--gradient-to-color:#a0aec0}.to-gray-600{--gradient-to-color:#718096}.to-gray-700{--gradient-to-color:#4a5568}.to-gray-800{--gradient-to-color:#2d3748}.to-gray-900{--gradient-to-color:#1a202c}.to-red-100{--gradient-to-color:#fff5f5}.to-red-200{--gradient-to-color:#fed7d7}.to-red-300{--gradient-to-color:#feb2b2}.to-red-400{--gradient-to-color:#fc8181}.to-red-500{--gradient-to-color:#f56565}.to-red-600{--gradient-to-color:#e53e3e}.to-red-700{--gradient-to-color:#c53030}.to-red-800{--gradient-to-color:#9b2c2c}.to-red-900{--gradient-to-color:#742a2a}.to-orange-100{--gradient-to-color:#fffaf0}.to-orange-200{--gradient-to-color:#feebc8}.to-orange-300{--gradient-to-color:#fbd38d}.to-orange-400{--gradient-to-color:#f6ad55}.to-orange-500{--gradient-to-color:#ed8936}.to-orange-600{--gradient-to-color:#dd6b20}.to-orange-700{--gradient-to-color:#c05621}.to-orange-800{--gradient-to-color:#9c4221}.to-orange-900{--gradient-to-color:#7b341e}.to-yellow-100{--gradient-to-color:#fffff0}.to-yellow-200{--gradient-to-color:#fefcbf}.to-yellow-300{--gradient-to-color:#faf089}.to-yellow-400{--gradient-to-color:#f6e05e}.to-yellow-500{--gradient-to-color:#ecc94b}.to-yellow-600{--gradient-to-color:#d69e2e}.to-yellow-700{--gradient-to-color:#b7791f}.to-yellow-800{--gradient-to-color:#975a16}.to-yellow-900{--gradient-to-color:#744210}.to-green-100{--gradient-to-color:#f0fff4}.to-green-200{--gradient-to-color:#c6f6d5}.to-green-300{--gradient-to-color:#9ae6b4}.to-green-400{--gradient-to-color:#68d391}.to-green-500{--gradient-to-color:#48bb78}.to-green-600{--gradient-to-color:#38a169}.to-green-700{--gradient-to-color:#2f855a}.to-green-800{--gradient-to-color:#276749}.to-green-900{--gradient-to-color:#22543d}.to-teal-100{--gradient-to-color:#e6fffa}.to-teal-200{--gradient-to-color:#b2f5ea}.to-teal-300{--gradient-to-color:#81e6d9}.to-teal-400{--gradient-to-color:#4fd1c5}.to-teal-500{--gradient-to-color:#38b2ac}.to-teal-600{--gradient-to-color:#319795}.to-teal-700{--gradient-to-color:#2c7a7b}.to-teal-800{--gradient-to-color:#285e61}.to-teal-900{--gradient-to-color:#234e52}.to-blue-100{--gradient-to-color:#ebf8ff}.to-blue-200{--gradient-to-color:#bee3f8}.to-blue-300{--gradient-to-color:#90cdf4}.to-blue-400{--gradient-to-color:#63b3ed}.to-blue-500{--gradient-to-color:#4299e1}.to-blue-600{--gradient-to-color:#3182ce}.to-blue-700{--gradient-to-color:#2b6cb0}.to-blue-800{--gradient-to-color:#2c5282}.to-blue-900{--gradient-to-color:#2a4365}.to-indigo-100{--gradient-to-color:#ebf4ff}.to-indigo-200{--gradient-to-color:#c3dafe}.to-indigo-300{--gradient-to-color:#a3bffa}.to-indigo-400{--gradient-to-color:#7f9cf5}.to-indigo-500{--gradient-to-color:#667eea}.to-indigo-600{--gradient-to-color:#5a67d8}.to-indigo-700{--gradient-to-color:#4c51bf}.to-indigo-800{--gradient-to-color:#434190}.to-indigo-900{--gradient-to-color:#3c366b}.to-purple-100{--gradient-to-color:#faf5ff}.to-purple-200{--gradient-to-color:#e9d8fd}.to-purple-300{--gradient-to-color:#d6bcfa}.to-purple-400{--gradient-to-color:#b794f4}.to-purple-500{--gradient-to-color:#9f7aea}.to-purple-600{--gradient-to-color:#805ad5}.to-purple-700{--gradient-to-color:#6b46c1}.to-purple-800{--gradient-to-color:#553c9a}.to-purple-900{--gradient-to-color:#44337a}.to-pink-100{--gradient-to-color:#fff5f7}.to-pink-200{--gradient-to-color:#fed7e2}.to-pink-300{--gradient-to-color:#fbb6ce}.to-pink-400{--gradient-to-color:#f687b3}.to-pink-500{--gradient-to-color:#ed64a6}.to-pink-600{--gradient-to-color:#d53f8c}.to-pink-700{--gradient-to-color:#b83280}.to-pink-800{--gradient-to-color:#97266d}.to-pink-900{--gradient-to-color:#702459}.hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.hover\\:to-transparent:hover{--gradient-to-color:transparent}.hover\\:to-current:hover{--gradient-to-color:currentColor}.hover\\:to-black:hover{--gradient-to-color:#000}.hover\\:to-white:hover{--gradient-to-color:#fff}.hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.hover\\:to-gray-600:hover{--gradient-to-color:#718096}.hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.hover\\:to-red-500:hover{--gradient-to-color:#f56565}.hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.hover\\:to-red-700:hover{--gradient-to-color:#c53030}.hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.hover\\:to-green-400:hover{--gradient-to-color:#68d391}.hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.hover\\:to-green-600:hover{--gradient-to-color:#38a169}.hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.hover\\:to-green-800:hover{--gradient-to-color:#276749}.hover\\:to-green-900:hover{--gradient-to-color:#22543d}.hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.hover\\:to-teal-600:hover{--gradient-to-color:#319795}.hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.hover\\:to-pink-900:hover{--gradient-to-color:#702459}.focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.focus\\:to-transparent:focus{--gradient-to-color:transparent}.focus\\:to-current:focus{--gradient-to-color:currentColor}.focus\\:to-black:focus{--gradient-to-color:#000}.focus\\:to-white:focus{--gradient-to-color:#fff}.focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.focus\\:to-gray-600:focus{--gradient-to-color:#718096}.focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.focus\\:to-red-500:focus{--gradient-to-color:#f56565}.focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.focus\\:to-red-700:focus{--gradient-to-color:#c53030}.focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.focus\\:to-green-400:focus{--gradient-to-color:#68d391}.focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.focus\\:to-green-600:focus{--gradient-to-color:#38a169}.focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.focus\\:to-green-800:focus{--gradient-to-color:#276749}.focus\\:to-green-900:focus{--gradient-to-color:#22543d}.focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.focus\\:to-teal-600:focus{--gradient-to-color:#319795}.focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.focus\\:to-pink-900:focus{--gradient-to-color:#702459}.bg-opacity-0{--bg-opacity:0}.bg-opacity-25{--bg-opacity:0.25}.bg-opacity-50{--bg-opacity:0.5}.bg-opacity-75{--bg-opacity:0.75}.bg-opacity-100{--bg-opacity:1}.hover\\:bg-opacity-0:hover{--bg-opacity:0}.hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.hover\\:bg-opacity-100:hover{--bg-opacity:1}.focus\\:bg-opacity-0:focus{--bg-opacity:0}.focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.focus\\:bg-opacity-100:focus{--bg-opacity:1}.bg-bottom{background-position:bottom}.bg-center{background-position:center}.bg-left{background-position:left}.bg-left-bottom{background-position:left bottom}.bg-left-top{background-position:left top}.bg-right{background-position:right}.bg-right-bottom{background-position:right bottom}.bg-right-top{background-position:right top}.bg-top{background-position:top}.bg-repeat{background-repeat:repeat}.bg-no-repeat{background-repeat:no-repeat}.bg-repeat-x{background-repeat:repeat-x}.bg-repeat-y{background-repeat:repeat-y}.bg-repeat-round{background-repeat:round}.bg-repeat-space{background-repeat:space}.bg-auto{background-size:auto}.bg-cover{background-size:cover}.bg-contain{background-size:contain}.border-collapse{border-collapse:collapse}.border-separate{border-collapse:separate}.border-transparent{border-color:transparent}.border-current{border-color:currentColor}.border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.hover\\:border-transparent:hover{border-color:transparent}.hover\\:border-current:hover{border-color:currentColor}.hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.focus\\:border-transparent:focus{border-color:transparent}.focus\\:border-current:focus{border-color:currentColor}.focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.border-opacity-0{--border-opacity:0}.border-opacity-25{--border-opacity:0.25}.border-opacity-50{--border-opacity:0.5}.border-opacity-75{--border-opacity:0.75}.border-opacity-100{--border-opacity:1}.hover\\:border-opacity-0:hover{--border-opacity:0}.hover\\:border-opacity-25:hover{--border-opacity:0.25}.hover\\:border-opacity-50:hover{--border-opacity:0.5}.hover\\:border-opacity-75:hover{--border-opacity:0.75}.hover\\:border-opacity-100:hover{--border-opacity:1}.focus\\:border-opacity-0:focus{--border-opacity:0}.focus\\:border-opacity-25:focus{--border-opacity:0.25}.focus\\:border-opacity-50:focus{--border-opacity:0.5}.focus\\:border-opacity-75:focus{--border-opacity:0.75}.focus\\:border-opacity-100:focus{--border-opacity:1}.rounded-none{border-radius:0}.rounded-sm{border-radius:0.125rem}.rounded{border-radius:0.25rem}.rounded-md{border-radius:0.375rem}.rounded-lg{border-radius:0.5rem}.rounded-full{border-radius:9999px}.rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.rounded-tl-none{border-top-left-radius:0}.rounded-tr-none{border-top-right-radius:0}.rounded-br-none{border-bottom-right-radius:0}.rounded-bl-none{border-bottom-left-radius:0}.rounded-tl-sm{border-top-left-radius:0.125rem}.rounded-tr-sm{border-top-right-radius:0.125rem}.rounded-br-sm{border-bottom-right-radius:0.125rem}.rounded-bl-sm{border-bottom-left-radius:0.125rem}.rounded-tl{border-top-left-radius:0.25rem}.rounded-tr{border-top-right-radius:0.25rem}.rounded-br{border-bottom-right-radius:0.25rem}.rounded-bl{border-bottom-left-radius:0.25rem}.rounded-tl-md{border-top-left-radius:0.375rem}.rounded-tr-md{border-top-right-radius:0.375rem}.rounded-br-md{border-bottom-right-radius:0.375rem}.rounded-bl-md{border-bottom-left-radius:0.375rem}.rounded-tl-lg{border-top-left-radius:0.5rem}.rounded-tr-lg{border-top-right-radius:0.5rem}.rounded-br-lg{border-bottom-right-radius:0.5rem}.rounded-bl-lg{border-bottom-left-radius:0.5rem}.rounded-tl-full{border-top-left-radius:9999px}.rounded-tr-full{border-top-right-radius:9999px}.rounded-br-full{border-bottom-right-radius:9999px}.rounded-bl-full{border-bottom-left-radius:9999px}.border-solid{border-style:solid}.border-dashed{border-style:dashed}.border-dotted{border-style:dotted}.border-double{border-style:double}.border-none{border-style:none}.border-0{border-width:0}.border-2{border-width:2px}.border-4{border-width:4px}.border-8{border-width:8px}.border{border-width:1px}.border-t-0{border-top-width:0}.border-r-0{border-right-width:0}.border-b-0{border-bottom-width:0}.border-l-0{border-left-width:0}.border-t-2{border-top-width:2px}.border-r-2{border-right-width:2px}.border-b-2{border-bottom-width:2px}.border-l-2{border-left-width:2px}.border-t-4{border-top-width:4px}.border-r-4{border-right-width:4px}.border-b-4{border-bottom-width:4px}.border-l-4{border-left-width:4px}.border-t-8{border-top-width:8px}.border-r-8{border-right-width:8px}.border-b-8{border-bottom-width:8px}.border-l-8{border-left-width:8px}.border-t{border-top-width:1px}.border-r{border-right-width:1px}.border-b{border-bottom-width:1px}.border-l{border-left-width:1px}.box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.cursor-auto{cursor:auto}.cursor-default{cursor:default}.cursor-pointer{cursor:pointer}.cursor-wait{cursor:wait}.cursor-text{cursor:text}.cursor-move{cursor:move}.cursor-not-allowed{cursor:not-allowed}.block{display:block}.inline-block{display:inline-block}.inline{display:inline}.flex{display:-ms-flexbox;display:flex}.inline-flex{display:-ms-inline-flexbox;display:inline-flex}.table{display:table}.table-caption{display:table-caption}.table-cell{display:table-cell}.table-column{display:table-column}.table-column-group{display:table-column-group}.table-footer-group{display:table-footer-group}.table-header-group{display:table-header-group}.table-row-group{display:table-row-group}.table-row{display:table-row}.flow-root{display:flow-root}.grid{display:grid}.inline-grid{display:inline-grid}.contents{display:contents}.hidden{display:none}.flex-row{-ms-flex-direction:row;flex-direction:row}.flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.flex-col{-ms-flex-direction:column;flex-direction:column}.flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.place-items-auto{place-items:auto}.place-items-start{place-items:start}.place-items-end{place-items:end}.place-items-center{place-items:center}.place-items-stretch{place-items:stretch}.place-content-center{place-content:center}.place-content-start{place-content:start}.place-content-end{place-content:end}.place-content-between{place-content:space-between}.place-content-around{place-content:space-around}.place-content-evenly{place-content:space-evenly}.place-content-stretch{place-content:stretch}.place-self-auto{place-self:auto}.place-self-start{place-self:start}.place-self-end{place-self:end}.place-self-center{place-self:center}.place-self-stretch{place-self:stretch}.items-start{-ms-flex-align:start;align-items:flex-start}.items-end{-ms-flex-align:end;align-items:flex-end}.items-center{-ms-flex-align:center;align-items:center}.items-baseline{-ms-flex-align:baseline;align-items:baseline}.items-stretch{-ms-flex-align:stretch;align-items:stretch}.content-center{-ms-flex-line-pack:center;align-content:center}.content-start{-ms-flex-line-pack:start;align-content:flex-start}.content-end{-ms-flex-line-pack:end;align-content:flex-end}.content-between{-ms-flex-line-pack:justify;align-content:space-between}.content-around{-ms-flex-line-pack:distribute;align-content:space-around}.content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.self-auto{-ms-flex-item-align:auto;align-self:auto}.self-start{-ms-flex-item-align:start;align-self:flex-start}.self-end{-ms-flex-item-align:end;align-self:flex-end}.self-center{-ms-flex-item-align:center;align-self:center}.self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.justify-items-auto{justify-items:auto}.justify-items-start{justify-items:start}.justify-items-end{justify-items:end}.justify-items-center{justify-items:center}.justify-items-stretch{justify-items:stretch}.justify-start{-ms-flex-pack:start;justify-content:flex-start}.justify-end{-ms-flex-pack:end;justify-content:flex-end}.justify-center{-ms-flex-pack:center;justify-content:center}.justify-between{-ms-flex-pack:justify;justify-content:space-between}.justify-around{-ms-flex-pack:distribute;justify-content:space-around}.justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.justify-self-auto{justify-self:auto}.justify-self-start{justify-self:start}.justify-self-end{justify-self:end}.justify-self-center{justify-self:center}.justify-self-stretch{justify-self:stretch}.flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.flex-none{-ms-flex:none;flex:none}.flex-grow-0{-ms-flex-positive:0;flex-grow:0}.flex-grow{-ms-flex-positive:1;flex-grow:1}.flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.flex-shrink{-ms-flex-negative:1;flex-shrink:1}.order-1{-ms-flex-order:1;order:1}.order-2{-ms-flex-order:2;order:2}.order-3{-ms-flex-order:3;order:3}.order-4{-ms-flex-order:4;order:4}.order-5{-ms-flex-order:5;order:5}.order-6{-ms-flex-order:6;order:6}.order-7{-ms-flex-order:7;order:7}.order-8{-ms-flex-order:8;order:8}.order-9{-ms-flex-order:9;order:9}.order-10{-ms-flex-order:10;order:10}.order-11{-ms-flex-order:11;order:11}.order-12{-ms-flex-order:12;order:12}.order-first{-ms-flex-order:-9999;order:-9999}.order-last{-ms-flex-order:9999;order:9999}.order-none{-ms-flex-order:0;order:0}.float-right{float:right}.float-left{float:left}.float-none{float:none}.clearfix:after{content:\"\";display:table;clear:both}.clear-left{clear:left}.clear-right{clear:right}.clear-both{clear:both}.clear-none{clear:none}.font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.font-hairline{font-weight:100}.font-thin{font-weight:200}.font-light{font-weight:300}.font-normal{font-weight:400}.font-medium{font-weight:500}.font-semibold{font-weight:600}.font-bold{font-weight:700}.font-extrabold{font-weight:800}.font-black{font-weight:900}.hover\\:font-hairline:hover{font-weight:100}.hover\\:font-thin:hover{font-weight:200}.hover\\:font-light:hover{font-weight:300}.hover\\:font-normal:hover{font-weight:400}.hover\\:font-medium:hover{font-weight:500}.hover\\:font-semibold:hover{font-weight:600}.hover\\:font-bold:hover{font-weight:700}.hover\\:font-extrabold:hover{font-weight:800}.hover\\:font-black:hover{font-weight:900}.focus\\:font-hairline:focus{font-weight:100}.focus\\:font-thin:focus{font-weight:200}.focus\\:font-light:focus{font-weight:300}.focus\\:font-normal:focus{font-weight:400}.focus\\:font-medium:focus{font-weight:500}.focus\\:font-semibold:focus{font-weight:600}.focus\\:font-bold:focus{font-weight:700}.focus\\:font-extrabold:focus{font-weight:800}.focus\\:font-black:focus{font-weight:900}.h-0{height:0}.h-1{height:0.25rem}.h-2{height:0.5rem}.h-3{height:0.75rem}.h-4{height:1rem}.h-5{height:1.25rem}.h-6{height:1.5rem}.h-8{height:2rem}.h-10{height:2.5rem}.h-12{height:3rem}.h-16{height:4rem}.h-20{height:5rem}.h-24{height:6rem}.h-32{height:8rem}.h-40{height:10rem}.h-48{height:12rem}.h-56{height:14rem}.h-64{height:16rem}.h-auto{height:auto}.h-px{height:1px}.h-full{height:100%}.h-screen{height:100vh}.text-xs{font-size:0.75rem}.text-sm{font-size:0.875rem}.text-base{font-size:1rem}.text-lg{font-size:1.125rem}.text-xl{font-size:1.25rem}.text-2xl{font-size:1.5rem}.text-3xl{font-size:1.875rem}.text-4xl{font-size:2.25rem}.text-5xl{font-size:3rem}.text-6xl{font-size:4rem}.leading-3{line-height:.75rem}.leading-4{line-height:1rem}.leading-5{line-height:1.25rem}.leading-6{line-height:1.5rem}.leading-7{line-height:1.75rem}.leading-8{line-height:2rem}.leading-9{line-height:2.25rem}.leading-10{line-height:2.5rem}.leading-none{line-height:1}.leading-tight{line-height:1.25}.leading-snug{line-height:1.375}.leading-normal{line-height:1.5}.leading-relaxed{line-height:1.625}.leading-loose{line-height:2}.list-inside{list-style-position:inside}.list-outside{list-style-position:outside}.list-none{list-style-type:none}.list-disc{list-style-type:disc}.list-decimal{list-style-type:decimal}.m-0{margin:0}.m-1{margin:0.25rem}.m-2{margin:0.5rem}.m-3{margin:0.75rem}.m-4{margin:1rem}.m-5{margin:1.25rem}.m-6{margin:1.5rem}.m-8{margin:2rem}.m-10{margin:2.5rem}.m-12{margin:3rem}.m-16{margin:4rem}.m-20{margin:5rem}.m-24{margin:6rem}.m-32{margin:8rem}.m-40{margin:10rem}.m-48{margin:12rem}.m-56{margin:14rem}.m-64{margin:16rem}.m-auto{margin:auto}.m-px{margin:1px}.-m-1{margin:-0.25rem}.-m-2{margin:-0.5rem}.-m-3{margin:-0.75rem}.-m-4{margin:-1rem}.-m-5{margin:-1.25rem}.-m-6{margin:-1.5rem}.-m-8{margin:-2rem}.-m-10{margin:-2.5rem}.-m-12{margin:-3rem}.-m-16{margin:-4rem}.-m-20{margin:-5rem}.-m-24{margin:-6rem}.-m-32{margin:-8rem}.-m-40{margin:-10rem}.-m-48{margin:-12rem}.-m-56{margin:-14rem}.-m-64{margin:-16rem}.-m-px{margin:-1px}.my-0{margin-top:0;margin-bottom:0}.mx-0{margin-left:0;margin-right:0}.my-1{margin-top:0.25rem;margin-bottom:0.25rem}.mx-1{margin-left:0.25rem;margin-right:0.25rem}.my-2{margin-top:0.5rem;margin-bottom:0.5rem}.mx-2{margin-left:0.5rem;margin-right:0.5rem}.my-3{margin-top:0.75rem;margin-bottom:0.75rem}.mx-3{margin-left:0.75rem;margin-right:0.75rem}.my-4{margin-top:1rem;margin-bottom:1rem}.mx-4{margin-left:1rem;margin-right:1rem}.my-5{margin-top:1.25rem;margin-bottom:1.25rem}.mx-5{margin-left:1.25rem;margin-right:1.25rem}.my-6{margin-top:1.5rem;margin-bottom:1.5rem}.mx-6{margin-left:1.5rem;margin-right:1.5rem}.my-8{margin-top:2rem;margin-bottom:2rem}.mx-8{margin-left:2rem;margin-right:2rem}.my-10{margin-top:2.5rem;margin-bottom:2.5rem}.mx-10{margin-left:2.5rem;margin-right:2.5rem}.my-12{margin-top:3rem;margin-bottom:3rem}.mx-12{margin-left:3rem;margin-right:3rem}.my-16{margin-top:4rem;margin-bottom:4rem}.mx-16{margin-left:4rem;margin-right:4rem}.my-20{margin-top:5rem;margin-bottom:5rem}.mx-20{margin-left:5rem;margin-right:5rem}.my-24{margin-top:6rem;margin-bottom:6rem}.mx-24{margin-left:6rem;margin-right:6rem}.my-32{margin-top:8rem;margin-bottom:8rem}.mx-32{margin-left:8rem;margin-right:8rem}.my-40{margin-top:10rem;margin-bottom:10rem}.mx-40{margin-left:10rem;margin-right:10rem}.my-48{margin-top:12rem;margin-bottom:12rem}.mx-48{margin-left:12rem;margin-right:12rem}.my-56{margin-top:14rem;margin-bottom:14rem}.mx-56{margin-left:14rem;margin-right:14rem}.my-64{margin-top:16rem;margin-bottom:16rem}.mx-64{margin-left:16rem;margin-right:16rem}.my-auto{margin-top:auto;margin-bottom:auto}.mx-auto{margin-left:auto;margin-right:auto}.my-px{margin-top:1px;margin-bottom:1px}.mx-px{margin-left:1px;margin-right:1px}.-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.-my-4{margin-top:-1rem;margin-bottom:-1rem}.-mx-4{margin-left:-1rem;margin-right:-1rem}.-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.-my-8{margin-top:-2rem;margin-bottom:-2rem}.-mx-8{margin-left:-2rem;margin-right:-2rem}.-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.-my-12{margin-top:-3rem;margin-bottom:-3rem}.-mx-12{margin-left:-3rem;margin-right:-3rem}.-my-16{margin-top:-4rem;margin-bottom:-4rem}.-mx-16{margin-left:-4rem;margin-right:-4rem}.-my-20{margin-top:-5rem;margin-bottom:-5rem}.-mx-20{margin-left:-5rem;margin-right:-5rem}.-my-24{margin-top:-6rem;margin-bottom:-6rem}.-mx-24{margin-left:-6rem;margin-right:-6rem}.-my-32{margin-top:-8rem;margin-bottom:-8rem}.-mx-32{margin-left:-8rem;margin-right:-8rem}.-my-40{margin-top:-10rem;margin-bottom:-10rem}.-mx-40{margin-left:-10rem;margin-right:-10rem}.-my-48{margin-top:-12rem;margin-bottom:-12rem}.-mx-48{margin-left:-12rem;margin-right:-12rem}.-my-56{margin-top:-14rem;margin-bottom:-14rem}.-mx-56{margin-left:-14rem;margin-right:-14rem}.-my-64{margin-top:-16rem;margin-bottom:-16rem}.-mx-64{margin-left:-16rem;margin-right:-16rem}.-my-px{margin-top:-1px;margin-bottom:-1px}.-mx-px{margin-left:-1px;margin-right:-1px}.mt-0{margin-top:0}.mr-0{margin-right:0}.mb-0{margin-bottom:0}.ml-0{margin-left:0}.mt-1{margin-top:0.25rem}.mr-1{margin-right:0.25rem}.mb-1{margin-bottom:0.25rem}.ml-1{margin-left:0.25rem}.mt-2{margin-top:0.5rem}.mr-2{margin-right:0.5rem}.mb-2{margin-bottom:0.5rem}.ml-2{margin-left:0.5rem}.mt-3{margin-top:0.75rem}.mr-3{margin-right:0.75rem}.mb-3{margin-bottom:0.75rem}.ml-3{margin-left:0.75rem}.mt-4{margin-top:1rem}.mr-4{margin-right:1rem}.mb-4{margin-bottom:1rem}.ml-4{margin-left:1rem}.mt-5{margin-top:1.25rem}.mr-5{margin-right:1.25rem}.mb-5{margin-bottom:1.25rem}.ml-5{margin-left:1.25rem}.mt-6{margin-top:1.5rem}.mr-6{margin-right:1.5rem}.mb-6{margin-bottom:1.5rem}.ml-6{margin-left:1.5rem}.mt-8{margin-top:2rem}.mr-8{margin-right:2rem}.mb-8{margin-bottom:2rem}.ml-8{margin-left:2rem}.mt-10{margin-top:2.5rem}.mr-10{margin-right:2.5rem}.mb-10{margin-bottom:2.5rem}.ml-10{margin-left:2.5rem}.mt-12{margin-top:3rem}.mr-12{margin-right:3rem}.mb-12{margin-bottom:3rem}.ml-12{margin-left:3rem}.mt-16{margin-top:4rem}.mr-16{margin-right:4rem}.mb-16{margin-bottom:4rem}.ml-16{margin-left:4rem}.mt-20{margin-top:5rem}.mr-20{margin-right:5rem}.mb-20{margin-bottom:5rem}.ml-20{margin-left:5rem}.mt-24{margin-top:6rem}.mr-24{margin-right:6rem}.mb-24{margin-bottom:6rem}.ml-24{margin-left:6rem}.mt-32{margin-top:8rem}.mr-32{margin-right:8rem}.mb-32{margin-bottom:8rem}.ml-32{margin-left:8rem}.mt-40{margin-top:10rem}.mr-40{margin-right:10rem}.mb-40{margin-bottom:10rem}.ml-40{margin-left:10rem}.mt-48{margin-top:12rem}.mr-48{margin-right:12rem}.mb-48{margin-bottom:12rem}.ml-48{margin-left:12rem}.mt-56{margin-top:14rem}.mr-56{margin-right:14rem}.mb-56{margin-bottom:14rem}.ml-56{margin-left:14rem}.mt-64{margin-top:16rem}.mr-64{margin-right:16rem}.mb-64{margin-bottom:16rem}.ml-64{margin-left:16rem}.mt-auto{margin-top:auto}.mr-auto{margin-right:auto}.mb-auto{margin-bottom:auto}.ml-auto{margin-left:auto}.mt-px{margin-top:1px}.mr-px{margin-right:1px}.mb-px{margin-bottom:1px}.ml-px{margin-left:1px}.-mt-1{margin-top:-0.25rem}.-mr-1{margin-right:-0.25rem}.-mb-1{margin-bottom:-0.25rem}.-ml-1{margin-left:-0.25rem}.-mt-2{margin-top:-0.5rem}.-mr-2{margin-right:-0.5rem}.-mb-2{margin-bottom:-0.5rem}.-ml-2{margin-left:-0.5rem}.-mt-3{margin-top:-0.75rem}.-mr-3{margin-right:-0.75rem}.-mb-3{margin-bottom:-0.75rem}.-ml-3{margin-left:-0.75rem}.-mt-4{margin-top:-1rem}.-mr-4{margin-right:-1rem}.-mb-4{margin-bottom:-1rem}.-ml-4{margin-left:-1rem}.-mt-5{margin-top:-1.25rem}.-mr-5{margin-right:-1.25rem}.-mb-5{margin-bottom:-1.25rem}.-ml-5{margin-left:-1.25rem}.-mt-6{margin-top:-1.5rem}.-mr-6{margin-right:-1.5rem}.-mb-6{margin-bottom:-1.5rem}.-ml-6{margin-left:-1.5rem}.-mt-8{margin-top:-2rem}.-mr-8{margin-right:-2rem}.-mb-8{margin-bottom:-2rem}.-ml-8{margin-left:-2rem}.-mt-10{margin-top:-2.5rem}.-mr-10{margin-right:-2.5rem}.-mb-10{margin-bottom:-2.5rem}.-ml-10{margin-left:-2.5rem}.-mt-12{margin-top:-3rem}.-mr-12{margin-right:-3rem}.-mb-12{margin-bottom:-3rem}.-ml-12{margin-left:-3rem}.-mt-16{margin-top:-4rem}.-mr-16{margin-right:-4rem}.-mb-16{margin-bottom:-4rem}.-ml-16{margin-left:-4rem}.-mt-20{margin-top:-5rem}.-mr-20{margin-right:-5rem}.-mb-20{margin-bottom:-5rem}.-ml-20{margin-left:-5rem}.-mt-24{margin-top:-6rem}.-mr-24{margin-right:-6rem}.-mb-24{margin-bottom:-6rem}.-ml-24{margin-left:-6rem}.-mt-32{margin-top:-8rem}.-mr-32{margin-right:-8rem}.-mb-32{margin-bottom:-8rem}.-ml-32{margin-left:-8rem}.-mt-40{margin-top:-10rem}.-mr-40{margin-right:-10rem}.-mb-40{margin-bottom:-10rem}.-ml-40{margin-left:-10rem}.-mt-48{margin-top:-12rem}.-mr-48{margin-right:-12rem}.-mb-48{margin-bottom:-12rem}.-ml-48{margin-left:-12rem}.-mt-56{margin-top:-14rem}.-mr-56{margin-right:-14rem}.-mb-56{margin-bottom:-14rem}.-ml-56{margin-left:-14rem}.-mt-64{margin-top:-16rem}.-mr-64{margin-right:-16rem}.-mb-64{margin-bottom:-16rem}.-ml-64{margin-left:-16rem}.-mt-px{margin-top:-1px}.-mr-px{margin-right:-1px}.-mb-px{margin-bottom:-1px}.-ml-px{margin-left:-1px}.max-h-full{max-height:100%}.max-h-screen{max-height:100vh}.max-w-none{max-width:none}.max-w-xs{max-width:20rem}.max-w-sm{max-width:24rem}.max-w-md{max-width:28rem}.max-w-lg{max-width:32rem}.max-w-xl{max-width:36rem}.max-w-2xl{max-width:42rem}.max-w-3xl{max-width:48rem}.max-w-4xl{max-width:56rem}.max-w-5xl{max-width:64rem}.max-w-6xl{max-width:72rem}.max-w-full{max-width:100%}.max-w-screen-sm{max-width:640px}.max-w-screen-md{max-width:768px}.max-w-screen-lg{max-width:1024px}.max-w-screen-xl{max-width:1280px}.min-h-0{min-height:0}.min-h-full{min-height:100%}.min-h-screen{min-height:100vh}.min-w-0{min-width:0}.min-w-full{min-width:100%}.object-contain{-o-object-fit:contain;object-fit:contain}.object-cover{-o-object-fit:cover;object-fit:cover}.object-fill{-o-object-fit:fill;object-fit:fill}.object-none{-o-object-fit:none;object-fit:none}.object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.object-bottom{-o-object-position:bottom;object-position:bottom}.object-center{-o-object-position:center;object-position:center}.object-left{-o-object-position:left;object-position:left}.object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.object-left-top{-o-object-position:left top;object-position:left top}.object-right{-o-object-position:right;object-position:right}.object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.object-right-top{-o-object-position:right top;object-position:right top}.object-top{-o-object-position:top;object-position:top}.opacity-0{opacity:0}.opacity-25{opacity:0.25}.opacity-50{opacity:0.5}.opacity-75{opacity:0.75}.opacity-100{opacity:1}.hover\\:opacity-0:hover{opacity:0}.hover\\:opacity-25:hover{opacity:0.25}.hover\\:opacity-50:hover{opacity:0.5}.hover\\:opacity-75:hover{opacity:0.75}.hover\\:opacity-100:hover{opacity:1}.focus\\:opacity-0:focus{opacity:0}.focus\\:opacity-25:focus{opacity:0.25}.focus\\:opacity-50:focus{opacity:0.5}.focus\\:opacity-75:focus{opacity:0.75}.focus\\:opacity-100:focus{opacity:1}.outline-none{outline:0}.focus\\:outline-none:focus{outline:0}.overflow-auto{overflow:auto}.overflow-hidden{overflow:hidden}.overflow-visible{overflow:visible}.overflow-scroll{overflow:scroll}.overflow-x-auto{overflow-x:auto}.overflow-y-auto{overflow-y:auto}.overflow-x-hidden{overflow-x:hidden}.overflow-y-hidden{overflow-y:hidden}.overflow-x-visible{overflow-x:visible}.overflow-y-visible{overflow-y:visible}.overflow-x-scroll{overflow-x:scroll}.overflow-y-scroll{overflow-y:scroll}.scrolling-touch{-webkit-overflow-scrolling:touch}.scrolling-auto{-webkit-overflow-scrolling:auto}.overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.overscroll-y-auto{overscroll-behavior-y:auto}.overscroll-y-contain{overscroll-behavior-y:contain}.overscroll-y-none{overscroll-behavior-y:none}.overscroll-x-auto{overscroll-behavior-x:auto}.overscroll-x-contain{overscroll-behavior-x:contain}.overscroll-x-none{overscroll-behavior-x:none}.p-0{padding:0}.p-1{padding:0.25rem}.p-2{padding:0.5rem}.p-3{padding:0.75rem}.p-4{padding:1rem}.p-5{padding:1.25rem}.p-6{padding:1.5rem}.p-8{padding:2rem}.p-10{padding:2.5rem}.p-12{padding:3rem}.p-16{padding:4rem}.p-20{padding:5rem}.p-24{padding:6rem}.p-32{padding:8rem}.p-40{padding:10rem}.p-48{padding:12rem}.p-56{padding:14rem}.p-64{padding:16rem}.p-px{padding:1px}.py-0{padding-top:0;padding-bottom:0}.px-0{padding-left:0;padding-right:0}.py-1{padding-top:0.25rem;padding-bottom:0.25rem}.px-1{padding-left:0.25rem;padding-right:0.25rem}.py-2{padding-top:0.5rem;padding-bottom:0.5rem}.px-2{padding-left:0.5rem;padding-right:0.5rem}.py-3{padding-top:0.75rem;padding-bottom:0.75rem}.px-3{padding-left:0.75rem;padding-right:0.75rem}.py-4{padding-top:1rem;padding-bottom:1rem}.px-4{padding-left:1rem;padding-right:1rem}.py-5{padding-top:1.25rem;padding-bottom:1.25rem}.px-5{padding-left:1.25rem;padding-right:1.25rem}.py-6{padding-top:1.5rem;padding-bottom:1.5rem}.px-6{padding-left:1.5rem;padding-right:1.5rem}.py-8{padding-top:2rem;padding-bottom:2rem}.px-8{padding-left:2rem;padding-right:2rem}.py-10{padding-top:2.5rem;padding-bottom:2.5rem}.px-10{padding-left:2.5rem;padding-right:2.5rem}.py-12{padding-top:3rem;padding-bottom:3rem}.px-12{padding-left:3rem;padding-right:3rem}.py-16{padding-top:4rem;padding-bottom:4rem}.px-16{padding-left:4rem;padding-right:4rem}.py-20{padding-top:5rem;padding-bottom:5rem}.px-20{padding-left:5rem;padding-right:5rem}.py-24{padding-top:6rem;padding-bottom:6rem}.px-24{padding-left:6rem;padding-right:6rem}.py-32{padding-top:8rem;padding-bottom:8rem}.px-32{padding-left:8rem;padding-right:8rem}.py-40{padding-top:10rem;padding-bottom:10rem}.px-40{padding-left:10rem;padding-right:10rem}.py-48{padding-top:12rem;padding-bottom:12rem}.px-48{padding-left:12rem;padding-right:12rem}.py-56{padding-top:14rem;padding-bottom:14rem}.px-56{padding-left:14rem;padding-right:14rem}.py-64{padding-top:16rem;padding-bottom:16rem}.px-64{padding-left:16rem;padding-right:16rem}.py-px{padding-top:1px;padding-bottom:1px}.px-px{padding-left:1px;padding-right:1px}.pt-0{padding-top:0}.pr-0{padding-right:0}.pb-0{padding-bottom:0}.pl-0{padding-left:0}.pt-1{padding-top:0.25rem}.pr-1{padding-right:0.25rem}.pb-1{padding-bottom:0.25rem}.pl-1{padding-left:0.25rem}.pt-2{padding-top:0.5rem}.pr-2{padding-right:0.5rem}.pb-2{padding-bottom:0.5rem}.pl-2{padding-left:0.5rem}.pt-3{padding-top:0.75rem}.pr-3{padding-right:0.75rem}.pb-3{padding-bottom:0.75rem}.pl-3{padding-left:0.75rem}.pt-4{padding-top:1rem}.pr-4{padding-right:1rem}.pb-4{padding-bottom:1rem}.pl-4{padding-left:1rem}.pt-5{padding-top:1.25rem}.pr-5{padding-right:1.25rem}.pb-5{padding-bottom:1.25rem}.pl-5{padding-left:1.25rem}.pt-6{padding-top:1.5rem}.pr-6{padding-right:1.5rem}.pb-6{padding-bottom:1.5rem}.pl-6{padding-left:1.5rem}.pt-8{padding-top:2rem}.pr-8{padding-right:2rem}.pb-8{padding-bottom:2rem}.pl-8{padding-left:2rem}.pt-10{padding-top:2.5rem}.pr-10{padding-right:2.5rem}.pb-10{padding-bottom:2.5rem}.pl-10{padding-left:2.5rem}.pt-12{padding-top:3rem}.pr-12{padding-right:3rem}.pb-12{padding-bottom:3rem}.pl-12{padding-left:3rem}.pt-16{padding-top:4rem}.pr-16{padding-right:4rem}.pb-16{padding-bottom:4rem}.pl-16{padding-left:4rem}.pt-20{padding-top:5rem}.pr-20{padding-right:5rem}.pb-20{padding-bottom:5rem}.pl-20{padding-left:5rem}.pt-24{padding-top:6rem}.pr-24{padding-right:6rem}.pb-24{padding-bottom:6rem}.pl-24{padding-left:6rem}.pt-32{padding-top:8rem}.pr-32{padding-right:8rem}.pb-32{padding-bottom:8rem}.pl-32{padding-left:8rem}.pt-40{padding-top:10rem}.pr-40{padding-right:10rem}.pb-40{padding-bottom:10rem}.pl-40{padding-left:10rem}.pt-48{padding-top:12rem}.pr-48{padding-right:12rem}.pb-48{padding-bottom:12rem}.pl-48{padding-left:12rem}.pt-56{padding-top:14rem}.pr-56{padding-right:14rem}.pb-56{padding-bottom:14rem}.pl-56{padding-left:14rem}.pt-64{padding-top:16rem}.pr-64{padding-right:16rem}.pb-64{padding-bottom:16rem}.pl-64{padding-left:16rem}.pt-px{padding-top:1px}.pr-px{padding-right:1px}.pb-px{padding-bottom:1px}.pl-px{padding-left:1px}.placeholder-transparent::-webkit-input-placeholder{color:transparent}.placeholder-transparent::-moz-placeholder{color:transparent}.placeholder-transparent:-ms-input-placeholder{color:transparent}.placeholder-transparent::-ms-input-placeholder{color:transparent}.placeholder-transparent::placeholder{color:transparent}.placeholder-current::-webkit-input-placeholder{color:currentColor}.placeholder-current::-moz-placeholder{color:currentColor}.placeholder-current:-ms-input-placeholder{color:currentColor}.placeholder-current::-ms-input-placeholder{color:currentColor}.placeholder-current::placeholder{color:currentColor}.placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.focus\\:placeholder-transparent:focus::placeholder{color:transparent}.focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.focus\\:placeholder-current:focus::placeholder{color:currentColor}.focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.placeholder-opacity-0::placeholder{--placeholder-opacity:0}.placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.placeholder-opacity-100::placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.pointer-events-none{pointer-events:none}.pointer-events-auto{pointer-events:auto}.static{position:static}.fixed{position:fixed}.absolute{position:absolute}.relative{position:relative}.sticky{position:-webkit-sticky;position:sticky}.inset-0{top:0;right:0;bottom:0;left:0}.inset-auto{top:auto;right:auto;bottom:auto;left:auto}.inset-y-0{top:0;bottom:0}.inset-x-0{right:0;left:0}.inset-y-auto{top:auto;bottom:auto}.inset-x-auto{right:auto;left:auto}.top-0{top:0}.right-0{right:0}.bottom-0{bottom:0}.left-0{left:0}.top-auto{top:auto}.right-auto{right:auto}.bottom-auto{bottom:auto}.left-auto{left:auto}.resize-none{resize:none}.resize-y{resize:vertical}.resize-x{resize:horizontal}.resize{resize:both}.shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.shadow-none{-webkit-box-shadow:none;box-shadow:none}.hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.fill-current{fill:currentColor}.stroke-current{stroke:currentColor}.stroke-0{stroke-width:0}.stroke-1{stroke-width:1}.stroke-2{stroke-width:2}.table-auto{table-layout:auto}.table-fixed{table-layout:fixed}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.text-justify{text-align:justify}.text-transparent{color:transparent}.text-current{color:currentColor}.text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.hover\\:text-transparent:hover{color:transparent}.hover\\:text-current:hover{color:currentColor}.hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.focus\\:text-transparent:focus{color:transparent}.focus\\:text-current:focus{color:currentColor}.focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.text-opacity-0{--text-opacity:0}.text-opacity-25{--text-opacity:0.25}.text-opacity-50{--text-opacity:0.5}.text-opacity-75{--text-opacity:0.75}.text-opacity-100{--text-opacity:1}.hover\\:text-opacity-0:hover{--text-opacity:0}.hover\\:text-opacity-25:hover{--text-opacity:0.25}.hover\\:text-opacity-50:hover{--text-opacity:0.5}.hover\\:text-opacity-75:hover{--text-opacity:0.75}.hover\\:text-opacity-100:hover{--text-opacity:1}.focus\\:text-opacity-0:focus{--text-opacity:0}.focus\\:text-opacity-25:focus{--text-opacity:0.25}.focus\\:text-opacity-50:focus{--text-opacity:0.5}.focus\\:text-opacity-75:focus{--text-opacity:0.75}.focus\\:text-opacity-100:focus{--text-opacity:1}.italic{font-style:italic}.not-italic{font-style:normal}.uppercase{text-transform:uppercase}.lowercase{text-transform:lowercase}.capitalize{text-transform:capitalize}.normal-case{text-transform:none}.underline{text-decoration:underline}.line-through{text-decoration:line-through}.no-underline{text-decoration:none}.hover\\:underline:hover{text-decoration:underline}.hover\\:line-through:hover{text-decoration:line-through}.hover\\:no-underline:hover{text-decoration:none}.focus\\:underline:focus{text-decoration:underline}.focus\\:line-through:focus{text-decoration:line-through}.focus\\:no-underline:focus{text-decoration:none}.antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.ordinal,.slashed-zero,.lining-nums,.oldstyle-nums,.proportional-nums,.tabular-nums,.diagonal-fractions,.stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.normal-nums{font-variant-numeric:normal}.ordinal{--font-variant-numeric-ordinal:ordinal}.slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.lining-nums{--font-variant-numeric-figure:lining-nums}.oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.proportional-nums{--font-variant-numeric-spacing:proportional-nums}.tabular-nums{--font-variant-numeric-spacing:tabular-nums}.diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.tracking-tighter{letter-spacing:-0.05em}.tracking-tight{letter-spacing:-0.025em}.tracking-normal{letter-spacing:0}.tracking-wide{letter-spacing:0.025em}.tracking-wider{letter-spacing:0.05em}.tracking-widest{letter-spacing:0.1em}.select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.align-baseline{vertical-align:baseline}.align-top{vertical-align:top}.align-middle{vertical-align:middle}.align-bottom{vertical-align:bottom}.align-text-top{vertical-align:text-top}.align-text-bottom{vertical-align:text-bottom}.visible{visibility:visible}.invisible{visibility:hidden}.whitespace-normal{white-space:normal}.whitespace-no-wrap{white-space:nowrap}.whitespace-pre{white-space:pre}.whitespace-pre-line{white-space:pre-line}.whitespace-pre-wrap{white-space:pre-wrap}.break-normal{overflow-wrap:normal;word-break:normal}.break-words{overflow-wrap:break-word}.break-all{word-break:break-all}.truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.w-0{width:0}.w-1{width:0.25rem}.w-2{width:0.5rem}.w-3{width:0.75rem}.w-4{width:1rem}.w-5{width:1.25rem}.w-6{width:1.5rem}.w-8{width:2rem}.w-10{width:2.5rem}.w-12{width:3rem}.w-16{width:4rem}.w-20{width:5rem}.w-24{width:6rem}.w-32{width:8rem}.w-40{width:10rem}.w-48{width:12rem}.w-56{width:14rem}.w-64{width:16rem}.w-auto{width:auto}.w-px{width:1px}.w-1\\/2{width:50%}.w-1\\/3{width:33.333333%}.w-2\\/3{width:66.666667%}.w-1\\/4{width:25%}.w-2\\/4{width:50%}.w-3\\/4{width:75%}.w-1\\/5{width:20%}.w-2\\/5{width:40%}.w-3\\/5{width:60%}.w-4\\/5{width:80%}.w-1\\/6{width:16.666667%}.w-2\\/6{width:33.333333%}.w-3\\/6{width:50%}.w-4\\/6{width:66.666667%}.w-5\\/6{width:83.333333%}.w-1\\/12{width:8.333333%}.w-2\\/12{width:16.666667%}.w-3\\/12{width:25%}.w-4\\/12{width:33.333333%}.w-5\\/12{width:41.666667%}.w-6\\/12{width:50%}.w-7\\/12{width:58.333333%}.w-8\\/12{width:66.666667%}.w-9\\/12{width:75%}.w-10\\/12{width:83.333333%}.w-11\\/12{width:91.666667%}.w-full{width:100%}.w-screen{width:100vw}.z-0{z-index:0}.z-10{z-index:10}.z-20{z-index:20}.z-30{z-index:30}.z-40{z-index:40}.z-50{z-index:50}.z-auto{z-index:auto}.gap-0{grid-gap:0;gap:0}.gap-1{grid-gap:0.25rem;gap:0.25rem}.gap-2{grid-gap:0.5rem;gap:0.5rem}.gap-3{grid-gap:0.75rem;gap:0.75rem}.gap-4{grid-gap:1rem;gap:1rem}.gap-5{grid-gap:1.25rem;gap:1.25rem}.gap-6{grid-gap:1.5rem;gap:1.5rem}.gap-8{grid-gap:2rem;gap:2rem}.gap-10{grid-gap:2.5rem;gap:2.5rem}.gap-12{grid-gap:3rem;gap:3rem}.gap-16{grid-gap:4rem;gap:4rem}.gap-20{grid-gap:5rem;gap:5rem}.gap-24{grid-gap:6rem;gap:6rem}.gap-32{grid-gap:8rem;gap:8rem}.gap-40{grid-gap:10rem;gap:10rem}.gap-48{grid-gap:12rem;gap:12rem}.gap-56{grid-gap:14rem;gap:14rem}.gap-64{grid-gap:16rem;gap:16rem}.gap-px{grid-gap:1px;gap:1px}.gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.gap-y-0{grid-row-gap:0;row-gap:0}.gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.gap-y-4{grid-row-gap:1rem;row-gap:1rem}.gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.gap-y-8{grid-row-gap:2rem;row-gap:2rem}.gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.gap-y-12{grid-row-gap:3rem;row-gap:3rem}.gap-y-16{grid-row-gap:4rem;row-gap:4rem}.gap-y-20{grid-row-gap:5rem;row-gap:5rem}.gap-y-24{grid-row-gap:6rem;row-gap:6rem}.gap-y-32{grid-row-gap:8rem;row-gap:8rem}.gap-y-40{grid-row-gap:10rem;row-gap:10rem}.gap-y-48{grid-row-gap:12rem;row-gap:12rem}.gap-y-56{grid-row-gap:14rem;row-gap:14rem}.gap-y-64{grid-row-gap:16rem;row-gap:16rem}.gap-y-px{grid-row-gap:1px;row-gap:1px}.grid-flow-row{grid-auto-flow:row}.grid-flow-col{grid-auto-flow:column}.grid-flow-row-dense{grid-auto-flow:row dense}.grid-flow-col-dense{grid-auto-flow:column dense}.grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.grid-cols-none{grid-template-columns:none}.col-auto{grid-column:auto}.col-span-1{grid-column:span 1 / span 1}.col-span-2{grid-column:span 2 / span 2}.col-span-3{grid-column:span 3 / span 3}.col-span-4{grid-column:span 4 / span 4}.col-span-5{grid-column:span 5 / span 5}.col-span-6{grid-column:span 6 / span 6}.col-span-7{grid-column:span 7 / span 7}.col-span-8{grid-column:span 8 / span 8}.col-span-9{grid-column:span 9 / span 9}.col-span-10{grid-column:span 10 / span 10}.col-span-11{grid-column:span 11 / span 11}.col-span-12{grid-column:span 12 / span 12}.col-start-1{grid-column-start:1}.col-start-2{grid-column-start:2}.col-start-3{grid-column-start:3}.col-start-4{grid-column-start:4}.col-start-5{grid-column-start:5}.col-start-6{grid-column-start:6}.col-start-7{grid-column-start:7}.col-start-8{grid-column-start:8}.col-start-9{grid-column-start:9}.col-start-10{grid-column-start:10}.col-start-11{grid-column-start:11}.col-start-12{grid-column-start:12}.col-start-13{grid-column-start:13}.col-start-auto{grid-column-start:auto}.col-end-1{grid-column-end:1}.col-end-2{grid-column-end:2}.col-end-3{grid-column-end:3}.col-end-4{grid-column-end:4}.col-end-5{grid-column-end:5}.col-end-6{grid-column-end:6}.col-end-7{grid-column-end:7}.col-end-8{grid-column-end:8}.col-end-9{grid-column-end:9}.col-end-10{grid-column-end:10}.col-end-11{grid-column-end:11}.col-end-12{grid-column-end:12}.col-end-13{grid-column-end:13}.col-end-auto{grid-column-end:auto}.grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.grid-rows-none{grid-template-rows:none}.row-auto{grid-row:auto}.row-span-1{grid-row:span 1 / span 1}.row-span-2{grid-row:span 2 / span 2}.row-span-3{grid-row:span 3 / span 3}.row-span-4{grid-row:span 4 / span 4}.row-span-5{grid-row:span 5 / span 5}.row-span-6{grid-row:span 6 / span 6}.row-start-1{grid-row-start:1}.row-start-2{grid-row-start:2}.row-start-3{grid-row-start:3}.row-start-4{grid-row-start:4}.row-start-5{grid-row-start:5}.row-start-6{grid-row-start:6}.row-start-7{grid-row-start:7}.row-start-auto{grid-row-start:auto}.row-end-1{grid-row-end:1}.row-end-2{grid-row-end:2}.row-end-3{grid-row-end:3}.row-end-4{grid-row-end:4}.row-end-5{grid-row-end:5}.row-end-6{grid-row-end:6}.row-end-7{grid-row-end:7}.row-end-auto{grid-row-end:auto}.transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.transform-none{-webkit-transform:none;transform:none}.origin-center{-webkit-transform-origin:center;transform-origin:center}.origin-top{-webkit-transform-origin:top;transform-origin:top}.origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.origin-right{-webkit-transform-origin:right;transform-origin:right}.origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.origin-left{-webkit-transform-origin:left;transform-origin:left}.origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.scale-0{--transform-scale-x:0;--transform-scale-y:0}.scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.scale-100{--transform-scale-x:1;--transform-scale-y:1}.scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.scale-x-0{--transform-scale-x:0}.scale-x-50{--transform-scale-x:.5}.scale-x-75{--transform-scale-x:.75}.scale-x-90{--transform-scale-x:.9}.scale-x-95{--transform-scale-x:.95}.scale-x-100{--transform-scale-x:1}.scale-x-105{--transform-scale-x:1.05}.scale-x-110{--transform-scale-x:1.1}.scale-x-125{--transform-scale-x:1.25}.scale-x-150{--transform-scale-x:1.5}.scale-y-0{--transform-scale-y:0}.scale-y-50{--transform-scale-y:.5}.scale-y-75{--transform-scale-y:.75}.scale-y-90{--transform-scale-y:.9}.scale-y-95{--transform-scale-y:.95}.scale-y-100{--transform-scale-y:1}.scale-y-105{--transform-scale-y:1.05}.scale-y-110{--transform-scale-y:1.1}.scale-y-125{--transform-scale-y:1.25}.scale-y-150{--transform-scale-y:1.5}.hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.hover\\:scale-x-0:hover{--transform-scale-x:0}.hover\\:scale-x-50:hover{--transform-scale-x:.5}.hover\\:scale-x-75:hover{--transform-scale-x:.75}.hover\\:scale-x-90:hover{--transform-scale-x:.9}.hover\\:scale-x-95:hover{--transform-scale-x:.95}.hover\\:scale-x-100:hover{--transform-scale-x:1}.hover\\:scale-x-105:hover{--transform-scale-x:1.05}.hover\\:scale-x-110:hover{--transform-scale-x:1.1}.hover\\:scale-x-125:hover{--transform-scale-x:1.25}.hover\\:scale-x-150:hover{--transform-scale-x:1.5}.hover\\:scale-y-0:hover{--transform-scale-y:0}.hover\\:scale-y-50:hover{--transform-scale-y:.5}.hover\\:scale-y-75:hover{--transform-scale-y:.75}.hover\\:scale-y-90:hover{--transform-scale-y:.9}.hover\\:scale-y-95:hover{--transform-scale-y:.95}.hover\\:scale-y-100:hover{--transform-scale-y:1}.hover\\:scale-y-105:hover{--transform-scale-y:1.05}.hover\\:scale-y-110:hover{--transform-scale-y:1.1}.hover\\:scale-y-125:hover{--transform-scale-y:1.25}.hover\\:scale-y-150:hover{--transform-scale-y:1.5}.focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.focus\\:scale-x-0:focus{--transform-scale-x:0}.focus\\:scale-x-50:focus{--transform-scale-x:.5}.focus\\:scale-x-75:focus{--transform-scale-x:.75}.focus\\:scale-x-90:focus{--transform-scale-x:.9}.focus\\:scale-x-95:focus{--transform-scale-x:.95}.focus\\:scale-x-100:focus{--transform-scale-x:1}.focus\\:scale-x-105:focus{--transform-scale-x:1.05}.focus\\:scale-x-110:focus{--transform-scale-x:1.1}.focus\\:scale-x-125:focus{--transform-scale-x:1.25}.focus\\:scale-x-150:focus{--transform-scale-x:1.5}.focus\\:scale-y-0:focus{--transform-scale-y:0}.focus\\:scale-y-50:focus{--transform-scale-y:.5}.focus\\:scale-y-75:focus{--transform-scale-y:.75}.focus\\:scale-y-90:focus{--transform-scale-y:.9}.focus\\:scale-y-95:focus{--transform-scale-y:.95}.focus\\:scale-y-100:focus{--transform-scale-y:1}.focus\\:scale-y-105:focus{--transform-scale-y:1.05}.focus\\:scale-y-110:focus{--transform-scale-y:1.1}.focus\\:scale-y-125:focus{--transform-scale-y:1.25}.focus\\:scale-y-150:focus{--transform-scale-y:1.5}.rotate-0{--transform-rotate:0}.rotate-45{--transform-rotate:45deg}.rotate-90{--transform-rotate:90deg}.rotate-180{--transform-rotate:180deg}.-rotate-180{--transform-rotate:-180deg}.-rotate-90{--transform-rotate:-90deg}.-rotate-45{--transform-rotate:-45deg}.hover\\:rotate-0:hover{--transform-rotate:0}.hover\\:rotate-45:hover{--transform-rotate:45deg}.hover\\:rotate-90:hover{--transform-rotate:90deg}.hover\\:rotate-180:hover{--transform-rotate:180deg}.hover\\:-rotate-180:hover{--transform-rotate:-180deg}.hover\\:-rotate-90:hover{--transform-rotate:-90deg}.hover\\:-rotate-45:hover{--transform-rotate:-45deg}.focus\\:rotate-0:focus{--transform-rotate:0}.focus\\:rotate-45:focus{--transform-rotate:45deg}.focus\\:rotate-90:focus{--transform-rotate:90deg}.focus\\:rotate-180:focus{--transform-rotate:180deg}.focus\\:-rotate-180:focus{--transform-rotate:-180deg}.focus\\:-rotate-90:focus{--transform-rotate:-90deg}.focus\\:-rotate-45:focus{--transform-rotate:-45deg}.translate-x-0{--transform-translate-x:0}.translate-x-1{--transform-translate-x:0.25rem}.translate-x-2{--transform-translate-x:0.5rem}.translate-x-3{--transform-translate-x:0.75rem}.translate-x-4{--transform-translate-x:1rem}.translate-x-5{--transform-translate-x:1.25rem}.translate-x-6{--transform-translate-x:1.5rem}.translate-x-8{--transform-translate-x:2rem}.translate-x-10{--transform-translate-x:2.5rem}.translate-x-12{--transform-translate-x:3rem}.translate-x-16{--transform-translate-x:4rem}.translate-x-20{--transform-translate-x:5rem}.translate-x-24{--transform-translate-x:6rem}.translate-x-32{--transform-translate-x:8rem}.translate-x-40{--transform-translate-x:10rem}.translate-x-48{--transform-translate-x:12rem}.translate-x-56{--transform-translate-x:14rem}.translate-x-64{--transform-translate-x:16rem}.translate-x-px{--transform-translate-x:1px}.-translate-x-1{--transform-translate-x:-0.25rem}.-translate-x-2{--transform-translate-x:-0.5rem}.-translate-x-3{--transform-translate-x:-0.75rem}.-translate-x-4{--transform-translate-x:-1rem}.-translate-x-5{--transform-translate-x:-1.25rem}.-translate-x-6{--transform-translate-x:-1.5rem}.-translate-x-8{--transform-translate-x:-2rem}.-translate-x-10{--transform-translate-x:-2.5rem}.-translate-x-12{--transform-translate-x:-3rem}.-translate-x-16{--transform-translate-x:-4rem}.-translate-x-20{--transform-translate-x:-5rem}.-translate-x-24{--transform-translate-x:-6rem}.-translate-x-32{--transform-translate-x:-8rem}.-translate-x-40{--transform-translate-x:-10rem}.-translate-x-48{--transform-translate-x:-12rem}.-translate-x-56{--transform-translate-x:-14rem}.-translate-x-64{--transform-translate-x:-16rem}.-translate-x-px{--transform-translate-x:-1px}.-translate-x-full{--transform-translate-x:-100%}.-translate-x-1\\/2{--transform-translate-x:-50%}.translate-x-1\\/2{--transform-translate-x:50%}.translate-x-full{--transform-translate-x:100%}.translate-y-0{--transform-translate-y:0}.translate-y-1{--transform-translate-y:0.25rem}.translate-y-2{--transform-translate-y:0.5rem}.translate-y-3{--transform-translate-y:0.75rem}.translate-y-4{--transform-translate-y:1rem}.translate-y-5{--transform-translate-y:1.25rem}.translate-y-6{--transform-translate-y:1.5rem}.translate-y-8{--transform-translate-y:2rem}.translate-y-10{--transform-translate-y:2.5rem}.translate-y-12{--transform-translate-y:3rem}.translate-y-16{--transform-translate-y:4rem}.translate-y-20{--transform-translate-y:5rem}.translate-y-24{--transform-translate-y:6rem}.translate-y-32{--transform-translate-y:8rem}.translate-y-40{--transform-translate-y:10rem}.translate-y-48{--transform-translate-y:12rem}.translate-y-56{--transform-translate-y:14rem}.translate-y-64{--transform-translate-y:16rem}.translate-y-px{--transform-translate-y:1px}.-translate-y-1{--transform-translate-y:-0.25rem}.-translate-y-2{--transform-translate-y:-0.5rem}.-translate-y-3{--transform-translate-y:-0.75rem}.-translate-y-4{--transform-translate-y:-1rem}.-translate-y-5{--transform-translate-y:-1.25rem}.-translate-y-6{--transform-translate-y:-1.5rem}.-translate-y-8{--transform-translate-y:-2rem}.-translate-y-10{--transform-translate-y:-2.5rem}.-translate-y-12{--transform-translate-y:-3rem}.-translate-y-16{--transform-translate-y:-4rem}.-translate-y-20{--transform-translate-y:-5rem}.-translate-y-24{--transform-translate-y:-6rem}.-translate-y-32{--transform-translate-y:-8rem}.-translate-y-40{--transform-translate-y:-10rem}.-translate-y-48{--transform-translate-y:-12rem}.-translate-y-56{--transform-translate-y:-14rem}.-translate-y-64{--transform-translate-y:-16rem}.-translate-y-px{--transform-translate-y:-1px}.-translate-y-full{--transform-translate-y:-100%}.-translate-y-1\\/2{--transform-translate-y:-50%}.translate-y-1\\/2{--transform-translate-y:50%}.translate-y-full{--transform-translate-y:100%}.hover\\:translate-x-0:hover{--transform-translate-x:0}.hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.hover\\:translate-x-4:hover{--transform-translate-x:1rem}.hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.hover\\:translate-x-8:hover{--transform-translate-x:2rem}.hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.hover\\:translate-x-12:hover{--transform-translate-x:3rem}.hover\\:translate-x-16:hover{--transform-translate-x:4rem}.hover\\:translate-x-20:hover{--transform-translate-x:5rem}.hover\\:translate-x-24:hover{--transform-translate-x:6rem}.hover\\:translate-x-32:hover{--transform-translate-x:8rem}.hover\\:translate-x-40:hover{--transform-translate-x:10rem}.hover\\:translate-x-48:hover{--transform-translate-x:12rem}.hover\\:translate-x-56:hover{--transform-translate-x:14rem}.hover\\:translate-x-64:hover{--transform-translate-x:16rem}.hover\\:translate-x-px:hover{--transform-translate-x:1px}.hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.hover\\:translate-x-full:hover{--transform-translate-x:100%}.hover\\:translate-y-0:hover{--transform-translate-y:0}.hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.hover\\:translate-y-4:hover{--transform-translate-y:1rem}.hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.hover\\:translate-y-8:hover{--transform-translate-y:2rem}.hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.hover\\:translate-y-12:hover{--transform-translate-y:3rem}.hover\\:translate-y-16:hover{--transform-translate-y:4rem}.hover\\:translate-y-20:hover{--transform-translate-y:5rem}.hover\\:translate-y-24:hover{--transform-translate-y:6rem}.hover\\:translate-y-32:hover{--transform-translate-y:8rem}.hover\\:translate-y-40:hover{--transform-translate-y:10rem}.hover\\:translate-y-48:hover{--transform-translate-y:12rem}.hover\\:translate-y-56:hover{--transform-translate-y:14rem}.hover\\:translate-y-64:hover{--transform-translate-y:16rem}.hover\\:translate-y-px:hover{--transform-translate-y:1px}.hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.hover\\:translate-y-full:hover{--transform-translate-y:100%}.focus\\:translate-x-0:focus{--transform-translate-x:0}.focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.focus\\:translate-x-4:focus{--transform-translate-x:1rem}.focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.focus\\:translate-x-8:focus{--transform-translate-x:2rem}.focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.focus\\:translate-x-12:focus{--transform-translate-x:3rem}.focus\\:translate-x-16:focus{--transform-translate-x:4rem}.focus\\:translate-x-20:focus{--transform-translate-x:5rem}.focus\\:translate-x-24:focus{--transform-translate-x:6rem}.focus\\:translate-x-32:focus{--transform-translate-x:8rem}.focus\\:translate-x-40:focus{--transform-translate-x:10rem}.focus\\:translate-x-48:focus{--transform-translate-x:12rem}.focus\\:translate-x-56:focus{--transform-translate-x:14rem}.focus\\:translate-x-64:focus{--transform-translate-x:16rem}.focus\\:translate-x-px:focus{--transform-translate-x:1px}.focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.focus\\:translate-x-full:focus{--transform-translate-x:100%}.focus\\:translate-y-0:focus{--transform-translate-y:0}.focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.focus\\:translate-y-4:focus{--transform-translate-y:1rem}.focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.focus\\:translate-y-8:focus{--transform-translate-y:2rem}.focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.focus\\:translate-y-12:focus{--transform-translate-y:3rem}.focus\\:translate-y-16:focus{--transform-translate-y:4rem}.focus\\:translate-y-20:focus{--transform-translate-y:5rem}.focus\\:translate-y-24:focus{--transform-translate-y:6rem}.focus\\:translate-y-32:focus{--transform-translate-y:8rem}.focus\\:translate-y-40:focus{--transform-translate-y:10rem}.focus\\:translate-y-48:focus{--transform-translate-y:12rem}.focus\\:translate-y-56:focus{--transform-translate-y:14rem}.focus\\:translate-y-64:focus{--transform-translate-y:16rem}.focus\\:translate-y-px:focus{--transform-translate-y:1px}.focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.focus\\:translate-y-full:focus{--transform-translate-y:100%}.skew-x-0{--transform-skew-x:0}.skew-x-3{--transform-skew-x:3deg}.skew-x-6{--transform-skew-x:6deg}.skew-x-12{--transform-skew-x:12deg}.-skew-x-12{--transform-skew-x:-12deg}.-skew-x-6{--transform-skew-x:-6deg}.-skew-x-3{--transform-skew-x:-3deg}.skew-y-0{--transform-skew-y:0}.skew-y-3{--transform-skew-y:3deg}.skew-y-6{--transform-skew-y:6deg}.skew-y-12{--transform-skew-y:12deg}.-skew-y-12{--transform-skew-y:-12deg}.-skew-y-6{--transform-skew-y:-6deg}.-skew-y-3{--transform-skew-y:-3deg}.hover\\:skew-x-0:hover{--transform-skew-x:0}.hover\\:skew-x-3:hover{--transform-skew-x:3deg}.hover\\:skew-x-6:hover{--transform-skew-x:6deg}.hover\\:skew-x-12:hover{--transform-skew-x:12deg}.hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.hover\\:skew-y-0:hover{--transform-skew-y:0}.hover\\:skew-y-3:hover{--transform-skew-y:3deg}.hover\\:skew-y-6:hover{--transform-skew-y:6deg}.hover\\:skew-y-12:hover{--transform-skew-y:12deg}.hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.focus\\:skew-x-0:focus{--transform-skew-x:0}.focus\\:skew-x-3:focus{--transform-skew-x:3deg}.focus\\:skew-x-6:focus{--transform-skew-x:6deg}.focus\\:skew-x-12:focus{--transform-skew-x:12deg}.focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.focus\\:skew-y-0:focus{--transform-skew-y:0}.focus\\:skew-y-3:focus{--transform-skew-y:3deg}.focus\\:skew-y-6:focus{--transform-skew-y:6deg}.focus\\:skew-y-12:focus{--transform-skew-y:12deg}.focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.transition-none{-webkit-transition-property:none;transition-property:none}.transition-all{-webkit-transition-property:all;transition-property:all}.transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}@-webkit-keyframes spin{to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes spin{to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@-webkit-keyframes ping{75%,100%{-webkit-transform:scale(2);transform:scale(2);opacity:0}}@keyframes ping{75%,100%{-webkit-transform:scale(2);transform:scale(2);opacity:0}}@-webkit-keyframes pulse{50%{opacity:.5}}@keyframes pulse{50%{opacity:.5}}@-webkit-keyframes bounce{0%,100%{-webkit-transform:translateY(-25%);transform:translateY(-25%);-webkit-animation-timing-function:cubic-bezier(0.8,0,1,1);animation-timing-function:cubic-bezier(0.8,0,1,1)}50%{-webkit-transform:none;transform:none;-webkit-animation-timing-function:cubic-bezier(0,0,0.2,1);animation-timing-function:cubic-bezier(0,0,0.2,1)}}@keyframes bounce{0%,100%{-webkit-transform:translateY(-25%);transform:translateY(-25%);-webkit-animation-timing-function:cubic-bezier(0.8,0,1,1);animation-timing-function:cubic-bezier(0.8,0,1,1)}50%{-webkit-transform:none;transform:none;-webkit-animation-timing-function:cubic-bezier(0,0,0.2,1);animation-timing-function:cubic-bezier(0,0,0.2,1)}}.animate-none{-webkit-animation:none;animation:none}.animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}@media (min-width: 640px){.sm\\:container{width:100%}@media (min-width: 640px){.sm\\:container{max-width:640px}}@media (min-width: 768px){.sm\\:container{max-width:768px}}@media (min-width: 1024px){.sm\\:container{max-width:1024px}}@media (min-width: 1280px){.sm\\:container{max-width:1280px}}.sm\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.sm\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.sm\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.sm\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.sm\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.sm\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.sm\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.sm\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.sm\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.sm\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.sm\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.sm\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.sm\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.sm\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.sm\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.sm\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.sm\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.sm\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.sm\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.sm\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.sm\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.sm\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.sm\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.sm\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.sm\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.sm\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.sm\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.sm\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.sm\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.sm\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.sm\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.sm\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.sm\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.sm\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.sm\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.sm\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.sm\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.sm\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.sm\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.sm\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.sm\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.sm\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.sm\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.sm\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.sm\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.sm\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.sm\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.sm\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.sm\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.sm\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.sm\\:divide-current>:not(template)~:not(template){border-color:currentColor}.sm\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.sm\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.sm\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.sm\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.sm\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.sm\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.sm\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.sm\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.sm\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.sm\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.sm\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.sm\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.sm\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.sm\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.sm\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.sm\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.sm\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.sm\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.sm\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.sm\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.sm\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.sm\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.sm\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.sm\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.sm\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.sm\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.sm\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.sm\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.sm\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.sm\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.sm\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.sm\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.sm\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.sm\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.sm\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.sm\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.sm\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.sm\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.sm\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.sm\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.sm\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.sm\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.sm\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.sm\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.sm\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.sm\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.sm\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.sm\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.sm\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.sm\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.sm\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.sm\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.sm\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.sm\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.sm\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.sm\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.sm\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.sm\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.sm\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.sm\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.sm\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.sm\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.sm\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.sm\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.sm\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.sm\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.sm\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.sm\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.sm\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.sm\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.sm\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.sm\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.sm\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.sm\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.sm\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.sm\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.sm\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.sm\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.sm\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.sm\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.sm\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.sm\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.sm\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.sm\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.sm\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.sm\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.sm\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.sm\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.sm\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.sm\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.sm\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.sm\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.sm\\:divide-solid>:not(template)~:not(template){border-style:solid}.sm\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.sm\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.sm\\:divide-double>:not(template)~:not(template){border-style:double}.sm\\:divide-none>:not(template)~:not(template){border-style:none}.sm\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.sm\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.sm\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.sm\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.sm\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.sm\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.sm\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.sm\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.sm\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.sm\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.sm\\:bg-fixed{background-attachment:fixed}.sm\\:bg-local{background-attachment:local}.sm\\:bg-scroll{background-attachment:scroll}.sm\\:bg-clip-border{background-clip:border-box}.sm\\:bg-clip-padding{background-clip:padding-box}.sm\\:bg-clip-content{background-clip:content-box}.sm\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.sm\\:bg-transparent{background-color:transparent}.sm\\:bg-current{background-color:currentColor}.sm\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.sm\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.sm\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.sm\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.sm\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.sm\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.sm\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.sm\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.sm\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.sm\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.sm\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.sm\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.sm\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.sm\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.sm\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.sm\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.sm\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.sm\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.sm\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.sm\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.sm\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.sm\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.sm\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.sm\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.sm\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.sm\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.sm\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.sm\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.sm\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.sm\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.sm\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.sm\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.sm\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.sm\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.sm\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.sm\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.sm\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.sm\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.sm\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.sm\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.sm\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.sm\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.sm\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.sm\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.sm\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.sm\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.sm\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.sm\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.sm\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.sm\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.sm\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.sm\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.sm\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.sm\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.sm\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.sm\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.sm\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.sm\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.sm\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.sm\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.sm\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.sm\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.sm\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.sm\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.sm\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.sm\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.sm\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.sm\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.sm\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.sm\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.sm\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.sm\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.sm\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.sm\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.sm\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.sm\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.sm\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.sm\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.sm\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.sm\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.sm\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.sm\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.sm\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.sm\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.sm\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.sm\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.sm\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.sm\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.sm\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.sm\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.sm\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.sm\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.sm\\:hover\\:bg-transparent:hover{background-color:transparent}.sm\\:hover\\:bg-current:hover{background-color:currentColor}.sm\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.sm\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.sm\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.sm\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.sm\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.sm\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.sm\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.sm\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.sm\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.sm\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.sm\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.sm\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.sm\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.sm\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.sm\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.sm\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.sm\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.sm\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.sm\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.sm\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.sm\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.sm\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.sm\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.sm\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.sm\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.sm\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.sm\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.sm\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.sm\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.sm\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.sm\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.sm\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.sm\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.sm\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.sm\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.sm\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.sm\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.sm\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.sm\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.sm\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.sm\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.sm\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.sm\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.sm\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.sm\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.sm\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.sm\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.sm\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.sm\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.sm\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.sm\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.sm\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.sm\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.sm\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.sm\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.sm\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.sm\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.sm\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.sm\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.sm\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.sm\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.sm\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.sm\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.sm\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.sm\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.sm\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.sm\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.sm\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.sm\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.sm\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.sm\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.sm\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.sm\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.sm\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.sm\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.sm\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.sm\\:focus\\:bg-transparent:focus{background-color:transparent}.sm\\:focus\\:bg-current:focus{background-color:currentColor}.sm\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.sm\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.sm\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.sm\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.sm\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.sm\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.sm\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.sm\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.sm\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.sm\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.sm\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.sm\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.sm\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.sm\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.sm\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.sm\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.sm\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.sm\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.sm\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.sm\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.sm\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.sm\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.sm\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.sm\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.sm\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.sm\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.sm\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.sm\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.sm\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.sm\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.sm\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.sm\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.sm\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.sm\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.sm\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.sm\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.sm\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.sm\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.sm\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.sm\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.sm\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.sm\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.sm\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.sm\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.sm\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.sm\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.sm\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.sm\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.sm\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.sm\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.sm\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.sm\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.sm\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.sm\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.sm\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.sm\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.sm\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.sm\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.sm\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.sm\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.sm\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.sm\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.sm\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.sm\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.sm\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.sm\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.sm\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.sm\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.sm\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.sm\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.sm\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.sm\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.sm\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.sm\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.sm\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.sm\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.sm\\:bg-none{background-image:none}.sm\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.sm\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.sm\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.sm\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.sm\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.sm\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.sm\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.sm\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.sm\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:to-transparent{--gradient-to-color:transparent}.sm\\:to-current{--gradient-to-color:currentColor}.sm\\:to-black{--gradient-to-color:#000}.sm\\:to-white{--gradient-to-color:#fff}.sm\\:to-gray-100{--gradient-to-color:#f7fafc}.sm\\:to-gray-200{--gradient-to-color:#edf2f7}.sm\\:to-gray-300{--gradient-to-color:#e2e8f0}.sm\\:to-gray-400{--gradient-to-color:#cbd5e0}.sm\\:to-gray-500{--gradient-to-color:#a0aec0}.sm\\:to-gray-600{--gradient-to-color:#718096}.sm\\:to-gray-700{--gradient-to-color:#4a5568}.sm\\:to-gray-800{--gradient-to-color:#2d3748}.sm\\:to-gray-900{--gradient-to-color:#1a202c}.sm\\:to-red-100{--gradient-to-color:#fff5f5}.sm\\:to-red-200{--gradient-to-color:#fed7d7}.sm\\:to-red-300{--gradient-to-color:#feb2b2}.sm\\:to-red-400{--gradient-to-color:#fc8181}.sm\\:to-red-500{--gradient-to-color:#f56565}.sm\\:to-red-600{--gradient-to-color:#e53e3e}.sm\\:to-red-700{--gradient-to-color:#c53030}.sm\\:to-red-800{--gradient-to-color:#9b2c2c}.sm\\:to-red-900{--gradient-to-color:#742a2a}.sm\\:to-orange-100{--gradient-to-color:#fffaf0}.sm\\:to-orange-200{--gradient-to-color:#feebc8}.sm\\:to-orange-300{--gradient-to-color:#fbd38d}.sm\\:to-orange-400{--gradient-to-color:#f6ad55}.sm\\:to-orange-500{--gradient-to-color:#ed8936}.sm\\:to-orange-600{--gradient-to-color:#dd6b20}.sm\\:to-orange-700{--gradient-to-color:#c05621}.sm\\:to-orange-800{--gradient-to-color:#9c4221}.sm\\:to-orange-900{--gradient-to-color:#7b341e}.sm\\:to-yellow-100{--gradient-to-color:#fffff0}.sm\\:to-yellow-200{--gradient-to-color:#fefcbf}.sm\\:to-yellow-300{--gradient-to-color:#faf089}.sm\\:to-yellow-400{--gradient-to-color:#f6e05e}.sm\\:to-yellow-500{--gradient-to-color:#ecc94b}.sm\\:to-yellow-600{--gradient-to-color:#d69e2e}.sm\\:to-yellow-700{--gradient-to-color:#b7791f}.sm\\:to-yellow-800{--gradient-to-color:#975a16}.sm\\:to-yellow-900{--gradient-to-color:#744210}.sm\\:to-green-100{--gradient-to-color:#f0fff4}.sm\\:to-green-200{--gradient-to-color:#c6f6d5}.sm\\:to-green-300{--gradient-to-color:#9ae6b4}.sm\\:to-green-400{--gradient-to-color:#68d391}.sm\\:to-green-500{--gradient-to-color:#48bb78}.sm\\:to-green-600{--gradient-to-color:#38a169}.sm\\:to-green-700{--gradient-to-color:#2f855a}.sm\\:to-green-800{--gradient-to-color:#276749}.sm\\:to-green-900{--gradient-to-color:#22543d}.sm\\:to-teal-100{--gradient-to-color:#e6fffa}.sm\\:to-teal-200{--gradient-to-color:#b2f5ea}.sm\\:to-teal-300{--gradient-to-color:#81e6d9}.sm\\:to-teal-400{--gradient-to-color:#4fd1c5}.sm\\:to-teal-500{--gradient-to-color:#38b2ac}.sm\\:to-teal-600{--gradient-to-color:#319795}.sm\\:to-teal-700{--gradient-to-color:#2c7a7b}.sm\\:to-teal-800{--gradient-to-color:#285e61}.sm\\:to-teal-900{--gradient-to-color:#234e52}.sm\\:to-blue-100{--gradient-to-color:#ebf8ff}.sm\\:to-blue-200{--gradient-to-color:#bee3f8}.sm\\:to-blue-300{--gradient-to-color:#90cdf4}.sm\\:to-blue-400{--gradient-to-color:#63b3ed}.sm\\:to-blue-500{--gradient-to-color:#4299e1}.sm\\:to-blue-600{--gradient-to-color:#3182ce}.sm\\:to-blue-700{--gradient-to-color:#2b6cb0}.sm\\:to-blue-800{--gradient-to-color:#2c5282}.sm\\:to-blue-900{--gradient-to-color:#2a4365}.sm\\:to-indigo-100{--gradient-to-color:#ebf4ff}.sm\\:to-indigo-200{--gradient-to-color:#c3dafe}.sm\\:to-indigo-300{--gradient-to-color:#a3bffa}.sm\\:to-indigo-400{--gradient-to-color:#7f9cf5}.sm\\:to-indigo-500{--gradient-to-color:#667eea}.sm\\:to-indigo-600{--gradient-to-color:#5a67d8}.sm\\:to-indigo-700{--gradient-to-color:#4c51bf}.sm\\:to-indigo-800{--gradient-to-color:#434190}.sm\\:to-indigo-900{--gradient-to-color:#3c366b}.sm\\:to-purple-100{--gradient-to-color:#faf5ff}.sm\\:to-purple-200{--gradient-to-color:#e9d8fd}.sm\\:to-purple-300{--gradient-to-color:#d6bcfa}.sm\\:to-purple-400{--gradient-to-color:#b794f4}.sm\\:to-purple-500{--gradient-to-color:#9f7aea}.sm\\:to-purple-600{--gradient-to-color:#805ad5}.sm\\:to-purple-700{--gradient-to-color:#6b46c1}.sm\\:to-purple-800{--gradient-to-color:#553c9a}.sm\\:to-purple-900{--gradient-to-color:#44337a}.sm\\:to-pink-100{--gradient-to-color:#fff5f7}.sm\\:to-pink-200{--gradient-to-color:#fed7e2}.sm\\:to-pink-300{--gradient-to-color:#fbb6ce}.sm\\:to-pink-400{--gradient-to-color:#f687b3}.sm\\:to-pink-500{--gradient-to-color:#ed64a6}.sm\\:to-pink-600{--gradient-to-color:#d53f8c}.sm\\:to-pink-700{--gradient-to-color:#b83280}.sm\\:to-pink-800{--gradient-to-color:#97266d}.sm\\:to-pink-900{--gradient-to-color:#702459}.sm\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.sm\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.sm\\:hover\\:to-black:hover{--gradient-to-color:#000}.sm\\:hover\\:to-white:hover{--gradient-to-color:#fff}.sm\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.sm\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.sm\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.sm\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.sm\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.sm\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.sm\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.sm\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.sm\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.sm\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.sm\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.sm\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.sm\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.sm\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.sm\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.sm\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.sm\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.sm\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.sm\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.sm\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.sm\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.sm\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.sm\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.sm\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.sm\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.sm\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.sm\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.sm\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.sm\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.sm\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.sm\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.sm\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.sm\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.sm\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.sm\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.sm\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.sm\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.sm\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.sm\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.sm\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.sm\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.sm\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.sm\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.sm\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.sm\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.sm\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.sm\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.sm\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.sm\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.sm\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.sm\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.sm\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.sm\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.sm\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.sm\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.sm\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.sm\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.sm\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.sm\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.sm\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.sm\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.sm\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.sm\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.sm\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.sm\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.sm\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.sm\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.sm\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.sm\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.sm\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.sm\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.sm\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.sm\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.sm\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.sm\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.sm\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.sm\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.sm\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.sm\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.sm\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.sm\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.sm\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.sm\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.sm\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.sm\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.sm\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.sm\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.sm\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.sm\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.sm\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.sm\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.sm\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.sm\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.sm\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.sm\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.sm\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.sm\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.sm\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.sm\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.sm\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.sm\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.sm\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.sm\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.sm\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.sm\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.sm\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.sm\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.sm\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.sm\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.sm\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.sm\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.sm\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.sm\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.sm\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.sm\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.sm\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.sm\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.sm\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.sm\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.sm\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.sm\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.sm\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.sm\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.sm\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.sm\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.sm\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.sm\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.sm\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.sm\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.sm\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.sm\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.sm\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.sm\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.sm\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.sm\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.sm\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.sm\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.sm\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.sm\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.sm\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.sm\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.sm\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.sm\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.sm\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.sm\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.sm\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.sm\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.sm\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.sm\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.sm\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.sm\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.sm\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.sm\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.sm\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.sm\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.sm\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.sm\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.sm\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.sm\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.sm\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.sm\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.sm\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.sm\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.sm\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.sm\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.sm\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.sm\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.sm\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.sm\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.sm\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.sm\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.sm\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.sm\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.sm\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.sm\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.sm\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.sm\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.sm\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.sm\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.sm\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.sm\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.sm\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.sm\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.sm\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.sm\\:focus\\:to-black:focus{--gradient-to-color:#000}.sm\\:focus\\:to-white:focus{--gradient-to-color:#fff}.sm\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.sm\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.sm\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.sm\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.sm\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.sm\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.sm\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.sm\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.sm\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.sm\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.sm\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.sm\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.sm\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.sm\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.sm\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.sm\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.sm\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.sm\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.sm\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.sm\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.sm\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.sm\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.sm\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.sm\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.sm\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.sm\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.sm\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.sm\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.sm\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.sm\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.sm\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.sm\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.sm\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.sm\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.sm\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.sm\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.sm\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.sm\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.sm\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.sm\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.sm\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.sm\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.sm\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.sm\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.sm\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.sm\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.sm\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.sm\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.sm\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.sm\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.sm\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.sm\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.sm\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.sm\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.sm\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.sm\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.sm\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.sm\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.sm\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.sm\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.sm\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.sm\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.sm\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.sm\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.sm\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.sm\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.sm\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.sm\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.sm\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.sm\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.sm\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.sm\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.sm\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.sm\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.sm\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.sm\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.sm\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.sm\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.sm\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.sm\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.sm\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.sm\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.sm\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.sm\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.sm\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.sm\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.sm\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.sm\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.sm\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.sm\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.sm\\:bg-opacity-0{--bg-opacity:0}.sm\\:bg-opacity-25{--bg-opacity:0.25}.sm\\:bg-opacity-50{--bg-opacity:0.5}.sm\\:bg-opacity-75{--bg-opacity:0.75}.sm\\:bg-opacity-100{--bg-opacity:1}.sm\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.sm\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.sm\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.sm\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.sm\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.sm\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.sm\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.sm\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.sm\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.sm\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.sm\\:bg-bottom{background-position:bottom}.sm\\:bg-center{background-position:center}.sm\\:bg-left{background-position:left}.sm\\:bg-left-bottom{background-position:left bottom}.sm\\:bg-left-top{background-position:left top}.sm\\:bg-right{background-position:right}.sm\\:bg-right-bottom{background-position:right bottom}.sm\\:bg-right-top{background-position:right top}.sm\\:bg-top{background-position:top}.sm\\:bg-repeat{background-repeat:repeat}.sm\\:bg-no-repeat{background-repeat:no-repeat}.sm\\:bg-repeat-x{background-repeat:repeat-x}.sm\\:bg-repeat-y{background-repeat:repeat-y}.sm\\:bg-repeat-round{background-repeat:round}.sm\\:bg-repeat-space{background-repeat:space}.sm\\:bg-auto{background-size:auto}.sm\\:bg-cover{background-size:cover}.sm\\:bg-contain{background-size:contain}.sm\\:border-collapse{border-collapse:collapse}.sm\\:border-separate{border-collapse:separate}.sm\\:border-transparent{border-color:transparent}.sm\\:border-current{border-color:currentColor}.sm\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.sm\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.sm\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.sm\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.sm\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.sm\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.sm\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.sm\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.sm\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.sm\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.sm\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.sm\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.sm\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.sm\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.sm\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.sm\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.sm\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.sm\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.sm\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.sm\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.sm\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.sm\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.sm\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.sm\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.sm\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.sm\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.sm\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.sm\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.sm\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.sm\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.sm\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.sm\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.sm\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.sm\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.sm\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.sm\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.sm\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.sm\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.sm\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.sm\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.sm\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.sm\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.sm\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.sm\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.sm\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.sm\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.sm\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.sm\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.sm\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.sm\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.sm\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.sm\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.sm\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.sm\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.sm\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.sm\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.sm\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.sm\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.sm\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.sm\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.sm\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.sm\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.sm\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.sm\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.sm\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.sm\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.sm\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.sm\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.sm\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.sm\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.sm\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.sm\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.sm\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.sm\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.sm\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.sm\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.sm\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.sm\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.sm\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.sm\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.sm\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.sm\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.sm\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.sm\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.sm\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.sm\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.sm\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.sm\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.sm\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.sm\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.sm\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.sm\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.sm\\:hover\\:border-transparent:hover{border-color:transparent}.sm\\:hover\\:border-current:hover{border-color:currentColor}.sm\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.sm\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.sm\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.sm\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.sm\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.sm\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.sm\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.sm\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.sm\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.sm\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.sm\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.sm\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.sm\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.sm\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.sm\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.sm\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.sm\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.sm\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.sm\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.sm\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.sm\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.sm\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.sm\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.sm\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.sm\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.sm\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.sm\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.sm\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.sm\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.sm\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.sm\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.sm\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.sm\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.sm\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.sm\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.sm\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.sm\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.sm\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.sm\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.sm\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.sm\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.sm\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.sm\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.sm\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.sm\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.sm\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.sm\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.sm\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.sm\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.sm\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.sm\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.sm\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.sm\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.sm\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.sm\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.sm\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.sm\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.sm\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.sm\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.sm\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.sm\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.sm\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.sm\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.sm\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.sm\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.sm\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.sm\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.sm\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.sm\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.sm\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.sm\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.sm\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.sm\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.sm\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.sm\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.sm\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.sm\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.sm\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.sm\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.sm\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.sm\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.sm\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.sm\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.sm\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.sm\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.sm\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.sm\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.sm\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.sm\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.sm\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.sm\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.sm\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.sm\\:focus\\:border-transparent:focus{border-color:transparent}.sm\\:focus\\:border-current:focus{border-color:currentColor}.sm\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.sm\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.sm\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.sm\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.sm\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.sm\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.sm\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.sm\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.sm\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.sm\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.sm\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.sm\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.sm\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.sm\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.sm\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.sm\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.sm\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.sm\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.sm\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.sm\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.sm\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.sm\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.sm\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.sm\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.sm\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.sm\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.sm\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.sm\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.sm\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.sm\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.sm\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.sm\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.sm\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.sm\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.sm\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.sm\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.sm\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.sm\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.sm\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.sm\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.sm\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.sm\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.sm\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.sm\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.sm\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.sm\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.sm\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.sm\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.sm\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.sm\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.sm\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.sm\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.sm\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.sm\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.sm\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.sm\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.sm\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.sm\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.sm\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.sm\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.sm\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.sm\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.sm\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.sm\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.sm\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.sm\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.sm\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.sm\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.sm\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.sm\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.sm\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.sm\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.sm\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.sm\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.sm\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.sm\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.sm\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.sm\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.sm\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.sm\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.sm\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.sm\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.sm\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.sm\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.sm\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.sm\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.sm\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.sm\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.sm\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.sm\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.sm\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.sm\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.sm\\:border-opacity-0{--border-opacity:0}.sm\\:border-opacity-25{--border-opacity:0.25}.sm\\:border-opacity-50{--border-opacity:0.5}.sm\\:border-opacity-75{--border-opacity:0.75}.sm\\:border-opacity-100{--border-opacity:1}.sm\\:hover\\:border-opacity-0:hover{--border-opacity:0}.sm\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.sm\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.sm\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.sm\\:hover\\:border-opacity-100:hover{--border-opacity:1}.sm\\:focus\\:border-opacity-0:focus{--border-opacity:0}.sm\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.sm\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.sm\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.sm\\:focus\\:border-opacity-100:focus{--border-opacity:1}.sm\\:rounded-none{border-radius:0}.sm\\:rounded-sm{border-radius:0.125rem}.sm\\:rounded{border-radius:0.25rem}.sm\\:rounded-md{border-radius:0.375rem}.sm\\:rounded-lg{border-radius:0.5rem}.sm\\:rounded-full{border-radius:9999px}.sm\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.sm\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.sm\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.sm\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.sm\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.sm\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.sm\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.sm\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.sm\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.sm\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.sm\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.sm\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.sm\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.sm\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.sm\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.sm\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.sm\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.sm\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.sm\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.sm\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.sm\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.sm\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.sm\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.sm\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.sm\\:rounded-tl-none{border-top-left-radius:0}.sm\\:rounded-tr-none{border-top-right-radius:0}.sm\\:rounded-br-none{border-bottom-right-radius:0}.sm\\:rounded-bl-none{border-bottom-left-radius:0}.sm\\:rounded-tl-sm{border-top-left-radius:0.125rem}.sm\\:rounded-tr-sm{border-top-right-radius:0.125rem}.sm\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.sm\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.sm\\:rounded-tl{border-top-left-radius:0.25rem}.sm\\:rounded-tr{border-top-right-radius:0.25rem}.sm\\:rounded-br{border-bottom-right-radius:0.25rem}.sm\\:rounded-bl{border-bottom-left-radius:0.25rem}.sm\\:rounded-tl-md{border-top-left-radius:0.375rem}.sm\\:rounded-tr-md{border-top-right-radius:0.375rem}.sm\\:rounded-br-md{border-bottom-right-radius:0.375rem}.sm\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.sm\\:rounded-tl-lg{border-top-left-radius:0.5rem}.sm\\:rounded-tr-lg{border-top-right-radius:0.5rem}.sm\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.sm\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.sm\\:rounded-tl-full{border-top-left-radius:9999px}.sm\\:rounded-tr-full{border-top-right-radius:9999px}.sm\\:rounded-br-full{border-bottom-right-radius:9999px}.sm\\:rounded-bl-full{border-bottom-left-radius:9999px}.sm\\:border-solid{border-style:solid}.sm\\:border-dashed{border-style:dashed}.sm\\:border-dotted{border-style:dotted}.sm\\:border-double{border-style:double}.sm\\:border-none{border-style:none}.sm\\:border-0{border-width:0}.sm\\:border-2{border-width:2px}.sm\\:border-4{border-width:4px}.sm\\:border-8{border-width:8px}.sm\\:border{border-width:1px}.sm\\:border-t-0{border-top-width:0}.sm\\:border-r-0{border-right-width:0}.sm\\:border-b-0{border-bottom-width:0}.sm\\:border-l-0{border-left-width:0}.sm\\:border-t-2{border-top-width:2px}.sm\\:border-r-2{border-right-width:2px}.sm\\:border-b-2{border-bottom-width:2px}.sm\\:border-l-2{border-left-width:2px}.sm\\:border-t-4{border-top-width:4px}.sm\\:border-r-4{border-right-width:4px}.sm\\:border-b-4{border-bottom-width:4px}.sm\\:border-l-4{border-left-width:4px}.sm\\:border-t-8{border-top-width:8px}.sm\\:border-r-8{border-right-width:8px}.sm\\:border-b-8{border-bottom-width:8px}.sm\\:border-l-8{border-left-width:8px}.sm\\:border-t{border-top-width:1px}.sm\\:border-r{border-right-width:1px}.sm\\:border-b{border-bottom-width:1px}.sm\\:border-l{border-left-width:1px}.sm\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.sm\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.sm\\:cursor-auto{cursor:auto}.sm\\:cursor-default{cursor:default}.sm\\:cursor-pointer{cursor:pointer}.sm\\:cursor-wait{cursor:wait}.sm\\:cursor-text{cursor:text}.sm\\:cursor-move{cursor:move}.sm\\:cursor-not-allowed{cursor:not-allowed}.sm\\:block{display:block}.sm\\:inline-block{display:inline-block}.sm\\:inline{display:inline}.sm\\:flex{display:-ms-flexbox;display:flex}.sm\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.sm\\:table{display:table}.sm\\:table-caption{display:table-caption}.sm\\:table-cell{display:table-cell}.sm\\:table-column{display:table-column}.sm\\:table-column-group{display:table-column-group}.sm\\:table-footer-group{display:table-footer-group}.sm\\:table-header-group{display:table-header-group}.sm\\:table-row-group{display:table-row-group}.sm\\:table-row{display:table-row}.sm\\:flow-root{display:flow-root}.sm\\:grid{display:grid}.sm\\:inline-grid{display:inline-grid}.sm\\:contents{display:contents}.sm\\:hidden{display:none}.sm\\:flex-row{-ms-flex-direction:row;flex-direction:row}.sm\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.sm\\:flex-col{-ms-flex-direction:column;flex-direction:column}.sm\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.sm\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.sm\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.sm\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.sm\\:place-items-auto{place-items:auto}.sm\\:place-items-start{place-items:start}.sm\\:place-items-end{place-items:end}.sm\\:place-items-center{place-items:center}.sm\\:place-items-stretch{place-items:stretch}.sm\\:place-content-center{place-content:center}.sm\\:place-content-start{place-content:start}.sm\\:place-content-end{place-content:end}.sm\\:place-content-between{place-content:space-between}.sm\\:place-content-around{place-content:space-around}.sm\\:place-content-evenly{place-content:space-evenly}.sm\\:place-content-stretch{place-content:stretch}.sm\\:place-self-auto{place-self:auto}.sm\\:place-self-start{place-self:start}.sm\\:place-self-end{place-self:end}.sm\\:place-self-center{place-self:center}.sm\\:place-self-stretch{place-self:stretch}.sm\\:items-start{-ms-flex-align:start;align-items:flex-start}.sm\\:items-end{-ms-flex-align:end;align-items:flex-end}.sm\\:items-center{-ms-flex-align:center;align-items:center}.sm\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.sm\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.sm\\:content-center{-ms-flex-line-pack:center;align-content:center}.sm\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.sm\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.sm\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.sm\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.sm\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.sm\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.sm\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.sm\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.sm\\:self-center{-ms-flex-item-align:center;align-self:center}.sm\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.sm\\:justify-items-auto{justify-items:auto}.sm\\:justify-items-start{justify-items:start}.sm\\:justify-items-end{justify-items:end}.sm\\:justify-items-center{justify-items:center}.sm\\:justify-items-stretch{justify-items:stretch}.sm\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.sm\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.sm\\:justify-center{-ms-flex-pack:center;justify-content:center}.sm\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.sm\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.sm\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.sm\\:justify-self-auto{justify-self:auto}.sm\\:justify-self-start{justify-self:start}.sm\\:justify-self-end{justify-self:end}.sm\\:justify-self-center{justify-self:center}.sm\\:justify-self-stretch{justify-self:stretch}.sm\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.sm\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.sm\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.sm\\:flex-none{-ms-flex:none;flex:none}.sm\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.sm\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.sm\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.sm\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.sm\\:order-1{-ms-flex-order:1;order:1}.sm\\:order-2{-ms-flex-order:2;order:2}.sm\\:order-3{-ms-flex-order:3;order:3}.sm\\:order-4{-ms-flex-order:4;order:4}.sm\\:order-5{-ms-flex-order:5;order:5}.sm\\:order-6{-ms-flex-order:6;order:6}.sm\\:order-7{-ms-flex-order:7;order:7}.sm\\:order-8{-ms-flex-order:8;order:8}.sm\\:order-9{-ms-flex-order:9;order:9}.sm\\:order-10{-ms-flex-order:10;order:10}.sm\\:order-11{-ms-flex-order:11;order:11}.sm\\:order-12{-ms-flex-order:12;order:12}.sm\\:order-first{-ms-flex-order:-9999;order:-9999}.sm\\:order-last{-ms-flex-order:9999;order:9999}.sm\\:order-none{-ms-flex-order:0;order:0}.sm\\:float-right{float:right}.sm\\:float-left{float:left}.sm\\:float-none{float:none}.sm\\:clearfix:after{content:\"\";display:table;clear:both}.sm\\:clear-left{clear:left}.sm\\:clear-right{clear:right}.sm\\:clear-both{clear:both}.sm\\:clear-none{clear:none}.sm\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.sm\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.sm\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.sm\\:font-hairline{font-weight:100}.sm\\:font-thin{font-weight:200}.sm\\:font-light{font-weight:300}.sm\\:font-normal{font-weight:400}.sm\\:font-medium{font-weight:500}.sm\\:font-semibold{font-weight:600}.sm\\:font-bold{font-weight:700}.sm\\:font-extrabold{font-weight:800}.sm\\:font-black{font-weight:900}.sm\\:hover\\:font-hairline:hover{font-weight:100}.sm\\:hover\\:font-thin:hover{font-weight:200}.sm\\:hover\\:font-light:hover{font-weight:300}.sm\\:hover\\:font-normal:hover{font-weight:400}.sm\\:hover\\:font-medium:hover{font-weight:500}.sm\\:hover\\:font-semibold:hover{font-weight:600}.sm\\:hover\\:font-bold:hover{font-weight:700}.sm\\:hover\\:font-extrabold:hover{font-weight:800}.sm\\:hover\\:font-black:hover{font-weight:900}.sm\\:focus\\:font-hairline:focus{font-weight:100}.sm\\:focus\\:font-thin:focus{font-weight:200}.sm\\:focus\\:font-light:focus{font-weight:300}.sm\\:focus\\:font-normal:focus{font-weight:400}.sm\\:focus\\:font-medium:focus{font-weight:500}.sm\\:focus\\:font-semibold:focus{font-weight:600}.sm\\:focus\\:font-bold:focus{font-weight:700}.sm\\:focus\\:font-extrabold:focus{font-weight:800}.sm\\:focus\\:font-black:focus{font-weight:900}.sm\\:h-0{height:0}.sm\\:h-1{height:0.25rem}.sm\\:h-2{height:0.5rem}.sm\\:h-3{height:0.75rem}.sm\\:h-4{height:1rem}.sm\\:h-5{height:1.25rem}.sm\\:h-6{height:1.5rem}.sm\\:h-8{height:2rem}.sm\\:h-10{height:2.5rem}.sm\\:h-12{height:3rem}.sm\\:h-16{height:4rem}.sm\\:h-20{height:5rem}.sm\\:h-24{height:6rem}.sm\\:h-32{height:8rem}.sm\\:h-40{height:10rem}.sm\\:h-48{height:12rem}.sm\\:h-56{height:14rem}.sm\\:h-64{height:16rem}.sm\\:h-auto{height:auto}.sm\\:h-px{height:1px}.sm\\:h-full{height:100%}.sm\\:h-screen{height:100vh}.sm\\:text-xs{font-size:0.75rem}.sm\\:text-sm{font-size:0.875rem}.sm\\:text-base{font-size:1rem}.sm\\:text-lg{font-size:1.125rem}.sm\\:text-xl{font-size:1.25rem}.sm\\:text-2xl{font-size:1.5rem}.sm\\:text-3xl{font-size:1.875rem}.sm\\:text-4xl{font-size:2.25rem}.sm\\:text-5xl{font-size:3rem}.sm\\:text-6xl{font-size:4rem}.sm\\:leading-3{line-height:.75rem}.sm\\:leading-4{line-height:1rem}.sm\\:leading-5{line-height:1.25rem}.sm\\:leading-6{line-height:1.5rem}.sm\\:leading-7{line-height:1.75rem}.sm\\:leading-8{line-height:2rem}.sm\\:leading-9{line-height:2.25rem}.sm\\:leading-10{line-height:2.5rem}.sm\\:leading-none{line-height:1}.sm\\:leading-tight{line-height:1.25}.sm\\:leading-snug{line-height:1.375}.sm\\:leading-normal{line-height:1.5}.sm\\:leading-relaxed{line-height:1.625}.sm\\:leading-loose{line-height:2}.sm\\:list-inside{list-style-position:inside}.sm\\:list-outside{list-style-position:outside}.sm\\:list-none{list-style-type:none}.sm\\:list-disc{list-style-type:disc}.sm\\:list-decimal{list-style-type:decimal}.sm\\:m-0{margin:0}.sm\\:m-1{margin:0.25rem}.sm\\:m-2{margin:0.5rem}.sm\\:m-3{margin:0.75rem}.sm\\:m-4{margin:1rem}.sm\\:m-5{margin:1.25rem}.sm\\:m-6{margin:1.5rem}.sm\\:m-8{margin:2rem}.sm\\:m-10{margin:2.5rem}.sm\\:m-12{margin:3rem}.sm\\:m-16{margin:4rem}.sm\\:m-20{margin:5rem}.sm\\:m-24{margin:6rem}.sm\\:m-32{margin:8rem}.sm\\:m-40{margin:10rem}.sm\\:m-48{margin:12rem}.sm\\:m-56{margin:14rem}.sm\\:m-64{margin:16rem}.sm\\:m-auto{margin:auto}.sm\\:m-px{margin:1px}.sm\\:-m-1{margin:-0.25rem}.sm\\:-m-2{margin:-0.5rem}.sm\\:-m-3{margin:-0.75rem}.sm\\:-m-4{margin:-1rem}.sm\\:-m-5{margin:-1.25rem}.sm\\:-m-6{margin:-1.5rem}.sm\\:-m-8{margin:-2rem}.sm\\:-m-10{margin:-2.5rem}.sm\\:-m-12{margin:-3rem}.sm\\:-m-16{margin:-4rem}.sm\\:-m-20{margin:-5rem}.sm\\:-m-24{margin:-6rem}.sm\\:-m-32{margin:-8rem}.sm\\:-m-40{margin:-10rem}.sm\\:-m-48{margin:-12rem}.sm\\:-m-56{margin:-14rem}.sm\\:-m-64{margin:-16rem}.sm\\:-m-px{margin:-1px}.sm\\:my-0{margin-top:0;margin-bottom:0}.sm\\:mx-0{margin-left:0;margin-right:0}.sm\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.sm\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.sm\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.sm\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.sm\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.sm\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.sm\\:my-4{margin-top:1rem;margin-bottom:1rem}.sm\\:mx-4{margin-left:1rem;margin-right:1rem}.sm\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.sm\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.sm\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.sm\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.sm\\:my-8{margin-top:2rem;margin-bottom:2rem}.sm\\:mx-8{margin-left:2rem;margin-right:2rem}.sm\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.sm\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.sm\\:my-12{margin-top:3rem;margin-bottom:3rem}.sm\\:mx-12{margin-left:3rem;margin-right:3rem}.sm\\:my-16{margin-top:4rem;margin-bottom:4rem}.sm\\:mx-16{margin-left:4rem;margin-right:4rem}.sm\\:my-20{margin-top:5rem;margin-bottom:5rem}.sm\\:mx-20{margin-left:5rem;margin-right:5rem}.sm\\:my-24{margin-top:6rem;margin-bottom:6rem}.sm\\:mx-24{margin-left:6rem;margin-right:6rem}.sm\\:my-32{margin-top:8rem;margin-bottom:8rem}.sm\\:mx-32{margin-left:8rem;margin-right:8rem}.sm\\:my-40{margin-top:10rem;margin-bottom:10rem}.sm\\:mx-40{margin-left:10rem;margin-right:10rem}.sm\\:my-48{margin-top:12rem;margin-bottom:12rem}.sm\\:mx-48{margin-left:12rem;margin-right:12rem}.sm\\:my-56{margin-top:14rem;margin-bottom:14rem}.sm\\:mx-56{margin-left:14rem;margin-right:14rem}.sm\\:my-64{margin-top:16rem;margin-bottom:16rem}.sm\\:mx-64{margin-left:16rem;margin-right:16rem}.sm\\:my-auto{margin-top:auto;margin-bottom:auto}.sm\\:mx-auto{margin-left:auto;margin-right:auto}.sm\\:my-px{margin-top:1px;margin-bottom:1px}.sm\\:mx-px{margin-left:1px;margin-right:1px}.sm\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.sm\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.sm\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.sm\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.sm\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.sm\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.sm\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.sm\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.sm\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.sm\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.sm\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.sm\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.sm\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.sm\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.sm\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.sm\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.sm\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.sm\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.sm\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.sm\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.sm\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.sm\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.sm\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.sm\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.sm\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.sm\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.sm\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.sm\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.sm\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.sm\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.sm\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.sm\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.sm\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.sm\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.sm\\:-my-px{margin-top:-1px;margin-bottom:-1px}.sm\\:-mx-px{margin-left:-1px;margin-right:-1px}.sm\\:mt-0{margin-top:0}.sm\\:mr-0{margin-right:0}.sm\\:mb-0{margin-bottom:0}.sm\\:ml-0{margin-left:0}.sm\\:mt-1{margin-top:0.25rem}.sm\\:mr-1{margin-right:0.25rem}.sm\\:mb-1{margin-bottom:0.25rem}.sm\\:ml-1{margin-left:0.25rem}.sm\\:mt-2{margin-top:0.5rem}.sm\\:mr-2{margin-right:0.5rem}.sm\\:mb-2{margin-bottom:0.5rem}.sm\\:ml-2{margin-left:0.5rem}.sm\\:mt-3{margin-top:0.75rem}.sm\\:mr-3{margin-right:0.75rem}.sm\\:mb-3{margin-bottom:0.75rem}.sm\\:ml-3{margin-left:0.75rem}.sm\\:mt-4{margin-top:1rem}.sm\\:mr-4{margin-right:1rem}.sm\\:mb-4{margin-bottom:1rem}.sm\\:ml-4{margin-left:1rem}.sm\\:mt-5{margin-top:1.25rem}.sm\\:mr-5{margin-right:1.25rem}.sm\\:mb-5{margin-bottom:1.25rem}.sm\\:ml-5{margin-left:1.25rem}.sm\\:mt-6{margin-top:1.5rem}.sm\\:mr-6{margin-right:1.5rem}.sm\\:mb-6{margin-bottom:1.5rem}.sm\\:ml-6{margin-left:1.5rem}.sm\\:mt-8{margin-top:2rem}.sm\\:mr-8{margin-right:2rem}.sm\\:mb-8{margin-bottom:2rem}.sm\\:ml-8{margin-left:2rem}.sm\\:mt-10{margin-top:2.5rem}.sm\\:mr-10{margin-right:2.5rem}.sm\\:mb-10{margin-bottom:2.5rem}.sm\\:ml-10{margin-left:2.5rem}.sm\\:mt-12{margin-top:3rem}.sm\\:mr-12{margin-right:3rem}.sm\\:mb-12{margin-bottom:3rem}.sm\\:ml-12{margin-left:3rem}.sm\\:mt-16{margin-top:4rem}.sm\\:mr-16{margin-right:4rem}.sm\\:mb-16{margin-bottom:4rem}.sm\\:ml-16{margin-left:4rem}.sm\\:mt-20{margin-top:5rem}.sm\\:mr-20{margin-right:5rem}.sm\\:mb-20{margin-bottom:5rem}.sm\\:ml-20{margin-left:5rem}.sm\\:mt-24{margin-top:6rem}.sm\\:mr-24{margin-right:6rem}.sm\\:mb-24{margin-bottom:6rem}.sm\\:ml-24{margin-left:6rem}.sm\\:mt-32{margin-top:8rem}.sm\\:mr-32{margin-right:8rem}.sm\\:mb-32{margin-bottom:8rem}.sm\\:ml-32{margin-left:8rem}.sm\\:mt-40{margin-top:10rem}.sm\\:mr-40{margin-right:10rem}.sm\\:mb-40{margin-bottom:10rem}.sm\\:ml-40{margin-left:10rem}.sm\\:mt-48{margin-top:12rem}.sm\\:mr-48{margin-right:12rem}.sm\\:mb-48{margin-bottom:12rem}.sm\\:ml-48{margin-left:12rem}.sm\\:mt-56{margin-top:14rem}.sm\\:mr-56{margin-right:14rem}.sm\\:mb-56{margin-bottom:14rem}.sm\\:ml-56{margin-left:14rem}.sm\\:mt-64{margin-top:16rem}.sm\\:mr-64{margin-right:16rem}.sm\\:mb-64{margin-bottom:16rem}.sm\\:ml-64{margin-left:16rem}.sm\\:mt-auto{margin-top:auto}.sm\\:mr-auto{margin-right:auto}.sm\\:mb-auto{margin-bottom:auto}.sm\\:ml-auto{margin-left:auto}.sm\\:mt-px{margin-top:1px}.sm\\:mr-px{margin-right:1px}.sm\\:mb-px{margin-bottom:1px}.sm\\:ml-px{margin-left:1px}.sm\\:-mt-1{margin-top:-0.25rem}.sm\\:-mr-1{margin-right:-0.25rem}.sm\\:-mb-1{margin-bottom:-0.25rem}.sm\\:-ml-1{margin-left:-0.25rem}.sm\\:-mt-2{margin-top:-0.5rem}.sm\\:-mr-2{margin-right:-0.5rem}.sm\\:-mb-2{margin-bottom:-0.5rem}.sm\\:-ml-2{margin-left:-0.5rem}.sm\\:-mt-3{margin-top:-0.75rem}.sm\\:-mr-3{margin-right:-0.75rem}.sm\\:-mb-3{margin-bottom:-0.75rem}.sm\\:-ml-3{margin-left:-0.75rem}.sm\\:-mt-4{margin-top:-1rem}.sm\\:-mr-4{margin-right:-1rem}.sm\\:-mb-4{margin-bottom:-1rem}.sm\\:-ml-4{margin-left:-1rem}.sm\\:-mt-5{margin-top:-1.25rem}.sm\\:-mr-5{margin-right:-1.25rem}.sm\\:-mb-5{margin-bottom:-1.25rem}.sm\\:-ml-5{margin-left:-1.25rem}.sm\\:-mt-6{margin-top:-1.5rem}.sm\\:-mr-6{margin-right:-1.5rem}.sm\\:-mb-6{margin-bottom:-1.5rem}.sm\\:-ml-6{margin-left:-1.5rem}.sm\\:-mt-8{margin-top:-2rem}.sm\\:-mr-8{margin-right:-2rem}.sm\\:-mb-8{margin-bottom:-2rem}.sm\\:-ml-8{margin-left:-2rem}.sm\\:-mt-10{margin-top:-2.5rem}.sm\\:-mr-10{margin-right:-2.5rem}.sm\\:-mb-10{margin-bottom:-2.5rem}.sm\\:-ml-10{margin-left:-2.5rem}.sm\\:-mt-12{margin-top:-3rem}.sm\\:-mr-12{margin-right:-3rem}.sm\\:-mb-12{margin-bottom:-3rem}.sm\\:-ml-12{margin-left:-3rem}.sm\\:-mt-16{margin-top:-4rem}.sm\\:-mr-16{margin-right:-4rem}.sm\\:-mb-16{margin-bottom:-4rem}.sm\\:-ml-16{margin-left:-4rem}.sm\\:-mt-20{margin-top:-5rem}.sm\\:-mr-20{margin-right:-5rem}.sm\\:-mb-20{margin-bottom:-5rem}.sm\\:-ml-20{margin-left:-5rem}.sm\\:-mt-24{margin-top:-6rem}.sm\\:-mr-24{margin-right:-6rem}.sm\\:-mb-24{margin-bottom:-6rem}.sm\\:-ml-24{margin-left:-6rem}.sm\\:-mt-32{margin-top:-8rem}.sm\\:-mr-32{margin-right:-8rem}.sm\\:-mb-32{margin-bottom:-8rem}.sm\\:-ml-32{margin-left:-8rem}.sm\\:-mt-40{margin-top:-10rem}.sm\\:-mr-40{margin-right:-10rem}.sm\\:-mb-40{margin-bottom:-10rem}.sm\\:-ml-40{margin-left:-10rem}.sm\\:-mt-48{margin-top:-12rem}.sm\\:-mr-48{margin-right:-12rem}.sm\\:-mb-48{margin-bottom:-12rem}.sm\\:-ml-48{margin-left:-12rem}.sm\\:-mt-56{margin-top:-14rem}.sm\\:-mr-56{margin-right:-14rem}.sm\\:-mb-56{margin-bottom:-14rem}.sm\\:-ml-56{margin-left:-14rem}.sm\\:-mt-64{margin-top:-16rem}.sm\\:-mr-64{margin-right:-16rem}.sm\\:-mb-64{margin-bottom:-16rem}.sm\\:-ml-64{margin-left:-16rem}.sm\\:-mt-px{margin-top:-1px}.sm\\:-mr-px{margin-right:-1px}.sm\\:-mb-px{margin-bottom:-1px}.sm\\:-ml-px{margin-left:-1px}.sm\\:max-h-full{max-height:100%}.sm\\:max-h-screen{max-height:100vh}.sm\\:max-w-none{max-width:none}.sm\\:max-w-xs{max-width:20rem}.sm\\:max-w-sm{max-width:24rem}.sm\\:max-w-md{max-width:28rem}.sm\\:max-w-lg{max-width:32rem}.sm\\:max-w-xl{max-width:36rem}.sm\\:max-w-2xl{max-width:42rem}.sm\\:max-w-3xl{max-width:48rem}.sm\\:max-w-4xl{max-width:56rem}.sm\\:max-w-5xl{max-width:64rem}.sm\\:max-w-6xl{max-width:72rem}.sm\\:max-w-full{max-width:100%}.sm\\:max-w-screen-sm{max-width:640px}.sm\\:max-w-screen-md{max-width:768px}.sm\\:max-w-screen-lg{max-width:1024px}.sm\\:max-w-screen-xl{max-width:1280px}.sm\\:min-h-0{min-height:0}.sm\\:min-h-full{min-height:100%}.sm\\:min-h-screen{min-height:100vh}.sm\\:min-w-0{min-width:0}.sm\\:min-w-full{min-width:100%}.sm\\:object-contain{-o-object-fit:contain;object-fit:contain}.sm\\:object-cover{-o-object-fit:cover;object-fit:cover}.sm\\:object-fill{-o-object-fit:fill;object-fit:fill}.sm\\:object-none{-o-object-fit:none;object-fit:none}.sm\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.sm\\:object-bottom{-o-object-position:bottom;object-position:bottom}.sm\\:object-center{-o-object-position:center;object-position:center}.sm\\:object-left{-o-object-position:left;object-position:left}.sm\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.sm\\:object-left-top{-o-object-position:left top;object-position:left top}.sm\\:object-right{-o-object-position:right;object-position:right}.sm\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.sm\\:object-right-top{-o-object-position:right top;object-position:right top}.sm\\:object-top{-o-object-position:top;object-position:top}.sm\\:opacity-0{opacity:0}.sm\\:opacity-25{opacity:0.25}.sm\\:opacity-50{opacity:0.5}.sm\\:opacity-75{opacity:0.75}.sm\\:opacity-100{opacity:1}.sm\\:hover\\:opacity-0:hover{opacity:0}.sm\\:hover\\:opacity-25:hover{opacity:0.25}.sm\\:hover\\:opacity-50:hover{opacity:0.5}.sm\\:hover\\:opacity-75:hover{opacity:0.75}.sm\\:hover\\:opacity-100:hover{opacity:1}.sm\\:focus\\:opacity-0:focus{opacity:0}.sm\\:focus\\:opacity-25:focus{opacity:0.25}.sm\\:focus\\:opacity-50:focus{opacity:0.5}.sm\\:focus\\:opacity-75:focus{opacity:0.75}.sm\\:focus\\:opacity-100:focus{opacity:1}.sm\\:outline-none{outline:0}.sm\\:focus\\:outline-none:focus{outline:0}.sm\\:overflow-auto{overflow:auto}.sm\\:overflow-hidden{overflow:hidden}.sm\\:overflow-visible{overflow:visible}.sm\\:overflow-scroll{overflow:scroll}.sm\\:overflow-x-auto{overflow-x:auto}.sm\\:overflow-y-auto{overflow-y:auto}.sm\\:overflow-x-hidden{overflow-x:hidden}.sm\\:overflow-y-hidden{overflow-y:hidden}.sm\\:overflow-x-visible{overflow-x:visible}.sm\\:overflow-y-visible{overflow-y:visible}.sm\\:overflow-x-scroll{overflow-x:scroll}.sm\\:overflow-y-scroll{overflow-y:scroll}.sm\\:scrolling-touch{-webkit-overflow-scrolling:touch}.sm\\:scrolling-auto{-webkit-overflow-scrolling:auto}.sm\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.sm\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.sm\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.sm\\:overscroll-y-auto{overscroll-behavior-y:auto}.sm\\:overscroll-y-contain{overscroll-behavior-y:contain}.sm\\:overscroll-y-none{overscroll-behavior-y:none}.sm\\:overscroll-x-auto{overscroll-behavior-x:auto}.sm\\:overscroll-x-contain{overscroll-behavior-x:contain}.sm\\:overscroll-x-none{overscroll-behavior-x:none}.sm\\:p-0{padding:0}.sm\\:p-1{padding:0.25rem}.sm\\:p-2{padding:0.5rem}.sm\\:p-3{padding:0.75rem}.sm\\:p-4{padding:1rem}.sm\\:p-5{padding:1.25rem}.sm\\:p-6{padding:1.5rem}.sm\\:p-8{padding:2rem}.sm\\:p-10{padding:2.5rem}.sm\\:p-12{padding:3rem}.sm\\:p-16{padding:4rem}.sm\\:p-20{padding:5rem}.sm\\:p-24{padding:6rem}.sm\\:p-32{padding:8rem}.sm\\:p-40{padding:10rem}.sm\\:p-48{padding:12rem}.sm\\:p-56{padding:14rem}.sm\\:p-64{padding:16rem}.sm\\:p-px{padding:1px}.sm\\:py-0{padding-top:0;padding-bottom:0}.sm\\:px-0{padding-left:0;padding-right:0}.sm\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.sm\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.sm\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.sm\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.sm\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.sm\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.sm\\:py-4{padding-top:1rem;padding-bottom:1rem}.sm\\:px-4{padding-left:1rem;padding-right:1rem}.sm\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.sm\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.sm\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.sm\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.sm\\:py-8{padding-top:2rem;padding-bottom:2rem}.sm\\:px-8{padding-left:2rem;padding-right:2rem}.sm\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.sm\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.sm\\:py-12{padding-top:3rem;padding-bottom:3rem}.sm\\:px-12{padding-left:3rem;padding-right:3rem}.sm\\:py-16{padding-top:4rem;padding-bottom:4rem}.sm\\:px-16{padding-left:4rem;padding-right:4rem}.sm\\:py-20{padding-top:5rem;padding-bottom:5rem}.sm\\:px-20{padding-left:5rem;padding-right:5rem}.sm\\:py-24{padding-top:6rem;padding-bottom:6rem}.sm\\:px-24{padding-left:6rem;padding-right:6rem}.sm\\:py-32{padding-top:8rem;padding-bottom:8rem}.sm\\:px-32{padding-left:8rem;padding-right:8rem}.sm\\:py-40{padding-top:10rem;padding-bottom:10rem}.sm\\:px-40{padding-left:10rem;padding-right:10rem}.sm\\:py-48{padding-top:12rem;padding-bottom:12rem}.sm\\:px-48{padding-left:12rem;padding-right:12rem}.sm\\:py-56{padding-top:14rem;padding-bottom:14rem}.sm\\:px-56{padding-left:14rem;padding-right:14rem}.sm\\:py-64{padding-top:16rem;padding-bottom:16rem}.sm\\:px-64{padding-left:16rem;padding-right:16rem}.sm\\:py-px{padding-top:1px;padding-bottom:1px}.sm\\:px-px{padding-left:1px;padding-right:1px}.sm\\:pt-0{padding-top:0}.sm\\:pr-0{padding-right:0}.sm\\:pb-0{padding-bottom:0}.sm\\:pl-0{padding-left:0}.sm\\:pt-1{padding-top:0.25rem}.sm\\:pr-1{padding-right:0.25rem}.sm\\:pb-1{padding-bottom:0.25rem}.sm\\:pl-1{padding-left:0.25rem}.sm\\:pt-2{padding-top:0.5rem}.sm\\:pr-2{padding-right:0.5rem}.sm\\:pb-2{padding-bottom:0.5rem}.sm\\:pl-2{padding-left:0.5rem}.sm\\:pt-3{padding-top:0.75rem}.sm\\:pr-3{padding-right:0.75rem}.sm\\:pb-3{padding-bottom:0.75rem}.sm\\:pl-3{padding-left:0.75rem}.sm\\:pt-4{padding-top:1rem}.sm\\:pr-4{padding-right:1rem}.sm\\:pb-4{padding-bottom:1rem}.sm\\:pl-4{padding-left:1rem}.sm\\:pt-5{padding-top:1.25rem}.sm\\:pr-5{padding-right:1.25rem}.sm\\:pb-5{padding-bottom:1.25rem}.sm\\:pl-5{padding-left:1.25rem}.sm\\:pt-6{padding-top:1.5rem}.sm\\:pr-6{padding-right:1.5rem}.sm\\:pb-6{padding-bottom:1.5rem}.sm\\:pl-6{padding-left:1.5rem}.sm\\:pt-8{padding-top:2rem}.sm\\:pr-8{padding-right:2rem}.sm\\:pb-8{padding-bottom:2rem}.sm\\:pl-8{padding-left:2rem}.sm\\:pt-10{padding-top:2.5rem}.sm\\:pr-10{padding-right:2.5rem}.sm\\:pb-10{padding-bottom:2.5rem}.sm\\:pl-10{padding-left:2.5rem}.sm\\:pt-12{padding-top:3rem}.sm\\:pr-12{padding-right:3rem}.sm\\:pb-12{padding-bottom:3rem}.sm\\:pl-12{padding-left:3rem}.sm\\:pt-16{padding-top:4rem}.sm\\:pr-16{padding-right:4rem}.sm\\:pb-16{padding-bottom:4rem}.sm\\:pl-16{padding-left:4rem}.sm\\:pt-20{padding-top:5rem}.sm\\:pr-20{padding-right:5rem}.sm\\:pb-20{padding-bottom:5rem}.sm\\:pl-20{padding-left:5rem}.sm\\:pt-24{padding-top:6rem}.sm\\:pr-24{padding-right:6rem}.sm\\:pb-24{padding-bottom:6rem}.sm\\:pl-24{padding-left:6rem}.sm\\:pt-32{padding-top:8rem}.sm\\:pr-32{padding-right:8rem}.sm\\:pb-32{padding-bottom:8rem}.sm\\:pl-32{padding-left:8rem}.sm\\:pt-40{padding-top:10rem}.sm\\:pr-40{padding-right:10rem}.sm\\:pb-40{padding-bottom:10rem}.sm\\:pl-40{padding-left:10rem}.sm\\:pt-48{padding-top:12rem}.sm\\:pr-48{padding-right:12rem}.sm\\:pb-48{padding-bottom:12rem}.sm\\:pl-48{padding-left:12rem}.sm\\:pt-56{padding-top:14rem}.sm\\:pr-56{padding-right:14rem}.sm\\:pb-56{padding-bottom:14rem}.sm\\:pl-56{padding-left:14rem}.sm\\:pt-64{padding-top:16rem}.sm\\:pr-64{padding-right:16rem}.sm\\:pb-64{padding-bottom:16rem}.sm\\:pl-64{padding-left:16rem}.sm\\:pt-px{padding-top:1px}.sm\\:pr-px{padding-right:1px}.sm\\:pb-px{padding-bottom:1px}.sm\\:pl-px{padding-left:1px}.sm\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.sm\\:placeholder-transparent::-moz-placeholder{color:transparent}.sm\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.sm\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.sm\\:placeholder-transparent::placeholder{color:transparent}.sm\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.sm\\:placeholder-current::-moz-placeholder{color:currentColor}.sm\\:placeholder-current:-ms-input-placeholder{color:currentColor}.sm\\:placeholder-current::-ms-input-placeholder{color:currentColor}.sm\\:placeholder-current::placeholder{color:currentColor}.sm\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.sm\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.sm\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.sm\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.sm\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.sm\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.sm\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.sm\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.sm\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.sm\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.sm\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.sm\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.sm\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.sm\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.sm\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.sm\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.sm\\:pointer-events-none{pointer-events:none}.sm\\:pointer-events-auto{pointer-events:auto}.sm\\:static{position:static}.sm\\:fixed{position:fixed}.sm\\:absolute{position:absolute}.sm\\:relative{position:relative}.sm\\:sticky{position:-webkit-sticky;position:sticky}.sm\\:inset-0{top:0;right:0;bottom:0;left:0}.sm\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.sm\\:inset-y-0{top:0;bottom:0}.sm\\:inset-x-0{right:0;left:0}.sm\\:inset-y-auto{top:auto;bottom:auto}.sm\\:inset-x-auto{right:auto;left:auto}.sm\\:top-0{top:0}.sm\\:right-0{right:0}.sm\\:bottom-0{bottom:0}.sm\\:left-0{left:0}.sm\\:top-auto{top:auto}.sm\\:right-auto{right:auto}.sm\\:bottom-auto{bottom:auto}.sm\\:left-auto{left:auto}.sm\\:resize-none{resize:none}.sm\\:resize-y{resize:vertical}.sm\\:resize-x{resize:horizontal}.sm\\:resize{resize:both}.sm\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.sm\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.sm\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.sm\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.sm\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.sm\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.sm\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.sm\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.sm\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.sm\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.sm\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.sm\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.sm\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.sm\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.sm\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.sm\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.sm\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.sm\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.sm\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.sm\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.sm\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.sm\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.sm\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.sm\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.sm\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.sm\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.sm\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.sm\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.sm\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.sm\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.sm\\:fill-current{fill:currentColor}.sm\\:stroke-current{stroke:currentColor}.sm\\:stroke-0{stroke-width:0}.sm\\:stroke-1{stroke-width:1}.sm\\:stroke-2{stroke-width:2}.sm\\:table-auto{table-layout:auto}.sm\\:table-fixed{table-layout:fixed}.sm\\:text-left{text-align:left}.sm\\:text-center{text-align:center}.sm\\:text-right{text-align:right}.sm\\:text-justify{text-align:justify}.sm\\:text-transparent{color:transparent}.sm\\:text-current{color:currentColor}.sm\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.sm\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.sm\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.sm\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.sm\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.sm\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.sm\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.sm\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.sm\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.sm\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.sm\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.sm\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.sm\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.sm\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.sm\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.sm\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.sm\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.sm\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.sm\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.sm\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.sm\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.sm\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.sm\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.sm\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.sm\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.sm\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.sm\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.sm\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.sm\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.sm\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.sm\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.sm\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.sm\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.sm\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.sm\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.sm\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.sm\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.sm\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.sm\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.sm\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.sm\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.sm\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.sm\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.sm\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.sm\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.sm\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.sm\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.sm\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.sm\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.sm\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.sm\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.sm\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.sm\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.sm\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.sm\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.sm\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.sm\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.sm\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.sm\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.sm\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.sm\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.sm\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.sm\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.sm\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.sm\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.sm\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.sm\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.sm\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.sm\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.sm\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.sm\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.sm\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.sm\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.sm\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.sm\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.sm\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.sm\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.sm\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.sm\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.sm\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.sm\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.sm\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.sm\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.sm\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.sm\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.sm\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.sm\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.sm\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.sm\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.sm\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.sm\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.sm\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.sm\\:hover\\:text-transparent:hover{color:transparent}.sm\\:hover\\:text-current:hover{color:currentColor}.sm\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.sm\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.sm\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.sm\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.sm\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.sm\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.sm\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.sm\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.sm\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.sm\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.sm\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.sm\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.sm\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.sm\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.sm\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.sm\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.sm\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.sm\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.sm\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.sm\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.sm\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.sm\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.sm\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.sm\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.sm\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.sm\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.sm\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.sm\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.sm\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.sm\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.sm\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.sm\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.sm\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.sm\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.sm\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.sm\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.sm\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.sm\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.sm\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.sm\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.sm\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.sm\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.sm\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.sm\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.sm\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.sm\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.sm\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.sm\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.sm\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.sm\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.sm\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.sm\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.sm\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.sm\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.sm\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.sm\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.sm\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.sm\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.sm\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.sm\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.sm\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.sm\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.sm\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.sm\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.sm\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.sm\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.sm\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.sm\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.sm\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.sm\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.sm\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.sm\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.sm\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.sm\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.sm\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.sm\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.sm\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.sm\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.sm\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.sm\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.sm\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.sm\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.sm\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.sm\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.sm\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.sm\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.sm\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.sm\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.sm\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.sm\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.sm\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.sm\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.sm\\:focus\\:text-transparent:focus{color:transparent}.sm\\:focus\\:text-current:focus{color:currentColor}.sm\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.sm\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.sm\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.sm\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.sm\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.sm\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.sm\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.sm\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.sm\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.sm\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.sm\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.sm\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.sm\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.sm\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.sm\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.sm\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.sm\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.sm\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.sm\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.sm\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.sm\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.sm\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.sm\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.sm\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.sm\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.sm\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.sm\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.sm\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.sm\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.sm\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.sm\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.sm\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.sm\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.sm\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.sm\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.sm\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.sm\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.sm\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.sm\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.sm\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.sm\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.sm\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.sm\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.sm\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.sm\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.sm\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.sm\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.sm\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.sm\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.sm\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.sm\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.sm\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.sm\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.sm\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.sm\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.sm\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.sm\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.sm\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.sm\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.sm\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.sm\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.sm\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.sm\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.sm\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.sm\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.sm\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.sm\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.sm\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.sm\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.sm\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.sm\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.sm\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.sm\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.sm\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.sm\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.sm\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.sm\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.sm\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.sm\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.sm\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.sm\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.sm\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.sm\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.sm\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.sm\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.sm\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.sm\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.sm\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.sm\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.sm\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.sm\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.sm\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.sm\\:text-opacity-0{--text-opacity:0}.sm\\:text-opacity-25{--text-opacity:0.25}.sm\\:text-opacity-50{--text-opacity:0.5}.sm\\:text-opacity-75{--text-opacity:0.75}.sm\\:text-opacity-100{--text-opacity:1}.sm\\:hover\\:text-opacity-0:hover{--text-opacity:0}.sm\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.sm\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.sm\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.sm\\:hover\\:text-opacity-100:hover{--text-opacity:1}.sm\\:focus\\:text-opacity-0:focus{--text-opacity:0}.sm\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.sm\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.sm\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.sm\\:focus\\:text-opacity-100:focus{--text-opacity:1}.sm\\:italic{font-style:italic}.sm\\:not-italic{font-style:normal}.sm\\:uppercase{text-transform:uppercase}.sm\\:lowercase{text-transform:lowercase}.sm\\:capitalize{text-transform:capitalize}.sm\\:normal-case{text-transform:none}.sm\\:underline{text-decoration:underline}.sm\\:line-through{text-decoration:line-through}.sm\\:no-underline{text-decoration:none}.sm\\:hover\\:underline:hover{text-decoration:underline}.sm\\:hover\\:line-through:hover{text-decoration:line-through}.sm\\:hover\\:no-underline:hover{text-decoration:none}.sm\\:focus\\:underline:focus{text-decoration:underline}.sm\\:focus\\:line-through:focus{text-decoration:line-through}.sm\\:focus\\:no-underline:focus{text-decoration:none}.sm\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.sm\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.sm\\:ordinal,.sm\\:slashed-zero,.sm\\:lining-nums,.sm\\:oldstyle-nums,.sm\\:proportional-nums,.sm\\:tabular-nums,.sm\\:diagonal-fractions,.sm\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.sm\\:normal-nums{font-variant-numeric:normal}.sm\\:ordinal{--font-variant-numeric-ordinal:ordinal}.sm\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.sm\\:lining-nums{--font-variant-numeric-figure:lining-nums}.sm\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.sm\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.sm\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.sm\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.sm\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.sm\\:tracking-tighter{letter-spacing:-0.05em}.sm\\:tracking-tight{letter-spacing:-0.025em}.sm\\:tracking-normal{letter-spacing:0}.sm\\:tracking-wide{letter-spacing:0.025em}.sm\\:tracking-wider{letter-spacing:0.05em}.sm\\:tracking-widest{letter-spacing:0.1em}.sm\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.sm\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.sm\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.sm\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.sm\\:align-baseline{vertical-align:baseline}.sm\\:align-top{vertical-align:top}.sm\\:align-middle{vertical-align:middle}.sm\\:align-bottom{vertical-align:bottom}.sm\\:align-text-top{vertical-align:text-top}.sm\\:align-text-bottom{vertical-align:text-bottom}.sm\\:visible{visibility:visible}.sm\\:invisible{visibility:hidden}.sm\\:whitespace-normal{white-space:normal}.sm\\:whitespace-no-wrap{white-space:nowrap}.sm\\:whitespace-pre{white-space:pre}.sm\\:whitespace-pre-line{white-space:pre-line}.sm\\:whitespace-pre-wrap{white-space:pre-wrap}.sm\\:break-normal{overflow-wrap:normal;word-break:normal}.sm\\:break-words{overflow-wrap:break-word}.sm\\:break-all{word-break:break-all}.sm\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.sm\\:w-0{width:0}.sm\\:w-1{width:0.25rem}.sm\\:w-2{width:0.5rem}.sm\\:w-3{width:0.75rem}.sm\\:w-4{width:1rem}.sm\\:w-5{width:1.25rem}.sm\\:w-6{width:1.5rem}.sm\\:w-8{width:2rem}.sm\\:w-10{width:2.5rem}.sm\\:w-12{width:3rem}.sm\\:w-16{width:4rem}.sm\\:w-20{width:5rem}.sm\\:w-24{width:6rem}.sm\\:w-32{width:8rem}.sm\\:w-40{width:10rem}.sm\\:w-48{width:12rem}.sm\\:w-56{width:14rem}.sm\\:w-64{width:16rem}.sm\\:w-auto{width:auto}.sm\\:w-px{width:1px}.sm\\:w-1\\/2{width:50%}.sm\\:w-1\\/3{width:33.333333%}.sm\\:w-2\\/3{width:66.666667%}.sm\\:w-1\\/4{width:25%}.sm\\:w-2\\/4{width:50%}.sm\\:w-3\\/4{width:75%}.sm\\:w-1\\/5{width:20%}.sm\\:w-2\\/5{width:40%}.sm\\:w-3\\/5{width:60%}.sm\\:w-4\\/5{width:80%}.sm\\:w-1\\/6{width:16.666667%}.sm\\:w-2\\/6{width:33.333333%}.sm\\:w-3\\/6{width:50%}.sm\\:w-4\\/6{width:66.666667%}.sm\\:w-5\\/6{width:83.333333%}.sm\\:w-1\\/12{width:8.333333%}.sm\\:w-2\\/12{width:16.666667%}.sm\\:w-3\\/12{width:25%}.sm\\:w-4\\/12{width:33.333333%}.sm\\:w-5\\/12{width:41.666667%}.sm\\:w-6\\/12{width:50%}.sm\\:w-7\\/12{width:58.333333%}.sm\\:w-8\\/12{width:66.666667%}.sm\\:w-9\\/12{width:75%}.sm\\:w-10\\/12{width:83.333333%}.sm\\:w-11\\/12{width:91.666667%}.sm\\:w-full{width:100%}.sm\\:w-screen{width:100vw}.sm\\:z-0{z-index:0}.sm\\:z-10{z-index:10}.sm\\:z-20{z-index:20}.sm\\:z-30{z-index:30}.sm\\:z-40{z-index:40}.sm\\:z-50{z-index:50}.sm\\:z-auto{z-index:auto}.sm\\:gap-0{grid-gap:0;gap:0}.sm\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.sm\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.sm\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.sm\\:gap-4{grid-gap:1rem;gap:1rem}.sm\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.sm\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.sm\\:gap-8{grid-gap:2rem;gap:2rem}.sm\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.sm\\:gap-12{grid-gap:3rem;gap:3rem}.sm\\:gap-16{grid-gap:4rem;gap:4rem}.sm\\:gap-20{grid-gap:5rem;gap:5rem}.sm\\:gap-24{grid-gap:6rem;gap:6rem}.sm\\:gap-32{grid-gap:8rem;gap:8rem}.sm\\:gap-40{grid-gap:10rem;gap:10rem}.sm\\:gap-48{grid-gap:12rem;gap:12rem}.sm\\:gap-56{grid-gap:14rem;gap:14rem}.sm\\:gap-64{grid-gap:16rem;gap:16rem}.sm\\:gap-px{grid-gap:1px;gap:1px}.sm\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.sm\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.sm\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.sm\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.sm\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.sm\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.sm\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.sm\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.sm\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.sm\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.sm\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.sm\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.sm\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.sm\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.sm\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.sm\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.sm\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.sm\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.sm\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.sm\\:gap-y-0{grid-row-gap:0;row-gap:0}.sm\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.sm\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.sm\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.sm\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.sm\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.sm\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.sm\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.sm\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.sm\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.sm\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.sm\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.sm\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.sm\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.sm\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.sm\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.sm\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.sm\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.sm\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.sm\\:grid-flow-row{grid-auto-flow:row}.sm\\:grid-flow-col{grid-auto-flow:column}.sm\\:grid-flow-row-dense{grid-auto-flow:row dense}.sm\\:grid-flow-col-dense{grid-auto-flow:column dense}.sm\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.sm\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.sm\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.sm\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.sm\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.sm\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.sm\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.sm\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.sm\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.sm\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.sm\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.sm\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.sm\\:grid-cols-none{grid-template-columns:none}.sm\\:col-auto{grid-column:auto}.sm\\:col-span-1{grid-column:span 1 / span 1}.sm\\:col-span-2{grid-column:span 2 / span 2}.sm\\:col-span-3{grid-column:span 3 / span 3}.sm\\:col-span-4{grid-column:span 4 / span 4}.sm\\:col-span-5{grid-column:span 5 / span 5}.sm\\:col-span-6{grid-column:span 6 / span 6}.sm\\:col-span-7{grid-column:span 7 / span 7}.sm\\:col-span-8{grid-column:span 8 / span 8}.sm\\:col-span-9{grid-column:span 9 / span 9}.sm\\:col-span-10{grid-column:span 10 / span 10}.sm\\:col-span-11{grid-column:span 11 / span 11}.sm\\:col-span-12{grid-column:span 12 / span 12}.sm\\:col-start-1{grid-column-start:1}.sm\\:col-start-2{grid-column-start:2}.sm\\:col-start-3{grid-column-start:3}.sm\\:col-start-4{grid-column-start:4}.sm\\:col-start-5{grid-column-start:5}.sm\\:col-start-6{grid-column-start:6}.sm\\:col-start-7{grid-column-start:7}.sm\\:col-start-8{grid-column-start:8}.sm\\:col-start-9{grid-column-start:9}.sm\\:col-start-10{grid-column-start:10}.sm\\:col-start-11{grid-column-start:11}.sm\\:col-start-12{grid-column-start:12}.sm\\:col-start-13{grid-column-start:13}.sm\\:col-start-auto{grid-column-start:auto}.sm\\:col-end-1{grid-column-end:1}.sm\\:col-end-2{grid-column-end:2}.sm\\:col-end-3{grid-column-end:3}.sm\\:col-end-4{grid-column-end:4}.sm\\:col-end-5{grid-column-end:5}.sm\\:col-end-6{grid-column-end:6}.sm\\:col-end-7{grid-column-end:7}.sm\\:col-end-8{grid-column-end:8}.sm\\:col-end-9{grid-column-end:9}.sm\\:col-end-10{grid-column-end:10}.sm\\:col-end-11{grid-column-end:11}.sm\\:col-end-12{grid-column-end:12}.sm\\:col-end-13{grid-column-end:13}.sm\\:col-end-auto{grid-column-end:auto}.sm\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.sm\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.sm\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.sm\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.sm\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.sm\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.sm\\:grid-rows-none{grid-template-rows:none}.sm\\:row-auto{grid-row:auto}.sm\\:row-span-1{grid-row:span 1 / span 1}.sm\\:row-span-2{grid-row:span 2 / span 2}.sm\\:row-span-3{grid-row:span 3 / span 3}.sm\\:row-span-4{grid-row:span 4 / span 4}.sm\\:row-span-5{grid-row:span 5 / span 5}.sm\\:row-span-6{grid-row:span 6 / span 6}.sm\\:row-start-1{grid-row-start:1}.sm\\:row-start-2{grid-row-start:2}.sm\\:row-start-3{grid-row-start:3}.sm\\:row-start-4{grid-row-start:4}.sm\\:row-start-5{grid-row-start:5}.sm\\:row-start-6{grid-row-start:6}.sm\\:row-start-7{grid-row-start:7}.sm\\:row-start-auto{grid-row-start:auto}.sm\\:row-end-1{grid-row-end:1}.sm\\:row-end-2{grid-row-end:2}.sm\\:row-end-3{grid-row-end:3}.sm\\:row-end-4{grid-row-end:4}.sm\\:row-end-5{grid-row-end:5}.sm\\:row-end-6{grid-row-end:6}.sm\\:row-end-7{grid-row-end:7}.sm\\:row-end-auto{grid-row-end:auto}.sm\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.sm\\:transform-none{-webkit-transform:none;transform:none}.sm\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.sm\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.sm\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.sm\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.sm\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.sm\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.sm\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.sm\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.sm\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.sm\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.sm\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.sm\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.sm\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.sm\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.sm\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.sm\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.sm\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.sm\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.sm\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.sm\\:scale-x-0{--transform-scale-x:0}.sm\\:scale-x-50{--transform-scale-x:.5}.sm\\:scale-x-75{--transform-scale-x:.75}.sm\\:scale-x-90{--transform-scale-x:.9}.sm\\:scale-x-95{--transform-scale-x:.95}.sm\\:scale-x-100{--transform-scale-x:1}.sm\\:scale-x-105{--transform-scale-x:1.05}.sm\\:scale-x-110{--transform-scale-x:1.1}.sm\\:scale-x-125{--transform-scale-x:1.25}.sm\\:scale-x-150{--transform-scale-x:1.5}.sm\\:scale-y-0{--transform-scale-y:0}.sm\\:scale-y-50{--transform-scale-y:.5}.sm\\:scale-y-75{--transform-scale-y:.75}.sm\\:scale-y-90{--transform-scale-y:.9}.sm\\:scale-y-95{--transform-scale-y:.95}.sm\\:scale-y-100{--transform-scale-y:1}.sm\\:scale-y-105{--transform-scale-y:1.05}.sm\\:scale-y-110{--transform-scale-y:1.1}.sm\\:scale-y-125{--transform-scale-y:1.25}.sm\\:scale-y-150{--transform-scale-y:1.5}.sm\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.sm\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.sm\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.sm\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.sm\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.sm\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.sm\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.sm\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.sm\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.sm\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.sm\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.sm\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.sm\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.sm\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.sm\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.sm\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.sm\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.sm\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.sm\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.sm\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.sm\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.sm\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.sm\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.sm\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.sm\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.sm\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.sm\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.sm\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.sm\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.sm\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.sm\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.sm\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.sm\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.sm\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.sm\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.sm\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.sm\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.sm\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.sm\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.sm\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.sm\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.sm\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.sm\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.sm\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.sm\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.sm\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.sm\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.sm\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.sm\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.sm\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.sm\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.sm\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.sm\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.sm\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.sm\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.sm\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.sm\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.sm\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.sm\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.sm\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.sm\\:rotate-0{--transform-rotate:0}.sm\\:rotate-45{--transform-rotate:45deg}.sm\\:rotate-90{--transform-rotate:90deg}.sm\\:rotate-180{--transform-rotate:180deg}.sm\\:-rotate-180{--transform-rotate:-180deg}.sm\\:-rotate-90{--transform-rotate:-90deg}.sm\\:-rotate-45{--transform-rotate:-45deg}.sm\\:hover\\:rotate-0:hover{--transform-rotate:0}.sm\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.sm\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.sm\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.sm\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.sm\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.sm\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.sm\\:focus\\:rotate-0:focus{--transform-rotate:0}.sm\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.sm\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.sm\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.sm\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.sm\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.sm\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.sm\\:translate-x-0{--transform-translate-x:0}.sm\\:translate-x-1{--transform-translate-x:0.25rem}.sm\\:translate-x-2{--transform-translate-x:0.5rem}.sm\\:translate-x-3{--transform-translate-x:0.75rem}.sm\\:translate-x-4{--transform-translate-x:1rem}.sm\\:translate-x-5{--transform-translate-x:1.25rem}.sm\\:translate-x-6{--transform-translate-x:1.5rem}.sm\\:translate-x-8{--transform-translate-x:2rem}.sm\\:translate-x-10{--transform-translate-x:2.5rem}.sm\\:translate-x-12{--transform-translate-x:3rem}.sm\\:translate-x-16{--transform-translate-x:4rem}.sm\\:translate-x-20{--transform-translate-x:5rem}.sm\\:translate-x-24{--transform-translate-x:6rem}.sm\\:translate-x-32{--transform-translate-x:8rem}.sm\\:translate-x-40{--transform-translate-x:10rem}.sm\\:translate-x-48{--transform-translate-x:12rem}.sm\\:translate-x-56{--transform-translate-x:14rem}.sm\\:translate-x-64{--transform-translate-x:16rem}.sm\\:translate-x-px{--transform-translate-x:1px}.sm\\:-translate-x-1{--transform-translate-x:-0.25rem}.sm\\:-translate-x-2{--transform-translate-x:-0.5rem}.sm\\:-translate-x-3{--transform-translate-x:-0.75rem}.sm\\:-translate-x-4{--transform-translate-x:-1rem}.sm\\:-translate-x-5{--transform-translate-x:-1.25rem}.sm\\:-translate-x-6{--transform-translate-x:-1.5rem}.sm\\:-translate-x-8{--transform-translate-x:-2rem}.sm\\:-translate-x-10{--transform-translate-x:-2.5rem}.sm\\:-translate-x-12{--transform-translate-x:-3rem}.sm\\:-translate-x-16{--transform-translate-x:-4rem}.sm\\:-translate-x-20{--transform-translate-x:-5rem}.sm\\:-translate-x-24{--transform-translate-x:-6rem}.sm\\:-translate-x-32{--transform-translate-x:-8rem}.sm\\:-translate-x-40{--transform-translate-x:-10rem}.sm\\:-translate-x-48{--transform-translate-x:-12rem}.sm\\:-translate-x-56{--transform-translate-x:-14rem}.sm\\:-translate-x-64{--transform-translate-x:-16rem}.sm\\:-translate-x-px{--transform-translate-x:-1px}.sm\\:-translate-x-full{--transform-translate-x:-100%}.sm\\:-translate-x-1\\/2{--transform-translate-x:-50%}.sm\\:translate-x-1\\/2{--transform-translate-x:50%}.sm\\:translate-x-full{--transform-translate-x:100%}.sm\\:translate-y-0{--transform-translate-y:0}.sm\\:translate-y-1{--transform-translate-y:0.25rem}.sm\\:translate-y-2{--transform-translate-y:0.5rem}.sm\\:translate-y-3{--transform-translate-y:0.75rem}.sm\\:translate-y-4{--transform-translate-y:1rem}.sm\\:translate-y-5{--transform-translate-y:1.25rem}.sm\\:translate-y-6{--transform-translate-y:1.5rem}.sm\\:translate-y-8{--transform-translate-y:2rem}.sm\\:translate-y-10{--transform-translate-y:2.5rem}.sm\\:translate-y-12{--transform-translate-y:3rem}.sm\\:translate-y-16{--transform-translate-y:4rem}.sm\\:translate-y-20{--transform-translate-y:5rem}.sm\\:translate-y-24{--transform-translate-y:6rem}.sm\\:translate-y-32{--transform-translate-y:8rem}.sm\\:translate-y-40{--transform-translate-y:10rem}.sm\\:translate-y-48{--transform-translate-y:12rem}.sm\\:translate-y-56{--transform-translate-y:14rem}.sm\\:translate-y-64{--transform-translate-y:16rem}.sm\\:translate-y-px{--transform-translate-y:1px}.sm\\:-translate-y-1{--transform-translate-y:-0.25rem}.sm\\:-translate-y-2{--transform-translate-y:-0.5rem}.sm\\:-translate-y-3{--transform-translate-y:-0.75rem}.sm\\:-translate-y-4{--transform-translate-y:-1rem}.sm\\:-translate-y-5{--transform-translate-y:-1.25rem}.sm\\:-translate-y-6{--transform-translate-y:-1.5rem}.sm\\:-translate-y-8{--transform-translate-y:-2rem}.sm\\:-translate-y-10{--transform-translate-y:-2.5rem}.sm\\:-translate-y-12{--transform-translate-y:-3rem}.sm\\:-translate-y-16{--transform-translate-y:-4rem}.sm\\:-translate-y-20{--transform-translate-y:-5rem}.sm\\:-translate-y-24{--transform-translate-y:-6rem}.sm\\:-translate-y-32{--transform-translate-y:-8rem}.sm\\:-translate-y-40{--transform-translate-y:-10rem}.sm\\:-translate-y-48{--transform-translate-y:-12rem}.sm\\:-translate-y-56{--transform-translate-y:-14rem}.sm\\:-translate-y-64{--transform-translate-y:-16rem}.sm\\:-translate-y-px{--transform-translate-y:-1px}.sm\\:-translate-y-full{--transform-translate-y:-100%}.sm\\:-translate-y-1\\/2{--transform-translate-y:-50%}.sm\\:translate-y-1\\/2{--transform-translate-y:50%}.sm\\:translate-y-full{--transform-translate-y:100%}.sm\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.sm\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.sm\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.sm\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.sm\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.sm\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.sm\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.sm\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.sm\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.sm\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.sm\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.sm\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.sm\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.sm\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.sm\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.sm\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.sm\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.sm\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.sm\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.sm\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.sm\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.sm\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.sm\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.sm\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.sm\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.sm\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.sm\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.sm\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.sm\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.sm\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.sm\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.sm\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.sm\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.sm\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.sm\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.sm\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.sm\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.sm\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.sm\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.sm\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.sm\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.sm\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.sm\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.sm\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.sm\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.sm\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.sm\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.sm\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.sm\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.sm\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.sm\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.sm\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.sm\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.sm\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.sm\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.sm\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.sm\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.sm\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.sm\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.sm\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.sm\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.sm\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.sm\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.sm\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.sm\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.sm\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.sm\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.sm\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.sm\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.sm\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.sm\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.sm\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.sm\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.sm\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.sm\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.sm\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.sm\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.sm\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.sm\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.sm\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.sm\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.sm\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.sm\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.sm\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.sm\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.sm\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.sm\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.sm\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.sm\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.sm\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.sm\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.sm\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.sm\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.sm\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.sm\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.sm\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.sm\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.sm\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.sm\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.sm\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.sm\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.sm\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.sm\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.sm\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.sm\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.sm\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.sm\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.sm\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.sm\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.sm\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.sm\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.sm\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.sm\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.sm\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.sm\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.sm\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.sm\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.sm\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.sm\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.sm\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.sm\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.sm\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.sm\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.sm\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.sm\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.sm\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.sm\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.sm\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.sm\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.sm\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.sm\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.sm\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.sm\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.sm\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.sm\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.sm\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.sm\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.sm\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.sm\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.sm\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.sm\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.sm\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.sm\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.sm\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.sm\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.sm\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.sm\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.sm\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.sm\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.sm\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.sm\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.sm\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.sm\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.sm\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.sm\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.sm\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.sm\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.sm\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.sm\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.sm\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.sm\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.sm\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.sm\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.sm\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.sm\\:skew-x-0{--transform-skew-x:0}.sm\\:skew-x-3{--transform-skew-x:3deg}.sm\\:skew-x-6{--transform-skew-x:6deg}.sm\\:skew-x-12{--transform-skew-x:12deg}.sm\\:-skew-x-12{--transform-skew-x:-12deg}.sm\\:-skew-x-6{--transform-skew-x:-6deg}.sm\\:-skew-x-3{--transform-skew-x:-3deg}.sm\\:skew-y-0{--transform-skew-y:0}.sm\\:skew-y-3{--transform-skew-y:3deg}.sm\\:skew-y-6{--transform-skew-y:6deg}.sm\\:skew-y-12{--transform-skew-y:12deg}.sm\\:-skew-y-12{--transform-skew-y:-12deg}.sm\\:-skew-y-6{--transform-skew-y:-6deg}.sm\\:-skew-y-3{--transform-skew-y:-3deg}.sm\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.sm\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.sm\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.sm\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.sm\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.sm\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.sm\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.sm\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.sm\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.sm\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.sm\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.sm\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.sm\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.sm\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.sm\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.sm\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.sm\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.sm\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.sm\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.sm\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.sm\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.sm\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.sm\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.sm\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.sm\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.sm\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.sm\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.sm\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.sm\\:transition-none{-webkit-transition-property:none;transition-property:none}.sm\\:transition-all{-webkit-transition-property:all;transition-property:all}.sm\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.sm\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.sm\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.sm\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.sm\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.sm\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.sm\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.sm\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.sm\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.sm\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.sm\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.sm\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.sm\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.sm\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.sm\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.sm\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.sm\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.sm\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.sm\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.sm\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.sm\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.sm\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.sm\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.sm\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.sm\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.sm\\:animate-none{-webkit-animation:none;animation:none}.sm\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.sm\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.sm\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.sm\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}@media (min-width: 768px){.md\\:container{width:100%}@media (min-width: 640px){.md\\:container{max-width:640px}}@media (min-width: 768px){.md\\:container{max-width:768px}}@media (min-width: 1024px){.md\\:container{max-width:1024px}}@media (min-width: 1280px){.md\\:container{max-width:1280px}}.md\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.md\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.md\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.md\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.md\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.md\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.md\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.md\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.md\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.md\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.md\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.md\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.md\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.md\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.md\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.md\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.md\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.md\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.md\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.md\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.md\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.md\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.md\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.md\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.md\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.md\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.md\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.md\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.md\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.md\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.md\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.md\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.md\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.md\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.md\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.md\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.md\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.md\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.md\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.md\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.md\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.md\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.md\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.md\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.md\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.md\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.md\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.md\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.md\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.md\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.md\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.md\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.md\\:divide-current>:not(template)~:not(template){border-color:currentColor}.md\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.md\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.md\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.md\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.md\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.md\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.md\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.md\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.md\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.md\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.md\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.md\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.md\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.md\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.md\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.md\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.md\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.md\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.md\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.md\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.md\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.md\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.md\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.md\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.md\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.md\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.md\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.md\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.md\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.md\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.md\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.md\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.md\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.md\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.md\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.md\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.md\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.md\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.md\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.md\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.md\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.md\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.md\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.md\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.md\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.md\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.md\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.md\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.md\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.md\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.md\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.md\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.md\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.md\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.md\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.md\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.md\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.md\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.md\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.md\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.md\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.md\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.md\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.md\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.md\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.md\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.md\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.md\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.md\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.md\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.md\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.md\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.md\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.md\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.md\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.md\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.md\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.md\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.md\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.md\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.md\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.md\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.md\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.md\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.md\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.md\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.md\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.md\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.md\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.md\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.md\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.md\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.md\\:divide-solid>:not(template)~:not(template){border-style:solid}.md\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.md\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.md\\:divide-double>:not(template)~:not(template){border-style:double}.md\\:divide-none>:not(template)~:not(template){border-style:none}.md\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.md\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.md\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.md\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.md\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.md\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.md\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.md\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.md\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.md\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.md\\:bg-fixed{background-attachment:fixed}.md\\:bg-local{background-attachment:local}.md\\:bg-scroll{background-attachment:scroll}.md\\:bg-clip-border{background-clip:border-box}.md\\:bg-clip-padding{background-clip:padding-box}.md\\:bg-clip-content{background-clip:content-box}.md\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.md\\:bg-transparent{background-color:transparent}.md\\:bg-current{background-color:currentColor}.md\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.md\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.md\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.md\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.md\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.md\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.md\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.md\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.md\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.md\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.md\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.md\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.md\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.md\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.md\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.md\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.md\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.md\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.md\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.md\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.md\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.md\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.md\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.md\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.md\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.md\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.md\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.md\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.md\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.md\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.md\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.md\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.md\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.md\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.md\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.md\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.md\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.md\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.md\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.md\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.md\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.md\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.md\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.md\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.md\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.md\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.md\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.md\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.md\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.md\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.md\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.md\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.md\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.md\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.md\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.md\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.md\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.md\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.md\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.md\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.md\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.md\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.md\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.md\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.md\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.md\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.md\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.md\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.md\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.md\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.md\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.md\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.md\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.md\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.md\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.md\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.md\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.md\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.md\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.md\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.md\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.md\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.md\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.md\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.md\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.md\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.md\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.md\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.md\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.md\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.md\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.md\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.md\\:hover\\:bg-transparent:hover{background-color:transparent}.md\\:hover\\:bg-current:hover{background-color:currentColor}.md\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.md\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.md\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.md\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.md\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.md\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.md\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.md\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.md\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.md\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.md\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.md\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.md\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.md\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.md\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.md\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.md\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.md\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.md\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.md\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.md\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.md\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.md\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.md\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.md\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.md\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.md\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.md\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.md\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.md\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.md\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.md\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.md\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.md\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.md\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.md\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.md\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.md\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.md\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.md\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.md\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.md\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.md\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.md\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.md\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.md\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.md\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.md\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.md\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.md\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.md\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.md\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.md\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.md\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.md\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.md\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.md\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.md\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.md\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.md\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.md\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.md\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.md\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.md\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.md\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.md\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.md\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.md\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.md\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.md\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.md\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.md\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.md\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.md\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.md\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.md\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.md\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.md\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.md\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.md\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.md\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.md\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.md\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.md\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.md\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.md\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.md\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.md\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.md\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.md\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.md\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.md\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.md\\:focus\\:bg-transparent:focus{background-color:transparent}.md\\:focus\\:bg-current:focus{background-color:currentColor}.md\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.md\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.md\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.md\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.md\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.md\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.md\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.md\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.md\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.md\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.md\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.md\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.md\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.md\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.md\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.md\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.md\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.md\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.md\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.md\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.md\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.md\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.md\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.md\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.md\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.md\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.md\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.md\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.md\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.md\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.md\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.md\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.md\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.md\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.md\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.md\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.md\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.md\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.md\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.md\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.md\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.md\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.md\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.md\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.md\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.md\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.md\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.md\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.md\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.md\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.md\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.md\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.md\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.md\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.md\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.md\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.md\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.md\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.md\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.md\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.md\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.md\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.md\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.md\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.md\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.md\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.md\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.md\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.md\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.md\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.md\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.md\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.md\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.md\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.md\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.md\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.md\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.md\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.md\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.md\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.md\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.md\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.md\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.md\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.md\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.md\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.md\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.md\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.md\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.md\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.md\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.md\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.md\\:bg-none{background-image:none}.md\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.md\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.md\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.md\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.md\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.md\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.md\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.md\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.md\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:to-transparent{--gradient-to-color:transparent}.md\\:to-current{--gradient-to-color:currentColor}.md\\:to-black{--gradient-to-color:#000}.md\\:to-white{--gradient-to-color:#fff}.md\\:to-gray-100{--gradient-to-color:#f7fafc}.md\\:to-gray-200{--gradient-to-color:#edf2f7}.md\\:to-gray-300{--gradient-to-color:#e2e8f0}.md\\:to-gray-400{--gradient-to-color:#cbd5e0}.md\\:to-gray-500{--gradient-to-color:#a0aec0}.md\\:to-gray-600{--gradient-to-color:#718096}.md\\:to-gray-700{--gradient-to-color:#4a5568}.md\\:to-gray-800{--gradient-to-color:#2d3748}.md\\:to-gray-900{--gradient-to-color:#1a202c}.md\\:to-red-100{--gradient-to-color:#fff5f5}.md\\:to-red-200{--gradient-to-color:#fed7d7}.md\\:to-red-300{--gradient-to-color:#feb2b2}.md\\:to-red-400{--gradient-to-color:#fc8181}.md\\:to-red-500{--gradient-to-color:#f56565}.md\\:to-red-600{--gradient-to-color:#e53e3e}.md\\:to-red-700{--gradient-to-color:#c53030}.md\\:to-red-800{--gradient-to-color:#9b2c2c}.md\\:to-red-900{--gradient-to-color:#742a2a}.md\\:to-orange-100{--gradient-to-color:#fffaf0}.md\\:to-orange-200{--gradient-to-color:#feebc8}.md\\:to-orange-300{--gradient-to-color:#fbd38d}.md\\:to-orange-400{--gradient-to-color:#f6ad55}.md\\:to-orange-500{--gradient-to-color:#ed8936}.md\\:to-orange-600{--gradient-to-color:#dd6b20}.md\\:to-orange-700{--gradient-to-color:#c05621}.md\\:to-orange-800{--gradient-to-color:#9c4221}.md\\:to-orange-900{--gradient-to-color:#7b341e}.md\\:to-yellow-100{--gradient-to-color:#fffff0}.md\\:to-yellow-200{--gradient-to-color:#fefcbf}.md\\:to-yellow-300{--gradient-to-color:#faf089}.md\\:to-yellow-400{--gradient-to-color:#f6e05e}.md\\:to-yellow-500{--gradient-to-color:#ecc94b}.md\\:to-yellow-600{--gradient-to-color:#d69e2e}.md\\:to-yellow-700{--gradient-to-color:#b7791f}.md\\:to-yellow-800{--gradient-to-color:#975a16}.md\\:to-yellow-900{--gradient-to-color:#744210}.md\\:to-green-100{--gradient-to-color:#f0fff4}.md\\:to-green-200{--gradient-to-color:#c6f6d5}.md\\:to-green-300{--gradient-to-color:#9ae6b4}.md\\:to-green-400{--gradient-to-color:#68d391}.md\\:to-green-500{--gradient-to-color:#48bb78}.md\\:to-green-600{--gradient-to-color:#38a169}.md\\:to-green-700{--gradient-to-color:#2f855a}.md\\:to-green-800{--gradient-to-color:#276749}.md\\:to-green-900{--gradient-to-color:#22543d}.md\\:to-teal-100{--gradient-to-color:#e6fffa}.md\\:to-teal-200{--gradient-to-color:#b2f5ea}.md\\:to-teal-300{--gradient-to-color:#81e6d9}.md\\:to-teal-400{--gradient-to-color:#4fd1c5}.md\\:to-teal-500{--gradient-to-color:#38b2ac}.md\\:to-teal-600{--gradient-to-color:#319795}.md\\:to-teal-700{--gradient-to-color:#2c7a7b}.md\\:to-teal-800{--gradient-to-color:#285e61}.md\\:to-teal-900{--gradient-to-color:#234e52}.md\\:to-blue-100{--gradient-to-color:#ebf8ff}.md\\:to-blue-200{--gradient-to-color:#bee3f8}.md\\:to-blue-300{--gradient-to-color:#90cdf4}.md\\:to-blue-400{--gradient-to-color:#63b3ed}.md\\:to-blue-500{--gradient-to-color:#4299e1}.md\\:to-blue-600{--gradient-to-color:#3182ce}.md\\:to-blue-700{--gradient-to-color:#2b6cb0}.md\\:to-blue-800{--gradient-to-color:#2c5282}.md\\:to-blue-900{--gradient-to-color:#2a4365}.md\\:to-indigo-100{--gradient-to-color:#ebf4ff}.md\\:to-indigo-200{--gradient-to-color:#c3dafe}.md\\:to-indigo-300{--gradient-to-color:#a3bffa}.md\\:to-indigo-400{--gradient-to-color:#7f9cf5}.md\\:to-indigo-500{--gradient-to-color:#667eea}.md\\:to-indigo-600{--gradient-to-color:#5a67d8}.md\\:to-indigo-700{--gradient-to-color:#4c51bf}.md\\:to-indigo-800{--gradient-to-color:#434190}.md\\:to-indigo-900{--gradient-to-color:#3c366b}.md\\:to-purple-100{--gradient-to-color:#faf5ff}.md\\:to-purple-200{--gradient-to-color:#e9d8fd}.md\\:to-purple-300{--gradient-to-color:#d6bcfa}.md\\:to-purple-400{--gradient-to-color:#b794f4}.md\\:to-purple-500{--gradient-to-color:#9f7aea}.md\\:to-purple-600{--gradient-to-color:#805ad5}.md\\:to-purple-700{--gradient-to-color:#6b46c1}.md\\:to-purple-800{--gradient-to-color:#553c9a}.md\\:to-purple-900{--gradient-to-color:#44337a}.md\\:to-pink-100{--gradient-to-color:#fff5f7}.md\\:to-pink-200{--gradient-to-color:#fed7e2}.md\\:to-pink-300{--gradient-to-color:#fbb6ce}.md\\:to-pink-400{--gradient-to-color:#f687b3}.md\\:to-pink-500{--gradient-to-color:#ed64a6}.md\\:to-pink-600{--gradient-to-color:#d53f8c}.md\\:to-pink-700{--gradient-to-color:#b83280}.md\\:to-pink-800{--gradient-to-color:#97266d}.md\\:to-pink-900{--gradient-to-color:#702459}.md\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.md\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.md\\:hover\\:to-black:hover{--gradient-to-color:#000}.md\\:hover\\:to-white:hover{--gradient-to-color:#fff}.md\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.md\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.md\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.md\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.md\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.md\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.md\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.md\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.md\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.md\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.md\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.md\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.md\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.md\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.md\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.md\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.md\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.md\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.md\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.md\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.md\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.md\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.md\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.md\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.md\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.md\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.md\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.md\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.md\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.md\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.md\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.md\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.md\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.md\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.md\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.md\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.md\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.md\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.md\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.md\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.md\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.md\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.md\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.md\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.md\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.md\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.md\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.md\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.md\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.md\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.md\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.md\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.md\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.md\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.md\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.md\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.md\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.md\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.md\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.md\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.md\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.md\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.md\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.md\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.md\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.md\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.md\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.md\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.md\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.md\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.md\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.md\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.md\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.md\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.md\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.md\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.md\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.md\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.md\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.md\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.md\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.md\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.md\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.md\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.md\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.md\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.md\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.md\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.md\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.md\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.md\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.md\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.md\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.md\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.md\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.md\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.md\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.md\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.md\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.md\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.md\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.md\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.md\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.md\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.md\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.md\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.md\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.md\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.md\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.md\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.md\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.md\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.md\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.md\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.md\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.md\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.md\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.md\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.md\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.md\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.md\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.md\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.md\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.md\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.md\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.md\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.md\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.md\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.md\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.md\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.md\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.md\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.md\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.md\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.md\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.md\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.md\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.md\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.md\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.md\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.md\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.md\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.md\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.md\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.md\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.md\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.md\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.md\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.md\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.md\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.md\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.md\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.md\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.md\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.md\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.md\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.md\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.md\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.md\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.md\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.md\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.md\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.md\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.md\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.md\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.md\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.md\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.md\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.md\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.md\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.md\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.md\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.md\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.md\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.md\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.md\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.md\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.md\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.md\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.md\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.md\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.md\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.md\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.md\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.md\\:focus\\:to-black:focus{--gradient-to-color:#000}.md\\:focus\\:to-white:focus{--gradient-to-color:#fff}.md\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.md\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.md\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.md\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.md\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.md\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.md\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.md\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.md\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.md\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.md\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.md\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.md\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.md\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.md\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.md\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.md\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.md\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.md\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.md\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.md\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.md\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.md\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.md\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.md\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.md\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.md\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.md\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.md\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.md\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.md\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.md\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.md\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.md\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.md\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.md\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.md\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.md\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.md\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.md\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.md\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.md\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.md\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.md\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.md\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.md\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.md\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.md\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.md\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.md\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.md\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.md\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.md\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.md\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.md\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.md\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.md\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.md\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.md\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.md\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.md\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.md\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.md\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.md\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.md\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.md\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.md\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.md\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.md\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.md\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.md\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.md\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.md\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.md\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.md\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.md\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.md\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.md\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.md\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.md\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.md\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.md\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.md\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.md\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.md\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.md\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.md\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.md\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.md\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.md\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.md\\:bg-opacity-0{--bg-opacity:0}.md\\:bg-opacity-25{--bg-opacity:0.25}.md\\:bg-opacity-50{--bg-opacity:0.5}.md\\:bg-opacity-75{--bg-opacity:0.75}.md\\:bg-opacity-100{--bg-opacity:1}.md\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.md\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.md\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.md\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.md\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.md\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.md\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.md\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.md\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.md\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.md\\:bg-bottom{background-position:bottom}.md\\:bg-center{background-position:center}.md\\:bg-left{background-position:left}.md\\:bg-left-bottom{background-position:left bottom}.md\\:bg-left-top{background-position:left top}.md\\:bg-right{background-position:right}.md\\:bg-right-bottom{background-position:right bottom}.md\\:bg-right-top{background-position:right top}.md\\:bg-top{background-position:top}.md\\:bg-repeat{background-repeat:repeat}.md\\:bg-no-repeat{background-repeat:no-repeat}.md\\:bg-repeat-x{background-repeat:repeat-x}.md\\:bg-repeat-y{background-repeat:repeat-y}.md\\:bg-repeat-round{background-repeat:round}.md\\:bg-repeat-space{background-repeat:space}.md\\:bg-auto{background-size:auto}.md\\:bg-cover{background-size:cover}.md\\:bg-contain{background-size:contain}.md\\:border-collapse{border-collapse:collapse}.md\\:border-separate{border-collapse:separate}.md\\:border-transparent{border-color:transparent}.md\\:border-current{border-color:currentColor}.md\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.md\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.md\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.md\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.md\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.md\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.md\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.md\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.md\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.md\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.md\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.md\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.md\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.md\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.md\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.md\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.md\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.md\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.md\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.md\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.md\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.md\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.md\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.md\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.md\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.md\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.md\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.md\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.md\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.md\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.md\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.md\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.md\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.md\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.md\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.md\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.md\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.md\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.md\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.md\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.md\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.md\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.md\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.md\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.md\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.md\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.md\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.md\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.md\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.md\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.md\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.md\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.md\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.md\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.md\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.md\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.md\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.md\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.md\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.md\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.md\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.md\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.md\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.md\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.md\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.md\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.md\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.md\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.md\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.md\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.md\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.md\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.md\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.md\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.md\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.md\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.md\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.md\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.md\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.md\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.md\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.md\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.md\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.md\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.md\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.md\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.md\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.md\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.md\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.md\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.md\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.md\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.md\\:hover\\:border-transparent:hover{border-color:transparent}.md\\:hover\\:border-current:hover{border-color:currentColor}.md\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.md\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.md\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.md\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.md\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.md\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.md\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.md\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.md\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.md\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.md\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.md\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.md\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.md\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.md\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.md\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.md\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.md\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.md\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.md\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.md\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.md\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.md\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.md\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.md\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.md\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.md\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.md\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.md\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.md\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.md\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.md\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.md\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.md\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.md\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.md\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.md\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.md\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.md\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.md\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.md\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.md\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.md\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.md\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.md\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.md\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.md\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.md\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.md\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.md\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.md\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.md\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.md\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.md\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.md\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.md\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.md\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.md\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.md\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.md\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.md\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.md\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.md\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.md\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.md\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.md\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.md\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.md\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.md\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.md\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.md\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.md\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.md\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.md\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.md\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.md\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.md\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.md\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.md\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.md\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.md\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.md\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.md\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.md\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.md\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.md\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.md\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.md\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.md\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.md\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.md\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.md\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.md\\:focus\\:border-transparent:focus{border-color:transparent}.md\\:focus\\:border-current:focus{border-color:currentColor}.md\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.md\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.md\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.md\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.md\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.md\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.md\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.md\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.md\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.md\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.md\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.md\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.md\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.md\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.md\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.md\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.md\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.md\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.md\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.md\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.md\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.md\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.md\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.md\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.md\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.md\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.md\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.md\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.md\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.md\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.md\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.md\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.md\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.md\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.md\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.md\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.md\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.md\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.md\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.md\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.md\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.md\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.md\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.md\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.md\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.md\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.md\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.md\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.md\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.md\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.md\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.md\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.md\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.md\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.md\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.md\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.md\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.md\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.md\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.md\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.md\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.md\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.md\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.md\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.md\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.md\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.md\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.md\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.md\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.md\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.md\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.md\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.md\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.md\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.md\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.md\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.md\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.md\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.md\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.md\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.md\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.md\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.md\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.md\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.md\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.md\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.md\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.md\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.md\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.md\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.md\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.md\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.md\\:border-opacity-0{--border-opacity:0}.md\\:border-opacity-25{--border-opacity:0.25}.md\\:border-opacity-50{--border-opacity:0.5}.md\\:border-opacity-75{--border-opacity:0.75}.md\\:border-opacity-100{--border-opacity:1}.md\\:hover\\:border-opacity-0:hover{--border-opacity:0}.md\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.md\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.md\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.md\\:hover\\:border-opacity-100:hover{--border-opacity:1}.md\\:focus\\:border-opacity-0:focus{--border-opacity:0}.md\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.md\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.md\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.md\\:focus\\:border-opacity-100:focus{--border-opacity:1}.md\\:rounded-none{border-radius:0}.md\\:rounded-sm{border-radius:0.125rem}.md\\:rounded{border-radius:0.25rem}.md\\:rounded-md{border-radius:0.375rem}.md\\:rounded-lg{border-radius:0.5rem}.md\\:rounded-full{border-radius:9999px}.md\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.md\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.md\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.md\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.md\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.md\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.md\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.md\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.md\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.md\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.md\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.md\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.md\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.md\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.md\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.md\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.md\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.md\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.md\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.md\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.md\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.md\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.md\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.md\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.md\\:rounded-tl-none{border-top-left-radius:0}.md\\:rounded-tr-none{border-top-right-radius:0}.md\\:rounded-br-none{border-bottom-right-radius:0}.md\\:rounded-bl-none{border-bottom-left-radius:0}.md\\:rounded-tl-sm{border-top-left-radius:0.125rem}.md\\:rounded-tr-sm{border-top-right-radius:0.125rem}.md\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.md\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.md\\:rounded-tl{border-top-left-radius:0.25rem}.md\\:rounded-tr{border-top-right-radius:0.25rem}.md\\:rounded-br{border-bottom-right-radius:0.25rem}.md\\:rounded-bl{border-bottom-left-radius:0.25rem}.md\\:rounded-tl-md{border-top-left-radius:0.375rem}.md\\:rounded-tr-md{border-top-right-radius:0.375rem}.md\\:rounded-br-md{border-bottom-right-radius:0.375rem}.md\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.md\\:rounded-tl-lg{border-top-left-radius:0.5rem}.md\\:rounded-tr-lg{border-top-right-radius:0.5rem}.md\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.md\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.md\\:rounded-tl-full{border-top-left-radius:9999px}.md\\:rounded-tr-full{border-top-right-radius:9999px}.md\\:rounded-br-full{border-bottom-right-radius:9999px}.md\\:rounded-bl-full{border-bottom-left-radius:9999px}.md\\:border-solid{border-style:solid}.md\\:border-dashed{border-style:dashed}.md\\:border-dotted{border-style:dotted}.md\\:border-double{border-style:double}.md\\:border-none{border-style:none}.md\\:border-0{border-width:0}.md\\:border-2{border-width:2px}.md\\:border-4{border-width:4px}.md\\:border-8{border-width:8px}.md\\:border{border-width:1px}.md\\:border-t-0{border-top-width:0}.md\\:border-r-0{border-right-width:0}.md\\:border-b-0{border-bottom-width:0}.md\\:border-l-0{border-left-width:0}.md\\:border-t-2{border-top-width:2px}.md\\:border-r-2{border-right-width:2px}.md\\:border-b-2{border-bottom-width:2px}.md\\:border-l-2{border-left-width:2px}.md\\:border-t-4{border-top-width:4px}.md\\:border-r-4{border-right-width:4px}.md\\:border-b-4{border-bottom-width:4px}.md\\:border-l-4{border-left-width:4px}.md\\:border-t-8{border-top-width:8px}.md\\:border-r-8{border-right-width:8px}.md\\:border-b-8{border-bottom-width:8px}.md\\:border-l-8{border-left-width:8px}.md\\:border-t{border-top-width:1px}.md\\:border-r{border-right-width:1px}.md\\:border-b{border-bottom-width:1px}.md\\:border-l{border-left-width:1px}.md\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.md\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.md\\:cursor-auto{cursor:auto}.md\\:cursor-default{cursor:default}.md\\:cursor-pointer{cursor:pointer}.md\\:cursor-wait{cursor:wait}.md\\:cursor-text{cursor:text}.md\\:cursor-move{cursor:move}.md\\:cursor-not-allowed{cursor:not-allowed}.md\\:block{display:block}.md\\:inline-block{display:inline-block}.md\\:inline{display:inline}.md\\:flex{display:-ms-flexbox;display:flex}.md\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.md\\:table{display:table}.md\\:table-caption{display:table-caption}.md\\:table-cell{display:table-cell}.md\\:table-column{display:table-column}.md\\:table-column-group{display:table-column-group}.md\\:table-footer-group{display:table-footer-group}.md\\:table-header-group{display:table-header-group}.md\\:table-row-group{display:table-row-group}.md\\:table-row{display:table-row}.md\\:flow-root{display:flow-root}.md\\:grid{display:grid}.md\\:inline-grid{display:inline-grid}.md\\:contents{display:contents}.md\\:hidden{display:none}.md\\:flex-row{-ms-flex-direction:row;flex-direction:row}.md\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.md\\:flex-col{-ms-flex-direction:column;flex-direction:column}.md\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.md\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.md\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.md\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.md\\:place-items-auto{place-items:auto}.md\\:place-items-start{place-items:start}.md\\:place-items-end{place-items:end}.md\\:place-items-center{place-items:center}.md\\:place-items-stretch{place-items:stretch}.md\\:place-content-center{place-content:center}.md\\:place-content-start{place-content:start}.md\\:place-content-end{place-content:end}.md\\:place-content-between{place-content:space-between}.md\\:place-content-around{place-content:space-around}.md\\:place-content-evenly{place-content:space-evenly}.md\\:place-content-stretch{place-content:stretch}.md\\:place-self-auto{place-self:auto}.md\\:place-self-start{place-self:start}.md\\:place-self-end{place-self:end}.md\\:place-self-center{place-self:center}.md\\:place-self-stretch{place-self:stretch}.md\\:items-start{-ms-flex-align:start;align-items:flex-start}.md\\:items-end{-ms-flex-align:end;align-items:flex-end}.md\\:items-center{-ms-flex-align:center;align-items:center}.md\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.md\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.md\\:content-center{-ms-flex-line-pack:center;align-content:center}.md\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.md\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.md\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.md\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.md\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.md\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.md\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.md\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.md\\:self-center{-ms-flex-item-align:center;align-self:center}.md\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.md\\:justify-items-auto{justify-items:auto}.md\\:justify-items-start{justify-items:start}.md\\:justify-items-end{justify-items:end}.md\\:justify-items-center{justify-items:center}.md\\:justify-items-stretch{justify-items:stretch}.md\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.md\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.md\\:justify-center{-ms-flex-pack:center;justify-content:center}.md\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.md\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.md\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.md\\:justify-self-auto{justify-self:auto}.md\\:justify-self-start{justify-self:start}.md\\:justify-self-end{justify-self:end}.md\\:justify-self-center{justify-self:center}.md\\:justify-self-stretch{justify-self:stretch}.md\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.md\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.md\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.md\\:flex-none{-ms-flex:none;flex:none}.md\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.md\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.md\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.md\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.md\\:order-1{-ms-flex-order:1;order:1}.md\\:order-2{-ms-flex-order:2;order:2}.md\\:order-3{-ms-flex-order:3;order:3}.md\\:order-4{-ms-flex-order:4;order:4}.md\\:order-5{-ms-flex-order:5;order:5}.md\\:order-6{-ms-flex-order:6;order:6}.md\\:order-7{-ms-flex-order:7;order:7}.md\\:order-8{-ms-flex-order:8;order:8}.md\\:order-9{-ms-flex-order:9;order:9}.md\\:order-10{-ms-flex-order:10;order:10}.md\\:order-11{-ms-flex-order:11;order:11}.md\\:order-12{-ms-flex-order:12;order:12}.md\\:order-first{-ms-flex-order:-9999;order:-9999}.md\\:order-last{-ms-flex-order:9999;order:9999}.md\\:order-none{-ms-flex-order:0;order:0}.md\\:float-right{float:right}.md\\:float-left{float:left}.md\\:float-none{float:none}.md\\:clearfix:after{content:\"\";display:table;clear:both}.md\\:clear-left{clear:left}.md\\:clear-right{clear:right}.md\\:clear-both{clear:both}.md\\:clear-none{clear:none}.md\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.md\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.md\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.md\\:font-hairline{font-weight:100}.md\\:font-thin{font-weight:200}.md\\:font-light{font-weight:300}.md\\:font-normal{font-weight:400}.md\\:font-medium{font-weight:500}.md\\:font-semibold{font-weight:600}.md\\:font-bold{font-weight:700}.md\\:font-extrabold{font-weight:800}.md\\:font-black{font-weight:900}.md\\:hover\\:font-hairline:hover{font-weight:100}.md\\:hover\\:font-thin:hover{font-weight:200}.md\\:hover\\:font-light:hover{font-weight:300}.md\\:hover\\:font-normal:hover{font-weight:400}.md\\:hover\\:font-medium:hover{font-weight:500}.md\\:hover\\:font-semibold:hover{font-weight:600}.md\\:hover\\:font-bold:hover{font-weight:700}.md\\:hover\\:font-extrabold:hover{font-weight:800}.md\\:hover\\:font-black:hover{font-weight:900}.md\\:focus\\:font-hairline:focus{font-weight:100}.md\\:focus\\:font-thin:focus{font-weight:200}.md\\:focus\\:font-light:focus{font-weight:300}.md\\:focus\\:font-normal:focus{font-weight:400}.md\\:focus\\:font-medium:focus{font-weight:500}.md\\:focus\\:font-semibold:focus{font-weight:600}.md\\:focus\\:font-bold:focus{font-weight:700}.md\\:focus\\:font-extrabold:focus{font-weight:800}.md\\:focus\\:font-black:focus{font-weight:900}.md\\:h-0{height:0}.md\\:h-1{height:0.25rem}.md\\:h-2{height:0.5rem}.md\\:h-3{height:0.75rem}.md\\:h-4{height:1rem}.md\\:h-5{height:1.25rem}.md\\:h-6{height:1.5rem}.md\\:h-8{height:2rem}.md\\:h-10{height:2.5rem}.md\\:h-12{height:3rem}.md\\:h-16{height:4rem}.md\\:h-20{height:5rem}.md\\:h-24{height:6rem}.md\\:h-32{height:8rem}.md\\:h-40{height:10rem}.md\\:h-48{height:12rem}.md\\:h-56{height:14rem}.md\\:h-64{height:16rem}.md\\:h-auto{height:auto}.md\\:h-px{height:1px}.md\\:h-full{height:100%}.md\\:h-screen{height:100vh}.md\\:text-xs{font-size:0.75rem}.md\\:text-sm{font-size:0.875rem}.md\\:text-base{font-size:1rem}.md\\:text-lg{font-size:1.125rem}.md\\:text-xl{font-size:1.25rem}.md\\:text-2xl{font-size:1.5rem}.md\\:text-3xl{font-size:1.875rem}.md\\:text-4xl{font-size:2.25rem}.md\\:text-5xl{font-size:3rem}.md\\:text-6xl{font-size:4rem}.md\\:leading-3{line-height:.75rem}.md\\:leading-4{line-height:1rem}.md\\:leading-5{line-height:1.25rem}.md\\:leading-6{line-height:1.5rem}.md\\:leading-7{line-height:1.75rem}.md\\:leading-8{line-height:2rem}.md\\:leading-9{line-height:2.25rem}.md\\:leading-10{line-height:2.5rem}.md\\:leading-none{line-height:1}.md\\:leading-tight{line-height:1.25}.md\\:leading-snug{line-height:1.375}.md\\:leading-normal{line-height:1.5}.md\\:leading-relaxed{line-height:1.625}.md\\:leading-loose{line-height:2}.md\\:list-inside{list-style-position:inside}.md\\:list-outside{list-style-position:outside}.md\\:list-none{list-style-type:none}.md\\:list-disc{list-style-type:disc}.md\\:list-decimal{list-style-type:decimal}.md\\:m-0{margin:0}.md\\:m-1{margin:0.25rem}.md\\:m-2{margin:0.5rem}.md\\:m-3{margin:0.75rem}.md\\:m-4{margin:1rem}.md\\:m-5{margin:1.25rem}.md\\:m-6{margin:1.5rem}.md\\:m-8{margin:2rem}.md\\:m-10{margin:2.5rem}.md\\:m-12{margin:3rem}.md\\:m-16{margin:4rem}.md\\:m-20{margin:5rem}.md\\:m-24{margin:6rem}.md\\:m-32{margin:8rem}.md\\:m-40{margin:10rem}.md\\:m-48{margin:12rem}.md\\:m-56{margin:14rem}.md\\:m-64{margin:16rem}.md\\:m-auto{margin:auto}.md\\:m-px{margin:1px}.md\\:-m-1{margin:-0.25rem}.md\\:-m-2{margin:-0.5rem}.md\\:-m-3{margin:-0.75rem}.md\\:-m-4{margin:-1rem}.md\\:-m-5{margin:-1.25rem}.md\\:-m-6{margin:-1.5rem}.md\\:-m-8{margin:-2rem}.md\\:-m-10{margin:-2.5rem}.md\\:-m-12{margin:-3rem}.md\\:-m-16{margin:-4rem}.md\\:-m-20{margin:-5rem}.md\\:-m-24{margin:-6rem}.md\\:-m-32{margin:-8rem}.md\\:-m-40{margin:-10rem}.md\\:-m-48{margin:-12rem}.md\\:-m-56{margin:-14rem}.md\\:-m-64{margin:-16rem}.md\\:-m-px{margin:-1px}.md\\:my-0{margin-top:0;margin-bottom:0}.md\\:mx-0{margin-left:0;margin-right:0}.md\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.md\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.md\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.md\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.md\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.md\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.md\\:my-4{margin-top:1rem;margin-bottom:1rem}.md\\:mx-4{margin-left:1rem;margin-right:1rem}.md\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.md\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.md\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.md\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.md\\:my-8{margin-top:2rem;margin-bottom:2rem}.md\\:mx-8{margin-left:2rem;margin-right:2rem}.md\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.md\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.md\\:my-12{margin-top:3rem;margin-bottom:3rem}.md\\:mx-12{margin-left:3rem;margin-right:3rem}.md\\:my-16{margin-top:4rem;margin-bottom:4rem}.md\\:mx-16{margin-left:4rem;margin-right:4rem}.md\\:my-20{margin-top:5rem;margin-bottom:5rem}.md\\:mx-20{margin-left:5rem;margin-right:5rem}.md\\:my-24{margin-top:6rem;margin-bottom:6rem}.md\\:mx-24{margin-left:6rem;margin-right:6rem}.md\\:my-32{margin-top:8rem;margin-bottom:8rem}.md\\:mx-32{margin-left:8rem;margin-right:8rem}.md\\:my-40{margin-top:10rem;margin-bottom:10rem}.md\\:mx-40{margin-left:10rem;margin-right:10rem}.md\\:my-48{margin-top:12rem;margin-bottom:12rem}.md\\:mx-48{margin-left:12rem;margin-right:12rem}.md\\:my-56{margin-top:14rem;margin-bottom:14rem}.md\\:mx-56{margin-left:14rem;margin-right:14rem}.md\\:my-64{margin-top:16rem;margin-bottom:16rem}.md\\:mx-64{margin-left:16rem;margin-right:16rem}.md\\:my-auto{margin-top:auto;margin-bottom:auto}.md\\:mx-auto{margin-left:auto;margin-right:auto}.md\\:my-px{margin-top:1px;margin-bottom:1px}.md\\:mx-px{margin-left:1px;margin-right:1px}.md\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.md\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.md\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.md\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.md\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.md\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.md\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.md\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.md\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.md\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.md\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.md\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.md\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.md\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.md\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.md\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.md\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.md\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.md\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.md\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.md\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.md\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.md\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.md\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.md\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.md\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.md\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.md\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.md\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.md\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.md\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.md\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.md\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.md\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.md\\:-my-px{margin-top:-1px;margin-bottom:-1px}.md\\:-mx-px{margin-left:-1px;margin-right:-1px}.md\\:mt-0{margin-top:0}.md\\:mr-0{margin-right:0}.md\\:mb-0{margin-bottom:0}.md\\:ml-0{margin-left:0}.md\\:mt-1{margin-top:0.25rem}.md\\:mr-1{margin-right:0.25rem}.md\\:mb-1{margin-bottom:0.25rem}.md\\:ml-1{margin-left:0.25rem}.md\\:mt-2{margin-top:0.5rem}.md\\:mr-2{margin-right:0.5rem}.md\\:mb-2{margin-bottom:0.5rem}.md\\:ml-2{margin-left:0.5rem}.md\\:mt-3{margin-top:0.75rem}.md\\:mr-3{margin-right:0.75rem}.md\\:mb-3{margin-bottom:0.75rem}.md\\:ml-3{margin-left:0.75rem}.md\\:mt-4{margin-top:1rem}.md\\:mr-4{margin-right:1rem}.md\\:mb-4{margin-bottom:1rem}.md\\:ml-4{margin-left:1rem}.md\\:mt-5{margin-top:1.25rem}.md\\:mr-5{margin-right:1.25rem}.md\\:mb-5{margin-bottom:1.25rem}.md\\:ml-5{margin-left:1.25rem}.md\\:mt-6{margin-top:1.5rem}.md\\:mr-6{margin-right:1.5rem}.md\\:mb-6{margin-bottom:1.5rem}.md\\:ml-6{margin-left:1.5rem}.md\\:mt-8{margin-top:2rem}.md\\:mr-8{margin-right:2rem}.md\\:mb-8{margin-bottom:2rem}.md\\:ml-8{margin-left:2rem}.md\\:mt-10{margin-top:2.5rem}.md\\:mr-10{margin-right:2.5rem}.md\\:mb-10{margin-bottom:2.5rem}.md\\:ml-10{margin-left:2.5rem}.md\\:mt-12{margin-top:3rem}.md\\:mr-12{margin-right:3rem}.md\\:mb-12{margin-bottom:3rem}.md\\:ml-12{margin-left:3rem}.md\\:mt-16{margin-top:4rem}.md\\:mr-16{margin-right:4rem}.md\\:mb-16{margin-bottom:4rem}.md\\:ml-16{margin-left:4rem}.md\\:mt-20{margin-top:5rem}.md\\:mr-20{margin-right:5rem}.md\\:mb-20{margin-bottom:5rem}.md\\:ml-20{margin-left:5rem}.md\\:mt-24{margin-top:6rem}.md\\:mr-24{margin-right:6rem}.md\\:mb-24{margin-bottom:6rem}.md\\:ml-24{margin-left:6rem}.md\\:mt-32{margin-top:8rem}.md\\:mr-32{margin-right:8rem}.md\\:mb-32{margin-bottom:8rem}.md\\:ml-32{margin-left:8rem}.md\\:mt-40{margin-top:10rem}.md\\:mr-40{margin-right:10rem}.md\\:mb-40{margin-bottom:10rem}.md\\:ml-40{margin-left:10rem}.md\\:mt-48{margin-top:12rem}.md\\:mr-48{margin-right:12rem}.md\\:mb-48{margin-bottom:12rem}.md\\:ml-48{margin-left:12rem}.md\\:mt-56{margin-top:14rem}.md\\:mr-56{margin-right:14rem}.md\\:mb-56{margin-bottom:14rem}.md\\:ml-56{margin-left:14rem}.md\\:mt-64{margin-top:16rem}.md\\:mr-64{margin-right:16rem}.md\\:mb-64{margin-bottom:16rem}.md\\:ml-64{margin-left:16rem}.md\\:mt-auto{margin-top:auto}.md\\:mr-auto{margin-right:auto}.md\\:mb-auto{margin-bottom:auto}.md\\:ml-auto{margin-left:auto}.md\\:mt-px{margin-top:1px}.md\\:mr-px{margin-right:1px}.md\\:mb-px{margin-bottom:1px}.md\\:ml-px{margin-left:1px}.md\\:-mt-1{margin-top:-0.25rem}.md\\:-mr-1{margin-right:-0.25rem}.md\\:-mb-1{margin-bottom:-0.25rem}.md\\:-ml-1{margin-left:-0.25rem}.md\\:-mt-2{margin-top:-0.5rem}.md\\:-mr-2{margin-right:-0.5rem}.md\\:-mb-2{margin-bottom:-0.5rem}.md\\:-ml-2{margin-left:-0.5rem}.md\\:-mt-3{margin-top:-0.75rem}.md\\:-mr-3{margin-right:-0.75rem}.md\\:-mb-3{margin-bottom:-0.75rem}.md\\:-ml-3{margin-left:-0.75rem}.md\\:-mt-4{margin-top:-1rem}.md\\:-mr-4{margin-right:-1rem}.md\\:-mb-4{margin-bottom:-1rem}.md\\:-ml-4{margin-left:-1rem}.md\\:-mt-5{margin-top:-1.25rem}.md\\:-mr-5{margin-right:-1.25rem}.md\\:-mb-5{margin-bottom:-1.25rem}.md\\:-ml-5{margin-left:-1.25rem}.md\\:-mt-6{margin-top:-1.5rem}.md\\:-mr-6{margin-right:-1.5rem}.md\\:-mb-6{margin-bottom:-1.5rem}.md\\:-ml-6{margin-left:-1.5rem}.md\\:-mt-8{margin-top:-2rem}.md\\:-mr-8{margin-right:-2rem}.md\\:-mb-8{margin-bottom:-2rem}.md\\:-ml-8{margin-left:-2rem}.md\\:-mt-10{margin-top:-2.5rem}.md\\:-mr-10{margin-right:-2.5rem}.md\\:-mb-10{margin-bottom:-2.5rem}.md\\:-ml-10{margin-left:-2.5rem}.md\\:-mt-12{margin-top:-3rem}.md\\:-mr-12{margin-right:-3rem}.md\\:-mb-12{margin-bottom:-3rem}.md\\:-ml-12{margin-left:-3rem}.md\\:-mt-16{margin-top:-4rem}.md\\:-mr-16{margin-right:-4rem}.md\\:-mb-16{margin-bottom:-4rem}.md\\:-ml-16{margin-left:-4rem}.md\\:-mt-20{margin-top:-5rem}.md\\:-mr-20{margin-right:-5rem}.md\\:-mb-20{margin-bottom:-5rem}.md\\:-ml-20{margin-left:-5rem}.md\\:-mt-24{margin-top:-6rem}.md\\:-mr-24{margin-right:-6rem}.md\\:-mb-24{margin-bottom:-6rem}.md\\:-ml-24{margin-left:-6rem}.md\\:-mt-32{margin-top:-8rem}.md\\:-mr-32{margin-right:-8rem}.md\\:-mb-32{margin-bottom:-8rem}.md\\:-ml-32{margin-left:-8rem}.md\\:-mt-40{margin-top:-10rem}.md\\:-mr-40{margin-right:-10rem}.md\\:-mb-40{margin-bottom:-10rem}.md\\:-ml-40{margin-left:-10rem}.md\\:-mt-48{margin-top:-12rem}.md\\:-mr-48{margin-right:-12rem}.md\\:-mb-48{margin-bottom:-12rem}.md\\:-ml-48{margin-left:-12rem}.md\\:-mt-56{margin-top:-14rem}.md\\:-mr-56{margin-right:-14rem}.md\\:-mb-56{margin-bottom:-14rem}.md\\:-ml-56{margin-left:-14rem}.md\\:-mt-64{margin-top:-16rem}.md\\:-mr-64{margin-right:-16rem}.md\\:-mb-64{margin-bottom:-16rem}.md\\:-ml-64{margin-left:-16rem}.md\\:-mt-px{margin-top:-1px}.md\\:-mr-px{margin-right:-1px}.md\\:-mb-px{margin-bottom:-1px}.md\\:-ml-px{margin-left:-1px}.md\\:max-h-full{max-height:100%}.md\\:max-h-screen{max-height:100vh}.md\\:max-w-none{max-width:none}.md\\:max-w-xs{max-width:20rem}.md\\:max-w-sm{max-width:24rem}.md\\:max-w-md{max-width:28rem}.md\\:max-w-lg{max-width:32rem}.md\\:max-w-xl{max-width:36rem}.md\\:max-w-2xl{max-width:42rem}.md\\:max-w-3xl{max-width:48rem}.md\\:max-w-4xl{max-width:56rem}.md\\:max-w-5xl{max-width:64rem}.md\\:max-w-6xl{max-width:72rem}.md\\:max-w-full{max-width:100%}.md\\:max-w-screen-sm{max-width:640px}.md\\:max-w-screen-md{max-width:768px}.md\\:max-w-screen-lg{max-width:1024px}.md\\:max-w-screen-xl{max-width:1280px}.md\\:min-h-0{min-height:0}.md\\:min-h-full{min-height:100%}.md\\:min-h-screen{min-height:100vh}.md\\:min-w-0{min-width:0}.md\\:min-w-full{min-width:100%}.md\\:object-contain{-o-object-fit:contain;object-fit:contain}.md\\:object-cover{-o-object-fit:cover;object-fit:cover}.md\\:object-fill{-o-object-fit:fill;object-fit:fill}.md\\:object-none{-o-object-fit:none;object-fit:none}.md\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.md\\:object-bottom{-o-object-position:bottom;object-position:bottom}.md\\:object-center{-o-object-position:center;object-position:center}.md\\:object-left{-o-object-position:left;object-position:left}.md\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.md\\:object-left-top{-o-object-position:left top;object-position:left top}.md\\:object-right{-o-object-position:right;object-position:right}.md\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.md\\:object-right-top{-o-object-position:right top;object-position:right top}.md\\:object-top{-o-object-position:top;object-position:top}.md\\:opacity-0{opacity:0}.md\\:opacity-25{opacity:0.25}.md\\:opacity-50{opacity:0.5}.md\\:opacity-75{opacity:0.75}.md\\:opacity-100{opacity:1}.md\\:hover\\:opacity-0:hover{opacity:0}.md\\:hover\\:opacity-25:hover{opacity:0.25}.md\\:hover\\:opacity-50:hover{opacity:0.5}.md\\:hover\\:opacity-75:hover{opacity:0.75}.md\\:hover\\:opacity-100:hover{opacity:1}.md\\:focus\\:opacity-0:focus{opacity:0}.md\\:focus\\:opacity-25:focus{opacity:0.25}.md\\:focus\\:opacity-50:focus{opacity:0.5}.md\\:focus\\:opacity-75:focus{opacity:0.75}.md\\:focus\\:opacity-100:focus{opacity:1}.md\\:outline-none{outline:0}.md\\:focus\\:outline-none:focus{outline:0}.md\\:overflow-auto{overflow:auto}.md\\:overflow-hidden{overflow:hidden}.md\\:overflow-visible{overflow:visible}.md\\:overflow-scroll{overflow:scroll}.md\\:overflow-x-auto{overflow-x:auto}.md\\:overflow-y-auto{overflow-y:auto}.md\\:overflow-x-hidden{overflow-x:hidden}.md\\:overflow-y-hidden{overflow-y:hidden}.md\\:overflow-x-visible{overflow-x:visible}.md\\:overflow-y-visible{overflow-y:visible}.md\\:overflow-x-scroll{overflow-x:scroll}.md\\:overflow-y-scroll{overflow-y:scroll}.md\\:scrolling-touch{-webkit-overflow-scrolling:touch}.md\\:scrolling-auto{-webkit-overflow-scrolling:auto}.md\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.md\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.md\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.md\\:overscroll-y-auto{overscroll-behavior-y:auto}.md\\:overscroll-y-contain{overscroll-behavior-y:contain}.md\\:overscroll-y-none{overscroll-behavior-y:none}.md\\:overscroll-x-auto{overscroll-behavior-x:auto}.md\\:overscroll-x-contain{overscroll-behavior-x:contain}.md\\:overscroll-x-none{overscroll-behavior-x:none}.md\\:p-0{padding:0}.md\\:p-1{padding:0.25rem}.md\\:p-2{padding:0.5rem}.md\\:p-3{padding:0.75rem}.md\\:p-4{padding:1rem}.md\\:p-5{padding:1.25rem}.md\\:p-6{padding:1.5rem}.md\\:p-8{padding:2rem}.md\\:p-10{padding:2.5rem}.md\\:p-12{padding:3rem}.md\\:p-16{padding:4rem}.md\\:p-20{padding:5rem}.md\\:p-24{padding:6rem}.md\\:p-32{padding:8rem}.md\\:p-40{padding:10rem}.md\\:p-48{padding:12rem}.md\\:p-56{padding:14rem}.md\\:p-64{padding:16rem}.md\\:p-px{padding:1px}.md\\:py-0{padding-top:0;padding-bottom:0}.md\\:px-0{padding-left:0;padding-right:0}.md\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.md\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.md\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.md\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.md\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.md\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.md\\:py-4{padding-top:1rem;padding-bottom:1rem}.md\\:px-4{padding-left:1rem;padding-right:1rem}.md\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.md\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.md\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.md\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.md\\:py-8{padding-top:2rem;padding-bottom:2rem}.md\\:px-8{padding-left:2rem;padding-right:2rem}.md\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.md\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.md\\:py-12{padding-top:3rem;padding-bottom:3rem}.md\\:px-12{padding-left:3rem;padding-right:3rem}.md\\:py-16{padding-top:4rem;padding-bottom:4rem}.md\\:px-16{padding-left:4rem;padding-right:4rem}.md\\:py-20{padding-top:5rem;padding-bottom:5rem}.md\\:px-20{padding-left:5rem;padding-right:5rem}.md\\:py-24{padding-top:6rem;padding-bottom:6rem}.md\\:px-24{padding-left:6rem;padding-right:6rem}.md\\:py-32{padding-top:8rem;padding-bottom:8rem}.md\\:px-32{padding-left:8rem;padding-right:8rem}.md\\:py-40{padding-top:10rem;padding-bottom:10rem}.md\\:px-40{padding-left:10rem;padding-right:10rem}.md\\:py-48{padding-top:12rem;padding-bottom:12rem}.md\\:px-48{padding-left:12rem;padding-right:12rem}.md\\:py-56{padding-top:14rem;padding-bottom:14rem}.md\\:px-56{padding-left:14rem;padding-right:14rem}.md\\:py-64{padding-top:16rem;padding-bottom:16rem}.md\\:px-64{padding-left:16rem;padding-right:16rem}.md\\:py-px{padding-top:1px;padding-bottom:1px}.md\\:px-px{padding-left:1px;padding-right:1px}.md\\:pt-0{padding-top:0}.md\\:pr-0{padding-right:0}.md\\:pb-0{padding-bottom:0}.md\\:pl-0{padding-left:0}.md\\:pt-1{padding-top:0.25rem}.md\\:pr-1{padding-right:0.25rem}.md\\:pb-1{padding-bottom:0.25rem}.md\\:pl-1{padding-left:0.25rem}.md\\:pt-2{padding-top:0.5rem}.md\\:pr-2{padding-right:0.5rem}.md\\:pb-2{padding-bottom:0.5rem}.md\\:pl-2{padding-left:0.5rem}.md\\:pt-3{padding-top:0.75rem}.md\\:pr-3{padding-right:0.75rem}.md\\:pb-3{padding-bottom:0.75rem}.md\\:pl-3{padding-left:0.75rem}.md\\:pt-4{padding-top:1rem}.md\\:pr-4{padding-right:1rem}.md\\:pb-4{padding-bottom:1rem}.md\\:pl-4{padding-left:1rem}.md\\:pt-5{padding-top:1.25rem}.md\\:pr-5{padding-right:1.25rem}.md\\:pb-5{padding-bottom:1.25rem}.md\\:pl-5{padding-left:1.25rem}.md\\:pt-6{padding-top:1.5rem}.md\\:pr-6{padding-right:1.5rem}.md\\:pb-6{padding-bottom:1.5rem}.md\\:pl-6{padding-left:1.5rem}.md\\:pt-8{padding-top:2rem}.md\\:pr-8{padding-right:2rem}.md\\:pb-8{padding-bottom:2rem}.md\\:pl-8{padding-left:2rem}.md\\:pt-10{padding-top:2.5rem}.md\\:pr-10{padding-right:2.5rem}.md\\:pb-10{padding-bottom:2.5rem}.md\\:pl-10{padding-left:2.5rem}.md\\:pt-12{padding-top:3rem}.md\\:pr-12{padding-right:3rem}.md\\:pb-12{padding-bottom:3rem}.md\\:pl-12{padding-left:3rem}.md\\:pt-16{padding-top:4rem}.md\\:pr-16{padding-right:4rem}.md\\:pb-16{padding-bottom:4rem}.md\\:pl-16{padding-left:4rem}.md\\:pt-20{padding-top:5rem}.md\\:pr-20{padding-right:5rem}.md\\:pb-20{padding-bottom:5rem}.md\\:pl-20{padding-left:5rem}.md\\:pt-24{padding-top:6rem}.md\\:pr-24{padding-right:6rem}.md\\:pb-24{padding-bottom:6rem}.md\\:pl-24{padding-left:6rem}.md\\:pt-32{padding-top:8rem}.md\\:pr-32{padding-right:8rem}.md\\:pb-32{padding-bottom:8rem}.md\\:pl-32{padding-left:8rem}.md\\:pt-40{padding-top:10rem}.md\\:pr-40{padding-right:10rem}.md\\:pb-40{padding-bottom:10rem}.md\\:pl-40{padding-left:10rem}.md\\:pt-48{padding-top:12rem}.md\\:pr-48{padding-right:12rem}.md\\:pb-48{padding-bottom:12rem}.md\\:pl-48{padding-left:12rem}.md\\:pt-56{padding-top:14rem}.md\\:pr-56{padding-right:14rem}.md\\:pb-56{padding-bottom:14rem}.md\\:pl-56{padding-left:14rem}.md\\:pt-64{padding-top:16rem}.md\\:pr-64{padding-right:16rem}.md\\:pb-64{padding-bottom:16rem}.md\\:pl-64{padding-left:16rem}.md\\:pt-px{padding-top:1px}.md\\:pr-px{padding-right:1px}.md\\:pb-px{padding-bottom:1px}.md\\:pl-px{padding-left:1px}.md\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.md\\:placeholder-transparent::-moz-placeholder{color:transparent}.md\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.md\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.md\\:placeholder-transparent::placeholder{color:transparent}.md\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.md\\:placeholder-current::-moz-placeholder{color:currentColor}.md\\:placeholder-current:-ms-input-placeholder{color:currentColor}.md\\:placeholder-current::-ms-input-placeholder{color:currentColor}.md\\:placeholder-current::placeholder{color:currentColor}.md\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.md\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.md\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.md\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.md\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.md\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.md\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.md\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.md\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.md\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.md\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.md\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.md\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.md\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.md\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.md\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.md\\:pointer-events-none{pointer-events:none}.md\\:pointer-events-auto{pointer-events:auto}.md\\:static{position:static}.md\\:fixed{position:fixed}.md\\:absolute{position:absolute}.md\\:relative{position:relative}.md\\:sticky{position:-webkit-sticky;position:sticky}.md\\:inset-0{top:0;right:0;bottom:0;left:0}.md\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.md\\:inset-y-0{top:0;bottom:0}.md\\:inset-x-0{right:0;left:0}.md\\:inset-y-auto{top:auto;bottom:auto}.md\\:inset-x-auto{right:auto;left:auto}.md\\:top-0{top:0}.md\\:right-0{right:0}.md\\:bottom-0{bottom:0}.md\\:left-0{left:0}.md\\:top-auto{top:auto}.md\\:right-auto{right:auto}.md\\:bottom-auto{bottom:auto}.md\\:left-auto{left:auto}.md\\:resize-none{resize:none}.md\\:resize-y{resize:vertical}.md\\:resize-x{resize:horizontal}.md\\:resize{resize:both}.md\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.md\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.md\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.md\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.md\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.md\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.md\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.md\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.md\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.md\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.md\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.md\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.md\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.md\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.md\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.md\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.md\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.md\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.md\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.md\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.md\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.md\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.md\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.md\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.md\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.md\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.md\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.md\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.md\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.md\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.md\\:fill-current{fill:currentColor}.md\\:stroke-current{stroke:currentColor}.md\\:stroke-0{stroke-width:0}.md\\:stroke-1{stroke-width:1}.md\\:stroke-2{stroke-width:2}.md\\:table-auto{table-layout:auto}.md\\:table-fixed{table-layout:fixed}.md\\:text-left{text-align:left}.md\\:text-center{text-align:center}.md\\:text-right{text-align:right}.md\\:text-justify{text-align:justify}.md\\:text-transparent{color:transparent}.md\\:text-current{color:currentColor}.md\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.md\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.md\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.md\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.md\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.md\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.md\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.md\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.md\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.md\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.md\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.md\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.md\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.md\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.md\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.md\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.md\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.md\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.md\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.md\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.md\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.md\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.md\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.md\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.md\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.md\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.md\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.md\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.md\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.md\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.md\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.md\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.md\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.md\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.md\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.md\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.md\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.md\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.md\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.md\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.md\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.md\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.md\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.md\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.md\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.md\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.md\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.md\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.md\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.md\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.md\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.md\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.md\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.md\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.md\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.md\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.md\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.md\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.md\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.md\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.md\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.md\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.md\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.md\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.md\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.md\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.md\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.md\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.md\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.md\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.md\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.md\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.md\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.md\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.md\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.md\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.md\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.md\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.md\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.md\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.md\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.md\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.md\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.md\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.md\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.md\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.md\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.md\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.md\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.md\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.md\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.md\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.md\\:hover\\:text-transparent:hover{color:transparent}.md\\:hover\\:text-current:hover{color:currentColor}.md\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.md\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.md\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.md\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.md\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.md\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.md\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.md\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.md\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.md\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.md\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.md\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.md\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.md\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.md\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.md\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.md\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.md\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.md\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.md\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.md\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.md\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.md\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.md\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.md\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.md\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.md\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.md\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.md\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.md\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.md\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.md\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.md\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.md\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.md\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.md\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.md\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.md\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.md\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.md\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.md\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.md\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.md\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.md\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.md\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.md\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.md\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.md\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.md\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.md\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.md\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.md\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.md\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.md\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.md\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.md\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.md\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.md\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.md\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.md\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.md\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.md\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.md\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.md\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.md\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.md\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.md\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.md\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.md\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.md\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.md\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.md\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.md\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.md\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.md\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.md\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.md\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.md\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.md\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.md\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.md\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.md\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.md\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.md\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.md\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.md\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.md\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.md\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.md\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.md\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.md\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.md\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.md\\:focus\\:text-transparent:focus{color:transparent}.md\\:focus\\:text-current:focus{color:currentColor}.md\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.md\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.md\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.md\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.md\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.md\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.md\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.md\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.md\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.md\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.md\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.md\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.md\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.md\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.md\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.md\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.md\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.md\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.md\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.md\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.md\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.md\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.md\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.md\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.md\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.md\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.md\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.md\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.md\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.md\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.md\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.md\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.md\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.md\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.md\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.md\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.md\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.md\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.md\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.md\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.md\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.md\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.md\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.md\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.md\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.md\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.md\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.md\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.md\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.md\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.md\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.md\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.md\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.md\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.md\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.md\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.md\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.md\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.md\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.md\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.md\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.md\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.md\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.md\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.md\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.md\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.md\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.md\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.md\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.md\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.md\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.md\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.md\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.md\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.md\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.md\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.md\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.md\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.md\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.md\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.md\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.md\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.md\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.md\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.md\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.md\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.md\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.md\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.md\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.md\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.md\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.md\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.md\\:text-opacity-0{--text-opacity:0}.md\\:text-opacity-25{--text-opacity:0.25}.md\\:text-opacity-50{--text-opacity:0.5}.md\\:text-opacity-75{--text-opacity:0.75}.md\\:text-opacity-100{--text-opacity:1}.md\\:hover\\:text-opacity-0:hover{--text-opacity:0}.md\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.md\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.md\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.md\\:hover\\:text-opacity-100:hover{--text-opacity:1}.md\\:focus\\:text-opacity-0:focus{--text-opacity:0}.md\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.md\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.md\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.md\\:focus\\:text-opacity-100:focus{--text-opacity:1}.md\\:italic{font-style:italic}.md\\:not-italic{font-style:normal}.md\\:uppercase{text-transform:uppercase}.md\\:lowercase{text-transform:lowercase}.md\\:capitalize{text-transform:capitalize}.md\\:normal-case{text-transform:none}.md\\:underline{text-decoration:underline}.md\\:line-through{text-decoration:line-through}.md\\:no-underline{text-decoration:none}.md\\:hover\\:underline:hover{text-decoration:underline}.md\\:hover\\:line-through:hover{text-decoration:line-through}.md\\:hover\\:no-underline:hover{text-decoration:none}.md\\:focus\\:underline:focus{text-decoration:underline}.md\\:focus\\:line-through:focus{text-decoration:line-through}.md\\:focus\\:no-underline:focus{text-decoration:none}.md\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.md\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.md\\:ordinal,.md\\:slashed-zero,.md\\:lining-nums,.md\\:oldstyle-nums,.md\\:proportional-nums,.md\\:tabular-nums,.md\\:diagonal-fractions,.md\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.md\\:normal-nums{font-variant-numeric:normal}.md\\:ordinal{--font-variant-numeric-ordinal:ordinal}.md\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.md\\:lining-nums{--font-variant-numeric-figure:lining-nums}.md\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.md\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.md\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.md\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.md\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.md\\:tracking-tighter{letter-spacing:-0.05em}.md\\:tracking-tight{letter-spacing:-0.025em}.md\\:tracking-normal{letter-spacing:0}.md\\:tracking-wide{letter-spacing:0.025em}.md\\:tracking-wider{letter-spacing:0.05em}.md\\:tracking-widest{letter-spacing:0.1em}.md\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.md\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.md\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.md\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.md\\:align-baseline{vertical-align:baseline}.md\\:align-top{vertical-align:top}.md\\:align-middle{vertical-align:middle}.md\\:align-bottom{vertical-align:bottom}.md\\:align-text-top{vertical-align:text-top}.md\\:align-text-bottom{vertical-align:text-bottom}.md\\:visible{visibility:visible}.md\\:invisible{visibility:hidden}.md\\:whitespace-normal{white-space:normal}.md\\:whitespace-no-wrap{white-space:nowrap}.md\\:whitespace-pre{white-space:pre}.md\\:whitespace-pre-line{white-space:pre-line}.md\\:whitespace-pre-wrap{white-space:pre-wrap}.md\\:break-normal{overflow-wrap:normal;word-break:normal}.md\\:break-words{overflow-wrap:break-word}.md\\:break-all{word-break:break-all}.md\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.md\\:w-0{width:0}.md\\:w-1{width:0.25rem}.md\\:w-2{width:0.5rem}.md\\:w-3{width:0.75rem}.md\\:w-4{width:1rem}.md\\:w-5{width:1.25rem}.md\\:w-6{width:1.5rem}.md\\:w-8{width:2rem}.md\\:w-10{width:2.5rem}.md\\:w-12{width:3rem}.md\\:w-16{width:4rem}.md\\:w-20{width:5rem}.md\\:w-24{width:6rem}.md\\:w-32{width:8rem}.md\\:w-40{width:10rem}.md\\:w-48{width:12rem}.md\\:w-56{width:14rem}.md\\:w-64{width:16rem}.md\\:w-auto{width:auto}.md\\:w-px{width:1px}.md\\:w-1\\/2{width:50%}.md\\:w-1\\/3{width:33.333333%}.md\\:w-2\\/3{width:66.666667%}.md\\:w-1\\/4{width:25%}.md\\:w-2\\/4{width:50%}.md\\:w-3\\/4{width:75%}.md\\:w-1\\/5{width:20%}.md\\:w-2\\/5{width:40%}.md\\:w-3\\/5{width:60%}.md\\:w-4\\/5{width:80%}.md\\:w-1\\/6{width:16.666667%}.md\\:w-2\\/6{width:33.333333%}.md\\:w-3\\/6{width:50%}.md\\:w-4\\/6{width:66.666667%}.md\\:w-5\\/6{width:83.333333%}.md\\:w-1\\/12{width:8.333333%}.md\\:w-2\\/12{width:16.666667%}.md\\:w-3\\/12{width:25%}.md\\:w-4\\/12{width:33.333333%}.md\\:w-5\\/12{width:41.666667%}.md\\:w-6\\/12{width:50%}.md\\:w-7\\/12{width:58.333333%}.md\\:w-8\\/12{width:66.666667%}.md\\:w-9\\/12{width:75%}.md\\:w-10\\/12{width:83.333333%}.md\\:w-11\\/12{width:91.666667%}.md\\:w-full{width:100%}.md\\:w-screen{width:100vw}.md\\:z-0{z-index:0}.md\\:z-10{z-index:10}.md\\:z-20{z-index:20}.md\\:z-30{z-index:30}.md\\:z-40{z-index:40}.md\\:z-50{z-index:50}.md\\:z-auto{z-index:auto}.md\\:gap-0{grid-gap:0;gap:0}.md\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.md\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.md\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.md\\:gap-4{grid-gap:1rem;gap:1rem}.md\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.md\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.md\\:gap-8{grid-gap:2rem;gap:2rem}.md\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.md\\:gap-12{grid-gap:3rem;gap:3rem}.md\\:gap-16{grid-gap:4rem;gap:4rem}.md\\:gap-20{grid-gap:5rem;gap:5rem}.md\\:gap-24{grid-gap:6rem;gap:6rem}.md\\:gap-32{grid-gap:8rem;gap:8rem}.md\\:gap-40{grid-gap:10rem;gap:10rem}.md\\:gap-48{grid-gap:12rem;gap:12rem}.md\\:gap-56{grid-gap:14rem;gap:14rem}.md\\:gap-64{grid-gap:16rem;gap:16rem}.md\\:gap-px{grid-gap:1px;gap:1px}.md\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.md\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.md\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.md\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.md\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.md\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.md\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.md\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.md\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.md\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.md\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.md\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.md\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.md\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.md\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.md\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.md\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.md\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.md\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.md\\:gap-y-0{grid-row-gap:0;row-gap:0}.md\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.md\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.md\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.md\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.md\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.md\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.md\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.md\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.md\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.md\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.md\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.md\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.md\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.md\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.md\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.md\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.md\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.md\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.md\\:grid-flow-row{grid-auto-flow:row}.md\\:grid-flow-col{grid-auto-flow:column}.md\\:grid-flow-row-dense{grid-auto-flow:row dense}.md\\:grid-flow-col-dense{grid-auto-flow:column dense}.md\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.md\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.md\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.md\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.md\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.md\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.md\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.md\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.md\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.md\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.md\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.md\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.md\\:grid-cols-none{grid-template-columns:none}.md\\:col-auto{grid-column:auto}.md\\:col-span-1{grid-column:span 1 / span 1}.md\\:col-span-2{grid-column:span 2 / span 2}.md\\:col-span-3{grid-column:span 3 / span 3}.md\\:col-span-4{grid-column:span 4 / span 4}.md\\:col-span-5{grid-column:span 5 / span 5}.md\\:col-span-6{grid-column:span 6 / span 6}.md\\:col-span-7{grid-column:span 7 / span 7}.md\\:col-span-8{grid-column:span 8 / span 8}.md\\:col-span-9{grid-column:span 9 / span 9}.md\\:col-span-10{grid-column:span 10 / span 10}.md\\:col-span-11{grid-column:span 11 / span 11}.md\\:col-span-12{grid-column:span 12 / span 12}.md\\:col-start-1{grid-column-start:1}.md\\:col-start-2{grid-column-start:2}.md\\:col-start-3{grid-column-start:3}.md\\:col-start-4{grid-column-start:4}.md\\:col-start-5{grid-column-start:5}.md\\:col-start-6{grid-column-start:6}.md\\:col-start-7{grid-column-start:7}.md\\:col-start-8{grid-column-start:8}.md\\:col-start-9{grid-column-start:9}.md\\:col-start-10{grid-column-start:10}.md\\:col-start-11{grid-column-start:11}.md\\:col-start-12{grid-column-start:12}.md\\:col-start-13{grid-column-start:13}.md\\:col-start-auto{grid-column-start:auto}.md\\:col-end-1{grid-column-end:1}.md\\:col-end-2{grid-column-end:2}.md\\:col-end-3{grid-column-end:3}.md\\:col-end-4{grid-column-end:4}.md\\:col-end-5{grid-column-end:5}.md\\:col-end-6{grid-column-end:6}.md\\:col-end-7{grid-column-end:7}.md\\:col-end-8{grid-column-end:8}.md\\:col-end-9{grid-column-end:9}.md\\:col-end-10{grid-column-end:10}.md\\:col-end-11{grid-column-end:11}.md\\:col-end-12{grid-column-end:12}.md\\:col-end-13{grid-column-end:13}.md\\:col-end-auto{grid-column-end:auto}.md\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.md\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.md\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.md\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.md\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.md\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.md\\:grid-rows-none{grid-template-rows:none}.md\\:row-auto{grid-row:auto}.md\\:row-span-1{grid-row:span 1 / span 1}.md\\:row-span-2{grid-row:span 2 / span 2}.md\\:row-span-3{grid-row:span 3 / span 3}.md\\:row-span-4{grid-row:span 4 / span 4}.md\\:row-span-5{grid-row:span 5 / span 5}.md\\:row-span-6{grid-row:span 6 / span 6}.md\\:row-start-1{grid-row-start:1}.md\\:row-start-2{grid-row-start:2}.md\\:row-start-3{grid-row-start:3}.md\\:row-start-4{grid-row-start:4}.md\\:row-start-5{grid-row-start:5}.md\\:row-start-6{grid-row-start:6}.md\\:row-start-7{grid-row-start:7}.md\\:row-start-auto{grid-row-start:auto}.md\\:row-end-1{grid-row-end:1}.md\\:row-end-2{grid-row-end:2}.md\\:row-end-3{grid-row-end:3}.md\\:row-end-4{grid-row-end:4}.md\\:row-end-5{grid-row-end:5}.md\\:row-end-6{grid-row-end:6}.md\\:row-end-7{grid-row-end:7}.md\\:row-end-auto{grid-row-end:auto}.md\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.md\\:transform-none{-webkit-transform:none;transform:none}.md\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.md\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.md\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.md\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.md\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.md\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.md\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.md\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.md\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.md\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.md\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.md\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.md\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.md\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.md\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.md\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.md\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.md\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.md\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.md\\:scale-x-0{--transform-scale-x:0}.md\\:scale-x-50{--transform-scale-x:.5}.md\\:scale-x-75{--transform-scale-x:.75}.md\\:scale-x-90{--transform-scale-x:.9}.md\\:scale-x-95{--transform-scale-x:.95}.md\\:scale-x-100{--transform-scale-x:1}.md\\:scale-x-105{--transform-scale-x:1.05}.md\\:scale-x-110{--transform-scale-x:1.1}.md\\:scale-x-125{--transform-scale-x:1.25}.md\\:scale-x-150{--transform-scale-x:1.5}.md\\:scale-y-0{--transform-scale-y:0}.md\\:scale-y-50{--transform-scale-y:.5}.md\\:scale-y-75{--transform-scale-y:.75}.md\\:scale-y-90{--transform-scale-y:.9}.md\\:scale-y-95{--transform-scale-y:.95}.md\\:scale-y-100{--transform-scale-y:1}.md\\:scale-y-105{--transform-scale-y:1.05}.md\\:scale-y-110{--transform-scale-y:1.1}.md\\:scale-y-125{--transform-scale-y:1.25}.md\\:scale-y-150{--transform-scale-y:1.5}.md\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.md\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.md\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.md\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.md\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.md\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.md\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.md\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.md\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.md\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.md\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.md\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.md\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.md\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.md\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.md\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.md\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.md\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.md\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.md\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.md\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.md\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.md\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.md\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.md\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.md\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.md\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.md\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.md\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.md\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.md\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.md\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.md\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.md\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.md\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.md\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.md\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.md\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.md\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.md\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.md\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.md\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.md\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.md\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.md\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.md\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.md\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.md\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.md\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.md\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.md\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.md\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.md\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.md\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.md\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.md\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.md\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.md\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.md\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.md\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.md\\:rotate-0{--transform-rotate:0}.md\\:rotate-45{--transform-rotate:45deg}.md\\:rotate-90{--transform-rotate:90deg}.md\\:rotate-180{--transform-rotate:180deg}.md\\:-rotate-180{--transform-rotate:-180deg}.md\\:-rotate-90{--transform-rotate:-90deg}.md\\:-rotate-45{--transform-rotate:-45deg}.md\\:hover\\:rotate-0:hover{--transform-rotate:0}.md\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.md\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.md\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.md\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.md\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.md\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.md\\:focus\\:rotate-0:focus{--transform-rotate:0}.md\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.md\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.md\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.md\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.md\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.md\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.md\\:translate-x-0{--transform-translate-x:0}.md\\:translate-x-1{--transform-translate-x:0.25rem}.md\\:translate-x-2{--transform-translate-x:0.5rem}.md\\:translate-x-3{--transform-translate-x:0.75rem}.md\\:translate-x-4{--transform-translate-x:1rem}.md\\:translate-x-5{--transform-translate-x:1.25rem}.md\\:translate-x-6{--transform-translate-x:1.5rem}.md\\:translate-x-8{--transform-translate-x:2rem}.md\\:translate-x-10{--transform-translate-x:2.5rem}.md\\:translate-x-12{--transform-translate-x:3rem}.md\\:translate-x-16{--transform-translate-x:4rem}.md\\:translate-x-20{--transform-translate-x:5rem}.md\\:translate-x-24{--transform-translate-x:6rem}.md\\:translate-x-32{--transform-translate-x:8rem}.md\\:translate-x-40{--transform-translate-x:10rem}.md\\:translate-x-48{--transform-translate-x:12rem}.md\\:translate-x-56{--transform-translate-x:14rem}.md\\:translate-x-64{--transform-translate-x:16rem}.md\\:translate-x-px{--transform-translate-x:1px}.md\\:-translate-x-1{--transform-translate-x:-0.25rem}.md\\:-translate-x-2{--transform-translate-x:-0.5rem}.md\\:-translate-x-3{--transform-translate-x:-0.75rem}.md\\:-translate-x-4{--transform-translate-x:-1rem}.md\\:-translate-x-5{--transform-translate-x:-1.25rem}.md\\:-translate-x-6{--transform-translate-x:-1.5rem}.md\\:-translate-x-8{--transform-translate-x:-2rem}.md\\:-translate-x-10{--transform-translate-x:-2.5rem}.md\\:-translate-x-12{--transform-translate-x:-3rem}.md\\:-translate-x-16{--transform-translate-x:-4rem}.md\\:-translate-x-20{--transform-translate-x:-5rem}.md\\:-translate-x-24{--transform-translate-x:-6rem}.md\\:-translate-x-32{--transform-translate-x:-8rem}.md\\:-translate-x-40{--transform-translate-x:-10rem}.md\\:-translate-x-48{--transform-translate-x:-12rem}.md\\:-translate-x-56{--transform-translate-x:-14rem}.md\\:-translate-x-64{--transform-translate-x:-16rem}.md\\:-translate-x-px{--transform-translate-x:-1px}.md\\:-translate-x-full{--transform-translate-x:-100%}.md\\:-translate-x-1\\/2{--transform-translate-x:-50%}.md\\:translate-x-1\\/2{--transform-translate-x:50%}.md\\:translate-x-full{--transform-translate-x:100%}.md\\:translate-y-0{--transform-translate-y:0}.md\\:translate-y-1{--transform-translate-y:0.25rem}.md\\:translate-y-2{--transform-translate-y:0.5rem}.md\\:translate-y-3{--transform-translate-y:0.75rem}.md\\:translate-y-4{--transform-translate-y:1rem}.md\\:translate-y-5{--transform-translate-y:1.25rem}.md\\:translate-y-6{--transform-translate-y:1.5rem}.md\\:translate-y-8{--transform-translate-y:2rem}.md\\:translate-y-10{--transform-translate-y:2.5rem}.md\\:translate-y-12{--transform-translate-y:3rem}.md\\:translate-y-16{--transform-translate-y:4rem}.md\\:translate-y-20{--transform-translate-y:5rem}.md\\:translate-y-24{--transform-translate-y:6rem}.md\\:translate-y-32{--transform-translate-y:8rem}.md\\:translate-y-40{--transform-translate-y:10rem}.md\\:translate-y-48{--transform-translate-y:12rem}.md\\:translate-y-56{--transform-translate-y:14rem}.md\\:translate-y-64{--transform-translate-y:16rem}.md\\:translate-y-px{--transform-translate-y:1px}.md\\:-translate-y-1{--transform-translate-y:-0.25rem}.md\\:-translate-y-2{--transform-translate-y:-0.5rem}.md\\:-translate-y-3{--transform-translate-y:-0.75rem}.md\\:-translate-y-4{--transform-translate-y:-1rem}.md\\:-translate-y-5{--transform-translate-y:-1.25rem}.md\\:-translate-y-6{--transform-translate-y:-1.5rem}.md\\:-translate-y-8{--transform-translate-y:-2rem}.md\\:-translate-y-10{--transform-translate-y:-2.5rem}.md\\:-translate-y-12{--transform-translate-y:-3rem}.md\\:-translate-y-16{--transform-translate-y:-4rem}.md\\:-translate-y-20{--transform-translate-y:-5rem}.md\\:-translate-y-24{--transform-translate-y:-6rem}.md\\:-translate-y-32{--transform-translate-y:-8rem}.md\\:-translate-y-40{--transform-translate-y:-10rem}.md\\:-translate-y-48{--transform-translate-y:-12rem}.md\\:-translate-y-56{--transform-translate-y:-14rem}.md\\:-translate-y-64{--transform-translate-y:-16rem}.md\\:-translate-y-px{--transform-translate-y:-1px}.md\\:-translate-y-full{--transform-translate-y:-100%}.md\\:-translate-y-1\\/2{--transform-translate-y:-50%}.md\\:translate-y-1\\/2{--transform-translate-y:50%}.md\\:translate-y-full{--transform-translate-y:100%}.md\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.md\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.md\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.md\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.md\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.md\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.md\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.md\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.md\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.md\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.md\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.md\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.md\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.md\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.md\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.md\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.md\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.md\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.md\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.md\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.md\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.md\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.md\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.md\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.md\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.md\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.md\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.md\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.md\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.md\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.md\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.md\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.md\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.md\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.md\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.md\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.md\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.md\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.md\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.md\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.md\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.md\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.md\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.md\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.md\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.md\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.md\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.md\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.md\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.md\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.md\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.md\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.md\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.md\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.md\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.md\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.md\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.md\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.md\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.md\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.md\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.md\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.md\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.md\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.md\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.md\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.md\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.md\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.md\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.md\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.md\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.md\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.md\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.md\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.md\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.md\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.md\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.md\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.md\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.md\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.md\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.md\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.md\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.md\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.md\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.md\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.md\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.md\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.md\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.md\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.md\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.md\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.md\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.md\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.md\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.md\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.md\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.md\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.md\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.md\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.md\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.md\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.md\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.md\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.md\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.md\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.md\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.md\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.md\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.md\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.md\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.md\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.md\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.md\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.md\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.md\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.md\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.md\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.md\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.md\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.md\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.md\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.md\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.md\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.md\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.md\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.md\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.md\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.md\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.md\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.md\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.md\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.md\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.md\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.md\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.md\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.md\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.md\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.md\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.md\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.md\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.md\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.md\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.md\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.md\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.md\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.md\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.md\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.md\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.md\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.md\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.md\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.md\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.md\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.md\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.md\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.md\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.md\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.md\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.md\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.md\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.md\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.md\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.md\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.md\\:skew-x-0{--transform-skew-x:0}.md\\:skew-x-3{--transform-skew-x:3deg}.md\\:skew-x-6{--transform-skew-x:6deg}.md\\:skew-x-12{--transform-skew-x:12deg}.md\\:-skew-x-12{--transform-skew-x:-12deg}.md\\:-skew-x-6{--transform-skew-x:-6deg}.md\\:-skew-x-3{--transform-skew-x:-3deg}.md\\:skew-y-0{--transform-skew-y:0}.md\\:skew-y-3{--transform-skew-y:3deg}.md\\:skew-y-6{--transform-skew-y:6deg}.md\\:skew-y-12{--transform-skew-y:12deg}.md\\:-skew-y-12{--transform-skew-y:-12deg}.md\\:-skew-y-6{--transform-skew-y:-6deg}.md\\:-skew-y-3{--transform-skew-y:-3deg}.md\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.md\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.md\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.md\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.md\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.md\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.md\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.md\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.md\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.md\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.md\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.md\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.md\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.md\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.md\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.md\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.md\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.md\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.md\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.md\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.md\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.md\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.md\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.md\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.md\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.md\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.md\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.md\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.md\\:transition-none{-webkit-transition-property:none;transition-property:none}.md\\:transition-all{-webkit-transition-property:all;transition-property:all}.md\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.md\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.md\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.md\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.md\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.md\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.md\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.md\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.md\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.md\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.md\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.md\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.md\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.md\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.md\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.md\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.md\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.md\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.md\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.md\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.md\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.md\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.md\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.md\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.md\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.md\\:animate-none{-webkit-animation:none;animation:none}.md\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.md\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.md\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.md\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}@media (min-width: 1024px){.lg\\:container{width:100%}@media (min-width: 640px){.lg\\:container{max-width:640px}}@media (min-width: 768px){.lg\\:container{max-width:768px}}@media (min-width: 1024px){.lg\\:container{max-width:1024px}}@media (min-width: 1280px){.lg\\:container{max-width:1280px}}.lg\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.lg\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.lg\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.lg\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.lg\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.lg\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.lg\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.lg\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.lg\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.lg\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.lg\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.lg\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.lg\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.lg\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.lg\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.lg\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.lg\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.lg\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.lg\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.lg\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.lg\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.lg\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.lg\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.lg\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.lg\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.lg\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.lg\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.lg\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.lg\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.lg\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.lg\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.lg\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.lg\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.lg\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.lg\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.lg\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.lg\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.lg\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.lg\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.lg\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.lg\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.lg\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.lg\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.lg\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.lg\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.lg\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.lg\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.lg\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.lg\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.lg\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.lg\\:divide-current>:not(template)~:not(template){border-color:currentColor}.lg\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.lg\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.lg\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.lg\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.lg\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.lg\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.lg\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.lg\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.lg\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.lg\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.lg\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.lg\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.lg\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.lg\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.lg\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.lg\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.lg\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.lg\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.lg\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.lg\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.lg\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.lg\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.lg\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.lg\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.lg\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.lg\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.lg\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.lg\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.lg\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.lg\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.lg\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.lg\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.lg\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.lg\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.lg\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.lg\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.lg\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.lg\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.lg\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.lg\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.lg\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.lg\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.lg\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.lg\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.lg\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.lg\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.lg\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.lg\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.lg\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.lg\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.lg\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.lg\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.lg\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.lg\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.lg\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.lg\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.lg\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.lg\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.lg\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.lg\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.lg\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.lg\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.lg\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.lg\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.lg\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.lg\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.lg\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.lg\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.lg\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.lg\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.lg\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.lg\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.lg\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.lg\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.lg\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.lg\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.lg\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.lg\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.lg\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.lg\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.lg\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.lg\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.lg\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.lg\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.lg\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.lg\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.lg\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.lg\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.lg\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.lg\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.lg\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.lg\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.lg\\:divide-solid>:not(template)~:not(template){border-style:solid}.lg\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.lg\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.lg\\:divide-double>:not(template)~:not(template){border-style:double}.lg\\:divide-none>:not(template)~:not(template){border-style:none}.lg\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.lg\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.lg\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.lg\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.lg\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.lg\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.lg\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.lg\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.lg\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.lg\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.lg\\:bg-fixed{background-attachment:fixed}.lg\\:bg-local{background-attachment:local}.lg\\:bg-scroll{background-attachment:scroll}.lg\\:bg-clip-border{background-clip:border-box}.lg\\:bg-clip-padding{background-clip:padding-box}.lg\\:bg-clip-content{background-clip:content-box}.lg\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.lg\\:bg-transparent{background-color:transparent}.lg\\:bg-current{background-color:currentColor}.lg\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.lg\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.lg\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.lg\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.lg\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.lg\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.lg\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.lg\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.lg\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.lg\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.lg\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.lg\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.lg\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.lg\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.lg\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.lg\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.lg\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.lg\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.lg\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.lg\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.lg\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.lg\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.lg\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.lg\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.lg\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.lg\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.lg\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.lg\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.lg\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.lg\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.lg\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.lg\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.lg\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.lg\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.lg\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.lg\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.lg\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.lg\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.lg\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.lg\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.lg\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.lg\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.lg\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.lg\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.lg\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.lg\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.lg\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.lg\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.lg\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.lg\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.lg\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.lg\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.lg\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.lg\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.lg\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.lg\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.lg\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.lg\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.lg\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.lg\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.lg\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.lg\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.lg\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.lg\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.lg\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.lg\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.lg\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.lg\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.lg\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.lg\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.lg\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.lg\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.lg\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.lg\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.lg\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.lg\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.lg\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.lg\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.lg\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.lg\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.lg\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.lg\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.lg\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.lg\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.lg\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.lg\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.lg\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.lg\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.lg\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.lg\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.lg\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.lg\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.lg\\:hover\\:bg-transparent:hover{background-color:transparent}.lg\\:hover\\:bg-current:hover{background-color:currentColor}.lg\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.lg\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.lg\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.lg\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.lg\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.lg\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.lg\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.lg\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.lg\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.lg\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.lg\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.lg\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.lg\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.lg\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.lg\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.lg\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.lg\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.lg\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.lg\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.lg\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.lg\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.lg\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.lg\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.lg\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.lg\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.lg\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.lg\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.lg\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.lg\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.lg\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.lg\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.lg\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.lg\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.lg\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.lg\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.lg\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.lg\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.lg\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.lg\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.lg\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.lg\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.lg\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.lg\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.lg\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.lg\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.lg\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.lg\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.lg\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.lg\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.lg\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.lg\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.lg\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.lg\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.lg\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.lg\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.lg\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.lg\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.lg\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.lg\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.lg\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.lg\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.lg\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.lg\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.lg\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.lg\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.lg\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.lg\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.lg\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.lg\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.lg\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.lg\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.lg\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.lg\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.lg\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.lg\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.lg\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.lg\\:focus\\:bg-transparent:focus{background-color:transparent}.lg\\:focus\\:bg-current:focus{background-color:currentColor}.lg\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.lg\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.lg\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.lg\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.lg\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.lg\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.lg\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.lg\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.lg\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.lg\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.lg\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.lg\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.lg\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.lg\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.lg\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.lg\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.lg\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.lg\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.lg\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.lg\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.lg\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.lg\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.lg\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.lg\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.lg\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.lg\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.lg\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.lg\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.lg\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.lg\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.lg\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.lg\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.lg\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.lg\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.lg\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.lg\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.lg\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.lg\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.lg\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.lg\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.lg\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.lg\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.lg\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.lg\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.lg\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.lg\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.lg\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.lg\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.lg\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.lg\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.lg\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.lg\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.lg\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.lg\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.lg\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.lg\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.lg\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.lg\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.lg\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.lg\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.lg\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.lg\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.lg\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.lg\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.lg\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.lg\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.lg\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.lg\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.lg\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.lg\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.lg\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.lg\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.lg\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.lg\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.lg\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.lg\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.lg\\:bg-none{background-image:none}.lg\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.lg\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.lg\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.lg\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.lg\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.lg\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.lg\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.lg\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.lg\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:to-transparent{--gradient-to-color:transparent}.lg\\:to-current{--gradient-to-color:currentColor}.lg\\:to-black{--gradient-to-color:#000}.lg\\:to-white{--gradient-to-color:#fff}.lg\\:to-gray-100{--gradient-to-color:#f7fafc}.lg\\:to-gray-200{--gradient-to-color:#edf2f7}.lg\\:to-gray-300{--gradient-to-color:#e2e8f0}.lg\\:to-gray-400{--gradient-to-color:#cbd5e0}.lg\\:to-gray-500{--gradient-to-color:#a0aec0}.lg\\:to-gray-600{--gradient-to-color:#718096}.lg\\:to-gray-700{--gradient-to-color:#4a5568}.lg\\:to-gray-800{--gradient-to-color:#2d3748}.lg\\:to-gray-900{--gradient-to-color:#1a202c}.lg\\:to-red-100{--gradient-to-color:#fff5f5}.lg\\:to-red-200{--gradient-to-color:#fed7d7}.lg\\:to-red-300{--gradient-to-color:#feb2b2}.lg\\:to-red-400{--gradient-to-color:#fc8181}.lg\\:to-red-500{--gradient-to-color:#f56565}.lg\\:to-red-600{--gradient-to-color:#e53e3e}.lg\\:to-red-700{--gradient-to-color:#c53030}.lg\\:to-red-800{--gradient-to-color:#9b2c2c}.lg\\:to-red-900{--gradient-to-color:#742a2a}.lg\\:to-orange-100{--gradient-to-color:#fffaf0}.lg\\:to-orange-200{--gradient-to-color:#feebc8}.lg\\:to-orange-300{--gradient-to-color:#fbd38d}.lg\\:to-orange-400{--gradient-to-color:#f6ad55}.lg\\:to-orange-500{--gradient-to-color:#ed8936}.lg\\:to-orange-600{--gradient-to-color:#dd6b20}.lg\\:to-orange-700{--gradient-to-color:#c05621}.lg\\:to-orange-800{--gradient-to-color:#9c4221}.lg\\:to-orange-900{--gradient-to-color:#7b341e}.lg\\:to-yellow-100{--gradient-to-color:#fffff0}.lg\\:to-yellow-200{--gradient-to-color:#fefcbf}.lg\\:to-yellow-300{--gradient-to-color:#faf089}.lg\\:to-yellow-400{--gradient-to-color:#f6e05e}.lg\\:to-yellow-500{--gradient-to-color:#ecc94b}.lg\\:to-yellow-600{--gradient-to-color:#d69e2e}.lg\\:to-yellow-700{--gradient-to-color:#b7791f}.lg\\:to-yellow-800{--gradient-to-color:#975a16}.lg\\:to-yellow-900{--gradient-to-color:#744210}.lg\\:to-green-100{--gradient-to-color:#f0fff4}.lg\\:to-green-200{--gradient-to-color:#c6f6d5}.lg\\:to-green-300{--gradient-to-color:#9ae6b4}.lg\\:to-green-400{--gradient-to-color:#68d391}.lg\\:to-green-500{--gradient-to-color:#48bb78}.lg\\:to-green-600{--gradient-to-color:#38a169}.lg\\:to-green-700{--gradient-to-color:#2f855a}.lg\\:to-green-800{--gradient-to-color:#276749}.lg\\:to-green-900{--gradient-to-color:#22543d}.lg\\:to-teal-100{--gradient-to-color:#e6fffa}.lg\\:to-teal-200{--gradient-to-color:#b2f5ea}.lg\\:to-teal-300{--gradient-to-color:#81e6d9}.lg\\:to-teal-400{--gradient-to-color:#4fd1c5}.lg\\:to-teal-500{--gradient-to-color:#38b2ac}.lg\\:to-teal-600{--gradient-to-color:#319795}.lg\\:to-teal-700{--gradient-to-color:#2c7a7b}.lg\\:to-teal-800{--gradient-to-color:#285e61}.lg\\:to-teal-900{--gradient-to-color:#234e52}.lg\\:to-blue-100{--gradient-to-color:#ebf8ff}.lg\\:to-blue-200{--gradient-to-color:#bee3f8}.lg\\:to-blue-300{--gradient-to-color:#90cdf4}.lg\\:to-blue-400{--gradient-to-color:#63b3ed}.lg\\:to-blue-500{--gradient-to-color:#4299e1}.lg\\:to-blue-600{--gradient-to-color:#3182ce}.lg\\:to-blue-700{--gradient-to-color:#2b6cb0}.lg\\:to-blue-800{--gradient-to-color:#2c5282}.lg\\:to-blue-900{--gradient-to-color:#2a4365}.lg\\:to-indigo-100{--gradient-to-color:#ebf4ff}.lg\\:to-indigo-200{--gradient-to-color:#c3dafe}.lg\\:to-indigo-300{--gradient-to-color:#a3bffa}.lg\\:to-indigo-400{--gradient-to-color:#7f9cf5}.lg\\:to-indigo-500{--gradient-to-color:#667eea}.lg\\:to-indigo-600{--gradient-to-color:#5a67d8}.lg\\:to-indigo-700{--gradient-to-color:#4c51bf}.lg\\:to-indigo-800{--gradient-to-color:#434190}.lg\\:to-indigo-900{--gradient-to-color:#3c366b}.lg\\:to-purple-100{--gradient-to-color:#faf5ff}.lg\\:to-purple-200{--gradient-to-color:#e9d8fd}.lg\\:to-purple-300{--gradient-to-color:#d6bcfa}.lg\\:to-purple-400{--gradient-to-color:#b794f4}.lg\\:to-purple-500{--gradient-to-color:#9f7aea}.lg\\:to-purple-600{--gradient-to-color:#805ad5}.lg\\:to-purple-700{--gradient-to-color:#6b46c1}.lg\\:to-purple-800{--gradient-to-color:#553c9a}.lg\\:to-purple-900{--gradient-to-color:#44337a}.lg\\:to-pink-100{--gradient-to-color:#fff5f7}.lg\\:to-pink-200{--gradient-to-color:#fed7e2}.lg\\:to-pink-300{--gradient-to-color:#fbb6ce}.lg\\:to-pink-400{--gradient-to-color:#f687b3}.lg\\:to-pink-500{--gradient-to-color:#ed64a6}.lg\\:to-pink-600{--gradient-to-color:#d53f8c}.lg\\:to-pink-700{--gradient-to-color:#b83280}.lg\\:to-pink-800{--gradient-to-color:#97266d}.lg\\:to-pink-900{--gradient-to-color:#702459}.lg\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.lg\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.lg\\:hover\\:to-black:hover{--gradient-to-color:#000}.lg\\:hover\\:to-white:hover{--gradient-to-color:#fff}.lg\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.lg\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.lg\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.lg\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.lg\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.lg\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.lg\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.lg\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.lg\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.lg\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.lg\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.lg\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.lg\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.lg\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.lg\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.lg\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.lg\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.lg\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.lg\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.lg\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.lg\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.lg\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.lg\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.lg\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.lg\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.lg\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.lg\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.lg\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.lg\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.lg\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.lg\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.lg\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.lg\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.lg\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.lg\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.lg\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.lg\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.lg\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.lg\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.lg\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.lg\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.lg\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.lg\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.lg\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.lg\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.lg\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.lg\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.lg\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.lg\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.lg\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.lg\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.lg\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.lg\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.lg\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.lg\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.lg\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.lg\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.lg\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.lg\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.lg\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.lg\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.lg\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.lg\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.lg\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.lg\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.lg\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.lg\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.lg\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.lg\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.lg\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.lg\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.lg\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.lg\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.lg\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.lg\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.lg\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.lg\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.lg\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.lg\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.lg\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.lg\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.lg\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.lg\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.lg\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.lg\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.lg\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.lg\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.lg\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.lg\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.lg\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.lg\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.lg\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.lg\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.lg\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.lg\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.lg\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.lg\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.lg\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.lg\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.lg\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.lg\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.lg\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.lg\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.lg\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.lg\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.lg\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.lg\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.lg\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.lg\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.lg\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.lg\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.lg\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.lg\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.lg\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.lg\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.lg\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.lg\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.lg\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.lg\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.lg\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.lg\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.lg\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.lg\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.lg\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.lg\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.lg\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.lg\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.lg\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.lg\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.lg\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.lg\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.lg\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.lg\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.lg\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.lg\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.lg\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.lg\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.lg\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.lg\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.lg\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.lg\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.lg\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.lg\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.lg\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.lg\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.lg\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.lg\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.lg\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.lg\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.lg\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.lg\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.lg\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.lg\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.lg\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.lg\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.lg\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.lg\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.lg\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.lg\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.lg\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.lg\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.lg\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.lg\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.lg\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.lg\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.lg\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.lg\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.lg\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.lg\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.lg\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.lg\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.lg\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.lg\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.lg\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.lg\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.lg\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.lg\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.lg\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.lg\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.lg\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.lg\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.lg\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.lg\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.lg\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.lg\\:focus\\:to-black:focus{--gradient-to-color:#000}.lg\\:focus\\:to-white:focus{--gradient-to-color:#fff}.lg\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.lg\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.lg\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.lg\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.lg\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.lg\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.lg\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.lg\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.lg\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.lg\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.lg\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.lg\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.lg\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.lg\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.lg\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.lg\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.lg\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.lg\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.lg\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.lg\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.lg\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.lg\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.lg\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.lg\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.lg\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.lg\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.lg\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.lg\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.lg\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.lg\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.lg\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.lg\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.lg\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.lg\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.lg\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.lg\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.lg\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.lg\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.lg\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.lg\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.lg\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.lg\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.lg\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.lg\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.lg\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.lg\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.lg\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.lg\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.lg\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.lg\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.lg\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.lg\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.lg\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.lg\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.lg\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.lg\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.lg\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.lg\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.lg\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.lg\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.lg\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.lg\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.lg\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.lg\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.lg\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.lg\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.lg\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.lg\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.lg\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.lg\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.lg\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.lg\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.lg\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.lg\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.lg\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.lg\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.lg\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.lg\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.lg\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.lg\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.lg\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.lg\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.lg\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.lg\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.lg\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.lg\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.lg\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.lg\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.lg\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.lg\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.lg\\:bg-opacity-0{--bg-opacity:0}.lg\\:bg-opacity-25{--bg-opacity:0.25}.lg\\:bg-opacity-50{--bg-opacity:0.5}.lg\\:bg-opacity-75{--bg-opacity:0.75}.lg\\:bg-opacity-100{--bg-opacity:1}.lg\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.lg\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.lg\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.lg\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.lg\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.lg\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.lg\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.lg\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.lg\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.lg\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.lg\\:bg-bottom{background-position:bottom}.lg\\:bg-center{background-position:center}.lg\\:bg-left{background-position:left}.lg\\:bg-left-bottom{background-position:left bottom}.lg\\:bg-left-top{background-position:left top}.lg\\:bg-right{background-position:right}.lg\\:bg-right-bottom{background-position:right bottom}.lg\\:bg-right-top{background-position:right top}.lg\\:bg-top{background-position:top}.lg\\:bg-repeat{background-repeat:repeat}.lg\\:bg-no-repeat{background-repeat:no-repeat}.lg\\:bg-repeat-x{background-repeat:repeat-x}.lg\\:bg-repeat-y{background-repeat:repeat-y}.lg\\:bg-repeat-round{background-repeat:round}.lg\\:bg-repeat-space{background-repeat:space}.lg\\:bg-auto{background-size:auto}.lg\\:bg-cover{background-size:cover}.lg\\:bg-contain{background-size:contain}.lg\\:border-collapse{border-collapse:collapse}.lg\\:border-separate{border-collapse:separate}.lg\\:border-transparent{border-color:transparent}.lg\\:border-current{border-color:currentColor}.lg\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.lg\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.lg\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.lg\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.lg\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.lg\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.lg\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.lg\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.lg\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.lg\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.lg\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.lg\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.lg\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.lg\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.lg\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.lg\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.lg\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.lg\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.lg\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.lg\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.lg\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.lg\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.lg\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.lg\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.lg\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.lg\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.lg\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.lg\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.lg\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.lg\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.lg\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.lg\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.lg\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.lg\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.lg\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.lg\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.lg\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.lg\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.lg\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.lg\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.lg\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.lg\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.lg\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.lg\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.lg\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.lg\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.lg\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.lg\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.lg\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.lg\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.lg\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.lg\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.lg\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.lg\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.lg\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.lg\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.lg\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.lg\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.lg\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.lg\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.lg\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.lg\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.lg\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.lg\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.lg\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.lg\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.lg\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.lg\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.lg\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.lg\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.lg\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.lg\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.lg\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.lg\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.lg\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.lg\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.lg\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.lg\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.lg\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.lg\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.lg\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.lg\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.lg\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.lg\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.lg\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.lg\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.lg\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.lg\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.lg\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.lg\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.lg\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.lg\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.lg\\:hover\\:border-transparent:hover{border-color:transparent}.lg\\:hover\\:border-current:hover{border-color:currentColor}.lg\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.lg\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.lg\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.lg\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.lg\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.lg\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.lg\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.lg\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.lg\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.lg\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.lg\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.lg\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.lg\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.lg\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.lg\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.lg\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.lg\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.lg\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.lg\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.lg\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.lg\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.lg\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.lg\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.lg\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.lg\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.lg\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.lg\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.lg\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.lg\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.lg\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.lg\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.lg\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.lg\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.lg\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.lg\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.lg\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.lg\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.lg\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.lg\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.lg\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.lg\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.lg\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.lg\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.lg\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.lg\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.lg\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.lg\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.lg\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.lg\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.lg\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.lg\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.lg\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.lg\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.lg\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.lg\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.lg\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.lg\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.lg\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.lg\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.lg\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.lg\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.lg\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.lg\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.lg\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.lg\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.lg\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.lg\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.lg\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.lg\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.lg\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.lg\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.lg\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.lg\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.lg\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.lg\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.lg\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.lg\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.lg\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.lg\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.lg\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.lg\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.lg\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.lg\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.lg\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.lg\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.lg\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.lg\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.lg\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.lg\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.lg\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.lg\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.lg\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.lg\\:focus\\:border-transparent:focus{border-color:transparent}.lg\\:focus\\:border-current:focus{border-color:currentColor}.lg\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.lg\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.lg\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.lg\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.lg\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.lg\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.lg\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.lg\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.lg\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.lg\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.lg\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.lg\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.lg\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.lg\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.lg\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.lg\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.lg\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.lg\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.lg\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.lg\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.lg\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.lg\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.lg\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.lg\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.lg\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.lg\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.lg\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.lg\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.lg\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.lg\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.lg\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.lg\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.lg\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.lg\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.lg\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.lg\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.lg\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.lg\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.lg\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.lg\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.lg\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.lg\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.lg\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.lg\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.lg\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.lg\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.lg\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.lg\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.lg\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.lg\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.lg\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.lg\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.lg\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.lg\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.lg\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.lg\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.lg\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.lg\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.lg\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.lg\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.lg\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.lg\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.lg\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.lg\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.lg\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.lg\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.lg\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.lg\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.lg\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.lg\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.lg\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.lg\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.lg\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.lg\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.lg\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.lg\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.lg\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.lg\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.lg\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.lg\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.lg\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.lg\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.lg\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.lg\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.lg\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.lg\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.lg\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.lg\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.lg\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.lg\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.lg\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.lg\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.lg\\:border-opacity-0{--border-opacity:0}.lg\\:border-opacity-25{--border-opacity:0.25}.lg\\:border-opacity-50{--border-opacity:0.5}.lg\\:border-opacity-75{--border-opacity:0.75}.lg\\:border-opacity-100{--border-opacity:1}.lg\\:hover\\:border-opacity-0:hover{--border-opacity:0}.lg\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.lg\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.lg\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.lg\\:hover\\:border-opacity-100:hover{--border-opacity:1}.lg\\:focus\\:border-opacity-0:focus{--border-opacity:0}.lg\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.lg\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.lg\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.lg\\:focus\\:border-opacity-100:focus{--border-opacity:1}.lg\\:rounded-none{border-radius:0}.lg\\:rounded-sm{border-radius:0.125rem}.lg\\:rounded{border-radius:0.25rem}.lg\\:rounded-md{border-radius:0.375rem}.lg\\:rounded-lg{border-radius:0.5rem}.lg\\:rounded-full{border-radius:9999px}.lg\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.lg\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.lg\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.lg\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.lg\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.lg\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.lg\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.lg\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.lg\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.lg\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.lg\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.lg\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.lg\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.lg\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.lg\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.lg\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.lg\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.lg\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.lg\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.lg\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.lg\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.lg\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.lg\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.lg\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.lg\\:rounded-tl-none{border-top-left-radius:0}.lg\\:rounded-tr-none{border-top-right-radius:0}.lg\\:rounded-br-none{border-bottom-right-radius:0}.lg\\:rounded-bl-none{border-bottom-left-radius:0}.lg\\:rounded-tl-sm{border-top-left-radius:0.125rem}.lg\\:rounded-tr-sm{border-top-right-radius:0.125rem}.lg\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.lg\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.lg\\:rounded-tl{border-top-left-radius:0.25rem}.lg\\:rounded-tr{border-top-right-radius:0.25rem}.lg\\:rounded-br{border-bottom-right-radius:0.25rem}.lg\\:rounded-bl{border-bottom-left-radius:0.25rem}.lg\\:rounded-tl-md{border-top-left-radius:0.375rem}.lg\\:rounded-tr-md{border-top-right-radius:0.375rem}.lg\\:rounded-br-md{border-bottom-right-radius:0.375rem}.lg\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.lg\\:rounded-tl-lg{border-top-left-radius:0.5rem}.lg\\:rounded-tr-lg{border-top-right-radius:0.5rem}.lg\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.lg\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.lg\\:rounded-tl-full{border-top-left-radius:9999px}.lg\\:rounded-tr-full{border-top-right-radius:9999px}.lg\\:rounded-br-full{border-bottom-right-radius:9999px}.lg\\:rounded-bl-full{border-bottom-left-radius:9999px}.lg\\:border-solid{border-style:solid}.lg\\:border-dashed{border-style:dashed}.lg\\:border-dotted{border-style:dotted}.lg\\:border-double{border-style:double}.lg\\:border-none{border-style:none}.lg\\:border-0{border-width:0}.lg\\:border-2{border-width:2px}.lg\\:border-4{border-width:4px}.lg\\:border-8{border-width:8px}.lg\\:border{border-width:1px}.lg\\:border-t-0{border-top-width:0}.lg\\:border-r-0{border-right-width:0}.lg\\:border-b-0{border-bottom-width:0}.lg\\:border-l-0{border-left-width:0}.lg\\:border-t-2{border-top-width:2px}.lg\\:border-r-2{border-right-width:2px}.lg\\:border-b-2{border-bottom-width:2px}.lg\\:border-l-2{border-left-width:2px}.lg\\:border-t-4{border-top-width:4px}.lg\\:border-r-4{border-right-width:4px}.lg\\:border-b-4{border-bottom-width:4px}.lg\\:border-l-4{border-left-width:4px}.lg\\:border-t-8{border-top-width:8px}.lg\\:border-r-8{border-right-width:8px}.lg\\:border-b-8{border-bottom-width:8px}.lg\\:border-l-8{border-left-width:8px}.lg\\:border-t{border-top-width:1px}.lg\\:border-r{border-right-width:1px}.lg\\:border-b{border-bottom-width:1px}.lg\\:border-l{border-left-width:1px}.lg\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.lg\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.lg\\:cursor-auto{cursor:auto}.lg\\:cursor-default{cursor:default}.lg\\:cursor-pointer{cursor:pointer}.lg\\:cursor-wait{cursor:wait}.lg\\:cursor-text{cursor:text}.lg\\:cursor-move{cursor:move}.lg\\:cursor-not-allowed{cursor:not-allowed}.lg\\:block{display:block}.lg\\:inline-block{display:inline-block}.lg\\:inline{display:inline}.lg\\:flex{display:-ms-flexbox;display:flex}.lg\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.lg\\:table{display:table}.lg\\:table-caption{display:table-caption}.lg\\:table-cell{display:table-cell}.lg\\:table-column{display:table-column}.lg\\:table-column-group{display:table-column-group}.lg\\:table-footer-group{display:table-footer-group}.lg\\:table-header-group{display:table-header-group}.lg\\:table-row-group{display:table-row-group}.lg\\:table-row{display:table-row}.lg\\:flow-root{display:flow-root}.lg\\:grid{display:grid}.lg\\:inline-grid{display:inline-grid}.lg\\:contents{display:contents}.lg\\:hidden{display:none}.lg\\:flex-row{-ms-flex-direction:row;flex-direction:row}.lg\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.lg\\:flex-col{-ms-flex-direction:column;flex-direction:column}.lg\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.lg\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.lg\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.lg\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.lg\\:place-items-auto{place-items:auto}.lg\\:place-items-start{place-items:start}.lg\\:place-items-end{place-items:end}.lg\\:place-items-center{place-items:center}.lg\\:place-items-stretch{place-items:stretch}.lg\\:place-content-center{place-content:center}.lg\\:place-content-start{place-content:start}.lg\\:place-content-end{place-content:end}.lg\\:place-content-between{place-content:space-between}.lg\\:place-content-around{place-content:space-around}.lg\\:place-content-evenly{place-content:space-evenly}.lg\\:place-content-stretch{place-content:stretch}.lg\\:place-self-auto{place-self:auto}.lg\\:place-self-start{place-self:start}.lg\\:place-self-end{place-self:end}.lg\\:place-self-center{place-self:center}.lg\\:place-self-stretch{place-self:stretch}.lg\\:items-start{-ms-flex-align:start;align-items:flex-start}.lg\\:items-end{-ms-flex-align:end;align-items:flex-end}.lg\\:items-center{-ms-flex-align:center;align-items:center}.lg\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.lg\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.lg\\:content-center{-ms-flex-line-pack:center;align-content:center}.lg\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.lg\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.lg\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.lg\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.lg\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.lg\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.lg\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.lg\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.lg\\:self-center{-ms-flex-item-align:center;align-self:center}.lg\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.lg\\:justify-items-auto{justify-items:auto}.lg\\:justify-items-start{justify-items:start}.lg\\:justify-items-end{justify-items:end}.lg\\:justify-items-center{justify-items:center}.lg\\:justify-items-stretch{justify-items:stretch}.lg\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.lg\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.lg\\:justify-center{-ms-flex-pack:center;justify-content:center}.lg\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.lg\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.lg\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.lg\\:justify-self-auto{justify-self:auto}.lg\\:justify-self-start{justify-self:start}.lg\\:justify-self-end{justify-self:end}.lg\\:justify-self-center{justify-self:center}.lg\\:justify-self-stretch{justify-self:stretch}.lg\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.lg\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.lg\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.lg\\:flex-none{-ms-flex:none;flex:none}.lg\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.lg\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.lg\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.lg\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.lg\\:order-1{-ms-flex-order:1;order:1}.lg\\:order-2{-ms-flex-order:2;order:2}.lg\\:order-3{-ms-flex-order:3;order:3}.lg\\:order-4{-ms-flex-order:4;order:4}.lg\\:order-5{-ms-flex-order:5;order:5}.lg\\:order-6{-ms-flex-order:6;order:6}.lg\\:order-7{-ms-flex-order:7;order:7}.lg\\:order-8{-ms-flex-order:8;order:8}.lg\\:order-9{-ms-flex-order:9;order:9}.lg\\:order-10{-ms-flex-order:10;order:10}.lg\\:order-11{-ms-flex-order:11;order:11}.lg\\:order-12{-ms-flex-order:12;order:12}.lg\\:order-first{-ms-flex-order:-9999;order:-9999}.lg\\:order-last{-ms-flex-order:9999;order:9999}.lg\\:order-none{-ms-flex-order:0;order:0}.lg\\:float-right{float:right}.lg\\:float-left{float:left}.lg\\:float-none{float:none}.lg\\:clearfix:after{content:\"\";display:table;clear:both}.lg\\:clear-left{clear:left}.lg\\:clear-right{clear:right}.lg\\:clear-both{clear:both}.lg\\:clear-none{clear:none}.lg\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.lg\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.lg\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.lg\\:font-hairline{font-weight:100}.lg\\:font-thin{font-weight:200}.lg\\:font-light{font-weight:300}.lg\\:font-normal{font-weight:400}.lg\\:font-medium{font-weight:500}.lg\\:font-semibold{font-weight:600}.lg\\:font-bold{font-weight:700}.lg\\:font-extrabold{font-weight:800}.lg\\:font-black{font-weight:900}.lg\\:hover\\:font-hairline:hover{font-weight:100}.lg\\:hover\\:font-thin:hover{font-weight:200}.lg\\:hover\\:font-light:hover{font-weight:300}.lg\\:hover\\:font-normal:hover{font-weight:400}.lg\\:hover\\:font-medium:hover{font-weight:500}.lg\\:hover\\:font-semibold:hover{font-weight:600}.lg\\:hover\\:font-bold:hover{font-weight:700}.lg\\:hover\\:font-extrabold:hover{font-weight:800}.lg\\:hover\\:font-black:hover{font-weight:900}.lg\\:focus\\:font-hairline:focus{font-weight:100}.lg\\:focus\\:font-thin:focus{font-weight:200}.lg\\:focus\\:font-light:focus{font-weight:300}.lg\\:focus\\:font-normal:focus{font-weight:400}.lg\\:focus\\:font-medium:focus{font-weight:500}.lg\\:focus\\:font-semibold:focus{font-weight:600}.lg\\:focus\\:font-bold:focus{font-weight:700}.lg\\:focus\\:font-extrabold:focus{font-weight:800}.lg\\:focus\\:font-black:focus{font-weight:900}.lg\\:h-0{height:0}.lg\\:h-1{height:0.25rem}.lg\\:h-2{height:0.5rem}.lg\\:h-3{height:0.75rem}.lg\\:h-4{height:1rem}.lg\\:h-5{height:1.25rem}.lg\\:h-6{height:1.5rem}.lg\\:h-8{height:2rem}.lg\\:h-10{height:2.5rem}.lg\\:h-12{height:3rem}.lg\\:h-16{height:4rem}.lg\\:h-20{height:5rem}.lg\\:h-24{height:6rem}.lg\\:h-32{height:8rem}.lg\\:h-40{height:10rem}.lg\\:h-48{height:12rem}.lg\\:h-56{height:14rem}.lg\\:h-64{height:16rem}.lg\\:h-auto{height:auto}.lg\\:h-px{height:1px}.lg\\:h-full{height:100%}.lg\\:h-screen{height:100vh}.lg\\:text-xs{font-size:0.75rem}.lg\\:text-sm{font-size:0.875rem}.lg\\:text-base{font-size:1rem}.lg\\:text-lg{font-size:1.125rem}.lg\\:text-xl{font-size:1.25rem}.lg\\:text-2xl{font-size:1.5rem}.lg\\:text-3xl{font-size:1.875rem}.lg\\:text-4xl{font-size:2.25rem}.lg\\:text-5xl{font-size:3rem}.lg\\:text-6xl{font-size:4rem}.lg\\:leading-3{line-height:.75rem}.lg\\:leading-4{line-height:1rem}.lg\\:leading-5{line-height:1.25rem}.lg\\:leading-6{line-height:1.5rem}.lg\\:leading-7{line-height:1.75rem}.lg\\:leading-8{line-height:2rem}.lg\\:leading-9{line-height:2.25rem}.lg\\:leading-10{line-height:2.5rem}.lg\\:leading-none{line-height:1}.lg\\:leading-tight{line-height:1.25}.lg\\:leading-snug{line-height:1.375}.lg\\:leading-normal{line-height:1.5}.lg\\:leading-relaxed{line-height:1.625}.lg\\:leading-loose{line-height:2}.lg\\:list-inside{list-style-position:inside}.lg\\:list-outside{list-style-position:outside}.lg\\:list-none{list-style-type:none}.lg\\:list-disc{list-style-type:disc}.lg\\:list-decimal{list-style-type:decimal}.lg\\:m-0{margin:0}.lg\\:m-1{margin:0.25rem}.lg\\:m-2{margin:0.5rem}.lg\\:m-3{margin:0.75rem}.lg\\:m-4{margin:1rem}.lg\\:m-5{margin:1.25rem}.lg\\:m-6{margin:1.5rem}.lg\\:m-8{margin:2rem}.lg\\:m-10{margin:2.5rem}.lg\\:m-12{margin:3rem}.lg\\:m-16{margin:4rem}.lg\\:m-20{margin:5rem}.lg\\:m-24{margin:6rem}.lg\\:m-32{margin:8rem}.lg\\:m-40{margin:10rem}.lg\\:m-48{margin:12rem}.lg\\:m-56{margin:14rem}.lg\\:m-64{margin:16rem}.lg\\:m-auto{margin:auto}.lg\\:m-px{margin:1px}.lg\\:-m-1{margin:-0.25rem}.lg\\:-m-2{margin:-0.5rem}.lg\\:-m-3{margin:-0.75rem}.lg\\:-m-4{margin:-1rem}.lg\\:-m-5{margin:-1.25rem}.lg\\:-m-6{margin:-1.5rem}.lg\\:-m-8{margin:-2rem}.lg\\:-m-10{margin:-2.5rem}.lg\\:-m-12{margin:-3rem}.lg\\:-m-16{margin:-4rem}.lg\\:-m-20{margin:-5rem}.lg\\:-m-24{margin:-6rem}.lg\\:-m-32{margin:-8rem}.lg\\:-m-40{margin:-10rem}.lg\\:-m-48{margin:-12rem}.lg\\:-m-56{margin:-14rem}.lg\\:-m-64{margin:-16rem}.lg\\:-m-px{margin:-1px}.lg\\:my-0{margin-top:0;margin-bottom:0}.lg\\:mx-0{margin-left:0;margin-right:0}.lg\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.lg\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.lg\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.lg\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.lg\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.lg\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.lg\\:my-4{margin-top:1rem;margin-bottom:1rem}.lg\\:mx-4{margin-left:1rem;margin-right:1rem}.lg\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.lg\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.lg\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.lg\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.lg\\:my-8{margin-top:2rem;margin-bottom:2rem}.lg\\:mx-8{margin-left:2rem;margin-right:2rem}.lg\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.lg\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.lg\\:my-12{margin-top:3rem;margin-bottom:3rem}.lg\\:mx-12{margin-left:3rem;margin-right:3rem}.lg\\:my-16{margin-top:4rem;margin-bottom:4rem}.lg\\:mx-16{margin-left:4rem;margin-right:4rem}.lg\\:my-20{margin-top:5rem;margin-bottom:5rem}.lg\\:mx-20{margin-left:5rem;margin-right:5rem}.lg\\:my-24{margin-top:6rem;margin-bottom:6rem}.lg\\:mx-24{margin-left:6rem;margin-right:6rem}.lg\\:my-32{margin-top:8rem;margin-bottom:8rem}.lg\\:mx-32{margin-left:8rem;margin-right:8rem}.lg\\:my-40{margin-top:10rem;margin-bottom:10rem}.lg\\:mx-40{margin-left:10rem;margin-right:10rem}.lg\\:my-48{margin-top:12rem;margin-bottom:12rem}.lg\\:mx-48{margin-left:12rem;margin-right:12rem}.lg\\:my-56{margin-top:14rem;margin-bottom:14rem}.lg\\:mx-56{margin-left:14rem;margin-right:14rem}.lg\\:my-64{margin-top:16rem;margin-bottom:16rem}.lg\\:mx-64{margin-left:16rem;margin-right:16rem}.lg\\:my-auto{margin-top:auto;margin-bottom:auto}.lg\\:mx-auto{margin-left:auto;margin-right:auto}.lg\\:my-px{margin-top:1px;margin-bottom:1px}.lg\\:mx-px{margin-left:1px;margin-right:1px}.lg\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.lg\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.lg\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.lg\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.lg\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.lg\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.lg\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.lg\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.lg\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.lg\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.lg\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.lg\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.lg\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.lg\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.lg\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.lg\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.lg\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.lg\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.lg\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.lg\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.lg\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.lg\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.lg\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.lg\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.lg\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.lg\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.lg\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.lg\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.lg\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.lg\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.lg\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.lg\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.lg\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.lg\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.lg\\:-my-px{margin-top:-1px;margin-bottom:-1px}.lg\\:-mx-px{margin-left:-1px;margin-right:-1px}.lg\\:mt-0{margin-top:0}.lg\\:mr-0{margin-right:0}.lg\\:mb-0{margin-bottom:0}.lg\\:ml-0{margin-left:0}.lg\\:mt-1{margin-top:0.25rem}.lg\\:mr-1{margin-right:0.25rem}.lg\\:mb-1{margin-bottom:0.25rem}.lg\\:ml-1{margin-left:0.25rem}.lg\\:mt-2{margin-top:0.5rem}.lg\\:mr-2{margin-right:0.5rem}.lg\\:mb-2{margin-bottom:0.5rem}.lg\\:ml-2{margin-left:0.5rem}.lg\\:mt-3{margin-top:0.75rem}.lg\\:mr-3{margin-right:0.75rem}.lg\\:mb-3{margin-bottom:0.75rem}.lg\\:ml-3{margin-left:0.75rem}.lg\\:mt-4{margin-top:1rem}.lg\\:mr-4{margin-right:1rem}.lg\\:mb-4{margin-bottom:1rem}.lg\\:ml-4{margin-left:1rem}.lg\\:mt-5{margin-top:1.25rem}.lg\\:mr-5{margin-right:1.25rem}.lg\\:mb-5{margin-bottom:1.25rem}.lg\\:ml-5{margin-left:1.25rem}.lg\\:mt-6{margin-top:1.5rem}.lg\\:mr-6{margin-right:1.5rem}.lg\\:mb-6{margin-bottom:1.5rem}.lg\\:ml-6{margin-left:1.5rem}.lg\\:mt-8{margin-top:2rem}.lg\\:mr-8{margin-right:2rem}.lg\\:mb-8{margin-bottom:2rem}.lg\\:ml-8{margin-left:2rem}.lg\\:mt-10{margin-top:2.5rem}.lg\\:mr-10{margin-right:2.5rem}.lg\\:mb-10{margin-bottom:2.5rem}.lg\\:ml-10{margin-left:2.5rem}.lg\\:mt-12{margin-top:3rem}.lg\\:mr-12{margin-right:3rem}.lg\\:mb-12{margin-bottom:3rem}.lg\\:ml-12{margin-left:3rem}.lg\\:mt-16{margin-top:4rem}.lg\\:mr-16{margin-right:4rem}.lg\\:mb-16{margin-bottom:4rem}.lg\\:ml-16{margin-left:4rem}.lg\\:mt-20{margin-top:5rem}.lg\\:mr-20{margin-right:5rem}.lg\\:mb-20{margin-bottom:5rem}.lg\\:ml-20{margin-left:5rem}.lg\\:mt-24{margin-top:6rem}.lg\\:mr-24{margin-right:6rem}.lg\\:mb-24{margin-bottom:6rem}.lg\\:ml-24{margin-left:6rem}.lg\\:mt-32{margin-top:8rem}.lg\\:mr-32{margin-right:8rem}.lg\\:mb-32{margin-bottom:8rem}.lg\\:ml-32{margin-left:8rem}.lg\\:mt-40{margin-top:10rem}.lg\\:mr-40{margin-right:10rem}.lg\\:mb-40{margin-bottom:10rem}.lg\\:ml-40{margin-left:10rem}.lg\\:mt-48{margin-top:12rem}.lg\\:mr-48{margin-right:12rem}.lg\\:mb-48{margin-bottom:12rem}.lg\\:ml-48{margin-left:12rem}.lg\\:mt-56{margin-top:14rem}.lg\\:mr-56{margin-right:14rem}.lg\\:mb-56{margin-bottom:14rem}.lg\\:ml-56{margin-left:14rem}.lg\\:mt-64{margin-top:16rem}.lg\\:mr-64{margin-right:16rem}.lg\\:mb-64{margin-bottom:16rem}.lg\\:ml-64{margin-left:16rem}.lg\\:mt-auto{margin-top:auto}.lg\\:mr-auto{margin-right:auto}.lg\\:mb-auto{margin-bottom:auto}.lg\\:ml-auto{margin-left:auto}.lg\\:mt-px{margin-top:1px}.lg\\:mr-px{margin-right:1px}.lg\\:mb-px{margin-bottom:1px}.lg\\:ml-px{margin-left:1px}.lg\\:-mt-1{margin-top:-0.25rem}.lg\\:-mr-1{margin-right:-0.25rem}.lg\\:-mb-1{margin-bottom:-0.25rem}.lg\\:-ml-1{margin-left:-0.25rem}.lg\\:-mt-2{margin-top:-0.5rem}.lg\\:-mr-2{margin-right:-0.5rem}.lg\\:-mb-2{margin-bottom:-0.5rem}.lg\\:-ml-2{margin-left:-0.5rem}.lg\\:-mt-3{margin-top:-0.75rem}.lg\\:-mr-3{margin-right:-0.75rem}.lg\\:-mb-3{margin-bottom:-0.75rem}.lg\\:-ml-3{margin-left:-0.75rem}.lg\\:-mt-4{margin-top:-1rem}.lg\\:-mr-4{margin-right:-1rem}.lg\\:-mb-4{margin-bottom:-1rem}.lg\\:-ml-4{margin-left:-1rem}.lg\\:-mt-5{margin-top:-1.25rem}.lg\\:-mr-5{margin-right:-1.25rem}.lg\\:-mb-5{margin-bottom:-1.25rem}.lg\\:-ml-5{margin-left:-1.25rem}.lg\\:-mt-6{margin-top:-1.5rem}.lg\\:-mr-6{margin-right:-1.5rem}.lg\\:-mb-6{margin-bottom:-1.5rem}.lg\\:-ml-6{margin-left:-1.5rem}.lg\\:-mt-8{margin-top:-2rem}.lg\\:-mr-8{margin-right:-2rem}.lg\\:-mb-8{margin-bottom:-2rem}.lg\\:-ml-8{margin-left:-2rem}.lg\\:-mt-10{margin-top:-2.5rem}.lg\\:-mr-10{margin-right:-2.5rem}.lg\\:-mb-10{margin-bottom:-2.5rem}.lg\\:-ml-10{margin-left:-2.5rem}.lg\\:-mt-12{margin-top:-3rem}.lg\\:-mr-12{margin-right:-3rem}.lg\\:-mb-12{margin-bottom:-3rem}.lg\\:-ml-12{margin-left:-3rem}.lg\\:-mt-16{margin-top:-4rem}.lg\\:-mr-16{margin-right:-4rem}.lg\\:-mb-16{margin-bottom:-4rem}.lg\\:-ml-16{margin-left:-4rem}.lg\\:-mt-20{margin-top:-5rem}.lg\\:-mr-20{margin-right:-5rem}.lg\\:-mb-20{margin-bottom:-5rem}.lg\\:-ml-20{margin-left:-5rem}.lg\\:-mt-24{margin-top:-6rem}.lg\\:-mr-24{margin-right:-6rem}.lg\\:-mb-24{margin-bottom:-6rem}.lg\\:-ml-24{margin-left:-6rem}.lg\\:-mt-32{margin-top:-8rem}.lg\\:-mr-32{margin-right:-8rem}.lg\\:-mb-32{margin-bottom:-8rem}.lg\\:-ml-32{margin-left:-8rem}.lg\\:-mt-40{margin-top:-10rem}.lg\\:-mr-40{margin-right:-10rem}.lg\\:-mb-40{margin-bottom:-10rem}.lg\\:-ml-40{margin-left:-10rem}.lg\\:-mt-48{margin-top:-12rem}.lg\\:-mr-48{margin-right:-12rem}.lg\\:-mb-48{margin-bottom:-12rem}.lg\\:-ml-48{margin-left:-12rem}.lg\\:-mt-56{margin-top:-14rem}.lg\\:-mr-56{margin-right:-14rem}.lg\\:-mb-56{margin-bottom:-14rem}.lg\\:-ml-56{margin-left:-14rem}.lg\\:-mt-64{margin-top:-16rem}.lg\\:-mr-64{margin-right:-16rem}.lg\\:-mb-64{margin-bottom:-16rem}.lg\\:-ml-64{margin-left:-16rem}.lg\\:-mt-px{margin-top:-1px}.lg\\:-mr-px{margin-right:-1px}.lg\\:-mb-px{margin-bottom:-1px}.lg\\:-ml-px{margin-left:-1px}.lg\\:max-h-full{max-height:100%}.lg\\:max-h-screen{max-height:100vh}.lg\\:max-w-none{max-width:none}.lg\\:max-w-xs{max-width:20rem}.lg\\:max-w-sm{max-width:24rem}.lg\\:max-w-md{max-width:28rem}.lg\\:max-w-lg{max-width:32rem}.lg\\:max-w-xl{max-width:36rem}.lg\\:max-w-2xl{max-width:42rem}.lg\\:max-w-3xl{max-width:48rem}.lg\\:max-w-4xl{max-width:56rem}.lg\\:max-w-5xl{max-width:64rem}.lg\\:max-w-6xl{max-width:72rem}.lg\\:max-w-full{max-width:100%}.lg\\:max-w-screen-sm{max-width:640px}.lg\\:max-w-screen-md{max-width:768px}.lg\\:max-w-screen-lg{max-width:1024px}.lg\\:max-w-screen-xl{max-width:1280px}.lg\\:min-h-0{min-height:0}.lg\\:min-h-full{min-height:100%}.lg\\:min-h-screen{min-height:100vh}.lg\\:min-w-0{min-width:0}.lg\\:min-w-full{min-width:100%}.lg\\:object-contain{-o-object-fit:contain;object-fit:contain}.lg\\:object-cover{-o-object-fit:cover;object-fit:cover}.lg\\:object-fill{-o-object-fit:fill;object-fit:fill}.lg\\:object-none{-o-object-fit:none;object-fit:none}.lg\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.lg\\:object-bottom{-o-object-position:bottom;object-position:bottom}.lg\\:object-center{-o-object-position:center;object-position:center}.lg\\:object-left{-o-object-position:left;object-position:left}.lg\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.lg\\:object-left-top{-o-object-position:left top;object-position:left top}.lg\\:object-right{-o-object-position:right;object-position:right}.lg\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.lg\\:object-right-top{-o-object-position:right top;object-position:right top}.lg\\:object-top{-o-object-position:top;object-position:top}.lg\\:opacity-0{opacity:0}.lg\\:opacity-25{opacity:0.25}.lg\\:opacity-50{opacity:0.5}.lg\\:opacity-75{opacity:0.75}.lg\\:opacity-100{opacity:1}.lg\\:hover\\:opacity-0:hover{opacity:0}.lg\\:hover\\:opacity-25:hover{opacity:0.25}.lg\\:hover\\:opacity-50:hover{opacity:0.5}.lg\\:hover\\:opacity-75:hover{opacity:0.75}.lg\\:hover\\:opacity-100:hover{opacity:1}.lg\\:focus\\:opacity-0:focus{opacity:0}.lg\\:focus\\:opacity-25:focus{opacity:0.25}.lg\\:focus\\:opacity-50:focus{opacity:0.5}.lg\\:focus\\:opacity-75:focus{opacity:0.75}.lg\\:focus\\:opacity-100:focus{opacity:1}.lg\\:outline-none{outline:0}.lg\\:focus\\:outline-none:focus{outline:0}.lg\\:overflow-auto{overflow:auto}.lg\\:overflow-hidden{overflow:hidden}.lg\\:overflow-visible{overflow:visible}.lg\\:overflow-scroll{overflow:scroll}.lg\\:overflow-x-auto{overflow-x:auto}.lg\\:overflow-y-auto{overflow-y:auto}.lg\\:overflow-x-hidden{overflow-x:hidden}.lg\\:overflow-y-hidden{overflow-y:hidden}.lg\\:overflow-x-visible{overflow-x:visible}.lg\\:overflow-y-visible{overflow-y:visible}.lg\\:overflow-x-scroll{overflow-x:scroll}.lg\\:overflow-y-scroll{overflow-y:scroll}.lg\\:scrolling-touch{-webkit-overflow-scrolling:touch}.lg\\:scrolling-auto{-webkit-overflow-scrolling:auto}.lg\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.lg\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.lg\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.lg\\:overscroll-y-auto{overscroll-behavior-y:auto}.lg\\:overscroll-y-contain{overscroll-behavior-y:contain}.lg\\:overscroll-y-none{overscroll-behavior-y:none}.lg\\:overscroll-x-auto{overscroll-behavior-x:auto}.lg\\:overscroll-x-contain{overscroll-behavior-x:contain}.lg\\:overscroll-x-none{overscroll-behavior-x:none}.lg\\:p-0{padding:0}.lg\\:p-1{padding:0.25rem}.lg\\:p-2{padding:0.5rem}.lg\\:p-3{padding:0.75rem}.lg\\:p-4{padding:1rem}.lg\\:p-5{padding:1.25rem}.lg\\:p-6{padding:1.5rem}.lg\\:p-8{padding:2rem}.lg\\:p-10{padding:2.5rem}.lg\\:p-12{padding:3rem}.lg\\:p-16{padding:4rem}.lg\\:p-20{padding:5rem}.lg\\:p-24{padding:6rem}.lg\\:p-32{padding:8rem}.lg\\:p-40{padding:10rem}.lg\\:p-48{padding:12rem}.lg\\:p-56{padding:14rem}.lg\\:p-64{padding:16rem}.lg\\:p-px{padding:1px}.lg\\:py-0{padding-top:0;padding-bottom:0}.lg\\:px-0{padding-left:0;padding-right:0}.lg\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.lg\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.lg\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.lg\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.lg\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.lg\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.lg\\:py-4{padding-top:1rem;padding-bottom:1rem}.lg\\:px-4{padding-left:1rem;padding-right:1rem}.lg\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.lg\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.lg\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.lg\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.lg\\:py-8{padding-top:2rem;padding-bottom:2rem}.lg\\:px-8{padding-left:2rem;padding-right:2rem}.lg\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.lg\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.lg\\:py-12{padding-top:3rem;padding-bottom:3rem}.lg\\:px-12{padding-left:3rem;padding-right:3rem}.lg\\:py-16{padding-top:4rem;padding-bottom:4rem}.lg\\:px-16{padding-left:4rem;padding-right:4rem}.lg\\:py-20{padding-top:5rem;padding-bottom:5rem}.lg\\:px-20{padding-left:5rem;padding-right:5rem}.lg\\:py-24{padding-top:6rem;padding-bottom:6rem}.lg\\:px-24{padding-left:6rem;padding-right:6rem}.lg\\:py-32{padding-top:8rem;padding-bottom:8rem}.lg\\:px-32{padding-left:8rem;padding-right:8rem}.lg\\:py-40{padding-top:10rem;padding-bottom:10rem}.lg\\:px-40{padding-left:10rem;padding-right:10rem}.lg\\:py-48{padding-top:12rem;padding-bottom:12rem}.lg\\:px-48{padding-left:12rem;padding-right:12rem}.lg\\:py-56{padding-top:14rem;padding-bottom:14rem}.lg\\:px-56{padding-left:14rem;padding-right:14rem}.lg\\:py-64{padding-top:16rem;padding-bottom:16rem}.lg\\:px-64{padding-left:16rem;padding-right:16rem}.lg\\:py-px{padding-top:1px;padding-bottom:1px}.lg\\:px-px{padding-left:1px;padding-right:1px}.lg\\:pt-0{padding-top:0}.lg\\:pr-0{padding-right:0}.lg\\:pb-0{padding-bottom:0}.lg\\:pl-0{padding-left:0}.lg\\:pt-1{padding-top:0.25rem}.lg\\:pr-1{padding-right:0.25rem}.lg\\:pb-1{padding-bottom:0.25rem}.lg\\:pl-1{padding-left:0.25rem}.lg\\:pt-2{padding-top:0.5rem}.lg\\:pr-2{padding-right:0.5rem}.lg\\:pb-2{padding-bottom:0.5rem}.lg\\:pl-2{padding-left:0.5rem}.lg\\:pt-3{padding-top:0.75rem}.lg\\:pr-3{padding-right:0.75rem}.lg\\:pb-3{padding-bottom:0.75rem}.lg\\:pl-3{padding-left:0.75rem}.lg\\:pt-4{padding-top:1rem}.lg\\:pr-4{padding-right:1rem}.lg\\:pb-4{padding-bottom:1rem}.lg\\:pl-4{padding-left:1rem}.lg\\:pt-5{padding-top:1.25rem}.lg\\:pr-5{padding-right:1.25rem}.lg\\:pb-5{padding-bottom:1.25rem}.lg\\:pl-5{padding-left:1.25rem}.lg\\:pt-6{padding-top:1.5rem}.lg\\:pr-6{padding-right:1.5rem}.lg\\:pb-6{padding-bottom:1.5rem}.lg\\:pl-6{padding-left:1.5rem}.lg\\:pt-8{padding-top:2rem}.lg\\:pr-8{padding-right:2rem}.lg\\:pb-8{padding-bottom:2rem}.lg\\:pl-8{padding-left:2rem}.lg\\:pt-10{padding-top:2.5rem}.lg\\:pr-10{padding-right:2.5rem}.lg\\:pb-10{padding-bottom:2.5rem}.lg\\:pl-10{padding-left:2.5rem}.lg\\:pt-12{padding-top:3rem}.lg\\:pr-12{padding-right:3rem}.lg\\:pb-12{padding-bottom:3rem}.lg\\:pl-12{padding-left:3rem}.lg\\:pt-16{padding-top:4rem}.lg\\:pr-16{padding-right:4rem}.lg\\:pb-16{padding-bottom:4rem}.lg\\:pl-16{padding-left:4rem}.lg\\:pt-20{padding-top:5rem}.lg\\:pr-20{padding-right:5rem}.lg\\:pb-20{padding-bottom:5rem}.lg\\:pl-20{padding-left:5rem}.lg\\:pt-24{padding-top:6rem}.lg\\:pr-24{padding-right:6rem}.lg\\:pb-24{padding-bottom:6rem}.lg\\:pl-24{padding-left:6rem}.lg\\:pt-32{padding-top:8rem}.lg\\:pr-32{padding-right:8rem}.lg\\:pb-32{padding-bottom:8rem}.lg\\:pl-32{padding-left:8rem}.lg\\:pt-40{padding-top:10rem}.lg\\:pr-40{padding-right:10rem}.lg\\:pb-40{padding-bottom:10rem}.lg\\:pl-40{padding-left:10rem}.lg\\:pt-48{padding-top:12rem}.lg\\:pr-48{padding-right:12rem}.lg\\:pb-48{padding-bottom:12rem}.lg\\:pl-48{padding-left:12rem}.lg\\:pt-56{padding-top:14rem}.lg\\:pr-56{padding-right:14rem}.lg\\:pb-56{padding-bottom:14rem}.lg\\:pl-56{padding-left:14rem}.lg\\:pt-64{padding-top:16rem}.lg\\:pr-64{padding-right:16rem}.lg\\:pb-64{padding-bottom:16rem}.lg\\:pl-64{padding-left:16rem}.lg\\:pt-px{padding-top:1px}.lg\\:pr-px{padding-right:1px}.lg\\:pb-px{padding-bottom:1px}.lg\\:pl-px{padding-left:1px}.lg\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.lg\\:placeholder-transparent::-moz-placeholder{color:transparent}.lg\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.lg\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.lg\\:placeholder-transparent::placeholder{color:transparent}.lg\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.lg\\:placeholder-current::-moz-placeholder{color:currentColor}.lg\\:placeholder-current:-ms-input-placeholder{color:currentColor}.lg\\:placeholder-current::-ms-input-placeholder{color:currentColor}.lg\\:placeholder-current::placeholder{color:currentColor}.lg\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.lg\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.lg\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.lg\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.lg\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.lg\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.lg\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.lg\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.lg\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.lg\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.lg\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.lg\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.lg\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.lg\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.lg\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.lg\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.lg\\:pointer-events-none{pointer-events:none}.lg\\:pointer-events-auto{pointer-events:auto}.lg\\:static{position:static}.lg\\:fixed{position:fixed}.lg\\:absolute{position:absolute}.lg\\:relative{position:relative}.lg\\:sticky{position:-webkit-sticky;position:sticky}.lg\\:inset-0{top:0;right:0;bottom:0;left:0}.lg\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.lg\\:inset-y-0{top:0;bottom:0}.lg\\:inset-x-0{right:0;left:0}.lg\\:inset-y-auto{top:auto;bottom:auto}.lg\\:inset-x-auto{right:auto;left:auto}.lg\\:top-0{top:0}.lg\\:right-0{right:0}.lg\\:bottom-0{bottom:0}.lg\\:left-0{left:0}.lg\\:top-auto{top:auto}.lg\\:right-auto{right:auto}.lg\\:bottom-auto{bottom:auto}.lg\\:left-auto{left:auto}.lg\\:resize-none{resize:none}.lg\\:resize-y{resize:vertical}.lg\\:resize-x{resize:horizontal}.lg\\:resize{resize:both}.lg\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.lg\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.lg\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.lg\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.lg\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.lg\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.lg\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.lg\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.lg\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.lg\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.lg\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.lg\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.lg\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.lg\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.lg\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.lg\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.lg\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.lg\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.lg\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.lg\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.lg\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.lg\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.lg\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.lg\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.lg\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.lg\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.lg\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.lg\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.lg\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.lg\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.lg\\:fill-current{fill:currentColor}.lg\\:stroke-current{stroke:currentColor}.lg\\:stroke-0{stroke-width:0}.lg\\:stroke-1{stroke-width:1}.lg\\:stroke-2{stroke-width:2}.lg\\:table-auto{table-layout:auto}.lg\\:table-fixed{table-layout:fixed}.lg\\:text-left{text-align:left}.lg\\:text-center{text-align:center}.lg\\:text-right{text-align:right}.lg\\:text-justify{text-align:justify}.lg\\:text-transparent{color:transparent}.lg\\:text-current{color:currentColor}.lg\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.lg\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.lg\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.lg\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.lg\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.lg\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.lg\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.lg\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.lg\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.lg\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.lg\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.lg\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.lg\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.lg\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.lg\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.lg\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.lg\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.lg\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.lg\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.lg\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.lg\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.lg\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.lg\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.lg\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.lg\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.lg\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.lg\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.lg\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.lg\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.lg\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.lg\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.lg\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.lg\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.lg\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.lg\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.lg\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.lg\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.lg\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.lg\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.lg\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.lg\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.lg\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.lg\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.lg\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.lg\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.lg\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.lg\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.lg\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.lg\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.lg\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.lg\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.lg\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.lg\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.lg\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.lg\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.lg\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.lg\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.lg\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.lg\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.lg\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.lg\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.lg\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.lg\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.lg\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.lg\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.lg\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.lg\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.lg\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.lg\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.lg\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.lg\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.lg\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.lg\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.lg\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.lg\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.lg\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.lg\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.lg\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.lg\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.lg\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.lg\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.lg\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.lg\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.lg\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.lg\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.lg\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.lg\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.lg\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.lg\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.lg\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.lg\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.lg\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.lg\\:hover\\:text-transparent:hover{color:transparent}.lg\\:hover\\:text-current:hover{color:currentColor}.lg\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.lg\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.lg\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.lg\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.lg\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.lg\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.lg\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.lg\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.lg\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.lg\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.lg\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.lg\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.lg\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.lg\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.lg\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.lg\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.lg\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.lg\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.lg\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.lg\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.lg\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.lg\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.lg\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.lg\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.lg\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.lg\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.lg\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.lg\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.lg\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.lg\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.lg\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.lg\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.lg\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.lg\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.lg\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.lg\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.lg\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.lg\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.lg\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.lg\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.lg\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.lg\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.lg\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.lg\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.lg\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.lg\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.lg\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.lg\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.lg\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.lg\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.lg\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.lg\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.lg\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.lg\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.lg\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.lg\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.lg\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.lg\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.lg\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.lg\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.lg\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.lg\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.lg\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.lg\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.lg\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.lg\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.lg\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.lg\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.lg\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.lg\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.lg\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.lg\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.lg\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.lg\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.lg\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.lg\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.lg\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.lg\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.lg\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.lg\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.lg\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.lg\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.lg\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.lg\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.lg\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.lg\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.lg\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.lg\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.lg\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.lg\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.lg\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.lg\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.lg\\:focus\\:text-transparent:focus{color:transparent}.lg\\:focus\\:text-current:focus{color:currentColor}.lg\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.lg\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.lg\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.lg\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.lg\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.lg\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.lg\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.lg\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.lg\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.lg\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.lg\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.lg\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.lg\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.lg\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.lg\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.lg\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.lg\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.lg\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.lg\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.lg\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.lg\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.lg\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.lg\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.lg\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.lg\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.lg\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.lg\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.lg\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.lg\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.lg\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.lg\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.lg\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.lg\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.lg\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.lg\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.lg\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.lg\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.lg\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.lg\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.lg\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.lg\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.lg\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.lg\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.lg\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.lg\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.lg\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.lg\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.lg\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.lg\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.lg\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.lg\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.lg\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.lg\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.lg\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.lg\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.lg\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.lg\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.lg\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.lg\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.lg\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.lg\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.lg\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.lg\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.lg\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.lg\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.lg\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.lg\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.lg\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.lg\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.lg\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.lg\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.lg\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.lg\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.lg\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.lg\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.lg\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.lg\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.lg\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.lg\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.lg\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.lg\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.lg\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.lg\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.lg\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.lg\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.lg\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.lg\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.lg\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.lg\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.lg\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.lg\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.lg\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.lg\\:text-opacity-0{--text-opacity:0}.lg\\:text-opacity-25{--text-opacity:0.25}.lg\\:text-opacity-50{--text-opacity:0.5}.lg\\:text-opacity-75{--text-opacity:0.75}.lg\\:text-opacity-100{--text-opacity:1}.lg\\:hover\\:text-opacity-0:hover{--text-opacity:0}.lg\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.lg\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.lg\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.lg\\:hover\\:text-opacity-100:hover{--text-opacity:1}.lg\\:focus\\:text-opacity-0:focus{--text-opacity:0}.lg\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.lg\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.lg\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.lg\\:focus\\:text-opacity-100:focus{--text-opacity:1}.lg\\:italic{font-style:italic}.lg\\:not-italic{font-style:normal}.lg\\:uppercase{text-transform:uppercase}.lg\\:lowercase{text-transform:lowercase}.lg\\:capitalize{text-transform:capitalize}.lg\\:normal-case{text-transform:none}.lg\\:underline{text-decoration:underline}.lg\\:line-through{text-decoration:line-through}.lg\\:no-underline{text-decoration:none}.lg\\:hover\\:underline:hover{text-decoration:underline}.lg\\:hover\\:line-through:hover{text-decoration:line-through}.lg\\:hover\\:no-underline:hover{text-decoration:none}.lg\\:focus\\:underline:focus{text-decoration:underline}.lg\\:focus\\:line-through:focus{text-decoration:line-through}.lg\\:focus\\:no-underline:focus{text-decoration:none}.lg\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.lg\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.lg\\:ordinal,.lg\\:slashed-zero,.lg\\:lining-nums,.lg\\:oldstyle-nums,.lg\\:proportional-nums,.lg\\:tabular-nums,.lg\\:diagonal-fractions,.lg\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.lg\\:normal-nums{font-variant-numeric:normal}.lg\\:ordinal{--font-variant-numeric-ordinal:ordinal}.lg\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.lg\\:lining-nums{--font-variant-numeric-figure:lining-nums}.lg\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.lg\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.lg\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.lg\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.lg\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.lg\\:tracking-tighter{letter-spacing:-0.05em}.lg\\:tracking-tight{letter-spacing:-0.025em}.lg\\:tracking-normal{letter-spacing:0}.lg\\:tracking-wide{letter-spacing:0.025em}.lg\\:tracking-wider{letter-spacing:0.05em}.lg\\:tracking-widest{letter-spacing:0.1em}.lg\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.lg\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.lg\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.lg\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.lg\\:align-baseline{vertical-align:baseline}.lg\\:align-top{vertical-align:top}.lg\\:align-middle{vertical-align:middle}.lg\\:align-bottom{vertical-align:bottom}.lg\\:align-text-top{vertical-align:text-top}.lg\\:align-text-bottom{vertical-align:text-bottom}.lg\\:visible{visibility:visible}.lg\\:invisible{visibility:hidden}.lg\\:whitespace-normal{white-space:normal}.lg\\:whitespace-no-wrap{white-space:nowrap}.lg\\:whitespace-pre{white-space:pre}.lg\\:whitespace-pre-line{white-space:pre-line}.lg\\:whitespace-pre-wrap{white-space:pre-wrap}.lg\\:break-normal{overflow-wrap:normal;word-break:normal}.lg\\:break-words{overflow-wrap:break-word}.lg\\:break-all{word-break:break-all}.lg\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.lg\\:w-0{width:0}.lg\\:w-1{width:0.25rem}.lg\\:w-2{width:0.5rem}.lg\\:w-3{width:0.75rem}.lg\\:w-4{width:1rem}.lg\\:w-5{width:1.25rem}.lg\\:w-6{width:1.5rem}.lg\\:w-8{width:2rem}.lg\\:w-10{width:2.5rem}.lg\\:w-12{width:3rem}.lg\\:w-16{width:4rem}.lg\\:w-20{width:5rem}.lg\\:w-24{width:6rem}.lg\\:w-32{width:8rem}.lg\\:w-40{width:10rem}.lg\\:w-48{width:12rem}.lg\\:w-56{width:14rem}.lg\\:w-64{width:16rem}.lg\\:w-auto{width:auto}.lg\\:w-px{width:1px}.lg\\:w-1\\/2{width:50%}.lg\\:w-1\\/3{width:33.333333%}.lg\\:w-2\\/3{width:66.666667%}.lg\\:w-1\\/4{width:25%}.lg\\:w-2\\/4{width:50%}.lg\\:w-3\\/4{width:75%}.lg\\:w-1\\/5{width:20%}.lg\\:w-2\\/5{width:40%}.lg\\:w-3\\/5{width:60%}.lg\\:w-4\\/5{width:80%}.lg\\:w-1\\/6{width:16.666667%}.lg\\:w-2\\/6{width:33.333333%}.lg\\:w-3\\/6{width:50%}.lg\\:w-4\\/6{width:66.666667%}.lg\\:w-5\\/6{width:83.333333%}.lg\\:w-1\\/12{width:8.333333%}.lg\\:w-2\\/12{width:16.666667%}.lg\\:w-3\\/12{width:25%}.lg\\:w-4\\/12{width:33.333333%}.lg\\:w-5\\/12{width:41.666667%}.lg\\:w-6\\/12{width:50%}.lg\\:w-7\\/12{width:58.333333%}.lg\\:w-8\\/12{width:66.666667%}.lg\\:w-9\\/12{width:75%}.lg\\:w-10\\/12{width:83.333333%}.lg\\:w-11\\/12{width:91.666667%}.lg\\:w-full{width:100%}.lg\\:w-screen{width:100vw}.lg\\:z-0{z-index:0}.lg\\:z-10{z-index:10}.lg\\:z-20{z-index:20}.lg\\:z-30{z-index:30}.lg\\:z-40{z-index:40}.lg\\:z-50{z-index:50}.lg\\:z-auto{z-index:auto}.lg\\:gap-0{grid-gap:0;gap:0}.lg\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.lg\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.lg\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.lg\\:gap-4{grid-gap:1rem;gap:1rem}.lg\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.lg\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.lg\\:gap-8{grid-gap:2rem;gap:2rem}.lg\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.lg\\:gap-12{grid-gap:3rem;gap:3rem}.lg\\:gap-16{grid-gap:4rem;gap:4rem}.lg\\:gap-20{grid-gap:5rem;gap:5rem}.lg\\:gap-24{grid-gap:6rem;gap:6rem}.lg\\:gap-32{grid-gap:8rem;gap:8rem}.lg\\:gap-40{grid-gap:10rem;gap:10rem}.lg\\:gap-48{grid-gap:12rem;gap:12rem}.lg\\:gap-56{grid-gap:14rem;gap:14rem}.lg\\:gap-64{grid-gap:16rem;gap:16rem}.lg\\:gap-px{grid-gap:1px;gap:1px}.lg\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.lg\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.lg\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.lg\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.lg\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.lg\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.lg\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.lg\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.lg\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.lg\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.lg\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.lg\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.lg\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.lg\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.lg\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.lg\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.lg\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.lg\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.lg\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.lg\\:gap-y-0{grid-row-gap:0;row-gap:0}.lg\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.lg\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.lg\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.lg\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.lg\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.lg\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.lg\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.lg\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.lg\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.lg\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.lg\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.lg\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.lg\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.lg\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.lg\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.lg\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.lg\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.lg\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.lg\\:grid-flow-row{grid-auto-flow:row}.lg\\:grid-flow-col{grid-auto-flow:column}.lg\\:grid-flow-row-dense{grid-auto-flow:row dense}.lg\\:grid-flow-col-dense{grid-auto-flow:column dense}.lg\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.lg\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.lg\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.lg\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.lg\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.lg\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.lg\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.lg\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.lg\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.lg\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.lg\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.lg\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.lg\\:grid-cols-none{grid-template-columns:none}.lg\\:col-auto{grid-column:auto}.lg\\:col-span-1{grid-column:span 1 / span 1}.lg\\:col-span-2{grid-column:span 2 / span 2}.lg\\:col-span-3{grid-column:span 3 / span 3}.lg\\:col-span-4{grid-column:span 4 / span 4}.lg\\:col-span-5{grid-column:span 5 / span 5}.lg\\:col-span-6{grid-column:span 6 / span 6}.lg\\:col-span-7{grid-column:span 7 / span 7}.lg\\:col-span-8{grid-column:span 8 / span 8}.lg\\:col-span-9{grid-column:span 9 / span 9}.lg\\:col-span-10{grid-column:span 10 / span 10}.lg\\:col-span-11{grid-column:span 11 / span 11}.lg\\:col-span-12{grid-column:span 12 / span 12}.lg\\:col-start-1{grid-column-start:1}.lg\\:col-start-2{grid-column-start:2}.lg\\:col-start-3{grid-column-start:3}.lg\\:col-start-4{grid-column-start:4}.lg\\:col-start-5{grid-column-start:5}.lg\\:col-start-6{grid-column-start:6}.lg\\:col-start-7{grid-column-start:7}.lg\\:col-start-8{grid-column-start:8}.lg\\:col-start-9{grid-column-start:9}.lg\\:col-start-10{grid-column-start:10}.lg\\:col-start-11{grid-column-start:11}.lg\\:col-start-12{grid-column-start:12}.lg\\:col-start-13{grid-column-start:13}.lg\\:col-start-auto{grid-column-start:auto}.lg\\:col-end-1{grid-column-end:1}.lg\\:col-end-2{grid-column-end:2}.lg\\:col-end-3{grid-column-end:3}.lg\\:col-end-4{grid-column-end:4}.lg\\:col-end-5{grid-column-end:5}.lg\\:col-end-6{grid-column-end:6}.lg\\:col-end-7{grid-column-end:7}.lg\\:col-end-8{grid-column-end:8}.lg\\:col-end-9{grid-column-end:9}.lg\\:col-end-10{grid-column-end:10}.lg\\:col-end-11{grid-column-end:11}.lg\\:col-end-12{grid-column-end:12}.lg\\:col-end-13{grid-column-end:13}.lg\\:col-end-auto{grid-column-end:auto}.lg\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.lg\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.lg\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.lg\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.lg\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.lg\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.lg\\:grid-rows-none{grid-template-rows:none}.lg\\:row-auto{grid-row:auto}.lg\\:row-span-1{grid-row:span 1 / span 1}.lg\\:row-span-2{grid-row:span 2 / span 2}.lg\\:row-span-3{grid-row:span 3 / span 3}.lg\\:row-span-4{grid-row:span 4 / span 4}.lg\\:row-span-5{grid-row:span 5 / span 5}.lg\\:row-span-6{grid-row:span 6 / span 6}.lg\\:row-start-1{grid-row-start:1}.lg\\:row-start-2{grid-row-start:2}.lg\\:row-start-3{grid-row-start:3}.lg\\:row-start-4{grid-row-start:4}.lg\\:row-start-5{grid-row-start:5}.lg\\:row-start-6{grid-row-start:6}.lg\\:row-start-7{grid-row-start:7}.lg\\:row-start-auto{grid-row-start:auto}.lg\\:row-end-1{grid-row-end:1}.lg\\:row-end-2{grid-row-end:2}.lg\\:row-end-3{grid-row-end:3}.lg\\:row-end-4{grid-row-end:4}.lg\\:row-end-5{grid-row-end:5}.lg\\:row-end-6{grid-row-end:6}.lg\\:row-end-7{grid-row-end:7}.lg\\:row-end-auto{grid-row-end:auto}.lg\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.lg\\:transform-none{-webkit-transform:none;transform:none}.lg\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.lg\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.lg\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.lg\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.lg\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.lg\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.lg\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.lg\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.lg\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.lg\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.lg\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.lg\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.lg\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.lg\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.lg\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.lg\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.lg\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.lg\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.lg\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.lg\\:scale-x-0{--transform-scale-x:0}.lg\\:scale-x-50{--transform-scale-x:.5}.lg\\:scale-x-75{--transform-scale-x:.75}.lg\\:scale-x-90{--transform-scale-x:.9}.lg\\:scale-x-95{--transform-scale-x:.95}.lg\\:scale-x-100{--transform-scale-x:1}.lg\\:scale-x-105{--transform-scale-x:1.05}.lg\\:scale-x-110{--transform-scale-x:1.1}.lg\\:scale-x-125{--transform-scale-x:1.25}.lg\\:scale-x-150{--transform-scale-x:1.5}.lg\\:scale-y-0{--transform-scale-y:0}.lg\\:scale-y-50{--transform-scale-y:.5}.lg\\:scale-y-75{--transform-scale-y:.75}.lg\\:scale-y-90{--transform-scale-y:.9}.lg\\:scale-y-95{--transform-scale-y:.95}.lg\\:scale-y-100{--transform-scale-y:1}.lg\\:scale-y-105{--transform-scale-y:1.05}.lg\\:scale-y-110{--transform-scale-y:1.1}.lg\\:scale-y-125{--transform-scale-y:1.25}.lg\\:scale-y-150{--transform-scale-y:1.5}.lg\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.lg\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.lg\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.lg\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.lg\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.lg\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.lg\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.lg\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.lg\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.lg\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.lg\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.lg\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.lg\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.lg\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.lg\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.lg\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.lg\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.lg\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.lg\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.lg\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.lg\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.lg\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.lg\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.lg\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.lg\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.lg\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.lg\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.lg\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.lg\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.lg\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.lg\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.lg\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.lg\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.lg\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.lg\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.lg\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.lg\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.lg\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.lg\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.lg\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.lg\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.lg\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.lg\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.lg\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.lg\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.lg\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.lg\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.lg\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.lg\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.lg\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.lg\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.lg\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.lg\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.lg\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.lg\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.lg\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.lg\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.lg\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.lg\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.lg\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.lg\\:rotate-0{--transform-rotate:0}.lg\\:rotate-45{--transform-rotate:45deg}.lg\\:rotate-90{--transform-rotate:90deg}.lg\\:rotate-180{--transform-rotate:180deg}.lg\\:-rotate-180{--transform-rotate:-180deg}.lg\\:-rotate-90{--transform-rotate:-90deg}.lg\\:-rotate-45{--transform-rotate:-45deg}.lg\\:hover\\:rotate-0:hover{--transform-rotate:0}.lg\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.lg\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.lg\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.lg\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.lg\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.lg\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.lg\\:focus\\:rotate-0:focus{--transform-rotate:0}.lg\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.lg\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.lg\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.lg\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.lg\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.lg\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.lg\\:translate-x-0{--transform-translate-x:0}.lg\\:translate-x-1{--transform-translate-x:0.25rem}.lg\\:translate-x-2{--transform-translate-x:0.5rem}.lg\\:translate-x-3{--transform-translate-x:0.75rem}.lg\\:translate-x-4{--transform-translate-x:1rem}.lg\\:translate-x-5{--transform-translate-x:1.25rem}.lg\\:translate-x-6{--transform-translate-x:1.5rem}.lg\\:translate-x-8{--transform-translate-x:2rem}.lg\\:translate-x-10{--transform-translate-x:2.5rem}.lg\\:translate-x-12{--transform-translate-x:3rem}.lg\\:translate-x-16{--transform-translate-x:4rem}.lg\\:translate-x-20{--transform-translate-x:5rem}.lg\\:translate-x-24{--transform-translate-x:6rem}.lg\\:translate-x-32{--transform-translate-x:8rem}.lg\\:translate-x-40{--transform-translate-x:10rem}.lg\\:translate-x-48{--transform-translate-x:12rem}.lg\\:translate-x-56{--transform-translate-x:14rem}.lg\\:translate-x-64{--transform-translate-x:16rem}.lg\\:translate-x-px{--transform-translate-x:1px}.lg\\:-translate-x-1{--transform-translate-x:-0.25rem}.lg\\:-translate-x-2{--transform-translate-x:-0.5rem}.lg\\:-translate-x-3{--transform-translate-x:-0.75rem}.lg\\:-translate-x-4{--transform-translate-x:-1rem}.lg\\:-translate-x-5{--transform-translate-x:-1.25rem}.lg\\:-translate-x-6{--transform-translate-x:-1.5rem}.lg\\:-translate-x-8{--transform-translate-x:-2rem}.lg\\:-translate-x-10{--transform-translate-x:-2.5rem}.lg\\:-translate-x-12{--transform-translate-x:-3rem}.lg\\:-translate-x-16{--transform-translate-x:-4rem}.lg\\:-translate-x-20{--transform-translate-x:-5rem}.lg\\:-translate-x-24{--transform-translate-x:-6rem}.lg\\:-translate-x-32{--transform-translate-x:-8rem}.lg\\:-translate-x-40{--transform-translate-x:-10rem}.lg\\:-translate-x-48{--transform-translate-x:-12rem}.lg\\:-translate-x-56{--transform-translate-x:-14rem}.lg\\:-translate-x-64{--transform-translate-x:-16rem}.lg\\:-translate-x-px{--transform-translate-x:-1px}.lg\\:-translate-x-full{--transform-translate-x:-100%}.lg\\:-translate-x-1\\/2{--transform-translate-x:-50%}.lg\\:translate-x-1\\/2{--transform-translate-x:50%}.lg\\:translate-x-full{--transform-translate-x:100%}.lg\\:translate-y-0{--transform-translate-y:0}.lg\\:translate-y-1{--transform-translate-y:0.25rem}.lg\\:translate-y-2{--transform-translate-y:0.5rem}.lg\\:translate-y-3{--transform-translate-y:0.75rem}.lg\\:translate-y-4{--transform-translate-y:1rem}.lg\\:translate-y-5{--transform-translate-y:1.25rem}.lg\\:translate-y-6{--transform-translate-y:1.5rem}.lg\\:translate-y-8{--transform-translate-y:2rem}.lg\\:translate-y-10{--transform-translate-y:2.5rem}.lg\\:translate-y-12{--transform-translate-y:3rem}.lg\\:translate-y-16{--transform-translate-y:4rem}.lg\\:translate-y-20{--transform-translate-y:5rem}.lg\\:translate-y-24{--transform-translate-y:6rem}.lg\\:translate-y-32{--transform-translate-y:8rem}.lg\\:translate-y-40{--transform-translate-y:10rem}.lg\\:translate-y-48{--transform-translate-y:12rem}.lg\\:translate-y-56{--transform-translate-y:14rem}.lg\\:translate-y-64{--transform-translate-y:16rem}.lg\\:translate-y-px{--transform-translate-y:1px}.lg\\:-translate-y-1{--transform-translate-y:-0.25rem}.lg\\:-translate-y-2{--transform-translate-y:-0.5rem}.lg\\:-translate-y-3{--transform-translate-y:-0.75rem}.lg\\:-translate-y-4{--transform-translate-y:-1rem}.lg\\:-translate-y-5{--transform-translate-y:-1.25rem}.lg\\:-translate-y-6{--transform-translate-y:-1.5rem}.lg\\:-translate-y-8{--transform-translate-y:-2rem}.lg\\:-translate-y-10{--transform-translate-y:-2.5rem}.lg\\:-translate-y-12{--transform-translate-y:-3rem}.lg\\:-translate-y-16{--transform-translate-y:-4rem}.lg\\:-translate-y-20{--transform-translate-y:-5rem}.lg\\:-translate-y-24{--transform-translate-y:-6rem}.lg\\:-translate-y-32{--transform-translate-y:-8rem}.lg\\:-translate-y-40{--transform-translate-y:-10rem}.lg\\:-translate-y-48{--transform-translate-y:-12rem}.lg\\:-translate-y-56{--transform-translate-y:-14rem}.lg\\:-translate-y-64{--transform-translate-y:-16rem}.lg\\:-translate-y-px{--transform-translate-y:-1px}.lg\\:-translate-y-full{--transform-translate-y:-100%}.lg\\:-translate-y-1\\/2{--transform-translate-y:-50%}.lg\\:translate-y-1\\/2{--transform-translate-y:50%}.lg\\:translate-y-full{--transform-translate-y:100%}.lg\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.lg\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.lg\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.lg\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.lg\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.lg\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.lg\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.lg\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.lg\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.lg\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.lg\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.lg\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.lg\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.lg\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.lg\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.lg\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.lg\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.lg\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.lg\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.lg\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.lg\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.lg\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.lg\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.lg\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.lg\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.lg\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.lg\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.lg\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.lg\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.lg\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.lg\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.lg\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.lg\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.lg\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.lg\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.lg\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.lg\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.lg\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.lg\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.lg\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.lg\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.lg\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.lg\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.lg\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.lg\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.lg\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.lg\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.lg\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.lg\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.lg\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.lg\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.lg\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.lg\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.lg\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.lg\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.lg\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.lg\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.lg\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.lg\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.lg\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.lg\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.lg\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.lg\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.lg\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.lg\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.lg\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.lg\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.lg\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.lg\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.lg\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.lg\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.lg\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.lg\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.lg\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.lg\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.lg\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.lg\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.lg\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.lg\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.lg\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.lg\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.lg\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.lg\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.lg\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.lg\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.lg\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.lg\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.lg\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.lg\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.lg\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.lg\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.lg\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.lg\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.lg\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.lg\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.lg\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.lg\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.lg\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.lg\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.lg\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.lg\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.lg\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.lg\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.lg\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.lg\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.lg\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.lg\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.lg\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.lg\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.lg\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.lg\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.lg\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.lg\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.lg\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.lg\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.lg\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.lg\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.lg\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.lg\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.lg\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.lg\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.lg\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.lg\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.lg\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.lg\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.lg\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.lg\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.lg\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.lg\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.lg\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.lg\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.lg\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.lg\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.lg\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.lg\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.lg\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.lg\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.lg\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.lg\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.lg\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.lg\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.lg\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.lg\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.lg\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.lg\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.lg\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.lg\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.lg\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.lg\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.lg\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.lg\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.lg\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.lg\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.lg\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.lg\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.lg\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.lg\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.lg\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.lg\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.lg\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.lg\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.lg\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.lg\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.lg\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.lg\\:skew-x-0{--transform-skew-x:0}.lg\\:skew-x-3{--transform-skew-x:3deg}.lg\\:skew-x-6{--transform-skew-x:6deg}.lg\\:skew-x-12{--transform-skew-x:12deg}.lg\\:-skew-x-12{--transform-skew-x:-12deg}.lg\\:-skew-x-6{--transform-skew-x:-6deg}.lg\\:-skew-x-3{--transform-skew-x:-3deg}.lg\\:skew-y-0{--transform-skew-y:0}.lg\\:skew-y-3{--transform-skew-y:3deg}.lg\\:skew-y-6{--transform-skew-y:6deg}.lg\\:skew-y-12{--transform-skew-y:12deg}.lg\\:-skew-y-12{--transform-skew-y:-12deg}.lg\\:-skew-y-6{--transform-skew-y:-6deg}.lg\\:-skew-y-3{--transform-skew-y:-3deg}.lg\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.lg\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.lg\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.lg\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.lg\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.lg\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.lg\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.lg\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.lg\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.lg\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.lg\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.lg\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.lg\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.lg\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.lg\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.lg\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.lg\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.lg\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.lg\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.lg\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.lg\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.lg\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.lg\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.lg\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.lg\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.lg\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.lg\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.lg\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.lg\\:transition-none{-webkit-transition-property:none;transition-property:none}.lg\\:transition-all{-webkit-transition-property:all;transition-property:all}.lg\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.lg\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.lg\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.lg\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.lg\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.lg\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.lg\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.lg\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.lg\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.lg\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.lg\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.lg\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.lg\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.lg\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.lg\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.lg\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.lg\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.lg\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.lg\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.lg\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.lg\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.lg\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.lg\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.lg\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.lg\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.lg\\:animate-none{-webkit-animation:none;animation:none}.lg\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.lg\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.lg\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.lg\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}@media (min-width: 1280px){.xl\\:container{width:100%}@media (min-width: 640px){.xl\\:container{max-width:640px}}@media (min-width: 768px){.xl\\:container{max-width:768px}}@media (min-width: 1024px){.xl\\:container{max-width:1024px}}@media (min-width: 1280px){.xl\\:container{max-width:1280px}}.xl\\:space-y-0>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0px * var(--space-y-reverse))}.xl\\:space-x-0>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0px * var(--space-x-reverse));margin-left:calc(0px * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.25rem * var(--space-y-reverse))}.xl\\:space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.25rem * var(--space-x-reverse));margin-left:calc(0.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.5rem * var(--space-y-reverse))}.xl\\:space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.5rem * var(--space-x-reverse));margin-left:calc(0.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(0.75rem * var(--space-y-reverse))}.xl\\:space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(0.75rem * var(--space-x-reverse));margin-left:calc(0.75rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1rem * var(--space-y-reverse))}.xl\\:space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1rem * var(--space-x-reverse));margin-left:calc(1rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.25rem * var(--space-y-reverse))}.xl\\:space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.25rem * var(--space-x-reverse));margin-left:calc(1.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1.5rem * var(--space-y-reverse))}.xl\\:space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1.5rem * var(--space-x-reverse));margin-left:calc(1.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2rem * var(--space-y-reverse))}.xl\\:space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2rem * var(--space-x-reverse));margin-left:calc(2rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(2.5rem * var(--space-y-reverse))}.xl\\:space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(2.5rem * var(--space-x-reverse));margin-left:calc(2.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(3rem * var(--space-y-reverse))}.xl\\:space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(3rem * var(--space-x-reverse));margin-left:calc(3rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(4rem * var(--space-y-reverse))}.xl\\:space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(4rem * var(--space-x-reverse));margin-left:calc(4rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(5rem * var(--space-y-reverse))}.xl\\:space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(5rem * var(--space-x-reverse));margin-left:calc(5rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(6rem * var(--space-y-reverse))}.xl\\:space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(6rem * var(--space-x-reverse));margin-left:calc(6rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(8rem * var(--space-y-reverse))}.xl\\:space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(8rem * var(--space-x-reverse));margin-left:calc(8rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(10rem * var(--space-y-reverse))}.xl\\:space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(10rem * var(--space-x-reverse));margin-left:calc(10rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(12rem * var(--space-y-reverse))}.xl\\:space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(12rem * var(--space-x-reverse));margin-left:calc(12rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(14rem * var(--space-y-reverse))}.xl\\:space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(14rem * var(--space-x-reverse));margin-left:calc(14rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(16rem * var(--space-y-reverse))}.xl\\:space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(16rem * var(--space-x-reverse));margin-left:calc(16rem * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(1px * var(--space-y-reverse))}.xl\\:space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(1px * var(--space-x-reverse));margin-left:calc(1px * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-1>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.25rem * var(--space-y-reverse))}.xl\\:-space-x-1>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.25rem * var(--space-x-reverse));margin-left:calc(-0.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-2>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.5rem * var(--space-y-reverse))}.xl\\:-space-x-2>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.5rem * var(--space-x-reverse));margin-left:calc(-0.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-3>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-0.75rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-0.75rem * var(--space-y-reverse))}.xl\\:-space-x-3>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-0.75rem * var(--space-x-reverse));margin-left:calc(-0.75rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-4>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1rem * var(--space-y-reverse))}.xl\\:-space-x-4>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1rem * var(--space-x-reverse));margin-left:calc(-1rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-5>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.25rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.25rem * var(--space-y-reverse))}.xl\\:-space-x-5>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.25rem * var(--space-x-reverse));margin-left:calc(-1.25rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-6>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1.5rem * var(--space-y-reverse))}.xl\\:-space-x-6>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1.5rem * var(--space-x-reverse));margin-left:calc(-1.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-8>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2rem * var(--space-y-reverse))}.xl\\:-space-x-8>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2rem * var(--space-x-reverse));margin-left:calc(-2rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-10>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-2.5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-2.5rem * var(--space-y-reverse))}.xl\\:-space-x-10>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-2.5rem * var(--space-x-reverse));margin-left:calc(-2.5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-12>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-3rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-3rem * var(--space-y-reverse))}.xl\\:-space-x-12>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-3rem * var(--space-x-reverse));margin-left:calc(-3rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-16>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-4rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-4rem * var(--space-y-reverse))}.xl\\:-space-x-16>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-4rem * var(--space-x-reverse));margin-left:calc(-4rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-20>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-5rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-5rem * var(--space-y-reverse))}.xl\\:-space-x-20>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-5rem * var(--space-x-reverse));margin-left:calc(-5rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-24>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-6rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-6rem * var(--space-y-reverse))}.xl\\:-space-x-24>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-6rem * var(--space-x-reverse));margin-left:calc(-6rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-32>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-8rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-8rem * var(--space-y-reverse))}.xl\\:-space-x-32>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-8rem * var(--space-x-reverse));margin-left:calc(-8rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-40>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-10rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-10rem * var(--space-y-reverse))}.xl\\:-space-x-40>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-10rem * var(--space-x-reverse));margin-left:calc(-10rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-48>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-12rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-12rem * var(--space-y-reverse))}.xl\\:-space-x-48>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-12rem * var(--space-x-reverse));margin-left:calc(-12rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-56>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-14rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-14rem * var(--space-y-reverse))}.xl\\:-space-x-56>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-14rem * var(--space-x-reverse));margin-left:calc(-14rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-64>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-16rem * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-16rem * var(--space-y-reverse))}.xl\\:-space-x-64>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-16rem * var(--space-x-reverse));margin-left:calc(-16rem * calc(1 - var(--space-x-reverse)))}.xl\\:-space-y-px>:not(template)~:not(template){--space-y-reverse:0;margin-top:calc(-1px * calc(1 - var(--space-y-reverse)));margin-bottom:calc(-1px * var(--space-y-reverse))}.xl\\:-space-x-px>:not(template)~:not(template){--space-x-reverse:0;margin-right:calc(-1px * var(--space-x-reverse));margin-left:calc(-1px * calc(1 - var(--space-x-reverse)))}.xl\\:space-y-reverse>:not(template)~:not(template){--space-y-reverse:1}.xl\\:space-x-reverse>:not(template)~:not(template){--space-x-reverse:1}.xl\\:divide-y-0>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(0px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(0px * var(--divide-y-reverse))}.xl\\:divide-x-0>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(0px * var(--divide-x-reverse));border-left-width:calc(0px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-2>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(2px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(2px * var(--divide-y-reverse))}.xl\\:divide-x-2>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(2px * var(--divide-x-reverse));border-left-width:calc(2px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-4>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(4px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(4px * var(--divide-y-reverse))}.xl\\:divide-x-4>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(4px * var(--divide-x-reverse));border-left-width:calc(4px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-8>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(8px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(8px * var(--divide-y-reverse))}.xl\\:divide-x-8>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(8px * var(--divide-x-reverse));border-left-width:calc(8px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y>:not(template)~:not(template){--divide-y-reverse:0;border-top-width:calc(1px * calc(1 - var(--divide-y-reverse)));border-bottom-width:calc(1px * var(--divide-y-reverse))}.xl\\:divide-x>:not(template)~:not(template){--divide-x-reverse:0;border-right-width:calc(1px * var(--divide-x-reverse));border-left-width:calc(1px * calc(1 - var(--divide-x-reverse)))}.xl\\:divide-y-reverse>:not(template)~:not(template){--divide-y-reverse:1}.xl\\:divide-x-reverse>:not(template)~:not(template){--divide-x-reverse:1}.xl\\:divide-transparent>:not(template)~:not(template){border-color:transparent}.xl\\:divide-current>:not(template)~:not(template){border-color:currentColor}.xl\\:divide-black>:not(template)~:not(template){--divide-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--divide-opacity))}.xl\\:divide-white>:not(template)~:not(template){--divide-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--divide-opacity))}.xl\\:divide-gray-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--divide-opacity))}.xl\\:divide-gray-200>:not(template)~:not(template){--divide-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--divide-opacity))}.xl\\:divide-gray-300>:not(template)~:not(template){--divide-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--divide-opacity))}.xl\\:divide-gray-400>:not(template)~:not(template){--divide-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--divide-opacity))}.xl\\:divide-gray-500>:not(template)~:not(template){--divide-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--divide-opacity))}.xl\\:divide-gray-600>:not(template)~:not(template){--divide-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--divide-opacity))}.xl\\:divide-gray-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--divide-opacity))}.xl\\:divide-gray-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--divide-opacity))}.xl\\:divide-gray-900>:not(template)~:not(template){--divide-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--divide-opacity))}.xl\\:divide-red-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--divide-opacity))}.xl\\:divide-red-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--divide-opacity))}.xl\\:divide-red-300>:not(template)~:not(template){--divide-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--divide-opacity))}.xl\\:divide-red-400>:not(template)~:not(template){--divide-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--divide-opacity))}.xl\\:divide-red-500>:not(template)~:not(template){--divide-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--divide-opacity))}.xl\\:divide-red-600>:not(template)~:not(template){--divide-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--divide-opacity))}.xl\\:divide-red-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--divide-opacity))}.xl\\:divide-red-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--divide-opacity))}.xl\\:divide-red-900>:not(template)~:not(template){--divide-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--divide-opacity))}.xl\\:divide-orange-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--divide-opacity))}.xl\\:divide-orange-200>:not(template)~:not(template){--divide-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--divide-opacity))}.xl\\:divide-orange-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--divide-opacity))}.xl\\:divide-orange-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--divide-opacity))}.xl\\:divide-orange-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--divide-opacity))}.xl\\:divide-orange-600>:not(template)~:not(template){--divide-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--divide-opacity))}.xl\\:divide-orange-700>:not(template)~:not(template){--divide-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--divide-opacity))}.xl\\:divide-orange-800>:not(template)~:not(template){--divide-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--divide-opacity))}.xl\\:divide-orange-900>:not(template)~:not(template){--divide-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--divide-opacity))}.xl\\:divide-yellow-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--divide-opacity))}.xl\\:divide-yellow-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--divide-opacity))}.xl\\:divide-yellow-300>:not(template)~:not(template){--divide-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--divide-opacity))}.xl\\:divide-yellow-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--divide-opacity))}.xl\\:divide-yellow-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--divide-opacity))}.xl\\:divide-yellow-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--divide-opacity))}.xl\\:divide-yellow-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--divide-opacity))}.xl\\:divide-yellow-800>:not(template)~:not(template){--divide-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--divide-opacity))}.xl\\:divide-yellow-900>:not(template)~:not(template){--divide-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--divide-opacity))}.xl\\:divide-green-100>:not(template)~:not(template){--divide-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--divide-opacity))}.xl\\:divide-green-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--divide-opacity))}.xl\\:divide-green-300>:not(template)~:not(template){--divide-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--divide-opacity))}.xl\\:divide-green-400>:not(template)~:not(template){--divide-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--divide-opacity))}.xl\\:divide-green-500>:not(template)~:not(template){--divide-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--divide-opacity))}.xl\\:divide-green-600>:not(template)~:not(template){--divide-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--divide-opacity))}.xl\\:divide-green-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--divide-opacity))}.xl\\:divide-green-800>:not(template)~:not(template){--divide-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--divide-opacity))}.xl\\:divide-green-900>:not(template)~:not(template){--divide-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--divide-opacity))}.xl\\:divide-teal-100>:not(template)~:not(template){--divide-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--divide-opacity))}.xl\\:divide-teal-200>:not(template)~:not(template){--divide-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--divide-opacity))}.xl\\:divide-teal-300>:not(template)~:not(template){--divide-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--divide-opacity))}.xl\\:divide-teal-400>:not(template)~:not(template){--divide-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--divide-opacity))}.xl\\:divide-teal-500>:not(template)~:not(template){--divide-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--divide-opacity))}.xl\\:divide-teal-600>:not(template)~:not(template){--divide-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--divide-opacity))}.xl\\:divide-teal-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--divide-opacity))}.xl\\:divide-teal-800>:not(template)~:not(template){--divide-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--divide-opacity))}.xl\\:divide-teal-900>:not(template)~:not(template){--divide-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--divide-opacity))}.xl\\:divide-blue-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--divide-opacity))}.xl\\:divide-blue-200>:not(template)~:not(template){--divide-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--divide-opacity))}.xl\\:divide-blue-300>:not(template)~:not(template){--divide-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--divide-opacity))}.xl\\:divide-blue-400>:not(template)~:not(template){--divide-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--divide-opacity))}.xl\\:divide-blue-500>:not(template)~:not(template){--divide-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--divide-opacity))}.xl\\:divide-blue-600>:not(template)~:not(template){--divide-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--divide-opacity))}.xl\\:divide-blue-700>:not(template)~:not(template){--divide-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--divide-opacity))}.xl\\:divide-blue-800>:not(template)~:not(template){--divide-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--divide-opacity))}.xl\\:divide-blue-900>:not(template)~:not(template){--divide-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--divide-opacity))}.xl\\:divide-indigo-100>:not(template)~:not(template){--divide-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--divide-opacity))}.xl\\:divide-indigo-200>:not(template)~:not(template){--divide-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--divide-opacity))}.xl\\:divide-indigo-300>:not(template)~:not(template){--divide-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--divide-opacity))}.xl\\:divide-indigo-400>:not(template)~:not(template){--divide-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--divide-opacity))}.xl\\:divide-indigo-500>:not(template)~:not(template){--divide-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--divide-opacity))}.xl\\:divide-indigo-600>:not(template)~:not(template){--divide-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--divide-opacity))}.xl\\:divide-indigo-700>:not(template)~:not(template){--divide-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--divide-opacity))}.xl\\:divide-indigo-800>:not(template)~:not(template){--divide-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--divide-opacity))}.xl\\:divide-indigo-900>:not(template)~:not(template){--divide-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--divide-opacity))}.xl\\:divide-purple-100>:not(template)~:not(template){--divide-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--divide-opacity))}.xl\\:divide-purple-200>:not(template)~:not(template){--divide-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--divide-opacity))}.xl\\:divide-purple-300>:not(template)~:not(template){--divide-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--divide-opacity))}.xl\\:divide-purple-400>:not(template)~:not(template){--divide-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--divide-opacity))}.xl\\:divide-purple-500>:not(template)~:not(template){--divide-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--divide-opacity))}.xl\\:divide-purple-600>:not(template)~:not(template){--divide-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--divide-opacity))}.xl\\:divide-purple-700>:not(template)~:not(template){--divide-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--divide-opacity))}.xl\\:divide-purple-800>:not(template)~:not(template){--divide-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--divide-opacity))}.xl\\:divide-purple-900>:not(template)~:not(template){--divide-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--divide-opacity))}.xl\\:divide-pink-100>:not(template)~:not(template){--divide-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--divide-opacity))}.xl\\:divide-pink-200>:not(template)~:not(template){--divide-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--divide-opacity))}.xl\\:divide-pink-300>:not(template)~:not(template){--divide-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--divide-opacity))}.xl\\:divide-pink-400>:not(template)~:not(template){--divide-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--divide-opacity))}.xl\\:divide-pink-500>:not(template)~:not(template){--divide-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--divide-opacity))}.xl\\:divide-pink-600>:not(template)~:not(template){--divide-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--divide-opacity))}.xl\\:divide-pink-700>:not(template)~:not(template){--divide-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--divide-opacity))}.xl\\:divide-pink-800>:not(template)~:not(template){--divide-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--divide-opacity))}.xl\\:divide-pink-900>:not(template)~:not(template){--divide-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--divide-opacity))}.xl\\:divide-solid>:not(template)~:not(template){border-style:solid}.xl\\:divide-dashed>:not(template)~:not(template){border-style:dashed}.xl\\:divide-dotted>:not(template)~:not(template){border-style:dotted}.xl\\:divide-double>:not(template)~:not(template){border-style:double}.xl\\:divide-none>:not(template)~:not(template){border-style:none}.xl\\:divide-opacity-0>:not(template)~:not(template){--divide-opacity:0}.xl\\:divide-opacity-25>:not(template)~:not(template){--divide-opacity:0.25}.xl\\:divide-opacity-50>:not(template)~:not(template){--divide-opacity:0.5}.xl\\:divide-opacity-75>:not(template)~:not(template){--divide-opacity:0.75}.xl\\:divide-opacity-100>:not(template)~:not(template){--divide-opacity:1}.xl\\:sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.xl\\:not-sr-only{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.xl\\:focus\\:sr-only:focus{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);white-space:nowrap;border-width:0}.xl\\:focus\\:not-sr-only:focus{position:static;width:auto;height:auto;padding:0;margin:0;overflow:visible;clip:auto;white-space:normal}.xl\\:appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.xl\\:bg-fixed{background-attachment:fixed}.xl\\:bg-local{background-attachment:local}.xl\\:bg-scroll{background-attachment:scroll}.xl\\:bg-clip-border{background-clip:border-box}.xl\\:bg-clip-padding{background-clip:padding-box}.xl\\:bg-clip-content{background-clip:content-box}.xl\\:bg-clip-text{-webkit-background-clip:text;background-clip:text}.xl\\:bg-transparent{background-color:transparent}.xl\\:bg-current{background-color:currentColor}.xl\\:bg-black{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.xl\\:bg-white{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.xl\\:bg-gray-100{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.xl\\:bg-gray-200{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.xl\\:bg-gray-300{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.xl\\:bg-gray-400{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.xl\\:bg-gray-500{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.xl\\:bg-gray-600{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.xl\\:bg-gray-700{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.xl\\:bg-gray-800{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.xl\\:bg-gray-900{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.xl\\:bg-red-100{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.xl\\:bg-red-200{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.xl\\:bg-red-300{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.xl\\:bg-red-400{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.xl\\:bg-red-500{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.xl\\:bg-red-600{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.xl\\:bg-red-700{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.xl\\:bg-red-800{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.xl\\:bg-red-900{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.xl\\:bg-orange-100{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.xl\\:bg-orange-200{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.xl\\:bg-orange-300{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.xl\\:bg-orange-400{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.xl\\:bg-orange-500{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.xl\\:bg-orange-600{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.xl\\:bg-orange-700{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.xl\\:bg-orange-800{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.xl\\:bg-orange-900{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.xl\\:bg-yellow-100{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.xl\\:bg-yellow-200{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.xl\\:bg-yellow-300{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.xl\\:bg-yellow-400{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.xl\\:bg-yellow-500{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.xl\\:bg-yellow-600{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.xl\\:bg-yellow-700{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.xl\\:bg-yellow-800{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.xl\\:bg-yellow-900{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.xl\\:bg-green-100{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.xl\\:bg-green-200{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.xl\\:bg-green-300{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.xl\\:bg-green-400{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.xl\\:bg-green-500{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.xl\\:bg-green-600{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.xl\\:bg-green-700{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.xl\\:bg-green-800{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.xl\\:bg-green-900{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.xl\\:bg-teal-100{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.xl\\:bg-teal-200{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.xl\\:bg-teal-300{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.xl\\:bg-teal-400{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.xl\\:bg-teal-500{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.xl\\:bg-teal-600{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.xl\\:bg-teal-700{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.xl\\:bg-teal-800{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.xl\\:bg-teal-900{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.xl\\:bg-blue-100{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.xl\\:bg-blue-200{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.xl\\:bg-blue-300{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.xl\\:bg-blue-400{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.xl\\:bg-blue-500{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.xl\\:bg-blue-600{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.xl\\:bg-blue-700{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.xl\\:bg-blue-800{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.xl\\:bg-blue-900{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.xl\\:bg-indigo-100{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.xl\\:bg-indigo-200{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.xl\\:bg-indigo-300{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.xl\\:bg-indigo-400{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.xl\\:bg-indigo-500{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.xl\\:bg-indigo-600{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.xl\\:bg-indigo-700{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.xl\\:bg-indigo-800{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.xl\\:bg-indigo-900{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.xl\\:bg-purple-100{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.xl\\:bg-purple-200{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.xl\\:bg-purple-300{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.xl\\:bg-purple-400{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.xl\\:bg-purple-500{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.xl\\:bg-purple-600{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.xl\\:bg-purple-700{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.xl\\:bg-purple-800{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.xl\\:bg-purple-900{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.xl\\:bg-pink-100{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.xl\\:bg-pink-200{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.xl\\:bg-pink-300{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.xl\\:bg-pink-400{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.xl\\:bg-pink-500{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.xl\\:bg-pink-600{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.xl\\:bg-pink-700{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.xl\\:bg-pink-800{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.xl\\:bg-pink-900{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.xl\\:hover\\:bg-transparent:hover{background-color:transparent}.xl\\:hover\\:bg-current:hover{background-color:currentColor}.xl\\:hover\\:bg-black:hover{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.xl\\:hover\\:bg-white:hover{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.xl\\:hover\\:bg-gray-100:hover{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.xl\\:hover\\:bg-gray-200:hover{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.xl\\:hover\\:bg-gray-300:hover{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.xl\\:hover\\:bg-gray-400:hover{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.xl\\:hover\\:bg-gray-500:hover{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.xl\\:hover\\:bg-gray-600:hover{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.xl\\:hover\\:bg-gray-700:hover{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.xl\\:hover\\:bg-gray-800:hover{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.xl\\:hover\\:bg-gray-900:hover{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.xl\\:hover\\:bg-red-100:hover{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.xl\\:hover\\:bg-red-200:hover{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.xl\\:hover\\:bg-red-300:hover{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.xl\\:hover\\:bg-red-400:hover{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.xl\\:hover\\:bg-red-500:hover{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.xl\\:hover\\:bg-red-600:hover{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.xl\\:hover\\:bg-red-700:hover{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.xl\\:hover\\:bg-red-800:hover{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.xl\\:hover\\:bg-red-900:hover{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.xl\\:hover\\:bg-orange-100:hover{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.xl\\:hover\\:bg-orange-200:hover{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.xl\\:hover\\:bg-orange-300:hover{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.xl\\:hover\\:bg-orange-400:hover{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.xl\\:hover\\:bg-orange-500:hover{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.xl\\:hover\\:bg-orange-600:hover{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.xl\\:hover\\:bg-orange-700:hover{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.xl\\:hover\\:bg-orange-800:hover{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.xl\\:hover\\:bg-orange-900:hover{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-100:hover{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-200:hover{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-300:hover{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-400:hover{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-500:hover{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-600:hover{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-700:hover{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-800:hover{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.xl\\:hover\\:bg-yellow-900:hover{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.xl\\:hover\\:bg-green-100:hover{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.xl\\:hover\\:bg-green-200:hover{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.xl\\:hover\\:bg-green-300:hover{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.xl\\:hover\\:bg-green-400:hover{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.xl\\:hover\\:bg-green-500:hover{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.xl\\:hover\\:bg-green-600:hover{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.xl\\:hover\\:bg-green-700:hover{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.xl\\:hover\\:bg-green-800:hover{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.xl\\:hover\\:bg-green-900:hover{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.xl\\:hover\\:bg-teal-100:hover{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.xl\\:hover\\:bg-teal-200:hover{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.xl\\:hover\\:bg-teal-300:hover{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.xl\\:hover\\:bg-teal-400:hover{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.xl\\:hover\\:bg-teal-500:hover{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.xl\\:hover\\:bg-teal-600:hover{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.xl\\:hover\\:bg-teal-700:hover{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.xl\\:hover\\:bg-teal-800:hover{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.xl\\:hover\\:bg-teal-900:hover{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.xl\\:hover\\:bg-blue-100:hover{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.xl\\:hover\\:bg-blue-200:hover{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.xl\\:hover\\:bg-blue-300:hover{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.xl\\:hover\\:bg-blue-400:hover{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.xl\\:hover\\:bg-blue-500:hover{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.xl\\:hover\\:bg-blue-600:hover{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.xl\\:hover\\:bg-blue-700:hover{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.xl\\:hover\\:bg-blue-800:hover{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.xl\\:hover\\:bg-blue-900:hover{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-100:hover{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-200:hover{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-300:hover{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-400:hover{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-500:hover{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-600:hover{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-700:hover{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-800:hover{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.xl\\:hover\\:bg-indigo-900:hover{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.xl\\:hover\\:bg-purple-100:hover{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.xl\\:hover\\:bg-purple-200:hover{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.xl\\:hover\\:bg-purple-300:hover{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.xl\\:hover\\:bg-purple-400:hover{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.xl\\:hover\\:bg-purple-500:hover{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.xl\\:hover\\:bg-purple-600:hover{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.xl\\:hover\\:bg-purple-700:hover{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.xl\\:hover\\:bg-purple-800:hover{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.xl\\:hover\\:bg-purple-900:hover{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.xl\\:hover\\:bg-pink-100:hover{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.xl\\:hover\\:bg-pink-200:hover{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.xl\\:hover\\:bg-pink-300:hover{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.xl\\:hover\\:bg-pink-400:hover{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.xl\\:hover\\:bg-pink-500:hover{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.xl\\:hover\\:bg-pink-600:hover{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.xl\\:hover\\:bg-pink-700:hover{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.xl\\:hover\\:bg-pink-800:hover{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.xl\\:hover\\:bg-pink-900:hover{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.xl\\:focus\\:bg-transparent:focus{background-color:transparent}.xl\\:focus\\:bg-current:focus{background-color:currentColor}.xl\\:focus\\:bg-black:focus{--bg-opacity:1;background-color:#000;background-color:rgba(0, 0, 0, var(--bg-opacity))}.xl\\:focus\\:bg-white:focus{--bg-opacity:1;background-color:#fff;background-color:rgba(255, 255, 255, var(--bg-opacity))}.xl\\:focus\\:bg-gray-100:focus{--bg-opacity:1;background-color:#f7fafc;background-color:rgba(247, 250, 252, var(--bg-opacity))}.xl\\:focus\\:bg-gray-200:focus{--bg-opacity:1;background-color:#edf2f7;background-color:rgba(237, 242, 247, var(--bg-opacity))}.xl\\:focus\\:bg-gray-300:focus{--bg-opacity:1;background-color:#e2e8f0;background-color:rgba(226, 232, 240, var(--bg-opacity))}.xl\\:focus\\:bg-gray-400:focus{--bg-opacity:1;background-color:#cbd5e0;background-color:rgba(203, 213, 224, var(--bg-opacity))}.xl\\:focus\\:bg-gray-500:focus{--bg-opacity:1;background-color:#a0aec0;background-color:rgba(160, 174, 192, var(--bg-opacity))}.xl\\:focus\\:bg-gray-600:focus{--bg-opacity:1;background-color:#718096;background-color:rgba(113, 128, 150, var(--bg-opacity))}.xl\\:focus\\:bg-gray-700:focus{--bg-opacity:1;background-color:#4a5568;background-color:rgba(74, 85, 104, var(--bg-opacity))}.xl\\:focus\\:bg-gray-800:focus{--bg-opacity:1;background-color:#2d3748;background-color:rgba(45, 55, 72, var(--bg-opacity))}.xl\\:focus\\:bg-gray-900:focus{--bg-opacity:1;background-color:#1a202c;background-color:rgba(26, 32, 44, var(--bg-opacity))}.xl\\:focus\\:bg-red-100:focus{--bg-opacity:1;background-color:#fff5f5;background-color:rgba(255, 245, 245, var(--bg-opacity))}.xl\\:focus\\:bg-red-200:focus{--bg-opacity:1;background-color:#fed7d7;background-color:rgba(254, 215, 215, var(--bg-opacity))}.xl\\:focus\\:bg-red-300:focus{--bg-opacity:1;background-color:#feb2b2;background-color:rgba(254, 178, 178, var(--bg-opacity))}.xl\\:focus\\:bg-red-400:focus{--bg-opacity:1;background-color:#fc8181;background-color:rgba(252, 129, 129, var(--bg-opacity))}.xl\\:focus\\:bg-red-500:focus{--bg-opacity:1;background-color:#f56565;background-color:rgba(245, 101, 101, var(--bg-opacity))}.xl\\:focus\\:bg-red-600:focus{--bg-opacity:1;background-color:#e53e3e;background-color:rgba(229, 62, 62, var(--bg-opacity))}.xl\\:focus\\:bg-red-700:focus{--bg-opacity:1;background-color:#c53030;background-color:rgba(197, 48, 48, var(--bg-opacity))}.xl\\:focus\\:bg-red-800:focus{--bg-opacity:1;background-color:#9b2c2c;background-color:rgba(155, 44, 44, var(--bg-opacity))}.xl\\:focus\\:bg-red-900:focus{--bg-opacity:1;background-color:#742a2a;background-color:rgba(116, 42, 42, var(--bg-opacity))}.xl\\:focus\\:bg-orange-100:focus{--bg-opacity:1;background-color:#fffaf0;background-color:rgba(255, 250, 240, var(--bg-opacity))}.xl\\:focus\\:bg-orange-200:focus{--bg-opacity:1;background-color:#feebc8;background-color:rgba(254, 235, 200, var(--bg-opacity))}.xl\\:focus\\:bg-orange-300:focus{--bg-opacity:1;background-color:#fbd38d;background-color:rgba(251, 211, 141, var(--bg-opacity))}.xl\\:focus\\:bg-orange-400:focus{--bg-opacity:1;background-color:#f6ad55;background-color:rgba(246, 173, 85, var(--bg-opacity))}.xl\\:focus\\:bg-orange-500:focus{--bg-opacity:1;background-color:#ed8936;background-color:rgba(237, 137, 54, var(--bg-opacity))}.xl\\:focus\\:bg-orange-600:focus{--bg-opacity:1;background-color:#dd6b20;background-color:rgba(221, 107, 32, var(--bg-opacity))}.xl\\:focus\\:bg-orange-700:focus{--bg-opacity:1;background-color:#c05621;background-color:rgba(192, 86, 33, var(--bg-opacity))}.xl\\:focus\\:bg-orange-800:focus{--bg-opacity:1;background-color:#9c4221;background-color:rgba(156, 66, 33, var(--bg-opacity))}.xl\\:focus\\:bg-orange-900:focus{--bg-opacity:1;background-color:#7b341e;background-color:rgba(123, 52, 30, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-100:focus{--bg-opacity:1;background-color:#fffff0;background-color:rgba(255, 255, 240, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-200:focus{--bg-opacity:1;background-color:#fefcbf;background-color:rgba(254, 252, 191, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-300:focus{--bg-opacity:1;background-color:#faf089;background-color:rgba(250, 240, 137, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-400:focus{--bg-opacity:1;background-color:#f6e05e;background-color:rgba(246, 224, 94, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-500:focus{--bg-opacity:1;background-color:#ecc94b;background-color:rgba(236, 201, 75, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-600:focus{--bg-opacity:1;background-color:#d69e2e;background-color:rgba(214, 158, 46, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-700:focus{--bg-opacity:1;background-color:#b7791f;background-color:rgba(183, 121, 31, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-800:focus{--bg-opacity:1;background-color:#975a16;background-color:rgba(151, 90, 22, var(--bg-opacity))}.xl\\:focus\\:bg-yellow-900:focus{--bg-opacity:1;background-color:#744210;background-color:rgba(116, 66, 16, var(--bg-opacity))}.xl\\:focus\\:bg-green-100:focus{--bg-opacity:1;background-color:#f0fff4;background-color:rgba(240, 255, 244, var(--bg-opacity))}.xl\\:focus\\:bg-green-200:focus{--bg-opacity:1;background-color:#c6f6d5;background-color:rgba(198, 246, 213, var(--bg-opacity))}.xl\\:focus\\:bg-green-300:focus{--bg-opacity:1;background-color:#9ae6b4;background-color:rgba(154, 230, 180, var(--bg-opacity))}.xl\\:focus\\:bg-green-400:focus{--bg-opacity:1;background-color:#68d391;background-color:rgba(104, 211, 145, var(--bg-opacity))}.xl\\:focus\\:bg-green-500:focus{--bg-opacity:1;background-color:#48bb78;background-color:rgba(72, 187, 120, var(--bg-opacity))}.xl\\:focus\\:bg-green-600:focus{--bg-opacity:1;background-color:#38a169;background-color:rgba(56, 161, 105, var(--bg-opacity))}.xl\\:focus\\:bg-green-700:focus{--bg-opacity:1;background-color:#2f855a;background-color:rgba(47, 133, 90, var(--bg-opacity))}.xl\\:focus\\:bg-green-800:focus{--bg-opacity:1;background-color:#276749;background-color:rgba(39, 103, 73, var(--bg-opacity))}.xl\\:focus\\:bg-green-900:focus{--bg-opacity:1;background-color:#22543d;background-color:rgba(34, 84, 61, var(--bg-opacity))}.xl\\:focus\\:bg-teal-100:focus{--bg-opacity:1;background-color:#e6fffa;background-color:rgba(230, 255, 250, var(--bg-opacity))}.xl\\:focus\\:bg-teal-200:focus{--bg-opacity:1;background-color:#b2f5ea;background-color:rgba(178, 245, 234, var(--bg-opacity))}.xl\\:focus\\:bg-teal-300:focus{--bg-opacity:1;background-color:#81e6d9;background-color:rgba(129, 230, 217, var(--bg-opacity))}.xl\\:focus\\:bg-teal-400:focus{--bg-opacity:1;background-color:#4fd1c5;background-color:rgba(79, 209, 197, var(--bg-opacity))}.xl\\:focus\\:bg-teal-500:focus{--bg-opacity:1;background-color:#38b2ac;background-color:rgba(56, 178, 172, var(--bg-opacity))}.xl\\:focus\\:bg-teal-600:focus{--bg-opacity:1;background-color:#319795;background-color:rgba(49, 151, 149, var(--bg-opacity))}.xl\\:focus\\:bg-teal-700:focus{--bg-opacity:1;background-color:#2c7a7b;background-color:rgba(44, 122, 123, var(--bg-opacity))}.xl\\:focus\\:bg-teal-800:focus{--bg-opacity:1;background-color:#285e61;background-color:rgba(40, 94, 97, var(--bg-opacity))}.xl\\:focus\\:bg-teal-900:focus{--bg-opacity:1;background-color:#234e52;background-color:rgba(35, 78, 82, var(--bg-opacity))}.xl\\:focus\\:bg-blue-100:focus{--bg-opacity:1;background-color:#ebf8ff;background-color:rgba(235, 248, 255, var(--bg-opacity))}.xl\\:focus\\:bg-blue-200:focus{--bg-opacity:1;background-color:#bee3f8;background-color:rgba(190, 227, 248, var(--bg-opacity))}.xl\\:focus\\:bg-blue-300:focus{--bg-opacity:1;background-color:#90cdf4;background-color:rgba(144, 205, 244, var(--bg-opacity))}.xl\\:focus\\:bg-blue-400:focus{--bg-opacity:1;background-color:#63b3ed;background-color:rgba(99, 179, 237, var(--bg-opacity))}.xl\\:focus\\:bg-blue-500:focus{--bg-opacity:1;background-color:#4299e1;background-color:rgba(66, 153, 225, var(--bg-opacity))}.xl\\:focus\\:bg-blue-600:focus{--bg-opacity:1;background-color:#3182ce;background-color:rgba(49, 130, 206, var(--bg-opacity))}.xl\\:focus\\:bg-blue-700:focus{--bg-opacity:1;background-color:#2b6cb0;background-color:rgba(43, 108, 176, var(--bg-opacity))}.xl\\:focus\\:bg-blue-800:focus{--bg-opacity:1;background-color:#2c5282;background-color:rgba(44, 82, 130, var(--bg-opacity))}.xl\\:focus\\:bg-blue-900:focus{--bg-opacity:1;background-color:#2a4365;background-color:rgba(42, 67, 101, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-100:focus{--bg-opacity:1;background-color:#ebf4ff;background-color:rgba(235, 244, 255, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-200:focus{--bg-opacity:1;background-color:#c3dafe;background-color:rgba(195, 218, 254, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-300:focus{--bg-opacity:1;background-color:#a3bffa;background-color:rgba(163, 191, 250, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-400:focus{--bg-opacity:1;background-color:#7f9cf5;background-color:rgba(127, 156, 245, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-500:focus{--bg-opacity:1;background-color:#667eea;background-color:rgba(102, 126, 234, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-600:focus{--bg-opacity:1;background-color:#5a67d8;background-color:rgba(90, 103, 216, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-700:focus{--bg-opacity:1;background-color:#4c51bf;background-color:rgba(76, 81, 191, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-800:focus{--bg-opacity:1;background-color:#434190;background-color:rgba(67, 65, 144, var(--bg-opacity))}.xl\\:focus\\:bg-indigo-900:focus{--bg-opacity:1;background-color:#3c366b;background-color:rgba(60, 54, 107, var(--bg-opacity))}.xl\\:focus\\:bg-purple-100:focus{--bg-opacity:1;background-color:#faf5ff;background-color:rgba(250, 245, 255, var(--bg-opacity))}.xl\\:focus\\:bg-purple-200:focus{--bg-opacity:1;background-color:#e9d8fd;background-color:rgba(233, 216, 253, var(--bg-opacity))}.xl\\:focus\\:bg-purple-300:focus{--bg-opacity:1;background-color:#d6bcfa;background-color:rgba(214, 188, 250, var(--bg-opacity))}.xl\\:focus\\:bg-purple-400:focus{--bg-opacity:1;background-color:#b794f4;background-color:rgba(183, 148, 244, var(--bg-opacity))}.xl\\:focus\\:bg-purple-500:focus{--bg-opacity:1;background-color:#9f7aea;background-color:rgba(159, 122, 234, var(--bg-opacity))}.xl\\:focus\\:bg-purple-600:focus{--bg-opacity:1;background-color:#805ad5;background-color:rgba(128, 90, 213, var(--bg-opacity))}.xl\\:focus\\:bg-purple-700:focus{--bg-opacity:1;background-color:#6b46c1;background-color:rgba(107, 70, 193, var(--bg-opacity))}.xl\\:focus\\:bg-purple-800:focus{--bg-opacity:1;background-color:#553c9a;background-color:rgba(85, 60, 154, var(--bg-opacity))}.xl\\:focus\\:bg-purple-900:focus{--bg-opacity:1;background-color:#44337a;background-color:rgba(68, 51, 122, var(--bg-opacity))}.xl\\:focus\\:bg-pink-100:focus{--bg-opacity:1;background-color:#fff5f7;background-color:rgba(255, 245, 247, var(--bg-opacity))}.xl\\:focus\\:bg-pink-200:focus{--bg-opacity:1;background-color:#fed7e2;background-color:rgba(254, 215, 226, var(--bg-opacity))}.xl\\:focus\\:bg-pink-300:focus{--bg-opacity:1;background-color:#fbb6ce;background-color:rgba(251, 182, 206, var(--bg-opacity))}.xl\\:focus\\:bg-pink-400:focus{--bg-opacity:1;background-color:#f687b3;background-color:rgba(246, 135, 179, var(--bg-opacity))}.xl\\:focus\\:bg-pink-500:focus{--bg-opacity:1;background-color:#ed64a6;background-color:rgba(237, 100, 166, var(--bg-opacity))}.xl\\:focus\\:bg-pink-600:focus{--bg-opacity:1;background-color:#d53f8c;background-color:rgba(213, 63, 140, var(--bg-opacity))}.xl\\:focus\\:bg-pink-700:focus{--bg-opacity:1;background-color:#b83280;background-color:rgba(184, 50, 128, var(--bg-opacity))}.xl\\:focus\\:bg-pink-800:focus{--bg-opacity:1;background-color:#97266d;background-color:rgba(151, 38, 109, var(--bg-opacity))}.xl\\:focus\\:bg-pink-900:focus{--bg-opacity:1;background-color:#702459;background-color:rgba(112, 36, 89, var(--bg-opacity))}.xl\\:bg-none{background-image:none}.xl\\:bg-gradient-to-t{background-image:-webkit-gradient(linear, left bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top, var(--gradient-color-stops))}.xl\\:bg-gradient-to-tr{background-image:-webkit-gradient(linear, left bottom, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top right, var(--gradient-color-stops))}.xl\\:bg-gradient-to-r{background-image:-webkit-gradient(linear, left top, right top, from(var(--gradient-color-stops)));background-image:linear-gradient(to right, var(--gradient-color-stops))}.xl\\:bg-gradient-to-br{background-image:-webkit-gradient(linear, left top, right bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom right, var(--gradient-color-stops))}.xl\\:bg-gradient-to-b{background-image:-webkit-gradient(linear, left top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom, var(--gradient-color-stops))}.xl\\:bg-gradient-to-bl{background-image:-webkit-gradient(linear, right top, left bottom, from(var(--gradient-color-stops)));background-image:linear-gradient(to bottom left, var(--gradient-color-stops))}.xl\\:bg-gradient-to-l{background-image:-webkit-gradient(linear, right top, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to left, var(--gradient-color-stops))}.xl\\:bg-gradient-to-tl{background-image:-webkit-gradient(linear, right bottom, left top, from(var(--gradient-color-stops)));background-image:linear-gradient(to top left, var(--gradient-color-stops))}.xl\\:from-transparent{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:from-current{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:from-black{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:from-white{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:from-gray-100{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:from-gray-200{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:from-gray-300{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:from-gray-400{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:from-gray-500{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:from-gray-600{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:from-gray-700{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:from-gray-800{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:from-gray-900{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:from-red-100{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:from-red-200{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:from-red-300{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:from-red-400{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:from-red-500{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:from-red-600{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:from-red-700{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:from-red-800{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:from-red-900{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:from-orange-100{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:from-orange-200{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:from-orange-300{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:from-orange-400{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:from-orange-500{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:from-orange-600{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:from-orange-700{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:from-orange-800{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:from-orange-900{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:from-yellow-100{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:from-yellow-200{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:from-yellow-300{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:from-yellow-400{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:from-yellow-500{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:from-yellow-600{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:from-yellow-700{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:from-yellow-800{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:from-yellow-900{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:from-green-100{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:from-green-200{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:from-green-300{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:from-green-400{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:from-green-500{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:from-green-600{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:from-green-700{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:from-green-800{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:from-green-900{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:from-teal-100{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:from-teal-200{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:from-teal-300{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:from-teal-400{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:from-teal-500{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:from-teal-600{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:from-teal-700{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:from-teal-800{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:from-teal-900{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:from-blue-100{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:from-blue-200{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:from-blue-300{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:from-blue-400{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:from-blue-500{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:from-blue-600{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:from-blue-700{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:from-blue-800{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:from-blue-900{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:from-indigo-100{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:from-indigo-200{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:from-indigo-300{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:from-indigo-400{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:from-indigo-500{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:from-indigo-600{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:from-indigo-700{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:from-indigo-800{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:from-indigo-900{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:from-purple-100{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:from-purple-200{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:from-purple-300{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:from-purple-400{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:from-purple-500{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:from-purple-600{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:from-purple-700{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:from-purple-800{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:from-purple-900{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:from-pink-100{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:from-pink-200{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:from-pink-300{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:from-pink-400{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:from-pink-500{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:from-pink-600{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:from-pink-700{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:from-pink-800{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:from-pink-900{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:via-transparent{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:via-current{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:via-black{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:via-white{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:via-gray-100{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:via-gray-200{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:via-gray-300{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:via-gray-400{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:via-gray-500{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:via-gray-600{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:via-gray-700{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:via-gray-800{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:via-gray-900{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:via-red-100{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:via-red-200{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:via-red-300{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:via-red-400{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:via-red-500{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:via-red-600{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:via-red-700{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:via-red-800{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:via-red-900{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:via-orange-100{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:via-orange-200{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:via-orange-300{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:via-orange-400{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:via-orange-500{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:via-orange-600{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:via-orange-700{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:via-orange-800{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:via-orange-900{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:via-yellow-100{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:via-yellow-200{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:via-yellow-300{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:via-yellow-400{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:via-yellow-500{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:via-yellow-600{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:via-yellow-700{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:via-yellow-800{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:via-yellow-900{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:via-green-100{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:via-green-200{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:via-green-300{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:via-green-400{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:via-green-500{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:via-green-600{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:via-green-700{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:via-green-800{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:via-green-900{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:via-teal-100{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:via-teal-200{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:via-teal-300{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:via-teal-400{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:via-teal-500{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:via-teal-600{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:via-teal-700{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:via-teal-800{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:via-teal-900{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:via-blue-100{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:via-blue-200{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:via-blue-300{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:via-blue-400{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:via-blue-500{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:via-blue-600{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:via-blue-700{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:via-blue-800{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:via-blue-900{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:via-indigo-100{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:via-indigo-200{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:via-indigo-300{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:via-indigo-400{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:via-indigo-500{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:via-indigo-600{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:via-indigo-700{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:via-indigo-800{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:via-indigo-900{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:via-purple-100{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:via-purple-200{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:via-purple-300{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:via-purple-400{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:via-purple-500{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:via-purple-600{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:via-purple-700{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:via-purple-800{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:via-purple-900{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:via-pink-100{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:via-pink-200{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:via-pink-300{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:via-pink-400{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:via-pink-500{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:via-pink-600{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:via-pink-700{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:via-pink-800{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:via-pink-900{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:to-transparent{--gradient-to-color:transparent}.xl\\:to-current{--gradient-to-color:currentColor}.xl\\:to-black{--gradient-to-color:#000}.xl\\:to-white{--gradient-to-color:#fff}.xl\\:to-gray-100{--gradient-to-color:#f7fafc}.xl\\:to-gray-200{--gradient-to-color:#edf2f7}.xl\\:to-gray-300{--gradient-to-color:#e2e8f0}.xl\\:to-gray-400{--gradient-to-color:#cbd5e0}.xl\\:to-gray-500{--gradient-to-color:#a0aec0}.xl\\:to-gray-600{--gradient-to-color:#718096}.xl\\:to-gray-700{--gradient-to-color:#4a5568}.xl\\:to-gray-800{--gradient-to-color:#2d3748}.xl\\:to-gray-900{--gradient-to-color:#1a202c}.xl\\:to-red-100{--gradient-to-color:#fff5f5}.xl\\:to-red-200{--gradient-to-color:#fed7d7}.xl\\:to-red-300{--gradient-to-color:#feb2b2}.xl\\:to-red-400{--gradient-to-color:#fc8181}.xl\\:to-red-500{--gradient-to-color:#f56565}.xl\\:to-red-600{--gradient-to-color:#e53e3e}.xl\\:to-red-700{--gradient-to-color:#c53030}.xl\\:to-red-800{--gradient-to-color:#9b2c2c}.xl\\:to-red-900{--gradient-to-color:#742a2a}.xl\\:to-orange-100{--gradient-to-color:#fffaf0}.xl\\:to-orange-200{--gradient-to-color:#feebc8}.xl\\:to-orange-300{--gradient-to-color:#fbd38d}.xl\\:to-orange-400{--gradient-to-color:#f6ad55}.xl\\:to-orange-500{--gradient-to-color:#ed8936}.xl\\:to-orange-600{--gradient-to-color:#dd6b20}.xl\\:to-orange-700{--gradient-to-color:#c05621}.xl\\:to-orange-800{--gradient-to-color:#9c4221}.xl\\:to-orange-900{--gradient-to-color:#7b341e}.xl\\:to-yellow-100{--gradient-to-color:#fffff0}.xl\\:to-yellow-200{--gradient-to-color:#fefcbf}.xl\\:to-yellow-300{--gradient-to-color:#faf089}.xl\\:to-yellow-400{--gradient-to-color:#f6e05e}.xl\\:to-yellow-500{--gradient-to-color:#ecc94b}.xl\\:to-yellow-600{--gradient-to-color:#d69e2e}.xl\\:to-yellow-700{--gradient-to-color:#b7791f}.xl\\:to-yellow-800{--gradient-to-color:#975a16}.xl\\:to-yellow-900{--gradient-to-color:#744210}.xl\\:to-green-100{--gradient-to-color:#f0fff4}.xl\\:to-green-200{--gradient-to-color:#c6f6d5}.xl\\:to-green-300{--gradient-to-color:#9ae6b4}.xl\\:to-green-400{--gradient-to-color:#68d391}.xl\\:to-green-500{--gradient-to-color:#48bb78}.xl\\:to-green-600{--gradient-to-color:#38a169}.xl\\:to-green-700{--gradient-to-color:#2f855a}.xl\\:to-green-800{--gradient-to-color:#276749}.xl\\:to-green-900{--gradient-to-color:#22543d}.xl\\:to-teal-100{--gradient-to-color:#e6fffa}.xl\\:to-teal-200{--gradient-to-color:#b2f5ea}.xl\\:to-teal-300{--gradient-to-color:#81e6d9}.xl\\:to-teal-400{--gradient-to-color:#4fd1c5}.xl\\:to-teal-500{--gradient-to-color:#38b2ac}.xl\\:to-teal-600{--gradient-to-color:#319795}.xl\\:to-teal-700{--gradient-to-color:#2c7a7b}.xl\\:to-teal-800{--gradient-to-color:#285e61}.xl\\:to-teal-900{--gradient-to-color:#234e52}.xl\\:to-blue-100{--gradient-to-color:#ebf8ff}.xl\\:to-blue-200{--gradient-to-color:#bee3f8}.xl\\:to-blue-300{--gradient-to-color:#90cdf4}.xl\\:to-blue-400{--gradient-to-color:#63b3ed}.xl\\:to-blue-500{--gradient-to-color:#4299e1}.xl\\:to-blue-600{--gradient-to-color:#3182ce}.xl\\:to-blue-700{--gradient-to-color:#2b6cb0}.xl\\:to-blue-800{--gradient-to-color:#2c5282}.xl\\:to-blue-900{--gradient-to-color:#2a4365}.xl\\:to-indigo-100{--gradient-to-color:#ebf4ff}.xl\\:to-indigo-200{--gradient-to-color:#c3dafe}.xl\\:to-indigo-300{--gradient-to-color:#a3bffa}.xl\\:to-indigo-400{--gradient-to-color:#7f9cf5}.xl\\:to-indigo-500{--gradient-to-color:#667eea}.xl\\:to-indigo-600{--gradient-to-color:#5a67d8}.xl\\:to-indigo-700{--gradient-to-color:#4c51bf}.xl\\:to-indigo-800{--gradient-to-color:#434190}.xl\\:to-indigo-900{--gradient-to-color:#3c366b}.xl\\:to-purple-100{--gradient-to-color:#faf5ff}.xl\\:to-purple-200{--gradient-to-color:#e9d8fd}.xl\\:to-purple-300{--gradient-to-color:#d6bcfa}.xl\\:to-purple-400{--gradient-to-color:#b794f4}.xl\\:to-purple-500{--gradient-to-color:#9f7aea}.xl\\:to-purple-600{--gradient-to-color:#805ad5}.xl\\:to-purple-700{--gradient-to-color:#6b46c1}.xl\\:to-purple-800{--gradient-to-color:#553c9a}.xl\\:to-purple-900{--gradient-to-color:#44337a}.xl\\:to-pink-100{--gradient-to-color:#fff5f7}.xl\\:to-pink-200{--gradient-to-color:#fed7e2}.xl\\:to-pink-300{--gradient-to-color:#fbb6ce}.xl\\:to-pink-400{--gradient-to-color:#f687b3}.xl\\:to-pink-500{--gradient-to-color:#ed64a6}.xl\\:to-pink-600{--gradient-to-color:#d53f8c}.xl\\:to-pink-700{--gradient-to-color:#b83280}.xl\\:to-pink-800{--gradient-to-color:#97266d}.xl\\:to-pink-900{--gradient-to-color:#702459}.xl\\:hover\\:from-transparent:hover{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:from-current:hover{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:from-black:hover{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:from-white:hover{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:from-gray-100:hover{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:hover\\:from-gray-200:hover{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:hover\\:from-gray-300:hover{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:hover\\:from-gray-400:hover{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:hover\\:from-gray-500:hover{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:hover\\:from-gray-600:hover{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:hover\\:from-gray-700:hover{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:hover\\:from-gray-800:hover{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:hover\\:from-gray-900:hover{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:hover\\:from-red-100:hover{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:hover\\:from-red-200:hover{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:hover\\:from-red-300:hover{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:hover\\:from-red-400:hover{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:hover\\:from-red-500:hover{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:hover\\:from-red-600:hover{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:hover\\:from-red-700:hover{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:hover\\:from-red-800:hover{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:hover\\:from-red-900:hover{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:hover\\:from-orange-100:hover{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:hover\\:from-orange-200:hover{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:hover\\:from-orange-300:hover{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:hover\\:from-orange-400:hover{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:hover\\:from-orange-500:hover{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:hover\\:from-orange-600:hover{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:hover\\:from-orange-700:hover{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:hover\\:from-orange-800:hover{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:hover\\:from-orange-900:hover{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:hover\\:from-yellow-100:hover{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:hover\\:from-yellow-200:hover{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:hover\\:from-yellow-300:hover{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:hover\\:from-yellow-400:hover{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:hover\\:from-yellow-500:hover{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:hover\\:from-yellow-600:hover{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:hover\\:from-yellow-700:hover{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:hover\\:from-yellow-800:hover{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:hover\\:from-yellow-900:hover{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:hover\\:from-green-100:hover{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:hover\\:from-green-200:hover{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:hover\\:from-green-300:hover{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:hover\\:from-green-400:hover{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:hover\\:from-green-500:hover{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:hover\\:from-green-600:hover{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:hover\\:from-green-700:hover{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:hover\\:from-green-800:hover{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:hover\\:from-green-900:hover{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:hover\\:from-teal-100:hover{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:hover\\:from-teal-200:hover{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:hover\\:from-teal-300:hover{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:hover\\:from-teal-400:hover{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:hover\\:from-teal-500:hover{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:hover\\:from-teal-600:hover{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:hover\\:from-teal-700:hover{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:hover\\:from-teal-800:hover{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:hover\\:from-teal-900:hover{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:hover\\:from-blue-100:hover{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:hover\\:from-blue-200:hover{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:hover\\:from-blue-300:hover{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:hover\\:from-blue-400:hover{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:hover\\:from-blue-500:hover{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:hover\\:from-blue-600:hover{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:hover\\:from-blue-700:hover{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:hover\\:from-blue-800:hover{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:hover\\:from-blue-900:hover{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:hover\\:from-indigo-100:hover{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:hover\\:from-indigo-200:hover{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:hover\\:from-indigo-300:hover{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:hover\\:from-indigo-400:hover{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:hover\\:from-indigo-500:hover{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:hover\\:from-indigo-600:hover{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:hover\\:from-indigo-700:hover{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:hover\\:from-indigo-800:hover{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:hover\\:from-indigo-900:hover{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:hover\\:from-purple-100:hover{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:hover\\:from-purple-200:hover{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:hover\\:from-purple-300:hover{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:hover\\:from-purple-400:hover{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:hover\\:from-purple-500:hover{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:hover\\:from-purple-600:hover{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:hover\\:from-purple-700:hover{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:hover\\:from-purple-800:hover{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:hover\\:from-purple-900:hover{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:hover\\:from-pink-100:hover{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:hover\\:from-pink-200:hover{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:hover\\:from-pink-300:hover{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:hover\\:from-pink-400:hover{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:hover\\:from-pink-500:hover{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:hover\\:from-pink-600:hover{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:hover\\:from-pink-700:hover{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:hover\\:from-pink-800:hover{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:hover\\:from-pink-900:hover{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:hover\\:via-transparent:hover{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:via-current:hover{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:via-black:hover{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:hover\\:via-white:hover{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:hover\\:via-gray-100:hover{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:hover\\:via-gray-200:hover{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:hover\\:via-gray-300:hover{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:hover\\:via-gray-400:hover{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:hover\\:via-gray-500:hover{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:hover\\:via-gray-600:hover{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:hover\\:via-gray-700:hover{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:hover\\:via-gray-800:hover{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:hover\\:via-gray-900:hover{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:hover\\:via-red-100:hover{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:hover\\:via-red-200:hover{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:hover\\:via-red-300:hover{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:hover\\:via-red-400:hover{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:hover\\:via-red-500:hover{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:hover\\:via-red-600:hover{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:hover\\:via-red-700:hover{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:hover\\:via-red-800:hover{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:hover\\:via-red-900:hover{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:hover\\:via-orange-100:hover{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:hover\\:via-orange-200:hover{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:hover\\:via-orange-300:hover{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:hover\\:via-orange-400:hover{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:hover\\:via-orange-500:hover{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:hover\\:via-orange-600:hover{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:hover\\:via-orange-700:hover{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:hover\\:via-orange-800:hover{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:hover\\:via-orange-900:hover{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:hover\\:via-yellow-100:hover{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:hover\\:via-yellow-200:hover{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:hover\\:via-yellow-300:hover{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:hover\\:via-yellow-400:hover{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:hover\\:via-yellow-500:hover{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:hover\\:via-yellow-600:hover{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:hover\\:via-yellow-700:hover{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:hover\\:via-yellow-800:hover{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:hover\\:via-yellow-900:hover{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:hover\\:via-green-100:hover{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:hover\\:via-green-200:hover{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:hover\\:via-green-300:hover{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:hover\\:via-green-400:hover{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:hover\\:via-green-500:hover{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:hover\\:via-green-600:hover{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:hover\\:via-green-700:hover{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:hover\\:via-green-800:hover{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:hover\\:via-green-900:hover{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:hover\\:via-teal-100:hover{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:hover\\:via-teal-200:hover{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:hover\\:via-teal-300:hover{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:hover\\:via-teal-400:hover{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:hover\\:via-teal-500:hover{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:hover\\:via-teal-600:hover{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:hover\\:via-teal-700:hover{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:hover\\:via-teal-800:hover{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:hover\\:via-teal-900:hover{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:hover\\:via-blue-100:hover{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:hover\\:via-blue-200:hover{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:hover\\:via-blue-300:hover{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:hover\\:via-blue-400:hover{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:hover\\:via-blue-500:hover{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:hover\\:via-blue-600:hover{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:hover\\:via-blue-700:hover{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:hover\\:via-blue-800:hover{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:hover\\:via-blue-900:hover{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:hover\\:via-indigo-100:hover{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:hover\\:via-indigo-200:hover{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:hover\\:via-indigo-300:hover{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:hover\\:via-indigo-400:hover{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:hover\\:via-indigo-500:hover{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:hover\\:via-indigo-600:hover{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:hover\\:via-indigo-700:hover{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:hover\\:via-indigo-800:hover{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:hover\\:via-indigo-900:hover{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:hover\\:via-purple-100:hover{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:hover\\:via-purple-200:hover{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:hover\\:via-purple-300:hover{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:hover\\:via-purple-400:hover{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:hover\\:via-purple-500:hover{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:hover\\:via-purple-600:hover{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:hover\\:via-purple-700:hover{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:hover\\:via-purple-800:hover{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:hover\\:via-purple-900:hover{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:hover\\:via-pink-100:hover{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:hover\\:via-pink-200:hover{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:hover\\:via-pink-300:hover{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:hover\\:via-pink-400:hover{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:hover\\:via-pink-500:hover{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:hover\\:via-pink-600:hover{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:hover\\:via-pink-700:hover{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:hover\\:via-pink-800:hover{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:hover\\:via-pink-900:hover{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:hover\\:to-transparent:hover{--gradient-to-color:transparent}.xl\\:hover\\:to-current:hover{--gradient-to-color:currentColor}.xl\\:hover\\:to-black:hover{--gradient-to-color:#000}.xl\\:hover\\:to-white:hover{--gradient-to-color:#fff}.xl\\:hover\\:to-gray-100:hover{--gradient-to-color:#f7fafc}.xl\\:hover\\:to-gray-200:hover{--gradient-to-color:#edf2f7}.xl\\:hover\\:to-gray-300:hover{--gradient-to-color:#e2e8f0}.xl\\:hover\\:to-gray-400:hover{--gradient-to-color:#cbd5e0}.xl\\:hover\\:to-gray-500:hover{--gradient-to-color:#a0aec0}.xl\\:hover\\:to-gray-600:hover{--gradient-to-color:#718096}.xl\\:hover\\:to-gray-700:hover{--gradient-to-color:#4a5568}.xl\\:hover\\:to-gray-800:hover{--gradient-to-color:#2d3748}.xl\\:hover\\:to-gray-900:hover{--gradient-to-color:#1a202c}.xl\\:hover\\:to-red-100:hover{--gradient-to-color:#fff5f5}.xl\\:hover\\:to-red-200:hover{--gradient-to-color:#fed7d7}.xl\\:hover\\:to-red-300:hover{--gradient-to-color:#feb2b2}.xl\\:hover\\:to-red-400:hover{--gradient-to-color:#fc8181}.xl\\:hover\\:to-red-500:hover{--gradient-to-color:#f56565}.xl\\:hover\\:to-red-600:hover{--gradient-to-color:#e53e3e}.xl\\:hover\\:to-red-700:hover{--gradient-to-color:#c53030}.xl\\:hover\\:to-red-800:hover{--gradient-to-color:#9b2c2c}.xl\\:hover\\:to-red-900:hover{--gradient-to-color:#742a2a}.xl\\:hover\\:to-orange-100:hover{--gradient-to-color:#fffaf0}.xl\\:hover\\:to-orange-200:hover{--gradient-to-color:#feebc8}.xl\\:hover\\:to-orange-300:hover{--gradient-to-color:#fbd38d}.xl\\:hover\\:to-orange-400:hover{--gradient-to-color:#f6ad55}.xl\\:hover\\:to-orange-500:hover{--gradient-to-color:#ed8936}.xl\\:hover\\:to-orange-600:hover{--gradient-to-color:#dd6b20}.xl\\:hover\\:to-orange-700:hover{--gradient-to-color:#c05621}.xl\\:hover\\:to-orange-800:hover{--gradient-to-color:#9c4221}.xl\\:hover\\:to-orange-900:hover{--gradient-to-color:#7b341e}.xl\\:hover\\:to-yellow-100:hover{--gradient-to-color:#fffff0}.xl\\:hover\\:to-yellow-200:hover{--gradient-to-color:#fefcbf}.xl\\:hover\\:to-yellow-300:hover{--gradient-to-color:#faf089}.xl\\:hover\\:to-yellow-400:hover{--gradient-to-color:#f6e05e}.xl\\:hover\\:to-yellow-500:hover{--gradient-to-color:#ecc94b}.xl\\:hover\\:to-yellow-600:hover{--gradient-to-color:#d69e2e}.xl\\:hover\\:to-yellow-700:hover{--gradient-to-color:#b7791f}.xl\\:hover\\:to-yellow-800:hover{--gradient-to-color:#975a16}.xl\\:hover\\:to-yellow-900:hover{--gradient-to-color:#744210}.xl\\:hover\\:to-green-100:hover{--gradient-to-color:#f0fff4}.xl\\:hover\\:to-green-200:hover{--gradient-to-color:#c6f6d5}.xl\\:hover\\:to-green-300:hover{--gradient-to-color:#9ae6b4}.xl\\:hover\\:to-green-400:hover{--gradient-to-color:#68d391}.xl\\:hover\\:to-green-500:hover{--gradient-to-color:#48bb78}.xl\\:hover\\:to-green-600:hover{--gradient-to-color:#38a169}.xl\\:hover\\:to-green-700:hover{--gradient-to-color:#2f855a}.xl\\:hover\\:to-green-800:hover{--gradient-to-color:#276749}.xl\\:hover\\:to-green-900:hover{--gradient-to-color:#22543d}.xl\\:hover\\:to-teal-100:hover{--gradient-to-color:#e6fffa}.xl\\:hover\\:to-teal-200:hover{--gradient-to-color:#b2f5ea}.xl\\:hover\\:to-teal-300:hover{--gradient-to-color:#81e6d9}.xl\\:hover\\:to-teal-400:hover{--gradient-to-color:#4fd1c5}.xl\\:hover\\:to-teal-500:hover{--gradient-to-color:#38b2ac}.xl\\:hover\\:to-teal-600:hover{--gradient-to-color:#319795}.xl\\:hover\\:to-teal-700:hover{--gradient-to-color:#2c7a7b}.xl\\:hover\\:to-teal-800:hover{--gradient-to-color:#285e61}.xl\\:hover\\:to-teal-900:hover{--gradient-to-color:#234e52}.xl\\:hover\\:to-blue-100:hover{--gradient-to-color:#ebf8ff}.xl\\:hover\\:to-blue-200:hover{--gradient-to-color:#bee3f8}.xl\\:hover\\:to-blue-300:hover{--gradient-to-color:#90cdf4}.xl\\:hover\\:to-blue-400:hover{--gradient-to-color:#63b3ed}.xl\\:hover\\:to-blue-500:hover{--gradient-to-color:#4299e1}.xl\\:hover\\:to-blue-600:hover{--gradient-to-color:#3182ce}.xl\\:hover\\:to-blue-700:hover{--gradient-to-color:#2b6cb0}.xl\\:hover\\:to-blue-800:hover{--gradient-to-color:#2c5282}.xl\\:hover\\:to-blue-900:hover{--gradient-to-color:#2a4365}.xl\\:hover\\:to-indigo-100:hover{--gradient-to-color:#ebf4ff}.xl\\:hover\\:to-indigo-200:hover{--gradient-to-color:#c3dafe}.xl\\:hover\\:to-indigo-300:hover{--gradient-to-color:#a3bffa}.xl\\:hover\\:to-indigo-400:hover{--gradient-to-color:#7f9cf5}.xl\\:hover\\:to-indigo-500:hover{--gradient-to-color:#667eea}.xl\\:hover\\:to-indigo-600:hover{--gradient-to-color:#5a67d8}.xl\\:hover\\:to-indigo-700:hover{--gradient-to-color:#4c51bf}.xl\\:hover\\:to-indigo-800:hover{--gradient-to-color:#434190}.xl\\:hover\\:to-indigo-900:hover{--gradient-to-color:#3c366b}.xl\\:hover\\:to-purple-100:hover{--gradient-to-color:#faf5ff}.xl\\:hover\\:to-purple-200:hover{--gradient-to-color:#e9d8fd}.xl\\:hover\\:to-purple-300:hover{--gradient-to-color:#d6bcfa}.xl\\:hover\\:to-purple-400:hover{--gradient-to-color:#b794f4}.xl\\:hover\\:to-purple-500:hover{--gradient-to-color:#9f7aea}.xl\\:hover\\:to-purple-600:hover{--gradient-to-color:#805ad5}.xl\\:hover\\:to-purple-700:hover{--gradient-to-color:#6b46c1}.xl\\:hover\\:to-purple-800:hover{--gradient-to-color:#553c9a}.xl\\:hover\\:to-purple-900:hover{--gradient-to-color:#44337a}.xl\\:hover\\:to-pink-100:hover{--gradient-to-color:#fff5f7}.xl\\:hover\\:to-pink-200:hover{--gradient-to-color:#fed7e2}.xl\\:hover\\:to-pink-300:hover{--gradient-to-color:#fbb6ce}.xl\\:hover\\:to-pink-400:hover{--gradient-to-color:#f687b3}.xl\\:hover\\:to-pink-500:hover{--gradient-to-color:#ed64a6}.xl\\:hover\\:to-pink-600:hover{--gradient-to-color:#d53f8c}.xl\\:hover\\:to-pink-700:hover{--gradient-to-color:#b83280}.xl\\:hover\\:to-pink-800:hover{--gradient-to-color:#97266d}.xl\\:hover\\:to-pink-900:hover{--gradient-to-color:#702459}.xl\\:focus\\:from-transparent:focus{--gradient-from-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:from-current:focus{--gradient-from-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:from-black:focus{--gradient-from-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:from-white:focus{--gradient-from-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:from-gray-100:focus{--gradient-from-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:focus\\:from-gray-200:focus{--gradient-from-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:focus\\:from-gray-300:focus{--gradient-from-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:focus\\:from-gray-400:focus{--gradient-from-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:focus\\:from-gray-500:focus{--gradient-from-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:focus\\:from-gray-600:focus{--gradient-from-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:focus\\:from-gray-700:focus{--gradient-from-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:focus\\:from-gray-800:focus{--gradient-from-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:focus\\:from-gray-900:focus{--gradient-from-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:focus\\:from-red-100:focus{--gradient-from-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:focus\\:from-red-200:focus{--gradient-from-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:focus\\:from-red-300:focus{--gradient-from-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:focus\\:from-red-400:focus{--gradient-from-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:focus\\:from-red-500:focus{--gradient-from-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:focus\\:from-red-600:focus{--gradient-from-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:focus\\:from-red-700:focus{--gradient-from-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:focus\\:from-red-800:focus{--gradient-from-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:focus\\:from-red-900:focus{--gradient-from-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:focus\\:from-orange-100:focus{--gradient-from-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:focus\\:from-orange-200:focus{--gradient-from-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:focus\\:from-orange-300:focus{--gradient-from-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:focus\\:from-orange-400:focus{--gradient-from-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:focus\\:from-orange-500:focus{--gradient-from-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:focus\\:from-orange-600:focus{--gradient-from-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:focus\\:from-orange-700:focus{--gradient-from-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:focus\\:from-orange-800:focus{--gradient-from-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:focus\\:from-orange-900:focus{--gradient-from-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:focus\\:from-yellow-100:focus{--gradient-from-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:focus\\:from-yellow-200:focus{--gradient-from-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:focus\\:from-yellow-300:focus{--gradient-from-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:focus\\:from-yellow-400:focus{--gradient-from-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:focus\\:from-yellow-500:focus{--gradient-from-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:focus\\:from-yellow-600:focus{--gradient-from-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:focus\\:from-yellow-700:focus{--gradient-from-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:focus\\:from-yellow-800:focus{--gradient-from-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:focus\\:from-yellow-900:focus{--gradient-from-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:focus\\:from-green-100:focus{--gradient-from-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:focus\\:from-green-200:focus{--gradient-from-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:focus\\:from-green-300:focus{--gradient-from-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:focus\\:from-green-400:focus{--gradient-from-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:focus\\:from-green-500:focus{--gradient-from-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:focus\\:from-green-600:focus{--gradient-from-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:focus\\:from-green-700:focus{--gradient-from-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:focus\\:from-green-800:focus{--gradient-from-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:focus\\:from-green-900:focus{--gradient-from-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:focus\\:from-teal-100:focus{--gradient-from-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:focus\\:from-teal-200:focus{--gradient-from-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:focus\\:from-teal-300:focus{--gradient-from-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:focus\\:from-teal-400:focus{--gradient-from-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:focus\\:from-teal-500:focus{--gradient-from-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:focus\\:from-teal-600:focus{--gradient-from-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:focus\\:from-teal-700:focus{--gradient-from-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:focus\\:from-teal-800:focus{--gradient-from-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:focus\\:from-teal-900:focus{--gradient-from-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:focus\\:from-blue-100:focus{--gradient-from-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:focus\\:from-blue-200:focus{--gradient-from-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:focus\\:from-blue-300:focus{--gradient-from-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:focus\\:from-blue-400:focus{--gradient-from-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:focus\\:from-blue-500:focus{--gradient-from-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:focus\\:from-blue-600:focus{--gradient-from-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:focus\\:from-blue-700:focus{--gradient-from-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:focus\\:from-blue-800:focus{--gradient-from-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:focus\\:from-blue-900:focus{--gradient-from-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:focus\\:from-indigo-100:focus{--gradient-from-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:focus\\:from-indigo-200:focus{--gradient-from-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:focus\\:from-indigo-300:focus{--gradient-from-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:focus\\:from-indigo-400:focus{--gradient-from-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:focus\\:from-indigo-500:focus{--gradient-from-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:focus\\:from-indigo-600:focus{--gradient-from-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:focus\\:from-indigo-700:focus{--gradient-from-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:focus\\:from-indigo-800:focus{--gradient-from-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:focus\\:from-indigo-900:focus{--gradient-from-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:focus\\:from-purple-100:focus{--gradient-from-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:focus\\:from-purple-200:focus{--gradient-from-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:focus\\:from-purple-300:focus{--gradient-from-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:focus\\:from-purple-400:focus{--gradient-from-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:focus\\:from-purple-500:focus{--gradient-from-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:focus\\:from-purple-600:focus{--gradient-from-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:focus\\:from-purple-700:focus{--gradient-from-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:focus\\:from-purple-800:focus{--gradient-from-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:focus\\:from-purple-900:focus{--gradient-from-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:focus\\:from-pink-100:focus{--gradient-from-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:focus\\:from-pink-200:focus{--gradient-from-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:focus\\:from-pink-300:focus{--gradient-from-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:focus\\:from-pink-400:focus{--gradient-from-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:focus\\:from-pink-500:focus{--gradient-from-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:focus\\:from-pink-600:focus{--gradient-from-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:focus\\:from-pink-700:focus{--gradient-from-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:focus\\:from-pink-800:focus{--gradient-from-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:focus\\:from-pink-900:focus{--gradient-from-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:focus\\:via-transparent:focus{--gradient-via-color:transparent;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:via-current:focus{--gradient-via-color:currentColor;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:via-black:focus{--gradient-via-color:#000;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(0, 0, 0, 0))}.xl\\:focus\\:via-white:focus{--gradient-via-color:#fff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 255, 0))}.xl\\:focus\\:via-gray-100:focus{--gradient-via-color:#f7fafc;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(247, 250, 252, 0))}.xl\\:focus\\:via-gray-200:focus{--gradient-via-color:#edf2f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 242, 247, 0))}.xl\\:focus\\:via-gray-300:focus{--gradient-via-color:#e2e8f0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(226, 232, 240, 0))}.xl\\:focus\\:via-gray-400:focus{--gradient-via-color:#cbd5e0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(203, 213, 224, 0))}.xl\\:focus\\:via-gray-500:focus{--gradient-via-color:#a0aec0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(160, 174, 192, 0))}.xl\\:focus\\:via-gray-600:focus{--gradient-via-color:#718096;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(113, 128, 150, 0))}.xl\\:focus\\:via-gray-700:focus{--gradient-via-color:#4a5568;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(74, 85, 104, 0))}.xl\\:focus\\:via-gray-800:focus{--gradient-via-color:#2d3748;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(45, 55, 72, 0))}.xl\\:focus\\:via-gray-900:focus{--gradient-via-color:#1a202c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(26, 32, 44, 0))}.xl\\:focus\\:via-red-100:focus{--gradient-via-color:#fff5f5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 245, 0))}.xl\\:focus\\:via-red-200:focus{--gradient-via-color:#fed7d7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 215, 0))}.xl\\:focus\\:via-red-300:focus{--gradient-via-color:#feb2b2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 178, 178, 0))}.xl\\:focus\\:via-red-400:focus{--gradient-via-color:#fc8181;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(252, 129, 129, 0))}.xl\\:focus\\:via-red-500:focus{--gradient-via-color:#f56565;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(245, 101, 101, 0))}.xl\\:focus\\:via-red-600:focus{--gradient-via-color:#e53e3e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(229, 62, 62, 0))}.xl\\:focus\\:via-red-700:focus{--gradient-via-color:#c53030;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(197, 48, 48, 0))}.xl\\:focus\\:via-red-800:focus{--gradient-via-color:#9b2c2c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(155, 44, 44, 0))}.xl\\:focus\\:via-red-900:focus{--gradient-via-color:#742a2a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 42, 42, 0))}.xl\\:focus\\:via-orange-100:focus{--gradient-via-color:#fffaf0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 250, 240, 0))}.xl\\:focus\\:via-orange-200:focus{--gradient-via-color:#feebc8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 235, 200, 0))}.xl\\:focus\\:via-orange-300:focus{--gradient-via-color:#fbd38d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 211, 141, 0))}.xl\\:focus\\:via-orange-400:focus{--gradient-via-color:#f6ad55;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 173, 85, 0))}.xl\\:focus\\:via-orange-500:focus{--gradient-via-color:#ed8936;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 137, 54, 0))}.xl\\:focus\\:via-orange-600:focus{--gradient-via-color:#dd6b20;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(221, 107, 32, 0))}.xl\\:focus\\:via-orange-700:focus{--gradient-via-color:#c05621;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(192, 86, 33, 0))}.xl\\:focus\\:via-orange-800:focus{--gradient-via-color:#9c4221;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(156, 66, 33, 0))}.xl\\:focus\\:via-orange-900:focus{--gradient-via-color:#7b341e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(123, 52, 30, 0))}.xl\\:focus\\:via-yellow-100:focus{--gradient-via-color:#fffff0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 255, 240, 0))}.xl\\:focus\\:via-yellow-200:focus{--gradient-via-color:#fefcbf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 252, 191, 0))}.xl\\:focus\\:via-yellow-300:focus{--gradient-via-color:#faf089;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 240, 137, 0))}.xl\\:focus\\:via-yellow-400:focus{--gradient-via-color:#f6e05e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 224, 94, 0))}.xl\\:focus\\:via-yellow-500:focus{--gradient-via-color:#ecc94b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(236, 201, 75, 0))}.xl\\:focus\\:via-yellow-600:focus{--gradient-via-color:#d69e2e;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 158, 46, 0))}.xl\\:focus\\:via-yellow-700:focus{--gradient-via-color:#b7791f;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 121, 31, 0))}.xl\\:focus\\:via-yellow-800:focus{--gradient-via-color:#975a16;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 90, 22, 0))}.xl\\:focus\\:via-yellow-900:focus{--gradient-via-color:#744210;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(116, 66, 16, 0))}.xl\\:focus\\:via-green-100:focus{--gradient-via-color:#f0fff4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(240, 255, 244, 0))}.xl\\:focus\\:via-green-200:focus{--gradient-via-color:#c6f6d5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(198, 246, 213, 0))}.xl\\:focus\\:via-green-300:focus{--gradient-via-color:#9ae6b4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(154, 230, 180, 0))}.xl\\:focus\\:via-green-400:focus{--gradient-via-color:#68d391;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(104, 211, 145, 0))}.xl\\:focus\\:via-green-500:focus{--gradient-via-color:#48bb78;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(72, 187, 120, 0))}.xl\\:focus\\:via-green-600:focus{--gradient-via-color:#38a169;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 161, 105, 0))}.xl\\:focus\\:via-green-700:focus{--gradient-via-color:#2f855a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(47, 133, 90, 0))}.xl\\:focus\\:via-green-800:focus{--gradient-via-color:#276749;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(39, 103, 73, 0))}.xl\\:focus\\:via-green-900:focus{--gradient-via-color:#22543d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(34, 84, 61, 0))}.xl\\:focus\\:via-teal-100:focus{--gradient-via-color:#e6fffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(230, 255, 250, 0))}.xl\\:focus\\:via-teal-200:focus{--gradient-via-color:#b2f5ea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(178, 245, 234, 0))}.xl\\:focus\\:via-teal-300:focus{--gradient-via-color:#81e6d9;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(129, 230, 217, 0))}.xl\\:focus\\:via-teal-400:focus{--gradient-via-color:#4fd1c5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(79, 209, 197, 0))}.xl\\:focus\\:via-teal-500:focus{--gradient-via-color:#38b2ac;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(56, 178, 172, 0))}.xl\\:focus\\:via-teal-600:focus{--gradient-via-color:#319795;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 151, 149, 0))}.xl\\:focus\\:via-teal-700:focus{--gradient-via-color:#2c7a7b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 122, 123, 0))}.xl\\:focus\\:via-teal-800:focus{--gradient-via-color:#285e61;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(40, 94, 97, 0))}.xl\\:focus\\:via-teal-900:focus{--gradient-via-color:#234e52;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(35, 78, 82, 0))}.xl\\:focus\\:via-blue-100:focus{--gradient-via-color:#ebf8ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 248, 255, 0))}.xl\\:focus\\:via-blue-200:focus{--gradient-via-color:#bee3f8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(190, 227, 248, 0))}.xl\\:focus\\:via-blue-300:focus{--gradient-via-color:#90cdf4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(144, 205, 244, 0))}.xl\\:focus\\:via-blue-400:focus{--gradient-via-color:#63b3ed;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(99, 179, 237, 0))}.xl\\:focus\\:via-blue-500:focus{--gradient-via-color:#4299e1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(66, 153, 225, 0))}.xl\\:focus\\:via-blue-600:focus{--gradient-via-color:#3182ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(49, 130, 206, 0))}.xl\\:focus\\:via-blue-700:focus{--gradient-via-color:#2b6cb0;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(43, 108, 176, 0))}.xl\\:focus\\:via-blue-800:focus{--gradient-via-color:#2c5282;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(44, 82, 130, 0))}.xl\\:focus\\:via-blue-900:focus{--gradient-via-color:#2a4365;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(42, 67, 101, 0))}.xl\\:focus\\:via-indigo-100:focus{--gradient-via-color:#ebf4ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(235, 244, 255, 0))}.xl\\:focus\\:via-indigo-200:focus{--gradient-via-color:#c3dafe;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(195, 218, 254, 0))}.xl\\:focus\\:via-indigo-300:focus{--gradient-via-color:#a3bffa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(163, 191, 250, 0))}.xl\\:focus\\:via-indigo-400:focus{--gradient-via-color:#7f9cf5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(127, 156, 245, 0))}.xl\\:focus\\:via-indigo-500:focus{--gradient-via-color:#667eea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(102, 126, 234, 0))}.xl\\:focus\\:via-indigo-600:focus{--gradient-via-color:#5a67d8;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(90, 103, 216, 0))}.xl\\:focus\\:via-indigo-700:focus{--gradient-via-color:#4c51bf;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(76, 81, 191, 0))}.xl\\:focus\\:via-indigo-800:focus{--gradient-via-color:#434190;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(67, 65, 144, 0))}.xl\\:focus\\:via-indigo-900:focus{--gradient-via-color:#3c366b;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(60, 54, 107, 0))}.xl\\:focus\\:via-purple-100:focus{--gradient-via-color:#faf5ff;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(250, 245, 255, 0))}.xl\\:focus\\:via-purple-200:focus{--gradient-via-color:#e9d8fd;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(233, 216, 253, 0))}.xl\\:focus\\:via-purple-300:focus{--gradient-via-color:#d6bcfa;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(214, 188, 250, 0))}.xl\\:focus\\:via-purple-400:focus{--gradient-via-color:#b794f4;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(183, 148, 244, 0))}.xl\\:focus\\:via-purple-500:focus{--gradient-via-color:#9f7aea;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(159, 122, 234, 0))}.xl\\:focus\\:via-purple-600:focus{--gradient-via-color:#805ad5;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(128, 90, 213, 0))}.xl\\:focus\\:via-purple-700:focus{--gradient-via-color:#6b46c1;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(107, 70, 193, 0))}.xl\\:focus\\:via-purple-800:focus{--gradient-via-color:#553c9a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(85, 60, 154, 0))}.xl\\:focus\\:via-purple-900:focus{--gradient-via-color:#44337a;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(68, 51, 122, 0))}.xl\\:focus\\:via-pink-100:focus{--gradient-via-color:#fff5f7;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(255, 245, 247, 0))}.xl\\:focus\\:via-pink-200:focus{--gradient-via-color:#fed7e2;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(254, 215, 226, 0))}.xl\\:focus\\:via-pink-300:focus{--gradient-via-color:#fbb6ce;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(251, 182, 206, 0))}.xl\\:focus\\:via-pink-400:focus{--gradient-via-color:#f687b3;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(246, 135, 179, 0))}.xl\\:focus\\:via-pink-500:focus{--gradient-via-color:#ed64a6;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(237, 100, 166, 0))}.xl\\:focus\\:via-pink-600:focus{--gradient-via-color:#d53f8c;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(213, 63, 140, 0))}.xl\\:focus\\:via-pink-700:focus{--gradient-via-color:#b83280;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(184, 50, 128, 0))}.xl\\:focus\\:via-pink-800:focus{--gradient-via-color:#97266d;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(151, 38, 109, 0))}.xl\\:focus\\:via-pink-900:focus{--gradient-via-color:#702459;--gradient-color-stops:var(--gradient-from-color), var(--gradient-via-color), var(--gradient-to-color, rgba(112, 36, 89, 0))}.xl\\:focus\\:to-transparent:focus{--gradient-to-color:transparent}.xl\\:focus\\:to-current:focus{--gradient-to-color:currentColor}.xl\\:focus\\:to-black:focus{--gradient-to-color:#000}.xl\\:focus\\:to-white:focus{--gradient-to-color:#fff}.xl\\:focus\\:to-gray-100:focus{--gradient-to-color:#f7fafc}.xl\\:focus\\:to-gray-200:focus{--gradient-to-color:#edf2f7}.xl\\:focus\\:to-gray-300:focus{--gradient-to-color:#e2e8f0}.xl\\:focus\\:to-gray-400:focus{--gradient-to-color:#cbd5e0}.xl\\:focus\\:to-gray-500:focus{--gradient-to-color:#a0aec0}.xl\\:focus\\:to-gray-600:focus{--gradient-to-color:#718096}.xl\\:focus\\:to-gray-700:focus{--gradient-to-color:#4a5568}.xl\\:focus\\:to-gray-800:focus{--gradient-to-color:#2d3748}.xl\\:focus\\:to-gray-900:focus{--gradient-to-color:#1a202c}.xl\\:focus\\:to-red-100:focus{--gradient-to-color:#fff5f5}.xl\\:focus\\:to-red-200:focus{--gradient-to-color:#fed7d7}.xl\\:focus\\:to-red-300:focus{--gradient-to-color:#feb2b2}.xl\\:focus\\:to-red-400:focus{--gradient-to-color:#fc8181}.xl\\:focus\\:to-red-500:focus{--gradient-to-color:#f56565}.xl\\:focus\\:to-red-600:focus{--gradient-to-color:#e53e3e}.xl\\:focus\\:to-red-700:focus{--gradient-to-color:#c53030}.xl\\:focus\\:to-red-800:focus{--gradient-to-color:#9b2c2c}.xl\\:focus\\:to-red-900:focus{--gradient-to-color:#742a2a}.xl\\:focus\\:to-orange-100:focus{--gradient-to-color:#fffaf0}.xl\\:focus\\:to-orange-200:focus{--gradient-to-color:#feebc8}.xl\\:focus\\:to-orange-300:focus{--gradient-to-color:#fbd38d}.xl\\:focus\\:to-orange-400:focus{--gradient-to-color:#f6ad55}.xl\\:focus\\:to-orange-500:focus{--gradient-to-color:#ed8936}.xl\\:focus\\:to-orange-600:focus{--gradient-to-color:#dd6b20}.xl\\:focus\\:to-orange-700:focus{--gradient-to-color:#c05621}.xl\\:focus\\:to-orange-800:focus{--gradient-to-color:#9c4221}.xl\\:focus\\:to-orange-900:focus{--gradient-to-color:#7b341e}.xl\\:focus\\:to-yellow-100:focus{--gradient-to-color:#fffff0}.xl\\:focus\\:to-yellow-200:focus{--gradient-to-color:#fefcbf}.xl\\:focus\\:to-yellow-300:focus{--gradient-to-color:#faf089}.xl\\:focus\\:to-yellow-400:focus{--gradient-to-color:#f6e05e}.xl\\:focus\\:to-yellow-500:focus{--gradient-to-color:#ecc94b}.xl\\:focus\\:to-yellow-600:focus{--gradient-to-color:#d69e2e}.xl\\:focus\\:to-yellow-700:focus{--gradient-to-color:#b7791f}.xl\\:focus\\:to-yellow-800:focus{--gradient-to-color:#975a16}.xl\\:focus\\:to-yellow-900:focus{--gradient-to-color:#744210}.xl\\:focus\\:to-green-100:focus{--gradient-to-color:#f0fff4}.xl\\:focus\\:to-green-200:focus{--gradient-to-color:#c6f6d5}.xl\\:focus\\:to-green-300:focus{--gradient-to-color:#9ae6b4}.xl\\:focus\\:to-green-400:focus{--gradient-to-color:#68d391}.xl\\:focus\\:to-green-500:focus{--gradient-to-color:#48bb78}.xl\\:focus\\:to-green-600:focus{--gradient-to-color:#38a169}.xl\\:focus\\:to-green-700:focus{--gradient-to-color:#2f855a}.xl\\:focus\\:to-green-800:focus{--gradient-to-color:#276749}.xl\\:focus\\:to-green-900:focus{--gradient-to-color:#22543d}.xl\\:focus\\:to-teal-100:focus{--gradient-to-color:#e6fffa}.xl\\:focus\\:to-teal-200:focus{--gradient-to-color:#b2f5ea}.xl\\:focus\\:to-teal-300:focus{--gradient-to-color:#81e6d9}.xl\\:focus\\:to-teal-400:focus{--gradient-to-color:#4fd1c5}.xl\\:focus\\:to-teal-500:focus{--gradient-to-color:#38b2ac}.xl\\:focus\\:to-teal-600:focus{--gradient-to-color:#319795}.xl\\:focus\\:to-teal-700:focus{--gradient-to-color:#2c7a7b}.xl\\:focus\\:to-teal-800:focus{--gradient-to-color:#285e61}.xl\\:focus\\:to-teal-900:focus{--gradient-to-color:#234e52}.xl\\:focus\\:to-blue-100:focus{--gradient-to-color:#ebf8ff}.xl\\:focus\\:to-blue-200:focus{--gradient-to-color:#bee3f8}.xl\\:focus\\:to-blue-300:focus{--gradient-to-color:#90cdf4}.xl\\:focus\\:to-blue-400:focus{--gradient-to-color:#63b3ed}.xl\\:focus\\:to-blue-500:focus{--gradient-to-color:#4299e1}.xl\\:focus\\:to-blue-600:focus{--gradient-to-color:#3182ce}.xl\\:focus\\:to-blue-700:focus{--gradient-to-color:#2b6cb0}.xl\\:focus\\:to-blue-800:focus{--gradient-to-color:#2c5282}.xl\\:focus\\:to-blue-900:focus{--gradient-to-color:#2a4365}.xl\\:focus\\:to-indigo-100:focus{--gradient-to-color:#ebf4ff}.xl\\:focus\\:to-indigo-200:focus{--gradient-to-color:#c3dafe}.xl\\:focus\\:to-indigo-300:focus{--gradient-to-color:#a3bffa}.xl\\:focus\\:to-indigo-400:focus{--gradient-to-color:#7f9cf5}.xl\\:focus\\:to-indigo-500:focus{--gradient-to-color:#667eea}.xl\\:focus\\:to-indigo-600:focus{--gradient-to-color:#5a67d8}.xl\\:focus\\:to-indigo-700:focus{--gradient-to-color:#4c51bf}.xl\\:focus\\:to-indigo-800:focus{--gradient-to-color:#434190}.xl\\:focus\\:to-indigo-900:focus{--gradient-to-color:#3c366b}.xl\\:focus\\:to-purple-100:focus{--gradient-to-color:#faf5ff}.xl\\:focus\\:to-purple-200:focus{--gradient-to-color:#e9d8fd}.xl\\:focus\\:to-purple-300:focus{--gradient-to-color:#d6bcfa}.xl\\:focus\\:to-purple-400:focus{--gradient-to-color:#b794f4}.xl\\:focus\\:to-purple-500:focus{--gradient-to-color:#9f7aea}.xl\\:focus\\:to-purple-600:focus{--gradient-to-color:#805ad5}.xl\\:focus\\:to-purple-700:focus{--gradient-to-color:#6b46c1}.xl\\:focus\\:to-purple-800:focus{--gradient-to-color:#553c9a}.xl\\:focus\\:to-purple-900:focus{--gradient-to-color:#44337a}.xl\\:focus\\:to-pink-100:focus{--gradient-to-color:#fff5f7}.xl\\:focus\\:to-pink-200:focus{--gradient-to-color:#fed7e2}.xl\\:focus\\:to-pink-300:focus{--gradient-to-color:#fbb6ce}.xl\\:focus\\:to-pink-400:focus{--gradient-to-color:#f687b3}.xl\\:focus\\:to-pink-500:focus{--gradient-to-color:#ed64a6}.xl\\:focus\\:to-pink-600:focus{--gradient-to-color:#d53f8c}.xl\\:focus\\:to-pink-700:focus{--gradient-to-color:#b83280}.xl\\:focus\\:to-pink-800:focus{--gradient-to-color:#97266d}.xl\\:focus\\:to-pink-900:focus{--gradient-to-color:#702459}.xl\\:bg-opacity-0{--bg-opacity:0}.xl\\:bg-opacity-25{--bg-opacity:0.25}.xl\\:bg-opacity-50{--bg-opacity:0.5}.xl\\:bg-opacity-75{--bg-opacity:0.75}.xl\\:bg-opacity-100{--bg-opacity:1}.xl\\:hover\\:bg-opacity-0:hover{--bg-opacity:0}.xl\\:hover\\:bg-opacity-25:hover{--bg-opacity:0.25}.xl\\:hover\\:bg-opacity-50:hover{--bg-opacity:0.5}.xl\\:hover\\:bg-opacity-75:hover{--bg-opacity:0.75}.xl\\:hover\\:bg-opacity-100:hover{--bg-opacity:1}.xl\\:focus\\:bg-opacity-0:focus{--bg-opacity:0}.xl\\:focus\\:bg-opacity-25:focus{--bg-opacity:0.25}.xl\\:focus\\:bg-opacity-50:focus{--bg-opacity:0.5}.xl\\:focus\\:bg-opacity-75:focus{--bg-opacity:0.75}.xl\\:focus\\:bg-opacity-100:focus{--bg-opacity:1}.xl\\:bg-bottom{background-position:bottom}.xl\\:bg-center{background-position:center}.xl\\:bg-left{background-position:left}.xl\\:bg-left-bottom{background-position:left bottom}.xl\\:bg-left-top{background-position:left top}.xl\\:bg-right{background-position:right}.xl\\:bg-right-bottom{background-position:right bottom}.xl\\:bg-right-top{background-position:right top}.xl\\:bg-top{background-position:top}.xl\\:bg-repeat{background-repeat:repeat}.xl\\:bg-no-repeat{background-repeat:no-repeat}.xl\\:bg-repeat-x{background-repeat:repeat-x}.xl\\:bg-repeat-y{background-repeat:repeat-y}.xl\\:bg-repeat-round{background-repeat:round}.xl\\:bg-repeat-space{background-repeat:space}.xl\\:bg-auto{background-size:auto}.xl\\:bg-cover{background-size:cover}.xl\\:bg-contain{background-size:contain}.xl\\:border-collapse{border-collapse:collapse}.xl\\:border-separate{border-collapse:separate}.xl\\:border-transparent{border-color:transparent}.xl\\:border-current{border-color:currentColor}.xl\\:border-black{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.xl\\:border-white{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.xl\\:border-gray-100{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.xl\\:border-gray-200{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.xl\\:border-gray-300{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.xl\\:border-gray-400{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.xl\\:border-gray-500{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.xl\\:border-gray-600{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.xl\\:border-gray-700{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.xl\\:border-gray-800{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.xl\\:border-gray-900{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.xl\\:border-red-100{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.xl\\:border-red-200{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.xl\\:border-red-300{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.xl\\:border-red-400{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.xl\\:border-red-500{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.xl\\:border-red-600{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.xl\\:border-red-700{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.xl\\:border-red-800{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.xl\\:border-red-900{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.xl\\:border-orange-100{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.xl\\:border-orange-200{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.xl\\:border-orange-300{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.xl\\:border-orange-400{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.xl\\:border-orange-500{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.xl\\:border-orange-600{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.xl\\:border-orange-700{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.xl\\:border-orange-800{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.xl\\:border-orange-900{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.xl\\:border-yellow-100{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.xl\\:border-yellow-200{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.xl\\:border-yellow-300{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.xl\\:border-yellow-400{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.xl\\:border-yellow-500{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.xl\\:border-yellow-600{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.xl\\:border-yellow-700{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.xl\\:border-yellow-800{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.xl\\:border-yellow-900{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.xl\\:border-green-100{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.xl\\:border-green-200{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.xl\\:border-green-300{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.xl\\:border-green-400{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.xl\\:border-green-500{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.xl\\:border-green-600{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.xl\\:border-green-700{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.xl\\:border-green-800{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.xl\\:border-green-900{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.xl\\:border-teal-100{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.xl\\:border-teal-200{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.xl\\:border-teal-300{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.xl\\:border-teal-400{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.xl\\:border-teal-500{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.xl\\:border-teal-600{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.xl\\:border-teal-700{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.xl\\:border-teal-800{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.xl\\:border-teal-900{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.xl\\:border-blue-100{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.xl\\:border-blue-200{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.xl\\:border-blue-300{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.xl\\:border-blue-400{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.xl\\:border-blue-500{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.xl\\:border-blue-600{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.xl\\:border-blue-700{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.xl\\:border-blue-800{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.xl\\:border-blue-900{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.xl\\:border-indigo-100{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.xl\\:border-indigo-200{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.xl\\:border-indigo-300{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.xl\\:border-indigo-400{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.xl\\:border-indigo-500{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.xl\\:border-indigo-600{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.xl\\:border-indigo-700{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.xl\\:border-indigo-800{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.xl\\:border-indigo-900{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.xl\\:border-purple-100{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.xl\\:border-purple-200{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.xl\\:border-purple-300{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.xl\\:border-purple-400{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.xl\\:border-purple-500{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.xl\\:border-purple-600{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.xl\\:border-purple-700{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.xl\\:border-purple-800{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.xl\\:border-purple-900{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.xl\\:border-pink-100{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.xl\\:border-pink-200{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.xl\\:border-pink-300{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.xl\\:border-pink-400{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.xl\\:border-pink-500{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.xl\\:border-pink-600{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.xl\\:border-pink-700{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.xl\\:border-pink-800{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.xl\\:border-pink-900{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.xl\\:hover\\:border-transparent:hover{border-color:transparent}.xl\\:hover\\:border-current:hover{border-color:currentColor}.xl\\:hover\\:border-black:hover{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.xl\\:hover\\:border-white:hover{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.xl\\:hover\\:border-gray-100:hover{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.xl\\:hover\\:border-gray-200:hover{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.xl\\:hover\\:border-gray-300:hover{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.xl\\:hover\\:border-gray-400:hover{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.xl\\:hover\\:border-gray-500:hover{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.xl\\:hover\\:border-gray-600:hover{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.xl\\:hover\\:border-gray-700:hover{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.xl\\:hover\\:border-gray-800:hover{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.xl\\:hover\\:border-gray-900:hover{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.xl\\:hover\\:border-red-100:hover{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.xl\\:hover\\:border-red-200:hover{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.xl\\:hover\\:border-red-300:hover{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.xl\\:hover\\:border-red-400:hover{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.xl\\:hover\\:border-red-500:hover{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.xl\\:hover\\:border-red-600:hover{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.xl\\:hover\\:border-red-700:hover{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.xl\\:hover\\:border-red-800:hover{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.xl\\:hover\\:border-red-900:hover{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.xl\\:hover\\:border-orange-100:hover{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.xl\\:hover\\:border-orange-200:hover{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.xl\\:hover\\:border-orange-300:hover{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.xl\\:hover\\:border-orange-400:hover{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.xl\\:hover\\:border-orange-500:hover{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.xl\\:hover\\:border-orange-600:hover{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.xl\\:hover\\:border-orange-700:hover{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.xl\\:hover\\:border-orange-800:hover{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.xl\\:hover\\:border-orange-900:hover{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.xl\\:hover\\:border-yellow-100:hover{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.xl\\:hover\\:border-yellow-200:hover{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.xl\\:hover\\:border-yellow-300:hover{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.xl\\:hover\\:border-yellow-400:hover{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.xl\\:hover\\:border-yellow-500:hover{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.xl\\:hover\\:border-yellow-600:hover{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.xl\\:hover\\:border-yellow-700:hover{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.xl\\:hover\\:border-yellow-800:hover{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.xl\\:hover\\:border-yellow-900:hover{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.xl\\:hover\\:border-green-100:hover{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.xl\\:hover\\:border-green-200:hover{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.xl\\:hover\\:border-green-300:hover{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.xl\\:hover\\:border-green-400:hover{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.xl\\:hover\\:border-green-500:hover{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.xl\\:hover\\:border-green-600:hover{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.xl\\:hover\\:border-green-700:hover{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.xl\\:hover\\:border-green-800:hover{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.xl\\:hover\\:border-green-900:hover{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.xl\\:hover\\:border-teal-100:hover{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.xl\\:hover\\:border-teal-200:hover{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.xl\\:hover\\:border-teal-300:hover{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.xl\\:hover\\:border-teal-400:hover{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.xl\\:hover\\:border-teal-500:hover{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.xl\\:hover\\:border-teal-600:hover{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.xl\\:hover\\:border-teal-700:hover{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.xl\\:hover\\:border-teal-800:hover{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.xl\\:hover\\:border-teal-900:hover{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.xl\\:hover\\:border-blue-100:hover{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.xl\\:hover\\:border-blue-200:hover{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.xl\\:hover\\:border-blue-300:hover{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.xl\\:hover\\:border-blue-400:hover{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.xl\\:hover\\:border-blue-500:hover{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.xl\\:hover\\:border-blue-600:hover{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.xl\\:hover\\:border-blue-700:hover{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.xl\\:hover\\:border-blue-800:hover{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.xl\\:hover\\:border-blue-900:hover{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.xl\\:hover\\:border-indigo-100:hover{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.xl\\:hover\\:border-indigo-200:hover{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.xl\\:hover\\:border-indigo-300:hover{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.xl\\:hover\\:border-indigo-400:hover{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.xl\\:hover\\:border-indigo-500:hover{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.xl\\:hover\\:border-indigo-600:hover{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.xl\\:hover\\:border-indigo-700:hover{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.xl\\:hover\\:border-indigo-800:hover{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.xl\\:hover\\:border-indigo-900:hover{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.xl\\:hover\\:border-purple-100:hover{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.xl\\:hover\\:border-purple-200:hover{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.xl\\:hover\\:border-purple-300:hover{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.xl\\:hover\\:border-purple-400:hover{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.xl\\:hover\\:border-purple-500:hover{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.xl\\:hover\\:border-purple-600:hover{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.xl\\:hover\\:border-purple-700:hover{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.xl\\:hover\\:border-purple-800:hover{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.xl\\:hover\\:border-purple-900:hover{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.xl\\:hover\\:border-pink-100:hover{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.xl\\:hover\\:border-pink-200:hover{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.xl\\:hover\\:border-pink-300:hover{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.xl\\:hover\\:border-pink-400:hover{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.xl\\:hover\\:border-pink-500:hover{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.xl\\:hover\\:border-pink-600:hover{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.xl\\:hover\\:border-pink-700:hover{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.xl\\:hover\\:border-pink-800:hover{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.xl\\:hover\\:border-pink-900:hover{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.xl\\:focus\\:border-transparent:focus{border-color:transparent}.xl\\:focus\\:border-current:focus{border-color:currentColor}.xl\\:focus\\:border-black:focus{--border-opacity:1;border-color:#000;border-color:rgba(0, 0, 0, var(--border-opacity))}.xl\\:focus\\:border-white:focus{--border-opacity:1;border-color:#fff;border-color:rgba(255, 255, 255, var(--border-opacity))}.xl\\:focus\\:border-gray-100:focus{--border-opacity:1;border-color:#f7fafc;border-color:rgba(247, 250, 252, var(--border-opacity))}.xl\\:focus\\:border-gray-200:focus{--border-opacity:1;border-color:#edf2f7;border-color:rgba(237, 242, 247, var(--border-opacity))}.xl\\:focus\\:border-gray-300:focus{--border-opacity:1;border-color:#e2e8f0;border-color:rgba(226, 232, 240, var(--border-opacity))}.xl\\:focus\\:border-gray-400:focus{--border-opacity:1;border-color:#cbd5e0;border-color:rgba(203, 213, 224, var(--border-opacity))}.xl\\:focus\\:border-gray-500:focus{--border-opacity:1;border-color:#a0aec0;border-color:rgba(160, 174, 192, var(--border-opacity))}.xl\\:focus\\:border-gray-600:focus{--border-opacity:1;border-color:#718096;border-color:rgba(113, 128, 150, var(--border-opacity))}.xl\\:focus\\:border-gray-700:focus{--border-opacity:1;border-color:#4a5568;border-color:rgba(74, 85, 104, var(--border-opacity))}.xl\\:focus\\:border-gray-800:focus{--border-opacity:1;border-color:#2d3748;border-color:rgba(45, 55, 72, var(--border-opacity))}.xl\\:focus\\:border-gray-900:focus{--border-opacity:1;border-color:#1a202c;border-color:rgba(26, 32, 44, var(--border-opacity))}.xl\\:focus\\:border-red-100:focus{--border-opacity:1;border-color:#fff5f5;border-color:rgba(255, 245, 245, var(--border-opacity))}.xl\\:focus\\:border-red-200:focus{--border-opacity:1;border-color:#fed7d7;border-color:rgba(254, 215, 215, var(--border-opacity))}.xl\\:focus\\:border-red-300:focus{--border-opacity:1;border-color:#feb2b2;border-color:rgba(254, 178, 178, var(--border-opacity))}.xl\\:focus\\:border-red-400:focus{--border-opacity:1;border-color:#fc8181;border-color:rgba(252, 129, 129, var(--border-opacity))}.xl\\:focus\\:border-red-500:focus{--border-opacity:1;border-color:#f56565;border-color:rgba(245, 101, 101, var(--border-opacity))}.xl\\:focus\\:border-red-600:focus{--border-opacity:1;border-color:#e53e3e;border-color:rgba(229, 62, 62, var(--border-opacity))}.xl\\:focus\\:border-red-700:focus{--border-opacity:1;border-color:#c53030;border-color:rgba(197, 48, 48, var(--border-opacity))}.xl\\:focus\\:border-red-800:focus{--border-opacity:1;border-color:#9b2c2c;border-color:rgba(155, 44, 44, var(--border-opacity))}.xl\\:focus\\:border-red-900:focus{--border-opacity:1;border-color:#742a2a;border-color:rgba(116, 42, 42, var(--border-opacity))}.xl\\:focus\\:border-orange-100:focus{--border-opacity:1;border-color:#fffaf0;border-color:rgba(255, 250, 240, var(--border-opacity))}.xl\\:focus\\:border-orange-200:focus{--border-opacity:1;border-color:#feebc8;border-color:rgba(254, 235, 200, var(--border-opacity))}.xl\\:focus\\:border-orange-300:focus{--border-opacity:1;border-color:#fbd38d;border-color:rgba(251, 211, 141, var(--border-opacity))}.xl\\:focus\\:border-orange-400:focus{--border-opacity:1;border-color:#f6ad55;border-color:rgba(246, 173, 85, var(--border-opacity))}.xl\\:focus\\:border-orange-500:focus{--border-opacity:1;border-color:#ed8936;border-color:rgba(237, 137, 54, var(--border-opacity))}.xl\\:focus\\:border-orange-600:focus{--border-opacity:1;border-color:#dd6b20;border-color:rgba(221, 107, 32, var(--border-opacity))}.xl\\:focus\\:border-orange-700:focus{--border-opacity:1;border-color:#c05621;border-color:rgba(192, 86, 33, var(--border-opacity))}.xl\\:focus\\:border-orange-800:focus{--border-opacity:1;border-color:#9c4221;border-color:rgba(156, 66, 33, var(--border-opacity))}.xl\\:focus\\:border-orange-900:focus{--border-opacity:1;border-color:#7b341e;border-color:rgba(123, 52, 30, var(--border-opacity))}.xl\\:focus\\:border-yellow-100:focus{--border-opacity:1;border-color:#fffff0;border-color:rgba(255, 255, 240, var(--border-opacity))}.xl\\:focus\\:border-yellow-200:focus{--border-opacity:1;border-color:#fefcbf;border-color:rgba(254, 252, 191, var(--border-opacity))}.xl\\:focus\\:border-yellow-300:focus{--border-opacity:1;border-color:#faf089;border-color:rgba(250, 240, 137, var(--border-opacity))}.xl\\:focus\\:border-yellow-400:focus{--border-opacity:1;border-color:#f6e05e;border-color:rgba(246, 224, 94, var(--border-opacity))}.xl\\:focus\\:border-yellow-500:focus{--border-opacity:1;border-color:#ecc94b;border-color:rgba(236, 201, 75, var(--border-opacity))}.xl\\:focus\\:border-yellow-600:focus{--border-opacity:1;border-color:#d69e2e;border-color:rgba(214, 158, 46, var(--border-opacity))}.xl\\:focus\\:border-yellow-700:focus{--border-opacity:1;border-color:#b7791f;border-color:rgba(183, 121, 31, var(--border-opacity))}.xl\\:focus\\:border-yellow-800:focus{--border-opacity:1;border-color:#975a16;border-color:rgba(151, 90, 22, var(--border-opacity))}.xl\\:focus\\:border-yellow-900:focus{--border-opacity:1;border-color:#744210;border-color:rgba(116, 66, 16, var(--border-opacity))}.xl\\:focus\\:border-green-100:focus{--border-opacity:1;border-color:#f0fff4;border-color:rgba(240, 255, 244, var(--border-opacity))}.xl\\:focus\\:border-green-200:focus{--border-opacity:1;border-color:#c6f6d5;border-color:rgba(198, 246, 213, var(--border-opacity))}.xl\\:focus\\:border-green-300:focus{--border-opacity:1;border-color:#9ae6b4;border-color:rgba(154, 230, 180, var(--border-opacity))}.xl\\:focus\\:border-green-400:focus{--border-opacity:1;border-color:#68d391;border-color:rgba(104, 211, 145, var(--border-opacity))}.xl\\:focus\\:border-green-500:focus{--border-opacity:1;border-color:#48bb78;border-color:rgba(72, 187, 120, var(--border-opacity))}.xl\\:focus\\:border-green-600:focus{--border-opacity:1;border-color:#38a169;border-color:rgba(56, 161, 105, var(--border-opacity))}.xl\\:focus\\:border-green-700:focus{--border-opacity:1;border-color:#2f855a;border-color:rgba(47, 133, 90, var(--border-opacity))}.xl\\:focus\\:border-green-800:focus{--border-opacity:1;border-color:#276749;border-color:rgba(39, 103, 73, var(--border-opacity))}.xl\\:focus\\:border-green-900:focus{--border-opacity:1;border-color:#22543d;border-color:rgba(34, 84, 61, var(--border-opacity))}.xl\\:focus\\:border-teal-100:focus{--border-opacity:1;border-color:#e6fffa;border-color:rgba(230, 255, 250, var(--border-opacity))}.xl\\:focus\\:border-teal-200:focus{--border-opacity:1;border-color:#b2f5ea;border-color:rgba(178, 245, 234, var(--border-opacity))}.xl\\:focus\\:border-teal-300:focus{--border-opacity:1;border-color:#81e6d9;border-color:rgba(129, 230, 217, var(--border-opacity))}.xl\\:focus\\:border-teal-400:focus{--border-opacity:1;border-color:#4fd1c5;border-color:rgba(79, 209, 197, var(--border-opacity))}.xl\\:focus\\:border-teal-500:focus{--border-opacity:1;border-color:#38b2ac;border-color:rgba(56, 178, 172, var(--border-opacity))}.xl\\:focus\\:border-teal-600:focus{--border-opacity:1;border-color:#319795;border-color:rgba(49, 151, 149, var(--border-opacity))}.xl\\:focus\\:border-teal-700:focus{--border-opacity:1;border-color:#2c7a7b;border-color:rgba(44, 122, 123, var(--border-opacity))}.xl\\:focus\\:border-teal-800:focus{--border-opacity:1;border-color:#285e61;border-color:rgba(40, 94, 97, var(--border-opacity))}.xl\\:focus\\:border-teal-900:focus{--border-opacity:1;border-color:#234e52;border-color:rgba(35, 78, 82, var(--border-opacity))}.xl\\:focus\\:border-blue-100:focus{--border-opacity:1;border-color:#ebf8ff;border-color:rgba(235, 248, 255, var(--border-opacity))}.xl\\:focus\\:border-blue-200:focus{--border-opacity:1;border-color:#bee3f8;border-color:rgba(190, 227, 248, var(--border-opacity))}.xl\\:focus\\:border-blue-300:focus{--border-opacity:1;border-color:#90cdf4;border-color:rgba(144, 205, 244, var(--border-opacity))}.xl\\:focus\\:border-blue-400:focus{--border-opacity:1;border-color:#63b3ed;border-color:rgba(99, 179, 237, var(--border-opacity))}.xl\\:focus\\:border-blue-500:focus{--border-opacity:1;border-color:#4299e1;border-color:rgba(66, 153, 225, var(--border-opacity))}.xl\\:focus\\:border-blue-600:focus{--border-opacity:1;border-color:#3182ce;border-color:rgba(49, 130, 206, var(--border-opacity))}.xl\\:focus\\:border-blue-700:focus{--border-opacity:1;border-color:#2b6cb0;border-color:rgba(43, 108, 176, var(--border-opacity))}.xl\\:focus\\:border-blue-800:focus{--border-opacity:1;border-color:#2c5282;border-color:rgba(44, 82, 130, var(--border-opacity))}.xl\\:focus\\:border-blue-900:focus{--border-opacity:1;border-color:#2a4365;border-color:rgba(42, 67, 101, var(--border-opacity))}.xl\\:focus\\:border-indigo-100:focus{--border-opacity:1;border-color:#ebf4ff;border-color:rgba(235, 244, 255, var(--border-opacity))}.xl\\:focus\\:border-indigo-200:focus{--border-opacity:1;border-color:#c3dafe;border-color:rgba(195, 218, 254, var(--border-opacity))}.xl\\:focus\\:border-indigo-300:focus{--border-opacity:1;border-color:#a3bffa;border-color:rgba(163, 191, 250, var(--border-opacity))}.xl\\:focus\\:border-indigo-400:focus{--border-opacity:1;border-color:#7f9cf5;border-color:rgba(127, 156, 245, var(--border-opacity))}.xl\\:focus\\:border-indigo-500:focus{--border-opacity:1;border-color:#667eea;border-color:rgba(102, 126, 234, var(--border-opacity))}.xl\\:focus\\:border-indigo-600:focus{--border-opacity:1;border-color:#5a67d8;border-color:rgba(90, 103, 216, var(--border-opacity))}.xl\\:focus\\:border-indigo-700:focus{--border-opacity:1;border-color:#4c51bf;border-color:rgba(76, 81, 191, var(--border-opacity))}.xl\\:focus\\:border-indigo-800:focus{--border-opacity:1;border-color:#434190;border-color:rgba(67, 65, 144, var(--border-opacity))}.xl\\:focus\\:border-indigo-900:focus{--border-opacity:1;border-color:#3c366b;border-color:rgba(60, 54, 107, var(--border-opacity))}.xl\\:focus\\:border-purple-100:focus{--border-opacity:1;border-color:#faf5ff;border-color:rgba(250, 245, 255, var(--border-opacity))}.xl\\:focus\\:border-purple-200:focus{--border-opacity:1;border-color:#e9d8fd;border-color:rgba(233, 216, 253, var(--border-opacity))}.xl\\:focus\\:border-purple-300:focus{--border-opacity:1;border-color:#d6bcfa;border-color:rgba(214, 188, 250, var(--border-opacity))}.xl\\:focus\\:border-purple-400:focus{--border-opacity:1;border-color:#b794f4;border-color:rgba(183, 148, 244, var(--border-opacity))}.xl\\:focus\\:border-purple-500:focus{--border-opacity:1;border-color:#9f7aea;border-color:rgba(159, 122, 234, var(--border-opacity))}.xl\\:focus\\:border-purple-600:focus{--border-opacity:1;border-color:#805ad5;border-color:rgba(128, 90, 213, var(--border-opacity))}.xl\\:focus\\:border-purple-700:focus{--border-opacity:1;border-color:#6b46c1;border-color:rgba(107, 70, 193, var(--border-opacity))}.xl\\:focus\\:border-purple-800:focus{--border-opacity:1;border-color:#553c9a;border-color:rgba(85, 60, 154, var(--border-opacity))}.xl\\:focus\\:border-purple-900:focus{--border-opacity:1;border-color:#44337a;border-color:rgba(68, 51, 122, var(--border-opacity))}.xl\\:focus\\:border-pink-100:focus{--border-opacity:1;border-color:#fff5f7;border-color:rgba(255, 245, 247, var(--border-opacity))}.xl\\:focus\\:border-pink-200:focus{--border-opacity:1;border-color:#fed7e2;border-color:rgba(254, 215, 226, var(--border-opacity))}.xl\\:focus\\:border-pink-300:focus{--border-opacity:1;border-color:#fbb6ce;border-color:rgba(251, 182, 206, var(--border-opacity))}.xl\\:focus\\:border-pink-400:focus{--border-opacity:1;border-color:#f687b3;border-color:rgba(246, 135, 179, var(--border-opacity))}.xl\\:focus\\:border-pink-500:focus{--border-opacity:1;border-color:#ed64a6;border-color:rgba(237, 100, 166, var(--border-opacity))}.xl\\:focus\\:border-pink-600:focus{--border-opacity:1;border-color:#d53f8c;border-color:rgba(213, 63, 140, var(--border-opacity))}.xl\\:focus\\:border-pink-700:focus{--border-opacity:1;border-color:#b83280;border-color:rgba(184, 50, 128, var(--border-opacity))}.xl\\:focus\\:border-pink-800:focus{--border-opacity:1;border-color:#97266d;border-color:rgba(151, 38, 109, var(--border-opacity))}.xl\\:focus\\:border-pink-900:focus{--border-opacity:1;border-color:#702459;border-color:rgba(112, 36, 89, var(--border-opacity))}.xl\\:border-opacity-0{--border-opacity:0}.xl\\:border-opacity-25{--border-opacity:0.25}.xl\\:border-opacity-50{--border-opacity:0.5}.xl\\:border-opacity-75{--border-opacity:0.75}.xl\\:border-opacity-100{--border-opacity:1}.xl\\:hover\\:border-opacity-0:hover{--border-opacity:0}.xl\\:hover\\:border-opacity-25:hover{--border-opacity:0.25}.xl\\:hover\\:border-opacity-50:hover{--border-opacity:0.5}.xl\\:hover\\:border-opacity-75:hover{--border-opacity:0.75}.xl\\:hover\\:border-opacity-100:hover{--border-opacity:1}.xl\\:focus\\:border-opacity-0:focus{--border-opacity:0}.xl\\:focus\\:border-opacity-25:focus{--border-opacity:0.25}.xl\\:focus\\:border-opacity-50:focus{--border-opacity:0.5}.xl\\:focus\\:border-opacity-75:focus{--border-opacity:0.75}.xl\\:focus\\:border-opacity-100:focus{--border-opacity:1}.xl\\:rounded-none{border-radius:0}.xl\\:rounded-sm{border-radius:0.125rem}.xl\\:rounded{border-radius:0.25rem}.xl\\:rounded-md{border-radius:0.375rem}.xl\\:rounded-lg{border-radius:0.5rem}.xl\\:rounded-full{border-radius:9999px}.xl\\:rounded-t-none{border-top-left-radius:0;border-top-right-radius:0}.xl\\:rounded-r-none{border-top-right-radius:0;border-bottom-right-radius:0}.xl\\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0}.xl\\:rounded-l-none{border-top-left-radius:0;border-bottom-left-radius:0}.xl\\:rounded-t-sm{border-top-left-radius:0.125rem;border-top-right-radius:0.125rem}.xl\\:rounded-r-sm{border-top-right-radius:0.125rem;border-bottom-right-radius:0.125rem}.xl\\:rounded-b-sm{border-bottom-right-radius:0.125rem;border-bottom-left-radius:0.125rem}.xl\\:rounded-l-sm{border-top-left-radius:0.125rem;border-bottom-left-radius:0.125rem}.xl\\:rounded-t{border-top-left-radius:0.25rem;border-top-right-radius:0.25rem}.xl\\:rounded-r{border-top-right-radius:0.25rem;border-bottom-right-radius:0.25rem}.xl\\:rounded-b{border-bottom-right-radius:0.25rem;border-bottom-left-radius:0.25rem}.xl\\:rounded-l{border-top-left-radius:0.25rem;border-bottom-left-radius:0.25rem}.xl\\:rounded-t-md{border-top-left-radius:0.375rem;border-top-right-radius:0.375rem}.xl\\:rounded-r-md{border-top-right-radius:0.375rem;border-bottom-right-radius:0.375rem}.xl\\:rounded-b-md{border-bottom-right-radius:0.375rem;border-bottom-left-radius:0.375rem}.xl\\:rounded-l-md{border-top-left-radius:0.375rem;border-bottom-left-radius:0.375rem}.xl\\:rounded-t-lg{border-top-left-radius:0.5rem;border-top-right-radius:0.5rem}.xl\\:rounded-r-lg{border-top-right-radius:0.5rem;border-bottom-right-radius:0.5rem}.xl\\:rounded-b-lg{border-bottom-right-radius:0.5rem;border-bottom-left-radius:0.5rem}.xl\\:rounded-l-lg{border-top-left-radius:0.5rem;border-bottom-left-radius:0.5rem}.xl\\:rounded-t-full{border-top-left-radius:9999px;border-top-right-radius:9999px}.xl\\:rounded-r-full{border-top-right-radius:9999px;border-bottom-right-radius:9999px}.xl\\:rounded-b-full{border-bottom-right-radius:9999px;border-bottom-left-radius:9999px}.xl\\:rounded-l-full{border-top-left-radius:9999px;border-bottom-left-radius:9999px}.xl\\:rounded-tl-none{border-top-left-radius:0}.xl\\:rounded-tr-none{border-top-right-radius:0}.xl\\:rounded-br-none{border-bottom-right-radius:0}.xl\\:rounded-bl-none{border-bottom-left-radius:0}.xl\\:rounded-tl-sm{border-top-left-radius:0.125rem}.xl\\:rounded-tr-sm{border-top-right-radius:0.125rem}.xl\\:rounded-br-sm{border-bottom-right-radius:0.125rem}.xl\\:rounded-bl-sm{border-bottom-left-radius:0.125rem}.xl\\:rounded-tl{border-top-left-radius:0.25rem}.xl\\:rounded-tr{border-top-right-radius:0.25rem}.xl\\:rounded-br{border-bottom-right-radius:0.25rem}.xl\\:rounded-bl{border-bottom-left-radius:0.25rem}.xl\\:rounded-tl-md{border-top-left-radius:0.375rem}.xl\\:rounded-tr-md{border-top-right-radius:0.375rem}.xl\\:rounded-br-md{border-bottom-right-radius:0.375rem}.xl\\:rounded-bl-md{border-bottom-left-radius:0.375rem}.xl\\:rounded-tl-lg{border-top-left-radius:0.5rem}.xl\\:rounded-tr-lg{border-top-right-radius:0.5rem}.xl\\:rounded-br-lg{border-bottom-right-radius:0.5rem}.xl\\:rounded-bl-lg{border-bottom-left-radius:0.5rem}.xl\\:rounded-tl-full{border-top-left-radius:9999px}.xl\\:rounded-tr-full{border-top-right-radius:9999px}.xl\\:rounded-br-full{border-bottom-right-radius:9999px}.xl\\:rounded-bl-full{border-bottom-left-radius:9999px}.xl\\:border-solid{border-style:solid}.xl\\:border-dashed{border-style:dashed}.xl\\:border-dotted{border-style:dotted}.xl\\:border-double{border-style:double}.xl\\:border-none{border-style:none}.xl\\:border-0{border-width:0}.xl\\:border-2{border-width:2px}.xl\\:border-4{border-width:4px}.xl\\:border-8{border-width:8px}.xl\\:border{border-width:1px}.xl\\:border-t-0{border-top-width:0}.xl\\:border-r-0{border-right-width:0}.xl\\:border-b-0{border-bottom-width:0}.xl\\:border-l-0{border-left-width:0}.xl\\:border-t-2{border-top-width:2px}.xl\\:border-r-2{border-right-width:2px}.xl\\:border-b-2{border-bottom-width:2px}.xl\\:border-l-2{border-left-width:2px}.xl\\:border-t-4{border-top-width:4px}.xl\\:border-r-4{border-right-width:4px}.xl\\:border-b-4{border-bottom-width:4px}.xl\\:border-l-4{border-left-width:4px}.xl\\:border-t-8{border-top-width:8px}.xl\\:border-r-8{border-right-width:8px}.xl\\:border-b-8{border-bottom-width:8px}.xl\\:border-l-8{border-left-width:8px}.xl\\:border-t{border-top-width:1px}.xl\\:border-r{border-right-width:1px}.xl\\:border-b{border-bottom-width:1px}.xl\\:border-l{border-left-width:1px}.xl\\:box-border{-webkit-box-sizing:border-box;box-sizing:border-box}.xl\\:box-content{-webkit-box-sizing:content-box;box-sizing:content-box}.xl\\:cursor-auto{cursor:auto}.xl\\:cursor-default{cursor:default}.xl\\:cursor-pointer{cursor:pointer}.xl\\:cursor-wait{cursor:wait}.xl\\:cursor-text{cursor:text}.xl\\:cursor-move{cursor:move}.xl\\:cursor-not-allowed{cursor:not-allowed}.xl\\:block{display:block}.xl\\:inline-block{display:inline-block}.xl\\:inline{display:inline}.xl\\:flex{display:-ms-flexbox;display:flex}.xl\\:inline-flex{display:-ms-inline-flexbox;display:inline-flex}.xl\\:table{display:table}.xl\\:table-caption{display:table-caption}.xl\\:table-cell{display:table-cell}.xl\\:table-column{display:table-column}.xl\\:table-column-group{display:table-column-group}.xl\\:table-footer-group{display:table-footer-group}.xl\\:table-header-group{display:table-header-group}.xl\\:table-row-group{display:table-row-group}.xl\\:table-row{display:table-row}.xl\\:flow-root{display:flow-root}.xl\\:grid{display:grid}.xl\\:inline-grid{display:inline-grid}.xl\\:contents{display:contents}.xl\\:hidden{display:none}.xl\\:flex-row{-ms-flex-direction:row;flex-direction:row}.xl\\:flex-row-reverse{-ms-flex-direction:row-reverse;flex-direction:row-reverse}.xl\\:flex-col{-ms-flex-direction:column;flex-direction:column}.xl\\:flex-col-reverse{-ms-flex-direction:column-reverse;flex-direction:column-reverse}.xl\\:flex-wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}.xl\\:flex-wrap-reverse{-ms-flex-wrap:wrap-reverse;flex-wrap:wrap-reverse}.xl\\:flex-no-wrap{-ms-flex-wrap:nowrap;flex-wrap:nowrap}.xl\\:place-items-auto{place-items:auto}.xl\\:place-items-start{place-items:start}.xl\\:place-items-end{place-items:end}.xl\\:place-items-center{place-items:center}.xl\\:place-items-stretch{place-items:stretch}.xl\\:place-content-center{place-content:center}.xl\\:place-content-start{place-content:start}.xl\\:place-content-end{place-content:end}.xl\\:place-content-between{place-content:space-between}.xl\\:place-content-around{place-content:space-around}.xl\\:place-content-evenly{place-content:space-evenly}.xl\\:place-content-stretch{place-content:stretch}.xl\\:place-self-auto{place-self:auto}.xl\\:place-self-start{place-self:start}.xl\\:place-self-end{place-self:end}.xl\\:place-self-center{place-self:center}.xl\\:place-self-stretch{place-self:stretch}.xl\\:items-start{-ms-flex-align:start;align-items:flex-start}.xl\\:items-end{-ms-flex-align:end;align-items:flex-end}.xl\\:items-center{-ms-flex-align:center;align-items:center}.xl\\:items-baseline{-ms-flex-align:baseline;align-items:baseline}.xl\\:items-stretch{-ms-flex-align:stretch;align-items:stretch}.xl\\:content-center{-ms-flex-line-pack:center;align-content:center}.xl\\:content-start{-ms-flex-line-pack:start;align-content:flex-start}.xl\\:content-end{-ms-flex-line-pack:end;align-content:flex-end}.xl\\:content-between{-ms-flex-line-pack:justify;align-content:space-between}.xl\\:content-around{-ms-flex-line-pack:distribute;align-content:space-around}.xl\\:content-evenly{-ms-flex-line-pack:space-evenly;align-content:space-evenly}.xl\\:self-auto{-ms-flex-item-align:auto;align-self:auto}.xl\\:self-start{-ms-flex-item-align:start;align-self:flex-start}.xl\\:self-end{-ms-flex-item-align:end;align-self:flex-end}.xl\\:self-center{-ms-flex-item-align:center;align-self:center}.xl\\:self-stretch{-ms-flex-item-align:stretch;align-self:stretch}.xl\\:justify-items-auto{justify-items:auto}.xl\\:justify-items-start{justify-items:start}.xl\\:justify-items-end{justify-items:end}.xl\\:justify-items-center{justify-items:center}.xl\\:justify-items-stretch{justify-items:stretch}.xl\\:justify-start{-ms-flex-pack:start;justify-content:flex-start}.xl\\:justify-end{-ms-flex-pack:end;justify-content:flex-end}.xl\\:justify-center{-ms-flex-pack:center;justify-content:center}.xl\\:justify-between{-ms-flex-pack:justify;justify-content:space-between}.xl\\:justify-around{-ms-flex-pack:distribute;justify-content:space-around}.xl\\:justify-evenly{-ms-flex-pack:space-evenly;justify-content:space-evenly}.xl\\:justify-self-auto{justify-self:auto}.xl\\:justify-self-start{justify-self:start}.xl\\:justify-self-end{justify-self:end}.xl\\:justify-self-center{justify-self:center}.xl\\:justify-self-stretch{justify-self:stretch}.xl\\:flex-1{-ms-flex:1 1 0%;flex:1 1 0%}.xl\\:flex-auto{-ms-flex:1 1 auto;flex:1 1 auto}.xl\\:flex-initial{-ms-flex:0 1 auto;flex:0 1 auto}.xl\\:flex-none{-ms-flex:none;flex:none}.xl\\:flex-grow-0{-ms-flex-positive:0;flex-grow:0}.xl\\:flex-grow{-ms-flex-positive:1;flex-grow:1}.xl\\:flex-shrink-0{-ms-flex-negative:0;flex-shrink:0}.xl\\:flex-shrink{-ms-flex-negative:1;flex-shrink:1}.xl\\:order-1{-ms-flex-order:1;order:1}.xl\\:order-2{-ms-flex-order:2;order:2}.xl\\:order-3{-ms-flex-order:3;order:3}.xl\\:order-4{-ms-flex-order:4;order:4}.xl\\:order-5{-ms-flex-order:5;order:5}.xl\\:order-6{-ms-flex-order:6;order:6}.xl\\:order-7{-ms-flex-order:7;order:7}.xl\\:order-8{-ms-flex-order:8;order:8}.xl\\:order-9{-ms-flex-order:9;order:9}.xl\\:order-10{-ms-flex-order:10;order:10}.xl\\:order-11{-ms-flex-order:11;order:11}.xl\\:order-12{-ms-flex-order:12;order:12}.xl\\:order-first{-ms-flex-order:-9999;order:-9999}.xl\\:order-last{-ms-flex-order:9999;order:9999}.xl\\:order-none{-ms-flex-order:0;order:0}.xl\\:float-right{float:right}.xl\\:float-left{float:left}.xl\\:float-none{float:none}.xl\\:clearfix:after{content:\"\";display:table;clear:both}.xl\\:clear-left{clear:left}.xl\\:clear-right{clear:right}.xl\\:clear-both{clear:both}.xl\\:clear-none{clear:none}.xl\\:font-sans{font-family:system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"}.xl\\:font-serif{font-family:Georgia, Cambria, \"Times New Roman\", Times, serif}.xl\\:font-mono{font-family:Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace}.xl\\:font-hairline{font-weight:100}.xl\\:font-thin{font-weight:200}.xl\\:font-light{font-weight:300}.xl\\:font-normal{font-weight:400}.xl\\:font-medium{font-weight:500}.xl\\:font-semibold{font-weight:600}.xl\\:font-bold{font-weight:700}.xl\\:font-extrabold{font-weight:800}.xl\\:font-black{font-weight:900}.xl\\:hover\\:font-hairline:hover{font-weight:100}.xl\\:hover\\:font-thin:hover{font-weight:200}.xl\\:hover\\:font-light:hover{font-weight:300}.xl\\:hover\\:font-normal:hover{font-weight:400}.xl\\:hover\\:font-medium:hover{font-weight:500}.xl\\:hover\\:font-semibold:hover{font-weight:600}.xl\\:hover\\:font-bold:hover{font-weight:700}.xl\\:hover\\:font-extrabold:hover{font-weight:800}.xl\\:hover\\:font-black:hover{font-weight:900}.xl\\:focus\\:font-hairline:focus{font-weight:100}.xl\\:focus\\:font-thin:focus{font-weight:200}.xl\\:focus\\:font-light:focus{font-weight:300}.xl\\:focus\\:font-normal:focus{font-weight:400}.xl\\:focus\\:font-medium:focus{font-weight:500}.xl\\:focus\\:font-semibold:focus{font-weight:600}.xl\\:focus\\:font-bold:focus{font-weight:700}.xl\\:focus\\:font-extrabold:focus{font-weight:800}.xl\\:focus\\:font-black:focus{font-weight:900}.xl\\:h-0{height:0}.xl\\:h-1{height:0.25rem}.xl\\:h-2{height:0.5rem}.xl\\:h-3{height:0.75rem}.xl\\:h-4{height:1rem}.xl\\:h-5{height:1.25rem}.xl\\:h-6{height:1.5rem}.xl\\:h-8{height:2rem}.xl\\:h-10{height:2.5rem}.xl\\:h-12{height:3rem}.xl\\:h-16{height:4rem}.xl\\:h-20{height:5rem}.xl\\:h-24{height:6rem}.xl\\:h-32{height:8rem}.xl\\:h-40{height:10rem}.xl\\:h-48{height:12rem}.xl\\:h-56{height:14rem}.xl\\:h-64{height:16rem}.xl\\:h-auto{height:auto}.xl\\:h-px{height:1px}.xl\\:h-full{height:100%}.xl\\:h-screen{height:100vh}.xl\\:text-xs{font-size:0.75rem}.xl\\:text-sm{font-size:0.875rem}.xl\\:text-base{font-size:1rem}.xl\\:text-lg{font-size:1.125rem}.xl\\:text-xl{font-size:1.25rem}.xl\\:text-2xl{font-size:1.5rem}.xl\\:text-3xl{font-size:1.875rem}.xl\\:text-4xl{font-size:2.25rem}.xl\\:text-5xl{font-size:3rem}.xl\\:text-6xl{font-size:4rem}.xl\\:leading-3{line-height:.75rem}.xl\\:leading-4{line-height:1rem}.xl\\:leading-5{line-height:1.25rem}.xl\\:leading-6{line-height:1.5rem}.xl\\:leading-7{line-height:1.75rem}.xl\\:leading-8{line-height:2rem}.xl\\:leading-9{line-height:2.25rem}.xl\\:leading-10{line-height:2.5rem}.xl\\:leading-none{line-height:1}.xl\\:leading-tight{line-height:1.25}.xl\\:leading-snug{line-height:1.375}.xl\\:leading-normal{line-height:1.5}.xl\\:leading-relaxed{line-height:1.625}.xl\\:leading-loose{line-height:2}.xl\\:list-inside{list-style-position:inside}.xl\\:list-outside{list-style-position:outside}.xl\\:list-none{list-style-type:none}.xl\\:list-disc{list-style-type:disc}.xl\\:list-decimal{list-style-type:decimal}.xl\\:m-0{margin:0}.xl\\:m-1{margin:0.25rem}.xl\\:m-2{margin:0.5rem}.xl\\:m-3{margin:0.75rem}.xl\\:m-4{margin:1rem}.xl\\:m-5{margin:1.25rem}.xl\\:m-6{margin:1.5rem}.xl\\:m-8{margin:2rem}.xl\\:m-10{margin:2.5rem}.xl\\:m-12{margin:3rem}.xl\\:m-16{margin:4rem}.xl\\:m-20{margin:5rem}.xl\\:m-24{margin:6rem}.xl\\:m-32{margin:8rem}.xl\\:m-40{margin:10rem}.xl\\:m-48{margin:12rem}.xl\\:m-56{margin:14rem}.xl\\:m-64{margin:16rem}.xl\\:m-auto{margin:auto}.xl\\:m-px{margin:1px}.xl\\:-m-1{margin:-0.25rem}.xl\\:-m-2{margin:-0.5rem}.xl\\:-m-3{margin:-0.75rem}.xl\\:-m-4{margin:-1rem}.xl\\:-m-5{margin:-1.25rem}.xl\\:-m-6{margin:-1.5rem}.xl\\:-m-8{margin:-2rem}.xl\\:-m-10{margin:-2.5rem}.xl\\:-m-12{margin:-3rem}.xl\\:-m-16{margin:-4rem}.xl\\:-m-20{margin:-5rem}.xl\\:-m-24{margin:-6rem}.xl\\:-m-32{margin:-8rem}.xl\\:-m-40{margin:-10rem}.xl\\:-m-48{margin:-12rem}.xl\\:-m-56{margin:-14rem}.xl\\:-m-64{margin:-16rem}.xl\\:-m-px{margin:-1px}.xl\\:my-0{margin-top:0;margin-bottom:0}.xl\\:mx-0{margin-left:0;margin-right:0}.xl\\:my-1{margin-top:0.25rem;margin-bottom:0.25rem}.xl\\:mx-1{margin-left:0.25rem;margin-right:0.25rem}.xl\\:my-2{margin-top:0.5rem;margin-bottom:0.5rem}.xl\\:mx-2{margin-left:0.5rem;margin-right:0.5rem}.xl\\:my-3{margin-top:0.75rem;margin-bottom:0.75rem}.xl\\:mx-3{margin-left:0.75rem;margin-right:0.75rem}.xl\\:my-4{margin-top:1rem;margin-bottom:1rem}.xl\\:mx-4{margin-left:1rem;margin-right:1rem}.xl\\:my-5{margin-top:1.25rem;margin-bottom:1.25rem}.xl\\:mx-5{margin-left:1.25rem;margin-right:1.25rem}.xl\\:my-6{margin-top:1.5rem;margin-bottom:1.5rem}.xl\\:mx-6{margin-left:1.5rem;margin-right:1.5rem}.xl\\:my-8{margin-top:2rem;margin-bottom:2rem}.xl\\:mx-8{margin-left:2rem;margin-right:2rem}.xl\\:my-10{margin-top:2.5rem;margin-bottom:2.5rem}.xl\\:mx-10{margin-left:2.5rem;margin-right:2.5rem}.xl\\:my-12{margin-top:3rem;margin-bottom:3rem}.xl\\:mx-12{margin-left:3rem;margin-right:3rem}.xl\\:my-16{margin-top:4rem;margin-bottom:4rem}.xl\\:mx-16{margin-left:4rem;margin-right:4rem}.xl\\:my-20{margin-top:5rem;margin-bottom:5rem}.xl\\:mx-20{margin-left:5rem;margin-right:5rem}.xl\\:my-24{margin-top:6rem;margin-bottom:6rem}.xl\\:mx-24{margin-left:6rem;margin-right:6rem}.xl\\:my-32{margin-top:8rem;margin-bottom:8rem}.xl\\:mx-32{margin-left:8rem;margin-right:8rem}.xl\\:my-40{margin-top:10rem;margin-bottom:10rem}.xl\\:mx-40{margin-left:10rem;margin-right:10rem}.xl\\:my-48{margin-top:12rem;margin-bottom:12rem}.xl\\:mx-48{margin-left:12rem;margin-right:12rem}.xl\\:my-56{margin-top:14rem;margin-bottom:14rem}.xl\\:mx-56{margin-left:14rem;margin-right:14rem}.xl\\:my-64{margin-top:16rem;margin-bottom:16rem}.xl\\:mx-64{margin-left:16rem;margin-right:16rem}.xl\\:my-auto{margin-top:auto;margin-bottom:auto}.xl\\:mx-auto{margin-left:auto;margin-right:auto}.xl\\:my-px{margin-top:1px;margin-bottom:1px}.xl\\:mx-px{margin-left:1px;margin-right:1px}.xl\\:-my-1{margin-top:-0.25rem;margin-bottom:-0.25rem}.xl\\:-mx-1{margin-left:-0.25rem;margin-right:-0.25rem}.xl\\:-my-2{margin-top:-0.5rem;margin-bottom:-0.5rem}.xl\\:-mx-2{margin-left:-0.5rem;margin-right:-0.5rem}.xl\\:-my-3{margin-top:-0.75rem;margin-bottom:-0.75rem}.xl\\:-mx-3{margin-left:-0.75rem;margin-right:-0.75rem}.xl\\:-my-4{margin-top:-1rem;margin-bottom:-1rem}.xl\\:-mx-4{margin-left:-1rem;margin-right:-1rem}.xl\\:-my-5{margin-top:-1.25rem;margin-bottom:-1.25rem}.xl\\:-mx-5{margin-left:-1.25rem;margin-right:-1.25rem}.xl\\:-my-6{margin-top:-1.5rem;margin-bottom:-1.5rem}.xl\\:-mx-6{margin-left:-1.5rem;margin-right:-1.5rem}.xl\\:-my-8{margin-top:-2rem;margin-bottom:-2rem}.xl\\:-mx-8{margin-left:-2rem;margin-right:-2rem}.xl\\:-my-10{margin-top:-2.5rem;margin-bottom:-2.5rem}.xl\\:-mx-10{margin-left:-2.5rem;margin-right:-2.5rem}.xl\\:-my-12{margin-top:-3rem;margin-bottom:-3rem}.xl\\:-mx-12{margin-left:-3rem;margin-right:-3rem}.xl\\:-my-16{margin-top:-4rem;margin-bottom:-4rem}.xl\\:-mx-16{margin-left:-4rem;margin-right:-4rem}.xl\\:-my-20{margin-top:-5rem;margin-bottom:-5rem}.xl\\:-mx-20{margin-left:-5rem;margin-right:-5rem}.xl\\:-my-24{margin-top:-6rem;margin-bottom:-6rem}.xl\\:-mx-24{margin-left:-6rem;margin-right:-6rem}.xl\\:-my-32{margin-top:-8rem;margin-bottom:-8rem}.xl\\:-mx-32{margin-left:-8rem;margin-right:-8rem}.xl\\:-my-40{margin-top:-10rem;margin-bottom:-10rem}.xl\\:-mx-40{margin-left:-10rem;margin-right:-10rem}.xl\\:-my-48{margin-top:-12rem;margin-bottom:-12rem}.xl\\:-mx-48{margin-left:-12rem;margin-right:-12rem}.xl\\:-my-56{margin-top:-14rem;margin-bottom:-14rem}.xl\\:-mx-56{margin-left:-14rem;margin-right:-14rem}.xl\\:-my-64{margin-top:-16rem;margin-bottom:-16rem}.xl\\:-mx-64{margin-left:-16rem;margin-right:-16rem}.xl\\:-my-px{margin-top:-1px;margin-bottom:-1px}.xl\\:-mx-px{margin-left:-1px;margin-right:-1px}.xl\\:mt-0{margin-top:0}.xl\\:mr-0{margin-right:0}.xl\\:mb-0{margin-bottom:0}.xl\\:ml-0{margin-left:0}.xl\\:mt-1{margin-top:0.25rem}.xl\\:mr-1{margin-right:0.25rem}.xl\\:mb-1{margin-bottom:0.25rem}.xl\\:ml-1{margin-left:0.25rem}.xl\\:mt-2{margin-top:0.5rem}.xl\\:mr-2{margin-right:0.5rem}.xl\\:mb-2{margin-bottom:0.5rem}.xl\\:ml-2{margin-left:0.5rem}.xl\\:mt-3{margin-top:0.75rem}.xl\\:mr-3{margin-right:0.75rem}.xl\\:mb-3{margin-bottom:0.75rem}.xl\\:ml-3{margin-left:0.75rem}.xl\\:mt-4{margin-top:1rem}.xl\\:mr-4{margin-right:1rem}.xl\\:mb-4{margin-bottom:1rem}.xl\\:ml-4{margin-left:1rem}.xl\\:mt-5{margin-top:1.25rem}.xl\\:mr-5{margin-right:1.25rem}.xl\\:mb-5{margin-bottom:1.25rem}.xl\\:ml-5{margin-left:1.25rem}.xl\\:mt-6{margin-top:1.5rem}.xl\\:mr-6{margin-right:1.5rem}.xl\\:mb-6{margin-bottom:1.5rem}.xl\\:ml-6{margin-left:1.5rem}.xl\\:mt-8{margin-top:2rem}.xl\\:mr-8{margin-right:2rem}.xl\\:mb-8{margin-bottom:2rem}.xl\\:ml-8{margin-left:2rem}.xl\\:mt-10{margin-top:2.5rem}.xl\\:mr-10{margin-right:2.5rem}.xl\\:mb-10{margin-bottom:2.5rem}.xl\\:ml-10{margin-left:2.5rem}.xl\\:mt-12{margin-top:3rem}.xl\\:mr-12{margin-right:3rem}.xl\\:mb-12{margin-bottom:3rem}.xl\\:ml-12{margin-left:3rem}.xl\\:mt-16{margin-top:4rem}.xl\\:mr-16{margin-right:4rem}.xl\\:mb-16{margin-bottom:4rem}.xl\\:ml-16{margin-left:4rem}.xl\\:mt-20{margin-top:5rem}.xl\\:mr-20{margin-right:5rem}.xl\\:mb-20{margin-bottom:5rem}.xl\\:ml-20{margin-left:5rem}.xl\\:mt-24{margin-top:6rem}.xl\\:mr-24{margin-right:6rem}.xl\\:mb-24{margin-bottom:6rem}.xl\\:ml-24{margin-left:6rem}.xl\\:mt-32{margin-top:8rem}.xl\\:mr-32{margin-right:8rem}.xl\\:mb-32{margin-bottom:8rem}.xl\\:ml-32{margin-left:8rem}.xl\\:mt-40{margin-top:10rem}.xl\\:mr-40{margin-right:10rem}.xl\\:mb-40{margin-bottom:10rem}.xl\\:ml-40{margin-left:10rem}.xl\\:mt-48{margin-top:12rem}.xl\\:mr-48{margin-right:12rem}.xl\\:mb-48{margin-bottom:12rem}.xl\\:ml-48{margin-left:12rem}.xl\\:mt-56{margin-top:14rem}.xl\\:mr-56{margin-right:14rem}.xl\\:mb-56{margin-bottom:14rem}.xl\\:ml-56{margin-left:14rem}.xl\\:mt-64{margin-top:16rem}.xl\\:mr-64{margin-right:16rem}.xl\\:mb-64{margin-bottom:16rem}.xl\\:ml-64{margin-left:16rem}.xl\\:mt-auto{margin-top:auto}.xl\\:mr-auto{margin-right:auto}.xl\\:mb-auto{margin-bottom:auto}.xl\\:ml-auto{margin-left:auto}.xl\\:mt-px{margin-top:1px}.xl\\:mr-px{margin-right:1px}.xl\\:mb-px{margin-bottom:1px}.xl\\:ml-px{margin-left:1px}.xl\\:-mt-1{margin-top:-0.25rem}.xl\\:-mr-1{margin-right:-0.25rem}.xl\\:-mb-1{margin-bottom:-0.25rem}.xl\\:-ml-1{margin-left:-0.25rem}.xl\\:-mt-2{margin-top:-0.5rem}.xl\\:-mr-2{margin-right:-0.5rem}.xl\\:-mb-2{margin-bottom:-0.5rem}.xl\\:-ml-2{margin-left:-0.5rem}.xl\\:-mt-3{margin-top:-0.75rem}.xl\\:-mr-3{margin-right:-0.75rem}.xl\\:-mb-3{margin-bottom:-0.75rem}.xl\\:-ml-3{margin-left:-0.75rem}.xl\\:-mt-4{margin-top:-1rem}.xl\\:-mr-4{margin-right:-1rem}.xl\\:-mb-4{margin-bottom:-1rem}.xl\\:-ml-4{margin-left:-1rem}.xl\\:-mt-5{margin-top:-1.25rem}.xl\\:-mr-5{margin-right:-1.25rem}.xl\\:-mb-5{margin-bottom:-1.25rem}.xl\\:-ml-5{margin-left:-1.25rem}.xl\\:-mt-6{margin-top:-1.5rem}.xl\\:-mr-6{margin-right:-1.5rem}.xl\\:-mb-6{margin-bottom:-1.5rem}.xl\\:-ml-6{margin-left:-1.5rem}.xl\\:-mt-8{margin-top:-2rem}.xl\\:-mr-8{margin-right:-2rem}.xl\\:-mb-8{margin-bottom:-2rem}.xl\\:-ml-8{margin-left:-2rem}.xl\\:-mt-10{margin-top:-2.5rem}.xl\\:-mr-10{margin-right:-2.5rem}.xl\\:-mb-10{margin-bottom:-2.5rem}.xl\\:-ml-10{margin-left:-2.5rem}.xl\\:-mt-12{margin-top:-3rem}.xl\\:-mr-12{margin-right:-3rem}.xl\\:-mb-12{margin-bottom:-3rem}.xl\\:-ml-12{margin-left:-3rem}.xl\\:-mt-16{margin-top:-4rem}.xl\\:-mr-16{margin-right:-4rem}.xl\\:-mb-16{margin-bottom:-4rem}.xl\\:-ml-16{margin-left:-4rem}.xl\\:-mt-20{margin-top:-5rem}.xl\\:-mr-20{margin-right:-5rem}.xl\\:-mb-20{margin-bottom:-5rem}.xl\\:-ml-20{margin-left:-5rem}.xl\\:-mt-24{margin-top:-6rem}.xl\\:-mr-24{margin-right:-6rem}.xl\\:-mb-24{margin-bottom:-6rem}.xl\\:-ml-24{margin-left:-6rem}.xl\\:-mt-32{margin-top:-8rem}.xl\\:-mr-32{margin-right:-8rem}.xl\\:-mb-32{margin-bottom:-8rem}.xl\\:-ml-32{margin-left:-8rem}.xl\\:-mt-40{margin-top:-10rem}.xl\\:-mr-40{margin-right:-10rem}.xl\\:-mb-40{margin-bottom:-10rem}.xl\\:-ml-40{margin-left:-10rem}.xl\\:-mt-48{margin-top:-12rem}.xl\\:-mr-48{margin-right:-12rem}.xl\\:-mb-48{margin-bottom:-12rem}.xl\\:-ml-48{margin-left:-12rem}.xl\\:-mt-56{margin-top:-14rem}.xl\\:-mr-56{margin-right:-14rem}.xl\\:-mb-56{margin-bottom:-14rem}.xl\\:-ml-56{margin-left:-14rem}.xl\\:-mt-64{margin-top:-16rem}.xl\\:-mr-64{margin-right:-16rem}.xl\\:-mb-64{margin-bottom:-16rem}.xl\\:-ml-64{margin-left:-16rem}.xl\\:-mt-px{margin-top:-1px}.xl\\:-mr-px{margin-right:-1px}.xl\\:-mb-px{margin-bottom:-1px}.xl\\:-ml-px{margin-left:-1px}.xl\\:max-h-full{max-height:100%}.xl\\:max-h-screen{max-height:100vh}.xl\\:max-w-none{max-width:none}.xl\\:max-w-xs{max-width:20rem}.xl\\:max-w-sm{max-width:24rem}.xl\\:max-w-md{max-width:28rem}.xl\\:max-w-lg{max-width:32rem}.xl\\:max-w-xl{max-width:36rem}.xl\\:max-w-2xl{max-width:42rem}.xl\\:max-w-3xl{max-width:48rem}.xl\\:max-w-4xl{max-width:56rem}.xl\\:max-w-5xl{max-width:64rem}.xl\\:max-w-6xl{max-width:72rem}.xl\\:max-w-full{max-width:100%}.xl\\:max-w-screen-sm{max-width:640px}.xl\\:max-w-screen-md{max-width:768px}.xl\\:max-w-screen-lg{max-width:1024px}.xl\\:max-w-screen-xl{max-width:1280px}.xl\\:min-h-0{min-height:0}.xl\\:min-h-full{min-height:100%}.xl\\:min-h-screen{min-height:100vh}.xl\\:min-w-0{min-width:0}.xl\\:min-w-full{min-width:100%}.xl\\:object-contain{-o-object-fit:contain;object-fit:contain}.xl\\:object-cover{-o-object-fit:cover;object-fit:cover}.xl\\:object-fill{-o-object-fit:fill;object-fit:fill}.xl\\:object-none{-o-object-fit:none;object-fit:none}.xl\\:object-scale-down{-o-object-fit:scale-down;object-fit:scale-down}.xl\\:object-bottom{-o-object-position:bottom;object-position:bottom}.xl\\:object-center{-o-object-position:center;object-position:center}.xl\\:object-left{-o-object-position:left;object-position:left}.xl\\:object-left-bottom{-o-object-position:left bottom;object-position:left bottom}.xl\\:object-left-top{-o-object-position:left top;object-position:left top}.xl\\:object-right{-o-object-position:right;object-position:right}.xl\\:object-right-bottom{-o-object-position:right bottom;object-position:right bottom}.xl\\:object-right-top{-o-object-position:right top;object-position:right top}.xl\\:object-top{-o-object-position:top;object-position:top}.xl\\:opacity-0{opacity:0}.xl\\:opacity-25{opacity:0.25}.xl\\:opacity-50{opacity:0.5}.xl\\:opacity-75{opacity:0.75}.xl\\:opacity-100{opacity:1}.xl\\:hover\\:opacity-0:hover{opacity:0}.xl\\:hover\\:opacity-25:hover{opacity:0.25}.xl\\:hover\\:opacity-50:hover{opacity:0.5}.xl\\:hover\\:opacity-75:hover{opacity:0.75}.xl\\:hover\\:opacity-100:hover{opacity:1}.xl\\:focus\\:opacity-0:focus{opacity:0}.xl\\:focus\\:opacity-25:focus{opacity:0.25}.xl\\:focus\\:opacity-50:focus{opacity:0.5}.xl\\:focus\\:opacity-75:focus{opacity:0.75}.xl\\:focus\\:opacity-100:focus{opacity:1}.xl\\:outline-none{outline:0}.xl\\:focus\\:outline-none:focus{outline:0}.xl\\:overflow-auto{overflow:auto}.xl\\:overflow-hidden{overflow:hidden}.xl\\:overflow-visible{overflow:visible}.xl\\:overflow-scroll{overflow:scroll}.xl\\:overflow-x-auto{overflow-x:auto}.xl\\:overflow-y-auto{overflow-y:auto}.xl\\:overflow-x-hidden{overflow-x:hidden}.xl\\:overflow-y-hidden{overflow-y:hidden}.xl\\:overflow-x-visible{overflow-x:visible}.xl\\:overflow-y-visible{overflow-y:visible}.xl\\:overflow-x-scroll{overflow-x:scroll}.xl\\:overflow-y-scroll{overflow-y:scroll}.xl\\:scrolling-touch{-webkit-overflow-scrolling:touch}.xl\\:scrolling-auto{-webkit-overflow-scrolling:auto}.xl\\:overscroll-auto{-ms-scroll-chaining:chained;overscroll-behavior:auto}.xl\\:overscroll-contain{-ms-scroll-chaining:none;overscroll-behavior:contain}.xl\\:overscroll-none{-ms-scroll-chaining:none;overscroll-behavior:none}.xl\\:overscroll-y-auto{overscroll-behavior-y:auto}.xl\\:overscroll-y-contain{overscroll-behavior-y:contain}.xl\\:overscroll-y-none{overscroll-behavior-y:none}.xl\\:overscroll-x-auto{overscroll-behavior-x:auto}.xl\\:overscroll-x-contain{overscroll-behavior-x:contain}.xl\\:overscroll-x-none{overscroll-behavior-x:none}.xl\\:p-0{padding:0}.xl\\:p-1{padding:0.25rem}.xl\\:p-2{padding:0.5rem}.xl\\:p-3{padding:0.75rem}.xl\\:p-4{padding:1rem}.xl\\:p-5{padding:1.25rem}.xl\\:p-6{padding:1.5rem}.xl\\:p-8{padding:2rem}.xl\\:p-10{padding:2.5rem}.xl\\:p-12{padding:3rem}.xl\\:p-16{padding:4rem}.xl\\:p-20{padding:5rem}.xl\\:p-24{padding:6rem}.xl\\:p-32{padding:8rem}.xl\\:p-40{padding:10rem}.xl\\:p-48{padding:12rem}.xl\\:p-56{padding:14rem}.xl\\:p-64{padding:16rem}.xl\\:p-px{padding:1px}.xl\\:py-0{padding-top:0;padding-bottom:0}.xl\\:px-0{padding-left:0;padding-right:0}.xl\\:py-1{padding-top:0.25rem;padding-bottom:0.25rem}.xl\\:px-1{padding-left:0.25rem;padding-right:0.25rem}.xl\\:py-2{padding-top:0.5rem;padding-bottom:0.5rem}.xl\\:px-2{padding-left:0.5rem;padding-right:0.5rem}.xl\\:py-3{padding-top:0.75rem;padding-bottom:0.75rem}.xl\\:px-3{padding-left:0.75rem;padding-right:0.75rem}.xl\\:py-4{padding-top:1rem;padding-bottom:1rem}.xl\\:px-4{padding-left:1rem;padding-right:1rem}.xl\\:py-5{padding-top:1.25rem;padding-bottom:1.25rem}.xl\\:px-5{padding-left:1.25rem;padding-right:1.25rem}.xl\\:py-6{padding-top:1.5rem;padding-bottom:1.5rem}.xl\\:px-6{padding-left:1.5rem;padding-right:1.5rem}.xl\\:py-8{padding-top:2rem;padding-bottom:2rem}.xl\\:px-8{padding-left:2rem;padding-right:2rem}.xl\\:py-10{padding-top:2.5rem;padding-bottom:2.5rem}.xl\\:px-10{padding-left:2.5rem;padding-right:2.5rem}.xl\\:py-12{padding-top:3rem;padding-bottom:3rem}.xl\\:px-12{padding-left:3rem;padding-right:3rem}.xl\\:py-16{padding-top:4rem;padding-bottom:4rem}.xl\\:px-16{padding-left:4rem;padding-right:4rem}.xl\\:py-20{padding-top:5rem;padding-bottom:5rem}.xl\\:px-20{padding-left:5rem;padding-right:5rem}.xl\\:py-24{padding-top:6rem;padding-bottom:6rem}.xl\\:px-24{padding-left:6rem;padding-right:6rem}.xl\\:py-32{padding-top:8rem;padding-bottom:8rem}.xl\\:px-32{padding-left:8rem;padding-right:8rem}.xl\\:py-40{padding-top:10rem;padding-bottom:10rem}.xl\\:px-40{padding-left:10rem;padding-right:10rem}.xl\\:py-48{padding-top:12rem;padding-bottom:12rem}.xl\\:px-48{padding-left:12rem;padding-right:12rem}.xl\\:py-56{padding-top:14rem;padding-bottom:14rem}.xl\\:px-56{padding-left:14rem;padding-right:14rem}.xl\\:py-64{padding-top:16rem;padding-bottom:16rem}.xl\\:px-64{padding-left:16rem;padding-right:16rem}.xl\\:py-px{padding-top:1px;padding-bottom:1px}.xl\\:px-px{padding-left:1px;padding-right:1px}.xl\\:pt-0{padding-top:0}.xl\\:pr-0{padding-right:0}.xl\\:pb-0{padding-bottom:0}.xl\\:pl-0{padding-left:0}.xl\\:pt-1{padding-top:0.25rem}.xl\\:pr-1{padding-right:0.25rem}.xl\\:pb-1{padding-bottom:0.25rem}.xl\\:pl-1{padding-left:0.25rem}.xl\\:pt-2{padding-top:0.5rem}.xl\\:pr-2{padding-right:0.5rem}.xl\\:pb-2{padding-bottom:0.5rem}.xl\\:pl-2{padding-left:0.5rem}.xl\\:pt-3{padding-top:0.75rem}.xl\\:pr-3{padding-right:0.75rem}.xl\\:pb-3{padding-bottom:0.75rem}.xl\\:pl-3{padding-left:0.75rem}.xl\\:pt-4{padding-top:1rem}.xl\\:pr-4{padding-right:1rem}.xl\\:pb-4{padding-bottom:1rem}.xl\\:pl-4{padding-left:1rem}.xl\\:pt-5{padding-top:1.25rem}.xl\\:pr-5{padding-right:1.25rem}.xl\\:pb-5{padding-bottom:1.25rem}.xl\\:pl-5{padding-left:1.25rem}.xl\\:pt-6{padding-top:1.5rem}.xl\\:pr-6{padding-right:1.5rem}.xl\\:pb-6{padding-bottom:1.5rem}.xl\\:pl-6{padding-left:1.5rem}.xl\\:pt-8{padding-top:2rem}.xl\\:pr-8{padding-right:2rem}.xl\\:pb-8{padding-bottom:2rem}.xl\\:pl-8{padding-left:2rem}.xl\\:pt-10{padding-top:2.5rem}.xl\\:pr-10{padding-right:2.5rem}.xl\\:pb-10{padding-bottom:2.5rem}.xl\\:pl-10{padding-left:2.5rem}.xl\\:pt-12{padding-top:3rem}.xl\\:pr-12{padding-right:3rem}.xl\\:pb-12{padding-bottom:3rem}.xl\\:pl-12{padding-left:3rem}.xl\\:pt-16{padding-top:4rem}.xl\\:pr-16{padding-right:4rem}.xl\\:pb-16{padding-bottom:4rem}.xl\\:pl-16{padding-left:4rem}.xl\\:pt-20{padding-top:5rem}.xl\\:pr-20{padding-right:5rem}.xl\\:pb-20{padding-bottom:5rem}.xl\\:pl-20{padding-left:5rem}.xl\\:pt-24{padding-top:6rem}.xl\\:pr-24{padding-right:6rem}.xl\\:pb-24{padding-bottom:6rem}.xl\\:pl-24{padding-left:6rem}.xl\\:pt-32{padding-top:8rem}.xl\\:pr-32{padding-right:8rem}.xl\\:pb-32{padding-bottom:8rem}.xl\\:pl-32{padding-left:8rem}.xl\\:pt-40{padding-top:10rem}.xl\\:pr-40{padding-right:10rem}.xl\\:pb-40{padding-bottom:10rem}.xl\\:pl-40{padding-left:10rem}.xl\\:pt-48{padding-top:12rem}.xl\\:pr-48{padding-right:12rem}.xl\\:pb-48{padding-bottom:12rem}.xl\\:pl-48{padding-left:12rem}.xl\\:pt-56{padding-top:14rem}.xl\\:pr-56{padding-right:14rem}.xl\\:pb-56{padding-bottom:14rem}.xl\\:pl-56{padding-left:14rem}.xl\\:pt-64{padding-top:16rem}.xl\\:pr-64{padding-right:16rem}.xl\\:pb-64{padding-bottom:16rem}.xl\\:pl-64{padding-left:16rem}.xl\\:pt-px{padding-top:1px}.xl\\:pr-px{padding-right:1px}.xl\\:pb-px{padding-bottom:1px}.xl\\:pl-px{padding-left:1px}.xl\\:placeholder-transparent::-webkit-input-placeholder{color:transparent}.xl\\:placeholder-transparent::-moz-placeholder{color:transparent}.xl\\:placeholder-transparent:-ms-input-placeholder{color:transparent}.xl\\:placeholder-transparent::-ms-input-placeholder{color:transparent}.xl\\:placeholder-transparent::placeholder{color:transparent}.xl\\:placeholder-current::-webkit-input-placeholder{color:currentColor}.xl\\:placeholder-current::-moz-placeholder{color:currentColor}.xl\\:placeholder-current:-ms-input-placeholder{color:currentColor}.xl\\:placeholder-current::-ms-input-placeholder{color:currentColor}.xl\\:placeholder-current::placeholder{color:currentColor}.xl\\:placeholder-black::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-black::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:placeholder-white::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-white::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-100::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-200::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-300::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-400::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-500::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-600::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-700::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-800::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-gray-900::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-100::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:placeholder-red-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-200::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:placeholder-red-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-300::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:placeholder-red-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-400::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:placeholder-red-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-500::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:placeholder-red-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-600::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:placeholder-red-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-700::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:placeholder-red-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-800::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:placeholder-red-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-red-900::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-100::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-200::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-300::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-400::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-500::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-600::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-700::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-800::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-orange-900::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-100::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-200::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-300::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-400::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-500::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-600::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-700::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-800::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-yellow-900::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:placeholder-green-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-100::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:placeholder-green-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-200::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:placeholder-green-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-300::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:placeholder-green-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-400::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:placeholder-green-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-500::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:placeholder-green-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-600::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:placeholder-green-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-700::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:placeholder-green-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-800::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:placeholder-green-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-green-900::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-100::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-200::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-300::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-400::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-500::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-600::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-700::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-800::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-teal-900::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-100::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-200::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-300::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-400::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-500::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-600::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-700::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-800::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-blue-900::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-100::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-200::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-300::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-400::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-500::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-600::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-700::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-800::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-indigo-900::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-100::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-200::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-300::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-400::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-500::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-600::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-700::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-800::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-purple-900::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-100::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-200::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-300::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-400::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-500::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-600::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-700::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-800::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-pink-900::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-transparent:focus::-webkit-input-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus::-moz-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus:-ms-input-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus::-ms-input-placeholder{color:transparent}.xl\\:focus\\:placeholder-transparent:focus::placeholder{color:transparent}.xl\\:focus\\:placeholder-current:focus::-webkit-input-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus::-moz-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus:-ms-input-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus::-ms-input-placeholder{color:currentColor}.xl\\:focus\\:placeholder-current:focus::placeholder{color:currentColor}.xl\\:focus\\:placeholder-black:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus::-moz-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-black:focus::placeholder{--placeholder-opacity:1;color:#000;color:rgba(0, 0, 0, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-white:focus::placeholder{--placeholder-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-100:focus::placeholder{--placeholder-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-200:focus::placeholder{--placeholder-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-300:focus::placeholder{--placeholder-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-400:focus::placeholder{--placeholder-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-500:focus::placeholder{--placeholder-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-600:focus::placeholder{--placeholder-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-700:focus::placeholder{--placeholder-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-800:focus::placeholder{--placeholder-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-gray-900:focus::placeholder{--placeholder-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-200:focus::placeholder{--placeholder-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-300:focus::placeholder{--placeholder-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-400:focus::placeholder{--placeholder-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-500:focus::placeholder{--placeholder-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-600:focus::placeholder{--placeholder-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-700:focus::placeholder{--placeholder-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-800:focus::placeholder{--placeholder-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-red-900:focus::placeholder{--placeholder-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-100:focus::placeholder{--placeholder-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-200:focus::placeholder{--placeholder-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-300:focus::placeholder{--placeholder-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-400:focus::placeholder{--placeholder-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-500:focus::placeholder{--placeholder-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-600:focus::placeholder{--placeholder-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-700:focus::placeholder{--placeholder-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-800:focus::placeholder{--placeholder-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-orange-900:focus::placeholder{--placeholder-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-100:focus::placeholder{--placeholder-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-200:focus::placeholder{--placeholder-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-300:focus::placeholder{--placeholder-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-400:focus::placeholder{--placeholder-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-500:focus::placeholder{--placeholder-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-600:focus::placeholder{--placeholder-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-700:focus::placeholder{--placeholder-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-800:focus::placeholder{--placeholder-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-yellow-900:focus::placeholder{--placeholder-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-100:focus::placeholder{--placeholder-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-200:focus::placeholder{--placeholder-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-300:focus::placeholder{--placeholder-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-400:focus::placeholder{--placeholder-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-500:focus::placeholder{--placeholder-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-600:focus::placeholder{--placeholder-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-700:focus::placeholder{--placeholder-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-800:focus::placeholder{--placeholder-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-green-900:focus::placeholder{--placeholder-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-100:focus::placeholder{--placeholder-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-200:focus::placeholder{--placeholder-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-300:focus::placeholder{--placeholder-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-400:focus::placeholder{--placeholder-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-500:focus::placeholder{--placeholder-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-600:focus::placeholder{--placeholder-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-700:focus::placeholder{--placeholder-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-800:focus::placeholder{--placeholder-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-teal-900:focus::placeholder{--placeholder-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-100:focus::placeholder{--placeholder-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-200:focus::placeholder{--placeholder-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-300:focus::placeholder{--placeholder-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-400:focus::placeholder{--placeholder-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-500:focus::placeholder{--placeholder-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-600:focus::placeholder{--placeholder-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-700:focus::placeholder{--placeholder-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-800:focus::placeholder{--placeholder-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-blue-900:focus::placeholder{--placeholder-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-100:focus::placeholder{--placeholder-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-200:focus::placeholder{--placeholder-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-300:focus::placeholder{--placeholder-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-400:focus::placeholder{--placeholder-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-500:focus::placeholder{--placeholder-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-600:focus::placeholder{--placeholder-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-700:focus::placeholder{--placeholder-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-800:focus::placeholder{--placeholder-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-indigo-900:focus::placeholder{--placeholder-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-100:focus::placeholder{--placeholder-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-200:focus::placeholder{--placeholder-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-300:focus::placeholder{--placeholder-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-400:focus::placeholder{--placeholder-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-500:focus::placeholder{--placeholder-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-600:focus::placeholder{--placeholder-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-700:focus::placeholder{--placeholder-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-800:focus::placeholder{--placeholder-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-purple-900:focus::placeholder{--placeholder-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::-moz-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-100:focus::placeholder{--placeholder-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::-moz-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-200:focus::placeholder{--placeholder-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::-moz-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-300:focus::placeholder{--placeholder-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::-moz-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-400:focus::placeholder{--placeholder-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::-moz-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-500:focus::placeholder{--placeholder-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::-moz-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-600:focus::placeholder{--placeholder-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::-moz-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-700:focus::placeholder{--placeholder-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::-moz-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-800:focus::placeholder{--placeholder-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::-webkit-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::-moz-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus:-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::-ms-input-placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:focus\\:placeholder-pink-900:focus::placeholder{--placeholder-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--placeholder-opacity))}.xl\\:placeholder-opacity-0::-webkit-input-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0::-moz-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0:-ms-input-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0::-ms-input-placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-0::placeholder{--placeholder-opacity:0}.xl\\:placeholder-opacity-25::-webkit-input-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25::-moz-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25:-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25::-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-25::placeholder{--placeholder-opacity:0.25}.xl\\:placeholder-opacity-50::-webkit-input-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50::-moz-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50:-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50::-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-50::placeholder{--placeholder-opacity:0.5}.xl\\:placeholder-opacity-75::-webkit-input-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75::-moz-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75:-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75::-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-75::placeholder{--placeholder-opacity:0.75}.xl\\:placeholder-opacity-100::-webkit-input-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100::-moz-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100:-ms-input-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100::-ms-input-placeholder{--placeholder-opacity:1}.xl\\:placeholder-opacity-100::placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-0:focus::-webkit-input-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus:-ms-input-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus::-ms-input-placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-0:focus::placeholder{--placeholder-opacity:0}.xl\\:focus\\:placeholder-opacity-25:focus::-webkit-input-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus:-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus::-ms-input-placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-25:focus::placeholder{--placeholder-opacity:0.25}.xl\\:focus\\:placeholder-opacity-50:focus::-webkit-input-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus:-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus::-ms-input-placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-50:focus::placeholder{--placeholder-opacity:0.5}.xl\\:focus\\:placeholder-opacity-75:focus::-webkit-input-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus:-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus::-ms-input-placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-75:focus::placeholder{--placeholder-opacity:0.75}.xl\\:focus\\:placeholder-opacity-100:focus::-webkit-input-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus:-ms-input-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus::-ms-input-placeholder{--placeholder-opacity:1}.xl\\:focus\\:placeholder-opacity-100:focus::placeholder{--placeholder-opacity:1}.xl\\:pointer-events-none{pointer-events:none}.xl\\:pointer-events-auto{pointer-events:auto}.xl\\:static{position:static}.xl\\:fixed{position:fixed}.xl\\:absolute{position:absolute}.xl\\:relative{position:relative}.xl\\:sticky{position:-webkit-sticky;position:sticky}.xl\\:inset-0{top:0;right:0;bottom:0;left:0}.xl\\:inset-auto{top:auto;right:auto;bottom:auto;left:auto}.xl\\:inset-y-0{top:0;bottom:0}.xl\\:inset-x-0{right:0;left:0}.xl\\:inset-y-auto{top:auto;bottom:auto}.xl\\:inset-x-auto{right:auto;left:auto}.xl\\:top-0{top:0}.xl\\:right-0{right:0}.xl\\:bottom-0{bottom:0}.xl\\:left-0{left:0}.xl\\:top-auto{top:auto}.xl\\:right-auto{right:auto}.xl\\:bottom-auto{bottom:auto}.xl\\:left-auto{left:auto}.xl\\:resize-none{resize:none}.xl\\:resize-y{resize:vertical}.xl\\:resize-x{resize:horizontal}.xl\\:resize{resize:both}.xl\\:shadow-xs{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.xl\\:shadow-sm{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.xl\\:shadow{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.xl\\:shadow-md{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.xl\\:shadow-lg{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.xl\\:shadow-xl{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.xl\\:shadow-2xl{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.xl\\:shadow-inner{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.xl\\:shadow-outline{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.xl\\:shadow-none{-webkit-box-shadow:none;box-shadow:none}.xl\\:hover\\:shadow-xs:hover{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.xl\\:hover\\:shadow-sm:hover{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.xl\\:hover\\:shadow:hover{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.xl\\:hover\\:shadow-md:hover{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.xl\\:hover\\:shadow-lg:hover{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.xl\\:hover\\:shadow-xl:hover{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.xl\\:hover\\:shadow-2xl:hover{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.xl\\:hover\\:shadow-inner:hover{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.xl\\:hover\\:shadow-outline:hover{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.xl\\:hover\\:shadow-none:hover{-webkit-box-shadow:none;box-shadow:none}.xl\\:focus\\:shadow-xs:focus{-webkit-box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05);box-shadow:0 0 0 1px rgba(0, 0, 0, 0.05)}.xl\\:focus\\:shadow-sm:focus{-webkit-box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05);box-shadow:0 1px 2px 0 rgba(0, 0, 0, 0.05)}.xl\\:focus\\:shadow:focus{-webkit-box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)}.xl\\:focus\\:shadow-md:focus{-webkit-box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}.xl\\:focus\\:shadow-lg:focus{-webkit-box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)}.xl\\:focus\\:shadow-xl:focus{-webkit-box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);box-shadow:0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)}.xl\\:focus\\:shadow-2xl:focus{-webkit-box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25);box-shadow:0 25px 50px -12px rgba(0, 0, 0, 0.25)}.xl\\:focus\\:shadow-inner:focus{-webkit-box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)}.xl\\:focus\\:shadow-outline:focus{-webkit-box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5);box-shadow:0 0 0 3px rgba(66, 153, 225, 0.5)}.xl\\:focus\\:shadow-none:focus{-webkit-box-shadow:none;box-shadow:none}.xl\\:fill-current{fill:currentColor}.xl\\:stroke-current{stroke:currentColor}.xl\\:stroke-0{stroke-width:0}.xl\\:stroke-1{stroke-width:1}.xl\\:stroke-2{stroke-width:2}.xl\\:table-auto{table-layout:auto}.xl\\:table-fixed{table-layout:fixed}.xl\\:text-left{text-align:left}.xl\\:text-center{text-align:center}.xl\\:text-right{text-align:right}.xl\\:text-justify{text-align:justify}.xl\\:text-transparent{color:transparent}.xl\\:text-current{color:currentColor}.xl\\:text-black{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.xl\\:text-white{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.xl\\:text-gray-100{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.xl\\:text-gray-200{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.xl\\:text-gray-300{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.xl\\:text-gray-400{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.xl\\:text-gray-500{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.xl\\:text-gray-600{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.xl\\:text-gray-700{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.xl\\:text-gray-800{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.xl\\:text-gray-900{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.xl\\:text-red-100{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.xl\\:text-red-200{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.xl\\:text-red-300{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.xl\\:text-red-400{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.xl\\:text-red-500{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.xl\\:text-red-600{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.xl\\:text-red-700{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.xl\\:text-red-800{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.xl\\:text-red-900{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.xl\\:text-orange-100{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.xl\\:text-orange-200{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.xl\\:text-orange-300{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.xl\\:text-orange-400{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.xl\\:text-orange-500{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.xl\\:text-orange-600{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.xl\\:text-orange-700{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.xl\\:text-orange-800{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.xl\\:text-orange-900{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.xl\\:text-yellow-100{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.xl\\:text-yellow-200{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.xl\\:text-yellow-300{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.xl\\:text-yellow-400{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.xl\\:text-yellow-500{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.xl\\:text-yellow-600{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.xl\\:text-yellow-700{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.xl\\:text-yellow-800{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.xl\\:text-yellow-900{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.xl\\:text-green-100{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.xl\\:text-green-200{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.xl\\:text-green-300{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.xl\\:text-green-400{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.xl\\:text-green-500{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.xl\\:text-green-600{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.xl\\:text-green-700{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.xl\\:text-green-800{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.xl\\:text-green-900{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.xl\\:text-teal-100{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.xl\\:text-teal-200{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.xl\\:text-teal-300{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.xl\\:text-teal-400{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.xl\\:text-teal-500{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.xl\\:text-teal-600{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.xl\\:text-teal-700{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.xl\\:text-teal-800{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.xl\\:text-teal-900{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.xl\\:text-blue-100{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.xl\\:text-blue-200{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.xl\\:text-blue-300{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.xl\\:text-blue-400{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.xl\\:text-blue-500{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.xl\\:text-blue-600{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.xl\\:text-blue-700{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.xl\\:text-blue-800{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.xl\\:text-blue-900{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.xl\\:text-indigo-100{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.xl\\:text-indigo-200{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.xl\\:text-indigo-300{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.xl\\:text-indigo-400{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.xl\\:text-indigo-500{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.xl\\:text-indigo-600{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.xl\\:text-indigo-700{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.xl\\:text-indigo-800{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.xl\\:text-indigo-900{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.xl\\:text-purple-100{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.xl\\:text-purple-200{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.xl\\:text-purple-300{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.xl\\:text-purple-400{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.xl\\:text-purple-500{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.xl\\:text-purple-600{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.xl\\:text-purple-700{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.xl\\:text-purple-800{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.xl\\:text-purple-900{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.xl\\:text-pink-100{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.xl\\:text-pink-200{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.xl\\:text-pink-300{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.xl\\:text-pink-400{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.xl\\:text-pink-500{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.xl\\:text-pink-600{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.xl\\:text-pink-700{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.xl\\:text-pink-800{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.xl\\:text-pink-900{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.xl\\:hover\\:text-transparent:hover{color:transparent}.xl\\:hover\\:text-current:hover{color:currentColor}.xl\\:hover\\:text-black:hover{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.xl\\:hover\\:text-white:hover{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.xl\\:hover\\:text-gray-100:hover{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.xl\\:hover\\:text-gray-200:hover{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.xl\\:hover\\:text-gray-300:hover{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.xl\\:hover\\:text-gray-400:hover{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.xl\\:hover\\:text-gray-500:hover{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.xl\\:hover\\:text-gray-600:hover{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.xl\\:hover\\:text-gray-700:hover{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.xl\\:hover\\:text-gray-800:hover{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.xl\\:hover\\:text-gray-900:hover{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.xl\\:hover\\:text-red-100:hover{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.xl\\:hover\\:text-red-200:hover{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.xl\\:hover\\:text-red-300:hover{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.xl\\:hover\\:text-red-400:hover{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.xl\\:hover\\:text-red-500:hover{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.xl\\:hover\\:text-red-600:hover{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.xl\\:hover\\:text-red-700:hover{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.xl\\:hover\\:text-red-800:hover{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.xl\\:hover\\:text-red-900:hover{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.xl\\:hover\\:text-orange-100:hover{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.xl\\:hover\\:text-orange-200:hover{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.xl\\:hover\\:text-orange-300:hover{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.xl\\:hover\\:text-orange-400:hover{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.xl\\:hover\\:text-orange-500:hover{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.xl\\:hover\\:text-orange-600:hover{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.xl\\:hover\\:text-orange-700:hover{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.xl\\:hover\\:text-orange-800:hover{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.xl\\:hover\\:text-orange-900:hover{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.xl\\:hover\\:text-yellow-100:hover{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.xl\\:hover\\:text-yellow-200:hover{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.xl\\:hover\\:text-yellow-300:hover{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.xl\\:hover\\:text-yellow-400:hover{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.xl\\:hover\\:text-yellow-500:hover{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.xl\\:hover\\:text-yellow-600:hover{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.xl\\:hover\\:text-yellow-700:hover{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.xl\\:hover\\:text-yellow-800:hover{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.xl\\:hover\\:text-yellow-900:hover{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.xl\\:hover\\:text-green-100:hover{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.xl\\:hover\\:text-green-200:hover{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.xl\\:hover\\:text-green-300:hover{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.xl\\:hover\\:text-green-400:hover{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.xl\\:hover\\:text-green-500:hover{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.xl\\:hover\\:text-green-600:hover{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.xl\\:hover\\:text-green-700:hover{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.xl\\:hover\\:text-green-800:hover{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.xl\\:hover\\:text-green-900:hover{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.xl\\:hover\\:text-teal-100:hover{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.xl\\:hover\\:text-teal-200:hover{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.xl\\:hover\\:text-teal-300:hover{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.xl\\:hover\\:text-teal-400:hover{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.xl\\:hover\\:text-teal-500:hover{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.xl\\:hover\\:text-teal-600:hover{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.xl\\:hover\\:text-teal-700:hover{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.xl\\:hover\\:text-teal-800:hover{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.xl\\:hover\\:text-teal-900:hover{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.xl\\:hover\\:text-blue-100:hover{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.xl\\:hover\\:text-blue-200:hover{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.xl\\:hover\\:text-blue-300:hover{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.xl\\:hover\\:text-blue-400:hover{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.xl\\:hover\\:text-blue-500:hover{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.xl\\:hover\\:text-blue-600:hover{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.xl\\:hover\\:text-blue-700:hover{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.xl\\:hover\\:text-blue-800:hover{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.xl\\:hover\\:text-blue-900:hover{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.xl\\:hover\\:text-indigo-100:hover{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.xl\\:hover\\:text-indigo-200:hover{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.xl\\:hover\\:text-indigo-300:hover{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.xl\\:hover\\:text-indigo-400:hover{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.xl\\:hover\\:text-indigo-500:hover{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.xl\\:hover\\:text-indigo-600:hover{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.xl\\:hover\\:text-indigo-700:hover{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.xl\\:hover\\:text-indigo-800:hover{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.xl\\:hover\\:text-indigo-900:hover{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.xl\\:hover\\:text-purple-100:hover{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.xl\\:hover\\:text-purple-200:hover{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.xl\\:hover\\:text-purple-300:hover{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.xl\\:hover\\:text-purple-400:hover{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.xl\\:hover\\:text-purple-500:hover{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.xl\\:hover\\:text-purple-600:hover{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.xl\\:hover\\:text-purple-700:hover{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.xl\\:hover\\:text-purple-800:hover{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.xl\\:hover\\:text-purple-900:hover{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.xl\\:hover\\:text-pink-100:hover{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.xl\\:hover\\:text-pink-200:hover{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.xl\\:hover\\:text-pink-300:hover{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.xl\\:hover\\:text-pink-400:hover{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.xl\\:hover\\:text-pink-500:hover{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.xl\\:hover\\:text-pink-600:hover{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.xl\\:hover\\:text-pink-700:hover{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.xl\\:hover\\:text-pink-800:hover{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.xl\\:hover\\:text-pink-900:hover{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.xl\\:focus\\:text-transparent:focus{color:transparent}.xl\\:focus\\:text-current:focus{color:currentColor}.xl\\:focus\\:text-black:focus{--text-opacity:1;color:#000;color:rgba(0, 0, 0, var(--text-opacity))}.xl\\:focus\\:text-white:focus{--text-opacity:1;color:#fff;color:rgba(255, 255, 255, var(--text-opacity))}.xl\\:focus\\:text-gray-100:focus{--text-opacity:1;color:#f7fafc;color:rgba(247, 250, 252, var(--text-opacity))}.xl\\:focus\\:text-gray-200:focus{--text-opacity:1;color:#edf2f7;color:rgba(237, 242, 247, var(--text-opacity))}.xl\\:focus\\:text-gray-300:focus{--text-opacity:1;color:#e2e8f0;color:rgba(226, 232, 240, var(--text-opacity))}.xl\\:focus\\:text-gray-400:focus{--text-opacity:1;color:#cbd5e0;color:rgba(203, 213, 224, var(--text-opacity))}.xl\\:focus\\:text-gray-500:focus{--text-opacity:1;color:#a0aec0;color:rgba(160, 174, 192, var(--text-opacity))}.xl\\:focus\\:text-gray-600:focus{--text-opacity:1;color:#718096;color:rgba(113, 128, 150, var(--text-opacity))}.xl\\:focus\\:text-gray-700:focus{--text-opacity:1;color:#4a5568;color:rgba(74, 85, 104, var(--text-opacity))}.xl\\:focus\\:text-gray-800:focus{--text-opacity:1;color:#2d3748;color:rgba(45, 55, 72, var(--text-opacity))}.xl\\:focus\\:text-gray-900:focus{--text-opacity:1;color:#1a202c;color:rgba(26, 32, 44, var(--text-opacity))}.xl\\:focus\\:text-red-100:focus{--text-opacity:1;color:#fff5f5;color:rgba(255, 245, 245, var(--text-opacity))}.xl\\:focus\\:text-red-200:focus{--text-opacity:1;color:#fed7d7;color:rgba(254, 215, 215, var(--text-opacity))}.xl\\:focus\\:text-red-300:focus{--text-opacity:1;color:#feb2b2;color:rgba(254, 178, 178, var(--text-opacity))}.xl\\:focus\\:text-red-400:focus{--text-opacity:1;color:#fc8181;color:rgba(252, 129, 129, var(--text-opacity))}.xl\\:focus\\:text-red-500:focus{--text-opacity:1;color:#f56565;color:rgba(245, 101, 101, var(--text-opacity))}.xl\\:focus\\:text-red-600:focus{--text-opacity:1;color:#e53e3e;color:rgba(229, 62, 62, var(--text-opacity))}.xl\\:focus\\:text-red-700:focus{--text-opacity:1;color:#c53030;color:rgba(197, 48, 48, var(--text-opacity))}.xl\\:focus\\:text-red-800:focus{--text-opacity:1;color:#9b2c2c;color:rgba(155, 44, 44, var(--text-opacity))}.xl\\:focus\\:text-red-900:focus{--text-opacity:1;color:#742a2a;color:rgba(116, 42, 42, var(--text-opacity))}.xl\\:focus\\:text-orange-100:focus{--text-opacity:1;color:#fffaf0;color:rgba(255, 250, 240, var(--text-opacity))}.xl\\:focus\\:text-orange-200:focus{--text-opacity:1;color:#feebc8;color:rgba(254, 235, 200, var(--text-opacity))}.xl\\:focus\\:text-orange-300:focus{--text-opacity:1;color:#fbd38d;color:rgba(251, 211, 141, var(--text-opacity))}.xl\\:focus\\:text-orange-400:focus{--text-opacity:1;color:#f6ad55;color:rgba(246, 173, 85, var(--text-opacity))}.xl\\:focus\\:text-orange-500:focus{--text-opacity:1;color:#ed8936;color:rgba(237, 137, 54, var(--text-opacity))}.xl\\:focus\\:text-orange-600:focus{--text-opacity:1;color:#dd6b20;color:rgba(221, 107, 32, var(--text-opacity))}.xl\\:focus\\:text-orange-700:focus{--text-opacity:1;color:#c05621;color:rgba(192, 86, 33, var(--text-opacity))}.xl\\:focus\\:text-orange-800:focus{--text-opacity:1;color:#9c4221;color:rgba(156, 66, 33, var(--text-opacity))}.xl\\:focus\\:text-orange-900:focus{--text-opacity:1;color:#7b341e;color:rgba(123, 52, 30, var(--text-opacity))}.xl\\:focus\\:text-yellow-100:focus{--text-opacity:1;color:#fffff0;color:rgba(255, 255, 240, var(--text-opacity))}.xl\\:focus\\:text-yellow-200:focus{--text-opacity:1;color:#fefcbf;color:rgba(254, 252, 191, var(--text-opacity))}.xl\\:focus\\:text-yellow-300:focus{--text-opacity:1;color:#faf089;color:rgba(250, 240, 137, var(--text-opacity))}.xl\\:focus\\:text-yellow-400:focus{--text-opacity:1;color:#f6e05e;color:rgba(246, 224, 94, var(--text-opacity))}.xl\\:focus\\:text-yellow-500:focus{--text-opacity:1;color:#ecc94b;color:rgba(236, 201, 75, var(--text-opacity))}.xl\\:focus\\:text-yellow-600:focus{--text-opacity:1;color:#d69e2e;color:rgba(214, 158, 46, var(--text-opacity))}.xl\\:focus\\:text-yellow-700:focus{--text-opacity:1;color:#b7791f;color:rgba(183, 121, 31, var(--text-opacity))}.xl\\:focus\\:text-yellow-800:focus{--text-opacity:1;color:#975a16;color:rgba(151, 90, 22, var(--text-opacity))}.xl\\:focus\\:text-yellow-900:focus{--text-opacity:1;color:#744210;color:rgba(116, 66, 16, var(--text-opacity))}.xl\\:focus\\:text-green-100:focus{--text-opacity:1;color:#f0fff4;color:rgba(240, 255, 244, var(--text-opacity))}.xl\\:focus\\:text-green-200:focus{--text-opacity:1;color:#c6f6d5;color:rgba(198, 246, 213, var(--text-opacity))}.xl\\:focus\\:text-green-300:focus{--text-opacity:1;color:#9ae6b4;color:rgba(154, 230, 180, var(--text-opacity))}.xl\\:focus\\:text-green-400:focus{--text-opacity:1;color:#68d391;color:rgba(104, 211, 145, var(--text-opacity))}.xl\\:focus\\:text-green-500:focus{--text-opacity:1;color:#48bb78;color:rgba(72, 187, 120, var(--text-opacity))}.xl\\:focus\\:text-green-600:focus{--text-opacity:1;color:#38a169;color:rgba(56, 161, 105, var(--text-opacity))}.xl\\:focus\\:text-green-700:focus{--text-opacity:1;color:#2f855a;color:rgba(47, 133, 90, var(--text-opacity))}.xl\\:focus\\:text-green-800:focus{--text-opacity:1;color:#276749;color:rgba(39, 103, 73, var(--text-opacity))}.xl\\:focus\\:text-green-900:focus{--text-opacity:1;color:#22543d;color:rgba(34, 84, 61, var(--text-opacity))}.xl\\:focus\\:text-teal-100:focus{--text-opacity:1;color:#e6fffa;color:rgba(230, 255, 250, var(--text-opacity))}.xl\\:focus\\:text-teal-200:focus{--text-opacity:1;color:#b2f5ea;color:rgba(178, 245, 234, var(--text-opacity))}.xl\\:focus\\:text-teal-300:focus{--text-opacity:1;color:#81e6d9;color:rgba(129, 230, 217, var(--text-opacity))}.xl\\:focus\\:text-teal-400:focus{--text-opacity:1;color:#4fd1c5;color:rgba(79, 209, 197, var(--text-opacity))}.xl\\:focus\\:text-teal-500:focus{--text-opacity:1;color:#38b2ac;color:rgba(56, 178, 172, var(--text-opacity))}.xl\\:focus\\:text-teal-600:focus{--text-opacity:1;color:#319795;color:rgba(49, 151, 149, var(--text-opacity))}.xl\\:focus\\:text-teal-700:focus{--text-opacity:1;color:#2c7a7b;color:rgba(44, 122, 123, var(--text-opacity))}.xl\\:focus\\:text-teal-800:focus{--text-opacity:1;color:#285e61;color:rgba(40, 94, 97, var(--text-opacity))}.xl\\:focus\\:text-teal-900:focus{--text-opacity:1;color:#234e52;color:rgba(35, 78, 82, var(--text-opacity))}.xl\\:focus\\:text-blue-100:focus{--text-opacity:1;color:#ebf8ff;color:rgba(235, 248, 255, var(--text-opacity))}.xl\\:focus\\:text-blue-200:focus{--text-opacity:1;color:#bee3f8;color:rgba(190, 227, 248, var(--text-opacity))}.xl\\:focus\\:text-blue-300:focus{--text-opacity:1;color:#90cdf4;color:rgba(144, 205, 244, var(--text-opacity))}.xl\\:focus\\:text-blue-400:focus{--text-opacity:1;color:#63b3ed;color:rgba(99, 179, 237, var(--text-opacity))}.xl\\:focus\\:text-blue-500:focus{--text-opacity:1;color:#4299e1;color:rgba(66, 153, 225, var(--text-opacity))}.xl\\:focus\\:text-blue-600:focus{--text-opacity:1;color:#3182ce;color:rgba(49, 130, 206, var(--text-opacity))}.xl\\:focus\\:text-blue-700:focus{--text-opacity:1;color:#2b6cb0;color:rgba(43, 108, 176, var(--text-opacity))}.xl\\:focus\\:text-blue-800:focus{--text-opacity:1;color:#2c5282;color:rgba(44, 82, 130, var(--text-opacity))}.xl\\:focus\\:text-blue-900:focus{--text-opacity:1;color:#2a4365;color:rgba(42, 67, 101, var(--text-opacity))}.xl\\:focus\\:text-indigo-100:focus{--text-opacity:1;color:#ebf4ff;color:rgba(235, 244, 255, var(--text-opacity))}.xl\\:focus\\:text-indigo-200:focus{--text-opacity:1;color:#c3dafe;color:rgba(195, 218, 254, var(--text-opacity))}.xl\\:focus\\:text-indigo-300:focus{--text-opacity:1;color:#a3bffa;color:rgba(163, 191, 250, var(--text-opacity))}.xl\\:focus\\:text-indigo-400:focus{--text-opacity:1;color:#7f9cf5;color:rgba(127, 156, 245, var(--text-opacity))}.xl\\:focus\\:text-indigo-500:focus{--text-opacity:1;color:#667eea;color:rgba(102, 126, 234, var(--text-opacity))}.xl\\:focus\\:text-indigo-600:focus{--text-opacity:1;color:#5a67d8;color:rgba(90, 103, 216, var(--text-opacity))}.xl\\:focus\\:text-indigo-700:focus{--text-opacity:1;color:#4c51bf;color:rgba(76, 81, 191, var(--text-opacity))}.xl\\:focus\\:text-indigo-800:focus{--text-opacity:1;color:#434190;color:rgba(67, 65, 144, var(--text-opacity))}.xl\\:focus\\:text-indigo-900:focus{--text-opacity:1;color:#3c366b;color:rgba(60, 54, 107, var(--text-opacity))}.xl\\:focus\\:text-purple-100:focus{--text-opacity:1;color:#faf5ff;color:rgba(250, 245, 255, var(--text-opacity))}.xl\\:focus\\:text-purple-200:focus{--text-opacity:1;color:#e9d8fd;color:rgba(233, 216, 253, var(--text-opacity))}.xl\\:focus\\:text-purple-300:focus{--text-opacity:1;color:#d6bcfa;color:rgba(214, 188, 250, var(--text-opacity))}.xl\\:focus\\:text-purple-400:focus{--text-opacity:1;color:#b794f4;color:rgba(183, 148, 244, var(--text-opacity))}.xl\\:focus\\:text-purple-500:focus{--text-opacity:1;color:#9f7aea;color:rgba(159, 122, 234, var(--text-opacity))}.xl\\:focus\\:text-purple-600:focus{--text-opacity:1;color:#805ad5;color:rgba(128, 90, 213, var(--text-opacity))}.xl\\:focus\\:text-purple-700:focus{--text-opacity:1;color:#6b46c1;color:rgba(107, 70, 193, var(--text-opacity))}.xl\\:focus\\:text-purple-800:focus{--text-opacity:1;color:#553c9a;color:rgba(85, 60, 154, var(--text-opacity))}.xl\\:focus\\:text-purple-900:focus{--text-opacity:1;color:#44337a;color:rgba(68, 51, 122, var(--text-opacity))}.xl\\:focus\\:text-pink-100:focus{--text-opacity:1;color:#fff5f7;color:rgba(255, 245, 247, var(--text-opacity))}.xl\\:focus\\:text-pink-200:focus{--text-opacity:1;color:#fed7e2;color:rgba(254, 215, 226, var(--text-opacity))}.xl\\:focus\\:text-pink-300:focus{--text-opacity:1;color:#fbb6ce;color:rgba(251, 182, 206, var(--text-opacity))}.xl\\:focus\\:text-pink-400:focus{--text-opacity:1;color:#f687b3;color:rgba(246, 135, 179, var(--text-opacity))}.xl\\:focus\\:text-pink-500:focus{--text-opacity:1;color:#ed64a6;color:rgba(237, 100, 166, var(--text-opacity))}.xl\\:focus\\:text-pink-600:focus{--text-opacity:1;color:#d53f8c;color:rgba(213, 63, 140, var(--text-opacity))}.xl\\:focus\\:text-pink-700:focus{--text-opacity:1;color:#b83280;color:rgba(184, 50, 128, var(--text-opacity))}.xl\\:focus\\:text-pink-800:focus{--text-opacity:1;color:#97266d;color:rgba(151, 38, 109, var(--text-opacity))}.xl\\:focus\\:text-pink-900:focus{--text-opacity:1;color:#702459;color:rgba(112, 36, 89, var(--text-opacity))}.xl\\:text-opacity-0{--text-opacity:0}.xl\\:text-opacity-25{--text-opacity:0.25}.xl\\:text-opacity-50{--text-opacity:0.5}.xl\\:text-opacity-75{--text-opacity:0.75}.xl\\:text-opacity-100{--text-opacity:1}.xl\\:hover\\:text-opacity-0:hover{--text-opacity:0}.xl\\:hover\\:text-opacity-25:hover{--text-opacity:0.25}.xl\\:hover\\:text-opacity-50:hover{--text-opacity:0.5}.xl\\:hover\\:text-opacity-75:hover{--text-opacity:0.75}.xl\\:hover\\:text-opacity-100:hover{--text-opacity:1}.xl\\:focus\\:text-opacity-0:focus{--text-opacity:0}.xl\\:focus\\:text-opacity-25:focus{--text-opacity:0.25}.xl\\:focus\\:text-opacity-50:focus{--text-opacity:0.5}.xl\\:focus\\:text-opacity-75:focus{--text-opacity:0.75}.xl\\:focus\\:text-opacity-100:focus{--text-opacity:1}.xl\\:italic{font-style:italic}.xl\\:not-italic{font-style:normal}.xl\\:uppercase{text-transform:uppercase}.xl\\:lowercase{text-transform:lowercase}.xl\\:capitalize{text-transform:capitalize}.xl\\:normal-case{text-transform:none}.xl\\:underline{text-decoration:underline}.xl\\:line-through{text-decoration:line-through}.xl\\:no-underline{text-decoration:none}.xl\\:hover\\:underline:hover{text-decoration:underline}.xl\\:hover\\:line-through:hover{text-decoration:line-through}.xl\\:hover\\:no-underline:hover{text-decoration:none}.xl\\:focus\\:underline:focus{text-decoration:underline}.xl\\:focus\\:line-through:focus{text-decoration:line-through}.xl\\:focus\\:no-underline:focus{text-decoration:none}.xl\\:antialiased{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.xl\\:subpixel-antialiased{-webkit-font-smoothing:auto;-moz-osx-font-smoothing:auto}.xl\\:ordinal,.xl\\:slashed-zero,.xl\\:lining-nums,.xl\\:oldstyle-nums,.xl\\:proportional-nums,.xl\\:tabular-nums,.xl\\:diagonal-fractions,.xl\\:stacked-fractions{--font-variant-numeric-ordinal:var(--tailwind-empty, );--font-variant-numeric-slashed-zero:var(--tailwind-empty, );--font-variant-numeric-figure:var(--tailwind-empty, );--font-variant-numeric-spacing:var(--tailwind-empty, );--font-variant-numeric-fraction:var(--tailwind-empty, );font-variant-numeric:var(--font-variant-numeric-ordinal) var(--font-variant-numeric-slashed-zero) var(--font-variant-numeric-figure) var(--font-variant-numeric-spacing) var(--font-variant-numeric-fraction)}.xl\\:normal-nums{font-variant-numeric:normal}.xl\\:ordinal{--font-variant-numeric-ordinal:ordinal}.xl\\:slashed-zero{--font-variant-numeric-slashed-zero:slashed-zero}.xl\\:lining-nums{--font-variant-numeric-figure:lining-nums}.xl\\:oldstyle-nums{--font-variant-numeric-figure:oldstyle-nums}.xl\\:proportional-nums{--font-variant-numeric-spacing:proportional-nums}.xl\\:tabular-nums{--font-variant-numeric-spacing:tabular-nums}.xl\\:diagonal-fractions{--font-variant-numeric-fraction:diagonal-fractions}.xl\\:stacked-fractions{--font-variant-numeric-fraction:stacked-fractions}.xl\\:tracking-tighter{letter-spacing:-0.05em}.xl\\:tracking-tight{letter-spacing:-0.025em}.xl\\:tracking-normal{letter-spacing:0}.xl\\:tracking-wide{letter-spacing:0.025em}.xl\\:tracking-wider{letter-spacing:0.05em}.xl\\:tracking-widest{letter-spacing:0.1em}.xl\\:select-none{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.xl\\:select-text{-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text}.xl\\:select-all{-webkit-user-select:all;-moz-user-select:all;-ms-user-select:all;user-select:all}.xl\\:select-auto{-webkit-user-select:auto;-moz-user-select:auto;-ms-user-select:auto;user-select:auto}.xl\\:align-baseline{vertical-align:baseline}.xl\\:align-top{vertical-align:top}.xl\\:align-middle{vertical-align:middle}.xl\\:align-bottom{vertical-align:bottom}.xl\\:align-text-top{vertical-align:text-top}.xl\\:align-text-bottom{vertical-align:text-bottom}.xl\\:visible{visibility:visible}.xl\\:invisible{visibility:hidden}.xl\\:whitespace-normal{white-space:normal}.xl\\:whitespace-no-wrap{white-space:nowrap}.xl\\:whitespace-pre{white-space:pre}.xl\\:whitespace-pre-line{white-space:pre-line}.xl\\:whitespace-pre-wrap{white-space:pre-wrap}.xl\\:break-normal{overflow-wrap:normal;word-break:normal}.xl\\:break-words{overflow-wrap:break-word}.xl\\:break-all{word-break:break-all}.xl\\:truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.xl\\:w-0{width:0}.xl\\:w-1{width:0.25rem}.xl\\:w-2{width:0.5rem}.xl\\:w-3{width:0.75rem}.xl\\:w-4{width:1rem}.xl\\:w-5{width:1.25rem}.xl\\:w-6{width:1.5rem}.xl\\:w-8{width:2rem}.xl\\:w-10{width:2.5rem}.xl\\:w-12{width:3rem}.xl\\:w-16{width:4rem}.xl\\:w-20{width:5rem}.xl\\:w-24{width:6rem}.xl\\:w-32{width:8rem}.xl\\:w-40{width:10rem}.xl\\:w-48{width:12rem}.xl\\:w-56{width:14rem}.xl\\:w-64{width:16rem}.xl\\:w-auto{width:auto}.xl\\:w-px{width:1px}.xl\\:w-1\\/2{width:50%}.xl\\:w-1\\/3{width:33.333333%}.xl\\:w-2\\/3{width:66.666667%}.xl\\:w-1\\/4{width:25%}.xl\\:w-2\\/4{width:50%}.xl\\:w-3\\/4{width:75%}.xl\\:w-1\\/5{width:20%}.xl\\:w-2\\/5{width:40%}.xl\\:w-3\\/5{width:60%}.xl\\:w-4\\/5{width:80%}.xl\\:w-1\\/6{width:16.666667%}.xl\\:w-2\\/6{width:33.333333%}.xl\\:w-3\\/6{width:50%}.xl\\:w-4\\/6{width:66.666667%}.xl\\:w-5\\/6{width:83.333333%}.xl\\:w-1\\/12{width:8.333333%}.xl\\:w-2\\/12{width:16.666667%}.xl\\:w-3\\/12{width:25%}.xl\\:w-4\\/12{width:33.333333%}.xl\\:w-5\\/12{width:41.666667%}.xl\\:w-6\\/12{width:50%}.xl\\:w-7\\/12{width:58.333333%}.xl\\:w-8\\/12{width:66.666667%}.xl\\:w-9\\/12{width:75%}.xl\\:w-10\\/12{width:83.333333%}.xl\\:w-11\\/12{width:91.666667%}.xl\\:w-full{width:100%}.xl\\:w-screen{width:100vw}.xl\\:z-0{z-index:0}.xl\\:z-10{z-index:10}.xl\\:z-20{z-index:20}.xl\\:z-30{z-index:30}.xl\\:z-40{z-index:40}.xl\\:z-50{z-index:50}.xl\\:z-auto{z-index:auto}.xl\\:gap-0{grid-gap:0;gap:0}.xl\\:gap-1{grid-gap:0.25rem;gap:0.25rem}.xl\\:gap-2{grid-gap:0.5rem;gap:0.5rem}.xl\\:gap-3{grid-gap:0.75rem;gap:0.75rem}.xl\\:gap-4{grid-gap:1rem;gap:1rem}.xl\\:gap-5{grid-gap:1.25rem;gap:1.25rem}.xl\\:gap-6{grid-gap:1.5rem;gap:1.5rem}.xl\\:gap-8{grid-gap:2rem;gap:2rem}.xl\\:gap-10{grid-gap:2.5rem;gap:2.5rem}.xl\\:gap-12{grid-gap:3rem;gap:3rem}.xl\\:gap-16{grid-gap:4rem;gap:4rem}.xl\\:gap-20{grid-gap:5rem;gap:5rem}.xl\\:gap-24{grid-gap:6rem;gap:6rem}.xl\\:gap-32{grid-gap:8rem;gap:8rem}.xl\\:gap-40{grid-gap:10rem;gap:10rem}.xl\\:gap-48{grid-gap:12rem;gap:12rem}.xl\\:gap-56{grid-gap:14rem;gap:14rem}.xl\\:gap-64{grid-gap:16rem;gap:16rem}.xl\\:gap-px{grid-gap:1px;gap:1px}.xl\\:gap-x-0{grid-column-gap:0;-webkit-column-gap:0;-moz-column-gap:0;column-gap:0}.xl\\:gap-x-1{grid-column-gap:0.25rem;-webkit-column-gap:0.25rem;-moz-column-gap:0.25rem;column-gap:0.25rem}.xl\\:gap-x-2{grid-column-gap:0.5rem;-webkit-column-gap:0.5rem;-moz-column-gap:0.5rem;column-gap:0.5rem}.xl\\:gap-x-3{grid-column-gap:0.75rem;-webkit-column-gap:0.75rem;-moz-column-gap:0.75rem;column-gap:0.75rem}.xl\\:gap-x-4{grid-column-gap:1rem;-webkit-column-gap:1rem;-moz-column-gap:1rem;column-gap:1rem}.xl\\:gap-x-5{grid-column-gap:1.25rem;-webkit-column-gap:1.25rem;-moz-column-gap:1.25rem;column-gap:1.25rem}.xl\\:gap-x-6{grid-column-gap:1.5rem;-webkit-column-gap:1.5rem;-moz-column-gap:1.5rem;column-gap:1.5rem}.xl\\:gap-x-8{grid-column-gap:2rem;-webkit-column-gap:2rem;-moz-column-gap:2rem;column-gap:2rem}.xl\\:gap-x-10{grid-column-gap:2.5rem;-webkit-column-gap:2.5rem;-moz-column-gap:2.5rem;column-gap:2.5rem}.xl\\:gap-x-12{grid-column-gap:3rem;-webkit-column-gap:3rem;-moz-column-gap:3rem;column-gap:3rem}.xl\\:gap-x-16{grid-column-gap:4rem;-webkit-column-gap:4rem;-moz-column-gap:4rem;column-gap:4rem}.xl\\:gap-x-20{grid-column-gap:5rem;-webkit-column-gap:5rem;-moz-column-gap:5rem;column-gap:5rem}.xl\\:gap-x-24{grid-column-gap:6rem;-webkit-column-gap:6rem;-moz-column-gap:6rem;column-gap:6rem}.xl\\:gap-x-32{grid-column-gap:8rem;-webkit-column-gap:8rem;-moz-column-gap:8rem;column-gap:8rem}.xl\\:gap-x-40{grid-column-gap:10rem;-webkit-column-gap:10rem;-moz-column-gap:10rem;column-gap:10rem}.xl\\:gap-x-48{grid-column-gap:12rem;-webkit-column-gap:12rem;-moz-column-gap:12rem;column-gap:12rem}.xl\\:gap-x-56{grid-column-gap:14rem;-webkit-column-gap:14rem;-moz-column-gap:14rem;column-gap:14rem}.xl\\:gap-x-64{grid-column-gap:16rem;-webkit-column-gap:16rem;-moz-column-gap:16rem;column-gap:16rem}.xl\\:gap-x-px{grid-column-gap:1px;-webkit-column-gap:1px;-moz-column-gap:1px;column-gap:1px}.xl\\:gap-y-0{grid-row-gap:0;row-gap:0}.xl\\:gap-y-1{grid-row-gap:0.25rem;row-gap:0.25rem}.xl\\:gap-y-2{grid-row-gap:0.5rem;row-gap:0.5rem}.xl\\:gap-y-3{grid-row-gap:0.75rem;row-gap:0.75rem}.xl\\:gap-y-4{grid-row-gap:1rem;row-gap:1rem}.xl\\:gap-y-5{grid-row-gap:1.25rem;row-gap:1.25rem}.xl\\:gap-y-6{grid-row-gap:1.5rem;row-gap:1.5rem}.xl\\:gap-y-8{grid-row-gap:2rem;row-gap:2rem}.xl\\:gap-y-10{grid-row-gap:2.5rem;row-gap:2.5rem}.xl\\:gap-y-12{grid-row-gap:3rem;row-gap:3rem}.xl\\:gap-y-16{grid-row-gap:4rem;row-gap:4rem}.xl\\:gap-y-20{grid-row-gap:5rem;row-gap:5rem}.xl\\:gap-y-24{grid-row-gap:6rem;row-gap:6rem}.xl\\:gap-y-32{grid-row-gap:8rem;row-gap:8rem}.xl\\:gap-y-40{grid-row-gap:10rem;row-gap:10rem}.xl\\:gap-y-48{grid-row-gap:12rem;row-gap:12rem}.xl\\:gap-y-56{grid-row-gap:14rem;row-gap:14rem}.xl\\:gap-y-64{grid-row-gap:16rem;row-gap:16rem}.xl\\:gap-y-px{grid-row-gap:1px;row-gap:1px}.xl\\:grid-flow-row{grid-auto-flow:row}.xl\\:grid-flow-col{grid-auto-flow:column}.xl\\:grid-flow-row-dense{grid-auto-flow:row dense}.xl\\:grid-flow-col-dense{grid-auto-flow:column dense}.xl\\:grid-cols-1{grid-template-columns:repeat(1, minmax(0, 1fr))}.xl\\:grid-cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.xl\\:grid-cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.xl\\:grid-cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}.xl\\:grid-cols-5{grid-template-columns:repeat(5, minmax(0, 1fr))}.xl\\:grid-cols-6{grid-template-columns:repeat(6, minmax(0, 1fr))}.xl\\:grid-cols-7{grid-template-columns:repeat(7, minmax(0, 1fr))}.xl\\:grid-cols-8{grid-template-columns:repeat(8, minmax(0, 1fr))}.xl\\:grid-cols-9{grid-template-columns:repeat(9, minmax(0, 1fr))}.xl\\:grid-cols-10{grid-template-columns:repeat(10, minmax(0, 1fr))}.xl\\:grid-cols-11{grid-template-columns:repeat(11, minmax(0, 1fr))}.xl\\:grid-cols-12{grid-template-columns:repeat(12, minmax(0, 1fr))}.xl\\:grid-cols-none{grid-template-columns:none}.xl\\:col-auto{grid-column:auto}.xl\\:col-span-1{grid-column:span 1 / span 1}.xl\\:col-span-2{grid-column:span 2 / span 2}.xl\\:col-span-3{grid-column:span 3 / span 3}.xl\\:col-span-4{grid-column:span 4 / span 4}.xl\\:col-span-5{grid-column:span 5 / span 5}.xl\\:col-span-6{grid-column:span 6 / span 6}.xl\\:col-span-7{grid-column:span 7 / span 7}.xl\\:col-span-8{grid-column:span 8 / span 8}.xl\\:col-span-9{grid-column:span 9 / span 9}.xl\\:col-span-10{grid-column:span 10 / span 10}.xl\\:col-span-11{grid-column:span 11 / span 11}.xl\\:col-span-12{grid-column:span 12 / span 12}.xl\\:col-start-1{grid-column-start:1}.xl\\:col-start-2{grid-column-start:2}.xl\\:col-start-3{grid-column-start:3}.xl\\:col-start-4{grid-column-start:4}.xl\\:col-start-5{grid-column-start:5}.xl\\:col-start-6{grid-column-start:6}.xl\\:col-start-7{grid-column-start:7}.xl\\:col-start-8{grid-column-start:8}.xl\\:col-start-9{grid-column-start:9}.xl\\:col-start-10{grid-column-start:10}.xl\\:col-start-11{grid-column-start:11}.xl\\:col-start-12{grid-column-start:12}.xl\\:col-start-13{grid-column-start:13}.xl\\:col-start-auto{grid-column-start:auto}.xl\\:col-end-1{grid-column-end:1}.xl\\:col-end-2{grid-column-end:2}.xl\\:col-end-3{grid-column-end:3}.xl\\:col-end-4{grid-column-end:4}.xl\\:col-end-5{grid-column-end:5}.xl\\:col-end-6{grid-column-end:6}.xl\\:col-end-7{grid-column-end:7}.xl\\:col-end-8{grid-column-end:8}.xl\\:col-end-9{grid-column-end:9}.xl\\:col-end-10{grid-column-end:10}.xl\\:col-end-11{grid-column-end:11}.xl\\:col-end-12{grid-column-end:12}.xl\\:col-end-13{grid-column-end:13}.xl\\:col-end-auto{grid-column-end:auto}.xl\\:grid-rows-1{grid-template-rows:repeat(1, minmax(0, 1fr))}.xl\\:grid-rows-2{grid-template-rows:repeat(2, minmax(0, 1fr))}.xl\\:grid-rows-3{grid-template-rows:repeat(3, minmax(0, 1fr))}.xl\\:grid-rows-4{grid-template-rows:repeat(4, minmax(0, 1fr))}.xl\\:grid-rows-5{grid-template-rows:repeat(5, minmax(0, 1fr))}.xl\\:grid-rows-6{grid-template-rows:repeat(6, minmax(0, 1fr))}.xl\\:grid-rows-none{grid-template-rows:none}.xl\\:row-auto{grid-row:auto}.xl\\:row-span-1{grid-row:span 1 / span 1}.xl\\:row-span-2{grid-row:span 2 / span 2}.xl\\:row-span-3{grid-row:span 3 / span 3}.xl\\:row-span-4{grid-row:span 4 / span 4}.xl\\:row-span-5{grid-row:span 5 / span 5}.xl\\:row-span-6{grid-row:span 6 / span 6}.xl\\:row-start-1{grid-row-start:1}.xl\\:row-start-2{grid-row-start:2}.xl\\:row-start-3{grid-row-start:3}.xl\\:row-start-4{grid-row-start:4}.xl\\:row-start-5{grid-row-start:5}.xl\\:row-start-6{grid-row-start:6}.xl\\:row-start-7{grid-row-start:7}.xl\\:row-start-auto{grid-row-start:auto}.xl\\:row-end-1{grid-row-end:1}.xl\\:row-end-2{grid-row-end:2}.xl\\:row-end-3{grid-row-end:3}.xl\\:row-end-4{grid-row-end:4}.xl\\:row-end-5{grid-row-end:5}.xl\\:row-end-6{grid-row-end:6}.xl\\:row-end-7{grid-row-end:7}.xl\\:row-end-auto{grid-row-end:auto}.xl\\:transform{--transform-translate-x:0;--transform-translate-y:0;--transform-rotate:0;--transform-skew-x:0;--transform-skew-y:0;--transform-scale-x:1;--transform-scale-y:1;-webkit-transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y));transform:translateX(var(--transform-translate-x)) translateY(var(--transform-translate-y)) rotate(var(--transform-rotate)) skewX(var(--transform-skew-x)) skewY(var(--transform-skew-y)) scaleX(var(--transform-scale-x)) scaleY(var(--transform-scale-y))}.xl\\:transform-none{-webkit-transform:none;transform:none}.xl\\:origin-center{-webkit-transform-origin:center;transform-origin:center}.xl\\:origin-top{-webkit-transform-origin:top;transform-origin:top}.xl\\:origin-top-right{-webkit-transform-origin:top right;transform-origin:top right}.xl\\:origin-right{-webkit-transform-origin:right;transform-origin:right}.xl\\:origin-bottom-right{-webkit-transform-origin:bottom right;transform-origin:bottom right}.xl\\:origin-bottom{-webkit-transform-origin:bottom;transform-origin:bottom}.xl\\:origin-bottom-left{-webkit-transform-origin:bottom left;transform-origin:bottom left}.xl\\:origin-left{-webkit-transform-origin:left;transform-origin:left}.xl\\:origin-top-left{-webkit-transform-origin:top left;transform-origin:top left}.xl\\:scale-0{--transform-scale-x:0;--transform-scale-y:0}.xl\\:scale-50{--transform-scale-x:.5;--transform-scale-y:.5}.xl\\:scale-75{--transform-scale-x:.75;--transform-scale-y:.75}.xl\\:scale-90{--transform-scale-x:.9;--transform-scale-y:.9}.xl\\:scale-95{--transform-scale-x:.95;--transform-scale-y:.95}.xl\\:scale-100{--transform-scale-x:1;--transform-scale-y:1}.xl\\:scale-105{--transform-scale-x:1.05;--transform-scale-y:1.05}.xl\\:scale-110{--transform-scale-x:1.1;--transform-scale-y:1.1}.xl\\:scale-125{--transform-scale-x:1.25;--transform-scale-y:1.25}.xl\\:scale-150{--transform-scale-x:1.5;--transform-scale-y:1.5}.xl\\:scale-x-0{--transform-scale-x:0}.xl\\:scale-x-50{--transform-scale-x:.5}.xl\\:scale-x-75{--transform-scale-x:.75}.xl\\:scale-x-90{--transform-scale-x:.9}.xl\\:scale-x-95{--transform-scale-x:.95}.xl\\:scale-x-100{--transform-scale-x:1}.xl\\:scale-x-105{--transform-scale-x:1.05}.xl\\:scale-x-110{--transform-scale-x:1.1}.xl\\:scale-x-125{--transform-scale-x:1.25}.xl\\:scale-x-150{--transform-scale-x:1.5}.xl\\:scale-y-0{--transform-scale-y:0}.xl\\:scale-y-50{--transform-scale-y:.5}.xl\\:scale-y-75{--transform-scale-y:.75}.xl\\:scale-y-90{--transform-scale-y:.9}.xl\\:scale-y-95{--transform-scale-y:.95}.xl\\:scale-y-100{--transform-scale-y:1}.xl\\:scale-y-105{--transform-scale-y:1.05}.xl\\:scale-y-110{--transform-scale-y:1.1}.xl\\:scale-y-125{--transform-scale-y:1.25}.xl\\:scale-y-150{--transform-scale-y:1.5}.xl\\:hover\\:scale-0:hover{--transform-scale-x:0;--transform-scale-y:0}.xl\\:hover\\:scale-50:hover{--transform-scale-x:.5;--transform-scale-y:.5}.xl\\:hover\\:scale-75:hover{--transform-scale-x:.75;--transform-scale-y:.75}.xl\\:hover\\:scale-90:hover{--transform-scale-x:.9;--transform-scale-y:.9}.xl\\:hover\\:scale-95:hover{--transform-scale-x:.95;--transform-scale-y:.95}.xl\\:hover\\:scale-100:hover{--transform-scale-x:1;--transform-scale-y:1}.xl\\:hover\\:scale-105:hover{--transform-scale-x:1.05;--transform-scale-y:1.05}.xl\\:hover\\:scale-110:hover{--transform-scale-x:1.1;--transform-scale-y:1.1}.xl\\:hover\\:scale-125:hover{--transform-scale-x:1.25;--transform-scale-y:1.25}.xl\\:hover\\:scale-150:hover{--transform-scale-x:1.5;--transform-scale-y:1.5}.xl\\:hover\\:scale-x-0:hover{--transform-scale-x:0}.xl\\:hover\\:scale-x-50:hover{--transform-scale-x:.5}.xl\\:hover\\:scale-x-75:hover{--transform-scale-x:.75}.xl\\:hover\\:scale-x-90:hover{--transform-scale-x:.9}.xl\\:hover\\:scale-x-95:hover{--transform-scale-x:.95}.xl\\:hover\\:scale-x-100:hover{--transform-scale-x:1}.xl\\:hover\\:scale-x-105:hover{--transform-scale-x:1.05}.xl\\:hover\\:scale-x-110:hover{--transform-scale-x:1.1}.xl\\:hover\\:scale-x-125:hover{--transform-scale-x:1.25}.xl\\:hover\\:scale-x-150:hover{--transform-scale-x:1.5}.xl\\:hover\\:scale-y-0:hover{--transform-scale-y:0}.xl\\:hover\\:scale-y-50:hover{--transform-scale-y:.5}.xl\\:hover\\:scale-y-75:hover{--transform-scale-y:.75}.xl\\:hover\\:scale-y-90:hover{--transform-scale-y:.9}.xl\\:hover\\:scale-y-95:hover{--transform-scale-y:.95}.xl\\:hover\\:scale-y-100:hover{--transform-scale-y:1}.xl\\:hover\\:scale-y-105:hover{--transform-scale-y:1.05}.xl\\:hover\\:scale-y-110:hover{--transform-scale-y:1.1}.xl\\:hover\\:scale-y-125:hover{--transform-scale-y:1.25}.xl\\:hover\\:scale-y-150:hover{--transform-scale-y:1.5}.xl\\:focus\\:scale-0:focus{--transform-scale-x:0;--transform-scale-y:0}.xl\\:focus\\:scale-50:focus{--transform-scale-x:.5;--transform-scale-y:.5}.xl\\:focus\\:scale-75:focus{--transform-scale-x:.75;--transform-scale-y:.75}.xl\\:focus\\:scale-90:focus{--transform-scale-x:.9;--transform-scale-y:.9}.xl\\:focus\\:scale-95:focus{--transform-scale-x:.95;--transform-scale-y:.95}.xl\\:focus\\:scale-100:focus{--transform-scale-x:1;--transform-scale-y:1}.xl\\:focus\\:scale-105:focus{--transform-scale-x:1.05;--transform-scale-y:1.05}.xl\\:focus\\:scale-110:focus{--transform-scale-x:1.1;--transform-scale-y:1.1}.xl\\:focus\\:scale-125:focus{--transform-scale-x:1.25;--transform-scale-y:1.25}.xl\\:focus\\:scale-150:focus{--transform-scale-x:1.5;--transform-scale-y:1.5}.xl\\:focus\\:scale-x-0:focus{--transform-scale-x:0}.xl\\:focus\\:scale-x-50:focus{--transform-scale-x:.5}.xl\\:focus\\:scale-x-75:focus{--transform-scale-x:.75}.xl\\:focus\\:scale-x-90:focus{--transform-scale-x:.9}.xl\\:focus\\:scale-x-95:focus{--transform-scale-x:.95}.xl\\:focus\\:scale-x-100:focus{--transform-scale-x:1}.xl\\:focus\\:scale-x-105:focus{--transform-scale-x:1.05}.xl\\:focus\\:scale-x-110:focus{--transform-scale-x:1.1}.xl\\:focus\\:scale-x-125:focus{--transform-scale-x:1.25}.xl\\:focus\\:scale-x-150:focus{--transform-scale-x:1.5}.xl\\:focus\\:scale-y-0:focus{--transform-scale-y:0}.xl\\:focus\\:scale-y-50:focus{--transform-scale-y:.5}.xl\\:focus\\:scale-y-75:focus{--transform-scale-y:.75}.xl\\:focus\\:scale-y-90:focus{--transform-scale-y:.9}.xl\\:focus\\:scale-y-95:focus{--transform-scale-y:.95}.xl\\:focus\\:scale-y-100:focus{--transform-scale-y:1}.xl\\:focus\\:scale-y-105:focus{--transform-scale-y:1.05}.xl\\:focus\\:scale-y-110:focus{--transform-scale-y:1.1}.xl\\:focus\\:scale-y-125:focus{--transform-scale-y:1.25}.xl\\:focus\\:scale-y-150:focus{--transform-scale-y:1.5}.xl\\:rotate-0{--transform-rotate:0}.xl\\:rotate-45{--transform-rotate:45deg}.xl\\:rotate-90{--transform-rotate:90deg}.xl\\:rotate-180{--transform-rotate:180deg}.xl\\:-rotate-180{--transform-rotate:-180deg}.xl\\:-rotate-90{--transform-rotate:-90deg}.xl\\:-rotate-45{--transform-rotate:-45deg}.xl\\:hover\\:rotate-0:hover{--transform-rotate:0}.xl\\:hover\\:rotate-45:hover{--transform-rotate:45deg}.xl\\:hover\\:rotate-90:hover{--transform-rotate:90deg}.xl\\:hover\\:rotate-180:hover{--transform-rotate:180deg}.xl\\:hover\\:-rotate-180:hover{--transform-rotate:-180deg}.xl\\:hover\\:-rotate-90:hover{--transform-rotate:-90deg}.xl\\:hover\\:-rotate-45:hover{--transform-rotate:-45deg}.xl\\:focus\\:rotate-0:focus{--transform-rotate:0}.xl\\:focus\\:rotate-45:focus{--transform-rotate:45deg}.xl\\:focus\\:rotate-90:focus{--transform-rotate:90deg}.xl\\:focus\\:rotate-180:focus{--transform-rotate:180deg}.xl\\:focus\\:-rotate-180:focus{--transform-rotate:-180deg}.xl\\:focus\\:-rotate-90:focus{--transform-rotate:-90deg}.xl\\:focus\\:-rotate-45:focus{--transform-rotate:-45deg}.xl\\:translate-x-0{--transform-translate-x:0}.xl\\:translate-x-1{--transform-translate-x:0.25rem}.xl\\:translate-x-2{--transform-translate-x:0.5rem}.xl\\:translate-x-3{--transform-translate-x:0.75rem}.xl\\:translate-x-4{--transform-translate-x:1rem}.xl\\:translate-x-5{--transform-translate-x:1.25rem}.xl\\:translate-x-6{--transform-translate-x:1.5rem}.xl\\:translate-x-8{--transform-translate-x:2rem}.xl\\:translate-x-10{--transform-translate-x:2.5rem}.xl\\:translate-x-12{--transform-translate-x:3rem}.xl\\:translate-x-16{--transform-translate-x:4rem}.xl\\:translate-x-20{--transform-translate-x:5rem}.xl\\:translate-x-24{--transform-translate-x:6rem}.xl\\:translate-x-32{--transform-translate-x:8rem}.xl\\:translate-x-40{--transform-translate-x:10rem}.xl\\:translate-x-48{--transform-translate-x:12rem}.xl\\:translate-x-56{--transform-translate-x:14rem}.xl\\:translate-x-64{--transform-translate-x:16rem}.xl\\:translate-x-px{--transform-translate-x:1px}.xl\\:-translate-x-1{--transform-translate-x:-0.25rem}.xl\\:-translate-x-2{--transform-translate-x:-0.5rem}.xl\\:-translate-x-3{--transform-translate-x:-0.75rem}.xl\\:-translate-x-4{--transform-translate-x:-1rem}.xl\\:-translate-x-5{--transform-translate-x:-1.25rem}.xl\\:-translate-x-6{--transform-translate-x:-1.5rem}.xl\\:-translate-x-8{--transform-translate-x:-2rem}.xl\\:-translate-x-10{--transform-translate-x:-2.5rem}.xl\\:-translate-x-12{--transform-translate-x:-3rem}.xl\\:-translate-x-16{--transform-translate-x:-4rem}.xl\\:-translate-x-20{--transform-translate-x:-5rem}.xl\\:-translate-x-24{--transform-translate-x:-6rem}.xl\\:-translate-x-32{--transform-translate-x:-8rem}.xl\\:-translate-x-40{--transform-translate-x:-10rem}.xl\\:-translate-x-48{--transform-translate-x:-12rem}.xl\\:-translate-x-56{--transform-translate-x:-14rem}.xl\\:-translate-x-64{--transform-translate-x:-16rem}.xl\\:-translate-x-px{--transform-translate-x:-1px}.xl\\:-translate-x-full{--transform-translate-x:-100%}.xl\\:-translate-x-1\\/2{--transform-translate-x:-50%}.xl\\:translate-x-1\\/2{--transform-translate-x:50%}.xl\\:translate-x-full{--transform-translate-x:100%}.xl\\:translate-y-0{--transform-translate-y:0}.xl\\:translate-y-1{--transform-translate-y:0.25rem}.xl\\:translate-y-2{--transform-translate-y:0.5rem}.xl\\:translate-y-3{--transform-translate-y:0.75rem}.xl\\:translate-y-4{--transform-translate-y:1rem}.xl\\:translate-y-5{--transform-translate-y:1.25rem}.xl\\:translate-y-6{--transform-translate-y:1.5rem}.xl\\:translate-y-8{--transform-translate-y:2rem}.xl\\:translate-y-10{--transform-translate-y:2.5rem}.xl\\:translate-y-12{--transform-translate-y:3rem}.xl\\:translate-y-16{--transform-translate-y:4rem}.xl\\:translate-y-20{--transform-translate-y:5rem}.xl\\:translate-y-24{--transform-translate-y:6rem}.xl\\:translate-y-32{--transform-translate-y:8rem}.xl\\:translate-y-40{--transform-translate-y:10rem}.xl\\:translate-y-48{--transform-translate-y:12rem}.xl\\:translate-y-56{--transform-translate-y:14rem}.xl\\:translate-y-64{--transform-translate-y:16rem}.xl\\:translate-y-px{--transform-translate-y:1px}.xl\\:-translate-y-1{--transform-translate-y:-0.25rem}.xl\\:-translate-y-2{--transform-translate-y:-0.5rem}.xl\\:-translate-y-3{--transform-translate-y:-0.75rem}.xl\\:-translate-y-4{--transform-translate-y:-1rem}.xl\\:-translate-y-5{--transform-translate-y:-1.25rem}.xl\\:-translate-y-6{--transform-translate-y:-1.5rem}.xl\\:-translate-y-8{--transform-translate-y:-2rem}.xl\\:-translate-y-10{--transform-translate-y:-2.5rem}.xl\\:-translate-y-12{--transform-translate-y:-3rem}.xl\\:-translate-y-16{--transform-translate-y:-4rem}.xl\\:-translate-y-20{--transform-translate-y:-5rem}.xl\\:-translate-y-24{--transform-translate-y:-6rem}.xl\\:-translate-y-32{--transform-translate-y:-8rem}.xl\\:-translate-y-40{--transform-translate-y:-10rem}.xl\\:-translate-y-48{--transform-translate-y:-12rem}.xl\\:-translate-y-56{--transform-translate-y:-14rem}.xl\\:-translate-y-64{--transform-translate-y:-16rem}.xl\\:-translate-y-px{--transform-translate-y:-1px}.xl\\:-translate-y-full{--transform-translate-y:-100%}.xl\\:-translate-y-1\\/2{--transform-translate-y:-50%}.xl\\:translate-y-1\\/2{--transform-translate-y:50%}.xl\\:translate-y-full{--transform-translate-y:100%}.xl\\:hover\\:translate-x-0:hover{--transform-translate-x:0}.xl\\:hover\\:translate-x-1:hover{--transform-translate-x:0.25rem}.xl\\:hover\\:translate-x-2:hover{--transform-translate-x:0.5rem}.xl\\:hover\\:translate-x-3:hover{--transform-translate-x:0.75rem}.xl\\:hover\\:translate-x-4:hover{--transform-translate-x:1rem}.xl\\:hover\\:translate-x-5:hover{--transform-translate-x:1.25rem}.xl\\:hover\\:translate-x-6:hover{--transform-translate-x:1.5rem}.xl\\:hover\\:translate-x-8:hover{--transform-translate-x:2rem}.xl\\:hover\\:translate-x-10:hover{--transform-translate-x:2.5rem}.xl\\:hover\\:translate-x-12:hover{--transform-translate-x:3rem}.xl\\:hover\\:translate-x-16:hover{--transform-translate-x:4rem}.xl\\:hover\\:translate-x-20:hover{--transform-translate-x:5rem}.xl\\:hover\\:translate-x-24:hover{--transform-translate-x:6rem}.xl\\:hover\\:translate-x-32:hover{--transform-translate-x:8rem}.xl\\:hover\\:translate-x-40:hover{--transform-translate-x:10rem}.xl\\:hover\\:translate-x-48:hover{--transform-translate-x:12rem}.xl\\:hover\\:translate-x-56:hover{--transform-translate-x:14rem}.xl\\:hover\\:translate-x-64:hover{--transform-translate-x:16rem}.xl\\:hover\\:translate-x-px:hover{--transform-translate-x:1px}.xl\\:hover\\:-translate-x-1:hover{--transform-translate-x:-0.25rem}.xl\\:hover\\:-translate-x-2:hover{--transform-translate-x:-0.5rem}.xl\\:hover\\:-translate-x-3:hover{--transform-translate-x:-0.75rem}.xl\\:hover\\:-translate-x-4:hover{--transform-translate-x:-1rem}.xl\\:hover\\:-translate-x-5:hover{--transform-translate-x:-1.25rem}.xl\\:hover\\:-translate-x-6:hover{--transform-translate-x:-1.5rem}.xl\\:hover\\:-translate-x-8:hover{--transform-translate-x:-2rem}.xl\\:hover\\:-translate-x-10:hover{--transform-translate-x:-2.5rem}.xl\\:hover\\:-translate-x-12:hover{--transform-translate-x:-3rem}.xl\\:hover\\:-translate-x-16:hover{--transform-translate-x:-4rem}.xl\\:hover\\:-translate-x-20:hover{--transform-translate-x:-5rem}.xl\\:hover\\:-translate-x-24:hover{--transform-translate-x:-6rem}.xl\\:hover\\:-translate-x-32:hover{--transform-translate-x:-8rem}.xl\\:hover\\:-translate-x-40:hover{--transform-translate-x:-10rem}.xl\\:hover\\:-translate-x-48:hover{--transform-translate-x:-12rem}.xl\\:hover\\:-translate-x-56:hover{--transform-translate-x:-14rem}.xl\\:hover\\:-translate-x-64:hover{--transform-translate-x:-16rem}.xl\\:hover\\:-translate-x-px:hover{--transform-translate-x:-1px}.xl\\:hover\\:-translate-x-full:hover{--transform-translate-x:-100%}.xl\\:hover\\:-translate-x-1\\/2:hover{--transform-translate-x:-50%}.xl\\:hover\\:translate-x-1\\/2:hover{--transform-translate-x:50%}.xl\\:hover\\:translate-x-full:hover{--transform-translate-x:100%}.xl\\:hover\\:translate-y-0:hover{--transform-translate-y:0}.xl\\:hover\\:translate-y-1:hover{--transform-translate-y:0.25rem}.xl\\:hover\\:translate-y-2:hover{--transform-translate-y:0.5rem}.xl\\:hover\\:translate-y-3:hover{--transform-translate-y:0.75rem}.xl\\:hover\\:translate-y-4:hover{--transform-translate-y:1rem}.xl\\:hover\\:translate-y-5:hover{--transform-translate-y:1.25rem}.xl\\:hover\\:translate-y-6:hover{--transform-translate-y:1.5rem}.xl\\:hover\\:translate-y-8:hover{--transform-translate-y:2rem}.xl\\:hover\\:translate-y-10:hover{--transform-translate-y:2.5rem}.xl\\:hover\\:translate-y-12:hover{--transform-translate-y:3rem}.xl\\:hover\\:translate-y-16:hover{--transform-translate-y:4rem}.xl\\:hover\\:translate-y-20:hover{--transform-translate-y:5rem}.xl\\:hover\\:translate-y-24:hover{--transform-translate-y:6rem}.xl\\:hover\\:translate-y-32:hover{--transform-translate-y:8rem}.xl\\:hover\\:translate-y-40:hover{--transform-translate-y:10rem}.xl\\:hover\\:translate-y-48:hover{--transform-translate-y:12rem}.xl\\:hover\\:translate-y-56:hover{--transform-translate-y:14rem}.xl\\:hover\\:translate-y-64:hover{--transform-translate-y:16rem}.xl\\:hover\\:translate-y-px:hover{--transform-translate-y:1px}.xl\\:hover\\:-translate-y-1:hover{--transform-translate-y:-0.25rem}.xl\\:hover\\:-translate-y-2:hover{--transform-translate-y:-0.5rem}.xl\\:hover\\:-translate-y-3:hover{--transform-translate-y:-0.75rem}.xl\\:hover\\:-translate-y-4:hover{--transform-translate-y:-1rem}.xl\\:hover\\:-translate-y-5:hover{--transform-translate-y:-1.25rem}.xl\\:hover\\:-translate-y-6:hover{--transform-translate-y:-1.5rem}.xl\\:hover\\:-translate-y-8:hover{--transform-translate-y:-2rem}.xl\\:hover\\:-translate-y-10:hover{--transform-translate-y:-2.5rem}.xl\\:hover\\:-translate-y-12:hover{--transform-translate-y:-3rem}.xl\\:hover\\:-translate-y-16:hover{--transform-translate-y:-4rem}.xl\\:hover\\:-translate-y-20:hover{--transform-translate-y:-5rem}.xl\\:hover\\:-translate-y-24:hover{--transform-translate-y:-6rem}.xl\\:hover\\:-translate-y-32:hover{--transform-translate-y:-8rem}.xl\\:hover\\:-translate-y-40:hover{--transform-translate-y:-10rem}.xl\\:hover\\:-translate-y-48:hover{--transform-translate-y:-12rem}.xl\\:hover\\:-translate-y-56:hover{--transform-translate-y:-14rem}.xl\\:hover\\:-translate-y-64:hover{--transform-translate-y:-16rem}.xl\\:hover\\:-translate-y-px:hover{--transform-translate-y:-1px}.xl\\:hover\\:-translate-y-full:hover{--transform-translate-y:-100%}.xl\\:hover\\:-translate-y-1\\/2:hover{--transform-translate-y:-50%}.xl\\:hover\\:translate-y-1\\/2:hover{--transform-translate-y:50%}.xl\\:hover\\:translate-y-full:hover{--transform-translate-y:100%}.xl\\:focus\\:translate-x-0:focus{--transform-translate-x:0}.xl\\:focus\\:translate-x-1:focus{--transform-translate-x:0.25rem}.xl\\:focus\\:translate-x-2:focus{--transform-translate-x:0.5rem}.xl\\:focus\\:translate-x-3:focus{--transform-translate-x:0.75rem}.xl\\:focus\\:translate-x-4:focus{--transform-translate-x:1rem}.xl\\:focus\\:translate-x-5:focus{--transform-translate-x:1.25rem}.xl\\:focus\\:translate-x-6:focus{--transform-translate-x:1.5rem}.xl\\:focus\\:translate-x-8:focus{--transform-translate-x:2rem}.xl\\:focus\\:translate-x-10:focus{--transform-translate-x:2.5rem}.xl\\:focus\\:translate-x-12:focus{--transform-translate-x:3rem}.xl\\:focus\\:translate-x-16:focus{--transform-translate-x:4rem}.xl\\:focus\\:translate-x-20:focus{--transform-translate-x:5rem}.xl\\:focus\\:translate-x-24:focus{--transform-translate-x:6rem}.xl\\:focus\\:translate-x-32:focus{--transform-translate-x:8rem}.xl\\:focus\\:translate-x-40:focus{--transform-translate-x:10rem}.xl\\:focus\\:translate-x-48:focus{--transform-translate-x:12rem}.xl\\:focus\\:translate-x-56:focus{--transform-translate-x:14rem}.xl\\:focus\\:translate-x-64:focus{--transform-translate-x:16rem}.xl\\:focus\\:translate-x-px:focus{--transform-translate-x:1px}.xl\\:focus\\:-translate-x-1:focus{--transform-translate-x:-0.25rem}.xl\\:focus\\:-translate-x-2:focus{--transform-translate-x:-0.5rem}.xl\\:focus\\:-translate-x-3:focus{--transform-translate-x:-0.75rem}.xl\\:focus\\:-translate-x-4:focus{--transform-translate-x:-1rem}.xl\\:focus\\:-translate-x-5:focus{--transform-translate-x:-1.25rem}.xl\\:focus\\:-translate-x-6:focus{--transform-translate-x:-1.5rem}.xl\\:focus\\:-translate-x-8:focus{--transform-translate-x:-2rem}.xl\\:focus\\:-translate-x-10:focus{--transform-translate-x:-2.5rem}.xl\\:focus\\:-translate-x-12:focus{--transform-translate-x:-3rem}.xl\\:focus\\:-translate-x-16:focus{--transform-translate-x:-4rem}.xl\\:focus\\:-translate-x-20:focus{--transform-translate-x:-5rem}.xl\\:focus\\:-translate-x-24:focus{--transform-translate-x:-6rem}.xl\\:focus\\:-translate-x-32:focus{--transform-translate-x:-8rem}.xl\\:focus\\:-translate-x-40:focus{--transform-translate-x:-10rem}.xl\\:focus\\:-translate-x-48:focus{--transform-translate-x:-12rem}.xl\\:focus\\:-translate-x-56:focus{--transform-translate-x:-14rem}.xl\\:focus\\:-translate-x-64:focus{--transform-translate-x:-16rem}.xl\\:focus\\:-translate-x-px:focus{--transform-translate-x:-1px}.xl\\:focus\\:-translate-x-full:focus{--transform-translate-x:-100%}.xl\\:focus\\:-translate-x-1\\/2:focus{--transform-translate-x:-50%}.xl\\:focus\\:translate-x-1\\/2:focus{--transform-translate-x:50%}.xl\\:focus\\:translate-x-full:focus{--transform-translate-x:100%}.xl\\:focus\\:translate-y-0:focus{--transform-translate-y:0}.xl\\:focus\\:translate-y-1:focus{--transform-translate-y:0.25rem}.xl\\:focus\\:translate-y-2:focus{--transform-translate-y:0.5rem}.xl\\:focus\\:translate-y-3:focus{--transform-translate-y:0.75rem}.xl\\:focus\\:translate-y-4:focus{--transform-translate-y:1rem}.xl\\:focus\\:translate-y-5:focus{--transform-translate-y:1.25rem}.xl\\:focus\\:translate-y-6:focus{--transform-translate-y:1.5rem}.xl\\:focus\\:translate-y-8:focus{--transform-translate-y:2rem}.xl\\:focus\\:translate-y-10:focus{--transform-translate-y:2.5rem}.xl\\:focus\\:translate-y-12:focus{--transform-translate-y:3rem}.xl\\:focus\\:translate-y-16:focus{--transform-translate-y:4rem}.xl\\:focus\\:translate-y-20:focus{--transform-translate-y:5rem}.xl\\:focus\\:translate-y-24:focus{--transform-translate-y:6rem}.xl\\:focus\\:translate-y-32:focus{--transform-translate-y:8rem}.xl\\:focus\\:translate-y-40:focus{--transform-translate-y:10rem}.xl\\:focus\\:translate-y-48:focus{--transform-translate-y:12rem}.xl\\:focus\\:translate-y-56:focus{--transform-translate-y:14rem}.xl\\:focus\\:translate-y-64:focus{--transform-translate-y:16rem}.xl\\:focus\\:translate-y-px:focus{--transform-translate-y:1px}.xl\\:focus\\:-translate-y-1:focus{--transform-translate-y:-0.25rem}.xl\\:focus\\:-translate-y-2:focus{--transform-translate-y:-0.5rem}.xl\\:focus\\:-translate-y-3:focus{--transform-translate-y:-0.75rem}.xl\\:focus\\:-translate-y-4:focus{--transform-translate-y:-1rem}.xl\\:focus\\:-translate-y-5:focus{--transform-translate-y:-1.25rem}.xl\\:focus\\:-translate-y-6:focus{--transform-translate-y:-1.5rem}.xl\\:focus\\:-translate-y-8:focus{--transform-translate-y:-2rem}.xl\\:focus\\:-translate-y-10:focus{--transform-translate-y:-2.5rem}.xl\\:focus\\:-translate-y-12:focus{--transform-translate-y:-3rem}.xl\\:focus\\:-translate-y-16:focus{--transform-translate-y:-4rem}.xl\\:focus\\:-translate-y-20:focus{--transform-translate-y:-5rem}.xl\\:focus\\:-translate-y-24:focus{--transform-translate-y:-6rem}.xl\\:focus\\:-translate-y-32:focus{--transform-translate-y:-8rem}.xl\\:focus\\:-translate-y-40:focus{--transform-translate-y:-10rem}.xl\\:focus\\:-translate-y-48:focus{--transform-translate-y:-12rem}.xl\\:focus\\:-translate-y-56:focus{--transform-translate-y:-14rem}.xl\\:focus\\:-translate-y-64:focus{--transform-translate-y:-16rem}.xl\\:focus\\:-translate-y-px:focus{--transform-translate-y:-1px}.xl\\:focus\\:-translate-y-full:focus{--transform-translate-y:-100%}.xl\\:focus\\:-translate-y-1\\/2:focus{--transform-translate-y:-50%}.xl\\:focus\\:translate-y-1\\/2:focus{--transform-translate-y:50%}.xl\\:focus\\:translate-y-full:focus{--transform-translate-y:100%}.xl\\:skew-x-0{--transform-skew-x:0}.xl\\:skew-x-3{--transform-skew-x:3deg}.xl\\:skew-x-6{--transform-skew-x:6deg}.xl\\:skew-x-12{--transform-skew-x:12deg}.xl\\:-skew-x-12{--transform-skew-x:-12deg}.xl\\:-skew-x-6{--transform-skew-x:-6deg}.xl\\:-skew-x-3{--transform-skew-x:-3deg}.xl\\:skew-y-0{--transform-skew-y:0}.xl\\:skew-y-3{--transform-skew-y:3deg}.xl\\:skew-y-6{--transform-skew-y:6deg}.xl\\:skew-y-12{--transform-skew-y:12deg}.xl\\:-skew-y-12{--transform-skew-y:-12deg}.xl\\:-skew-y-6{--transform-skew-y:-6deg}.xl\\:-skew-y-3{--transform-skew-y:-3deg}.xl\\:hover\\:skew-x-0:hover{--transform-skew-x:0}.xl\\:hover\\:skew-x-3:hover{--transform-skew-x:3deg}.xl\\:hover\\:skew-x-6:hover{--transform-skew-x:6deg}.xl\\:hover\\:skew-x-12:hover{--transform-skew-x:12deg}.xl\\:hover\\:-skew-x-12:hover{--transform-skew-x:-12deg}.xl\\:hover\\:-skew-x-6:hover{--transform-skew-x:-6deg}.xl\\:hover\\:-skew-x-3:hover{--transform-skew-x:-3deg}.xl\\:hover\\:skew-y-0:hover{--transform-skew-y:0}.xl\\:hover\\:skew-y-3:hover{--transform-skew-y:3deg}.xl\\:hover\\:skew-y-6:hover{--transform-skew-y:6deg}.xl\\:hover\\:skew-y-12:hover{--transform-skew-y:12deg}.xl\\:hover\\:-skew-y-12:hover{--transform-skew-y:-12deg}.xl\\:hover\\:-skew-y-6:hover{--transform-skew-y:-6deg}.xl\\:hover\\:-skew-y-3:hover{--transform-skew-y:-3deg}.xl\\:focus\\:skew-x-0:focus{--transform-skew-x:0}.xl\\:focus\\:skew-x-3:focus{--transform-skew-x:3deg}.xl\\:focus\\:skew-x-6:focus{--transform-skew-x:6deg}.xl\\:focus\\:skew-x-12:focus{--transform-skew-x:12deg}.xl\\:focus\\:-skew-x-12:focus{--transform-skew-x:-12deg}.xl\\:focus\\:-skew-x-6:focus{--transform-skew-x:-6deg}.xl\\:focus\\:-skew-x-3:focus{--transform-skew-x:-3deg}.xl\\:focus\\:skew-y-0:focus{--transform-skew-y:0}.xl\\:focus\\:skew-y-3:focus{--transform-skew-y:3deg}.xl\\:focus\\:skew-y-6:focus{--transform-skew-y:6deg}.xl\\:focus\\:skew-y-12:focus{--transform-skew-y:12deg}.xl\\:focus\\:-skew-y-12:focus{--transform-skew-y:-12deg}.xl\\:focus\\:-skew-y-6:focus{--transform-skew-y:-6deg}.xl\\:focus\\:-skew-y-3:focus{--transform-skew-y:-3deg}.xl\\:transition-none{-webkit-transition-property:none;transition-property:none}.xl\\:transition-all{-webkit-transition-property:all;transition-property:all}.xl\\:transition{-webkit-transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, -webkit-box-shadow, -webkit-transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform;transition-property:background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, -webkit-box-shadow, -webkit-transform}.xl\\:transition-colors{-webkit-transition-property:background-color, border-color, color, fill, stroke;transition-property:background-color, border-color, color, fill, stroke}.xl\\:transition-opacity{-webkit-transition-property:opacity;transition-property:opacity}.xl\\:transition-shadow{-webkit-transition-property:-webkit-box-shadow;transition-property:-webkit-box-shadow;transition-property:box-shadow;transition-property:box-shadow, -webkit-box-shadow}.xl\\:transition-transform{-webkit-transition-property:-webkit-transform;transition-property:-webkit-transform;transition-property:transform;transition-property:transform, -webkit-transform}.xl\\:ease-linear{-webkit-transition-timing-function:linear;transition-timing-function:linear}.xl\\:ease-in{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 1, 1);transition-timing-function:cubic-bezier(0.4, 0, 1, 1)}.xl\\:ease-out{-webkit-transition-timing-function:cubic-bezier(0, 0, 0.2, 1);transition-timing-function:cubic-bezier(0, 0, 0.2, 1)}.xl\\:ease-in-out{-webkit-transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1)}.xl\\:duration-75{-webkit-transition-duration:75ms;transition-duration:75ms}.xl\\:duration-100{-webkit-transition-duration:100ms;transition-duration:100ms}.xl\\:duration-150{-webkit-transition-duration:150ms;transition-duration:150ms}.xl\\:duration-200{-webkit-transition-duration:200ms;transition-duration:200ms}.xl\\:duration-300{-webkit-transition-duration:300ms;transition-duration:300ms}.xl\\:duration-500{-webkit-transition-duration:500ms;transition-duration:500ms}.xl\\:duration-700{-webkit-transition-duration:700ms;transition-duration:700ms}.xl\\:duration-1000{-webkit-transition-duration:1000ms;transition-duration:1000ms}.xl\\:delay-75{-webkit-transition-delay:75ms;transition-delay:75ms}.xl\\:delay-100{-webkit-transition-delay:100ms;transition-delay:100ms}.xl\\:delay-150{-webkit-transition-delay:150ms;transition-delay:150ms}.xl\\:delay-200{-webkit-transition-delay:200ms;transition-delay:200ms}.xl\\:delay-300{-webkit-transition-delay:300ms;transition-delay:300ms}.xl\\:delay-500{-webkit-transition-delay:500ms;transition-delay:500ms}.xl\\:delay-700{-webkit-transition-delay:700ms;transition-delay:700ms}.xl\\:delay-1000{-webkit-transition-delay:1000ms;transition-delay:1000ms}.xl\\:animate-none{-webkit-animation:none;animation:none}.xl\\:animate-spin{-webkit-animation:spin 1s linear infinite;animation:spin 1s linear infinite}.xl\\:animate-ping{-webkit-animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;animation:ping 1s cubic-bezier(0, 0, 0.2, 1) infinite}.xl\\:animate-pulse{-webkit-animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;animation:pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite}.xl\\:animate-bounce{-webkit-animation:bounce 1s infinite;animation:bounce 1s infinite}}:host{display:inline-block}.bubble{width:60px;height:60px;background-color:var(--chat-head-bg-color, #176dfa);color:#fff;border:1px solid var(--chat-head-bg-color, #176dfa)}.bubble:hover{background-color:#fff;color:var(--chat-head-bg-color, #176dfa)}@media only screen and (min-width: 640px){.chat-box-container{width:359px;height:505px}}";

const QuickomChatQrCode = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
    this.backgroundColor = '#176DFA';
    this.domain = 'https://quickom-demo.web.app';
    this.isOpen = false;
    this.iframeElement = null;
  }
  toggleButton() {
    this.isOpen = !this.isOpen;
    this.sendMsgToIframe({
      resource: 'chat-box',
      method: this.isOpen ? 'show' : 'hide',
    });
  }
  sendMsgToIframe(msg) {
    this.iframeElement.contentWindow.postMessage(JSON.stringify(msg), this.domain);
  }
  componentWillLoad() {
    this.listenIframeMessage();
  }
  disconnectedCallback() {
    window.removeEventListener('message', this.onMessage);
  }
  getUrl() {
    return `${this.domain}/call/${this.alias}?k=chat-widget`;
  }
  listenIframeMessage() {
    let onMessage = event => {
      if (event.origin !== this.domain) {
        return;
      }
      let data = JSON.parse(event.data);
      switch (data.resource) {
        case 'chat-box':
          this.onChatBoxMessage(data);
          break;
      }
    };
    window.addEventListener('message', onMessage, false);
    this.onMessage = onMessage;
  }
  onChatBoxMessage(data) {
    switch (data.method) {
      case 'show':
        this.isOpen = true;
        break;
      case 'hide':
        this.isOpen = false;
        break;
    }
  }
  render() {
    return (h("div", { class: {
        'sm:absolute': this.isOpen,
        'absolute': !this.isOpen,
      }, style: {
        bottom: 'var(--widget-position-bottom, initial)',
        right: 'var(--widget-position-right, initial)',
        top: 'var(--widget-position-top, initial)',
        left: 'var(--widget-position-left, initial)',
      } }, h("div", { class: "relative", style: { '--chat-head-bg-color': this.backgroundColor } }, h("div", { class: {
        'chat-box-container w-screen h-screen sm:w-auto sm:h-auto': true,
        'hidden': !this.isOpen,
      } }, h("iframe", { ref: el => (this.iframeElement = el), src: this.getUrl(), width: "100%", height: "100%", frameborder: "0" })), h("div", { class: { 'text-right': true, 'hidden sm:block mt-2': this.isOpen } }, h("button", { class: "bubble rounded-full inline-flex items-center text-white justify-center shadow focus:outline-none", onClick: () => this.toggleButton() }, h("svg", { width: "29", height: "29", viewBox: "0 0 29 29", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { "clip-path": "url(#speech-bubble-clip0)" }, h("path", { d: "M4.40347 26.8813H2.39927L3.81644 25.4641C4.58057 24.7 5.05774 23.7061 5.18602 22.628C1.91374 20.4805 0.285156 17.3696 0.285156 14.1082C0.285156 8.09135 5.81522 1.97681 14.4759 1.97681C23.651 1.97681 28.5709 7.60333 28.5709 13.5811C28.5709 19.5982 23.5991 25.221 14.4759 25.221C12.8778 25.221 11.2101 25.0076 9.72124 24.6162C8.31181 26.0618 6.40213 26.8813 4.40347 26.8813Z", fill: "currentColor" })), h("defs", null, h("clipPath", { id: "speech-bubble-clip0" }, h("rect", { width: "28.2857", height: "28.2857", fill: "currentColor", transform: "translate(0.285156 0.285645)" })))))))));
  }
  static get assetsDirs() { return ["assets"]; }
  static get style() { return quickomChatQrcodeCss; }
};

/** Detect free variable `global` from Node.js. */
var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;

/** Detect free variable `self`. */
var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

/** Used as a reference to the global object. */
var root = freeGlobal || freeSelf || Function('return this')();

/** Built-in value references. */
var Symbol = root.Symbol;

/** Used for built-in method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString = objectProto.toString;

/** Built-in value references. */
var symToStringTag = Symbol ? Symbol.toStringTag : undefined;

/**
 * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the raw `toStringTag`.
 */
function getRawTag(value) {
  var isOwn = hasOwnProperty.call(value, symToStringTag),
      tag = value[symToStringTag];

  try {
    value[symToStringTag] = undefined;
    var unmasked = true;
  } catch (e) {}

  var result = nativeObjectToString.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag] = tag;
    } else {
      delete value[symToStringTag];
    }
  }
  return result;
}

/** Used for built-in method references. */
var objectProto$1 = Object.prototype;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString$1 = objectProto$1.toString;

/**
 * Converts `value` to a string using `Object.prototype.toString`.
 *
 * @private
 * @param {*} value The value to convert.
 * @returns {string} Returns the converted string.
 */
function objectToString(value) {
  return nativeObjectToString$1.call(value);
}

/** `Object#toString` result references. */
var nullTag = '[object Null]',
    undefinedTag = '[object Undefined]';

/** Built-in value references. */
var symToStringTag$1 = Symbol ? Symbol.toStringTag : undefined;

/**
 * The base implementation of `getTag` without fallbacks for buggy environments.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the `toStringTag`.
 */
function baseGetTag(value) {
  if (value == null) {
    return value === undefined ? undefinedTag : nullTag;
  }
  return (symToStringTag$1 && symToStringTag$1 in Object(value))
    ? getRawTag(value)
    : objectToString(value);
}

/**
 * Checks if `value` is object-like. A value is object-like if it's not `null`
 * and has a `typeof` result of "object".
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
 * @example
 *
 * _.isObjectLike({});
 * // => true
 *
 * _.isObjectLike([1, 2, 3]);
 * // => true
 *
 * _.isObjectLike(_.noop);
 * // => false
 *
 * _.isObjectLike(null);
 * // => false
 */
function isObjectLike(value) {
  return value != null && typeof value == 'object';
}

/** `Object#toString` result references. */
var symbolTag = '[object Symbol]';

/**
 * Checks if `value` is classified as a `Symbol` primitive or object.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
 * @example
 *
 * _.isSymbol(Symbol.iterator);
 * // => true
 *
 * _.isSymbol('abc');
 * // => false
 */
function isSymbol(value) {
  return typeof value == 'symbol' ||
    (isObjectLike(value) && baseGetTag(value) == symbolTag);
}

/** Used as references for various `Number` constants. */
var NAN = 0 / 0;

/**
 * The base implementation of `_.toNumber` which doesn't ensure correct
 * conversions of binary, hexadecimal, or octal string values.
 *
 * @private
 * @param {*} value The value to process.
 * @returns {number} Returns the number.
 */
function baseToNumber(value) {
  if (typeof value == 'number') {
    return value;
  }
  if (isSymbol(value)) {
    return NAN;
  }
  return +value;
}

/**
 * A specialized version of `_.map` for arrays without support for iteratee
 * shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the new mapped array.
 */
function arrayMap(array, iteratee) {
  var index = -1,
      length = array == null ? 0 : array.length,
      result = Array(length);

  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}

/**
 * Checks if `value` is classified as an `Array` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
 * @example
 *
 * _.isArray([1, 2, 3]);
 * // => true
 *
 * _.isArray(document.body.children);
 * // => false
 *
 * _.isArray('abc');
 * // => false
 *
 * _.isArray(_.noop);
 * // => false
 */
var isArray = Array.isArray;

/** Used as references for various `Number` constants. */
var INFINITY = 1 / 0;

/** Used to convert symbols to primitives and strings. */
var symbolProto = Symbol ? Symbol.prototype : undefined,
    symbolToString = symbolProto ? symbolProto.toString : undefined;

/**
 * The base implementation of `_.toString` which doesn't convert nullish
 * values to empty strings.
 *
 * @private
 * @param {*} value The value to process.
 * @returns {string} Returns the string.
 */
function baseToString(value) {
  // Exit early for strings to avoid a performance hit in some environments.
  if (typeof value == 'string') {
    return value;
  }
  if (isArray(value)) {
    // Recursively convert values (susceptible to call stack limits).
    return arrayMap(value, baseToString) + '';
  }
  if (isSymbol(value)) {
    return symbolToString ? symbolToString.call(value) : '';
  }
  var result = (value + '');
  return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
}

/**
 * Creates a function that performs a mathematical operation on two values.
 *
 * @private
 * @param {Function} operator The function to perform the operation.
 * @param {number} [defaultValue] The value used for `undefined` arguments.
 * @returns {Function} Returns the new mathematical operation function.
 */
function createMathOperation(operator, defaultValue) {
  return function(value, other) {
    var result;
    if (value === undefined && other === undefined) {
      return defaultValue;
    }
    if (value !== undefined) {
      result = value;
    }
    if (other !== undefined) {
      if (result === undefined) {
        return other;
      }
      if (typeof value == 'string' || typeof other == 'string') {
        value = baseToString(value);
        other = baseToString(other);
      } else {
        value = baseToNumber(value);
        other = baseToNumber(other);
      }
      result = operator(value, other);
    }
    return result;
  };
}

/**
 * Adds two numbers.
 *
 * @static
 * @memberOf _
 * @since 3.4.0
 * @category Math
 * @param {number} augend The first number in an addition.
 * @param {number} addend The second number in an addition.
 * @returns {number} Returns the total.
 * @example
 *
 * _.add(6, 4);
 * // => 10
 */
var add = createMathOperation(function(augend, addend) {
  return augend + addend;
}, 0);

/**
 * Checks if `value` is the
 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
 * @example
 *
 * _.isObject({});
 * // => true
 *
 * _.isObject([1, 2, 3]);
 * // => true
 *
 * _.isObject(_.noop);
 * // => true
 *
 * _.isObject(null);
 * // => false
 */
function isObject(value) {
  var type = typeof value;
  return value != null && (type == 'object' || type == 'function');
}

/** Used as references for various `Number` constants. */
var NAN$1 = 0 / 0;

/** Used to match leading and trailing whitespace. */
var reTrim = /^\s+|\s+$/g;

/** Used to detect bad signed hexadecimal string values. */
var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;

/** Used to detect binary string values. */
var reIsBinary = /^0b[01]+$/i;

/** Used to detect octal string values. */
var reIsOctal = /^0o[0-7]+$/i;

/** Built-in method references without a dependency on `root`. */
var freeParseInt = parseInt;

/**
 * Converts `value` to a number.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to process.
 * @returns {number} Returns the number.
 * @example
 *
 * _.toNumber(3.2);
 * // => 3.2
 *
 * _.toNumber(Number.MIN_VALUE);
 * // => 5e-324
 *
 * _.toNumber(Infinity);
 * // => Infinity
 *
 * _.toNumber('3.2');
 * // => 3.2
 */
function toNumber(value) {
  if (typeof value == 'number') {
    return value;
  }
  if (isSymbol(value)) {
    return NAN$1;
  }
  if (isObject(value)) {
    var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
    value = isObject(other) ? (other + '') : other;
  }
  if (typeof value != 'string') {
    return value === 0 ? value : +value;
  }
  value = value.replace(reTrim, '');
  var isBinary = reIsBinary.test(value);
  return (isBinary || reIsOctal.test(value))
    ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
    : (reIsBadHex.test(value) ? NAN$1 : +value);
}

/** Used as references for various `Number` constants. */
var INFINITY$1 = 1 / 0,
    MAX_INTEGER = 1.7976931348623157e+308;

/**
 * Converts `value` to a finite number.
 *
 * @static
 * @memberOf _
 * @since 4.12.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {number} Returns the converted number.
 * @example
 *
 * _.toFinite(3.2);
 * // => 3.2
 *
 * _.toFinite(Number.MIN_VALUE);
 * // => 5e-324
 *
 * _.toFinite(Infinity);
 * // => 1.7976931348623157e+308
 *
 * _.toFinite('3.2');
 * // => 3.2
 */
function toFinite(value) {
  if (!value) {
    return value === 0 ? value : 0;
  }
  value = toNumber(value);
  if (value === INFINITY$1 || value === -INFINITY$1) {
    var sign = (value < 0 ? -1 : 1);
    return sign * MAX_INTEGER;
  }
  return value === value ? value : 0;
}

/**
 * Converts `value` to an integer.
 *
 * **Note:** This method is loosely based on
 * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {number} Returns the converted integer.
 * @example
 *
 * _.toInteger(3.2);
 * // => 3
 *
 * _.toInteger(Number.MIN_VALUE);
 * // => 0
 *
 * _.toInteger(Infinity);
 * // => 1.7976931348623157e+308
 *
 * _.toInteger('3.2');
 * // => 3
 */
function toInteger(value) {
  var result = toFinite(value),
      remainder = result % 1;

  return result === result ? (remainder ? result - remainder : result) : 0;
}

/** Error message constants. */
var FUNC_ERROR_TEXT = 'Expected a function';

/**
 * The opposite of `_.before`; this method creates a function that invokes
 * `func` once it's called `n` or more times.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {number} n The number of calls before `func` is invoked.
 * @param {Function} func The function to restrict.
 * @returns {Function} Returns the new restricted function.
 * @example
 *
 * var saves = ['profile', 'settings'];
 *
 * var done = _.after(saves.length, function() {
 *   console.log('done saving!');
 * });
 *
 * _.forEach(saves, function(type) {
 *   asyncSave({ 'type': type, 'complete': done });
 * });
 * // => Logs 'done saving!' after the two async saves have completed.
 */
function after(n, func) {
  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  n = toInteger(n);
  return function() {
    if (--n < 1) {
      return func.apply(this, arguments);
    }
  };
}

/**
 * This method returns the first argument it receives.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Util
 * @param {*} value Any value.
 * @returns {*} Returns `value`.
 * @example
 *
 * var object = { 'a': 1 };
 *
 * console.log(_.identity(object) === object);
 * // => true
 */
function identity(value) {
  return value;
}

/** `Object#toString` result references. */
var asyncTag = '[object AsyncFunction]',
    funcTag = '[object Function]',
    genTag = '[object GeneratorFunction]',
    proxyTag = '[object Proxy]';

/**
 * Checks if `value` is classified as a `Function` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
 * @example
 *
 * _.isFunction(_);
 * // => true
 *
 * _.isFunction(/abc/);
 * // => false
 */
function isFunction(value) {
  if (!isObject(value)) {
    return false;
  }
  // The use of `Object#toString` avoids issues with the `typeof` operator
  // in Safari 9 which returns 'object' for typed arrays and other constructors.
  var tag = baseGetTag(value);
  return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
}

/** Used to detect overreaching core-js shims. */
var coreJsData = root['__core-js_shared__'];

/** Used to detect methods masquerading as native. */
var maskSrcKey = (function() {
  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
  return uid ? ('Symbol(src)_1.' + uid) : '';
}());

/**
 * Checks if `func` has its source masked.
 *
 * @private
 * @param {Function} func The function to check.
 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
 */
function isMasked(func) {
  return !!maskSrcKey && (maskSrcKey in func);
}

/** Used for built-in method references. */
var funcProto = Function.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString = funcProto.toString;

/**
 * Converts `func` to its source code.
 *
 * @private
 * @param {Function} func The function to convert.
 * @returns {string} Returns the source code.
 */
function toSource(func) {
  if (func != null) {
    try {
      return funcToString.call(func);
    } catch (e) {}
    try {
      return (func + '');
    } catch (e) {}
  }
  return '';
}

/**
 * Used to match `RegExp`
 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
 */
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

/** Used to detect host constructors (Safari). */
var reIsHostCtor = /^\[object .+?Constructor\]$/;

/** Used for built-in method references. */
var funcProto$1 = Function.prototype,
    objectProto$2 = Object.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString$1 = funcProto$1.toString;

/** Used to check objects for own properties. */
var hasOwnProperty$1 = objectProto$2.hasOwnProperty;

/** Used to detect if a method is native. */
var reIsNative = RegExp('^' +
  funcToString$1.call(hasOwnProperty$1).replace(reRegExpChar, '\\$&')
  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
);

/**
 * The base implementation of `_.isNative` without bad shim checks.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a native function,
 *  else `false`.
 */
function baseIsNative(value) {
  if (!isObject(value) || isMasked(value)) {
    return false;
  }
  var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
  return pattern.test(toSource(value));
}

/**
 * Gets the value at `key` of `object`.
 *
 * @private
 * @param {Object} [object] The object to query.
 * @param {string} key The key of the property to get.
 * @returns {*} Returns the property value.
 */
function getValue(object, key) {
  return object == null ? undefined : object[key];
}

/**
 * Gets the native function at `key` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {string} key The key of the method to get.
 * @returns {*} Returns the function if it's native, else `undefined`.
 */
function getNative(object, key) {
  var value = getValue(object, key);
  return baseIsNative(value) ? value : undefined;
}

/* Built-in method references that are verified to be native. */
var WeakMap = getNative(root, 'WeakMap');

/** Used to store function metadata. */
var metaMap = WeakMap && new WeakMap;

/**
 * The base implementation of `setData` without support for hot loop shorting.
 *
 * @private
 * @param {Function} func The function to associate metadata with.
 * @param {*} data The metadata.
 * @returns {Function} Returns `func`.
 */
var baseSetData = !metaMap ? identity : function(func, data) {
  metaMap.set(func, data);
  return func;
};

/** Built-in value references. */
var objectCreate = Object.create;

/**
 * The base implementation of `_.create` without support for assigning
 * properties to the created object.
 *
 * @private
 * @param {Object} proto The object to inherit from.
 * @returns {Object} Returns the new object.
 */
var baseCreate = (function() {
  function object() {}
  return function(proto) {
    if (!isObject(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result = new object;
    object.prototype = undefined;
    return result;
  };
}());

/**
 * Creates a function that produces an instance of `Ctor` regardless of
 * whether it was invoked as part of a `new` expression or by `call` or `apply`.
 *
 * @private
 * @param {Function} Ctor The constructor to wrap.
 * @returns {Function} Returns the new wrapped function.
 */
function createCtor(Ctor) {
  return function() {
    // Use a `switch` statement to work with class constructors. See
    // http://ecma-international.org/ecma-262/7.0/#sec-ecmascript-function-objects-call-thisargument-argumentslist
    // for more details.
    var args = arguments;
    switch (args.length) {
      case 0: return new Ctor;
      case 1: return new Ctor(args[0]);
      case 2: return new Ctor(args[0], args[1]);
      case 3: return new Ctor(args[0], args[1], args[2]);
      case 4: return new Ctor(args[0], args[1], args[2], args[3]);
      case 5: return new Ctor(args[0], args[1], args[2], args[3], args[4]);
      case 6: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5]);
      case 7: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5], args[6]);
    }
    var thisBinding = baseCreate(Ctor.prototype),
        result = Ctor.apply(thisBinding, args);

    // Mimic the constructor's `return` behavior.
    // See https://es5.github.io/#x13.2.2 for more details.
    return isObject(result) ? result : thisBinding;
  };
}

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG = 1;

/**
 * Creates a function that wraps `func` to invoke it with the optional `this`
 * binding of `thisArg`.
 *
 * @private
 * @param {Function} func The function to wrap.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @param {*} [thisArg] The `this` binding of `func`.
 * @returns {Function} Returns the new wrapped function.
 */
function createBind(func, bitmask, thisArg) {
  var isBind = bitmask & WRAP_BIND_FLAG,
      Ctor = createCtor(func);

  function wrapper() {
    var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
    return fn.apply(isBind ? thisArg : this, arguments);
  }
  return wrapper;
}

/**
 * A faster alternative to `Function#apply`, this function invokes `func`
 * with the `this` binding of `thisArg` and the arguments of `args`.
 *
 * @private
 * @param {Function} func The function to invoke.
 * @param {*} thisArg The `this` binding of `func`.
 * @param {Array} args The arguments to invoke `func` with.
 * @returns {*} Returns the result of `func`.
 */
function apply(func, thisArg, args) {
  switch (args.length) {
    case 0: return func.call(thisArg);
    case 1: return func.call(thisArg, args[0]);
    case 2: return func.call(thisArg, args[0], args[1]);
    case 3: return func.call(thisArg, args[0], args[1], args[2]);
  }
  return func.apply(thisArg, args);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax = Math.max;

/**
 * Creates an array that is the composition of partially applied arguments,
 * placeholders, and provided arguments into a single array of arguments.
 *
 * @private
 * @param {Array} args The provided arguments.
 * @param {Array} partials The arguments to prepend to those provided.
 * @param {Array} holders The `partials` placeholder indexes.
 * @params {boolean} [isCurried] Specify composing for a curried function.
 * @returns {Array} Returns the new array of composed arguments.
 */
function composeArgs(args, partials, holders, isCurried) {
  var argsIndex = -1,
      argsLength = args.length,
      holdersLength = holders.length,
      leftIndex = -1,
      leftLength = partials.length,
      rangeLength = nativeMax(argsLength - holdersLength, 0),
      result = Array(leftLength + rangeLength),
      isUncurried = !isCurried;

  while (++leftIndex < leftLength) {
    result[leftIndex] = partials[leftIndex];
  }
  while (++argsIndex < holdersLength) {
    if (isUncurried || argsIndex < argsLength) {
      result[holders[argsIndex]] = args[argsIndex];
    }
  }
  while (rangeLength--) {
    result[leftIndex++] = args[argsIndex++];
  }
  return result;
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$1 = Math.max;

/**
 * This function is like `composeArgs` except that the arguments composition
 * is tailored for `_.partialRight`.
 *
 * @private
 * @param {Array} args The provided arguments.
 * @param {Array} partials The arguments to append to those provided.
 * @param {Array} holders The `partials` placeholder indexes.
 * @params {boolean} [isCurried] Specify composing for a curried function.
 * @returns {Array} Returns the new array of composed arguments.
 */
function composeArgsRight(args, partials, holders, isCurried) {
  var argsIndex = -1,
      argsLength = args.length,
      holdersIndex = -1,
      holdersLength = holders.length,
      rightIndex = -1,
      rightLength = partials.length,
      rangeLength = nativeMax$1(argsLength - holdersLength, 0),
      result = Array(rangeLength + rightLength),
      isUncurried = !isCurried;

  while (++argsIndex < rangeLength) {
    result[argsIndex] = args[argsIndex];
  }
  var offset = argsIndex;
  while (++rightIndex < rightLength) {
    result[offset + rightIndex] = partials[rightIndex];
  }
  while (++holdersIndex < holdersLength) {
    if (isUncurried || argsIndex < argsLength) {
      result[offset + holders[holdersIndex]] = args[argsIndex++];
    }
  }
  return result;
}

/**
 * Gets the number of `placeholder` occurrences in `array`.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} placeholder The placeholder to search for.
 * @returns {number} Returns the placeholder count.
 */
function countHolders(array, placeholder) {
  var length = array.length,
      result = 0;

  while (length--) {
    if (array[length] === placeholder) {
      ++result;
    }
  }
  return result;
}

/**
 * The function whose prototype chain sequence wrappers inherit from.
 *
 * @private
 */
function baseLodash() {
  // No operation performed.
}

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH = 4294967295;

/**
 * Creates a lazy wrapper object which wraps `value` to enable lazy evaluation.
 *
 * @private
 * @constructor
 * @param {*} value The value to wrap.
 */
function LazyWrapper(value) {
  this.__wrapped__ = value;
  this.__actions__ = [];
  this.__dir__ = 1;
  this.__filtered__ = false;
  this.__iteratees__ = [];
  this.__takeCount__ = MAX_ARRAY_LENGTH;
  this.__views__ = [];
}

// Ensure `LazyWrapper` is an instance of `baseLodash`.
LazyWrapper.prototype = baseCreate(baseLodash.prototype);
LazyWrapper.prototype.constructor = LazyWrapper;

/**
 * This method returns `undefined`.
 *
 * @static
 * @memberOf _
 * @since 2.3.0
 * @category Util
 * @example
 *
 * _.times(2, _.noop);
 * // => [undefined, undefined]
 */
function noop() {
  // No operation performed.
}

/**
 * Gets metadata for `func`.
 *
 * @private
 * @param {Function} func The function to query.
 * @returns {*} Returns the metadata for `func`.
 */
var getData = !metaMap ? noop : function(func) {
  return metaMap.get(func);
};

/** Used to lookup unminified function names. */
var realNames = {};

/** Used for built-in method references. */
var objectProto$3 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$2 = objectProto$3.hasOwnProperty;

/**
 * Gets the name of `func`.
 *
 * @private
 * @param {Function} func The function to query.
 * @returns {string} Returns the function name.
 */
function getFuncName(func) {
  var result = (func.name + ''),
      array = realNames[result],
      length = hasOwnProperty$2.call(realNames, result) ? array.length : 0;

  while (length--) {
    var data = array[length],
        otherFunc = data.func;
    if (otherFunc == null || otherFunc == func) {
      return data.name;
    }
  }
  return result;
}

/**
 * The base constructor for creating `lodash` wrapper objects.
 *
 * @private
 * @param {*} value The value to wrap.
 * @param {boolean} [chainAll] Enable explicit method chain sequences.
 */
function LodashWrapper(value, chainAll) {
  this.__wrapped__ = value;
  this.__actions__ = [];
  this.__chain__ = !!chainAll;
  this.__index__ = 0;
  this.__values__ = undefined;
}

LodashWrapper.prototype = baseCreate(baseLodash.prototype);
LodashWrapper.prototype.constructor = LodashWrapper;

/**
 * Copies the values of `source` to `array`.
 *
 * @private
 * @param {Array} source The array to copy values from.
 * @param {Array} [array=[]] The array to copy values to.
 * @returns {Array} Returns `array`.
 */
function copyArray(source, array) {
  var index = -1,
      length = source.length;

  array || (array = Array(length));
  while (++index < length) {
    array[index] = source[index];
  }
  return array;
}

/**
 * Creates a clone of `wrapper`.
 *
 * @private
 * @param {Object} wrapper The wrapper to clone.
 * @returns {Object} Returns the cloned wrapper.
 */
function wrapperClone(wrapper) {
  if (wrapper instanceof LazyWrapper) {
    return wrapper.clone();
  }
  var result = new LodashWrapper(wrapper.__wrapped__, wrapper.__chain__);
  result.__actions__ = copyArray(wrapper.__actions__);
  result.__index__  = wrapper.__index__;
  result.__values__ = wrapper.__values__;
  return result;
}

/** Used for built-in method references. */
var objectProto$4 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$3 = objectProto$4.hasOwnProperty;

/**
 * Creates a `lodash` object which wraps `value` to enable implicit method
 * chain sequences. Methods that operate on and return arrays, collections,
 * and functions can be chained together. Methods that retrieve a single value
 * or may return a primitive value will automatically end the chain sequence
 * and return the unwrapped value. Otherwise, the value must be unwrapped
 * with `_#value`.
 *
 * Explicit chain sequences, which must be unwrapped with `_#value`, may be
 * enabled using `_.chain`.
 *
 * The execution of chained methods is lazy, that is, it's deferred until
 * `_#value` is implicitly or explicitly called.
 *
 * Lazy evaluation allows several methods to support shortcut fusion.
 * Shortcut fusion is an optimization to merge iteratee calls; this avoids
 * the creation of intermediate arrays and can greatly reduce the number of
 * iteratee executions. Sections of a chain sequence qualify for shortcut
 * fusion if the section is applied to an array and iteratees accept only
 * one argument. The heuristic for whether a section qualifies for shortcut
 * fusion is subject to change.
 *
 * Chaining is supported in custom builds as long as the `_#value` method is
 * directly or indirectly included in the build.
 *
 * In addition to lodash methods, wrappers have `Array` and `String` methods.
 *
 * The wrapper `Array` methods are:
 * `concat`, `join`, `pop`, `push`, `shift`, `sort`, `splice`, and `unshift`
 *
 * The wrapper `String` methods are:
 * `replace` and `split`
 *
 * The wrapper methods that support shortcut fusion are:
 * `at`, `compact`, `drop`, `dropRight`, `dropWhile`, `filter`, `find`,
 * `findLast`, `head`, `initial`, `last`, `map`, `reject`, `reverse`, `slice`,
 * `tail`, `take`, `takeRight`, `takeRightWhile`, `takeWhile`, and `toArray`
 *
 * The chainable wrapper methods are:
 * `after`, `ary`, `assign`, `assignIn`, `assignInWith`, `assignWith`, `at`,
 * `before`, `bind`, `bindAll`, `bindKey`, `castArray`, `chain`, `chunk`,
 * `commit`, `compact`, `concat`, `conforms`, `constant`, `countBy`, `create`,
 * `curry`, `debounce`, `defaults`, `defaultsDeep`, `defer`, `delay`,
 * `difference`, `differenceBy`, `differenceWith`, `drop`, `dropRight`,
 * `dropRightWhile`, `dropWhile`, `extend`, `extendWith`, `fill`, `filter`,
 * `flatMap`, `flatMapDeep`, `flatMapDepth`, `flatten`, `flattenDeep`,
 * `flattenDepth`, `flip`, `flow`, `flowRight`, `fromPairs`, `functions`,
 * `functionsIn`, `groupBy`, `initial`, `intersection`, `intersectionBy`,
 * `intersectionWith`, `invert`, `invertBy`, `invokeMap`, `iteratee`, `keyBy`,
 * `keys`, `keysIn`, `map`, `mapKeys`, `mapValues`, `matches`, `matchesProperty`,
 * `memoize`, `merge`, `mergeWith`, `method`, `methodOf`, `mixin`, `negate`,
 * `nthArg`, `omit`, `omitBy`, `once`, `orderBy`, `over`, `overArgs`,
 * `overEvery`, `overSome`, `partial`, `partialRight`, `partition`, `pick`,
 * `pickBy`, `plant`, `property`, `propertyOf`, `pull`, `pullAll`, `pullAllBy`,
 * `pullAllWith`, `pullAt`, `push`, `range`, `rangeRight`, `rearg`, `reject`,
 * `remove`, `rest`, `reverse`, `sampleSize`, `set`, `setWith`, `shuffle`,
 * `slice`, `sort`, `sortBy`, `splice`, `spread`, `tail`, `take`, `takeRight`,
 * `takeRightWhile`, `takeWhile`, `tap`, `throttle`, `thru`, `toArray`,
 * `toPairs`, `toPairsIn`, `toPath`, `toPlainObject`, `transform`, `unary`,
 * `union`, `unionBy`, `unionWith`, `uniq`, `uniqBy`, `uniqWith`, `unset`,
 * `unshift`, `unzip`, `unzipWith`, `update`, `updateWith`, `values`,
 * `valuesIn`, `without`, `wrap`, `xor`, `xorBy`, `xorWith`, `zip`,
 * `zipObject`, `zipObjectDeep`, and `zipWith`
 *
 * The wrapper methods that are **not** chainable by default are:
 * `add`, `attempt`, `camelCase`, `capitalize`, `ceil`, `clamp`, `clone`,
 * `cloneDeep`, `cloneDeepWith`, `cloneWith`, `conformsTo`, `deburr`,
 * `defaultTo`, `divide`, `each`, `eachRight`, `endsWith`, `eq`, `escape`,
 * `escapeRegExp`, `every`, `find`, `findIndex`, `findKey`, `findLast`,
 * `findLastIndex`, `findLastKey`, `first`, `floor`, `forEach`, `forEachRight`,
 * `forIn`, `forInRight`, `forOwn`, `forOwnRight`, `get`, `gt`, `gte`, `has`,
 * `hasIn`, `head`, `identity`, `includes`, `indexOf`, `inRange`, `invoke`,
 * `isArguments`, `isArray`, `isArrayBuffer`, `isArrayLike`, `isArrayLikeObject`,
 * `isBoolean`, `isBuffer`, `isDate`, `isElement`, `isEmpty`, `isEqual`,
 * `isEqualWith`, `isError`, `isFinite`, `isFunction`, `isInteger`, `isLength`,
 * `isMap`, `isMatch`, `isMatchWith`, `isNaN`, `isNative`, `isNil`, `isNull`,
 * `isNumber`, `isObject`, `isObjectLike`, `isPlainObject`, `isRegExp`,
 * `isSafeInteger`, `isSet`, `isString`, `isUndefined`, `isTypedArray`,
 * `isWeakMap`, `isWeakSet`, `join`, `kebabCase`, `last`, `lastIndexOf`,
 * `lowerCase`, `lowerFirst`, `lt`, `lte`, `max`, `maxBy`, `mean`, `meanBy`,
 * `min`, `minBy`, `multiply`, `noConflict`, `noop`, `now`, `nth`, `pad`,
 * `padEnd`, `padStart`, `parseInt`, `pop`, `random`, `reduce`, `reduceRight`,
 * `repeat`, `result`, `round`, `runInContext`, `sample`, `shift`, `size`,
 * `snakeCase`, `some`, `sortedIndex`, `sortedIndexBy`, `sortedLastIndex`,
 * `sortedLastIndexBy`, `startCase`, `startsWith`, `stubArray`, `stubFalse`,
 * `stubObject`, `stubString`, `stubTrue`, `subtract`, `sum`, `sumBy`,
 * `template`, `times`, `toFinite`, `toInteger`, `toJSON`, `toLength`,
 * `toLower`, `toNumber`, `toSafeInteger`, `toString`, `toUpper`, `trim`,
 * `trimEnd`, `trimStart`, `truncate`, `unescape`, `uniqueId`, `upperCase`,
 * `upperFirst`, `value`, and `words`
 *
 * @name _
 * @constructor
 * @category Seq
 * @param {*} value The value to wrap in a `lodash` instance.
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * function square(n) {
 *   return n * n;
 * }
 *
 * var wrapped = _([1, 2, 3]);
 *
 * // Returns an unwrapped value.
 * wrapped.reduce(_.add);
 * // => 6
 *
 * // Returns a wrapped value.
 * var squares = wrapped.map(square);
 *
 * _.isArray(squares);
 * // => false
 *
 * _.isArray(squares.value());
 * // => true
 */
function lodash(value) {
  if (isObjectLike(value) && !isArray(value) && !(value instanceof LazyWrapper)) {
    if (value instanceof LodashWrapper) {
      return value;
    }
    if (hasOwnProperty$3.call(value, '__wrapped__')) {
      return wrapperClone(value);
    }
  }
  return new LodashWrapper(value);
}

// Ensure wrappers are instances of `baseLodash`.
lodash.prototype = baseLodash.prototype;
lodash.prototype.constructor = lodash;

/**
 * Checks if `func` has a lazy counterpart.
 *
 * @private
 * @param {Function} func The function to check.
 * @returns {boolean} Returns `true` if `func` has a lazy counterpart,
 *  else `false`.
 */
function isLaziable(func) {
  var funcName = getFuncName(func),
      other = lodash[funcName];

  if (typeof other != 'function' || !(funcName in LazyWrapper.prototype)) {
    return false;
  }
  if (func === other) {
    return true;
  }
  var data = getData(other);
  return !!data && func === data[0];
}

/** Used to detect hot functions by number of calls within a span of milliseconds. */
var HOT_COUNT = 800,
    HOT_SPAN = 16;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeNow = Date.now;

/**
 * Creates a function that'll short out and invoke `identity` instead
 * of `func` when it's called `HOT_COUNT` or more times in `HOT_SPAN`
 * milliseconds.
 *
 * @private
 * @param {Function} func The function to restrict.
 * @returns {Function} Returns the new shortable function.
 */
function shortOut(func) {
  var count = 0,
      lastCalled = 0;

  return function() {
    var stamp = nativeNow(),
        remaining = HOT_SPAN - (stamp - lastCalled);

    lastCalled = stamp;
    if (remaining > 0) {
      if (++count >= HOT_COUNT) {
        return arguments[0];
      }
    } else {
      count = 0;
    }
    return func.apply(undefined, arguments);
  };
}

/**
 * Sets metadata for `func`.
 *
 * **Note:** If this function becomes hot, i.e. is invoked a lot in a short
 * period of time, it will trip its breaker and transition to an identity
 * function to avoid garbage collection pauses in V8. See
 * [V8 issue 2070](https://bugs.chromium.org/p/v8/issues/detail?id=2070)
 * for more details.
 *
 * @private
 * @param {Function} func The function to associate metadata with.
 * @param {*} data The metadata.
 * @returns {Function} Returns `func`.
 */
var setData = shortOut(baseSetData);

/** Used to match wrap detail comments. */
var reWrapDetails = /\{\n\/\* \[wrapped with (.+)\] \*/,
    reSplitDetails = /,? & /;

/**
 * Extracts wrapper details from the `source` body comment.
 *
 * @private
 * @param {string} source The source to inspect.
 * @returns {Array} Returns the wrapper details.
 */
function getWrapDetails(source) {
  var match = source.match(reWrapDetails);
  return match ? match[1].split(reSplitDetails) : [];
}

/** Used to match wrap detail comments. */
var reWrapComment = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/;

/**
 * Inserts wrapper `details` in a comment at the top of the `source` body.
 *
 * @private
 * @param {string} source The source to modify.
 * @returns {Array} details The details to insert.
 * @returns {string} Returns the modified source.
 */
function insertWrapDetails(source, details) {
  var length = details.length;
  if (!length) {
    return source;
  }
  var lastIndex = length - 1;
  details[lastIndex] = (length > 1 ? '& ' : '') + details[lastIndex];
  details = details.join(length > 2 ? ', ' : ' ');
  return source.replace(reWrapComment, '{\n/* [wrapped with ' + details + '] */\n');
}

/**
 * Creates a function that returns `value`.
 *
 * @static
 * @memberOf _
 * @since 2.4.0
 * @category Util
 * @param {*} value The value to return from the new function.
 * @returns {Function} Returns the new constant function.
 * @example
 *
 * var objects = _.times(2, _.constant({ 'a': 1 }));
 *
 * console.log(objects);
 * // => [{ 'a': 1 }, { 'a': 1 }]
 *
 * console.log(objects[0] === objects[1]);
 * // => true
 */
function constant(value) {
  return function() {
    return value;
  };
}

var defineProperty = (function() {
  try {
    var func = getNative(Object, 'defineProperty');
    func({}, '', {});
    return func;
  } catch (e) {}
}());

/**
 * The base implementation of `setToString` without support for hot loop shorting.
 *
 * @private
 * @param {Function} func The function to modify.
 * @param {Function} string The `toString` result.
 * @returns {Function} Returns `func`.
 */
var baseSetToString = !defineProperty ? identity : function(func, string) {
  return defineProperty(func, 'toString', {
    'configurable': true,
    'enumerable': false,
    'value': constant(string),
    'writable': true
  });
};

/**
 * Sets the `toString` method of `func` to return `string`.
 *
 * @private
 * @param {Function} func The function to modify.
 * @param {Function} string The `toString` result.
 * @returns {Function} Returns `func`.
 */
var setToString = shortOut(baseSetToString);

/**
 * A specialized version of `_.forEach` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns `array`.
 */
function arrayEach(array, iteratee) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    if (iteratee(array[index], index, array) === false) {
      break;
    }
  }
  return array;
}

/**
 * The base implementation of `_.findIndex` and `_.findLastIndex` without
 * support for iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {Function} predicate The function invoked per iteration.
 * @param {number} fromIndex The index to search from.
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function baseFindIndex(array, predicate, fromIndex, fromRight) {
  var length = array.length,
      index = fromIndex + (fromRight ? 1 : -1);

  while ((fromRight ? index-- : ++index < length)) {
    if (predicate(array[index], index, array)) {
      return index;
    }
  }
  return -1;
}

/**
 * The base implementation of `_.isNaN` without support for number objects.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
 */
function baseIsNaN(value) {
  return value !== value;
}

/**
 * A specialized version of `_.indexOf` which performs strict equality
 * comparisons of values, i.e. `===`.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @param {number} fromIndex The index to search from.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function strictIndexOf(array, value, fromIndex) {
  var index = fromIndex - 1,
      length = array.length;

  while (++index < length) {
    if (array[index] === value) {
      return index;
    }
  }
  return -1;
}

/**
 * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @param {number} fromIndex The index to search from.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function baseIndexOf(array, value, fromIndex) {
  return value === value
    ? strictIndexOf(array, value, fromIndex)
    : baseFindIndex(array, baseIsNaN, fromIndex);
}

/**
 * A specialized version of `_.includes` for arrays without support for
 * specifying an index to search from.
 *
 * @private
 * @param {Array} [array] The array to inspect.
 * @param {*} target The value to search for.
 * @returns {boolean} Returns `true` if `target` is found, else `false`.
 */
function arrayIncludes(array, value) {
  var length = array == null ? 0 : array.length;
  return !!length && baseIndexOf(array, value, 0) > -1;
}

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$1 = 1,
    WRAP_BIND_KEY_FLAG = 2,
    WRAP_CURRY_FLAG = 8,
    WRAP_CURRY_RIGHT_FLAG = 16,
    WRAP_PARTIAL_FLAG = 32,
    WRAP_PARTIAL_RIGHT_FLAG = 64,
    WRAP_ARY_FLAG = 128,
    WRAP_REARG_FLAG = 256,
    WRAP_FLIP_FLAG = 512;

/** Used to associate wrap methods with their bit flags. */
var wrapFlags = [
  ['ary', WRAP_ARY_FLAG],
  ['bind', WRAP_BIND_FLAG$1],
  ['bindKey', WRAP_BIND_KEY_FLAG],
  ['curry', WRAP_CURRY_FLAG],
  ['curryRight', WRAP_CURRY_RIGHT_FLAG],
  ['flip', WRAP_FLIP_FLAG],
  ['partial', WRAP_PARTIAL_FLAG],
  ['partialRight', WRAP_PARTIAL_RIGHT_FLAG],
  ['rearg', WRAP_REARG_FLAG]
];

/**
 * Updates wrapper `details` based on `bitmask` flags.
 *
 * @private
 * @returns {Array} details The details to modify.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @returns {Array} Returns `details`.
 */
function updateWrapDetails(details, bitmask) {
  arrayEach(wrapFlags, function(pair) {
    var value = '_.' + pair[0];
    if ((bitmask & pair[1]) && !arrayIncludes(details, value)) {
      details.push(value);
    }
  });
  return details.sort();
}

/**
 * Sets the `toString` method of `wrapper` to mimic the source of `reference`
 * with wrapper details in a comment at the top of the source body.
 *
 * @private
 * @param {Function} wrapper The function to modify.
 * @param {Function} reference The reference function.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @returns {Function} Returns `wrapper`.
 */
function setWrapToString(wrapper, reference, bitmask) {
  var source = (reference + '');
  return setToString(wrapper, insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)));
}

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$2 = 1,
    WRAP_BIND_KEY_FLAG$1 = 2,
    WRAP_CURRY_BOUND_FLAG = 4,
    WRAP_CURRY_FLAG$1 = 8,
    WRAP_PARTIAL_FLAG$1 = 32,
    WRAP_PARTIAL_RIGHT_FLAG$1 = 64;

/**
 * Creates a function that wraps `func` to continue currying.
 *
 * @private
 * @param {Function} func The function to wrap.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @param {Function} wrapFunc The function to create the `func` wrapper.
 * @param {*} placeholder The placeholder value.
 * @param {*} [thisArg] The `this` binding of `func`.
 * @param {Array} [partials] The arguments to prepend to those provided to
 *  the new function.
 * @param {Array} [holders] The `partials` placeholder indexes.
 * @param {Array} [argPos] The argument positions of the new function.
 * @param {number} [ary] The arity cap of `func`.
 * @param {number} [arity] The arity of `func`.
 * @returns {Function} Returns the new wrapped function.
 */
function createRecurry(func, bitmask, wrapFunc, placeholder, thisArg, partials, holders, argPos, ary, arity) {
  var isCurry = bitmask & WRAP_CURRY_FLAG$1,
      newHolders = isCurry ? holders : undefined,
      newHoldersRight = isCurry ? undefined : holders,
      newPartials = isCurry ? partials : undefined,
      newPartialsRight = isCurry ? undefined : partials;

  bitmask |= (isCurry ? WRAP_PARTIAL_FLAG$1 : WRAP_PARTIAL_RIGHT_FLAG$1);
  bitmask &= ~(isCurry ? WRAP_PARTIAL_RIGHT_FLAG$1 : WRAP_PARTIAL_FLAG$1);

  if (!(bitmask & WRAP_CURRY_BOUND_FLAG)) {
    bitmask &= ~(WRAP_BIND_FLAG$2 | WRAP_BIND_KEY_FLAG$1);
  }
  var newData = [
    func, bitmask, thisArg, newPartials, newHolders, newPartialsRight,
    newHoldersRight, argPos, ary, arity
  ];

  var result = wrapFunc.apply(undefined, newData);
  if (isLaziable(func)) {
    setData(result, newData);
  }
  result.placeholder = placeholder;
  return setWrapToString(result, func, bitmask);
}

/**
 * Gets the argument placeholder value for `func`.
 *
 * @private
 * @param {Function} func The function to inspect.
 * @returns {*} Returns the placeholder value.
 */
function getHolder(func) {
  var object = func;
  return object.placeholder;
}

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER = 9007199254740991;

/** Used to detect unsigned integer values. */
var reIsUint = /^(?:0|[1-9]\d*)$/;

/**
 * Checks if `value` is a valid array-like index.
 *
 * @private
 * @param {*} value The value to check.
 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
 */
function isIndex(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER : length;

  return !!length &&
    (type == 'number' ||
      (type != 'symbol' && reIsUint.test(value))) &&
        (value > -1 && value % 1 == 0 && value < length);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin = Math.min;

/**
 * Reorder `array` according to the specified indexes where the element at
 * the first index is assigned as the first element, the element at
 * the second index is assigned as the second element, and so on.
 *
 * @private
 * @param {Array} array The array to reorder.
 * @param {Array} indexes The arranged array indexes.
 * @returns {Array} Returns `array`.
 */
function reorder(array, indexes) {
  var arrLength = array.length,
      length = nativeMin(indexes.length, arrLength),
      oldArray = copyArray(array);

  while (length--) {
    var index = indexes[length];
    array[length] = isIndex(index, arrLength) ? oldArray[index] : undefined;
  }
  return array;
}

/** Used as the internal argument placeholder. */
var PLACEHOLDER = '__lodash_placeholder__';

/**
 * Replaces all `placeholder` elements in `array` with an internal placeholder
 * and returns an array of their indexes.
 *
 * @private
 * @param {Array} array The array to modify.
 * @param {*} placeholder The placeholder to replace.
 * @returns {Array} Returns the new array of placeholder indexes.
 */
function replaceHolders(array, placeholder) {
  var index = -1,
      length = array.length,
      resIndex = 0,
      result = [];

  while (++index < length) {
    var value = array[index];
    if (value === placeholder || value === PLACEHOLDER) {
      array[index] = PLACEHOLDER;
      result[resIndex++] = index;
    }
  }
  return result;
}

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$3 = 1,
    WRAP_BIND_KEY_FLAG$2 = 2,
    WRAP_CURRY_FLAG$2 = 8,
    WRAP_CURRY_RIGHT_FLAG$1 = 16,
    WRAP_ARY_FLAG$1 = 128,
    WRAP_FLIP_FLAG$1 = 512;

/**
 * Creates a function that wraps `func` to invoke it with optional `this`
 * binding of `thisArg`, partial application, and currying.
 *
 * @private
 * @param {Function|string} func The function or method name to wrap.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @param {*} [thisArg] The `this` binding of `func`.
 * @param {Array} [partials] The arguments to prepend to those provided to
 *  the new function.
 * @param {Array} [holders] The `partials` placeholder indexes.
 * @param {Array} [partialsRight] The arguments to append to those provided
 *  to the new function.
 * @param {Array} [holdersRight] The `partialsRight` placeholder indexes.
 * @param {Array} [argPos] The argument positions of the new function.
 * @param {number} [ary] The arity cap of `func`.
 * @param {number} [arity] The arity of `func`.
 * @returns {Function} Returns the new wrapped function.
 */
function createHybrid(func, bitmask, thisArg, partials, holders, partialsRight, holdersRight, argPos, ary, arity) {
  var isAry = bitmask & WRAP_ARY_FLAG$1,
      isBind = bitmask & WRAP_BIND_FLAG$3,
      isBindKey = bitmask & WRAP_BIND_KEY_FLAG$2,
      isCurried = bitmask & (WRAP_CURRY_FLAG$2 | WRAP_CURRY_RIGHT_FLAG$1),
      isFlip = bitmask & WRAP_FLIP_FLAG$1,
      Ctor = isBindKey ? undefined : createCtor(func);

  function wrapper() {
    var length = arguments.length,
        args = Array(length),
        index = length;

    while (index--) {
      args[index] = arguments[index];
    }
    if (isCurried) {
      var placeholder = getHolder(wrapper),
          holdersCount = countHolders(args, placeholder);
    }
    if (partials) {
      args = composeArgs(args, partials, holders, isCurried);
    }
    if (partialsRight) {
      args = composeArgsRight(args, partialsRight, holdersRight, isCurried);
    }
    length -= holdersCount;
    if (isCurried && length < arity) {
      var newHolders = replaceHolders(args, placeholder);
      return createRecurry(
        func, bitmask, createHybrid, wrapper.placeholder, thisArg,
        args, newHolders, argPos, ary, arity - length
      );
    }
    var thisBinding = isBind ? thisArg : this,
        fn = isBindKey ? thisBinding[func] : func;

    length = args.length;
    if (argPos) {
      args = reorder(args, argPos);
    } else if (isFlip && length > 1) {
      args.reverse();
    }
    if (isAry && ary < length) {
      args.length = ary;
    }
    if (this && this !== root && this instanceof wrapper) {
      fn = Ctor || createCtor(fn);
    }
    return fn.apply(thisBinding, args);
  }
  return wrapper;
}

/**
 * Creates a function that wraps `func` to enable currying.
 *
 * @private
 * @param {Function} func The function to wrap.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @param {number} arity The arity of `func`.
 * @returns {Function} Returns the new wrapped function.
 */
function createCurry(func, bitmask, arity) {
  var Ctor = createCtor(func);

  function wrapper() {
    var length = arguments.length,
        args = Array(length),
        index = length,
        placeholder = getHolder(wrapper);

    while (index--) {
      args[index] = arguments[index];
    }
    var holders = (length < 3 && args[0] !== placeholder && args[length - 1] !== placeholder)
      ? []
      : replaceHolders(args, placeholder);

    length -= holders.length;
    if (length < arity) {
      return createRecurry(
        func, bitmask, createHybrid, wrapper.placeholder, undefined,
        args, holders, undefined, undefined, arity - length);
    }
    var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
    return apply(fn, this, args);
  }
  return wrapper;
}

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$4 = 1;

/**
 * Creates a function that wraps `func` to invoke it with the `this` binding
 * of `thisArg` and `partials` prepended to the arguments it receives.
 *
 * @private
 * @param {Function} func The function to wrap.
 * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
 * @param {*} thisArg The `this` binding of `func`.
 * @param {Array} partials The arguments to prepend to those provided to
 *  the new function.
 * @returns {Function} Returns the new wrapped function.
 */
function createPartial(func, bitmask, thisArg, partials) {
  var isBind = bitmask & WRAP_BIND_FLAG$4,
      Ctor = createCtor(func);

  function wrapper() {
    var argsIndex = -1,
        argsLength = arguments.length,
        leftIndex = -1,
        leftLength = partials.length,
        args = Array(leftLength + argsLength),
        fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;

    while (++leftIndex < leftLength) {
      args[leftIndex] = partials[leftIndex];
    }
    while (argsLength--) {
      args[leftIndex++] = arguments[++argsIndex];
    }
    return apply(fn, isBind ? thisArg : this, args);
  }
  return wrapper;
}

/** Used as the internal argument placeholder. */
var PLACEHOLDER$1 = '__lodash_placeholder__';

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$5 = 1,
    WRAP_BIND_KEY_FLAG$3 = 2,
    WRAP_CURRY_BOUND_FLAG$1 = 4,
    WRAP_CURRY_FLAG$3 = 8,
    WRAP_ARY_FLAG$2 = 128,
    WRAP_REARG_FLAG$1 = 256;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin$1 = Math.min;

/**
 * Merges the function metadata of `source` into `data`.
 *
 * Merging metadata reduces the number of wrappers used to invoke a function.
 * This is possible because methods like `_.bind`, `_.curry`, and `_.partial`
 * may be applied regardless of execution order. Methods like `_.ary` and
 * `_.rearg` modify function arguments, making the order in which they are
 * executed important, preventing the merging of metadata. However, we make
 * an exception for a safe combined case where curried functions have `_.ary`
 * and or `_.rearg` applied.
 *
 * @private
 * @param {Array} data The destination metadata.
 * @param {Array} source The source metadata.
 * @returns {Array} Returns `data`.
 */
function mergeData(data, source) {
  var bitmask = data[1],
      srcBitmask = source[1],
      newBitmask = bitmask | srcBitmask,
      isCommon = newBitmask < (WRAP_BIND_FLAG$5 | WRAP_BIND_KEY_FLAG$3 | WRAP_ARY_FLAG$2);

  var isCombo =
    ((srcBitmask == WRAP_ARY_FLAG$2) && (bitmask == WRAP_CURRY_FLAG$3)) ||
    ((srcBitmask == WRAP_ARY_FLAG$2) && (bitmask == WRAP_REARG_FLAG$1) && (data[7].length <= source[8])) ||
    ((srcBitmask == (WRAP_ARY_FLAG$2 | WRAP_REARG_FLAG$1)) && (source[7].length <= source[8]) && (bitmask == WRAP_CURRY_FLAG$3));

  // Exit early if metadata can't be merged.
  if (!(isCommon || isCombo)) {
    return data;
  }
  // Use source `thisArg` if available.
  if (srcBitmask & WRAP_BIND_FLAG$5) {
    data[2] = source[2];
    // Set when currying a bound function.
    newBitmask |= bitmask & WRAP_BIND_FLAG$5 ? 0 : WRAP_CURRY_BOUND_FLAG$1;
  }
  // Compose partial arguments.
  var value = source[3];
  if (value) {
    var partials = data[3];
    data[3] = partials ? composeArgs(partials, value, source[4]) : value;
    data[4] = partials ? replaceHolders(data[3], PLACEHOLDER$1) : source[4];
  }
  // Compose partial right arguments.
  value = source[5];
  if (value) {
    partials = data[5];
    data[5] = partials ? composeArgsRight(partials, value, source[6]) : value;
    data[6] = partials ? replaceHolders(data[5], PLACEHOLDER$1) : source[6];
  }
  // Use source `argPos` if available.
  value = source[7];
  if (value) {
    data[7] = value;
  }
  // Use source `ary` if it's smaller.
  if (srcBitmask & WRAP_ARY_FLAG$2) {
    data[8] = data[8] == null ? source[8] : nativeMin$1(data[8], source[8]);
  }
  // Use source `arity` if one is not provided.
  if (data[9] == null) {
    data[9] = source[9];
  }
  // Use source `func` and merge bitmasks.
  data[0] = source[0];
  data[1] = newBitmask;

  return data;
}

/** Error message constants. */
var FUNC_ERROR_TEXT$1 = 'Expected a function';

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$6 = 1,
    WRAP_BIND_KEY_FLAG$4 = 2,
    WRAP_CURRY_FLAG$4 = 8,
    WRAP_CURRY_RIGHT_FLAG$2 = 16,
    WRAP_PARTIAL_FLAG$2 = 32,
    WRAP_PARTIAL_RIGHT_FLAG$2 = 64;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$2 = Math.max;

/**
 * Creates a function that either curries or invokes `func` with optional
 * `this` binding and partially applied arguments.
 *
 * @private
 * @param {Function|string} func The function or method name to wrap.
 * @param {number} bitmask The bitmask flags.
 *    1 - `_.bind`
 *    2 - `_.bindKey`
 *    4 - `_.curry` or `_.curryRight` of a bound function
 *    8 - `_.curry`
 *   16 - `_.curryRight`
 *   32 - `_.partial`
 *   64 - `_.partialRight`
 *  128 - `_.rearg`
 *  256 - `_.ary`
 *  512 - `_.flip`
 * @param {*} [thisArg] The `this` binding of `func`.
 * @param {Array} [partials] The arguments to be partially applied.
 * @param {Array} [holders] The `partials` placeholder indexes.
 * @param {Array} [argPos] The argument positions of the new function.
 * @param {number} [ary] The arity cap of `func`.
 * @param {number} [arity] The arity of `func`.
 * @returns {Function} Returns the new wrapped function.
 */
function createWrap(func, bitmask, thisArg, partials, holders, argPos, ary, arity) {
  var isBindKey = bitmask & WRAP_BIND_KEY_FLAG$4;
  if (!isBindKey && typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$1);
  }
  var length = partials ? partials.length : 0;
  if (!length) {
    bitmask &= ~(WRAP_PARTIAL_FLAG$2 | WRAP_PARTIAL_RIGHT_FLAG$2);
    partials = holders = undefined;
  }
  ary = ary === undefined ? ary : nativeMax$2(toInteger(ary), 0);
  arity = arity === undefined ? arity : toInteger(arity);
  length -= holders ? holders.length : 0;

  if (bitmask & WRAP_PARTIAL_RIGHT_FLAG$2) {
    var partialsRight = partials,
        holdersRight = holders;

    partials = holders = undefined;
  }
  var data = isBindKey ? undefined : getData(func);

  var newData = [
    func, bitmask, thisArg, partials, holders, partialsRight, holdersRight,
    argPos, ary, arity
  ];

  if (data) {
    mergeData(newData, data);
  }
  func = newData[0];
  bitmask = newData[1];
  thisArg = newData[2];
  partials = newData[3];
  holders = newData[4];
  arity = newData[9] = newData[9] === undefined
    ? (isBindKey ? 0 : func.length)
    : nativeMax$2(newData[9] - length, 0);

  if (!arity && bitmask & (WRAP_CURRY_FLAG$4 | WRAP_CURRY_RIGHT_FLAG$2)) {
    bitmask &= ~(WRAP_CURRY_FLAG$4 | WRAP_CURRY_RIGHT_FLAG$2);
  }
  if (!bitmask || bitmask == WRAP_BIND_FLAG$6) {
    var result = createBind(func, bitmask, thisArg);
  } else if (bitmask == WRAP_CURRY_FLAG$4 || bitmask == WRAP_CURRY_RIGHT_FLAG$2) {
    result = createCurry(func, bitmask, arity);
  } else if ((bitmask == WRAP_PARTIAL_FLAG$2 || bitmask == (WRAP_BIND_FLAG$6 | WRAP_PARTIAL_FLAG$2)) && !holders.length) {
    result = createPartial(func, bitmask, thisArg, partials);
  } else {
    result = createHybrid.apply(undefined, newData);
  }
  var setter = data ? baseSetData : setData;
  return setWrapToString(setter(result, newData), func, bitmask);
}

/** Used to compose bitmasks for function metadata. */
var WRAP_ARY_FLAG$3 = 128;

/**
 * Creates a function that invokes `func`, with up to `n` arguments,
 * ignoring any additional arguments.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Function
 * @param {Function} func The function to cap arguments for.
 * @param {number} [n=func.length] The arity cap.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Function} Returns the new capped function.
 * @example
 *
 * _.map(['6', '8', '10'], _.ary(parseInt, 1));
 * // => [6, 8, 10]
 */
function ary(func, n, guard) {
  n = guard ? undefined : n;
  n = (func && n == null) ? func.length : n;
  return createWrap(func, WRAP_ARY_FLAG$3, undefined, undefined, undefined, undefined, n);
}

/**
 * The base implementation of `assignValue` and `assignMergeValue` without
 * value checks.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {string} key The key of the property to assign.
 * @param {*} value The value to assign.
 */
function baseAssignValue(object, key, value) {
  if (key == '__proto__' && defineProperty) {
    defineProperty(object, key, {
      'configurable': true,
      'enumerable': true,
      'value': value,
      'writable': true
    });
  } else {
    object[key] = value;
  }
}

/**
 * Performs a
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * comparison between two values to determine if they are equivalent.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 * @example
 *
 * var object = { 'a': 1 };
 * var other = { 'a': 1 };
 *
 * _.eq(object, object);
 * // => true
 *
 * _.eq(object, other);
 * // => false
 *
 * _.eq('a', 'a');
 * // => true
 *
 * _.eq('a', Object('a'));
 * // => false
 *
 * _.eq(NaN, NaN);
 * // => true
 */
function eq(value, other) {
  return value === other || (value !== value && other !== other);
}

/** Used for built-in method references. */
var objectProto$5 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$4 = objectProto$5.hasOwnProperty;

/**
 * Assigns `value` to `key` of `object` if the existing value is not equivalent
 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {string} key The key of the property to assign.
 * @param {*} value The value to assign.
 */
function assignValue(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$4.call(object, key) && eq(objValue, value)) ||
      (value === undefined && !(key in object))) {
    baseAssignValue(object, key, value);
  }
}

/**
 * Copies properties of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy properties from.
 * @param {Array} props The property identifiers to copy.
 * @param {Object} [object={}] The object to copy properties to.
 * @param {Function} [customizer] The function to customize copied values.
 * @returns {Object} Returns `object`.
 */
function copyObject(source, props, object, customizer) {
  var isNew = !object;
  object || (object = {});

  var index = -1,
      length = props.length;

  while (++index < length) {
    var key = props[index];

    var newValue = customizer
      ? customizer(object[key], source[key], key, object, source)
      : undefined;

    if (newValue === undefined) {
      newValue = source[key];
    }
    if (isNew) {
      baseAssignValue(object, key, newValue);
    } else {
      assignValue(object, key, newValue);
    }
  }
  return object;
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$3 = Math.max;

/**
 * A specialized version of `baseRest` which transforms the rest array.
 *
 * @private
 * @param {Function} func The function to apply a rest parameter to.
 * @param {number} [start=func.length-1] The start position of the rest parameter.
 * @param {Function} transform The rest array transform.
 * @returns {Function} Returns the new function.
 */
function overRest(func, start, transform) {
  start = nativeMax$3(start === undefined ? (func.length - 1) : start, 0);
  return function() {
    var args = arguments,
        index = -1,
        length = nativeMax$3(args.length - start, 0),
        array = Array(length);

    while (++index < length) {
      array[index] = args[start + index];
    }
    index = -1;
    var otherArgs = Array(start + 1);
    while (++index < start) {
      otherArgs[index] = args[index];
    }
    otherArgs[start] = transform(array);
    return apply(func, this, otherArgs);
  };
}

/**
 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
 *
 * @private
 * @param {Function} func The function to apply a rest parameter to.
 * @param {number} [start=func.length-1] The start position of the rest parameter.
 * @returns {Function} Returns the new function.
 */
function baseRest(func, start) {
  return setToString(overRest(func, start, identity), func + '');
}

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER$1 = 9007199254740991;

/**
 * Checks if `value` is a valid array-like length.
 *
 * **Note:** This method is loosely based on
 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
 * @example
 *
 * _.isLength(3);
 * // => true
 *
 * _.isLength(Number.MIN_VALUE);
 * // => false
 *
 * _.isLength(Infinity);
 * // => false
 *
 * _.isLength('3');
 * // => false
 */
function isLength(value) {
  return typeof value == 'number' &&
    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER$1;
}

/**
 * Checks if `value` is array-like. A value is considered array-like if it's
 * not a function and has a `value.length` that's an integer greater than or
 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
 * @example
 *
 * _.isArrayLike([1, 2, 3]);
 * // => true
 *
 * _.isArrayLike(document.body.children);
 * // => true
 *
 * _.isArrayLike('abc');
 * // => true
 *
 * _.isArrayLike(_.noop);
 * // => false
 */
function isArrayLike(value) {
  return value != null && isLength(value.length) && !isFunction(value);
}

/**
 * Checks if the given arguments are from an iteratee call.
 *
 * @private
 * @param {*} value The potential iteratee value argument.
 * @param {*} index The potential iteratee index or key argument.
 * @param {*} object The potential iteratee object argument.
 * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
 *  else `false`.
 */
function isIterateeCall(value, index, object) {
  if (!isObject(object)) {
    return false;
  }
  var type = typeof index;
  if (type == 'number'
        ? (isArrayLike(object) && isIndex(index, object.length))
        : (type == 'string' && index in object)
      ) {
    return eq(object[index], value);
  }
  return false;
}

/**
 * Creates a function like `_.assign`.
 *
 * @private
 * @param {Function} assigner The function to assign values.
 * @returns {Function} Returns the new assigner function.
 */
function createAssigner(assigner) {
  return baseRest(function(object, sources) {
    var index = -1,
        length = sources.length,
        customizer = length > 1 ? sources[length - 1] : undefined,
        guard = length > 2 ? sources[2] : undefined;

    customizer = (assigner.length > 3 && typeof customizer == 'function')
      ? (length--, customizer)
      : undefined;

    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
      customizer = length < 3 ? undefined : customizer;
      length = 1;
    }
    object = Object(object);
    while (++index < length) {
      var source = sources[index];
      if (source) {
        assigner(object, source, index, customizer);
      }
    }
    return object;
  });
}

/** Used for built-in method references. */
var objectProto$6 = Object.prototype;

/**
 * Checks if `value` is likely a prototype object.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
 */
function isPrototype(value) {
  var Ctor = value && value.constructor,
      proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto$6;

  return value === proto;
}

/**
 * The base implementation of `_.times` without support for iteratee shorthands
 * or max array length checks.
 *
 * @private
 * @param {number} n The number of times to invoke `iteratee`.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the array of results.
 */
function baseTimes(n, iteratee) {
  var index = -1,
      result = Array(n);

  while (++index < n) {
    result[index] = iteratee(index);
  }
  return result;
}

/** `Object#toString` result references. */
var argsTag = '[object Arguments]';

/**
 * The base implementation of `_.isArguments`.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
 */
function baseIsArguments(value) {
  return isObjectLike(value) && baseGetTag(value) == argsTag;
}

/** Used for built-in method references. */
var objectProto$7 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$5 = objectProto$7.hasOwnProperty;

/** Built-in value references. */
var propertyIsEnumerable = objectProto$7.propertyIsEnumerable;

/**
 * Checks if `value` is likely an `arguments` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
 *  else `false`.
 * @example
 *
 * _.isArguments(function() { return arguments; }());
 * // => true
 *
 * _.isArguments([1, 2, 3]);
 * // => false
 */
var isArguments = baseIsArguments(function() { return arguments; }()) ? baseIsArguments : function(value) {
  return isObjectLike(value) && hasOwnProperty$5.call(value, 'callee') &&
    !propertyIsEnumerable.call(value, 'callee');
};

/**
 * This method returns `false`.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {boolean} Returns `false`.
 * @example
 *
 * _.times(2, _.stubFalse);
 * // => [false, false]
 */
function stubFalse() {
  return false;
}

/** Detect free variable `exports`. */
var freeExports = typeof exports == 'object' && exports && !exports.nodeType && exports;

/** Detect free variable `module`. */
var freeModule = freeExports && typeof module == 'object' && module && !module.nodeType && module;

/** Detect the popular CommonJS extension `module.exports`. */
var moduleExports = freeModule && freeModule.exports === freeExports;

/** Built-in value references. */
var Buffer = moduleExports ? root.Buffer : undefined;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined;

/**
 * Checks if `value` is a buffer.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
 * @example
 *
 * _.isBuffer(new Buffer(2));
 * // => true
 *
 * _.isBuffer(new Uint8Array(2));
 * // => false
 */
var isBuffer = nativeIsBuffer || stubFalse;

/** `Object#toString` result references. */
var argsTag$1 = '[object Arguments]',
    arrayTag = '[object Array]',
    boolTag = '[object Boolean]',
    dateTag = '[object Date]',
    errorTag = '[object Error]',
    funcTag$1 = '[object Function]',
    mapTag = '[object Map]',
    numberTag = '[object Number]',
    objectTag = '[object Object]',
    regexpTag = '[object RegExp]',
    setTag = '[object Set]',
    stringTag = '[object String]',
    weakMapTag = '[object WeakMap]';

var arrayBufferTag = '[object ArrayBuffer]',
    dataViewTag = '[object DataView]',
    float32Tag = '[object Float32Array]',
    float64Tag = '[object Float64Array]',
    int8Tag = '[object Int8Array]',
    int16Tag = '[object Int16Array]',
    int32Tag = '[object Int32Array]',
    uint8Tag = '[object Uint8Array]',
    uint8ClampedTag = '[object Uint8ClampedArray]',
    uint16Tag = '[object Uint16Array]',
    uint32Tag = '[object Uint32Array]';

/** Used to identify `toStringTag` values of typed arrays. */
var typedArrayTags = {};
typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
typedArrayTags[uint32Tag] = true;
typedArrayTags[argsTag$1] = typedArrayTags[arrayTag] =
typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
typedArrayTags[dataViewTag] = typedArrayTags[dateTag] =
typedArrayTags[errorTag] = typedArrayTags[funcTag$1] =
typedArrayTags[mapTag] = typedArrayTags[numberTag] =
typedArrayTags[objectTag] = typedArrayTags[regexpTag] =
typedArrayTags[setTag] = typedArrayTags[stringTag] =
typedArrayTags[weakMapTag] = false;

/**
 * The base implementation of `_.isTypedArray` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
 */
function baseIsTypedArray(value) {
  return isObjectLike(value) &&
    isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
}

/**
 * The base implementation of `_.unary` without support for storing metadata.
 *
 * @private
 * @param {Function} func The function to cap arguments for.
 * @returns {Function} Returns the new capped function.
 */
function baseUnary(func) {
  return function(value) {
    return func(value);
  };
}

/** Detect free variable `exports`. */
var freeExports$1 = typeof exports == 'object' && exports && !exports.nodeType && exports;

/** Detect free variable `module`. */
var freeModule$1 = freeExports$1 && typeof module == 'object' && module && !module.nodeType && module;

/** Detect the popular CommonJS extension `module.exports`. */
var moduleExports$1 = freeModule$1 && freeModule$1.exports === freeExports$1;

/** Detect free variable `process` from Node.js. */
var freeProcess = moduleExports$1 && freeGlobal.process;

/** Used to access faster Node.js helpers. */
var nodeUtil = (function() {
  try {
    // Use `util.types` for Node.js 10+.
    var types = freeModule$1 && freeModule$1.require && freeModule$1.require('util').types;

    if (types) {
      return types;
    }

    // Legacy `process.binding('util')` for Node.js < 10.
    return freeProcess && freeProcess.binding && freeProcess.binding('util');
  } catch (e) {}
}());

/* Node.js helper references. */
var nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;

/**
 * Checks if `value` is classified as a typed array.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
 * @example
 *
 * _.isTypedArray(new Uint8Array);
 * // => true
 *
 * _.isTypedArray([]);
 * // => false
 */
var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;

/** Used for built-in method references. */
var objectProto$8 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$6 = objectProto$8.hasOwnProperty;

/**
 * Creates an array of the enumerable property names of the array-like `value`.
 *
 * @private
 * @param {*} value The value to query.
 * @param {boolean} inherited Specify returning inherited property names.
 * @returns {Array} Returns the array of property names.
 */
function arrayLikeKeys(value, inherited) {
  var isArr = isArray(value),
      isArg = !isArr && isArguments(value),
      isBuff = !isArr && !isArg && isBuffer(value),
      isType = !isArr && !isArg && !isBuff && isTypedArray(value),
      skipIndexes = isArr || isArg || isBuff || isType,
      result = skipIndexes ? baseTimes(value.length, String) : [],
      length = result.length;

  for (var key in value) {
    if ((inherited || hasOwnProperty$6.call(value, key)) &&
        !(skipIndexes && (
           // Safari 9 has enumerable `arguments.length` in strict mode.
           key == 'length' ||
           // Node.js 0.10 has enumerable non-index properties on buffers.
           (isBuff && (key == 'offset' || key == 'parent')) ||
           // PhantomJS 2 has enumerable non-index properties on typed arrays.
           (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
           // Skip index properties.
           isIndex(key, length)
        ))) {
      result.push(key);
    }
  }
  return result;
}

/**
 * Creates a unary function that invokes `func` with its argument transformed.
 *
 * @private
 * @param {Function} func The function to wrap.
 * @param {Function} transform The argument transform.
 * @returns {Function} Returns the new function.
 */
function overArg(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeKeys = overArg(Object.keys, Object);

/** Used for built-in method references. */
var objectProto$9 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$7 = objectProto$9.hasOwnProperty;

/**
 * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function baseKeys(object) {
  if (!isPrototype(object)) {
    return nativeKeys(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$7.call(object, key) && key != 'constructor') {
      result.push(key);
    }
  }
  return result;
}

/**
 * Creates an array of the own enumerable property names of `object`.
 *
 * **Note:** Non-object values are coerced to objects. See the
 * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
 * for more details.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.keys(new Foo);
 * // => ['a', 'b'] (iteration order is not guaranteed)
 *
 * _.keys('hi');
 * // => ['0', '1']
 */
function keys(object) {
  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
}

/** Used for built-in method references. */
var objectProto$a = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$8 = objectProto$a.hasOwnProperty;

/**
 * Assigns own enumerable string keyed properties of source objects to the
 * destination object. Source objects are applied from left to right.
 * Subsequent sources overwrite property assignments of previous sources.
 *
 * **Note:** This method mutates `object` and is loosely based on
 * [`Object.assign`](https://mdn.io/Object/assign).
 *
 * @static
 * @memberOf _
 * @since 0.10.0
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} [sources] The source objects.
 * @returns {Object} Returns `object`.
 * @see _.assignIn
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 * }
 *
 * function Bar() {
 *   this.c = 3;
 * }
 *
 * Foo.prototype.b = 2;
 * Bar.prototype.d = 4;
 *
 * _.assign({ 'a': 0 }, new Foo, new Bar);
 * // => { 'a': 1, 'c': 3 }
 */
var assign = createAssigner(function(object, source) {
  if (isPrototype(source) || isArrayLike(source)) {
    copyObject(source, keys(source), object);
    return;
  }
  for (var key in source) {
    if (hasOwnProperty$8.call(source, key)) {
      assignValue(object, key, source[key]);
    }
  }
});

/**
 * This function is like
 * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
 * except that it includes inherited enumerable properties.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function nativeKeysIn(object) {
  var result = [];
  if (object != null) {
    for (var key in Object(object)) {
      result.push(key);
    }
  }
  return result;
}

/** Used for built-in method references. */
var objectProto$b = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$9 = objectProto$b.hasOwnProperty;

/**
 * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function baseKeysIn(object) {
  if (!isObject(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype(object),
      result = [];

  for (var key in object) {
    if (!(key == 'constructor' && (isProto || !hasOwnProperty$9.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}

/**
 * Creates an array of the own and inherited enumerable property names of `object`.
 *
 * **Note:** Non-object values are coerced to objects.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.keysIn(new Foo);
 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
 */
function keysIn$1(object) {
  return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
}

/**
 * This method is like `_.assign` except that it iterates over own and
 * inherited source properties.
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @alias extend
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} [sources] The source objects.
 * @returns {Object} Returns `object`.
 * @see _.assign
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 * }
 *
 * function Bar() {
 *   this.c = 3;
 * }
 *
 * Foo.prototype.b = 2;
 * Bar.prototype.d = 4;
 *
 * _.assignIn({ 'a': 0 }, new Foo, new Bar);
 * // => { 'a': 1, 'b': 2, 'c': 3, 'd': 4 }
 */
var assignIn = createAssigner(function(object, source) {
  copyObject(source, keysIn$1(source), object);
});

/**
 * This method is like `_.assignIn` except that it accepts `customizer`
 * which is invoked to produce the assigned values. If `customizer` returns
 * `undefined`, assignment is handled by the method instead. The `customizer`
 * is invoked with five arguments: (objValue, srcValue, key, object, source).
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @alias extendWith
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} sources The source objects.
 * @param {Function} [customizer] The function to customize assigned values.
 * @returns {Object} Returns `object`.
 * @see _.assignWith
 * @example
 *
 * function customizer(objValue, srcValue) {
 *   return _.isUndefined(objValue) ? srcValue : objValue;
 * }
 *
 * var defaults = _.partialRight(_.assignInWith, customizer);
 *
 * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
 * // => { 'a': 1, 'b': 2 }
 */
var assignInWith = createAssigner(function(object, source, srcIndex, customizer) {
  copyObject(source, keysIn$1(source), object, customizer);
});

/**
 * This method is like `_.assign` except that it accepts `customizer`
 * which is invoked to produce the assigned values. If `customizer` returns
 * `undefined`, assignment is handled by the method instead. The `customizer`
 * is invoked with five arguments: (objValue, srcValue, key, object, source).
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} sources The source objects.
 * @param {Function} [customizer] The function to customize assigned values.
 * @returns {Object} Returns `object`.
 * @see _.assignInWith
 * @example
 *
 * function customizer(objValue, srcValue) {
 *   return _.isUndefined(objValue) ? srcValue : objValue;
 * }
 *
 * var defaults = _.partialRight(_.assignWith, customizer);
 *
 * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
 * // => { 'a': 1, 'b': 2 }
 */
var assignWith = createAssigner(function(object, source, srcIndex, customizer) {
  copyObject(source, keys(source), object, customizer);
});

/** Used to match property names within property paths. */
var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,
    reIsPlainProp = /^\w*$/;

/**
 * Checks if `value` is a property name and not a property path.
 *
 * @private
 * @param {*} value The value to check.
 * @param {Object} [object] The object to query keys on.
 * @returns {boolean} Returns `true` if `value` is a property name, else `false`.
 */
function isKey(value, object) {
  if (isArray(value)) {
    return false;
  }
  var type = typeof value;
  if (type == 'number' || type == 'symbol' || type == 'boolean' ||
      value == null || isSymbol(value)) {
    return true;
  }
  return reIsPlainProp.test(value) || !reIsDeepProp.test(value) ||
    (object != null && value in Object(object));
}

/* Built-in method references that are verified to be native. */
var nativeCreate = getNative(Object, 'create');

/**
 * Removes all key-value entries from the hash.
 *
 * @private
 * @name clear
 * @memberOf Hash
 */
function hashClear() {
  this.__data__ = nativeCreate ? nativeCreate(null) : {};
  this.size = 0;
}

/**
 * Removes `key` and its value from the hash.
 *
 * @private
 * @name delete
 * @memberOf Hash
 * @param {Object} hash The hash to modify.
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function hashDelete(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED = '__lodash_hash_undefined__';

/** Used for built-in method references. */
var objectProto$c = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$a = objectProto$c.hasOwnProperty;

/**
 * Gets the hash value for `key`.
 *
 * @private
 * @name get
 * @memberOf Hash
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function hashGet(key) {
  var data = this.__data__;
  if (nativeCreate) {
    var result = data[key];
    return result === HASH_UNDEFINED ? undefined : result;
  }
  return hasOwnProperty$a.call(data, key) ? data[key] : undefined;
}

/** Used for built-in method references. */
var objectProto$d = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$b = objectProto$d.hasOwnProperty;

/**
 * Checks if a hash value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf Hash
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function hashHas(key) {
  var data = this.__data__;
  return nativeCreate ? (data[key] !== undefined) : hasOwnProperty$b.call(data, key);
}

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED$1 = '__lodash_hash_undefined__';

/**
 * Sets the hash `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf Hash
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the hash instance.
 */
function hashSet(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED$1 : value;
  return this;
}

/**
 * Creates a hash object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function Hash(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `Hash`.
Hash.prototype.clear = hashClear;
Hash.prototype['delete'] = hashDelete;
Hash.prototype.get = hashGet;
Hash.prototype.has = hashHas;
Hash.prototype.set = hashSet;

/**
 * Removes all key-value entries from the list cache.
 *
 * @private
 * @name clear
 * @memberOf ListCache
 */
function listCacheClear() {
  this.__data__ = [];
  this.size = 0;
}

/**
 * Gets the index at which the `key` is found in `array` of key-value pairs.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} key The key to search for.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}

/** Used for built-in method references. */
var arrayProto = Array.prototype;

/** Built-in value references. */
var splice = arrayProto.splice;

/**
 * Removes `key` and its value from the list cache.
 *
 * @private
 * @name delete
 * @memberOf ListCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function listCacheDelete(key) {
  var data = this.__data__,
      index = assocIndexOf(data, key);

  if (index < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index, 1);
  }
  --this.size;
  return true;
}

/**
 * Gets the list cache value for `key`.
 *
 * @private
 * @name get
 * @memberOf ListCache
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function listCacheGet(key) {
  var data = this.__data__,
      index = assocIndexOf(data, key);

  return index < 0 ? undefined : data[index][1];
}

/**
 * Checks if a list cache value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf ListCache
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function listCacheHas(key) {
  return assocIndexOf(this.__data__, key) > -1;
}

/**
 * Sets the list cache `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf ListCache
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the list cache instance.
 */
function listCacheSet(key, value) {
  var data = this.__data__,
      index = assocIndexOf(data, key);

  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}

/**
 * Creates an list cache object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function ListCache(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `ListCache`.
ListCache.prototype.clear = listCacheClear;
ListCache.prototype['delete'] = listCacheDelete;
ListCache.prototype.get = listCacheGet;
ListCache.prototype.has = listCacheHas;
ListCache.prototype.set = listCacheSet;

/* Built-in method references that are verified to be native. */
var Map = getNative(root, 'Map');

/**
 * Removes all key-value entries from the map.
 *
 * @private
 * @name clear
 * @memberOf MapCache
 */
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    'hash': new Hash,
    'map': new (Map || ListCache),
    'string': new Hash
  };
}

/**
 * Checks if `value` is suitable for use as unique object key.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
 */
function isKeyable(value) {
  var type = typeof value;
  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
    ? (value !== '__proto__')
    : (value === null);
}

/**
 * Gets the data for `map`.
 *
 * @private
 * @param {Object} map The map to query.
 * @param {string} key The reference key.
 * @returns {*} Returns the map data.
 */
function getMapData(map, key) {
  var data = map.__data__;
  return isKeyable(key)
    ? data[typeof key == 'string' ? 'string' : 'hash']
    : data.map;
}

/**
 * Removes `key` and its value from the map.
 *
 * @private
 * @name delete
 * @memberOf MapCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function mapCacheDelete(key) {
  var result = getMapData(this, key)['delete'](key);
  this.size -= result ? 1 : 0;
  return result;
}

/**
 * Gets the map value for `key`.
 *
 * @private
 * @name get
 * @memberOf MapCache
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function mapCacheGet(key) {
  return getMapData(this, key).get(key);
}

/**
 * Checks if a map value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf MapCache
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function mapCacheHas(key) {
  return getMapData(this, key).has(key);
}

/**
 * Sets the map `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf MapCache
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the map cache instance.
 */
function mapCacheSet(key, value) {
  var data = getMapData(this, key),
      size = data.size;

  data.set(key, value);
  this.size += data.size == size ? 0 : 1;
  return this;
}

/**
 * Creates a map cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function MapCache(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `MapCache`.
MapCache.prototype.clear = mapCacheClear;
MapCache.prototype['delete'] = mapCacheDelete;
MapCache.prototype.get = mapCacheGet;
MapCache.prototype.has = mapCacheHas;
MapCache.prototype.set = mapCacheSet;

/** Error message constants. */
var FUNC_ERROR_TEXT$2 = 'Expected a function';

/**
 * Creates a function that memoizes the result of `func`. If `resolver` is
 * provided, it determines the cache key for storing the result based on the
 * arguments provided to the memoized function. By default, the first argument
 * provided to the memoized function is used as the map cache key. The `func`
 * is invoked with the `this` binding of the memoized function.
 *
 * **Note:** The cache is exposed as the `cache` property on the memoized
 * function. Its creation may be customized by replacing the `_.memoize.Cache`
 * constructor with one whose instances implement the
 * [`Map`](http://ecma-international.org/ecma-262/7.0/#sec-properties-of-the-map-prototype-object)
 * method interface of `clear`, `delete`, `get`, `has`, and `set`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to have its output memoized.
 * @param {Function} [resolver] The function to resolve the cache key.
 * @returns {Function} Returns the new memoized function.
 * @example
 *
 * var object = { 'a': 1, 'b': 2 };
 * var other = { 'c': 3, 'd': 4 };
 *
 * var values = _.memoize(_.values);
 * values(object);
 * // => [1, 2]
 *
 * values(other);
 * // => [3, 4]
 *
 * object.a = 2;
 * values(object);
 * // => [1, 2]
 *
 * // Modify the result cache.
 * values.cache.set(object, ['a', 'b']);
 * values(object);
 * // => ['a', 'b']
 *
 * // Replace `_.memoize.Cache`.
 * _.memoize.Cache = WeakMap;
 */
function memoize(func, resolver) {
  if (typeof func != 'function' || (resolver != null && typeof resolver != 'function')) {
    throw new TypeError(FUNC_ERROR_TEXT$2);
  }
  var memoized = function() {
    var args = arguments,
        key = resolver ? resolver.apply(this, args) : args[0],
        cache = memoized.cache;

    if (cache.has(key)) {
      return cache.get(key);
    }
    var result = func.apply(this, args);
    memoized.cache = cache.set(key, result) || cache;
    return result;
  };
  memoized.cache = new (memoize.Cache || MapCache);
  return memoized;
}

// Expose `MapCache`.
memoize.Cache = MapCache;

/** Used as the maximum memoize cache size. */
var MAX_MEMOIZE_SIZE = 500;

/**
 * A specialized version of `_.memoize` which clears the memoized function's
 * cache when it exceeds `MAX_MEMOIZE_SIZE`.
 *
 * @private
 * @param {Function} func The function to have its output memoized.
 * @returns {Function} Returns the new memoized function.
 */
function memoizeCapped(func) {
  var result = memoize(func, function(key) {
    if (cache.size === MAX_MEMOIZE_SIZE) {
      cache.clear();
    }
    return key;
  });

  var cache = result.cache;
  return result;
}

/** Used to match property names within property paths. */
var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;

/** Used to match backslashes in property paths. */
var reEscapeChar = /\\(\\)?/g;

/**
 * Converts `string` to a property path array.
 *
 * @private
 * @param {string} string The string to convert.
 * @returns {Array} Returns the property path array.
 */
var stringToPath = memoizeCapped(function(string) {
  var result = [];
  if (string.charCodeAt(0) === 46 /* . */) {
    result.push('');
  }
  string.replace(rePropName, function(match, number, quote, subString) {
    result.push(quote ? subString.replace(reEscapeChar, '$1') : (number || match));
  });
  return result;
});

/**
 * Converts `value` to a string. An empty string is returned for `null`
 * and `undefined` values. The sign of `-0` is preserved.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {string} Returns the converted string.
 * @example
 *
 * _.toString(null);
 * // => ''
 *
 * _.toString(-0);
 * // => '-0'
 *
 * _.toString([1, 2, 3]);
 * // => '1,2,3'
 */
function toString(value) {
  return value == null ? '' : baseToString(value);
}

/**
 * Casts `value` to a path array if it's not one.
 *
 * @private
 * @param {*} value The value to inspect.
 * @param {Object} [object] The object to query keys on.
 * @returns {Array} Returns the cast property path array.
 */
function castPath(value, object) {
  if (isArray(value)) {
    return value;
  }
  return isKey(value, object) ? [value] : stringToPath(toString(value));
}

/** Used as references for various `Number` constants. */
var INFINITY$2 = 1 / 0;

/**
 * Converts `value` to a string key if it's not a string or symbol.
 *
 * @private
 * @param {*} value The value to inspect.
 * @returns {string|symbol} Returns the key.
 */
function toKey(value) {
  if (typeof value == 'string' || isSymbol(value)) {
    return value;
  }
  var result = (value + '');
  return (result == '0' && (1 / value) == -INFINITY$2) ? '-0' : result;
}

/**
 * The base implementation of `_.get` without support for default values.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the property to get.
 * @returns {*} Returns the resolved value.
 */
function baseGet(object, path) {
  path = castPath(path, object);

  var index = 0,
      length = path.length;

  while (object != null && index < length) {
    object = object[toKey(path[index++])];
  }
  return (index && index == length) ? object : undefined;
}

/**
 * Gets the value at `path` of `object`. If the resolved value is
 * `undefined`, the `defaultValue` is returned in its place.
 *
 * @static
 * @memberOf _
 * @since 3.7.0
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the property to get.
 * @param {*} [defaultValue] The value returned for `undefined` resolved values.
 * @returns {*} Returns the resolved value.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 3 } }] };
 *
 * _.get(object, 'a[0].b.c');
 * // => 3
 *
 * _.get(object, ['a', '0', 'b', 'c']);
 * // => 3
 *
 * _.get(object, 'a.b.c', 'default');
 * // => 'default'
 */
function get(object, path, defaultValue) {
  var result = object == null ? undefined : baseGet(object, path);
  return result === undefined ? defaultValue : result;
}

/**
 * The base implementation of `_.at` without support for individual paths.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {string[]} paths The property paths to pick.
 * @returns {Array} Returns the picked elements.
 */
function baseAt(object, paths) {
  var index = -1,
      length = paths.length,
      result = Array(length),
      skip = object == null;

  while (++index < length) {
    result[index] = skip ? undefined : get(object, paths[index]);
  }
  return result;
}

/**
 * Appends the elements of `values` to `array`.
 *
 * @private
 * @param {Array} array The array to modify.
 * @param {Array} values The values to append.
 * @returns {Array} Returns `array`.
 */
function arrayPush(array, values) {
  var index = -1,
      length = values.length,
      offset = array.length;

  while (++index < length) {
    array[offset + index] = values[index];
  }
  return array;
}

/** Built-in value references. */
var spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined;

/**
 * Checks if `value` is a flattenable `arguments` object or array.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
 */
function isFlattenable(value) {
  return isArray(value) || isArguments(value) ||
    !!(spreadableSymbol && value && value[spreadableSymbol]);
}

/**
 * The base implementation of `_.flatten` with support for restricting flattening.
 *
 * @private
 * @param {Array} array The array to flatten.
 * @param {number} depth The maximum recursion depth.
 * @param {boolean} [predicate=isFlattenable] The function invoked per iteration.
 * @param {boolean} [isStrict] Restrict to values that pass `predicate` checks.
 * @param {Array} [result=[]] The initial result value.
 * @returns {Array} Returns the new flattened array.
 */
function baseFlatten(array, depth, predicate, isStrict, result) {
  var index = -1,
      length = array.length;

  predicate || (predicate = isFlattenable);
  result || (result = []);

  while (++index < length) {
    var value = array[index];
    if (depth > 0 && predicate(value)) {
      if (depth > 1) {
        // Recursively flatten arrays (susceptible to call stack limits).
        baseFlatten(value, depth - 1, predicate, isStrict, result);
      } else {
        arrayPush(result, value);
      }
    } else if (!isStrict) {
      result[result.length] = value;
    }
  }
  return result;
}

/**
 * Flattens `array` a single level deep.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to flatten.
 * @returns {Array} Returns the new flattened array.
 * @example
 *
 * _.flatten([1, [2, [3, [4]], 5]]);
 * // => [1, 2, [3, [4]], 5]
 */
function flatten(array) {
  var length = array == null ? 0 : array.length;
  return length ? baseFlatten(array, 1) : [];
}

/**
 * A specialized version of `baseRest` which flattens the rest array.
 *
 * @private
 * @param {Function} func The function to apply a rest parameter to.
 * @returns {Function} Returns the new function.
 */
function flatRest(func) {
  return setToString(overRest(func, undefined, flatten), func + '');
}

/**
 * Creates an array of values corresponding to `paths` of `object`.
 *
 * @static
 * @memberOf _
 * @since 1.0.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {...(string|string[])} [paths] The property paths to pick.
 * @returns {Array} Returns the picked values.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
 *
 * _.at(object, ['a[0].b.c', 'a[1]']);
 * // => [3, 4]
 */
var at = flatRest(baseAt);

/** Built-in value references. */
var getPrototype = overArg(Object.getPrototypeOf, Object);

/** `Object#toString` result references. */
var objectTag$1 = '[object Object]';

/** Used for built-in method references. */
var funcProto$2 = Function.prototype,
    objectProto$e = Object.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString$2 = funcProto$2.toString;

/** Used to check objects for own properties. */
var hasOwnProperty$c = objectProto$e.hasOwnProperty;

/** Used to infer the `Object` constructor. */
var objectCtorString = funcToString$2.call(Object);

/**
 * Checks if `value` is a plain object, that is, an object created by the
 * `Object` constructor or one with a `[[Prototype]]` of `null`.
 *
 * @static
 * @memberOf _
 * @since 0.8.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a plain object, else `false`.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 * }
 *
 * _.isPlainObject(new Foo);
 * // => false
 *
 * _.isPlainObject([1, 2, 3]);
 * // => false
 *
 * _.isPlainObject({ 'x': 0, 'y': 0 });
 * // => true
 *
 * _.isPlainObject(Object.create(null));
 * // => true
 */
function isPlainObject(value) {
  if (!isObjectLike(value) || baseGetTag(value) != objectTag$1) {
    return false;
  }
  var proto = getPrototype(value);
  if (proto === null) {
    return true;
  }
  var Ctor = hasOwnProperty$c.call(proto, 'constructor') && proto.constructor;
  return typeof Ctor == 'function' && Ctor instanceof Ctor &&
    funcToString$2.call(Ctor) == objectCtorString;
}

/** `Object#toString` result references. */
var domExcTag = '[object DOMException]',
    errorTag$1 = '[object Error]';

/**
 * Checks if `value` is an `Error`, `EvalError`, `RangeError`, `ReferenceError`,
 * `SyntaxError`, `TypeError`, or `URIError` object.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an error object, else `false`.
 * @example
 *
 * _.isError(new Error);
 * // => true
 *
 * _.isError(Error);
 * // => false
 */
function isError(value) {
  if (!isObjectLike(value)) {
    return false;
  }
  var tag = baseGetTag(value);
  return tag == errorTag$1 || tag == domExcTag ||
    (typeof value.message == 'string' && typeof value.name == 'string' && !isPlainObject(value));
}

/**
 * Attempts to invoke `func`, returning either the result or the caught error
 * object. Any additional arguments are provided to `func` when it's invoked.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Util
 * @param {Function} func The function to attempt.
 * @param {...*} [args] The arguments to invoke `func` with.
 * @returns {*} Returns the `func` result or error object.
 * @example
 *
 * // Avoid throwing errors for invalid selectors.
 * var elements = _.attempt(function(selector) {
 *   return document.querySelectorAll(selector);
 * }, '>_>');
 *
 * if (_.isError(elements)) {
 *   elements = [];
 * }
 */
var attempt = baseRest(function(func, args) {
  try {
    return apply(func, undefined, args);
  } catch (e) {
    return isError(e) ? e : new Error(e);
  }
});

/** Error message constants. */
var FUNC_ERROR_TEXT$3 = 'Expected a function';

/**
 * Creates a function that invokes `func`, with the `this` binding and arguments
 * of the created function, while it's called less than `n` times. Subsequent
 * calls to the created function return the result of the last `func` invocation.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Function
 * @param {number} n The number of calls at which `func` is no longer invoked.
 * @param {Function} func The function to restrict.
 * @returns {Function} Returns the new restricted function.
 * @example
 *
 * jQuery(element).on('click', _.before(5, addContactToList));
 * // => Allows adding up to 4 contacts to the list.
 */
function before(n, func) {
  var result;
  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$3);
  }
  n = toInteger(n);
  return function() {
    if (--n > 0) {
      result = func.apply(this, arguments);
    }
    if (n <= 1) {
      func = undefined;
    }
    return result;
  };
}

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$7 = 1,
    WRAP_PARTIAL_FLAG$3 = 32;

/**
 * Creates a function that invokes `func` with the `this` binding of `thisArg`
 * and `partials` prepended to the arguments it receives.
 *
 * The `_.bind.placeholder` value, which defaults to `_` in monolithic builds,
 * may be used as a placeholder for partially applied arguments.
 *
 * **Note:** Unlike native `Function#bind`, this method doesn't set the "length"
 * property of bound functions.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to bind.
 * @param {*} thisArg The `this` binding of `func`.
 * @param {...*} [partials] The arguments to be partially applied.
 * @returns {Function} Returns the new bound function.
 * @example
 *
 * function greet(greeting, punctuation) {
 *   return greeting + ' ' + this.user + punctuation;
 * }
 *
 * var object = { 'user': 'fred' };
 *
 * var bound = _.bind(greet, object, 'hi');
 * bound('!');
 * // => 'hi fred!'
 *
 * // Bound with placeholders.
 * var bound = _.bind(greet, object, _, '!');
 * bound('hi');
 * // => 'hi fred!'
 */
var bind = baseRest(function(func, thisArg, partials) {
  var bitmask = WRAP_BIND_FLAG$7;
  if (partials.length) {
    var holders = replaceHolders(partials, getHolder(bind));
    bitmask |= WRAP_PARTIAL_FLAG$3;
  }
  return createWrap(func, bitmask, thisArg, partials, holders);
});

// Assign default placeholders.
bind.placeholder = {};

/**
 * Binds methods of an object to the object itself, overwriting the existing
 * method.
 *
 * **Note:** This method doesn't set the "length" property of bound functions.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Util
 * @param {Object} object The object to bind and assign the bound methods to.
 * @param {...(string|string[])} methodNames The object method names to bind.
 * @returns {Object} Returns `object`.
 * @example
 *
 * var view = {
 *   'label': 'docs',
 *   'click': function() {
 *     console.log('clicked ' + this.label);
 *   }
 * };
 *
 * _.bindAll(view, ['click']);
 * jQuery(element).on('click', view.click);
 * // => Logs 'clicked docs' when clicked.
 */
var bindAll = flatRest(function(object, methodNames) {
  arrayEach(methodNames, function(key) {
    key = toKey(key);
    baseAssignValue(object, key, bind(object[key], object));
  });
  return object;
});

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_FLAG$8 = 1,
    WRAP_BIND_KEY_FLAG$5 = 2,
    WRAP_PARTIAL_FLAG$4 = 32;

/**
 * Creates a function that invokes the method at `object[key]` with `partials`
 * prepended to the arguments it receives.
 *
 * This method differs from `_.bind` by allowing bound functions to reference
 * methods that may be redefined or don't yet exist. See
 * [Peter Michaux's article](http://peter.michaux.ca/articles/lazy-function-definition-pattern)
 * for more details.
 *
 * The `_.bindKey.placeholder` value, which defaults to `_` in monolithic
 * builds, may be used as a placeholder for partially applied arguments.
 *
 * @static
 * @memberOf _
 * @since 0.10.0
 * @category Function
 * @param {Object} object The object to invoke the method on.
 * @param {string} key The key of the method.
 * @param {...*} [partials] The arguments to be partially applied.
 * @returns {Function} Returns the new bound function.
 * @example
 *
 * var object = {
 *   'user': 'fred',
 *   'greet': function(greeting, punctuation) {
 *     return greeting + ' ' + this.user + punctuation;
 *   }
 * };
 *
 * var bound = _.bindKey(object, 'greet', 'hi');
 * bound('!');
 * // => 'hi fred!'
 *
 * object.greet = function(greeting, punctuation) {
 *   return greeting + 'ya ' + this.user + punctuation;
 * };
 *
 * bound('!');
 * // => 'hiya fred!'
 *
 * // Bound with placeholders.
 * var bound = _.bindKey(object, 'greet', _, '!');
 * bound('hi');
 * // => 'hiya fred!'
 */
var bindKey = baseRest(function(object, key, partials) {
  var bitmask = WRAP_BIND_FLAG$8 | WRAP_BIND_KEY_FLAG$5;
  if (partials.length) {
    var holders = replaceHolders(partials, getHolder(bindKey));
    bitmask |= WRAP_PARTIAL_FLAG$4;
  }
  return createWrap(key, bitmask, object, partials, holders);
});

// Assign default placeholders.
bindKey.placeholder = {};

/**
 * The base implementation of `_.slice` without an iteratee call guard.
 *
 * @private
 * @param {Array} array The array to slice.
 * @param {number} [start=0] The start position.
 * @param {number} [end=array.length] The end position.
 * @returns {Array} Returns the slice of `array`.
 */
function baseSlice(array, start, end) {
  var index = -1,
      length = array.length;

  if (start < 0) {
    start = -start > length ? 0 : (length + start);
  }
  end = end > length ? length : end;
  if (end < 0) {
    end += length;
  }
  length = start > end ? 0 : ((end - start) >>> 0);
  start >>>= 0;

  var result = Array(length);
  while (++index < length) {
    result[index] = array[index + start];
  }
  return result;
}

/**
 * Casts `array` to a slice if it's needed.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {number} start The start position.
 * @param {number} [end=array.length] The end position.
 * @returns {Array} Returns the cast slice.
 */
function castSlice(array, start, end) {
  var length = array.length;
  end = end === undefined ? length : end;
  return (!start && end >= length) ? array : baseSlice(array, start, end);
}

/** Used to compose unicode character classes. */
var rsAstralRange = '\\ud800-\\udfff',
    rsComboMarksRange = '\\u0300-\\u036f',
    reComboHalfMarksRange = '\\ufe20-\\ufe2f',
    rsComboSymbolsRange = '\\u20d0-\\u20ff',
    rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange,
    rsVarRange = '\\ufe0e\\ufe0f';

/** Used to compose unicode capture groups. */
var rsZWJ = '\\u200d';

/** Used to detect strings with [zero-width joiners or code points from the astral planes](http://eev.ee/blog/2015/09/12/dark-corners-of-unicode/). */
var reHasUnicode = RegExp('[' + rsZWJ + rsAstralRange  + rsComboRange + rsVarRange + ']');

/**
 * Checks if `string` contains Unicode symbols.
 *
 * @private
 * @param {string} string The string to inspect.
 * @returns {boolean} Returns `true` if a symbol is found, else `false`.
 */
function hasUnicode(string) {
  return reHasUnicode.test(string);
}

/**
 * Converts an ASCII `string` to an array.
 *
 * @private
 * @param {string} string The string to convert.
 * @returns {Array} Returns the converted array.
 */
function asciiToArray(string) {
  return string.split('');
}

/** Used to compose unicode character classes. */
var rsAstralRange$1 = '\\ud800-\\udfff',
    rsComboMarksRange$1 = '\\u0300-\\u036f',
    reComboHalfMarksRange$1 = '\\ufe20-\\ufe2f',
    rsComboSymbolsRange$1 = '\\u20d0-\\u20ff',
    rsComboRange$1 = rsComboMarksRange$1 + reComboHalfMarksRange$1 + rsComboSymbolsRange$1,
    rsVarRange$1 = '\\ufe0e\\ufe0f';

/** Used to compose unicode capture groups. */
var rsAstral = '[' + rsAstralRange$1 + ']',
    rsCombo = '[' + rsComboRange$1 + ']',
    rsFitz = '\\ud83c[\\udffb-\\udfff]',
    rsModifier = '(?:' + rsCombo + '|' + rsFitz + ')',
    rsNonAstral = '[^' + rsAstralRange$1 + ']',
    rsRegional = '(?:\\ud83c[\\udde6-\\uddff]){2}',
    rsSurrPair = '[\\ud800-\\udbff][\\udc00-\\udfff]',
    rsZWJ$1 = '\\u200d';

/** Used to compose unicode regexes. */
var reOptMod = rsModifier + '?',
    rsOptVar = '[' + rsVarRange$1 + ']?',
    rsOptJoin = '(?:' + rsZWJ$1 + '(?:' + [rsNonAstral, rsRegional, rsSurrPair].join('|') + ')' + rsOptVar + reOptMod + ')*',
    rsSeq = rsOptVar + reOptMod + rsOptJoin,
    rsSymbol = '(?:' + [rsNonAstral + rsCombo + '?', rsCombo, rsRegional, rsSurrPair, rsAstral].join('|') + ')';

/** Used to match [string symbols](https://mathiasbynens.be/notes/javascript-unicode). */
var reUnicode = RegExp(rsFitz + '(?=' + rsFitz + ')|' + rsSymbol + rsSeq, 'g');

/**
 * Converts a Unicode `string` to an array.
 *
 * @private
 * @param {string} string The string to convert.
 * @returns {Array} Returns the converted array.
 */
function unicodeToArray(string) {
  return string.match(reUnicode) || [];
}

/**
 * Converts `string` to an array.
 *
 * @private
 * @param {string} string The string to convert.
 * @returns {Array} Returns the converted array.
 */
function stringToArray(string) {
  return hasUnicode(string)
    ? unicodeToArray(string)
    : asciiToArray(string);
}

/**
 * Creates a function like `_.lowerFirst`.
 *
 * @private
 * @param {string} methodName The name of the `String` case method to use.
 * @returns {Function} Returns the new case function.
 */
function createCaseFirst(methodName) {
  return function(string) {
    string = toString(string);

    var strSymbols = hasUnicode(string)
      ? stringToArray(string)
      : undefined;

    var chr = strSymbols
      ? strSymbols[0]
      : string.charAt(0);

    var trailing = strSymbols
      ? castSlice(strSymbols, 1).join('')
      : string.slice(1);

    return chr[methodName]() + trailing;
  };
}

/**
 * Converts the first character of `string` to upper case.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the converted string.
 * @example
 *
 * _.upperFirst('fred');
 * // => 'Fred'
 *
 * _.upperFirst('FRED');
 * // => 'FRED'
 */
var upperFirst = createCaseFirst('toUpperCase');

/**
 * Converts the first character of `string` to upper case and the remaining
 * to lower case.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to capitalize.
 * @returns {string} Returns the capitalized string.
 * @example
 *
 * _.capitalize('FRED');
 * // => 'Fred'
 */
function capitalize(string) {
  return upperFirst(toString(string).toLowerCase());
}

/**
 * A specialized version of `_.reduce` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @param {*} [accumulator] The initial value.
 * @param {boolean} [initAccum] Specify using the first element of `array` as
 *  the initial value.
 * @returns {*} Returns the accumulated value.
 */
function arrayReduce(array, iteratee, accumulator, initAccum) {
  var index = -1,
      length = array == null ? 0 : array.length;

  if (initAccum && length) {
    accumulator = array[++index];
  }
  while (++index < length) {
    accumulator = iteratee(accumulator, array[index], index, array);
  }
  return accumulator;
}

/**
 * The base implementation of `_.propertyOf` without support for deep paths.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Function} Returns the new accessor function.
 */
function basePropertyOf(object) {
  return function(key) {
    return object == null ? undefined : object[key];
  };
}

/** Used to map Latin Unicode letters to basic Latin letters. */
var deburredLetters = {
  // Latin-1 Supplement block.
  '\xc0': 'A',  '\xc1': 'A', '\xc2': 'A', '\xc3': 'A', '\xc4': 'A', '\xc5': 'A',
  '\xe0': 'a',  '\xe1': 'a', '\xe2': 'a', '\xe3': 'a', '\xe4': 'a', '\xe5': 'a',
  '\xc7': 'C',  '\xe7': 'c',
  '\xd0': 'D',  '\xf0': 'd',
  '\xc8': 'E',  '\xc9': 'E', '\xca': 'E', '\xcb': 'E',
  '\xe8': 'e',  '\xe9': 'e', '\xea': 'e', '\xeb': 'e',
  '\xcc': 'I',  '\xcd': 'I', '\xce': 'I', '\xcf': 'I',
  '\xec': 'i',  '\xed': 'i', '\xee': 'i', '\xef': 'i',
  '\xd1': 'N',  '\xf1': 'n',
  '\xd2': 'O',  '\xd3': 'O', '\xd4': 'O', '\xd5': 'O', '\xd6': 'O', '\xd8': 'O',
  '\xf2': 'o',  '\xf3': 'o', '\xf4': 'o', '\xf5': 'o', '\xf6': 'o', '\xf8': 'o',
  '\xd9': 'U',  '\xda': 'U', '\xdb': 'U', '\xdc': 'U',
  '\xf9': 'u',  '\xfa': 'u', '\xfb': 'u', '\xfc': 'u',
  '\xdd': 'Y',  '\xfd': 'y', '\xff': 'y',
  '\xc6': 'Ae', '\xe6': 'ae',
  '\xde': 'Th', '\xfe': 'th',
  '\xdf': 'ss',
  // Latin Extended-A block.
  '\u0100': 'A',  '\u0102': 'A', '\u0104': 'A',
  '\u0101': 'a',  '\u0103': 'a', '\u0105': 'a',
  '\u0106': 'C',  '\u0108': 'C', '\u010a': 'C', '\u010c': 'C',
  '\u0107': 'c',  '\u0109': 'c', '\u010b': 'c', '\u010d': 'c',
  '\u010e': 'D',  '\u0110': 'D', '\u010f': 'd', '\u0111': 'd',
  '\u0112': 'E',  '\u0114': 'E', '\u0116': 'E', '\u0118': 'E', '\u011a': 'E',
  '\u0113': 'e',  '\u0115': 'e', '\u0117': 'e', '\u0119': 'e', '\u011b': 'e',
  '\u011c': 'G',  '\u011e': 'G', '\u0120': 'G', '\u0122': 'G',
  '\u011d': 'g',  '\u011f': 'g', '\u0121': 'g', '\u0123': 'g',
  '\u0124': 'H',  '\u0126': 'H', '\u0125': 'h', '\u0127': 'h',
  '\u0128': 'I',  '\u012a': 'I', '\u012c': 'I', '\u012e': 'I', '\u0130': 'I',
  '\u0129': 'i',  '\u012b': 'i', '\u012d': 'i', '\u012f': 'i', '\u0131': 'i',
  '\u0134': 'J',  '\u0135': 'j',
  '\u0136': 'K',  '\u0137': 'k', '\u0138': 'k',
  '\u0139': 'L',  '\u013b': 'L', '\u013d': 'L', '\u013f': 'L', '\u0141': 'L',
  '\u013a': 'l',  '\u013c': 'l', '\u013e': 'l', '\u0140': 'l', '\u0142': 'l',
  '\u0143': 'N',  '\u0145': 'N', '\u0147': 'N', '\u014a': 'N',
  '\u0144': 'n',  '\u0146': 'n', '\u0148': 'n', '\u014b': 'n',
  '\u014c': 'O',  '\u014e': 'O', '\u0150': 'O',
  '\u014d': 'o',  '\u014f': 'o', '\u0151': 'o',
  '\u0154': 'R',  '\u0156': 'R', '\u0158': 'R',
  '\u0155': 'r',  '\u0157': 'r', '\u0159': 'r',
  '\u015a': 'S',  '\u015c': 'S', '\u015e': 'S', '\u0160': 'S',
  '\u015b': 's',  '\u015d': 's', '\u015f': 's', '\u0161': 's',
  '\u0162': 'T',  '\u0164': 'T', '\u0166': 'T',
  '\u0163': 't',  '\u0165': 't', '\u0167': 't',
  '\u0168': 'U',  '\u016a': 'U', '\u016c': 'U', '\u016e': 'U', '\u0170': 'U', '\u0172': 'U',
  '\u0169': 'u',  '\u016b': 'u', '\u016d': 'u', '\u016f': 'u', '\u0171': 'u', '\u0173': 'u',
  '\u0174': 'W',  '\u0175': 'w',
  '\u0176': 'Y',  '\u0177': 'y', '\u0178': 'Y',
  '\u0179': 'Z',  '\u017b': 'Z', '\u017d': 'Z',
  '\u017a': 'z',  '\u017c': 'z', '\u017e': 'z',
  '\u0132': 'IJ', '\u0133': 'ij',
  '\u0152': 'Oe', '\u0153': 'oe',
  '\u0149': "'n", '\u017f': 's'
};

/**
 * Used by `_.deburr` to convert Latin-1 Supplement and Latin Extended-A
 * letters to basic Latin letters.
 *
 * @private
 * @param {string} letter The matched letter to deburr.
 * @returns {string} Returns the deburred letter.
 */
var deburrLetter = basePropertyOf(deburredLetters);

/** Used to match Latin Unicode letters (excluding mathematical operators). */
var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;

/** Used to compose unicode character classes. */
var rsComboMarksRange$2 = '\\u0300-\\u036f',
    reComboHalfMarksRange$2 = '\\ufe20-\\ufe2f',
    rsComboSymbolsRange$2 = '\\u20d0-\\u20ff',
    rsComboRange$2 = rsComboMarksRange$2 + reComboHalfMarksRange$2 + rsComboSymbolsRange$2;

/** Used to compose unicode capture groups. */
var rsCombo$1 = '[' + rsComboRange$2 + ']';

/**
 * Used to match [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks) and
 * [combining diacritical marks for symbols](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks_for_Symbols).
 */
var reComboMark = RegExp(rsCombo$1, 'g');

/**
 * Deburrs `string` by converting
 * [Latin-1 Supplement](https://en.wikipedia.org/wiki/Latin-1_Supplement_(Unicode_block)#Character_table)
 * and [Latin Extended-A](https://en.wikipedia.org/wiki/Latin_Extended-A)
 * letters to basic Latin letters and removing
 * [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to deburr.
 * @returns {string} Returns the deburred string.
 * @example
 *
 * _.deburr('déjà vu');
 * // => 'deja vu'
 */
function deburr(string) {
  string = toString(string);
  return string && string.replace(reLatin, deburrLetter).replace(reComboMark, '');
}

/** Used to match words composed of alphanumeric characters. */
var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;

/**
 * Splits an ASCII `string` into an array of its words.
 *
 * @private
 * @param {string} The string to inspect.
 * @returns {Array} Returns the words of `string`.
 */
function asciiWords(string) {
  return string.match(reAsciiWord) || [];
}

/** Used to detect strings that need a more robust regexp to match words. */
var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;

/**
 * Checks if `string` contains a word composed of Unicode symbols.
 *
 * @private
 * @param {string} string The string to inspect.
 * @returns {boolean} Returns `true` if a word is found, else `false`.
 */
function hasUnicodeWord(string) {
  return reHasUnicodeWord.test(string);
}

/** Used to compose unicode character classes. */
var rsAstralRange$2 = '\\ud800-\\udfff',
    rsComboMarksRange$3 = '\\u0300-\\u036f',
    reComboHalfMarksRange$3 = '\\ufe20-\\ufe2f',
    rsComboSymbolsRange$3 = '\\u20d0-\\u20ff',
    rsComboRange$3 = rsComboMarksRange$3 + reComboHalfMarksRange$3 + rsComboSymbolsRange$3,
    rsDingbatRange = '\\u2700-\\u27bf',
    rsLowerRange = 'a-z\\xdf-\\xf6\\xf8-\\xff',
    rsMathOpRange = '\\xac\\xb1\\xd7\\xf7',
    rsNonCharRange = '\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf',
    rsPunctuationRange = '\\u2000-\\u206f',
    rsSpaceRange = ' \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000',
    rsUpperRange = 'A-Z\\xc0-\\xd6\\xd8-\\xde',
    rsVarRange$2 = '\\ufe0e\\ufe0f',
    rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;

/** Used to compose unicode capture groups. */
var rsApos = "['\u2019]",
    rsBreak = '[' + rsBreakRange + ']',
    rsCombo$2 = '[' + rsComboRange$3 + ']',
    rsDigits = '\\d+',
    rsDingbat = '[' + rsDingbatRange + ']',
    rsLower = '[' + rsLowerRange + ']',
    rsMisc = '[^' + rsAstralRange$2 + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + ']',
    rsFitz$1 = '\\ud83c[\\udffb-\\udfff]',
    rsModifier$1 = '(?:' + rsCombo$2 + '|' + rsFitz$1 + ')',
    rsNonAstral$1 = '[^' + rsAstralRange$2 + ']',
    rsRegional$1 = '(?:\\ud83c[\\udde6-\\uddff]){2}',
    rsSurrPair$1 = '[\\ud800-\\udbff][\\udc00-\\udfff]',
    rsUpper = '[' + rsUpperRange + ']',
    rsZWJ$2 = '\\u200d';

/** Used to compose unicode regexes. */
var rsMiscLower = '(?:' + rsLower + '|' + rsMisc + ')',
    rsMiscUpper = '(?:' + rsUpper + '|' + rsMisc + ')',
    rsOptContrLower = '(?:' + rsApos + '(?:d|ll|m|re|s|t|ve))?',
    rsOptContrUpper = '(?:' + rsApos + '(?:D|LL|M|RE|S|T|VE))?',
    reOptMod$1 = rsModifier$1 + '?',
    rsOptVar$1 = '[' + rsVarRange$2 + ']?',
    rsOptJoin$1 = '(?:' + rsZWJ$2 + '(?:' + [rsNonAstral$1, rsRegional$1, rsSurrPair$1].join('|') + ')' + rsOptVar$1 + reOptMod$1 + ')*',
    rsOrdLower = '\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])',
    rsOrdUpper = '\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])',
    rsSeq$1 = rsOptVar$1 + reOptMod$1 + rsOptJoin$1,
    rsEmoji = '(?:' + [rsDingbat, rsRegional$1, rsSurrPair$1].join('|') + ')' + rsSeq$1;

/** Used to match complex or compound words. */
var reUnicodeWord = RegExp([
  rsUpper + '?' + rsLower + '+' + rsOptContrLower + '(?=' + [rsBreak, rsUpper, '$'].join('|') + ')',
  rsMiscUpper + '+' + rsOptContrUpper + '(?=' + [rsBreak, rsUpper + rsMiscLower, '$'].join('|') + ')',
  rsUpper + '?' + rsMiscLower + '+' + rsOptContrLower,
  rsUpper + '+' + rsOptContrUpper,
  rsOrdUpper,
  rsOrdLower,
  rsDigits,
  rsEmoji
].join('|'), 'g');

/**
 * Splits a Unicode `string` into an array of its words.
 *
 * @private
 * @param {string} The string to inspect.
 * @returns {Array} Returns the words of `string`.
 */
function unicodeWords(string) {
  return string.match(reUnicodeWord) || [];
}

/**
 * Splits `string` into an array of its words.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to inspect.
 * @param {RegExp|string} [pattern] The pattern to match words.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the words of `string`.
 * @example
 *
 * _.words('fred, barney, & pebbles');
 * // => ['fred', 'barney', 'pebbles']
 *
 * _.words('fred, barney, & pebbles', /[^, ]+/g);
 * // => ['fred', 'barney', '&', 'pebbles']
 */
function words(string, pattern, guard) {
  string = toString(string);
  pattern = guard ? undefined : pattern;

  if (pattern === undefined) {
    return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
  }
  return string.match(pattern) || [];
}

/** Used to compose unicode capture groups. */
var rsApos$1 = "['\u2019]";

/** Used to match apostrophes. */
var reApos = RegExp(rsApos$1, 'g');

/**
 * Creates a function like `_.camelCase`.
 *
 * @private
 * @param {Function} callback The function to combine each word.
 * @returns {Function} Returns the new compounder function.
 */
function createCompounder(callback) {
  return function(string) {
    return arrayReduce(words(deburr(string).replace(reApos, '')), callback, '');
  };
}

/**
 * Converts `string` to [camel case](https://en.wikipedia.org/wiki/CamelCase).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the camel cased string.
 * @example
 *
 * _.camelCase('Foo Bar');
 * // => 'fooBar'
 *
 * _.camelCase('--foo-bar--');
 * // => 'fooBar'
 *
 * _.camelCase('__FOO_BAR__');
 * // => 'fooBar'
 */
var camelCase = createCompounder(function(result, word, index) {
  word = word.toLowerCase();
  return result + (index ? capitalize(word) : word);
});

/**
 * Casts `value` as an array if it's not one.
 *
 * @static
 * @memberOf _
 * @since 4.4.0
 * @category Lang
 * @param {*} value The value to inspect.
 * @returns {Array} Returns the cast array.
 * @example
 *
 * _.castArray(1);
 * // => [1]
 *
 * _.castArray({ 'a': 1 });
 * // => [{ 'a': 1 }]
 *
 * _.castArray('abc');
 * // => ['abc']
 *
 * _.castArray(null);
 * // => [null]
 *
 * _.castArray(undefined);
 * // => [undefined]
 *
 * _.castArray();
 * // => []
 *
 * var array = [1, 2, 3];
 * console.log(_.castArray(array) === array);
 * // => true
 */
function castArray() {
  if (!arguments.length) {
    return [];
  }
  var value = arguments[0];
  return isArray(value) ? value : [value];
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeIsFinite = root.isFinite,
    nativeMin$2 = Math.min;

/**
 * Creates a function like `_.round`.
 *
 * @private
 * @param {string} methodName The name of the `Math` method to use when rounding.
 * @returns {Function} Returns the new round function.
 */
function createRound(methodName) {
  var func = Math[methodName];
  return function(number, precision) {
    number = toNumber(number);
    precision = precision == null ? 0 : nativeMin$2(toInteger(precision), 292);
    if (precision && nativeIsFinite(number)) {
      // Shift with exponential notation to avoid floating-point issues.
      // See [MDN](https://mdn.io/round#Examples) for more details.
      var pair = (toString(number) + 'e').split('e'),
          value = func(pair[0] + 'e' + (+pair[1] + precision));

      pair = (toString(value) + 'e').split('e');
      return +(pair[0] + 'e' + (+pair[1] - precision));
    }
    return func(number);
  };
}

/**
 * Computes `number` rounded up to `precision`.
 *
 * @static
 * @memberOf _
 * @since 3.10.0
 * @category Math
 * @param {number} number The number to round up.
 * @param {number} [precision=0] The precision to round up to.
 * @returns {number} Returns the rounded up number.
 * @example
 *
 * _.ceil(4.006);
 * // => 5
 *
 * _.ceil(6.004, 2);
 * // => 6.01
 *
 * _.ceil(6040, -2);
 * // => 6100
 */
var ceil = createRound('ceil');

/**
 * Creates a `lodash` wrapper instance that wraps `value` with explicit method
 * chain sequences enabled. The result of such sequences must be unwrapped
 * with `_#value`.
 *
 * @static
 * @memberOf _
 * @since 1.3.0
 * @category Seq
 * @param {*} value The value to wrap.
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'age': 36 },
 *   { 'user': 'fred',    'age': 40 },
 *   { 'user': 'pebbles', 'age': 1 }
 * ];
 *
 * var youngest = _
 *   .chain(users)
 *   .sortBy('age')
 *   .map(function(o) {
 *     return o.user + ' is ' + o.age;
 *   })
 *   .head()
 *   .value();
 * // => 'pebbles is 1'
 */
function chain(value) {
  var result = lodash(value);
  result.__chain__ = true;
  return result;
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeCeil = Math.ceil,
    nativeMax$4 = Math.max;

/**
 * Creates an array of elements split into groups the length of `size`.
 * If `array` can't be split evenly, the final chunk will be the remaining
 * elements.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to process.
 * @param {number} [size=1] The length of each chunk
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the new array of chunks.
 * @example
 *
 * _.chunk(['a', 'b', 'c', 'd'], 2);
 * // => [['a', 'b'], ['c', 'd']]
 *
 * _.chunk(['a', 'b', 'c', 'd'], 3);
 * // => [['a', 'b', 'c'], ['d']]
 */
function chunk(array, size, guard) {
  if ((guard ? isIterateeCall(array, size, guard) : size === undefined)) {
    size = 1;
  } else {
    size = nativeMax$4(toInteger(size), 0);
  }
  var length = array == null ? 0 : array.length;
  if (!length || size < 1) {
    return [];
  }
  var index = 0,
      resIndex = 0,
      result = Array(nativeCeil(length / size));

  while (index < length) {
    result[resIndex++] = baseSlice(array, index, (index += size));
  }
  return result;
}

/**
 * The base implementation of `_.clamp` which doesn't coerce arguments.
 *
 * @private
 * @param {number} number The number to clamp.
 * @param {number} [lower] The lower bound.
 * @param {number} upper The upper bound.
 * @returns {number} Returns the clamped number.
 */
function baseClamp(number, lower, upper) {
  if (number === number) {
    if (upper !== undefined) {
      number = number <= upper ? number : upper;
    }
    if (lower !== undefined) {
      number = number >= lower ? number : lower;
    }
  }
  return number;
}

/**
 * Clamps `number` within the inclusive `lower` and `upper` bounds.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Number
 * @param {number} number The number to clamp.
 * @param {number} [lower] The lower bound.
 * @param {number} upper The upper bound.
 * @returns {number} Returns the clamped number.
 * @example
 *
 * _.clamp(-10, -5, 5);
 * // => -5
 *
 * _.clamp(10, -5, 5);
 * // => 5
 */
function clamp(number, lower, upper) {
  if (upper === undefined) {
    upper = lower;
    lower = undefined;
  }
  if (upper !== undefined) {
    upper = toNumber(upper);
    upper = upper === upper ? upper : 0;
  }
  if (lower !== undefined) {
    lower = toNumber(lower);
    lower = lower === lower ? lower : 0;
  }
  return baseClamp(toNumber(number), lower, upper);
}

/**
 * Removes all key-value entries from the stack.
 *
 * @private
 * @name clear
 * @memberOf Stack
 */
function stackClear() {
  this.__data__ = new ListCache;
  this.size = 0;
}

/**
 * Removes `key` and its value from the stack.
 *
 * @private
 * @name delete
 * @memberOf Stack
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function stackDelete(key) {
  var data = this.__data__,
      result = data['delete'](key);

  this.size = data.size;
  return result;
}

/**
 * Gets the stack value for `key`.
 *
 * @private
 * @name get
 * @memberOf Stack
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function stackGet(key) {
  return this.__data__.get(key);
}

/**
 * Checks if a stack value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf Stack
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function stackHas(key) {
  return this.__data__.has(key);
}

/** Used as the size to enable large array optimizations. */
var LARGE_ARRAY_SIZE = 200;

/**
 * Sets the stack `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf Stack
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the stack cache instance.
 */
function stackSet(key, value) {
  var data = this.__data__;
  if (data instanceof ListCache) {
    var pairs = data.__data__;
    if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new MapCache(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}

/**
 * Creates a stack cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function Stack(entries) {
  var data = this.__data__ = new ListCache(entries);
  this.size = data.size;
}

// Add methods to `Stack`.
Stack.prototype.clear = stackClear;
Stack.prototype['delete'] = stackDelete;
Stack.prototype.get = stackGet;
Stack.prototype.has = stackHas;
Stack.prototype.set = stackSet;

/**
 * The base implementation of `_.assign` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssign(object, source) {
  return object && copyObject(source, keys(source), object);
}

/**
 * The base implementation of `_.assignIn` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssignIn(object, source) {
  return object && copyObject(source, keysIn$1(source), object);
}

/** Detect free variable `exports`. */
var freeExports$2 = typeof exports == 'object' && exports && !exports.nodeType && exports;

/** Detect free variable `module`. */
var freeModule$2 = freeExports$2 && typeof module == 'object' && module && !module.nodeType && module;

/** Detect the popular CommonJS extension `module.exports`. */
var moduleExports$2 = freeModule$2 && freeModule$2.exports === freeExports$2;

/** Built-in value references. */
var Buffer$1 = moduleExports$2 ? root.Buffer : undefined,
    allocUnsafe = Buffer$1 ? Buffer$1.allocUnsafe : undefined;

/**
 * Creates a clone of  `buffer`.
 *
 * @private
 * @param {Buffer} buffer The buffer to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Buffer} Returns the cloned buffer.
 */
function cloneBuffer(buffer, isDeep) {
  if (isDeep) {
    return buffer.slice();
  }
  var length = buffer.length,
      result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);

  buffer.copy(result);
  return result;
}

/**
 * A specialized version of `_.filter` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {Array} Returns the new filtered array.
 */
function arrayFilter(array, predicate) {
  var index = -1,
      length = array == null ? 0 : array.length,
      resIndex = 0,
      result = [];

  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}

/**
 * This method returns a new empty array.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {Array} Returns the new empty array.
 * @example
 *
 * var arrays = _.times(2, _.stubArray);
 *
 * console.log(arrays);
 * // => [[], []]
 *
 * console.log(arrays[0] === arrays[1]);
 * // => false
 */
function stubArray() {
  return [];
}

/** Used for built-in method references. */
var objectProto$f = Object.prototype;

/** Built-in value references. */
var propertyIsEnumerable$1 = objectProto$f.propertyIsEnumerable;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeGetSymbols = Object.getOwnPropertySymbols;

/**
 * Creates an array of the own enumerable symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of symbols.
 */
var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return arrayFilter(nativeGetSymbols(object), function(symbol) {
    return propertyIsEnumerable$1.call(object, symbol);
  });
};

/**
 * Copies own symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbols(source, object) {
  return copyObject(source, getSymbols(source), object);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;

/**
 * Creates an array of the own and inherited enumerable symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of symbols.
 */
var getSymbolsIn = !nativeGetSymbols$1 ? stubArray : function(object) {
  var result = [];
  while (object) {
    arrayPush(result, getSymbols(object));
    object = getPrototype(object);
  }
  return result;
};

/**
 * Copies own and inherited symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbolsIn(source, object) {
  return copyObject(source, getSymbolsIn(source), object);
}

/**
 * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
 * `keysFunc` and `symbolsFunc` to get the enumerable property names and
 * symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Function} keysFunc The function to get the keys of `object`.
 * @param {Function} symbolsFunc The function to get the symbols of `object`.
 * @returns {Array} Returns the array of property names and symbols.
 */
function baseGetAllKeys(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
}

/**
 * Creates an array of own enumerable property names and symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names and symbols.
 */
function getAllKeys(object) {
  return baseGetAllKeys(object, keys, getSymbols);
}

/**
 * Creates an array of own and inherited enumerable property names and
 * symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names and symbols.
 */
function getAllKeysIn(object) {
  return baseGetAllKeys(object, keysIn$1, getSymbolsIn);
}

/* Built-in method references that are verified to be native. */
var DataView = getNative(root, 'DataView');

/* Built-in method references that are verified to be native. */
var Promise$1 = getNative(root, 'Promise');

/* Built-in method references that are verified to be native. */
var Set = getNative(root, 'Set');

/** `Object#toString` result references. */
var mapTag$1 = '[object Map]',
    objectTag$2 = '[object Object]',
    promiseTag = '[object Promise]',
    setTag$1 = '[object Set]',
    weakMapTag$1 = '[object WeakMap]';

var dataViewTag$1 = '[object DataView]';

/** Used to detect maps, sets, and weakmaps. */
var dataViewCtorString = toSource(DataView),
    mapCtorString = toSource(Map),
    promiseCtorString = toSource(Promise$1),
    setCtorString = toSource(Set),
    weakMapCtorString = toSource(WeakMap);

/**
 * Gets the `toStringTag` of `value`.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the `toStringTag`.
 */
var getTag = baseGetTag;

// Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag$1) ||
    (Map && getTag(new Map) != mapTag$1) ||
    (Promise$1 && getTag(Promise$1.resolve()) != promiseTag) ||
    (Set && getTag(new Set) != setTag$1) ||
    (WeakMap && getTag(new WeakMap) != weakMapTag$1)) {
  getTag = function(value) {
    var result = baseGetTag(value),
        Ctor = result == objectTag$2 ? value.constructor : undefined,
        ctorString = Ctor ? toSource(Ctor) : '';

    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString: return dataViewTag$1;
        case mapCtorString: return mapTag$1;
        case promiseCtorString: return promiseTag;
        case setCtorString: return setTag$1;
        case weakMapCtorString: return weakMapTag$1;
      }
    }
    return result;
  };
}

const getTag$1 = getTag;

/** Used for built-in method references. */
var objectProto$g = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$d = objectProto$g.hasOwnProperty;

/**
 * Initializes an array clone.
 *
 * @private
 * @param {Array} array The array to clone.
 * @returns {Array} Returns the initialized clone.
 */
function initCloneArray(array) {
  var length = array.length,
      result = new array.constructor(length);

  // Add properties assigned by `RegExp#exec`.
  if (length && typeof array[0] == 'string' && hasOwnProperty$d.call(array, 'index')) {
    result.index = array.index;
    result.input = array.input;
  }
  return result;
}

/** Built-in value references. */
var Uint8Array$1 = root.Uint8Array;

/**
 * Creates a clone of `arrayBuffer`.
 *
 * @private
 * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
 * @returns {ArrayBuffer} Returns the cloned array buffer.
 */
function cloneArrayBuffer(arrayBuffer) {
  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new Uint8Array$1(result).set(new Uint8Array$1(arrayBuffer));
  return result;
}

/**
 * Creates a clone of `dataView`.
 *
 * @private
 * @param {Object} dataView The data view to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the cloned data view.
 */
function cloneDataView(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}

/** Used to match `RegExp` flags from their coerced string values. */
var reFlags = /\w*$/;

/**
 * Creates a clone of `regexp`.
 *
 * @private
 * @param {Object} regexp The regexp to clone.
 * @returns {Object} Returns the cloned regexp.
 */
function cloneRegExp(regexp) {
  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result.lastIndex = regexp.lastIndex;
  return result;
}

/** Used to convert symbols to primitives and strings. */
var symbolProto$1 = Symbol ? Symbol.prototype : undefined,
    symbolValueOf = symbolProto$1 ? symbolProto$1.valueOf : undefined;

/**
 * Creates a clone of the `symbol` object.
 *
 * @private
 * @param {Object} symbol The symbol object to clone.
 * @returns {Object} Returns the cloned symbol object.
 */
function cloneSymbol(symbol) {
  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
}

/**
 * Creates a clone of `typedArray`.
 *
 * @private
 * @param {Object} typedArray The typed array to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the cloned typed array.
 */
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}

/** `Object#toString` result references. */
var boolTag$1 = '[object Boolean]',
    dateTag$1 = '[object Date]',
    mapTag$2 = '[object Map]',
    numberTag$1 = '[object Number]',
    regexpTag$1 = '[object RegExp]',
    setTag$2 = '[object Set]',
    stringTag$1 = '[object String]',
    symbolTag$1 = '[object Symbol]';

var arrayBufferTag$1 = '[object ArrayBuffer]',
    dataViewTag$2 = '[object DataView]',
    float32Tag$1 = '[object Float32Array]',
    float64Tag$1 = '[object Float64Array]',
    int8Tag$1 = '[object Int8Array]',
    int16Tag$1 = '[object Int16Array]',
    int32Tag$1 = '[object Int32Array]',
    uint8Tag$1 = '[object Uint8Array]',
    uint8ClampedTag$1 = '[object Uint8ClampedArray]',
    uint16Tag$1 = '[object Uint16Array]',
    uint32Tag$1 = '[object Uint32Array]';

/**
 * Initializes an object clone based on its `toStringTag`.
 *
 * **Note:** This function only supports cloning values with tags of
 * `Boolean`, `Date`, `Error`, `Map`, `Number`, `RegExp`, `Set`, or `String`.
 *
 * @private
 * @param {Object} object The object to clone.
 * @param {string} tag The `toStringTag` of the object to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneByTag(object, tag, isDeep) {
  var Ctor = object.constructor;
  switch (tag) {
    case arrayBufferTag$1:
      return cloneArrayBuffer(object);

    case boolTag$1:
    case dateTag$1:
      return new Ctor(+object);

    case dataViewTag$2:
      return cloneDataView(object, isDeep);

    case float32Tag$1: case float64Tag$1:
    case int8Tag$1: case int16Tag$1: case int32Tag$1:
    case uint8Tag$1: case uint8ClampedTag$1: case uint16Tag$1: case uint32Tag$1:
      return cloneTypedArray(object, isDeep);

    case mapTag$2:
      return new Ctor;

    case numberTag$1:
    case stringTag$1:
      return new Ctor(object);

    case regexpTag$1:
      return cloneRegExp(object);

    case setTag$2:
      return new Ctor;

    case symbolTag$1:
      return cloneSymbol(object);
  }
}

/**
 * Initializes an object clone.
 *
 * @private
 * @param {Object} object The object to clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneObject(object) {
  return (typeof object.constructor == 'function' && !isPrototype(object))
    ? baseCreate(getPrototype(object))
    : {};
}

/** `Object#toString` result references. */
var mapTag$3 = '[object Map]';

/**
 * The base implementation of `_.isMap` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a map, else `false`.
 */
function baseIsMap(value) {
  return isObjectLike(value) && getTag$1(value) == mapTag$3;
}

/* Node.js helper references. */
var nodeIsMap = nodeUtil && nodeUtil.isMap;

/**
 * Checks if `value` is classified as a `Map` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a map, else `false`.
 * @example
 *
 * _.isMap(new Map);
 * // => true
 *
 * _.isMap(new WeakMap);
 * // => false
 */
var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;

/** `Object#toString` result references. */
var setTag$3 = '[object Set]';

/**
 * The base implementation of `_.isSet` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 */
function baseIsSet(value) {
  return isObjectLike(value) && getTag$1(value) == setTag$3;
}

/* Node.js helper references. */
var nodeIsSet = nodeUtil && nodeUtil.isSet;

/**
 * Checks if `value` is classified as a `Set` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 * @example
 *
 * _.isSet(new Set);
 * // => true
 *
 * _.isSet(new WeakSet);
 * // => false
 */
var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG = 1,
    CLONE_FLAT_FLAG = 2,
    CLONE_SYMBOLS_FLAG = 4;

/** `Object#toString` result references. */
var argsTag$2 = '[object Arguments]',
    arrayTag$1 = '[object Array]',
    boolTag$2 = '[object Boolean]',
    dateTag$2 = '[object Date]',
    errorTag$2 = '[object Error]',
    funcTag$2 = '[object Function]',
    genTag$1 = '[object GeneratorFunction]',
    mapTag$4 = '[object Map]',
    numberTag$2 = '[object Number]',
    objectTag$3 = '[object Object]',
    regexpTag$2 = '[object RegExp]',
    setTag$4 = '[object Set]',
    stringTag$2 = '[object String]',
    symbolTag$2 = '[object Symbol]',
    weakMapTag$2 = '[object WeakMap]';

var arrayBufferTag$2 = '[object ArrayBuffer]',
    dataViewTag$3 = '[object DataView]',
    float32Tag$2 = '[object Float32Array]',
    float64Tag$2 = '[object Float64Array]',
    int8Tag$2 = '[object Int8Array]',
    int16Tag$2 = '[object Int16Array]',
    int32Tag$2 = '[object Int32Array]',
    uint8Tag$2 = '[object Uint8Array]',
    uint8ClampedTag$2 = '[object Uint8ClampedArray]',
    uint16Tag$2 = '[object Uint16Array]',
    uint32Tag$2 = '[object Uint32Array]';

/** Used to identify `toStringTag` values supported by `_.clone`. */
var cloneableTags = {};
cloneableTags[argsTag$2] = cloneableTags[arrayTag$1] =
cloneableTags[arrayBufferTag$2] = cloneableTags[dataViewTag$3] =
cloneableTags[boolTag$2] = cloneableTags[dateTag$2] =
cloneableTags[float32Tag$2] = cloneableTags[float64Tag$2] =
cloneableTags[int8Tag$2] = cloneableTags[int16Tag$2] =
cloneableTags[int32Tag$2] = cloneableTags[mapTag$4] =
cloneableTags[numberTag$2] = cloneableTags[objectTag$3] =
cloneableTags[regexpTag$2] = cloneableTags[setTag$4] =
cloneableTags[stringTag$2] = cloneableTags[symbolTag$2] =
cloneableTags[uint8Tag$2] = cloneableTags[uint8ClampedTag$2] =
cloneableTags[uint16Tag$2] = cloneableTags[uint32Tag$2] = true;
cloneableTags[errorTag$2] = cloneableTags[funcTag$2] =
cloneableTags[weakMapTag$2] = false;

/**
 * The base implementation of `_.clone` and `_.cloneDeep` which tracks
 * traversed objects.
 *
 * @private
 * @param {*} value The value to clone.
 * @param {boolean} bitmask The bitmask flags.
 *  1 - Deep clone
 *  2 - Flatten inherited properties
 *  4 - Clone symbols
 * @param {Function} [customizer] The function to customize cloning.
 * @param {string} [key] The key of `value`.
 * @param {Object} [object] The parent object of `value`.
 * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
 * @returns {*} Returns the cloned value.
 */
function baseClone(value, bitmask, customizer, key, object, stack) {
  var result,
      isDeep = bitmask & CLONE_DEEP_FLAG,
      isFlat = bitmask & CLONE_FLAT_FLAG,
      isFull = bitmask & CLONE_SYMBOLS_FLAG;

  if (customizer) {
    result = object ? customizer(value, key, object, stack) : customizer(value);
  }
  if (result !== undefined) {
    return result;
  }
  if (!isObject(value)) {
    return value;
  }
  var isArr = isArray(value);
  if (isArr) {
    result = initCloneArray(value);
    if (!isDeep) {
      return copyArray(value, result);
    }
  } else {
    var tag = getTag$1(value),
        isFunc = tag == funcTag$2 || tag == genTag$1;

    if (isBuffer(value)) {
      return cloneBuffer(value, isDeep);
    }
    if (tag == objectTag$3 || tag == argsTag$2 || (isFunc && !object)) {
      result = (isFlat || isFunc) ? {} : initCloneObject(value);
      if (!isDeep) {
        return isFlat
          ? copySymbolsIn(value, baseAssignIn(result, value))
          : copySymbols(value, baseAssign(result, value));
      }
    } else {
      if (!cloneableTags[tag]) {
        return object ? value : {};
      }
      result = initCloneByTag(value, tag, isDeep);
    }
  }
  // Check for circular references and return its corresponding clone.
  stack || (stack = new Stack);
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result);

  if (isSet(value)) {
    value.forEach(function(subValue) {
      result.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap(value)) {
    value.forEach(function(subValue, key) {
      result.set(key, baseClone(subValue, bitmask, customizer, key, value, stack));
    });
  }

  var keysFunc = isFull
    ? (isFlat ? getAllKeysIn : getAllKeys)
    : (isFlat ? keysIn : keys);

  var props = isArr ? undefined : keysFunc(value);
  arrayEach(props || value, function(subValue, key) {
    if (props) {
      key = subValue;
      subValue = value[key];
    }
    // Recursively populate clone (susceptible to call stack limits).
    assignValue(result, key, baseClone(subValue, bitmask, customizer, key, value, stack));
  });
  return result;
}

/** Used to compose bitmasks for cloning. */
var CLONE_SYMBOLS_FLAG$1 = 4;

/**
 * Creates a shallow clone of `value`.
 *
 * **Note:** This method is loosely based on the
 * [structured clone algorithm](https://mdn.io/Structured_clone_algorithm)
 * and supports cloning arrays, array buffers, booleans, date objects, maps,
 * numbers, `Object` objects, regexes, sets, strings, symbols, and typed
 * arrays. The own enumerable properties of `arguments` objects are cloned
 * as plain objects. An empty object is returned for uncloneable values such
 * as error objects, functions, DOM nodes, and WeakMaps.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to clone.
 * @returns {*} Returns the cloned value.
 * @see _.cloneDeep
 * @example
 *
 * var objects = [{ 'a': 1 }, { 'b': 2 }];
 *
 * var shallow = _.clone(objects);
 * console.log(shallow[0] === objects[0]);
 * // => true
 */
function clone(value) {
  return baseClone(value, CLONE_SYMBOLS_FLAG$1);
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$1 = 1,
    CLONE_SYMBOLS_FLAG$2 = 4;

/**
 * This method is like `_.clone` except that it recursively clones `value`.
 *
 * @static
 * @memberOf _
 * @since 1.0.0
 * @category Lang
 * @param {*} value The value to recursively clone.
 * @returns {*} Returns the deep cloned value.
 * @see _.clone
 * @example
 *
 * var objects = [{ 'a': 1 }, { 'b': 2 }];
 *
 * var deep = _.cloneDeep(objects);
 * console.log(deep[0] === objects[0]);
 * // => false
 */
function cloneDeep(value) {
  return baseClone(value, CLONE_DEEP_FLAG$1 | CLONE_SYMBOLS_FLAG$2);
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$2 = 1,
    CLONE_SYMBOLS_FLAG$3 = 4;

/**
 * This method is like `_.cloneWith` except that it recursively clones `value`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to recursively clone.
 * @param {Function} [customizer] The function to customize cloning.
 * @returns {*} Returns the deep cloned value.
 * @see _.cloneWith
 * @example
 *
 * function customizer(value) {
 *   if (_.isElement(value)) {
 *     return value.cloneNode(true);
 *   }
 * }
 *
 * var el = _.cloneDeepWith(document.body, customizer);
 *
 * console.log(el === document.body);
 * // => false
 * console.log(el.nodeName);
 * // => 'BODY'
 * console.log(el.childNodes.length);
 * // => 20
 */
function cloneDeepWith(value, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  return baseClone(value, CLONE_DEEP_FLAG$2 | CLONE_SYMBOLS_FLAG$3, customizer);
}

/** Used to compose bitmasks for cloning. */
var CLONE_SYMBOLS_FLAG$4 = 4;

/**
 * This method is like `_.clone` except that it accepts `customizer` which
 * is invoked to produce the cloned value. If `customizer` returns `undefined`,
 * cloning is handled by the method instead. The `customizer` is invoked with
 * up to four arguments; (value [, index|key, object, stack]).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to clone.
 * @param {Function} [customizer] The function to customize cloning.
 * @returns {*} Returns the cloned value.
 * @see _.cloneDeepWith
 * @example
 *
 * function customizer(value) {
 *   if (_.isElement(value)) {
 *     return value.cloneNode(false);
 *   }
 * }
 *
 * var el = _.cloneWith(document.body, customizer);
 *
 * console.log(el === document.body);
 * // => false
 * console.log(el.nodeName);
 * // => 'BODY'
 * console.log(el.childNodes.length);
 * // => 0
 */
function cloneWith(value, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  return baseClone(value, CLONE_SYMBOLS_FLAG$4, customizer);
}

/**
 * Executes the chain sequence and returns the wrapped result.
 *
 * @name commit
 * @memberOf _
 * @since 3.2.0
 * @category Seq
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * var array = [1, 2];
 * var wrapped = _(array).push(3);
 *
 * console.log(array);
 * // => [1, 2]
 *
 * wrapped = wrapped.commit();
 * console.log(array);
 * // => [1, 2, 3]
 *
 * wrapped.last();
 * // => 3
 *
 * console.log(array);
 * // => [1, 2, 3]
 */
function wrapperCommit() {
  return new LodashWrapper(this.value(), this.__chain__);
}

/**
 * Creates an array with all falsey values removed. The values `false`, `null`,
 * `0`, `""`, `undefined`, and `NaN` are falsey.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to compact.
 * @returns {Array} Returns the new array of filtered values.
 * @example
 *
 * _.compact([0, 1, false, 2, '', 3]);
 * // => [1, 2, 3]
 */
function compact(array) {
  var index = -1,
      length = array == null ? 0 : array.length,
      resIndex = 0,
      result = [];

  while (++index < length) {
    var value = array[index];
    if (value) {
      result[resIndex++] = value;
    }
  }
  return result;
}

/**
 * Creates a new array concatenating `array` with any additional arrays
 * and/or values.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to concatenate.
 * @param {...*} [values] The values to concatenate.
 * @returns {Array} Returns the new concatenated array.
 * @example
 *
 * var array = [1];
 * var other = _.concat(array, 2, [3], [[4]]);
 *
 * console.log(other);
 * // => [1, 2, 3, [4]]
 *
 * console.log(array);
 * // => [1]
 */
function concat() {
  var length = arguments.length;
  if (!length) {
    return [];
  }
  var args = Array(length - 1),
      array = arguments[0],
      index = length;

  while (index--) {
    args[index - 1] = arguments[index];
  }
  return arrayPush(isArray(array) ? copyArray(array) : [array], baseFlatten(args, 1));
}

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED$2 = '__lodash_hash_undefined__';

/**
 * Adds `value` to the array cache.
 *
 * @private
 * @name add
 * @memberOf SetCache
 * @alias push
 * @param {*} value The value to cache.
 * @returns {Object} Returns the cache instance.
 */
function setCacheAdd(value) {
  this.__data__.set(value, HASH_UNDEFINED$2);
  return this;
}

/**
 * Checks if `value` is in the array cache.
 *
 * @private
 * @name has
 * @memberOf SetCache
 * @param {*} value The value to search for.
 * @returns {number} Returns `true` if `value` is found, else `false`.
 */
function setCacheHas(value) {
  return this.__data__.has(value);
}

/**
 *
 * Creates an array cache object to store unique values.
 *
 * @private
 * @constructor
 * @param {Array} [values] The values to cache.
 */
function SetCache(values) {
  var index = -1,
      length = values == null ? 0 : values.length;

  this.__data__ = new MapCache;
  while (++index < length) {
    this.add(values[index]);
  }
}

// Add methods to `SetCache`.
SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
SetCache.prototype.has = setCacheHas;

/**
 * A specialized version of `_.some` for arrays without support for iteratee
 * shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {boolean} Returns `true` if any element passes the predicate check,
 *  else `false`.
 */
function arraySome(array, predicate) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    if (predicate(array[index], index, array)) {
      return true;
    }
  }
  return false;
}

/**
 * Checks if a `cache` value for `key` exists.
 *
 * @private
 * @param {Object} cache The cache to query.
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function cacheHas(cache, key) {
  return cache.has(key);
}

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG = 1,
    COMPARE_UNORDERED_FLAG = 2;

/**
 * A specialized version of `baseIsEqualDeep` for arrays with support for
 * partial deep comparisons.
 *
 * @private
 * @param {Array} array The array to compare.
 * @param {Array} other The other array to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} stack Tracks traversed `array` and `other` objects.
 * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
 */
function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
      arrLength = array.length,
      othLength = other.length;

  if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
    return false;
  }
  // Assume cyclic values are equal.
  var stacked = stack.get(array);
  if (stacked && stack.get(other)) {
    return stacked == other;
  }
  var index = -1,
      result = true,
      seen = (bitmask & COMPARE_UNORDERED_FLAG) ? new SetCache : undefined;

  stack.set(array, other);
  stack.set(other, array);

  // Ignore non-index properties.
  while (++index < arrLength) {
    var arrValue = array[index],
        othValue = other[index];

    if (customizer) {
      var compared = isPartial
        ? customizer(othValue, arrValue, index, other, array, stack)
        : customizer(arrValue, othValue, index, array, other, stack);
    }
    if (compared !== undefined) {
      if (compared) {
        continue;
      }
      result = false;
      break;
    }
    // Recursively compare arrays (susceptible to call stack limits).
    if (seen) {
      if (!arraySome(other, function(othValue, othIndex) {
            if (!cacheHas(seen, othIndex) &&
                (arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
              return seen.push(othIndex);
            }
          })) {
        result = false;
        break;
      }
    } else if (!(
          arrValue === othValue ||
            equalFunc(arrValue, othValue, bitmask, customizer, stack)
        )) {
      result = false;
      break;
    }
  }
  stack['delete'](array);
  stack['delete'](other);
  return result;
}

/**
 * Converts `map` to its key-value pairs.
 *
 * @private
 * @param {Object} map The map to convert.
 * @returns {Array} Returns the key-value pairs.
 */
function mapToArray(map) {
  var index = -1,
      result = Array(map.size);

  map.forEach(function(value, key) {
    result[++index] = [key, value];
  });
  return result;
}

/**
 * Converts `set` to an array of its values.
 *
 * @private
 * @param {Object} set The set to convert.
 * @returns {Array} Returns the values.
 */
function setToArray(set) {
  var index = -1,
      result = Array(set.size);

  set.forEach(function(value) {
    result[++index] = value;
  });
  return result;
}

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$1 = 1,
    COMPARE_UNORDERED_FLAG$1 = 2;

/** `Object#toString` result references. */
var boolTag$3 = '[object Boolean]',
    dateTag$3 = '[object Date]',
    errorTag$3 = '[object Error]',
    mapTag$5 = '[object Map]',
    numberTag$3 = '[object Number]',
    regexpTag$3 = '[object RegExp]',
    setTag$5 = '[object Set]',
    stringTag$3 = '[object String]',
    symbolTag$3 = '[object Symbol]';

var arrayBufferTag$3 = '[object ArrayBuffer]',
    dataViewTag$4 = '[object DataView]';

/** Used to convert symbols to primitives and strings. */
var symbolProto$2 = Symbol ? Symbol.prototype : undefined,
    symbolValueOf$1 = symbolProto$2 ? symbolProto$2.valueOf : undefined;

/**
 * A specialized version of `baseIsEqualDeep` for comparing objects of
 * the same `toStringTag`.
 *
 * **Note:** This function only supports comparing values with tags of
 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {string} tag The `toStringTag` of the objects to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} stack Tracks traversed `object` and `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
  switch (tag) {
    case dataViewTag$4:
      if ((object.byteLength != other.byteLength) ||
          (object.byteOffset != other.byteOffset)) {
        return false;
      }
      object = object.buffer;
      other = other.buffer;

    case arrayBufferTag$3:
      if ((object.byteLength != other.byteLength) ||
          !equalFunc(new Uint8Array$1(object), new Uint8Array$1(other))) {
        return false;
      }
      return true;

    case boolTag$3:
    case dateTag$3:
    case numberTag$3:
      // Coerce booleans to `1` or `0` and dates to milliseconds.
      // Invalid dates are coerced to `NaN`.
      return eq(+object, +other);

    case errorTag$3:
      return object.name == other.name && object.message == other.message;

    case regexpTag$3:
    case stringTag$3:
      // Coerce regexes to strings and treat strings, primitives and objects,
      // as equal. See http://www.ecma-international.org/ecma-262/7.0/#sec-regexp.prototype.tostring
      // for more details.
      return object == (other + '');

    case mapTag$5:
      var convert = mapToArray;

    case setTag$5:
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG$1;
      convert || (convert = setToArray);

      if (object.size != other.size && !isPartial) {
        return false;
      }
      // Assume cyclic values are equal.
      var stacked = stack.get(object);
      if (stacked) {
        return stacked == other;
      }
      bitmask |= COMPARE_UNORDERED_FLAG$1;

      // Recursively compare objects (susceptible to call stack limits).
      stack.set(object, other);
      var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
      stack['delete'](object);
      return result;

    case symbolTag$3:
      if (symbolValueOf$1) {
        return symbolValueOf$1.call(object) == symbolValueOf$1.call(other);
      }
  }
  return false;
}

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$2 = 1;

/** Used for built-in method references. */
var objectProto$h = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$e = objectProto$h.hasOwnProperty;

/**
 * A specialized version of `baseIsEqualDeep` for objects with support for
 * partial deep comparisons.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} stack Tracks traversed `object` and `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$2,
      objProps = getAllKeys(object),
      objLength = objProps.length,
      othProps = getAllKeys(other),
      othLength = othProps.length;

  if (objLength != othLength && !isPartial) {
    return false;
  }
  var index = objLength;
  while (index--) {
    var key = objProps[index];
    if (!(isPartial ? key in other : hasOwnProperty$e.call(other, key))) {
      return false;
    }
  }
  // Assume cyclic values are equal.
  var stacked = stack.get(object);
  if (stacked && stack.get(other)) {
    return stacked == other;
  }
  var result = true;
  stack.set(object, other);
  stack.set(other, object);

  var skipCtor = isPartial;
  while (++index < objLength) {
    key = objProps[index];
    var objValue = object[key],
        othValue = other[key];

    if (customizer) {
      var compared = isPartial
        ? customizer(othValue, objValue, key, other, object, stack)
        : customizer(objValue, othValue, key, object, other, stack);
    }
    // Recursively compare objects (susceptible to call stack limits).
    if (!(compared === undefined
          ? (objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack))
          : compared
        )) {
      result = false;
      break;
    }
    skipCtor || (skipCtor = key == 'constructor');
  }
  if (result && !skipCtor) {
    var objCtor = object.constructor,
        othCtor = other.constructor;

    // Non `Object` object instances with different constructors are not equal.
    if (objCtor != othCtor &&
        ('constructor' in object && 'constructor' in other) &&
        !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
          typeof othCtor == 'function' && othCtor instanceof othCtor)) {
      result = false;
    }
  }
  stack['delete'](object);
  stack['delete'](other);
  return result;
}

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$3 = 1;

/** `Object#toString` result references. */
var argsTag$3 = '[object Arguments]',
    arrayTag$2 = '[object Array]',
    objectTag$4 = '[object Object]';

/** Used for built-in method references. */
var objectProto$i = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$f = objectProto$i.hasOwnProperty;

/**
 * A specialized version of `baseIsEqual` for arrays and objects which performs
 * deep comparisons and tracks traversed objects enabling objects with circular
 * references to be compared.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} [stack] Tracks traversed `object` and `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
  var objIsArr = isArray(object),
      othIsArr = isArray(other),
      objTag = objIsArr ? arrayTag$2 : getTag$1(object),
      othTag = othIsArr ? arrayTag$2 : getTag$1(other);

  objTag = objTag == argsTag$3 ? objectTag$4 : objTag;
  othTag = othTag == argsTag$3 ? objectTag$4 : othTag;

  var objIsObj = objTag == objectTag$4,
      othIsObj = othTag == objectTag$4,
      isSameTag = objTag == othTag;

  if (isSameTag && isBuffer(object)) {
    if (!isBuffer(other)) {
      return false;
    }
    objIsArr = true;
    objIsObj = false;
  }
  if (isSameTag && !objIsObj) {
    stack || (stack = new Stack);
    return (objIsArr || isTypedArray(object))
      ? equalArrays(object, other, bitmask, customizer, equalFunc, stack)
      : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
  }
  if (!(bitmask & COMPARE_PARTIAL_FLAG$3)) {
    var objIsWrapped = objIsObj && hasOwnProperty$f.call(object, '__wrapped__'),
        othIsWrapped = othIsObj && hasOwnProperty$f.call(other, '__wrapped__');

    if (objIsWrapped || othIsWrapped) {
      var objUnwrapped = objIsWrapped ? object.value() : object,
          othUnwrapped = othIsWrapped ? other.value() : other;

      stack || (stack = new Stack);
      return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
    }
  }
  if (!isSameTag) {
    return false;
  }
  stack || (stack = new Stack);
  return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
}

/**
 * The base implementation of `_.isEqual` which supports partial comparisons
 * and tracks traversed objects.
 *
 * @private
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @param {boolean} bitmask The bitmask flags.
 *  1 - Unordered comparison
 *  2 - Partial comparison
 * @param {Function} [customizer] The function to customize comparisons.
 * @param {Object} [stack] Tracks traversed `value` and `other` objects.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 */
function baseIsEqual(value, other, bitmask, customizer, stack) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || (!isObjectLike(value) && !isObjectLike(other))) {
    return value !== value && other !== other;
  }
  return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
}

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$4 = 1,
    COMPARE_UNORDERED_FLAG$2 = 2;

/**
 * The base implementation of `_.isMatch` without support for iteratee shorthands.
 *
 * @private
 * @param {Object} object The object to inspect.
 * @param {Object} source The object of property values to match.
 * @param {Array} matchData The property names, values, and compare flags to match.
 * @param {Function} [customizer] The function to customize comparisons.
 * @returns {boolean} Returns `true` if `object` is a match, else `false`.
 */
function baseIsMatch(object, source, matchData, customizer) {
  var index = matchData.length,
      length = index,
      noCustomizer = !customizer;

  if (object == null) {
    return !length;
  }
  object = Object(object);
  while (index--) {
    var data = matchData[index];
    if ((noCustomizer && data[2])
          ? data[1] !== object[data[0]]
          : !(data[0] in object)
        ) {
      return false;
    }
  }
  while (++index < length) {
    data = matchData[index];
    var key = data[0],
        objValue = object[key],
        srcValue = data[1];

    if (noCustomizer && data[2]) {
      if (objValue === undefined && !(key in object)) {
        return false;
      }
    } else {
      var stack = new Stack;
      if (customizer) {
        var result = customizer(objValue, srcValue, key, object, source, stack);
      }
      if (!(result === undefined
            ? baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG$4 | COMPARE_UNORDERED_FLAG$2, customizer, stack)
            : result
          )) {
        return false;
      }
    }
  }
  return true;
}

/**
 * Checks if `value` is suitable for strict equality comparisons, i.e. `===`.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` if suitable for strict
 *  equality comparisons, else `false`.
 */
function isStrictComparable(value) {
  return value === value && !isObject(value);
}

/**
 * Gets the property names, values, and compare flags of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the match data of `object`.
 */
function getMatchData(object) {
  var result = keys(object),
      length = result.length;

  while (length--) {
    var key = result[length],
        value = object[key];

    result[length] = [key, value, isStrictComparable(value)];
  }
  return result;
}

/**
 * A specialized version of `matchesProperty` for source values suitable
 * for strict equality comparisons, i.e. `===`.
 *
 * @private
 * @param {string} key The key of the property to get.
 * @param {*} srcValue The value to match.
 * @returns {Function} Returns the new spec function.
 */
function matchesStrictComparable(key, srcValue) {
  return function(object) {
    if (object == null) {
      return false;
    }
    return object[key] === srcValue &&
      (srcValue !== undefined || (key in Object(object)));
  };
}

/**
 * The base implementation of `_.matches` which doesn't clone `source`.
 *
 * @private
 * @param {Object} source The object of property values to match.
 * @returns {Function} Returns the new spec function.
 */
function baseMatches(source) {
  var matchData = getMatchData(source);
  if (matchData.length == 1 && matchData[0][2]) {
    return matchesStrictComparable(matchData[0][0], matchData[0][1]);
  }
  return function(object) {
    return object === source || baseIsMatch(object, source, matchData);
  };
}

/**
 * The base implementation of `_.hasIn` without support for deep paths.
 *
 * @private
 * @param {Object} [object] The object to query.
 * @param {Array|string} key The key to check.
 * @returns {boolean} Returns `true` if `key` exists, else `false`.
 */
function baseHasIn(object, key) {
  return object != null && key in Object(object);
}

/**
 * Checks if `path` exists on `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array|string} path The path to check.
 * @param {Function} hasFunc The function to check properties.
 * @returns {boolean} Returns `true` if `path` exists, else `false`.
 */
function hasPath(object, path, hasFunc) {
  path = castPath(path, object);

  var index = -1,
      length = path.length,
      result = false;

  while (++index < length) {
    var key = toKey(path[index]);
    if (!(result = object != null && hasFunc(object, key))) {
      break;
    }
    object = object[key];
  }
  if (result || ++index != length) {
    return result;
  }
  length = object == null ? 0 : object.length;
  return !!length && isLength(length) && isIndex(key, length) &&
    (isArray(object) || isArguments(object));
}

/**
 * Checks if `path` is a direct or inherited property of `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path to check.
 * @returns {boolean} Returns `true` if `path` exists, else `false`.
 * @example
 *
 * var object = _.create({ 'a': _.create({ 'b': 2 }) });
 *
 * _.hasIn(object, 'a');
 * // => true
 *
 * _.hasIn(object, 'a.b');
 * // => true
 *
 * _.hasIn(object, ['a', 'b']);
 * // => true
 *
 * _.hasIn(object, 'b');
 * // => false
 */
function hasIn(object, path) {
  return object != null && hasPath(object, path, baseHasIn);
}

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$5 = 1,
    COMPARE_UNORDERED_FLAG$3 = 2;

/**
 * The base implementation of `_.matchesProperty` which doesn't clone `srcValue`.
 *
 * @private
 * @param {string} path The path of the property to get.
 * @param {*} srcValue The value to match.
 * @returns {Function} Returns the new spec function.
 */
function baseMatchesProperty(path, srcValue) {
  if (isKey(path) && isStrictComparable(srcValue)) {
    return matchesStrictComparable(toKey(path), srcValue);
  }
  return function(object) {
    var objValue = get(object, path);
    return (objValue === undefined && objValue === srcValue)
      ? hasIn(object, path)
      : baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG$5 | COMPARE_UNORDERED_FLAG$3);
  };
}

/**
 * The base implementation of `_.property` without support for deep paths.
 *
 * @private
 * @param {string} key The key of the property to get.
 * @returns {Function} Returns the new accessor function.
 */
function baseProperty(key) {
  return function(object) {
    return object == null ? undefined : object[key];
  };
}

/**
 * A specialized version of `baseProperty` which supports deep paths.
 *
 * @private
 * @param {Array|string} path The path of the property to get.
 * @returns {Function} Returns the new accessor function.
 */
function basePropertyDeep(path) {
  return function(object) {
    return baseGet(object, path);
  };
}

/**
 * Creates a function that returns the value at `path` of a given object.
 *
 * @static
 * @memberOf _
 * @since 2.4.0
 * @category Util
 * @param {Array|string} path The path of the property to get.
 * @returns {Function} Returns the new accessor function.
 * @example
 *
 * var objects = [
 *   { 'a': { 'b': 2 } },
 *   { 'a': { 'b': 1 } }
 * ];
 *
 * _.map(objects, _.property('a.b'));
 * // => [2, 1]
 *
 * _.map(_.sortBy(objects, _.property(['a', 'b'])), 'a.b');
 * // => [1, 2]
 */
function property(path) {
  return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
}

/**
 * The base implementation of `_.iteratee`.
 *
 * @private
 * @param {*} [value=_.identity] The value to convert to an iteratee.
 * @returns {Function} Returns the iteratee.
 */
function baseIteratee(value) {
  // Don't store the `typeof` result in a variable to avoid a JIT bug in Safari 9.
  // See https://bugs.webkit.org/show_bug.cgi?id=156034 for more details.
  if (typeof value == 'function') {
    return value;
  }
  if (value == null) {
    return identity;
  }
  if (typeof value == 'object') {
    return isArray(value)
      ? baseMatchesProperty(value[0], value[1])
      : baseMatches(value);
  }
  return property(value);
}

/** Error message constants. */
var FUNC_ERROR_TEXT$4 = 'Expected a function';

/**
 * Creates a function that iterates over `pairs` and invokes the corresponding
 * function of the first predicate to return truthy. The predicate-function
 * pairs are invoked with the `this` binding and arguments of the created
 * function.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {Array} pairs The predicate-function pairs.
 * @returns {Function} Returns the new composite function.
 * @example
 *
 * var func = _.cond([
 *   [_.matches({ 'a': 1 }),           _.constant('matches A')],
 *   [_.conforms({ 'b': _.isNumber }), _.constant('matches B')],
 *   [_.stubTrue,                      _.constant('no match')]
 * ]);
 *
 * func({ 'a': 1, 'b': 2 });
 * // => 'matches A'
 *
 * func({ 'a': 0, 'b': 1 });
 * // => 'matches B'
 *
 * func({ 'a': '1', 'b': '2' });
 * // => 'no match'
 */
function cond(pairs) {
  var length = pairs == null ? 0 : pairs.length,
      toIteratee = baseIteratee;

  pairs = !length ? [] : arrayMap(pairs, function(pair) {
    if (typeof pair[1] != 'function') {
      throw new TypeError(FUNC_ERROR_TEXT$4);
    }
    return [toIteratee(pair[0]), pair[1]];
  });

  return baseRest(function(args) {
    var index = -1;
    while (++index < length) {
      var pair = pairs[index];
      if (apply(pair[0], this, args)) {
        return apply(pair[1], this, args);
      }
    }
  });
}

/**
 * The base implementation of `_.conformsTo` which accepts `props` to check.
 *
 * @private
 * @param {Object} object The object to inspect.
 * @param {Object} source The object of property predicates to conform to.
 * @returns {boolean} Returns `true` if `object` conforms, else `false`.
 */
function baseConformsTo(object, source, props) {
  var length = props.length;
  if (object == null) {
    return !length;
  }
  object = Object(object);
  while (length--) {
    var key = props[length],
        predicate = source[key],
        value = object[key];

    if ((value === undefined && !(key in object)) || !predicate(value)) {
      return false;
    }
  }
  return true;
}

/**
 * The base implementation of `_.conforms` which doesn't clone `source`.
 *
 * @private
 * @param {Object} source The object of property predicates to conform to.
 * @returns {Function} Returns the new spec function.
 */
function baseConforms(source) {
  var props = keys(source);
  return function(object) {
    return baseConformsTo(object, source, props);
  };
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$3 = 1;

/**
 * Creates a function that invokes the predicate properties of `source` with
 * the corresponding property values of a given object, returning `true` if
 * all predicates return truthy, else `false`.
 *
 * **Note:** The created function is equivalent to `_.conformsTo` with
 * `source` partially applied.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {Object} source The object of property predicates to conform to.
 * @returns {Function} Returns the new spec function.
 * @example
 *
 * var objects = [
 *   { 'a': 2, 'b': 1 },
 *   { 'a': 1, 'b': 2 }
 * ];
 *
 * _.filter(objects, _.conforms({ 'b': function(n) { return n > 1; } }));
 * // => [{ 'a': 1, 'b': 2 }]
 */
function conforms(source) {
  return baseConforms(baseClone(source, CLONE_DEEP_FLAG$3));
}

/**
 * Checks if `object` conforms to `source` by invoking the predicate
 * properties of `source` with the corresponding property values of `object`.
 *
 * **Note:** This method is equivalent to `_.conforms` when `source` is
 * partially applied.
 *
 * @static
 * @memberOf _
 * @since 4.14.0
 * @category Lang
 * @param {Object} object The object to inspect.
 * @param {Object} source The object of property predicates to conform to.
 * @returns {boolean} Returns `true` if `object` conforms, else `false`.
 * @example
 *
 * var object = { 'a': 1, 'b': 2 };
 *
 * _.conformsTo(object, { 'b': function(n) { return n > 1; } });
 * // => true
 *
 * _.conformsTo(object, { 'b': function(n) { return n > 2; } });
 * // => false
 */
function conformsTo(object, source) {
  return source == null || baseConformsTo(object, source, keys(source));
}

/**
 * A specialized version of `baseAggregator` for arrays.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} setter The function to set `accumulator` values.
 * @param {Function} iteratee The iteratee to transform keys.
 * @param {Object} accumulator The initial aggregated object.
 * @returns {Function} Returns `accumulator`.
 */
function arrayAggregator(array, setter, iteratee, accumulator) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    var value = array[index];
    setter(accumulator, value, iteratee(value), array);
  }
  return accumulator;
}

/**
 * Creates a base function for methods like `_.forIn` and `_.forOwn`.
 *
 * @private
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Function} Returns the new base function.
 */
function createBaseFor(fromRight) {
  return function(object, iteratee, keysFunc) {
    var index = -1,
        iterable = Object(object),
        props = keysFunc(object),
        length = props.length;

    while (length--) {
      var key = props[fromRight ? length : ++index];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}

/**
 * The base implementation of `baseForOwn` which iterates over `object`
 * properties returned by `keysFunc` and invokes `iteratee` for each property.
 * Iteratee functions may exit iteration early by explicitly returning `false`.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @param {Function} keysFunc The function to get the keys of `object`.
 * @returns {Object} Returns `object`.
 */
var baseFor = createBaseFor();

/**
 * The base implementation of `_.forOwn` without support for iteratee shorthands.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Object} Returns `object`.
 */
function baseForOwn(object, iteratee) {
  return object && baseFor(object, iteratee, keys);
}

/**
 * Creates a `baseEach` or `baseEachRight` function.
 *
 * @private
 * @param {Function} eachFunc The function to iterate over a collection.
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Function} Returns the new base function.
 */
function createBaseEach(eachFunc, fromRight) {
  return function(collection, iteratee) {
    if (collection == null) {
      return collection;
    }
    if (!isArrayLike(collection)) {
      return eachFunc(collection, iteratee);
    }
    var length = collection.length,
        index = fromRight ? length : -1,
        iterable = Object(collection);

    while ((fromRight ? index-- : ++index < length)) {
      if (iteratee(iterable[index], index, iterable) === false) {
        break;
      }
    }
    return collection;
  };
}

/**
 * The base implementation of `_.forEach` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array|Object} Returns `collection`.
 */
var baseEach = createBaseEach(baseForOwn);

/**
 * Aggregates elements of `collection` on `accumulator` with keys transformed
 * by `iteratee` and values set by `setter`.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} setter The function to set `accumulator` values.
 * @param {Function} iteratee The iteratee to transform keys.
 * @param {Object} accumulator The initial aggregated object.
 * @returns {Function} Returns `accumulator`.
 */
function baseAggregator(collection, setter, iteratee, accumulator) {
  baseEach(collection, function(value, key, collection) {
    setter(accumulator, value, iteratee(value), collection);
  });
  return accumulator;
}

/**
 * Creates a function like `_.groupBy`.
 *
 * @private
 * @param {Function} setter The function to set accumulator values.
 * @param {Function} [initializer] The accumulator object initializer.
 * @returns {Function} Returns the new aggregator function.
 */
function createAggregator(setter, initializer) {
  return function(collection, iteratee) {
    var func = isArray(collection) ? arrayAggregator : baseAggregator,
        accumulator = initializer ? initializer() : {};

    return func(collection, setter, baseIteratee(iteratee, 2), accumulator);
  };
}

/** Used for built-in method references. */
var objectProto$j = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$g = objectProto$j.hasOwnProperty;

/**
 * Creates an object composed of keys generated from the results of running
 * each element of `collection` thru `iteratee`. The corresponding value of
 * each key is the number of times the key was returned by `iteratee`. The
 * iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 0.5.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
 * @returns {Object} Returns the composed aggregate object.
 * @example
 *
 * _.countBy([6.1, 4.2, 6.3], Math.floor);
 * // => { '4': 1, '6': 2 }
 *
 * // The `_.property` iteratee shorthand.
 * _.countBy(['one', 'two', 'three'], 'length');
 * // => { '3': 2, '5': 1 }
 */
var countBy = createAggregator(function(result, value, key) {
  if (hasOwnProperty$g.call(result, key)) {
    ++result[key];
  } else {
    baseAssignValue(result, key, 1);
  }
});

/**
 * Creates an object that inherits from the `prototype` object. If a
 * `properties` object is given, its own enumerable string keyed properties
 * are assigned to the created object.
 *
 * @static
 * @memberOf _
 * @since 2.3.0
 * @category Object
 * @param {Object} prototype The object to inherit from.
 * @param {Object} [properties] The properties to assign to the object.
 * @returns {Object} Returns the new object.
 * @example
 *
 * function Shape() {
 *   this.x = 0;
 *   this.y = 0;
 * }
 *
 * function Circle() {
 *   Shape.call(this);
 * }
 *
 * Circle.prototype = _.create(Shape.prototype, {
 *   'constructor': Circle
 * });
 *
 * var circle = new Circle;
 * circle instanceof Circle;
 * // => true
 *
 * circle instanceof Shape;
 * // => true
 */
function create(prototype, properties) {
  var result = baseCreate(prototype);
  return properties == null ? result : baseAssign(result, properties);
}

/** Used to compose bitmasks for function metadata. */
var WRAP_CURRY_FLAG$5 = 8;

/**
 * Creates a function that accepts arguments of `func` and either invokes
 * `func` returning its result, if at least `arity` number of arguments have
 * been provided, or returns a function that accepts the remaining `func`
 * arguments, and so on. The arity of `func` may be specified if `func.length`
 * is not sufficient.
 *
 * The `_.curry.placeholder` value, which defaults to `_` in monolithic builds,
 * may be used as a placeholder for provided arguments.
 *
 * **Note:** This method doesn't set the "length" property of curried functions.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Function
 * @param {Function} func The function to curry.
 * @param {number} [arity=func.length] The arity of `func`.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Function} Returns the new curried function.
 * @example
 *
 * var abc = function(a, b, c) {
 *   return [a, b, c];
 * };
 *
 * var curried = _.curry(abc);
 *
 * curried(1)(2)(3);
 * // => [1, 2, 3]
 *
 * curried(1, 2)(3);
 * // => [1, 2, 3]
 *
 * curried(1, 2, 3);
 * // => [1, 2, 3]
 *
 * // Curried with placeholders.
 * curried(1)(_, 3)(2);
 * // => [1, 2, 3]
 */
function curry(func, arity, guard) {
  arity = guard ? undefined : arity;
  var result = createWrap(func, WRAP_CURRY_FLAG$5, undefined, undefined, undefined, undefined, undefined, arity);
  result.placeholder = curry.placeholder;
  return result;
}

// Assign default placeholders.
curry.placeholder = {};

/** Used to compose bitmasks for function metadata. */
var WRAP_CURRY_RIGHT_FLAG$3 = 16;

/**
 * This method is like `_.curry` except that arguments are applied to `func`
 * in the manner of `_.partialRight` instead of `_.partial`.
 *
 * The `_.curryRight.placeholder` value, which defaults to `_` in monolithic
 * builds, may be used as a placeholder for provided arguments.
 *
 * **Note:** This method doesn't set the "length" property of curried functions.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Function
 * @param {Function} func The function to curry.
 * @param {number} [arity=func.length] The arity of `func`.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Function} Returns the new curried function.
 * @example
 *
 * var abc = function(a, b, c) {
 *   return [a, b, c];
 * };
 *
 * var curried = _.curryRight(abc);
 *
 * curried(3)(2)(1);
 * // => [1, 2, 3]
 *
 * curried(2, 3)(1);
 * // => [1, 2, 3]
 *
 * curried(1, 2, 3);
 * // => [1, 2, 3]
 *
 * // Curried with placeholders.
 * curried(3)(1, _)(2);
 * // => [1, 2, 3]
 */
function curryRight(func, arity, guard) {
  arity = guard ? undefined : arity;
  var result = createWrap(func, WRAP_CURRY_RIGHT_FLAG$3, undefined, undefined, undefined, undefined, undefined, arity);
  result.placeholder = curryRight.placeholder;
  return result;
}

// Assign default placeholders.
curryRight.placeholder = {};

/**
 * Gets the timestamp of the number of milliseconds that have elapsed since
 * the Unix epoch (1 January 1970 00:00:00 UTC).
 *
 * @static
 * @memberOf _
 * @since 2.4.0
 * @category Date
 * @returns {number} Returns the timestamp.
 * @example
 *
 * _.defer(function(stamp) {
 *   console.log(_.now() - stamp);
 * }, _.now());
 * // => Logs the number of milliseconds it took for the deferred invocation.
 */
var now = function() {
  return root.Date.now();
};

/** Error message constants. */
var FUNC_ERROR_TEXT$5 = 'Expected a function';

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$5 = Math.max,
    nativeMin$3 = Math.min;

/**
 * Creates a debounced function that delays invoking `func` until after `wait`
 * milliseconds have elapsed since the last time the debounced function was
 * invoked. The debounced function comes with a `cancel` method to cancel
 * delayed `func` invocations and a `flush` method to immediately invoke them.
 * Provide `options` to indicate whether `func` should be invoked on the
 * leading and/or trailing edge of the `wait` timeout. The `func` is invoked
 * with the last arguments provided to the debounced function. Subsequent
 * calls to the debounced function return the result of the last `func`
 * invocation.
 *
 * **Note:** If `leading` and `trailing` options are `true`, `func` is
 * invoked on the trailing edge of the timeout only if the debounced function
 * is invoked more than once during the `wait` timeout.
 *
 * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
 * until to the next tick, similar to `setTimeout` with a timeout of `0`.
 *
 * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
 * for details over the differences between `_.debounce` and `_.throttle`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to debounce.
 * @param {number} [wait=0] The number of milliseconds to delay.
 * @param {Object} [options={}] The options object.
 * @param {boolean} [options.leading=false]
 *  Specify invoking on the leading edge of the timeout.
 * @param {number} [options.maxWait]
 *  The maximum time `func` is allowed to be delayed before it's invoked.
 * @param {boolean} [options.trailing=true]
 *  Specify invoking on the trailing edge of the timeout.
 * @returns {Function} Returns the new debounced function.
 * @example
 *
 * // Avoid costly calculations while the window size is in flux.
 * jQuery(window).on('resize', _.debounce(calculateLayout, 150));
 *
 * // Invoke `sendMail` when clicked, debouncing subsequent calls.
 * jQuery(element).on('click', _.debounce(sendMail, 300, {
 *   'leading': true,
 *   'trailing': false
 * }));
 *
 * // Ensure `batchLog` is invoked once after 1 second of debounced calls.
 * var debounced = _.debounce(batchLog, 250, { 'maxWait': 1000 });
 * var source = new EventSource('/stream');
 * jQuery(source).on('message', debounced);
 *
 * // Cancel the trailing debounced invocation.
 * jQuery(window).on('popstate', debounced.cancel);
 */
function debounce(func, wait, options) {
  var lastArgs,
      lastThis,
      maxWait,
      result,
      timerId,
      lastCallTime,
      lastInvokeTime = 0,
      leading = false,
      maxing = false,
      trailing = true;

  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$5);
  }
  wait = toNumber(wait) || 0;
  if (isObject(options)) {
    leading = !!options.leading;
    maxing = 'maxWait' in options;
    maxWait = maxing ? nativeMax$5(toNumber(options.maxWait) || 0, wait) : maxWait;
    trailing = 'trailing' in options ? !!options.trailing : trailing;
  }

  function invokeFunc(time) {
    var args = lastArgs,
        thisArg = lastThis;

    lastArgs = lastThis = undefined;
    lastInvokeTime = time;
    result = func.apply(thisArg, args);
    return result;
  }

  function leadingEdge(time) {
    // Reset any `maxWait` timer.
    lastInvokeTime = time;
    // Start the timer for the trailing edge.
    timerId = setTimeout(timerExpired, wait);
    // Invoke the leading edge.
    return leading ? invokeFunc(time) : result;
  }

  function remainingWait(time) {
    var timeSinceLastCall = time - lastCallTime,
        timeSinceLastInvoke = time - lastInvokeTime,
        timeWaiting = wait - timeSinceLastCall;

    return maxing
      ? nativeMin$3(timeWaiting, maxWait - timeSinceLastInvoke)
      : timeWaiting;
  }

  function shouldInvoke(time) {
    var timeSinceLastCall = time - lastCallTime,
        timeSinceLastInvoke = time - lastInvokeTime;

    // Either this is the first call, activity has stopped and we're at the
    // trailing edge, the system time has gone backwards and we're treating
    // it as the trailing edge, or we've hit the `maxWait` limit.
    return (lastCallTime === undefined || (timeSinceLastCall >= wait) ||
      (timeSinceLastCall < 0) || (maxing && timeSinceLastInvoke >= maxWait));
  }

  function timerExpired() {
    var time = now();
    if (shouldInvoke(time)) {
      return trailingEdge(time);
    }
    // Restart the timer.
    timerId = setTimeout(timerExpired, remainingWait(time));
  }

  function trailingEdge(time) {
    timerId = undefined;

    // Only invoke if we have `lastArgs` which means `func` has been
    // debounced at least once.
    if (trailing && lastArgs) {
      return invokeFunc(time);
    }
    lastArgs = lastThis = undefined;
    return result;
  }

  function cancel() {
    if (timerId !== undefined) {
      clearTimeout(timerId);
    }
    lastInvokeTime = 0;
    lastArgs = lastCallTime = lastThis = timerId = undefined;
  }

  function flush() {
    return timerId === undefined ? result : trailingEdge(now());
  }

  function debounced() {
    var time = now(),
        isInvoking = shouldInvoke(time);

    lastArgs = arguments;
    lastThis = this;
    lastCallTime = time;

    if (isInvoking) {
      if (timerId === undefined) {
        return leadingEdge(lastCallTime);
      }
      if (maxing) {
        // Handle invocations in a tight loop.
        clearTimeout(timerId);
        timerId = setTimeout(timerExpired, wait);
        return invokeFunc(lastCallTime);
      }
    }
    if (timerId === undefined) {
      timerId = setTimeout(timerExpired, wait);
    }
    return result;
  }
  debounced.cancel = cancel;
  debounced.flush = flush;
  return debounced;
}

/**
 * Checks `value` to determine whether a default value should be returned in
 * its place. The `defaultValue` is returned if `value` is `NaN`, `null`,
 * or `undefined`.
 *
 * @static
 * @memberOf _
 * @since 4.14.0
 * @category Util
 * @param {*} value The value to check.
 * @param {*} defaultValue The default value.
 * @returns {*} Returns the resolved value.
 * @example
 *
 * _.defaultTo(1, 10);
 * // => 1
 *
 * _.defaultTo(undefined, 10);
 * // => 10
 */
function defaultTo(value, defaultValue) {
  return (value == null || value !== value) ? defaultValue : value;
}

/** Used for built-in method references. */
var objectProto$k = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$h = objectProto$k.hasOwnProperty;

/**
 * Assigns own and inherited enumerable string keyed properties of source
 * objects to the destination object for all destination properties that
 * resolve to `undefined`. Source objects are applied from left to right.
 * Once a property is set, additional values of the same property are ignored.
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} [sources] The source objects.
 * @returns {Object} Returns `object`.
 * @see _.defaultsDeep
 * @example
 *
 * _.defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
 * // => { 'a': 1, 'b': 2 }
 */
var defaults = baseRest(function(object, sources) {
  object = Object(object);

  var index = -1;
  var length = sources.length;
  var guard = length > 2 ? sources[2] : undefined;

  if (guard && isIterateeCall(sources[0], sources[1], guard)) {
    length = 1;
  }

  while (++index < length) {
    var source = sources[index];
    var props = keysIn$1(source);
    var propsIndex = -1;
    var propsLength = props.length;

    while (++propsIndex < propsLength) {
      var key = props[propsIndex];
      var value = object[key];

      if (value === undefined ||
          (eq(value, objectProto$k[key]) && !hasOwnProperty$h.call(object, key))) {
        object[key] = source[key];
      }
    }
  }

  return object;
});

/**
 * This function is like `assignValue` except that it doesn't assign
 * `undefined` values.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {string} key The key of the property to assign.
 * @param {*} value The value to assign.
 */
function assignMergeValue(object, key, value) {
  if ((value !== undefined && !eq(object[key], value)) ||
      (value === undefined && !(key in object))) {
    baseAssignValue(object, key, value);
  }
}

/**
 * This method is like `_.isArrayLike` except that it also checks if `value`
 * is an object.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array-like object,
 *  else `false`.
 * @example
 *
 * _.isArrayLikeObject([1, 2, 3]);
 * // => true
 *
 * _.isArrayLikeObject(document.body.children);
 * // => true
 *
 * _.isArrayLikeObject('abc');
 * // => false
 *
 * _.isArrayLikeObject(_.noop);
 * // => false
 */
function isArrayLikeObject(value) {
  return isObjectLike(value) && isArrayLike(value);
}

/**
 * Gets the value at `key`, unless `key` is "__proto__" or "constructor".
 *
 * @private
 * @param {Object} object The object to query.
 * @param {string} key The key of the property to get.
 * @returns {*} Returns the property value.
 */
function safeGet(object, key) {
  if (key === 'constructor' && typeof object[key] === 'function') {
    return;
  }

  if (key == '__proto__') {
    return;
  }

  return object[key];
}

/**
 * Converts `value` to a plain object flattening inherited enumerable string
 * keyed properties of `value` to own properties of the plain object.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {Object} Returns the converted plain object.
 * @example
 *
 * function Foo() {
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.assign({ 'a': 1 }, new Foo);
 * // => { 'a': 1, 'b': 2 }
 *
 * _.assign({ 'a': 1 }, _.toPlainObject(new Foo));
 * // => { 'a': 1, 'b': 2, 'c': 3 }
 */
function toPlainObject(value) {
  return copyObject(value, keysIn$1(value));
}

/**
 * A specialized version of `baseMerge` for arrays and objects which performs
 * deep merges and tracks traversed objects enabling objects with circular
 * references to be merged.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @param {string} key The key of the value to merge.
 * @param {number} srcIndex The index of `source`.
 * @param {Function} mergeFunc The function to merge values.
 * @param {Function} [customizer] The function to customize assigned values.
 * @param {Object} [stack] Tracks traversed source values and their merged
 *  counterparts.
 */
function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
  var objValue = safeGet(object, key),
      srcValue = safeGet(source, key),
      stacked = stack.get(srcValue);

  if (stacked) {
    assignMergeValue(object, key, stacked);
    return;
  }
  var newValue = customizer
    ? customizer(objValue, srcValue, (key + ''), object, source, stack)
    : undefined;

  var isCommon = newValue === undefined;

  if (isCommon) {
    var isArr = isArray(srcValue),
        isBuff = !isArr && isBuffer(srcValue),
        isTyped = !isArr && !isBuff && isTypedArray(srcValue);

    newValue = srcValue;
    if (isArr || isBuff || isTyped) {
      if (isArray(objValue)) {
        newValue = objValue;
      }
      else if (isArrayLikeObject(objValue)) {
        newValue = copyArray(objValue);
      }
      else if (isBuff) {
        isCommon = false;
        newValue = cloneBuffer(srcValue, true);
      }
      else if (isTyped) {
        isCommon = false;
        newValue = cloneTypedArray(srcValue, true);
      }
      else {
        newValue = [];
      }
    }
    else if (isPlainObject(srcValue) || isArguments(srcValue)) {
      newValue = objValue;
      if (isArguments(objValue)) {
        newValue = toPlainObject(objValue);
      }
      else if (!isObject(objValue) || isFunction(objValue)) {
        newValue = initCloneObject(srcValue);
      }
    }
    else {
      isCommon = false;
    }
  }
  if (isCommon) {
    // Recursively merge objects and arrays (susceptible to call stack limits).
    stack.set(srcValue, newValue);
    mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
    stack['delete'](srcValue);
  }
  assignMergeValue(object, key, newValue);
}

/**
 * The base implementation of `_.merge` without support for multiple sources.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @param {number} srcIndex The index of `source`.
 * @param {Function} [customizer] The function to customize merged values.
 * @param {Object} [stack] Tracks traversed source values and their merged
 *  counterparts.
 */
function baseMerge(object, source, srcIndex, customizer, stack) {
  if (object === source) {
    return;
  }
  baseFor(source, function(srcValue, key) {
    stack || (stack = new Stack);
    if (isObject(srcValue)) {
      baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
    }
    else {
      var newValue = customizer
        ? customizer(safeGet(object, key), srcValue, (key + ''), object, source, stack)
        : undefined;

      if (newValue === undefined) {
        newValue = srcValue;
      }
      assignMergeValue(object, key, newValue);
    }
  }, keysIn$1);
}

/**
 * Used by `_.defaultsDeep` to customize its `_.merge` use to merge source
 * objects into destination objects that are passed thru.
 *
 * @private
 * @param {*} objValue The destination value.
 * @param {*} srcValue The source value.
 * @param {string} key The key of the property to merge.
 * @param {Object} object The parent object of `objValue`.
 * @param {Object} source The parent object of `srcValue`.
 * @param {Object} [stack] Tracks traversed source values and their merged
 *  counterparts.
 * @returns {*} Returns the value to assign.
 */
function customDefaultsMerge(objValue, srcValue, key, object, source, stack) {
  if (isObject(objValue) && isObject(srcValue)) {
    // Recursively merge objects and arrays (susceptible to call stack limits).
    stack.set(srcValue, objValue);
    baseMerge(objValue, srcValue, undefined, customDefaultsMerge, stack);
    stack['delete'](srcValue);
  }
  return objValue;
}

/**
 * This method is like `_.merge` except that it accepts `customizer` which
 * is invoked to produce the merged values of the destination and source
 * properties. If `customizer` returns `undefined`, merging is handled by the
 * method instead. The `customizer` is invoked with six arguments:
 * (objValue, srcValue, key, object, source, stack).
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} sources The source objects.
 * @param {Function} customizer The function to customize assigned values.
 * @returns {Object} Returns `object`.
 * @example
 *
 * function customizer(objValue, srcValue) {
 *   if (_.isArray(objValue)) {
 *     return objValue.concat(srcValue);
 *   }
 * }
 *
 * var object = { 'a': [1], 'b': [2] };
 * var other = { 'a': [3], 'b': [4] };
 *
 * _.mergeWith(object, other, customizer);
 * // => { 'a': [1, 3], 'b': [2, 4] }
 */
var mergeWith = createAssigner(function(object, source, srcIndex, customizer) {
  baseMerge(object, source, srcIndex, customizer);
});

/**
 * This method is like `_.defaults` except that it recursively assigns
 * default properties.
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 3.10.0
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} [sources] The source objects.
 * @returns {Object} Returns `object`.
 * @see _.defaults
 * @example
 *
 * _.defaultsDeep({ 'a': { 'b': 2 } }, { 'a': { 'b': 1, 'c': 3 } });
 * // => { 'a': { 'b': 2, 'c': 3 } }
 */
var defaultsDeep = baseRest(function(args) {
  args.push(undefined, customDefaultsMerge);
  return apply(mergeWith, undefined, args);
});

/** Error message constants. */
var FUNC_ERROR_TEXT$6 = 'Expected a function';

/**
 * The base implementation of `_.delay` and `_.defer` which accepts `args`
 * to provide to `func`.
 *
 * @private
 * @param {Function} func The function to delay.
 * @param {number} wait The number of milliseconds to delay invocation.
 * @param {Array} args The arguments to provide to `func`.
 * @returns {number|Object} Returns the timer id or timeout object.
 */
function baseDelay(func, wait, args) {
  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$6);
  }
  return setTimeout(function() { func.apply(undefined, args); }, wait);
}

/**
 * Defers invoking the `func` until the current call stack has cleared. Any
 * additional arguments are provided to `func` when it's invoked.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to defer.
 * @param {...*} [args] The arguments to invoke `func` with.
 * @returns {number} Returns the timer id.
 * @example
 *
 * _.defer(function(text) {
 *   console.log(text);
 * }, 'deferred');
 * // => Logs 'deferred' after one millisecond.
 */
var defer = baseRest(function(func, args) {
  return baseDelay(func, 1, args);
});

/**
 * Invokes `func` after `wait` milliseconds. Any additional arguments are
 * provided to `func` when it's invoked.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to delay.
 * @param {number} wait The number of milliseconds to delay invocation.
 * @param {...*} [args] The arguments to invoke `func` with.
 * @returns {number} Returns the timer id.
 * @example
 *
 * _.delay(function(text) {
 *   console.log(text);
 * }, 1000, 'later');
 * // => Logs 'later' after one second.
 */
var delay = baseRest(function(func, wait, args) {
  return baseDelay(func, toNumber(wait) || 0, args);
});

/**
 * This function is like `arrayIncludes` except that it accepts a comparator.
 *
 * @private
 * @param {Array} [array] The array to inspect.
 * @param {*} target The value to search for.
 * @param {Function} comparator The comparator invoked per element.
 * @returns {boolean} Returns `true` if `target` is found, else `false`.
 */
function arrayIncludesWith(array, value, comparator) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    if (comparator(value, array[index])) {
      return true;
    }
  }
  return false;
}

/** Used as the size to enable large array optimizations. */
var LARGE_ARRAY_SIZE$1 = 200;

/**
 * The base implementation of methods like `_.difference` without support
 * for excluding multiple arrays or iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {Array} values The values to exclude.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of filtered values.
 */
function baseDifference(array, values, iteratee, comparator) {
  var index = -1,
      includes = arrayIncludes,
      isCommon = true,
      length = array.length,
      result = [],
      valuesLength = values.length;

  if (!length) {
    return result;
  }
  if (iteratee) {
    values = arrayMap(values, baseUnary(iteratee));
  }
  if (comparator) {
    includes = arrayIncludesWith;
    isCommon = false;
  }
  else if (values.length >= LARGE_ARRAY_SIZE$1) {
    includes = cacheHas;
    isCommon = false;
    values = new SetCache(values);
  }
  outer:
  while (++index < length) {
    var value = array[index],
        computed = iteratee == null ? value : iteratee(value);

    value = (comparator || value !== 0) ? value : 0;
    if (isCommon && computed === computed) {
      var valuesIndex = valuesLength;
      while (valuesIndex--) {
        if (values[valuesIndex] === computed) {
          continue outer;
        }
      }
      result.push(value);
    }
    else if (!includes(values, computed, comparator)) {
      result.push(value);
    }
  }
  return result;
}

/**
 * Creates an array of `array` values not included in the other given arrays
 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons. The order and references of result values are
 * determined by the first array.
 *
 * **Note:** Unlike `_.pullAll`, this method returns a new array.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {...Array} [values] The values to exclude.
 * @returns {Array} Returns the new array of filtered values.
 * @see _.without, _.xor
 * @example
 *
 * _.difference([2, 1], [2, 3]);
 * // => [1]
 */
var difference = baseRest(function(array, values) {
  return isArrayLikeObject(array)
    ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true))
    : [];
});

/**
 * Gets the last element of `array`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to query.
 * @returns {*} Returns the last element of `array`.
 * @example
 *
 * _.last([1, 2, 3]);
 * // => 3
 */
function last(array) {
  var length = array == null ? 0 : array.length;
  return length ? array[length - 1] : undefined;
}

/**
 * This method is like `_.difference` except that it accepts `iteratee` which
 * is invoked for each element of `array` and `values` to generate the criterion
 * by which they're compared. The order and references of result values are
 * determined by the first array. The iteratee is invoked with one argument:
 * (value).
 *
 * **Note:** Unlike `_.pullAllBy`, this method returns a new array.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {...Array} [values] The values to exclude.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Array} Returns the new array of filtered values.
 * @example
 *
 * _.differenceBy([2.1, 1.2], [2.3, 3.4], Math.floor);
 * // => [1.2]
 *
 * // The `_.property` iteratee shorthand.
 * _.differenceBy([{ 'x': 2 }, { 'x': 1 }], [{ 'x': 1 }], 'x');
 * // => [{ 'x': 2 }]
 */
var differenceBy = baseRest(function(array, values) {
  var iteratee = last(values);
  if (isArrayLikeObject(iteratee)) {
    iteratee = undefined;
  }
  return isArrayLikeObject(array)
    ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true), baseIteratee(iteratee, 2))
    : [];
});

/**
 * This method is like `_.difference` except that it accepts `comparator`
 * which is invoked to compare elements of `array` to `values`. The order and
 * references of result values are determined by the first array. The comparator
 * is invoked with two arguments: (arrVal, othVal).
 *
 * **Note:** Unlike `_.pullAllWith`, this method returns a new array.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {...Array} [values] The values to exclude.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of filtered values.
 * @example
 *
 * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
 *
 * _.differenceWith(objects, [{ 'x': 1, 'y': 2 }], _.isEqual);
 * // => [{ 'x': 2, 'y': 1 }]
 */
var differenceWith = baseRest(function(array, values) {
  var comparator = last(values);
  if (isArrayLikeObject(comparator)) {
    comparator = undefined;
  }
  return isArrayLikeObject(array)
    ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true), undefined, comparator)
    : [];
});

/**
 * Divide two numbers.
 *
 * @static
 * @memberOf _
 * @since 4.7.0
 * @category Math
 * @param {number} dividend The first number in a division.
 * @param {number} divisor The second number in a division.
 * @returns {number} Returns the quotient.
 * @example
 *
 * _.divide(6, 4);
 * // => 1.5
 */
var divide = createMathOperation(function(dividend, divisor) {
  return dividend / divisor;
}, 1);

/**
 * Creates a slice of `array` with `n` elements dropped from the beginning.
 *
 * @static
 * @memberOf _
 * @since 0.5.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {number} [n=1] The number of elements to drop.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * _.drop([1, 2, 3]);
 * // => [2, 3]
 *
 * _.drop([1, 2, 3], 2);
 * // => [3]
 *
 * _.drop([1, 2, 3], 5);
 * // => []
 *
 * _.drop([1, 2, 3], 0);
 * // => [1, 2, 3]
 */
function drop(array, n, guard) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  n = (guard || n === undefined) ? 1 : toInteger(n);
  return baseSlice(array, n < 0 ? 0 : n, length);
}

/**
 * Creates a slice of `array` with `n` elements dropped from the end.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {number} [n=1] The number of elements to drop.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * _.dropRight([1, 2, 3]);
 * // => [1, 2]
 *
 * _.dropRight([1, 2, 3], 2);
 * // => [1]
 *
 * _.dropRight([1, 2, 3], 5);
 * // => []
 *
 * _.dropRight([1, 2, 3], 0);
 * // => [1, 2, 3]
 */
function dropRight(array, n, guard) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  n = (guard || n === undefined) ? 1 : toInteger(n);
  n = length - n;
  return baseSlice(array, 0, n < 0 ? 0 : n);
}

/**
 * The base implementation of methods like `_.dropWhile` and `_.takeWhile`
 * without support for iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to query.
 * @param {Function} predicate The function invoked per iteration.
 * @param {boolean} [isDrop] Specify dropping elements instead of taking them.
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Array} Returns the slice of `array`.
 */
function baseWhile(array, predicate, isDrop, fromRight) {
  var length = array.length,
      index = fromRight ? length : -1;

  while ((fromRight ? index-- : ++index < length) &&
    predicate(array[index], index, array)) {}

  return isDrop
    ? baseSlice(array, (fromRight ? 0 : index), (fromRight ? index + 1 : length))
    : baseSlice(array, (fromRight ? index + 1 : 0), (fromRight ? length : index));
}

/**
 * Creates a slice of `array` excluding elements dropped from the end.
 * Elements are dropped until `predicate` returns falsey. The predicate is
 * invoked with three arguments: (value, index, array).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'active': true },
 *   { 'user': 'fred',    'active': false },
 *   { 'user': 'pebbles', 'active': false }
 * ];
 *
 * _.dropRightWhile(users, function(o) { return !o.active; });
 * // => objects for ['barney']
 *
 * // The `_.matches` iteratee shorthand.
 * _.dropRightWhile(users, { 'user': 'pebbles', 'active': false });
 * // => objects for ['barney', 'fred']
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.dropRightWhile(users, ['active', false]);
 * // => objects for ['barney']
 *
 * // The `_.property` iteratee shorthand.
 * _.dropRightWhile(users, 'active');
 * // => objects for ['barney', 'fred', 'pebbles']
 */
function dropRightWhile(array, predicate) {
  return (array && array.length)
    ? baseWhile(array, baseIteratee(predicate, 3), true, true)
    : [];
}

/**
 * Creates a slice of `array` excluding elements dropped from the beginning.
 * Elements are dropped until `predicate` returns falsey. The predicate is
 * invoked with three arguments: (value, index, array).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'active': false },
 *   { 'user': 'fred',    'active': false },
 *   { 'user': 'pebbles', 'active': true }
 * ];
 *
 * _.dropWhile(users, function(o) { return !o.active; });
 * // => objects for ['pebbles']
 *
 * // The `_.matches` iteratee shorthand.
 * _.dropWhile(users, { 'user': 'barney', 'active': false });
 * // => objects for ['fred', 'pebbles']
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.dropWhile(users, ['active', false]);
 * // => objects for ['pebbles']
 *
 * // The `_.property` iteratee shorthand.
 * _.dropWhile(users, 'active');
 * // => objects for ['barney', 'fred', 'pebbles']
 */
function dropWhile(array, predicate) {
  return (array && array.length)
    ? baseWhile(array, baseIteratee(predicate, 3), true)
    : [];
}

/**
 * Casts `value` to `identity` if it's not a function.
 *
 * @private
 * @param {*} value The value to inspect.
 * @returns {Function} Returns cast function.
 */
function castFunction(value) {
  return typeof value == 'function' ? value : identity;
}

/**
 * Iterates over elements of `collection` and invokes `iteratee` for each element.
 * The iteratee is invoked with three arguments: (value, index|key, collection).
 * Iteratee functions may exit iteration early by explicitly returning `false`.
 *
 * **Note:** As with other "Collections" methods, objects with a "length"
 * property are iterated like arrays. To avoid this behavior use `_.forIn`
 * or `_.forOwn` for object iteration.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @alias each
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Array|Object} Returns `collection`.
 * @see _.forEachRight
 * @example
 *
 * _.forEach([1, 2], function(value) {
 *   console.log(value);
 * });
 * // => Logs `1` then `2`.
 *
 * _.forEach({ 'a': 1, 'b': 2 }, function(value, key) {
 *   console.log(key);
 * });
 * // => Logs 'a' then 'b' (iteration order is not guaranteed).
 */
function forEach(collection, iteratee) {
  var func = isArray(collection) ? arrayEach : baseEach;
  return func(collection, castFunction(iteratee));
}

/**
 * A specialized version of `_.forEachRight` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns `array`.
 */
function arrayEachRight(array, iteratee) {
  var length = array == null ? 0 : array.length;

  while (length--) {
    if (iteratee(array[length], length, array) === false) {
      break;
    }
  }
  return array;
}

/**
 * This function is like `baseFor` except that it iterates over properties
 * in the opposite order.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @param {Function} keysFunc The function to get the keys of `object`.
 * @returns {Object} Returns `object`.
 */
var baseForRight = createBaseFor(true);

/**
 * The base implementation of `_.forOwnRight` without support for iteratee shorthands.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Object} Returns `object`.
 */
function baseForOwnRight(object, iteratee) {
  return object && baseForRight(object, iteratee, keys);
}

/**
 * The base implementation of `_.forEachRight` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array|Object} Returns `collection`.
 */
var baseEachRight = createBaseEach(baseForOwnRight, true);

/**
 * This method is like `_.forEach` except that it iterates over elements of
 * `collection` from right to left.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @alias eachRight
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Array|Object} Returns `collection`.
 * @see _.forEach
 * @example
 *
 * _.forEachRight([1, 2], function(value) {
 *   console.log(value);
 * });
 * // => Logs `2` then `1`.
 */
function forEachRight(collection, iteratee) {
  var func = isArray(collection) ? arrayEachRight : baseEachRight;
  return func(collection, castFunction(iteratee));
}

/**
 * Checks if `string` ends with the given target string.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to inspect.
 * @param {string} [target] The string to search for.
 * @param {number} [position=string.length] The position to search up to.
 * @returns {boolean} Returns `true` if `string` ends with `target`,
 *  else `false`.
 * @example
 *
 * _.endsWith('abc', 'c');
 * // => true
 *
 * _.endsWith('abc', 'b');
 * // => false
 *
 * _.endsWith('abc', 'b', 2);
 * // => true
 */
function endsWith(string, target, position) {
  string = toString(string);
  target = baseToString(target);

  var length = string.length;
  position = position === undefined
    ? length
    : baseClamp(toInteger(position), 0, length);

  var end = position;
  position -= target.length;
  return position >= 0 && string.slice(position, end) == target;
}

/**
 * The base implementation of `_.toPairs` and `_.toPairsIn` which creates an array
 * of key-value pairs for `object` corresponding to the property names of `props`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array} props The property names to get values for.
 * @returns {Object} Returns the key-value pairs.
 */
function baseToPairs(object, props) {
  return arrayMap(props, function(key) {
    return [key, object[key]];
  });
}

/**
 * Converts `set` to its value-value pairs.
 *
 * @private
 * @param {Object} set The set to convert.
 * @returns {Array} Returns the value-value pairs.
 */
function setToPairs(set) {
  var index = -1,
      result = Array(set.size);

  set.forEach(function(value) {
    result[++index] = [value, value];
  });
  return result;
}

/** `Object#toString` result references. */
var mapTag$6 = '[object Map]',
    setTag$6 = '[object Set]';

/**
 * Creates a `_.toPairs` or `_.toPairsIn` function.
 *
 * @private
 * @param {Function} keysFunc The function to get the keys of a given object.
 * @returns {Function} Returns the new pairs function.
 */
function createToPairs(keysFunc) {
  return function(object) {
    var tag = getTag$1(object);
    if (tag == mapTag$6) {
      return mapToArray(object);
    }
    if (tag == setTag$6) {
      return setToPairs(object);
    }
    return baseToPairs(object, keysFunc(object));
  };
}

/**
 * Creates an array of own enumerable string keyed-value pairs for `object`
 * which can be consumed by `_.fromPairs`. If `object` is a map or set, its
 * entries are returned.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @alias entries
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the key-value pairs.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.toPairs(new Foo);
 * // => [['a', 1], ['b', 2]] (iteration order is not guaranteed)
 */
var toPairs = createToPairs(keys);

/**
 * Creates an array of own and inherited enumerable string keyed-value pairs
 * for `object` which can be consumed by `_.fromPairs`. If `object` is a map
 * or set, its entries are returned.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @alias entriesIn
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the key-value pairs.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.toPairsIn(new Foo);
 * // => [['a', 1], ['b', 2], ['c', 3]] (iteration order is not guaranteed)
 */
var toPairsIn = createToPairs(keysIn$1);

/** Used to map characters to HTML entities. */
var htmlEscapes = {
  '&': '&amp;',
  '<': '&lt;',
  '>': '&gt;',
  '"': '&quot;',
  "'": '&#39;'
};

/**
 * Used by `_.escape` to convert characters to HTML entities.
 *
 * @private
 * @param {string} chr The matched character to escape.
 * @returns {string} Returns the escaped character.
 */
var escapeHtmlChar = basePropertyOf(htmlEscapes);

/** Used to match HTML entities and HTML characters. */
var reUnescapedHtml = /[&<>"']/g,
    reHasUnescapedHtml = RegExp(reUnescapedHtml.source);

/**
 * Converts the characters "&", "<", ">", '"', and "'" in `string` to their
 * corresponding HTML entities.
 *
 * **Note:** No other characters are escaped. To escape additional
 * characters use a third-party library like [_he_](https://mths.be/he).
 *
 * Though the ">" character is escaped for symmetry, characters like
 * ">" and "/" don't need escaping in HTML and have no special meaning
 * unless they're part of a tag or unquoted attribute value. See
 * [Mathias Bynens's article](https://mathiasbynens.be/notes/ambiguous-ampersands)
 * (under "semi-related fun fact") for more details.
 *
 * When working with HTML you should always
 * [quote attribute values](http://wonko.com/post/html-escaping) to reduce
 * XSS vectors.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category String
 * @param {string} [string=''] The string to escape.
 * @returns {string} Returns the escaped string.
 * @example
 *
 * _.escape('fred, barney, & pebbles');
 * // => 'fred, barney, &amp; pebbles'
 */
function escape(string) {
  string = toString(string);
  return (string && reHasUnescapedHtml.test(string))
    ? string.replace(reUnescapedHtml, escapeHtmlChar)
    : string;
}

/**
 * Used to match `RegExp`
 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
 */
var reRegExpChar$1 = /[\\^$.*+?()[\]{}|]/g,
    reHasRegExpChar = RegExp(reRegExpChar$1.source);

/**
 * Escapes the `RegExp` special characters "^", "$", "\", ".", "*", "+",
 * "?", "(", ")", "[", "]", "{", "}", and "|" in `string`.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to escape.
 * @returns {string} Returns the escaped string.
 * @example
 *
 * _.escapeRegExp('[lodash](https://lodash.com/)');
 * // => '\[lodash\]\(https://lodash\.com/\)'
 */
function escapeRegExp(string) {
  string = toString(string);
  return (string && reHasRegExpChar.test(string))
    ? string.replace(reRegExpChar$1, '\\$&')
    : string;
}

/**
 * A specialized version of `_.every` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {boolean} Returns `true` if all elements pass the predicate check,
 *  else `false`.
 */
function arrayEvery(array, predicate) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    if (!predicate(array[index], index, array)) {
      return false;
    }
  }
  return true;
}

/**
 * The base implementation of `_.every` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {boolean} Returns `true` if all elements pass the predicate check,
 *  else `false`
 */
function baseEvery(collection, predicate) {
  var result = true;
  baseEach(collection, function(value, index, collection) {
    result = !!predicate(value, index, collection);
    return result;
  });
  return result;
}

/**
 * Checks if `predicate` returns truthy for **all** elements of `collection`.
 * Iteration is stopped once `predicate` returns falsey. The predicate is
 * invoked with three arguments: (value, index|key, collection).
 *
 * **Note:** This method returns `true` for
 * [empty collections](https://en.wikipedia.org/wiki/Empty_set) because
 * [everything is true](https://en.wikipedia.org/wiki/Vacuous_truth) of
 * elements of empty collections.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {boolean} Returns `true` if all elements pass the predicate check,
 *  else `false`.
 * @example
 *
 * _.every([true, 1, null, 'yes'], Boolean);
 * // => false
 *
 * var users = [
 *   { 'user': 'barney', 'age': 36, 'active': false },
 *   { 'user': 'fred',   'age': 40, 'active': false }
 * ];
 *
 * // The `_.matches` iteratee shorthand.
 * _.every(users, { 'user': 'barney', 'active': false });
 * // => false
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.every(users, ['active', false]);
 * // => true
 *
 * // The `_.property` iteratee shorthand.
 * _.every(users, 'active');
 * // => false
 */
function every(collection, predicate, guard) {
  var func = isArray(collection) ? arrayEvery : baseEvery;
  if (guard && isIterateeCall(collection, predicate, guard)) {
    predicate = undefined;
  }
  return func(collection, baseIteratee(predicate, 3));
}

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH$1 = 4294967295;

/**
 * Converts `value` to an integer suitable for use as the length of an
 * array-like object.
 *
 * **Note:** This method is based on
 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {number} Returns the converted integer.
 * @example
 *
 * _.toLength(3.2);
 * // => 3
 *
 * _.toLength(Number.MIN_VALUE);
 * // => 0
 *
 * _.toLength(Infinity);
 * // => 4294967295
 *
 * _.toLength('3.2');
 * // => 3
 */
function toLength(value) {
  return value ? baseClamp(toInteger(value), 0, MAX_ARRAY_LENGTH$1) : 0;
}

/**
 * The base implementation of `_.fill` without an iteratee call guard.
 *
 * @private
 * @param {Array} array The array to fill.
 * @param {*} value The value to fill `array` with.
 * @param {number} [start=0] The start position.
 * @param {number} [end=array.length] The end position.
 * @returns {Array} Returns `array`.
 */
function baseFill(array, value, start, end) {
  var length = array.length;

  start = toInteger(start);
  if (start < 0) {
    start = -start > length ? 0 : (length + start);
  }
  end = (end === undefined || end > length) ? length : toInteger(end);
  if (end < 0) {
    end += length;
  }
  end = start > end ? 0 : toLength(end);
  while (start < end) {
    array[start++] = value;
  }
  return array;
}

/**
 * Fills elements of `array` with `value` from `start` up to, but not
 * including, `end`.
 *
 * **Note:** This method mutates `array`.
 *
 * @static
 * @memberOf _
 * @since 3.2.0
 * @category Array
 * @param {Array} array The array to fill.
 * @param {*} value The value to fill `array` with.
 * @param {number} [start=0] The start position.
 * @param {number} [end=array.length] The end position.
 * @returns {Array} Returns `array`.
 * @example
 *
 * var array = [1, 2, 3];
 *
 * _.fill(array, 'a');
 * console.log(array);
 * // => ['a', 'a', 'a']
 *
 * _.fill(Array(3), 2);
 * // => [2, 2, 2]
 *
 * _.fill([4, 6, 8, 10], '*', 1, 3);
 * // => [4, '*', '*', 10]
 */
function fill(array, value, start, end) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  if (start && typeof start != 'number' && isIterateeCall(array, value, start)) {
    start = 0;
    end = length;
  }
  return baseFill(array, value, start, end);
}

/**
 * The base implementation of `_.filter` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {Array} Returns the new filtered array.
 */
function baseFilter(collection, predicate) {
  var result = [];
  baseEach(collection, function(value, index, collection) {
    if (predicate(value, index, collection)) {
      result.push(value);
    }
  });
  return result;
}

/**
 * Iterates over elements of `collection`, returning an array of all elements
 * `predicate` returns truthy for. The predicate is invoked with three
 * arguments: (value, index|key, collection).
 *
 * **Note:** Unlike `_.remove`, this method returns a new array.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the new filtered array.
 * @see _.reject
 * @example
 *
 * var users = [
 *   { 'user': 'barney', 'age': 36, 'active': true },
 *   { 'user': 'fred',   'age': 40, 'active': false }
 * ];
 *
 * _.filter(users, function(o) { return !o.active; });
 * // => objects for ['fred']
 *
 * // The `_.matches` iteratee shorthand.
 * _.filter(users, { 'age': 36, 'active': true });
 * // => objects for ['barney']
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.filter(users, ['active', false]);
 * // => objects for ['fred']
 *
 * // The `_.property` iteratee shorthand.
 * _.filter(users, 'active');
 * // => objects for ['barney']
 */
function filter(collection, predicate) {
  var func = isArray(collection) ? arrayFilter : baseFilter;
  return func(collection, baseIteratee(predicate, 3));
}

/**
 * Creates a `_.find` or `_.findLast` function.
 *
 * @private
 * @param {Function} findIndexFunc The function to find the collection index.
 * @returns {Function} Returns the new find function.
 */
function createFind(findIndexFunc) {
  return function(collection, predicate, fromIndex) {
    var iterable = Object(collection);
    if (!isArrayLike(collection)) {
      var iteratee = baseIteratee(predicate, 3);
      collection = keys(collection);
      predicate = function(key) { return iteratee(iterable[key], key, iterable); };
    }
    var index = findIndexFunc(collection, predicate, fromIndex);
    return index > -1 ? iterable[iteratee ? collection[index] : index] : undefined;
  };
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$6 = Math.max;

/**
 * This method is like `_.find` except that it returns the index of the first
 * element `predicate` returns truthy for instead of the element itself.
 *
 * @static
 * @memberOf _
 * @since 1.1.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @param {number} [fromIndex=0] The index to search from.
 * @returns {number} Returns the index of the found element, else `-1`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'active': false },
 *   { 'user': 'fred',    'active': false },
 *   { 'user': 'pebbles', 'active': true }
 * ];
 *
 * _.findIndex(users, function(o) { return o.user == 'barney'; });
 * // => 0
 *
 * // The `_.matches` iteratee shorthand.
 * _.findIndex(users, { 'user': 'fred', 'active': false });
 * // => 1
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.findIndex(users, ['active', false]);
 * // => 0
 *
 * // The `_.property` iteratee shorthand.
 * _.findIndex(users, 'active');
 * // => 2
 */
function findIndex(array, predicate, fromIndex) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return -1;
  }
  var index = fromIndex == null ? 0 : toInteger(fromIndex);
  if (index < 0) {
    index = nativeMax$6(length + index, 0);
  }
  return baseFindIndex(array, baseIteratee(predicate, 3), index);
}

/**
 * Iterates over elements of `collection`, returning the first element
 * `predicate` returns truthy for. The predicate is invoked with three
 * arguments: (value, index|key, collection).
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to inspect.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @param {number} [fromIndex=0] The index to search from.
 * @returns {*} Returns the matched element, else `undefined`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'age': 36, 'active': true },
 *   { 'user': 'fred',    'age': 40, 'active': false },
 *   { 'user': 'pebbles', 'age': 1,  'active': true }
 * ];
 *
 * _.find(users, function(o) { return o.age < 40; });
 * // => object for 'barney'
 *
 * // The `_.matches` iteratee shorthand.
 * _.find(users, { 'age': 1, 'active': true });
 * // => object for 'pebbles'
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.find(users, ['active', false]);
 * // => object for 'fred'
 *
 * // The `_.property` iteratee shorthand.
 * _.find(users, 'active');
 * // => object for 'barney'
 */
var find = createFind(findIndex);

/**
 * The base implementation of methods like `_.findKey` and `_.findLastKey`,
 * without support for iteratee shorthands, which iterates over `collection`
 * using `eachFunc`.
 *
 * @private
 * @param {Array|Object} collection The collection to inspect.
 * @param {Function} predicate The function invoked per iteration.
 * @param {Function} eachFunc The function to iterate over `collection`.
 * @returns {*} Returns the found element or its key, else `undefined`.
 */
function baseFindKey(collection, predicate, eachFunc) {
  var result;
  eachFunc(collection, function(value, key, collection) {
    if (predicate(value, key, collection)) {
      result = key;
      return false;
    }
  });
  return result;
}

/**
 * This method is like `_.find` except that it returns the key of the first
 * element `predicate` returns truthy for instead of the element itself.
 *
 * @static
 * @memberOf _
 * @since 1.1.0
 * @category Object
 * @param {Object} object The object to inspect.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {string|undefined} Returns the key of the matched element,
 *  else `undefined`.
 * @example
 *
 * var users = {
 *   'barney':  { 'age': 36, 'active': true },
 *   'fred':    { 'age': 40, 'active': false },
 *   'pebbles': { 'age': 1,  'active': true }
 * };
 *
 * _.findKey(users, function(o) { return o.age < 40; });
 * // => 'barney' (iteration order is not guaranteed)
 *
 * // The `_.matches` iteratee shorthand.
 * _.findKey(users, { 'age': 1, 'active': true });
 * // => 'pebbles'
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.findKey(users, ['active', false]);
 * // => 'fred'
 *
 * // The `_.property` iteratee shorthand.
 * _.findKey(users, 'active');
 * // => 'barney'
 */
function findKey(object, predicate) {
  return baseFindKey(object, baseIteratee(predicate, 3), baseForOwn);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$7 = Math.max,
    nativeMin$4 = Math.min;

/**
 * This method is like `_.findIndex` except that it iterates over elements
 * of `collection` from right to left.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @param {number} [fromIndex=array.length-1] The index to search from.
 * @returns {number} Returns the index of the found element, else `-1`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'active': true },
 *   { 'user': 'fred',    'active': false },
 *   { 'user': 'pebbles', 'active': false }
 * ];
 *
 * _.findLastIndex(users, function(o) { return o.user == 'pebbles'; });
 * // => 2
 *
 * // The `_.matches` iteratee shorthand.
 * _.findLastIndex(users, { 'user': 'barney', 'active': true });
 * // => 0
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.findLastIndex(users, ['active', false]);
 * // => 2
 *
 * // The `_.property` iteratee shorthand.
 * _.findLastIndex(users, 'active');
 * // => 0
 */
function findLastIndex(array, predicate, fromIndex) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return -1;
  }
  var index = length - 1;
  if (fromIndex !== undefined) {
    index = toInteger(fromIndex);
    index = fromIndex < 0
      ? nativeMax$7(length + index, 0)
      : nativeMin$4(index, length - 1);
  }
  return baseFindIndex(array, baseIteratee(predicate, 3), index, true);
}

/**
 * This method is like `_.find` except that it iterates over elements of
 * `collection` from right to left.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to inspect.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @param {number} [fromIndex=collection.length-1] The index to search from.
 * @returns {*} Returns the matched element, else `undefined`.
 * @example
 *
 * _.findLast([1, 2, 3, 4], function(n) {
 *   return n % 2 == 1;
 * });
 * // => 3
 */
var findLast = createFind(findLastIndex);

/**
 * This method is like `_.findKey` except that it iterates over elements of
 * a collection in the opposite order.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Object
 * @param {Object} object The object to inspect.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {string|undefined} Returns the key of the matched element,
 *  else `undefined`.
 * @example
 *
 * var users = {
 *   'barney':  { 'age': 36, 'active': true },
 *   'fred':    { 'age': 40, 'active': false },
 *   'pebbles': { 'age': 1,  'active': true }
 * };
 *
 * _.findLastKey(users, function(o) { return o.age < 40; });
 * // => returns 'pebbles' assuming `_.findKey` returns 'barney'
 *
 * // The `_.matches` iteratee shorthand.
 * _.findLastKey(users, { 'age': 36, 'active': true });
 * // => 'barney'
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.findLastKey(users, ['active', false]);
 * // => 'fred'
 *
 * // The `_.property` iteratee shorthand.
 * _.findLastKey(users, 'active');
 * // => 'pebbles'
 */
function findLastKey(object, predicate) {
  return baseFindKey(object, baseIteratee(predicate, 3), baseForOwnRight);
}

/**
 * Gets the first element of `array`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @alias first
 * @category Array
 * @param {Array} array The array to query.
 * @returns {*} Returns the first element of `array`.
 * @example
 *
 * _.head([1, 2, 3]);
 * // => 1
 *
 * _.head([]);
 * // => undefined
 */
function head(array) {
  return (array && array.length) ? array[0] : undefined;
}

/**
 * The base implementation of `_.map` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the new mapped array.
 */
function baseMap(collection, iteratee) {
  var index = -1,
      result = isArrayLike(collection) ? Array(collection.length) : [];

  baseEach(collection, function(value, key, collection) {
    result[++index] = iteratee(value, key, collection);
  });
  return result;
}

/**
 * Creates an array of values by running each element in `collection` thru
 * `iteratee`. The iteratee is invoked with three arguments:
 * (value, index|key, collection).
 *
 * Many lodash methods are guarded to work as iteratees for methods like
 * `_.every`, `_.filter`, `_.map`, `_.mapValues`, `_.reject`, and `_.some`.
 *
 * The guarded methods are:
 * `ary`, `chunk`, `curry`, `curryRight`, `drop`, `dropRight`, `every`,
 * `fill`, `invert`, `parseInt`, `random`, `range`, `rangeRight`, `repeat`,
 * `sampleSize`, `slice`, `some`, `sortBy`, `split`, `take`, `takeRight`,
 * `template`, `trim`, `trimEnd`, `trimStart`, and `words`
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the new mapped array.
 * @example
 *
 * function square(n) {
 *   return n * n;
 * }
 *
 * _.map([4, 8], square);
 * // => [16, 64]
 *
 * _.map({ 'a': 4, 'b': 8 }, square);
 * // => [16, 64] (iteration order is not guaranteed)
 *
 * var users = [
 *   { 'user': 'barney' },
 *   { 'user': 'fred' }
 * ];
 *
 * // The `_.property` iteratee shorthand.
 * _.map(users, 'user');
 * // => ['barney', 'fred']
 */
function map(collection, iteratee) {
  var func = isArray(collection) ? arrayMap : baseMap;
  return func(collection, baseIteratee(iteratee, 3));
}

/**
 * Creates a flattened array of values by running each element in `collection`
 * thru `iteratee` and flattening the mapped results. The iteratee is invoked
 * with three arguments: (value, index|key, collection).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the new flattened array.
 * @example
 *
 * function duplicate(n) {
 *   return [n, n];
 * }
 *
 * _.flatMap([1, 2], duplicate);
 * // => [1, 1, 2, 2]
 */
function flatMap(collection, iteratee) {
  return baseFlatten(map(collection, iteratee), 1);
}

/** Used as references for various `Number` constants. */
var INFINITY$3 = 1 / 0;

/**
 * This method is like `_.flatMap` except that it recursively flattens the
 * mapped results.
 *
 * @static
 * @memberOf _
 * @since 4.7.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the new flattened array.
 * @example
 *
 * function duplicate(n) {
 *   return [[[n, n]]];
 * }
 *
 * _.flatMapDeep([1, 2], duplicate);
 * // => [1, 1, 2, 2]
 */
function flatMapDeep(collection, iteratee) {
  return baseFlatten(map(collection, iteratee), INFINITY$3);
}

/**
 * This method is like `_.flatMap` except that it recursively flattens the
 * mapped results up to `depth` times.
 *
 * @static
 * @memberOf _
 * @since 4.7.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @param {number} [depth=1] The maximum recursion depth.
 * @returns {Array} Returns the new flattened array.
 * @example
 *
 * function duplicate(n) {
 *   return [[[n, n]]];
 * }
 *
 * _.flatMapDepth([1, 2], duplicate, 2);
 * // => [[1, 1], [2, 2]]
 */
function flatMapDepth(collection, iteratee, depth) {
  depth = depth === undefined ? 1 : toInteger(depth);
  return baseFlatten(map(collection, iteratee), depth);
}

/** Used as references for various `Number` constants. */
var INFINITY$4 = 1 / 0;

/**
 * Recursively flattens `array`.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to flatten.
 * @returns {Array} Returns the new flattened array.
 * @example
 *
 * _.flattenDeep([1, [2, [3, [4]], 5]]);
 * // => [1, 2, 3, 4, 5]
 */
function flattenDeep(array) {
  var length = array == null ? 0 : array.length;
  return length ? baseFlatten(array, INFINITY$4) : [];
}

/**
 * Recursively flatten `array` up to `depth` times.
 *
 * @static
 * @memberOf _
 * @since 4.4.0
 * @category Array
 * @param {Array} array The array to flatten.
 * @param {number} [depth=1] The maximum recursion depth.
 * @returns {Array} Returns the new flattened array.
 * @example
 *
 * var array = [1, [2, [3, [4]], 5]];
 *
 * _.flattenDepth(array, 1);
 * // => [1, 2, [3, [4]], 5]
 *
 * _.flattenDepth(array, 2);
 * // => [1, 2, 3, [4], 5]
 */
function flattenDepth(array, depth) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  depth = depth === undefined ? 1 : toInteger(depth);
  return baseFlatten(array, depth);
}

/** Used to compose bitmasks for function metadata. */
var WRAP_FLIP_FLAG$2 = 512;

/**
 * Creates a function that invokes `func` with arguments reversed.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Function
 * @param {Function} func The function to flip arguments for.
 * @returns {Function} Returns the new flipped function.
 * @example
 *
 * var flipped = _.flip(function() {
 *   return _.toArray(arguments);
 * });
 *
 * flipped('a', 'b', 'c', 'd');
 * // => ['d', 'c', 'b', 'a']
 */
function flip(func) {
  return createWrap(func, WRAP_FLIP_FLAG$2);
}

/**
 * Computes `number` rounded down to `precision`.
 *
 * @static
 * @memberOf _
 * @since 3.10.0
 * @category Math
 * @param {number} number The number to round down.
 * @param {number} [precision=0] The precision to round down to.
 * @returns {number} Returns the rounded down number.
 * @example
 *
 * _.floor(4.006);
 * // => 4
 *
 * _.floor(0.046, 2);
 * // => 0.04
 *
 * _.floor(4060, -2);
 * // => 4000
 */
var floor = createRound('floor');

/** Error message constants. */
var FUNC_ERROR_TEXT$7 = 'Expected a function';

/** Used to compose bitmasks for function metadata. */
var WRAP_CURRY_FLAG$6 = 8,
    WRAP_PARTIAL_FLAG$5 = 32,
    WRAP_ARY_FLAG$4 = 128,
    WRAP_REARG_FLAG$2 = 256;

/**
 * Creates a `_.flow` or `_.flowRight` function.
 *
 * @private
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Function} Returns the new flow function.
 */
function createFlow(fromRight) {
  return flatRest(function(funcs) {
    var length = funcs.length,
        index = length,
        prereq = LodashWrapper.prototype.thru;

    if (fromRight) {
      funcs.reverse();
    }
    while (index--) {
      var func = funcs[index];
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT$7);
      }
      if (prereq && !wrapper && getFuncName(func) == 'wrapper') {
        var wrapper = new LodashWrapper([], true);
      }
    }
    index = wrapper ? index : length;
    while (++index < length) {
      func = funcs[index];

      var funcName = getFuncName(func),
          data = funcName == 'wrapper' ? getData(func) : undefined;

      if (data && isLaziable(data[0]) &&
            data[1] == (WRAP_ARY_FLAG$4 | WRAP_CURRY_FLAG$6 | WRAP_PARTIAL_FLAG$5 | WRAP_REARG_FLAG$2) &&
            !data[4].length && data[9] == 1
          ) {
        wrapper = wrapper[getFuncName(data[0])].apply(wrapper, data[3]);
      } else {
        wrapper = (func.length == 1 && isLaziable(func))
          ? wrapper[funcName]()
          : wrapper.thru(func);
      }
    }
    return function() {
      var args = arguments,
          value = args[0];

      if (wrapper && args.length == 1 && isArray(value)) {
        return wrapper.plant(value).value();
      }
      var index = 0,
          result = length ? funcs[index].apply(this, args) : value;

      while (++index < length) {
        result = funcs[index].call(this, result);
      }
      return result;
    };
  });
}

/**
 * Creates a function that returns the result of invoking the given functions
 * with the `this` binding of the created function, where each successive
 * invocation is supplied the return value of the previous.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Util
 * @param {...(Function|Function[])} [funcs] The functions to invoke.
 * @returns {Function} Returns the new composite function.
 * @see _.flowRight
 * @example
 *
 * function square(n) {
 *   return n * n;
 * }
 *
 * var addSquare = _.flow([_.add, square]);
 * addSquare(1, 2);
 * // => 9
 */
var flow = createFlow();

/**
 * This method is like `_.flow` except that it creates a function that
 * invokes the given functions from right to left.
 *
 * @static
 * @since 3.0.0
 * @memberOf _
 * @category Util
 * @param {...(Function|Function[])} [funcs] The functions to invoke.
 * @returns {Function} Returns the new composite function.
 * @see _.flow
 * @example
 *
 * function square(n) {
 *   return n * n;
 * }
 *
 * var addSquare = _.flowRight([square, _.add]);
 * addSquare(1, 2);
 * // => 9
 */
var flowRight = createFlow(true);

/**
 * Iterates over own and inherited enumerable string keyed properties of an
 * object and invokes `iteratee` for each property. The iteratee is invoked
 * with three arguments: (value, key, object). Iteratee functions may exit
 * iteration early by explicitly returning `false`.
 *
 * @static
 * @memberOf _
 * @since 0.3.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Object} Returns `object`.
 * @see _.forInRight
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.forIn(new Foo, function(value, key) {
 *   console.log(key);
 * });
 * // => Logs 'a', 'b', then 'c' (iteration order is not guaranteed).
 */
function forIn(object, iteratee) {
  return object == null
    ? object
    : baseFor(object, castFunction(iteratee), keysIn$1);
}

/**
 * This method is like `_.forIn` except that it iterates over properties of
 * `object` in the opposite order.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Object} Returns `object`.
 * @see _.forIn
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.forInRight(new Foo, function(value, key) {
 *   console.log(key);
 * });
 * // => Logs 'c', 'b', then 'a' assuming `_.forIn` logs 'a', 'b', then 'c'.
 */
function forInRight(object, iteratee) {
  return object == null
    ? object
    : baseForRight(object, castFunction(iteratee), keysIn$1);
}

/**
 * Iterates over own enumerable string keyed properties of an object and
 * invokes `iteratee` for each property. The iteratee is invoked with three
 * arguments: (value, key, object). Iteratee functions may exit iteration
 * early by explicitly returning `false`.
 *
 * @static
 * @memberOf _
 * @since 0.3.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Object} Returns `object`.
 * @see _.forOwnRight
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.forOwn(new Foo, function(value, key) {
 *   console.log(key);
 * });
 * // => Logs 'a' then 'b' (iteration order is not guaranteed).
 */
function forOwn(object, iteratee) {
  return object && baseForOwn(object, castFunction(iteratee));
}

/**
 * This method is like `_.forOwn` except that it iterates over properties of
 * `object` in the opposite order.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Object} Returns `object`.
 * @see _.forOwn
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.forOwnRight(new Foo, function(value, key) {
 *   console.log(key);
 * });
 * // => Logs 'b' then 'a' assuming `_.forOwn` logs 'a' then 'b'.
 */
function forOwnRight(object, iteratee) {
  return object && baseForOwnRight(object, castFunction(iteratee));
}

/**
 * The inverse of `_.toPairs`; this method returns an object composed
 * from key-value `pairs`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} pairs The key-value pairs.
 * @returns {Object} Returns the new object.
 * @example
 *
 * _.fromPairs([['a', 1], ['b', 2]]);
 * // => { 'a': 1, 'b': 2 }
 */
function fromPairs(pairs) {
  var index = -1,
      length = pairs == null ? 0 : pairs.length,
      result = {};

  while (++index < length) {
    var pair = pairs[index];
    result[pair[0]] = pair[1];
  }
  return result;
}

/**
 * The base implementation of `_.functions` which creates an array of
 * `object` function property names filtered from `props`.
 *
 * @private
 * @param {Object} object The object to inspect.
 * @param {Array} props The property names to filter.
 * @returns {Array} Returns the function names.
 */
function baseFunctions(object, props) {
  return arrayFilter(props, function(key) {
    return isFunction(object[key]);
  });
}

/**
 * Creates an array of function property names from own enumerable properties
 * of `object`.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The object to inspect.
 * @returns {Array} Returns the function names.
 * @see _.functionsIn
 * @example
 *
 * function Foo() {
 *   this.a = _.constant('a');
 *   this.b = _.constant('b');
 * }
 *
 * Foo.prototype.c = _.constant('c');
 *
 * _.functions(new Foo);
 * // => ['a', 'b']
 */
function functions(object) {
  return object == null ? [] : baseFunctions(object, keys(object));
}

/**
 * Creates an array of function property names from own and inherited
 * enumerable properties of `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The object to inspect.
 * @returns {Array} Returns the function names.
 * @see _.functions
 * @example
 *
 * function Foo() {
 *   this.a = _.constant('a');
 *   this.b = _.constant('b');
 * }
 *
 * Foo.prototype.c = _.constant('c');
 *
 * _.functionsIn(new Foo);
 * // => ['a', 'b', 'c']
 */
function functionsIn(object) {
  return object == null ? [] : baseFunctions(object, keysIn$1(object));
}

/** Used for built-in method references. */
var objectProto$l = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$i = objectProto$l.hasOwnProperty;

/**
 * Creates an object composed of keys generated from the results of running
 * each element of `collection` thru `iteratee`. The order of grouped values
 * is determined by the order they occur in `collection`. The corresponding
 * value of each key is an array of elements responsible for generating the
 * key. The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
 * @returns {Object} Returns the composed aggregate object.
 * @example
 *
 * _.groupBy([6.1, 4.2, 6.3], Math.floor);
 * // => { '4': [4.2], '6': [6.1, 6.3] }
 *
 * // The `_.property` iteratee shorthand.
 * _.groupBy(['one', 'two', 'three'], 'length');
 * // => { '3': ['one', 'two'], '5': ['three'] }
 */
var groupBy = createAggregator(function(result, value, key) {
  if (hasOwnProperty$i.call(result, key)) {
    result[key].push(value);
  } else {
    baseAssignValue(result, key, [value]);
  }
});

/**
 * The base implementation of `_.gt` which doesn't coerce arguments.
 *
 * @private
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if `value` is greater than `other`,
 *  else `false`.
 */
function baseGt(value, other) {
  return value > other;
}

/**
 * Creates a function that performs a relational operation on two values.
 *
 * @private
 * @param {Function} operator The function to perform the operation.
 * @returns {Function} Returns the new relational operation function.
 */
function createRelationalOperation(operator) {
  return function(value, other) {
    if (!(typeof value == 'string' && typeof other == 'string')) {
      value = toNumber(value);
      other = toNumber(other);
    }
    return operator(value, other);
  };
}

/**
 * Checks if `value` is greater than `other`.
 *
 * @static
 * @memberOf _
 * @since 3.9.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if `value` is greater than `other`,
 *  else `false`.
 * @see _.lt
 * @example
 *
 * _.gt(3, 1);
 * // => true
 *
 * _.gt(3, 3);
 * // => false
 *
 * _.gt(1, 3);
 * // => false
 */
var gt = createRelationalOperation(baseGt);

/**
 * Checks if `value` is greater than or equal to `other`.
 *
 * @static
 * @memberOf _
 * @since 3.9.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if `value` is greater than or equal to
 *  `other`, else `false`.
 * @see _.lte
 * @example
 *
 * _.gte(3, 1);
 * // => true
 *
 * _.gte(3, 3);
 * // => true
 *
 * _.gte(1, 3);
 * // => false
 */
var gte = createRelationalOperation(function(value, other) {
  return value >= other;
});

/** Used for built-in method references. */
var objectProto$m = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$j = objectProto$m.hasOwnProperty;

/**
 * The base implementation of `_.has` without support for deep paths.
 *
 * @private
 * @param {Object} [object] The object to query.
 * @param {Array|string} key The key to check.
 * @returns {boolean} Returns `true` if `key` exists, else `false`.
 */
function baseHas(object, key) {
  return object != null && hasOwnProperty$j.call(object, key);
}

/**
 * Checks if `path` is a direct property of `object`.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path to check.
 * @returns {boolean} Returns `true` if `path` exists, else `false`.
 * @example
 *
 * var object = { 'a': { 'b': 2 } };
 * var other = _.create({ 'a': _.create({ 'b': 2 }) });
 *
 * _.has(object, 'a');
 * // => true
 *
 * _.has(object, 'a.b');
 * // => true
 *
 * _.has(object, ['a', 'b']);
 * // => true
 *
 * _.has(other, 'a');
 * // => false
 */
function has(object, path) {
  return object != null && hasPath(object, path, baseHas);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$8 = Math.max,
    nativeMin$5 = Math.min;

/**
 * The base implementation of `_.inRange` which doesn't coerce arguments.
 *
 * @private
 * @param {number} number The number to check.
 * @param {number} start The start of the range.
 * @param {number} end The end of the range.
 * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
 */
function baseInRange(number, start, end) {
  return number >= nativeMin$5(start, end) && number < nativeMax$8(start, end);
}

/**
 * Checks if `n` is between `start` and up to, but not including, `end`. If
 * `end` is not specified, it's set to `start` with `start` then set to `0`.
 * If `start` is greater than `end` the params are swapped to support
 * negative ranges.
 *
 * @static
 * @memberOf _
 * @since 3.3.0
 * @category Number
 * @param {number} number The number to check.
 * @param {number} [start=0] The start of the range.
 * @param {number} end The end of the range.
 * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
 * @see _.range, _.rangeRight
 * @example
 *
 * _.inRange(3, 2, 4);
 * // => true
 *
 * _.inRange(4, 8);
 * // => true
 *
 * _.inRange(4, 2);
 * // => false
 *
 * _.inRange(2, 2);
 * // => false
 *
 * _.inRange(1.2, 2);
 * // => true
 *
 * _.inRange(5.2, 4);
 * // => false
 *
 * _.inRange(-3, -2, -6);
 * // => true
 */
function inRange(number, start, end) {
  start = toFinite(start);
  if (end === undefined) {
    end = start;
    start = 0;
  } else {
    end = toFinite(end);
  }
  number = toNumber(number);
  return baseInRange(number, start, end);
}

/** `Object#toString` result references. */
var stringTag$4 = '[object String]';

/**
 * Checks if `value` is classified as a `String` primitive or object.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a string, else `false`.
 * @example
 *
 * _.isString('abc');
 * // => true
 *
 * _.isString(1);
 * // => false
 */
function isString(value) {
  return typeof value == 'string' ||
    (!isArray(value) && isObjectLike(value) && baseGetTag(value) == stringTag$4);
}

/**
 * The base implementation of `_.values` and `_.valuesIn` which creates an
 * array of `object` property values corresponding to the property names
 * of `props`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array} props The property names to get values for.
 * @returns {Object} Returns the array of property values.
 */
function baseValues(object, props) {
  return arrayMap(props, function(key) {
    return object[key];
  });
}

/**
 * Creates an array of the own enumerable string keyed property values of `object`.
 *
 * **Note:** Non-object values are coerced to objects.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property values.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.values(new Foo);
 * // => [1, 2] (iteration order is not guaranteed)
 *
 * _.values('hi');
 * // => ['h', 'i']
 */
function values(object) {
  return object == null ? [] : baseValues(object, keys(object));
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$9 = Math.max;

/**
 * Checks if `value` is in `collection`. If `collection` is a string, it's
 * checked for a substring of `value`, otherwise
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * is used for equality comparisons. If `fromIndex` is negative, it's used as
 * the offset from the end of `collection`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object|string} collection The collection to inspect.
 * @param {*} value The value to search for.
 * @param {number} [fromIndex=0] The index to search from.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
 * @returns {boolean} Returns `true` if `value` is found, else `false`.
 * @example
 *
 * _.includes([1, 2, 3], 1);
 * // => true
 *
 * _.includes([1, 2, 3], 1, 2);
 * // => false
 *
 * _.includes({ 'a': 1, 'b': 2 }, 1);
 * // => true
 *
 * _.includes('abcd', 'bc');
 * // => true
 */
function includes(collection, value, fromIndex, guard) {
  collection = isArrayLike(collection) ? collection : values(collection);
  fromIndex = (fromIndex && !guard) ? toInteger(fromIndex) : 0;

  var length = collection.length;
  if (fromIndex < 0) {
    fromIndex = nativeMax$9(length + fromIndex, 0);
  }
  return isString(collection)
    ? (fromIndex <= length && collection.indexOf(value, fromIndex) > -1)
    : (!!length && baseIndexOf(collection, value, fromIndex) > -1);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$a = Math.max;

/**
 * Gets the index at which the first occurrence of `value` is found in `array`
 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons. If `fromIndex` is negative, it's used as the
 * offset from the end of `array`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @param {number} [fromIndex=0] The index to search from.
 * @returns {number} Returns the index of the matched value, else `-1`.
 * @example
 *
 * _.indexOf([1, 2, 1, 2], 2);
 * // => 1
 *
 * // Search from the `fromIndex`.
 * _.indexOf([1, 2, 1, 2], 2, 2);
 * // => 3
 */
function indexOf(array, value, fromIndex) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return -1;
  }
  var index = fromIndex == null ? 0 : toInteger(fromIndex);
  if (index < 0) {
    index = nativeMax$a(length + index, 0);
  }
  return baseIndexOf(array, value, index);
}

/**
 * Gets all but the last element of `array`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to query.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * _.initial([1, 2, 3]);
 * // => [1, 2]
 */
function initial(array) {
  var length = array == null ? 0 : array.length;
  return length ? baseSlice(array, 0, -1) : [];
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin$6 = Math.min;

/**
 * The base implementation of methods like `_.intersection`, without support
 * for iteratee shorthands, that accepts an array of arrays to inspect.
 *
 * @private
 * @param {Array} arrays The arrays to inspect.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of shared values.
 */
function baseIntersection(arrays, iteratee, comparator) {
  var includes = comparator ? arrayIncludesWith : arrayIncludes,
      length = arrays[0].length,
      othLength = arrays.length,
      othIndex = othLength,
      caches = Array(othLength),
      maxLength = Infinity,
      result = [];

  while (othIndex--) {
    var array = arrays[othIndex];
    if (othIndex && iteratee) {
      array = arrayMap(array, baseUnary(iteratee));
    }
    maxLength = nativeMin$6(array.length, maxLength);
    caches[othIndex] = !comparator && (iteratee || (length >= 120 && array.length >= 120))
      ? new SetCache(othIndex && array)
      : undefined;
  }
  array = arrays[0];

  var index = -1,
      seen = caches[0];

  outer:
  while (++index < length && result.length < maxLength) {
    var value = array[index],
        computed = iteratee ? iteratee(value) : value;

    value = (comparator || value !== 0) ? value : 0;
    if (!(seen
          ? cacheHas(seen, computed)
          : includes(result, computed, comparator)
        )) {
      othIndex = othLength;
      while (--othIndex) {
        var cache = caches[othIndex];
        if (!(cache
              ? cacheHas(cache, computed)
              : includes(arrays[othIndex], computed, comparator))
            ) {
          continue outer;
        }
      }
      if (seen) {
        seen.push(computed);
      }
      result.push(value);
    }
  }
  return result;
}

/**
 * Casts `value` to an empty array if it's not an array like object.
 *
 * @private
 * @param {*} value The value to inspect.
 * @returns {Array|Object} Returns the cast array-like object.
 */
function castArrayLikeObject(value) {
  return isArrayLikeObject(value) ? value : [];
}

/**
 * Creates an array of unique values that are included in all given arrays
 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons. The order and references of result values are
 * determined by the first array.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @returns {Array} Returns the new array of intersecting values.
 * @example
 *
 * _.intersection([2, 1], [2, 3]);
 * // => [2]
 */
var intersection = baseRest(function(arrays) {
  var mapped = arrayMap(arrays, castArrayLikeObject);
  return (mapped.length && mapped[0] === arrays[0])
    ? baseIntersection(mapped)
    : [];
});

/**
 * This method is like `_.intersection` except that it accepts `iteratee`
 * which is invoked for each element of each `arrays` to generate the criterion
 * by which they're compared. The order and references of result values are
 * determined by the first array. The iteratee is invoked with one argument:
 * (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Array} Returns the new array of intersecting values.
 * @example
 *
 * _.intersectionBy([2.1, 1.2], [2.3, 3.4], Math.floor);
 * // => [2.1]
 *
 * // The `_.property` iteratee shorthand.
 * _.intersectionBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
 * // => [{ 'x': 1 }]
 */
var intersectionBy = baseRest(function(arrays) {
  var iteratee = last(arrays),
      mapped = arrayMap(arrays, castArrayLikeObject);

  if (iteratee === last(mapped)) {
    iteratee = undefined;
  } else {
    mapped.pop();
  }
  return (mapped.length && mapped[0] === arrays[0])
    ? baseIntersection(mapped, baseIteratee(iteratee, 2))
    : [];
});

/**
 * This method is like `_.intersection` except that it accepts `comparator`
 * which is invoked to compare elements of `arrays`. The order and references
 * of result values are determined by the first array. The comparator is
 * invoked with two arguments: (arrVal, othVal).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of intersecting values.
 * @example
 *
 * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
 * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
 *
 * _.intersectionWith(objects, others, _.isEqual);
 * // => [{ 'x': 1, 'y': 2 }]
 */
var intersectionWith = baseRest(function(arrays) {
  var comparator = last(arrays),
      mapped = arrayMap(arrays, castArrayLikeObject);

  comparator = typeof comparator == 'function' ? comparator : undefined;
  if (comparator) {
    mapped.pop();
  }
  return (mapped.length && mapped[0] === arrays[0])
    ? baseIntersection(mapped, undefined, comparator)
    : [];
});

/**
 * The base implementation of `_.invert` and `_.invertBy` which inverts
 * `object` with values transformed by `iteratee` and set by `setter`.
 *
 * @private
 * @param {Object} object The object to iterate over.
 * @param {Function} setter The function to set `accumulator` values.
 * @param {Function} iteratee The iteratee to transform values.
 * @param {Object} accumulator The initial inverted object.
 * @returns {Function} Returns `accumulator`.
 */
function baseInverter(object, setter, iteratee, accumulator) {
  baseForOwn(object, function(value, key, object) {
    setter(accumulator, iteratee(value), key, object);
  });
  return accumulator;
}

/**
 * Creates a function like `_.invertBy`.
 *
 * @private
 * @param {Function} setter The function to set accumulator values.
 * @param {Function} toIteratee The function to resolve iteratees.
 * @returns {Function} Returns the new inverter function.
 */
function createInverter(setter, toIteratee) {
  return function(object, iteratee) {
    return baseInverter(object, setter, toIteratee(iteratee), {});
  };
}

/** Used for built-in method references. */
var objectProto$n = Object.prototype;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString$2 = objectProto$n.toString;

/**
 * Creates an object composed of the inverted keys and values of `object`.
 * If `object` contains duplicate values, subsequent values overwrite
 * property assignments of previous values.
 *
 * @static
 * @memberOf _
 * @since 0.7.0
 * @category Object
 * @param {Object} object The object to invert.
 * @returns {Object} Returns the new inverted object.
 * @example
 *
 * var object = { 'a': 1, 'b': 2, 'c': 1 };
 *
 * _.invert(object);
 * // => { '1': 'c', '2': 'b' }
 */
var invert = createInverter(function(result, value, key) {
  if (value != null &&
      typeof value.toString != 'function') {
    value = nativeObjectToString$2.call(value);
  }

  result[value] = key;
}, constant(identity));

/** Used for built-in method references. */
var objectProto$o = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$k = objectProto$o.hasOwnProperty;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString$3 = objectProto$o.toString;

/**
 * This method is like `_.invert` except that the inverted object is generated
 * from the results of running each element of `object` thru `iteratee`. The
 * corresponding inverted value of each inverted key is an array of keys
 * responsible for generating the inverted value. The iteratee is invoked
 * with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.1.0
 * @category Object
 * @param {Object} object The object to invert.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Object} Returns the new inverted object.
 * @example
 *
 * var object = { 'a': 1, 'b': 2, 'c': 1 };
 *
 * _.invertBy(object);
 * // => { '1': ['a', 'c'], '2': ['b'] }
 *
 * _.invertBy(object, function(value) {
 *   return 'group' + value;
 * });
 * // => { 'group1': ['a', 'c'], 'group2': ['b'] }
 */
var invertBy = createInverter(function(result, value, key) {
  if (value != null &&
      typeof value.toString != 'function') {
    value = nativeObjectToString$3.call(value);
  }

  if (hasOwnProperty$k.call(result, value)) {
    result[value].push(key);
  } else {
    result[value] = [key];
  }
}, baseIteratee);

/**
 * Gets the parent value at `path` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array} path The path to get the parent value of.
 * @returns {*} Returns the parent value.
 */
function parent(object, path) {
  return path.length < 2 ? object : baseGet(object, baseSlice(path, 0, -1));
}

/**
 * The base implementation of `_.invoke` without support for individual
 * method arguments.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the method to invoke.
 * @param {Array} args The arguments to invoke the method with.
 * @returns {*} Returns the result of the invoked method.
 */
function baseInvoke(object, path, args) {
  path = castPath(path, object);
  object = parent(object, path);
  var func = object == null ? object : object[toKey(last(path))];
  return func == null ? undefined : apply(func, object, args);
}

/**
 * Invokes the method at `path` of `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the method to invoke.
 * @param {...*} [args] The arguments to invoke the method with.
 * @returns {*} Returns the result of the invoked method.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': [1, 2, 3, 4] } }] };
 *
 * _.invoke(object, 'a[0].b.c.slice', 1, 3);
 * // => [2, 3]
 */
var invoke = baseRest(baseInvoke);

/**
 * Invokes the method at `path` of each element in `collection`, returning
 * an array of the results of each invoked method. Any additional arguments
 * are provided to each invoked method. If `path` is a function, it's invoked
 * for, and `this` bound to, each element in `collection`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Array|Function|string} path The path of the method to invoke or
 *  the function invoked per iteration.
 * @param {...*} [args] The arguments to invoke each method with.
 * @returns {Array} Returns the array of results.
 * @example
 *
 * _.invokeMap([[5, 1, 7], [3, 2, 1]], 'sort');
 * // => [[1, 5, 7], [1, 2, 3]]
 *
 * _.invokeMap([123, 456], String.prototype.split, '');
 * // => [['1', '2', '3'], ['4', '5', '6']]
 */
var invokeMap = baseRest(function(collection, path, args) {
  var index = -1,
      isFunc = typeof path == 'function',
      result = isArrayLike(collection) ? Array(collection.length) : [];

  baseEach(collection, function(value) {
    result[++index] = isFunc ? apply(path, value, args) : baseInvoke(value, path, args);
  });
  return result;
});

var arrayBufferTag$4 = '[object ArrayBuffer]';

/**
 * The base implementation of `_.isArrayBuffer` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
 */
function baseIsArrayBuffer(value) {
  return isObjectLike(value) && baseGetTag(value) == arrayBufferTag$4;
}

/* Node.js helper references. */
var nodeIsArrayBuffer = nodeUtil && nodeUtil.isArrayBuffer;

/**
 * Checks if `value` is classified as an `ArrayBuffer` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
 * @example
 *
 * _.isArrayBuffer(new ArrayBuffer(2));
 * // => true
 *
 * _.isArrayBuffer(new Array(2));
 * // => false
 */
var isArrayBuffer = nodeIsArrayBuffer ? baseUnary(nodeIsArrayBuffer) : baseIsArrayBuffer;

/** `Object#toString` result references. */
var boolTag$4 = '[object Boolean]';

/**
 * Checks if `value` is classified as a boolean primitive or object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a boolean, else `false`.
 * @example
 *
 * _.isBoolean(false);
 * // => true
 *
 * _.isBoolean(null);
 * // => false
 */
function isBoolean(value) {
  return value === true || value === false ||
    (isObjectLike(value) && baseGetTag(value) == boolTag$4);
}

/** `Object#toString` result references. */
var dateTag$4 = '[object Date]';

/**
 * The base implementation of `_.isDate` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
 */
function baseIsDate(value) {
  return isObjectLike(value) && baseGetTag(value) == dateTag$4;
}

/* Node.js helper references. */
var nodeIsDate = nodeUtil && nodeUtil.isDate;

/**
 * Checks if `value` is classified as a `Date` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
 * @example
 *
 * _.isDate(new Date);
 * // => true
 *
 * _.isDate('Mon April 23 2012');
 * // => false
 */
var isDate = nodeIsDate ? baseUnary(nodeIsDate) : baseIsDate;

/**
 * Checks if `value` is likely a DOM element.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a DOM element, else `false`.
 * @example
 *
 * _.isElement(document.body);
 * // => true
 *
 * _.isElement('<body>');
 * // => false
 */
function isElement(value) {
  return isObjectLike(value) && value.nodeType === 1 && !isPlainObject(value);
}

/** `Object#toString` result references. */
var mapTag$7 = '[object Map]',
    setTag$7 = '[object Set]';

/** Used for built-in method references. */
var objectProto$p = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$l = objectProto$p.hasOwnProperty;

/**
 * Checks if `value` is an empty object, collection, map, or set.
 *
 * Objects are considered empty if they have no own enumerable string keyed
 * properties.
 *
 * Array-like values such as `arguments` objects, arrays, buffers, strings, or
 * jQuery-like collections are considered empty if they have a `length` of `0`.
 * Similarly, maps and sets are considered empty if they have a `size` of `0`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is empty, else `false`.
 * @example
 *
 * _.isEmpty(null);
 * // => true
 *
 * _.isEmpty(true);
 * // => true
 *
 * _.isEmpty(1);
 * // => true
 *
 * _.isEmpty([1, 2, 3]);
 * // => false
 *
 * _.isEmpty({ 'a': 1 });
 * // => false
 */
function isEmpty(value) {
  if (value == null) {
    return true;
  }
  if (isArrayLike(value) &&
      (isArray(value) || typeof value == 'string' || typeof value.splice == 'function' ||
        isBuffer(value) || isTypedArray(value) || isArguments(value))) {
    return !value.length;
  }
  var tag = getTag$1(value);
  if (tag == mapTag$7 || tag == setTag$7) {
    return !value.size;
  }
  if (isPrototype(value)) {
    return !baseKeys(value).length;
  }
  for (var key in value) {
    if (hasOwnProperty$l.call(value, key)) {
      return false;
    }
  }
  return true;
}

/**
 * Performs a deep comparison between two values to determine if they are
 * equivalent.
 *
 * **Note:** This method supports comparing arrays, array buffers, booleans,
 * date objects, error objects, maps, numbers, `Object` objects, regexes,
 * sets, strings, symbols, and typed arrays. `Object` objects are compared
 * by their own, not inherited, enumerable properties. Functions and DOM
 * nodes are compared by strict equality, i.e. `===`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 * @example
 *
 * var object = { 'a': 1 };
 * var other = { 'a': 1 };
 *
 * _.isEqual(object, other);
 * // => true
 *
 * object === other;
 * // => false
 */
function isEqual(value, other) {
  return baseIsEqual(value, other);
}

/**
 * This method is like `_.isEqual` except that it accepts `customizer` which
 * is invoked to compare values. If `customizer` returns `undefined`, comparisons
 * are handled by the method instead. The `customizer` is invoked with up to
 * six arguments: (objValue, othValue [, index|key, object, other, stack]).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @param {Function} [customizer] The function to customize comparisons.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 * @example
 *
 * function isGreeting(value) {
 *   return /^h(?:i|ello)$/.test(value);
 * }
 *
 * function customizer(objValue, othValue) {
 *   if (isGreeting(objValue) && isGreeting(othValue)) {
 *     return true;
 *   }
 * }
 *
 * var array = ['hello', 'goodbye'];
 * var other = ['hi', 'goodbye'];
 *
 * _.isEqualWith(array, other, customizer);
 * // => true
 */
function isEqualWith(value, other, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  var result = customizer ? customizer(value, other) : undefined;
  return result === undefined ? baseIsEqual(value, other, undefined, customizer) : !!result;
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeIsFinite$1 = root.isFinite;

/**
 * Checks if `value` is a finite primitive number.
 *
 * **Note:** This method is based on
 * [`Number.isFinite`](https://mdn.io/Number/isFinite).
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a finite number, else `false`.
 * @example
 *
 * _.isFinite(3);
 * // => true
 *
 * _.isFinite(Number.MIN_VALUE);
 * // => true
 *
 * _.isFinite(Infinity);
 * // => false
 *
 * _.isFinite('3');
 * // => false
 */
function isFinite(value) {
  return typeof value == 'number' && nativeIsFinite$1(value);
}

/**
 * Checks if `value` is an integer.
 *
 * **Note:** This method is based on
 * [`Number.isInteger`](https://mdn.io/Number/isInteger).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an integer, else `false`.
 * @example
 *
 * _.isInteger(3);
 * // => true
 *
 * _.isInteger(Number.MIN_VALUE);
 * // => false
 *
 * _.isInteger(Infinity);
 * // => false
 *
 * _.isInteger('3');
 * // => false
 */
function isInteger(value) {
  return typeof value == 'number' && value == toInteger(value);
}

/**
 * Performs a partial deep comparison between `object` and `source` to
 * determine if `object` contains equivalent property values.
 *
 * **Note:** This method is equivalent to `_.matches` when `source` is
 * partially applied.
 *
 * Partial comparisons will match empty array and empty object `source`
 * values against any array or object value, respectively. See `_.isEqual`
 * for a list of supported value comparisons.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Lang
 * @param {Object} object The object to inspect.
 * @param {Object} source The object of property values to match.
 * @returns {boolean} Returns `true` if `object` is a match, else `false`.
 * @example
 *
 * var object = { 'a': 1, 'b': 2 };
 *
 * _.isMatch(object, { 'b': 2 });
 * // => true
 *
 * _.isMatch(object, { 'b': 1 });
 * // => false
 */
function isMatch(object, source) {
  return object === source || baseIsMatch(object, source, getMatchData(source));
}

/**
 * This method is like `_.isMatch` except that it accepts `customizer` which
 * is invoked to compare values. If `customizer` returns `undefined`, comparisons
 * are handled by the method instead. The `customizer` is invoked with five
 * arguments: (objValue, srcValue, index|key, object, source).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {Object} object The object to inspect.
 * @param {Object} source The object of property values to match.
 * @param {Function} [customizer] The function to customize comparisons.
 * @returns {boolean} Returns `true` if `object` is a match, else `false`.
 * @example
 *
 * function isGreeting(value) {
 *   return /^h(?:i|ello)$/.test(value);
 * }
 *
 * function customizer(objValue, srcValue) {
 *   if (isGreeting(objValue) && isGreeting(srcValue)) {
 *     return true;
 *   }
 * }
 *
 * var object = { 'greeting': 'hello' };
 * var source = { 'greeting': 'hi' };
 *
 * _.isMatchWith(object, source, customizer);
 * // => true
 */
function isMatchWith(object, source, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  return baseIsMatch(object, source, getMatchData(source), customizer);
}

/** `Object#toString` result references. */
var numberTag$4 = '[object Number]';

/**
 * Checks if `value` is classified as a `Number` primitive or object.
 *
 * **Note:** To exclude `Infinity`, `-Infinity`, and `NaN`, which are
 * classified as numbers, use the `_.isFinite` method.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a number, else `false`.
 * @example
 *
 * _.isNumber(3);
 * // => true
 *
 * _.isNumber(Number.MIN_VALUE);
 * // => true
 *
 * _.isNumber(Infinity);
 * // => true
 *
 * _.isNumber('3');
 * // => false
 */
function isNumber(value) {
  return typeof value == 'number' ||
    (isObjectLike(value) && baseGetTag(value) == numberTag$4);
}

/**
 * Checks if `value` is `NaN`.
 *
 * **Note:** This method is based on
 * [`Number.isNaN`](https://mdn.io/Number/isNaN) and is not the same as
 * global [`isNaN`](https://mdn.io/isNaN) which returns `true` for
 * `undefined` and other non-number values.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
 * @example
 *
 * _.isNaN(NaN);
 * // => true
 *
 * _.isNaN(new Number(NaN));
 * // => true
 *
 * isNaN(undefined);
 * // => true
 *
 * _.isNaN(undefined);
 * // => false
 */
function isNaN(value) {
  // An `NaN` primitive is the only value that is not equal to itself.
  // Perform the `toStringTag` check first to avoid errors with some
  // ActiveX objects in IE.
  return isNumber(value) && value != +value;
}

/**
 * Checks if `func` is capable of being masked.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `func` is maskable, else `false`.
 */
var isMaskable = coreJsData ? isFunction : stubFalse;

/** Error message constants. */
var CORE_ERROR_TEXT = 'Unsupported core-js use. Try https://npms.io/search?q=ponyfill.';

/**
 * Checks if `value` is a pristine native function.
 *
 * **Note:** This method can't reliably detect native functions in the presence
 * of the core-js package because core-js circumvents this kind of detection.
 * Despite multiple requests, the core-js maintainer has made it clear: any
 * attempt to fix the detection will be obstructed. As a result, we're left
 * with little choice but to throw an error. Unfortunately, this also affects
 * packages, like [babel-polyfill](https://www.npmjs.com/package/babel-polyfill),
 * which rely on core-js.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a native function,
 *  else `false`.
 * @example
 *
 * _.isNative(Array.prototype.push);
 * // => true
 *
 * _.isNative(_);
 * // => false
 */
function isNative(value) {
  if (isMaskable(value)) {
    throw new Error(CORE_ERROR_TEXT);
  }
  return baseIsNative(value);
}

/**
 * Checks if `value` is `null` or `undefined`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is nullish, else `false`.
 * @example
 *
 * _.isNil(null);
 * // => true
 *
 * _.isNil(void 0);
 * // => true
 *
 * _.isNil(NaN);
 * // => false
 */
function isNil(value) {
  return value == null;
}

/**
 * Checks if `value` is `null`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is `null`, else `false`.
 * @example
 *
 * _.isNull(null);
 * // => true
 *
 * _.isNull(void 0);
 * // => false
 */
function isNull(value) {
  return value === null;
}

/** `Object#toString` result references. */
var regexpTag$4 = '[object RegExp]';

/**
 * The base implementation of `_.isRegExp` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
 */
function baseIsRegExp(value) {
  return isObjectLike(value) && baseGetTag(value) == regexpTag$4;
}

/* Node.js helper references. */
var nodeIsRegExp = nodeUtil && nodeUtil.isRegExp;

/**
 * Checks if `value` is classified as a `RegExp` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
 * @example
 *
 * _.isRegExp(/abc/);
 * // => true
 *
 * _.isRegExp('/abc/');
 * // => false
 */
var isRegExp = nodeIsRegExp ? baseUnary(nodeIsRegExp) : baseIsRegExp;

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER$2 = 9007199254740991;

/**
 * Checks if `value` is a safe integer. An integer is safe if it's an IEEE-754
 * double precision number which isn't the result of a rounded unsafe integer.
 *
 * **Note:** This method is based on
 * [`Number.isSafeInteger`](https://mdn.io/Number/isSafeInteger).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a safe integer, else `false`.
 * @example
 *
 * _.isSafeInteger(3);
 * // => true
 *
 * _.isSafeInteger(Number.MIN_VALUE);
 * // => false
 *
 * _.isSafeInteger(Infinity);
 * // => false
 *
 * _.isSafeInteger('3');
 * // => false
 */
function isSafeInteger(value) {
  return isInteger(value) && value >= -MAX_SAFE_INTEGER$2 && value <= MAX_SAFE_INTEGER$2;
}

/**
 * Checks if `value` is `undefined`.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is `undefined`, else `false`.
 * @example
 *
 * _.isUndefined(void 0);
 * // => true
 *
 * _.isUndefined(null);
 * // => false
 */
function isUndefined(value) {
  return value === undefined;
}

/** `Object#toString` result references. */
var weakMapTag$3 = '[object WeakMap]';

/**
 * Checks if `value` is classified as a `WeakMap` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a weak map, else `false`.
 * @example
 *
 * _.isWeakMap(new WeakMap);
 * // => true
 *
 * _.isWeakMap(new Map);
 * // => false
 */
function isWeakMap(value) {
  return isObjectLike(value) && getTag$1(value) == weakMapTag$3;
}

/** `Object#toString` result references. */
var weakSetTag = '[object WeakSet]';

/**
 * Checks if `value` is classified as a `WeakSet` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a weak set, else `false`.
 * @example
 *
 * _.isWeakSet(new WeakSet);
 * // => true
 *
 * _.isWeakSet(new Set);
 * // => false
 */
function isWeakSet(value) {
  return isObjectLike(value) && baseGetTag(value) == weakSetTag;
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$4 = 1;

/**
 * Creates a function that invokes `func` with the arguments of the created
 * function. If `func` is a property name, the created function returns the
 * property value for a given element. If `func` is an array or object, the
 * created function returns `true` for elements that contain the equivalent
 * source properties, otherwise it returns `false`.
 *
 * @static
 * @since 4.0.0
 * @memberOf _
 * @category Util
 * @param {*} [func=_.identity] The value to convert to a callback.
 * @returns {Function} Returns the callback.
 * @example
 *
 * var users = [
 *   { 'user': 'barney', 'age': 36, 'active': true },
 *   { 'user': 'fred',   'age': 40, 'active': false }
 * ];
 *
 * // The `_.matches` iteratee shorthand.
 * _.filter(users, _.iteratee({ 'user': 'barney', 'active': true }));
 * // => [{ 'user': 'barney', 'age': 36, 'active': true }]
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.filter(users, _.iteratee(['user', 'fred']));
 * // => [{ 'user': 'fred', 'age': 40 }]
 *
 * // The `_.property` iteratee shorthand.
 * _.map(users, _.iteratee('user'));
 * // => ['barney', 'fred']
 *
 * // Create custom iteratee shorthands.
 * _.iteratee = _.wrap(_.iteratee, function(iteratee, func) {
 *   return !_.isRegExp(func) ? iteratee(func) : function(string) {
 *     return func.test(string);
 *   };
 * });
 *
 * _.filter(['abc', 'def'], /ef/);
 * // => ['def']
 */
function iteratee(func) {
  return baseIteratee(typeof func == 'function' ? func : baseClone(func, CLONE_DEEP_FLAG$4));
}

/** Used for built-in method references. */
var arrayProto$1 = Array.prototype;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeJoin = arrayProto$1.join;

/**
 * Converts all elements in `array` into a string separated by `separator`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to convert.
 * @param {string} [separator=','] The element separator.
 * @returns {string} Returns the joined string.
 * @example
 *
 * _.join(['a', 'b', 'c'], '~');
 * // => 'a~b~c'
 */
function join(array, separator) {
  return array == null ? '' : nativeJoin.call(array, separator);
}

/**
 * Converts `string` to
 * [kebab case](https://en.wikipedia.org/wiki/Letter_case#Special_case_styles).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the kebab cased string.
 * @example
 *
 * _.kebabCase('Foo Bar');
 * // => 'foo-bar'
 *
 * _.kebabCase('fooBar');
 * // => 'foo-bar'
 *
 * _.kebabCase('__FOO_BAR__');
 * // => 'foo-bar'
 */
var kebabCase = createCompounder(function(result, word, index) {
  return result + (index ? '-' : '') + word.toLowerCase();
});

/**
 * Creates an object composed of keys generated from the results of running
 * each element of `collection` thru `iteratee`. The corresponding value of
 * each key is the last element responsible for generating the key. The
 * iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
 * @returns {Object} Returns the composed aggregate object.
 * @example
 *
 * var array = [
 *   { 'dir': 'left', 'code': 97 },
 *   { 'dir': 'right', 'code': 100 }
 * ];
 *
 * _.keyBy(array, function(o) {
 *   return String.fromCharCode(o.code);
 * });
 * // => { 'a': { 'dir': 'left', 'code': 97 }, 'd': { 'dir': 'right', 'code': 100 } }
 *
 * _.keyBy(array, 'dir');
 * // => { 'left': { 'dir': 'left', 'code': 97 }, 'right': { 'dir': 'right', 'code': 100 } }
 */
var keyBy = createAggregator(function(result, value, key) {
  baseAssignValue(result, key, value);
});

/**
 * A specialized version of `_.lastIndexOf` which performs strict equality
 * comparisons of values, i.e. `===`.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @param {number} fromIndex The index to search from.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function strictLastIndexOf(array, value, fromIndex) {
  var index = fromIndex + 1;
  while (index--) {
    if (array[index] === value) {
      return index;
    }
  }
  return index;
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$b = Math.max,
    nativeMin$7 = Math.min;

/**
 * This method is like `_.indexOf` except that it iterates over elements of
 * `array` from right to left.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @param {number} [fromIndex=array.length-1] The index to search from.
 * @returns {number} Returns the index of the matched value, else `-1`.
 * @example
 *
 * _.lastIndexOf([1, 2, 1, 2], 2);
 * // => 3
 *
 * // Search from the `fromIndex`.
 * _.lastIndexOf([1, 2, 1, 2], 2, 2);
 * // => 1
 */
function lastIndexOf(array, value, fromIndex) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return -1;
  }
  var index = length;
  if (fromIndex !== undefined) {
    index = toInteger(fromIndex);
    index = index < 0 ? nativeMax$b(length + index, 0) : nativeMin$7(index, length - 1);
  }
  return value === value
    ? strictLastIndexOf(array, value, index)
    : baseFindIndex(array, baseIsNaN, index, true);
}

/**
 * Converts `string`, as space separated words, to lower case.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the lower cased string.
 * @example
 *
 * _.lowerCase('--Foo-Bar--');
 * // => 'foo bar'
 *
 * _.lowerCase('fooBar');
 * // => 'foo bar'
 *
 * _.lowerCase('__FOO_BAR__');
 * // => 'foo bar'
 */
var lowerCase = createCompounder(function(result, word, index) {
  return result + (index ? ' ' : '') + word.toLowerCase();
});

/**
 * Converts the first character of `string` to lower case.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the converted string.
 * @example
 *
 * _.lowerFirst('Fred');
 * // => 'fred'
 *
 * _.lowerFirst('FRED');
 * // => 'fRED'
 */
var lowerFirst = createCaseFirst('toLowerCase');

/**
 * The base implementation of `_.lt` which doesn't coerce arguments.
 *
 * @private
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if `value` is less than `other`,
 *  else `false`.
 */
function baseLt(value, other) {
  return value < other;
}

/**
 * Checks if `value` is less than `other`.
 *
 * @static
 * @memberOf _
 * @since 3.9.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if `value` is less than `other`,
 *  else `false`.
 * @see _.gt
 * @example
 *
 * _.lt(1, 3);
 * // => true
 *
 * _.lt(3, 3);
 * // => false
 *
 * _.lt(3, 1);
 * // => false
 */
var lt = createRelationalOperation(baseLt);

/**
 * Checks if `value` is less than or equal to `other`.
 *
 * @static
 * @memberOf _
 * @since 3.9.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if `value` is less than or equal to
 *  `other`, else `false`.
 * @see _.gte
 * @example
 *
 * _.lte(1, 3);
 * // => true
 *
 * _.lte(3, 3);
 * // => true
 *
 * _.lte(3, 1);
 * // => false
 */
var lte = createRelationalOperation(function(value, other) {
  return value <= other;
});

/**
 * The opposite of `_.mapValues`; this method creates an object with the
 * same values as `object` and keys generated by running each own enumerable
 * string keyed property of `object` thru `iteratee`. The iteratee is invoked
 * with three arguments: (value, key, object).
 *
 * @static
 * @memberOf _
 * @since 3.8.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Object} Returns the new mapped object.
 * @see _.mapValues
 * @example
 *
 * _.mapKeys({ 'a': 1, 'b': 2 }, function(value, key) {
 *   return key + value;
 * });
 * // => { 'a1': 1, 'b2': 2 }
 */
function mapKeys(object, iteratee) {
  var result = {};
  iteratee = baseIteratee(iteratee, 3);

  baseForOwn(object, function(value, key, object) {
    baseAssignValue(result, iteratee(value, key, object), value);
  });
  return result;
}

/**
 * Creates an object with the same keys as `object` and values generated
 * by running each own enumerable string keyed property of `object` thru
 * `iteratee`. The iteratee is invoked with three arguments:
 * (value, key, object).
 *
 * @static
 * @memberOf _
 * @since 2.4.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Object} Returns the new mapped object.
 * @see _.mapKeys
 * @example
 *
 * var users = {
 *   'fred':    { 'user': 'fred',    'age': 40 },
 *   'pebbles': { 'user': 'pebbles', 'age': 1 }
 * };
 *
 * _.mapValues(users, function(o) { return o.age; });
 * // => { 'fred': 40, 'pebbles': 1 } (iteration order is not guaranteed)
 *
 * // The `_.property` iteratee shorthand.
 * _.mapValues(users, 'age');
 * // => { 'fred': 40, 'pebbles': 1 } (iteration order is not guaranteed)
 */
function mapValues(object, iteratee) {
  var result = {};
  iteratee = baseIteratee(iteratee, 3);

  baseForOwn(object, function(value, key, object) {
    baseAssignValue(result, key, iteratee(value, key, object));
  });
  return result;
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$5 = 1;

/**
 * Creates a function that performs a partial deep comparison between a given
 * object and `source`, returning `true` if the given object has equivalent
 * property values, else `false`.
 *
 * **Note:** The created function is equivalent to `_.isMatch` with `source`
 * partially applied.
 *
 * Partial comparisons will match empty array and empty object `source`
 * values against any array or object value, respectively. See `_.isEqual`
 * for a list of supported value comparisons.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Util
 * @param {Object} source The object of property values to match.
 * @returns {Function} Returns the new spec function.
 * @example
 *
 * var objects = [
 *   { 'a': 1, 'b': 2, 'c': 3 },
 *   { 'a': 4, 'b': 5, 'c': 6 }
 * ];
 *
 * _.filter(objects, _.matches({ 'a': 4, 'c': 6 }));
 * // => [{ 'a': 4, 'b': 5, 'c': 6 }]
 */
function matches(source) {
  return baseMatches(baseClone(source, CLONE_DEEP_FLAG$5));
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$6 = 1;

/**
 * Creates a function that performs a partial deep comparison between the
 * value at `path` of a given object to `srcValue`, returning `true` if the
 * object value is equivalent, else `false`.
 *
 * **Note:** Partial comparisons will match empty array and empty object
 * `srcValue` values against any array or object value, respectively. See
 * `_.isEqual` for a list of supported value comparisons.
 *
 * @static
 * @memberOf _
 * @since 3.2.0
 * @category Util
 * @param {Array|string} path The path of the property to get.
 * @param {*} srcValue The value to match.
 * @returns {Function} Returns the new spec function.
 * @example
 *
 * var objects = [
 *   { 'a': 1, 'b': 2, 'c': 3 },
 *   { 'a': 4, 'b': 5, 'c': 6 }
 * ];
 *
 * _.find(objects, _.matchesProperty('a', 4));
 * // => { 'a': 4, 'b': 5, 'c': 6 }
 */
function matchesProperty(path, srcValue) {
  return baseMatchesProperty(path, baseClone(srcValue, CLONE_DEEP_FLAG$6));
}

/**
 * The base implementation of methods like `_.max` and `_.min` which accepts a
 * `comparator` to determine the extremum value.
 *
 * @private
 * @param {Array} array The array to iterate over.
 * @param {Function} iteratee The iteratee invoked per iteration.
 * @param {Function} comparator The comparator used to compare values.
 * @returns {*} Returns the extremum value.
 */
function baseExtremum(array, iteratee, comparator) {
  var index = -1,
      length = array.length;

  while (++index < length) {
    var value = array[index],
        current = iteratee(value);

    if (current != null && (computed === undefined
          ? (current === current && !isSymbol(current))
          : comparator(current, computed)
        )) {
      var computed = current,
          result = value;
    }
  }
  return result;
}

/**
 * Computes the maximum value of `array`. If `array` is empty or falsey,
 * `undefined` is returned.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {*} Returns the maximum value.
 * @example
 *
 * _.max([4, 2, 8, 6]);
 * // => 8
 *
 * _.max([]);
 * // => undefined
 */
function max(array) {
  return (array && array.length)
    ? baseExtremum(array, identity, baseGt)
    : undefined;
}

/**
 * This method is like `_.max` except that it accepts `iteratee` which is
 * invoked for each element in `array` to generate the criterion by which
 * the value is ranked. The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {*} Returns the maximum value.
 * @example
 *
 * var objects = [{ 'n': 1 }, { 'n': 2 }];
 *
 * _.maxBy(objects, function(o) { return o.n; });
 * // => { 'n': 2 }
 *
 * // The `_.property` iteratee shorthand.
 * _.maxBy(objects, 'n');
 * // => { 'n': 2 }
 */
function maxBy(array, iteratee) {
  return (array && array.length)
    ? baseExtremum(array, baseIteratee(iteratee, 2), baseGt)
    : undefined;
}

/**
 * The base implementation of `_.sum` and `_.sumBy` without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {number} Returns the sum.
 */
function baseSum(array, iteratee) {
  var result,
      index = -1,
      length = array.length;

  while (++index < length) {
    var current = iteratee(array[index]);
    if (current !== undefined) {
      result = result === undefined ? current : (result + current);
    }
  }
  return result;
}

/** Used as references for various `Number` constants. */
var NAN$2 = 0 / 0;

/**
 * The base implementation of `_.mean` and `_.meanBy` without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {number} Returns the mean.
 */
function baseMean(array, iteratee) {
  var length = array == null ? 0 : array.length;
  return length ? (baseSum(array, iteratee) / length) : NAN$2;
}

/**
 * Computes the mean of the values in `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {number} Returns the mean.
 * @example
 *
 * _.mean([4, 2, 8, 6]);
 * // => 5
 */
function mean(array) {
  return baseMean(array, identity);
}

/**
 * This method is like `_.mean` except that it accepts `iteratee` which is
 * invoked for each element in `array` to generate the value to be averaged.
 * The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.7.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {number} Returns the mean.
 * @example
 *
 * var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];
 *
 * _.meanBy(objects, function(o) { return o.n; });
 * // => 5
 *
 * // The `_.property` iteratee shorthand.
 * _.meanBy(objects, 'n');
 * // => 5
 */
function meanBy(array, iteratee) {
  return baseMean(array, baseIteratee(iteratee, 2));
}

/**
 * This method is like `_.assign` except that it recursively merges own and
 * inherited enumerable string keyed properties of source objects into the
 * destination object. Source properties that resolve to `undefined` are
 * skipped if a destination value exists. Array and plain object properties
 * are merged recursively. Other objects and value types are overridden by
 * assignment. Source objects are applied from left to right. Subsequent
 * sources overwrite property assignments of previous sources.
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 0.5.0
 * @category Object
 * @param {Object} object The destination object.
 * @param {...Object} [sources] The source objects.
 * @returns {Object} Returns `object`.
 * @example
 *
 * var object = {
 *   'a': [{ 'b': 2 }, { 'd': 4 }]
 * };
 *
 * var other = {
 *   'a': [{ 'c': 3 }, { 'e': 5 }]
 * };
 *
 * _.merge(object, other);
 * // => { 'a': [{ 'b': 2, 'c': 3 }, { 'd': 4, 'e': 5 }] }
 */
var merge = createAssigner(function(object, source, srcIndex) {
  baseMerge(object, source, srcIndex);
});

/**
 * Creates a function that invokes the method at `path` of a given object.
 * Any additional arguments are provided to the invoked method.
 *
 * @static
 * @memberOf _
 * @since 3.7.0
 * @category Util
 * @param {Array|string} path The path of the method to invoke.
 * @param {...*} [args] The arguments to invoke the method with.
 * @returns {Function} Returns the new invoker function.
 * @example
 *
 * var objects = [
 *   { 'a': { 'b': _.constant(2) } },
 *   { 'a': { 'b': _.constant(1) } }
 * ];
 *
 * _.map(objects, _.method('a.b'));
 * // => [2, 1]
 *
 * _.map(objects, _.method(['a', 'b']));
 * // => [2, 1]
 */
var method = baseRest(function(path, args) {
  return function(object) {
    return baseInvoke(object, path, args);
  };
});

/**
 * The opposite of `_.method`; this method creates a function that invokes
 * the method at a given path of `object`. Any additional arguments are
 * provided to the invoked method.
 *
 * @static
 * @memberOf _
 * @since 3.7.0
 * @category Util
 * @param {Object} object The object to query.
 * @param {...*} [args] The arguments to invoke the method with.
 * @returns {Function} Returns the new invoker function.
 * @example
 *
 * var array = _.times(3, _.constant),
 *     object = { 'a': array, 'b': array, 'c': array };
 *
 * _.map(['a[2]', 'c[0]'], _.methodOf(object));
 * // => [2, 0]
 *
 * _.map([['a', '2'], ['c', '0']], _.methodOf(object));
 * // => [2, 0]
 */
var methodOf = baseRest(function(object, args) {
  return function(path) {
    return baseInvoke(object, path, args);
  };
});

/**
 * Computes the minimum value of `array`. If `array` is empty or falsey,
 * `undefined` is returned.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {*} Returns the minimum value.
 * @example
 *
 * _.min([4, 2, 8, 6]);
 * // => 2
 *
 * _.min([]);
 * // => undefined
 */
function min(array) {
  return (array && array.length)
    ? baseExtremum(array, identity, baseLt)
    : undefined;
}

/**
 * This method is like `_.min` except that it accepts `iteratee` which is
 * invoked for each element in `array` to generate the criterion by which
 * the value is ranked. The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {*} Returns the minimum value.
 * @example
 *
 * var objects = [{ 'n': 1 }, { 'n': 2 }];
 *
 * _.minBy(objects, function(o) { return o.n; });
 * // => { 'n': 1 }
 *
 * // The `_.property` iteratee shorthand.
 * _.minBy(objects, 'n');
 * // => { 'n': 1 }
 */
function minBy(array, iteratee) {
  return (array && array.length)
    ? baseExtremum(array, baseIteratee(iteratee, 2), baseLt)
    : undefined;
}

/**
 * Adds all own enumerable string keyed function properties of a source
 * object to the destination object. If `object` is a function, then methods
 * are added to its prototype as well.
 *
 * **Note:** Use `_.runInContext` to create a pristine `lodash` function to
 * avoid conflicts caused by modifying the original.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Util
 * @param {Function|Object} [object=lodash] The destination object.
 * @param {Object} source The object of functions to add.
 * @param {Object} [options={}] The options object.
 * @param {boolean} [options.chain=true] Specify whether mixins are chainable.
 * @returns {Function|Object} Returns `object`.
 * @example
 *
 * function vowels(string) {
 *   return _.filter(string, function(v) {
 *     return /[aeiou]/i.test(v);
 *   });
 * }
 *
 * _.mixin({ 'vowels': vowels });
 * _.vowels('fred');
 * // => ['e']
 *
 * _('fred').vowels().value();
 * // => ['e']
 *
 * _.mixin({ 'vowels': vowels }, { 'chain': false });
 * _('fred').vowels();
 * // => ['e']
 */
function mixin(object, source, options) {
  var props = keys(source),
      methodNames = baseFunctions(source, props);

  var chain = !(isObject(options) && 'chain' in options) || !!options.chain,
      isFunc = isFunction(object);

  arrayEach(methodNames, function(methodName) {
    var func = source[methodName];
    object[methodName] = func;
    if (isFunc) {
      object.prototype[methodName] = function() {
        var chainAll = this.__chain__;
        if (chain || chainAll) {
          var result = object(this.__wrapped__),
              actions = result.__actions__ = copyArray(this.__actions__);

          actions.push({ 'func': func, 'args': arguments, 'thisArg': object });
          result.__chain__ = chainAll;
          return result;
        }
        return func.apply(object, arrayPush([this.value()], arguments));
      };
    }
  });

  return object;
}

/**
 * Multiply two numbers.
 *
 * @static
 * @memberOf _
 * @since 4.7.0
 * @category Math
 * @param {number} multiplier The first number in a multiplication.
 * @param {number} multiplicand The second number in a multiplication.
 * @returns {number} Returns the product.
 * @example
 *
 * _.multiply(6, 4);
 * // => 24
 */
var multiply = createMathOperation(function(multiplier, multiplicand) {
  return multiplier * multiplicand;
}, 1);

/** Error message constants. */
var FUNC_ERROR_TEXT$8 = 'Expected a function';

/**
 * Creates a function that negates the result of the predicate `func`. The
 * `func` predicate is invoked with the `this` binding and arguments of the
 * created function.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Function
 * @param {Function} predicate The predicate to negate.
 * @returns {Function} Returns the new negated function.
 * @example
 *
 * function isEven(n) {
 *   return n % 2 == 0;
 * }
 *
 * _.filter([1, 2, 3, 4, 5, 6], _.negate(isEven));
 * // => [1, 3, 5]
 */
function negate(predicate) {
  if (typeof predicate != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$8);
  }
  return function() {
    var args = arguments;
    switch (args.length) {
      case 0: return !predicate.call(this);
      case 1: return !predicate.call(this, args[0]);
      case 2: return !predicate.call(this, args[0], args[1]);
      case 3: return !predicate.call(this, args[0], args[1], args[2]);
    }
    return !predicate.apply(this, args);
  };
}

/**
 * Converts `iterator` to an array.
 *
 * @private
 * @param {Object} iterator The iterator to convert.
 * @returns {Array} Returns the converted array.
 */
function iteratorToArray(iterator) {
  var data,
      result = [];

  while (!(data = iterator.next()).done) {
    result.push(data.value);
  }
  return result;
}

/** `Object#toString` result references. */
var mapTag$8 = '[object Map]',
    setTag$8 = '[object Set]';

/** Built-in value references. */
var symIterator = Symbol ? Symbol.iterator : undefined;

/**
 * Converts `value` to an array.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {Array} Returns the converted array.
 * @example
 *
 * _.toArray({ 'a': 1, 'b': 2 });
 * // => [1, 2]
 *
 * _.toArray('abc');
 * // => ['a', 'b', 'c']
 *
 * _.toArray(1);
 * // => []
 *
 * _.toArray(null);
 * // => []
 */
function toArray(value) {
  if (!value) {
    return [];
  }
  if (isArrayLike(value)) {
    return isString(value) ? stringToArray(value) : copyArray(value);
  }
  if (symIterator && value[symIterator]) {
    return iteratorToArray(value[symIterator]());
  }
  var tag = getTag$1(value),
      func = tag == mapTag$8 ? mapToArray : (tag == setTag$8 ? setToArray : values);

  return func(value);
}

/**
 * Gets the next value on a wrapped object following the
 * [iterator protocol](https://mdn.io/iteration_protocols#iterator).
 *
 * @name next
 * @memberOf _
 * @since 4.0.0
 * @category Seq
 * @returns {Object} Returns the next iterator value.
 * @example
 *
 * var wrapped = _([1, 2]);
 *
 * wrapped.next();
 * // => { 'done': false, 'value': 1 }
 *
 * wrapped.next();
 * // => { 'done': false, 'value': 2 }
 *
 * wrapped.next();
 * // => { 'done': true, 'value': undefined }
 */
function wrapperNext() {
  if (this.__values__ === undefined) {
    this.__values__ = toArray(this.value());
  }
  var done = this.__index__ >= this.__values__.length,
      value = done ? undefined : this.__values__[this.__index__++];

  return { 'done': done, 'value': value };
}

/**
 * The base implementation of `_.nth` which doesn't coerce arguments.
 *
 * @private
 * @param {Array} array The array to query.
 * @param {number} n The index of the element to return.
 * @returns {*} Returns the nth element of `array`.
 */
function baseNth(array, n) {
  var length = array.length;
  if (!length) {
    return;
  }
  n += n < 0 ? length : 0;
  return isIndex(n, length) ? array[n] : undefined;
}

/**
 * Gets the element at index `n` of `array`. If `n` is negative, the nth
 * element from the end is returned.
 *
 * @static
 * @memberOf _
 * @since 4.11.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {number} [n=0] The index of the element to return.
 * @returns {*} Returns the nth element of `array`.
 * @example
 *
 * var array = ['a', 'b', 'c', 'd'];
 *
 * _.nth(array, 1);
 * // => 'b'
 *
 * _.nth(array, -2);
 * // => 'c';
 */
function nth(array, n) {
  return (array && array.length) ? baseNth(array, toInteger(n)) : undefined;
}

/**
 * Creates a function that gets the argument at index `n`. If `n` is negative,
 * the nth argument from the end is returned.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {number} [n=0] The index of the argument to return.
 * @returns {Function} Returns the new pass-thru function.
 * @example
 *
 * var func = _.nthArg(1);
 * func('a', 'b', 'c', 'd');
 * // => 'b'
 *
 * var func = _.nthArg(-2);
 * func('a', 'b', 'c', 'd');
 * // => 'c'
 */
function nthArg(n) {
  n = toInteger(n);
  return baseRest(function(args) {
    return baseNth(args, n);
  });
}

/**
 * The base implementation of `_.unset`.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {Array|string} path The property path to unset.
 * @returns {boolean} Returns `true` if the property is deleted, else `false`.
 */
function baseUnset(object, path) {
  path = castPath(path, object);
  object = parent(object, path);
  return object == null || delete object[toKey(last(path))];
}

/**
 * Used by `_.omit` to customize its `_.cloneDeep` use to only clone plain
 * objects.
 *
 * @private
 * @param {*} value The value to inspect.
 * @param {string} key The key of the property to inspect.
 * @returns {*} Returns the uncloned value or `undefined` to defer cloning to `_.cloneDeep`.
 */
function customOmitClone(value) {
  return isPlainObject(value) ? undefined : value;
}

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$7 = 1,
    CLONE_FLAT_FLAG$1 = 2,
    CLONE_SYMBOLS_FLAG$5 = 4;

/**
 * The opposite of `_.pick`; this method creates an object composed of the
 * own and inherited enumerable property paths of `object` that are not omitted.
 *
 * **Note:** This method is considerably slower than `_.pick`.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The source object.
 * @param {...(string|string[])} [paths] The property paths to omit.
 * @returns {Object} Returns the new object.
 * @example
 *
 * var object = { 'a': 1, 'b': '2', 'c': 3 };
 *
 * _.omit(object, ['a', 'c']);
 * // => { 'b': '2' }
 */
var omit = flatRest(function(object, paths) {
  var result = {};
  if (object == null) {
    return result;
  }
  var isDeep = false;
  paths = arrayMap(paths, function(path) {
    path = castPath(path, object);
    isDeep || (isDeep = path.length > 1);
    return path;
  });
  copyObject(object, getAllKeysIn(object), result);
  if (isDeep) {
    result = baseClone(result, CLONE_DEEP_FLAG$7 | CLONE_FLAT_FLAG$1 | CLONE_SYMBOLS_FLAG$5, customOmitClone);
  }
  var length = paths.length;
  while (length--) {
    baseUnset(result, paths[length]);
  }
  return result;
});

/**
 * The base implementation of `_.set`.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to set.
 * @param {*} value The value to set.
 * @param {Function} [customizer] The function to customize path creation.
 * @returns {Object} Returns `object`.
 */
function baseSet(object, path, value, customizer) {
  if (!isObject(object)) {
    return object;
  }
  path = castPath(path, object);

  var index = -1,
      length = path.length,
      lastIndex = length - 1,
      nested = object;

  while (nested != null && ++index < length) {
    var key = toKey(path[index]),
        newValue = value;

    if (index != lastIndex) {
      var objValue = nested[key];
      newValue = customizer ? customizer(objValue, key, nested) : undefined;
      if (newValue === undefined) {
        newValue = isObject(objValue)
          ? objValue
          : (isIndex(path[index + 1]) ? [] : {});
      }
    }
    assignValue(nested, key, newValue);
    nested = nested[key];
  }
  return object;
}

/**
 * The base implementation of  `_.pickBy` without support for iteratee shorthands.
 *
 * @private
 * @param {Object} object The source object.
 * @param {string[]} paths The property paths to pick.
 * @param {Function} predicate The function invoked per property.
 * @returns {Object} Returns the new object.
 */
function basePickBy(object, paths, predicate) {
  var index = -1,
      length = paths.length,
      result = {};

  while (++index < length) {
    var path = paths[index],
        value = baseGet(object, path);

    if (predicate(value, path)) {
      baseSet(result, castPath(path, object), value);
    }
  }
  return result;
}

/**
 * Creates an object composed of the `object` properties `predicate` returns
 * truthy for. The predicate is invoked with two arguments: (value, key).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The source object.
 * @param {Function} [predicate=_.identity] The function invoked per property.
 * @returns {Object} Returns the new object.
 * @example
 *
 * var object = { 'a': 1, 'b': '2', 'c': 3 };
 *
 * _.pickBy(object, _.isNumber);
 * // => { 'a': 1, 'c': 3 }
 */
function pickBy(object, predicate) {
  if (object == null) {
    return {};
  }
  var props = arrayMap(getAllKeysIn(object), function(prop) {
    return [prop];
  });
  predicate = baseIteratee(predicate);
  return basePickBy(object, props, function(value, path) {
    return predicate(value, path[0]);
  });
}

/**
 * The opposite of `_.pickBy`; this method creates an object composed of
 * the own and inherited enumerable string keyed properties of `object` that
 * `predicate` doesn't return truthy for. The predicate is invoked with two
 * arguments: (value, key).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The source object.
 * @param {Function} [predicate=_.identity] The function invoked per property.
 * @returns {Object} Returns the new object.
 * @example
 *
 * var object = { 'a': 1, 'b': '2', 'c': 3 };
 *
 * _.omitBy(object, _.isNumber);
 * // => { 'b': '2' }
 */
function omitBy(object, predicate) {
  return pickBy(object, negate(baseIteratee(predicate)));
}

/**
 * Creates a function that is restricted to invoking `func` once. Repeat calls
 * to the function return the value of the first invocation. The `func` is
 * invoked with the `this` binding and arguments of the created function.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to restrict.
 * @returns {Function} Returns the new restricted function.
 * @example
 *
 * var initialize = _.once(createApplication);
 * initialize();
 * initialize();
 * // => `createApplication` is invoked once
 */
function once(func) {
  return before(2, func);
}

/**
 * The base implementation of `_.sortBy` which uses `comparer` to define the
 * sort order of `array` and replaces criteria objects with their corresponding
 * values.
 *
 * @private
 * @param {Array} array The array to sort.
 * @param {Function} comparer The function to define sort order.
 * @returns {Array} Returns `array`.
 */
function baseSortBy(array, comparer) {
  var length = array.length;

  array.sort(comparer);
  while (length--) {
    array[length] = array[length].value;
  }
  return array;
}

/**
 * Compares values to sort them in ascending order.
 *
 * @private
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {number} Returns the sort order indicator for `value`.
 */
function compareAscending(value, other) {
  if (value !== other) {
    var valIsDefined = value !== undefined,
        valIsNull = value === null,
        valIsReflexive = value === value,
        valIsSymbol = isSymbol(value);

    var othIsDefined = other !== undefined,
        othIsNull = other === null,
        othIsReflexive = other === other,
        othIsSymbol = isSymbol(other);

    if ((!othIsNull && !othIsSymbol && !valIsSymbol && value > other) ||
        (valIsSymbol && othIsDefined && othIsReflexive && !othIsNull && !othIsSymbol) ||
        (valIsNull && othIsDefined && othIsReflexive) ||
        (!valIsDefined && othIsReflexive) ||
        !valIsReflexive) {
      return 1;
    }
    if ((!valIsNull && !valIsSymbol && !othIsSymbol && value < other) ||
        (othIsSymbol && valIsDefined && valIsReflexive && !valIsNull && !valIsSymbol) ||
        (othIsNull && valIsDefined && valIsReflexive) ||
        (!othIsDefined && valIsReflexive) ||
        !othIsReflexive) {
      return -1;
    }
  }
  return 0;
}

/**
 * Used by `_.orderBy` to compare multiple properties of a value to another
 * and stable sort them.
 *
 * If `orders` is unspecified, all values are sorted in ascending order. Otherwise,
 * specify an order of "desc" for descending or "asc" for ascending sort order
 * of corresponding values.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {boolean[]|string[]} orders The order to sort by for each property.
 * @returns {number} Returns the sort order indicator for `object`.
 */
function compareMultiple(object, other, orders) {
  var index = -1,
      objCriteria = object.criteria,
      othCriteria = other.criteria,
      length = objCriteria.length,
      ordersLength = orders.length;

  while (++index < length) {
    var result = compareAscending(objCriteria[index], othCriteria[index]);
    if (result) {
      if (index >= ordersLength) {
        return result;
      }
      var order = orders[index];
      return result * (order == 'desc' ? -1 : 1);
    }
  }
  // Fixes an `Array#sort` bug in the JS engine embedded in Adobe applications
  // that causes it, under certain circumstances, to provide the same value for
  // `object` and `other`. See https://github.com/jashkenas/underscore/pull/1247
  // for more details.
  //
  // This also ensures a stable sort in V8 and other engines.
  // See https://bugs.chromium.org/p/v8/issues/detail?id=90 for more details.
  return object.index - other.index;
}

/**
 * The base implementation of `_.orderBy` without param guards.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function[]|Object[]|string[]} iteratees The iteratees to sort by.
 * @param {string[]} orders The sort orders of `iteratees`.
 * @returns {Array} Returns the new sorted array.
 */
function baseOrderBy(collection, iteratees, orders) {
  var index = -1;
  iteratees = arrayMap(iteratees.length ? iteratees : [identity], baseUnary(baseIteratee));

  var result = baseMap(collection, function(value, key, collection) {
    var criteria = arrayMap(iteratees, function(iteratee) {
      return iteratee(value);
    });
    return { 'criteria': criteria, 'index': ++index, 'value': value };
  });

  return baseSortBy(result, function(object, other) {
    return compareMultiple(object, other, orders);
  });
}

/**
 * This method is like `_.sortBy` except that it allows specifying the sort
 * orders of the iteratees to sort by. If `orders` is unspecified, all values
 * are sorted in ascending order. Otherwise, specify an order of "desc" for
 * descending or "asc" for ascending sort order of corresponding values.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Array[]|Function[]|Object[]|string[]} [iteratees=[_.identity]]
 *  The iteratees to sort by.
 * @param {string[]} [orders] The sort orders of `iteratees`.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
 * @returns {Array} Returns the new sorted array.
 * @example
 *
 * var users = [
 *   { 'user': 'fred',   'age': 48 },
 *   { 'user': 'barney', 'age': 34 },
 *   { 'user': 'fred',   'age': 40 },
 *   { 'user': 'barney', 'age': 36 }
 * ];
 *
 * // Sort by `user` in ascending order and by `age` in descending order.
 * _.orderBy(users, ['user', 'age'], ['asc', 'desc']);
 * // => objects for [['barney', 36], ['barney', 34], ['fred', 48], ['fred', 40]]
 */
function orderBy(collection, iteratees, orders, guard) {
  if (collection == null) {
    return [];
  }
  if (!isArray(iteratees)) {
    iteratees = iteratees == null ? [] : [iteratees];
  }
  orders = guard ? undefined : orders;
  if (!isArray(orders)) {
    orders = orders == null ? [] : [orders];
  }
  return baseOrderBy(collection, iteratees, orders);
}

/**
 * Creates a function like `_.over`.
 *
 * @private
 * @param {Function} arrayFunc The function to iterate over iteratees.
 * @returns {Function} Returns the new over function.
 */
function createOver(arrayFunc) {
  return flatRest(function(iteratees) {
    iteratees = arrayMap(iteratees, baseUnary(baseIteratee));
    return baseRest(function(args) {
      var thisArg = this;
      return arrayFunc(iteratees, function(iteratee) {
        return apply(iteratee, thisArg, args);
      });
    });
  });
}

/**
 * Creates a function that invokes `iteratees` with the arguments it receives
 * and returns their results.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {...(Function|Function[])} [iteratees=[_.identity]]
 *  The iteratees to invoke.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var func = _.over([Math.max, Math.min]);
 *
 * func(1, 2, 3, 4);
 * // => [4, 1]
 */
var over = createOver(arrayMap);

/**
 * A `baseRest` alias which can be replaced with `identity` by module
 * replacement plugins.
 *
 * @private
 * @type {Function}
 * @param {Function} func The function to apply a rest parameter to.
 * @returns {Function} Returns the new function.
 */
var castRest = baseRest;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin$8 = Math.min;

/**
 * Creates a function that invokes `func` with its arguments transformed.
 *
 * @static
 * @since 4.0.0
 * @memberOf _
 * @category Function
 * @param {Function} func The function to wrap.
 * @param {...(Function|Function[])} [transforms=[_.identity]]
 *  The argument transforms.
 * @returns {Function} Returns the new function.
 * @example
 *
 * function doubled(n) {
 *   return n * 2;
 * }
 *
 * function square(n) {
 *   return n * n;
 * }
 *
 * var func = _.overArgs(function(x, y) {
 *   return [x, y];
 * }, [square, doubled]);
 *
 * func(9, 3);
 * // => [81, 6]
 *
 * func(10, 5);
 * // => [100, 10]
 */
var overArgs = castRest(function(func, transforms) {
  transforms = (transforms.length == 1 && isArray(transforms[0]))
    ? arrayMap(transforms[0], baseUnary(baseIteratee))
    : arrayMap(baseFlatten(transforms, 1), baseUnary(baseIteratee));

  var funcsLength = transforms.length;
  return baseRest(function(args) {
    var index = -1,
        length = nativeMin$8(args.length, funcsLength);

    while (++index < length) {
      args[index] = transforms[index].call(this, args[index]);
    }
    return apply(func, this, args);
  });
});

/**
 * Creates a function that checks if **all** of the `predicates` return
 * truthy when invoked with the arguments it receives.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {...(Function|Function[])} [predicates=[_.identity]]
 *  The predicates to check.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var func = _.overEvery([Boolean, isFinite]);
 *
 * func('1');
 * // => true
 *
 * func(null);
 * // => false
 *
 * func(NaN);
 * // => false
 */
var overEvery = createOver(arrayEvery);

/**
 * Creates a function that checks if **any** of the `predicates` return
 * truthy when invoked with the arguments it receives.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {...(Function|Function[])} [predicates=[_.identity]]
 *  The predicates to check.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var func = _.overSome([Boolean, isFinite]);
 *
 * func('1');
 * // => true
 *
 * func(null);
 * // => true
 *
 * func(NaN);
 * // => false
 */
var overSome = createOver(arraySome);

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER$3 = 9007199254740991;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeFloor = Math.floor;

/**
 * The base implementation of `_.repeat` which doesn't coerce arguments.
 *
 * @private
 * @param {string} string The string to repeat.
 * @param {number} n The number of times to repeat the string.
 * @returns {string} Returns the repeated string.
 */
function baseRepeat(string, n) {
  var result = '';
  if (!string || n < 1 || n > MAX_SAFE_INTEGER$3) {
    return result;
  }
  // Leverage the exponentiation by squaring algorithm for a faster repeat.
  // See https://en.wikipedia.org/wiki/Exponentiation_by_squaring for more details.
  do {
    if (n % 2) {
      result += string;
    }
    n = nativeFloor(n / 2);
    if (n) {
      string += string;
    }
  } while (n);

  return result;
}

/**
 * Gets the size of an ASCII `string`.
 *
 * @private
 * @param {string} string The string inspect.
 * @returns {number} Returns the string size.
 */
var asciiSize = baseProperty('length');

/** Used to compose unicode character classes. */
var rsAstralRange$3 = '\\ud800-\\udfff',
    rsComboMarksRange$4 = '\\u0300-\\u036f',
    reComboHalfMarksRange$4 = '\\ufe20-\\ufe2f',
    rsComboSymbolsRange$4 = '\\u20d0-\\u20ff',
    rsComboRange$4 = rsComboMarksRange$4 + reComboHalfMarksRange$4 + rsComboSymbolsRange$4,
    rsVarRange$3 = '\\ufe0e\\ufe0f';

/** Used to compose unicode capture groups. */
var rsAstral$1 = '[' + rsAstralRange$3 + ']',
    rsCombo$3 = '[' + rsComboRange$4 + ']',
    rsFitz$2 = '\\ud83c[\\udffb-\\udfff]',
    rsModifier$2 = '(?:' + rsCombo$3 + '|' + rsFitz$2 + ')',
    rsNonAstral$2 = '[^' + rsAstralRange$3 + ']',
    rsRegional$2 = '(?:\\ud83c[\\udde6-\\uddff]){2}',
    rsSurrPair$2 = '[\\ud800-\\udbff][\\udc00-\\udfff]',
    rsZWJ$3 = '\\u200d';

/** Used to compose unicode regexes. */
var reOptMod$2 = rsModifier$2 + '?',
    rsOptVar$2 = '[' + rsVarRange$3 + ']?',
    rsOptJoin$2 = '(?:' + rsZWJ$3 + '(?:' + [rsNonAstral$2, rsRegional$2, rsSurrPair$2].join('|') + ')' + rsOptVar$2 + reOptMod$2 + ')*',
    rsSeq$2 = rsOptVar$2 + reOptMod$2 + rsOptJoin$2,
    rsSymbol$1 = '(?:' + [rsNonAstral$2 + rsCombo$3 + '?', rsCombo$3, rsRegional$2, rsSurrPair$2, rsAstral$1].join('|') + ')';

/** Used to match [string symbols](https://mathiasbynens.be/notes/javascript-unicode). */
var reUnicode$1 = RegExp(rsFitz$2 + '(?=' + rsFitz$2 + ')|' + rsSymbol$1 + rsSeq$2, 'g');

/**
 * Gets the size of a Unicode `string`.
 *
 * @private
 * @param {string} string The string inspect.
 * @returns {number} Returns the string size.
 */
function unicodeSize(string) {
  var result = reUnicode$1.lastIndex = 0;
  while (reUnicode$1.test(string)) {
    ++result;
  }
  return result;
}

/**
 * Gets the number of symbols in `string`.
 *
 * @private
 * @param {string} string The string to inspect.
 * @returns {number} Returns the string size.
 */
function stringSize(string) {
  return hasUnicode(string)
    ? unicodeSize(string)
    : asciiSize(string);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeCeil$1 = Math.ceil;

/**
 * Creates the padding for `string` based on `length`. The `chars` string
 * is truncated if the number of characters exceeds `length`.
 *
 * @private
 * @param {number} length The padding length.
 * @param {string} [chars=' '] The string used as padding.
 * @returns {string} Returns the padding for `string`.
 */
function createPadding(length, chars) {
  chars = chars === undefined ? ' ' : baseToString(chars);

  var charsLength = chars.length;
  if (charsLength < 2) {
    return charsLength ? baseRepeat(chars, length) : chars;
  }
  var result = baseRepeat(chars, nativeCeil$1(length / stringSize(chars)));
  return hasUnicode(chars)
    ? castSlice(stringToArray(result), 0, length).join('')
    : result.slice(0, length);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeCeil$2 = Math.ceil,
    nativeFloor$1 = Math.floor;

/**
 * Pads `string` on the left and right sides if it's shorter than `length`.
 * Padding characters are truncated if they can't be evenly divided by `length`.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to pad.
 * @param {number} [length=0] The padding length.
 * @param {string} [chars=' '] The string used as padding.
 * @returns {string} Returns the padded string.
 * @example
 *
 * _.pad('abc', 8);
 * // => '  abc   '
 *
 * _.pad('abc', 8, '_-');
 * // => '_-abc_-_'
 *
 * _.pad('abc', 3);
 * // => 'abc'
 */
function pad(string, length, chars) {
  string = toString(string);
  length = toInteger(length);

  var strLength = length ? stringSize(string) : 0;
  if (!length || strLength >= length) {
    return string;
  }
  var mid = (length - strLength) / 2;
  return (
    createPadding(nativeFloor$1(mid), chars) +
    string +
    createPadding(nativeCeil$2(mid), chars)
  );
}

/**
 * Pads `string` on the right side if it's shorter than `length`. Padding
 * characters are truncated if they exceed `length`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to pad.
 * @param {number} [length=0] The padding length.
 * @param {string} [chars=' '] The string used as padding.
 * @returns {string} Returns the padded string.
 * @example
 *
 * _.padEnd('abc', 6);
 * // => 'abc   '
 *
 * _.padEnd('abc', 6, '_-');
 * // => 'abc_-_'
 *
 * _.padEnd('abc', 3);
 * // => 'abc'
 */
function padEnd(string, length, chars) {
  string = toString(string);
  length = toInteger(length);

  var strLength = length ? stringSize(string) : 0;
  return (length && strLength < length)
    ? (string + createPadding(length - strLength, chars))
    : string;
}

/**
 * Pads `string` on the left side if it's shorter than `length`. Padding
 * characters are truncated if they exceed `length`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to pad.
 * @param {number} [length=0] The padding length.
 * @param {string} [chars=' '] The string used as padding.
 * @returns {string} Returns the padded string.
 * @example
 *
 * _.padStart('abc', 6);
 * // => '   abc'
 *
 * _.padStart('abc', 6, '_-');
 * // => '_-_abc'
 *
 * _.padStart('abc', 3);
 * // => 'abc'
 */
function padStart(string, length, chars) {
  string = toString(string);
  length = toInteger(length);

  var strLength = length ? stringSize(string) : 0;
  return (length && strLength < length)
    ? (createPadding(length - strLength, chars) + string)
    : string;
}

/** Used to match leading and trailing whitespace. */
var reTrimStart = /^\s+/;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeParseInt = root.parseInt;

/**
 * Converts `string` to an integer of the specified radix. If `radix` is
 * `undefined` or `0`, a `radix` of `10` is used unless `value` is a
 * hexadecimal, in which case a `radix` of `16` is used.
 *
 * **Note:** This method aligns with the
 * [ES5 implementation](https://es5.github.io/#x15.1.2.2) of `parseInt`.
 *
 * @static
 * @memberOf _
 * @since 1.1.0
 * @category String
 * @param {string} string The string to convert.
 * @param {number} [radix=10] The radix to interpret `value` by.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {number} Returns the converted integer.
 * @example
 *
 * _.parseInt('08');
 * // => 8
 *
 * _.map(['6', '08', '10'], _.parseInt);
 * // => [6, 8, 10]
 */
function parseInt$1(string, radix, guard) {
  if (guard || radix == null) {
    radix = 0;
  } else if (radix) {
    radix = +radix;
  }
  return nativeParseInt(toString(string).replace(reTrimStart, ''), radix || 0);
}

/** Used to compose bitmasks for function metadata. */
var WRAP_PARTIAL_FLAG$6 = 32;

/**
 * Creates a function that invokes `func` with `partials` prepended to the
 * arguments it receives. This method is like `_.bind` except it does **not**
 * alter the `this` binding.
 *
 * The `_.partial.placeholder` value, which defaults to `_` in monolithic
 * builds, may be used as a placeholder for partially applied arguments.
 *
 * **Note:** This method doesn't set the "length" property of partially
 * applied functions.
 *
 * @static
 * @memberOf _
 * @since 0.2.0
 * @category Function
 * @param {Function} func The function to partially apply arguments to.
 * @param {...*} [partials] The arguments to be partially applied.
 * @returns {Function} Returns the new partially applied function.
 * @example
 *
 * function greet(greeting, name) {
 *   return greeting + ' ' + name;
 * }
 *
 * var sayHelloTo = _.partial(greet, 'hello');
 * sayHelloTo('fred');
 * // => 'hello fred'
 *
 * // Partially applied with placeholders.
 * var greetFred = _.partial(greet, _, 'fred');
 * greetFred('hi');
 * // => 'hi fred'
 */
var partial = baseRest(function(func, partials) {
  var holders = replaceHolders(partials, getHolder(partial));
  return createWrap(func, WRAP_PARTIAL_FLAG$6, undefined, partials, holders);
});

// Assign default placeholders.
partial.placeholder = {};

/** Used to compose bitmasks for function metadata. */
var WRAP_PARTIAL_RIGHT_FLAG$3 = 64;

/**
 * This method is like `_.partial` except that partially applied arguments
 * are appended to the arguments it receives.
 *
 * The `_.partialRight.placeholder` value, which defaults to `_` in monolithic
 * builds, may be used as a placeholder for partially applied arguments.
 *
 * **Note:** This method doesn't set the "length" property of partially
 * applied functions.
 *
 * @static
 * @memberOf _
 * @since 1.0.0
 * @category Function
 * @param {Function} func The function to partially apply arguments to.
 * @param {...*} [partials] The arguments to be partially applied.
 * @returns {Function} Returns the new partially applied function.
 * @example
 *
 * function greet(greeting, name) {
 *   return greeting + ' ' + name;
 * }
 *
 * var greetFred = _.partialRight(greet, 'fred');
 * greetFred('hi');
 * // => 'hi fred'
 *
 * // Partially applied with placeholders.
 * var sayHelloTo = _.partialRight(greet, 'hello', _);
 * sayHelloTo('fred');
 * // => 'hello fred'
 */
var partialRight = baseRest(function(func, partials) {
  var holders = replaceHolders(partials, getHolder(partialRight));
  return createWrap(func, WRAP_PARTIAL_RIGHT_FLAG$3, undefined, partials, holders);
});

// Assign default placeholders.
partialRight.placeholder = {};

/**
 * Creates an array of elements split into two groups, the first of which
 * contains elements `predicate` returns truthy for, the second of which
 * contains elements `predicate` returns falsey for. The predicate is
 * invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the array of grouped elements.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'age': 36, 'active': false },
 *   { 'user': 'fred',    'age': 40, 'active': true },
 *   { 'user': 'pebbles', 'age': 1,  'active': false }
 * ];
 *
 * _.partition(users, function(o) { return o.active; });
 * // => objects for [['fred'], ['barney', 'pebbles']]
 *
 * // The `_.matches` iteratee shorthand.
 * _.partition(users, { 'age': 1, 'active': false });
 * // => objects for [['pebbles'], ['barney', 'fred']]
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.partition(users, ['active', false]);
 * // => objects for [['barney', 'pebbles'], ['fred']]
 *
 * // The `_.property` iteratee shorthand.
 * _.partition(users, 'active');
 * // => objects for [['fred'], ['barney', 'pebbles']]
 */
var partition = createAggregator(function(result, value, key) {
  result[key ? 0 : 1].push(value);
}, function() { return [[], []]; });

/**
 * The base implementation of `_.pick` without support for individual
 * property identifiers.
 *
 * @private
 * @param {Object} object The source object.
 * @param {string[]} paths The property paths to pick.
 * @returns {Object} Returns the new object.
 */
function basePick(object, paths) {
  return basePickBy(object, paths, function(value, path) {
    return hasIn(object, path);
  });
}

/**
 * Creates an object composed of the picked `object` properties.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The source object.
 * @param {...(string|string[])} [paths] The property paths to pick.
 * @returns {Object} Returns the new object.
 * @example
 *
 * var object = { 'a': 1, 'b': '2', 'c': 3 };
 *
 * _.pick(object, ['a', 'c']);
 * // => { 'a': 1, 'c': 3 }
 */
var pick = flatRest(function(object, paths) {
  return object == null ? {} : basePick(object, paths);
});

/**
 * Creates a clone of the chain sequence planting `value` as the wrapped value.
 *
 * @name plant
 * @memberOf _
 * @since 3.2.0
 * @category Seq
 * @param {*} value The value to plant.
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * function square(n) {
 *   return n * n;
 * }
 *
 * var wrapped = _([1, 2]).map(square);
 * var other = wrapped.plant([3, 4]);
 *
 * other.value();
 * // => [9, 16]
 *
 * wrapped.value();
 * // => [1, 4]
 */
function wrapperPlant(value) {
  var result,
      parent = this;

  while (parent instanceof baseLodash) {
    var clone = wrapperClone(parent);
    clone.__index__ = 0;
    clone.__values__ = undefined;
    if (result) {
      previous.__wrapped__ = clone;
    } else {
      result = clone;
    }
    var previous = clone;
    parent = parent.__wrapped__;
  }
  previous.__wrapped__ = value;
  return result;
}

/**
 * The opposite of `_.property`; this method creates a function that returns
 * the value at a given path of `object`.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Util
 * @param {Object} object The object to query.
 * @returns {Function} Returns the new accessor function.
 * @example
 *
 * var array = [0, 1, 2],
 *     object = { 'a': array, 'b': array, 'c': array };
 *
 * _.map(['a[2]', 'c[0]'], _.propertyOf(object));
 * // => [2, 0]
 *
 * _.map([['a', '2'], ['c', '0']], _.propertyOf(object));
 * // => [2, 0]
 */
function propertyOf(object) {
  return function(path) {
    return object == null ? undefined : baseGet(object, path);
  };
}

/**
 * This function is like `baseIndexOf` except that it accepts a comparator.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @param {number} fromIndex The index to search from.
 * @param {Function} comparator The comparator invoked per element.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function baseIndexOfWith(array, value, fromIndex, comparator) {
  var index = fromIndex - 1,
      length = array.length;

  while (++index < length) {
    if (comparator(array[index], value)) {
      return index;
    }
  }
  return -1;
}

/** Used for built-in method references. */
var arrayProto$2 = Array.prototype;

/** Built-in value references. */
var splice$1 = arrayProto$2.splice;

/**
 * The base implementation of `_.pullAllBy` without support for iteratee
 * shorthands.
 *
 * @private
 * @param {Array} array The array to modify.
 * @param {Array} values The values to remove.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns `array`.
 */
function basePullAll(array, values, iteratee, comparator) {
  var indexOf = comparator ? baseIndexOfWith : baseIndexOf,
      index = -1,
      length = values.length,
      seen = array;

  if (array === values) {
    values = copyArray(values);
  }
  if (iteratee) {
    seen = arrayMap(array, baseUnary(iteratee));
  }
  while (++index < length) {
    var fromIndex = 0,
        value = values[index],
        computed = iteratee ? iteratee(value) : value;

    while ((fromIndex = indexOf(seen, computed, fromIndex, comparator)) > -1) {
      if (seen !== array) {
        splice$1.call(seen, fromIndex, 1);
      }
      splice$1.call(array, fromIndex, 1);
    }
  }
  return array;
}

/**
 * This method is like `_.pull` except that it accepts an array of values to remove.
 *
 * **Note:** Unlike `_.difference`, this method mutates `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to modify.
 * @param {Array} values The values to remove.
 * @returns {Array} Returns `array`.
 * @example
 *
 * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
 *
 * _.pullAll(array, ['a', 'c']);
 * console.log(array);
 * // => ['b', 'b']
 */
function pullAll(array, values) {
  return (array && array.length && values && values.length)
    ? basePullAll(array, values)
    : array;
}

/**
 * Removes all given values from `array` using
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons.
 *
 * **Note:** Unlike `_.without`, this method mutates `array`. Use `_.remove`
 * to remove elements from an array by predicate.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Array
 * @param {Array} array The array to modify.
 * @param {...*} [values] The values to remove.
 * @returns {Array} Returns `array`.
 * @example
 *
 * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
 *
 * _.pull(array, 'a', 'c');
 * console.log(array);
 * // => ['b', 'b']
 */
var pull = baseRest(pullAll);

/**
 * This method is like `_.pullAll` except that it accepts `iteratee` which is
 * invoked for each element of `array` and `values` to generate the criterion
 * by which they're compared. The iteratee is invoked with one argument: (value).
 *
 * **Note:** Unlike `_.differenceBy`, this method mutates `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to modify.
 * @param {Array} values The values to remove.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Array} Returns `array`.
 * @example
 *
 * var array = [{ 'x': 1 }, { 'x': 2 }, { 'x': 3 }, { 'x': 1 }];
 *
 * _.pullAllBy(array, [{ 'x': 1 }, { 'x': 3 }], 'x');
 * console.log(array);
 * // => [{ 'x': 2 }]
 */
function pullAllBy(array, values, iteratee) {
  return (array && array.length && values && values.length)
    ? basePullAll(array, values, baseIteratee(iteratee, 2))
    : array;
}

/**
 * This method is like `_.pullAll` except that it accepts `comparator` which
 * is invoked to compare elements of `array` to `values`. The comparator is
 * invoked with two arguments: (arrVal, othVal).
 *
 * **Note:** Unlike `_.differenceWith`, this method mutates `array`.
 *
 * @static
 * @memberOf _
 * @since 4.6.0
 * @category Array
 * @param {Array} array The array to modify.
 * @param {Array} values The values to remove.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns `array`.
 * @example
 *
 * var array = [{ 'x': 1, 'y': 2 }, { 'x': 3, 'y': 4 }, { 'x': 5, 'y': 6 }];
 *
 * _.pullAllWith(array, [{ 'x': 3, 'y': 4 }], _.isEqual);
 * console.log(array);
 * // => [{ 'x': 1, 'y': 2 }, { 'x': 5, 'y': 6 }]
 */
function pullAllWith(array, values, comparator) {
  return (array && array.length && values && values.length)
    ? basePullAll(array, values, undefined, comparator)
    : array;
}

/** Used for built-in method references. */
var arrayProto$3 = Array.prototype;

/** Built-in value references. */
var splice$2 = arrayProto$3.splice;

/**
 * The base implementation of `_.pullAt` without support for individual
 * indexes or capturing the removed elements.
 *
 * @private
 * @param {Array} array The array to modify.
 * @param {number[]} indexes The indexes of elements to remove.
 * @returns {Array} Returns `array`.
 */
function basePullAt(array, indexes) {
  var length = array ? indexes.length : 0,
      lastIndex = length - 1;

  while (length--) {
    var index = indexes[length];
    if (length == lastIndex || index !== previous) {
      var previous = index;
      if (isIndex(index)) {
        splice$2.call(array, index, 1);
      } else {
        baseUnset(array, index);
      }
    }
  }
  return array;
}

/**
 * Removes elements from `array` corresponding to `indexes` and returns an
 * array of removed elements.
 *
 * **Note:** Unlike `_.at`, this method mutates `array`.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to modify.
 * @param {...(number|number[])} [indexes] The indexes of elements to remove.
 * @returns {Array} Returns the new array of removed elements.
 * @example
 *
 * var array = ['a', 'b', 'c', 'd'];
 * var pulled = _.pullAt(array, [1, 3]);
 *
 * console.log(array);
 * // => ['a', 'c']
 *
 * console.log(pulled);
 * // => ['b', 'd']
 */
var pullAt = flatRest(function(array, indexes) {
  var length = array == null ? 0 : array.length,
      result = baseAt(array, indexes);

  basePullAt(array, arrayMap(indexes, function(index) {
    return isIndex(index, length) ? +index : index;
  }).sort(compareAscending));

  return result;
});

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeFloor$2 = Math.floor,
    nativeRandom = Math.random;

/**
 * The base implementation of `_.random` without support for returning
 * floating-point numbers.
 *
 * @private
 * @param {number} lower The lower bound.
 * @param {number} upper The upper bound.
 * @returns {number} Returns the random number.
 */
function baseRandom(lower, upper) {
  return lower + nativeFloor$2(nativeRandom() * (upper - lower + 1));
}

/** Built-in method references without a dependency on `root`. */
var freeParseFloat = parseFloat;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin$9 = Math.min,
    nativeRandom$1 = Math.random;

/**
 * Produces a random number between the inclusive `lower` and `upper` bounds.
 * If only one argument is provided a number between `0` and the given number
 * is returned. If `floating` is `true`, or either `lower` or `upper` are
 * floats, a floating-point number is returned instead of an integer.
 *
 * **Note:** JavaScript follows the IEEE-754 standard for resolving
 * floating-point values which can produce unexpected results.
 *
 * @static
 * @memberOf _
 * @since 0.7.0
 * @category Number
 * @param {number} [lower=0] The lower bound.
 * @param {number} [upper=1] The upper bound.
 * @param {boolean} [floating] Specify returning a floating-point number.
 * @returns {number} Returns the random number.
 * @example
 *
 * _.random(0, 5);
 * // => an integer between 0 and 5
 *
 * _.random(5);
 * // => also an integer between 0 and 5
 *
 * _.random(5, true);
 * // => a floating-point number between 0 and 5
 *
 * _.random(1.2, 5.2);
 * // => a floating-point number between 1.2 and 5.2
 */
function random(lower, upper, floating) {
  if (floating && typeof floating != 'boolean' && isIterateeCall(lower, upper, floating)) {
    upper = floating = undefined;
  }
  if (floating === undefined) {
    if (typeof upper == 'boolean') {
      floating = upper;
      upper = undefined;
    }
    else if (typeof lower == 'boolean') {
      floating = lower;
      lower = undefined;
    }
  }
  if (lower === undefined && upper === undefined) {
    lower = 0;
    upper = 1;
  }
  else {
    lower = toFinite(lower);
    if (upper === undefined) {
      upper = lower;
      lower = 0;
    } else {
      upper = toFinite(upper);
    }
  }
  if (lower > upper) {
    var temp = lower;
    lower = upper;
    upper = temp;
  }
  if (floating || lower % 1 || upper % 1) {
    var rand = nativeRandom$1();
    return nativeMin$9(lower + (rand * (upper - lower + freeParseFloat('1e-' + ((rand + '').length - 1)))), upper);
  }
  return baseRandom(lower, upper);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeCeil$3 = Math.ceil,
    nativeMax$c = Math.max;

/**
 * The base implementation of `_.range` and `_.rangeRight` which doesn't
 * coerce arguments.
 *
 * @private
 * @param {number} start The start of the range.
 * @param {number} end The end of the range.
 * @param {number} step The value to increment or decrement by.
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Array} Returns the range of numbers.
 */
function baseRange(start, end, step, fromRight) {
  var index = -1,
      length = nativeMax$c(nativeCeil$3((end - start) / (step || 1)), 0),
      result = Array(length);

  while (length--) {
    result[fromRight ? length : ++index] = start;
    start += step;
  }
  return result;
}

/**
 * Creates a `_.range` or `_.rangeRight` function.
 *
 * @private
 * @param {boolean} [fromRight] Specify iterating from right to left.
 * @returns {Function} Returns the new range function.
 */
function createRange(fromRight) {
  return function(start, end, step) {
    if (step && typeof step != 'number' && isIterateeCall(start, end, step)) {
      end = step = undefined;
    }
    // Ensure the sign of `-0` is preserved.
    start = toFinite(start);
    if (end === undefined) {
      end = start;
      start = 0;
    } else {
      end = toFinite(end);
    }
    step = step === undefined ? (start < end ? 1 : -1) : toFinite(step);
    return baseRange(start, end, step, fromRight);
  };
}

/**
 * Creates an array of numbers (positive and/or negative) progressing from
 * `start` up to, but not including, `end`. A step of `-1` is used if a negative
 * `start` is specified without an `end` or `step`. If `end` is not specified,
 * it's set to `start` with `start` then set to `0`.
 *
 * **Note:** JavaScript follows the IEEE-754 standard for resolving
 * floating-point values which can produce unexpected results.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Util
 * @param {number} [start=0] The start of the range.
 * @param {number} end The end of the range.
 * @param {number} [step=1] The value to increment or decrement by.
 * @returns {Array} Returns the range of numbers.
 * @see _.inRange, _.rangeRight
 * @example
 *
 * _.range(4);
 * // => [0, 1, 2, 3]
 *
 * _.range(-4);
 * // => [0, -1, -2, -3]
 *
 * _.range(1, 5);
 * // => [1, 2, 3, 4]
 *
 * _.range(0, 20, 5);
 * // => [0, 5, 10, 15]
 *
 * _.range(0, -4, -1);
 * // => [0, -1, -2, -3]
 *
 * _.range(1, 4, 0);
 * // => [1, 1, 1]
 *
 * _.range(0);
 * // => []
 */
var range = createRange();

/**
 * This method is like `_.range` except that it populates values in
 * descending order.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {number} [start=0] The start of the range.
 * @param {number} end The end of the range.
 * @param {number} [step=1] The value to increment or decrement by.
 * @returns {Array} Returns the range of numbers.
 * @see _.inRange, _.range
 * @example
 *
 * _.rangeRight(4);
 * // => [3, 2, 1, 0]
 *
 * _.rangeRight(-4);
 * // => [-3, -2, -1, 0]
 *
 * _.rangeRight(1, 5);
 * // => [4, 3, 2, 1]
 *
 * _.rangeRight(0, 20, 5);
 * // => [15, 10, 5, 0]
 *
 * _.rangeRight(0, -4, -1);
 * // => [-3, -2, -1, 0]
 *
 * _.rangeRight(1, 4, 0);
 * // => [1, 1, 1]
 *
 * _.rangeRight(0);
 * // => []
 */
var rangeRight = createRange(true);

/** Used to compose bitmasks for function metadata. */
var WRAP_REARG_FLAG$3 = 256;

/**
 * Creates a function that invokes `func` with arguments arranged according
 * to the specified `indexes` where the argument value at the first index is
 * provided as the first argument, the argument value at the second index is
 * provided as the second argument, and so on.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Function
 * @param {Function} func The function to rearrange arguments for.
 * @param {...(number|number[])} indexes The arranged argument indexes.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var rearged = _.rearg(function(a, b, c) {
 *   return [a, b, c];
 * }, [2, 0, 1]);
 *
 * rearged('b', 'c', 'a')
 * // => ['a', 'b', 'c']
 */
var rearg = flatRest(function(func, indexes) {
  return createWrap(func, WRAP_REARG_FLAG$3, undefined, undefined, undefined, indexes);
});

/**
 * The base implementation of `_.reduce` and `_.reduceRight`, without support
 * for iteratee shorthands, which iterates over `collection` using `eachFunc`.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @param {*} accumulator The initial value.
 * @param {boolean} initAccum Specify using the first or last element of
 *  `collection` as the initial value.
 * @param {Function} eachFunc The function to iterate over `collection`.
 * @returns {*} Returns the accumulated value.
 */
function baseReduce(collection, iteratee, accumulator, initAccum, eachFunc) {
  eachFunc(collection, function(value, index, collection) {
    accumulator = initAccum
      ? (initAccum = false, value)
      : iteratee(accumulator, value, index, collection);
  });
  return accumulator;
}

/**
 * Reduces `collection` to a value which is the accumulated result of running
 * each element in `collection` thru `iteratee`, where each successive
 * invocation is supplied the return value of the previous. If `accumulator`
 * is not given, the first element of `collection` is used as the initial
 * value. The iteratee is invoked with four arguments:
 * (accumulator, value, index|key, collection).
 *
 * Many lodash methods are guarded to work as iteratees for methods like
 * `_.reduce`, `_.reduceRight`, and `_.transform`.
 *
 * The guarded methods are:
 * `assign`, `defaults`, `defaultsDeep`, `includes`, `merge`, `orderBy`,
 * and `sortBy`
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @param {*} [accumulator] The initial value.
 * @returns {*} Returns the accumulated value.
 * @see _.reduceRight
 * @example
 *
 * _.reduce([1, 2], function(sum, n) {
 *   return sum + n;
 * }, 0);
 * // => 3
 *
 * _.reduce({ 'a': 1, 'b': 2, 'c': 1 }, function(result, value, key) {
 *   (result[value] || (result[value] = [])).push(key);
 *   return result;
 * }, {});
 * // => { '1': ['a', 'c'], '2': ['b'] } (iteration order is not guaranteed)
 */
function reduce(collection, iteratee, accumulator) {
  var func = isArray(collection) ? arrayReduce : baseReduce,
      initAccum = arguments.length < 3;

  return func(collection, baseIteratee(iteratee, 4), accumulator, initAccum, baseEach);
}

/**
 * A specialized version of `_.reduceRight` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @param {*} [accumulator] The initial value.
 * @param {boolean} [initAccum] Specify using the last element of `array` as
 *  the initial value.
 * @returns {*} Returns the accumulated value.
 */
function arrayReduceRight(array, iteratee, accumulator, initAccum) {
  var length = array == null ? 0 : array.length;
  if (initAccum && length) {
    accumulator = array[--length];
  }
  while (length--) {
    accumulator = iteratee(accumulator, array[length], length, array);
  }
  return accumulator;
}

/**
 * This method is like `_.reduce` except that it iterates over elements of
 * `collection` from right to left.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @param {*} [accumulator] The initial value.
 * @returns {*} Returns the accumulated value.
 * @see _.reduce
 * @example
 *
 * var array = [[0, 1], [2, 3], [4, 5]];
 *
 * _.reduceRight(array, function(flattened, other) {
 *   return flattened.concat(other);
 * }, []);
 * // => [4, 5, 2, 3, 0, 1]
 */
function reduceRight(collection, iteratee, accumulator) {
  var func = isArray(collection) ? arrayReduceRight : baseReduce,
      initAccum = arguments.length < 3;

  return func(collection, baseIteratee(iteratee, 4), accumulator, initAccum, baseEachRight);
}

/**
 * The opposite of `_.filter`; this method returns the elements of `collection`
 * that `predicate` does **not** return truthy for.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the new filtered array.
 * @see _.filter
 * @example
 *
 * var users = [
 *   { 'user': 'barney', 'age': 36, 'active': false },
 *   { 'user': 'fred',   'age': 40, 'active': true }
 * ];
 *
 * _.reject(users, function(o) { return !o.active; });
 * // => objects for ['fred']
 *
 * // The `_.matches` iteratee shorthand.
 * _.reject(users, { 'age': 40, 'active': true });
 * // => objects for ['barney']
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.reject(users, ['active', false]);
 * // => objects for ['fred']
 *
 * // The `_.property` iteratee shorthand.
 * _.reject(users, 'active');
 * // => objects for ['barney']
 */
function reject(collection, predicate) {
  var func = isArray(collection) ? arrayFilter : baseFilter;
  return func(collection, negate(baseIteratee(predicate, 3)));
}

/**
 * Removes all elements from `array` that `predicate` returns truthy for
 * and returns an array of the removed elements. The predicate is invoked
 * with three arguments: (value, index, array).
 *
 * **Note:** Unlike `_.filter`, this method mutates `array`. Use `_.pull`
 * to pull elements from an array by value.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Array
 * @param {Array} array The array to modify.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the new array of removed elements.
 * @example
 *
 * var array = [1, 2, 3, 4];
 * var evens = _.remove(array, function(n) {
 *   return n % 2 == 0;
 * });
 *
 * console.log(array);
 * // => [1, 3]
 *
 * console.log(evens);
 * // => [2, 4]
 */
function remove(array, predicate) {
  var result = [];
  if (!(array && array.length)) {
    return result;
  }
  var index = -1,
      indexes = [],
      length = array.length;

  predicate = baseIteratee(predicate, 3);
  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result.push(value);
      indexes.push(index);
    }
  }
  basePullAt(array, indexes);
  return result;
}

/**
 * Repeats the given string `n` times.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to repeat.
 * @param {number} [n=1] The number of times to repeat the string.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {string} Returns the repeated string.
 * @example
 *
 * _.repeat('*', 3);
 * // => '***'
 *
 * _.repeat('abc', 2);
 * // => 'abcabc'
 *
 * _.repeat('abc', 0);
 * // => ''
 */
function repeat(string, n, guard) {
  if ((guard ? isIterateeCall(string, n, guard) : n === undefined)) {
    n = 1;
  } else {
    n = toInteger(n);
  }
  return baseRepeat(toString(string), n);
}

/**
 * Replaces matches for `pattern` in `string` with `replacement`.
 *
 * **Note:** This method is based on
 * [`String#replace`](https://mdn.io/String/replace).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to modify.
 * @param {RegExp|string} pattern The pattern to replace.
 * @param {Function|string} replacement The match replacement.
 * @returns {string} Returns the modified string.
 * @example
 *
 * _.replace('Hi Fred', 'Fred', 'Barney');
 * // => 'Hi Barney'
 */
function replace() {
  var args = arguments,
      string = toString(args[0]);

  return args.length < 3 ? string : string.replace(args[1], args[2]);
}

/** Error message constants. */
var FUNC_ERROR_TEXT$9 = 'Expected a function';

/**
 * Creates a function that invokes `func` with the `this` binding of the
 * created function and arguments from `start` and beyond provided as
 * an array.
 *
 * **Note:** This method is based on the
 * [rest parameter](https://mdn.io/rest_parameters).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Function
 * @param {Function} func The function to apply a rest parameter to.
 * @param {number} [start=func.length-1] The start position of the rest parameter.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var say = _.rest(function(what, names) {
 *   return what + ' ' + _.initial(names).join(', ') +
 *     (_.size(names) > 1 ? ', & ' : '') + _.last(names);
 * });
 *
 * say('hello', 'fred', 'barney', 'pebbles');
 * // => 'hello fred, barney, & pebbles'
 */
function rest(func, start) {
  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$9);
  }
  start = start === undefined ? start : toInteger(start);
  return baseRest(func, start);
}

/**
 * This method is like `_.get` except that if the resolved value is a
 * function it's invoked with the `this` binding of its parent object and
 * its result is returned.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the property to resolve.
 * @param {*} [defaultValue] The value returned for `undefined` resolved values.
 * @returns {*} Returns the resolved value.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c1': 3, 'c2': _.constant(4) } }] };
 *
 * _.result(object, 'a[0].b.c1');
 * // => 3
 *
 * _.result(object, 'a[0].b.c2');
 * // => 4
 *
 * _.result(object, 'a[0].b.c3', 'default');
 * // => 'default'
 *
 * _.result(object, 'a[0].b.c3', _.constant('default'));
 * // => 'default'
 */
function result(object, path, defaultValue) {
  path = castPath(path, object);

  var index = -1,
      length = path.length;

  // Ensure the loop is entered when path is empty.
  if (!length) {
    length = 1;
    object = undefined;
  }
  while (++index < length) {
    var value = object == null ? undefined : object[toKey(path[index])];
    if (value === undefined) {
      index = length;
      value = defaultValue;
    }
    object = isFunction(value) ? value.call(object) : value;
  }
  return object;
}

/** Used for built-in method references. */
var arrayProto$4 = Array.prototype;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeReverse = arrayProto$4.reverse;

/**
 * Reverses `array` so that the first element becomes the last, the second
 * element becomes the second to last, and so on.
 *
 * **Note:** This method mutates `array` and is based on
 * [`Array#reverse`](https://mdn.io/Array/reverse).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to modify.
 * @returns {Array} Returns `array`.
 * @example
 *
 * var array = [1, 2, 3];
 *
 * _.reverse(array);
 * // => [3, 2, 1]
 *
 * console.log(array);
 * // => [3, 2, 1]
 */
function reverse(array) {
  return array == null ? array : nativeReverse.call(array);
}

/**
 * Computes `number` rounded to `precision`.
 *
 * @static
 * @memberOf _
 * @since 3.10.0
 * @category Math
 * @param {number} number The number to round.
 * @param {number} [precision=0] The precision to round to.
 * @returns {number} Returns the rounded number.
 * @example
 *
 * _.round(4.006);
 * // => 4
 *
 * _.round(4.006, 2);
 * // => 4.01
 *
 * _.round(4060, -2);
 * // => 4100
 */
var round = createRound('round');

/**
 * A specialized version of `_.sample` for arrays.
 *
 * @private
 * @param {Array} array The array to sample.
 * @returns {*} Returns the random element.
 */
function arraySample(array) {
  var length = array.length;
  return length ? array[baseRandom(0, length - 1)] : undefined;
}

/**
 * The base implementation of `_.sample`.
 *
 * @private
 * @param {Array|Object} collection The collection to sample.
 * @returns {*} Returns the random element.
 */
function baseSample(collection) {
  return arraySample(values(collection));
}

/**
 * Gets a random element from `collection`.
 *
 * @static
 * @memberOf _
 * @since 2.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to sample.
 * @returns {*} Returns the random element.
 * @example
 *
 * _.sample([1, 2, 3, 4]);
 * // => 2
 */
function sample(collection) {
  var func = isArray(collection) ? arraySample : baseSample;
  return func(collection);
}

/**
 * A specialized version of `_.shuffle` which mutates and sets the size of `array`.
 *
 * @private
 * @param {Array} array The array to shuffle.
 * @param {number} [size=array.length] The size of `array`.
 * @returns {Array} Returns `array`.
 */
function shuffleSelf(array, size) {
  var index = -1,
      length = array.length,
      lastIndex = length - 1;

  size = size === undefined ? length : size;
  while (++index < size) {
    var rand = baseRandom(index, lastIndex),
        value = array[rand];

    array[rand] = array[index];
    array[index] = value;
  }
  array.length = size;
  return array;
}

/**
 * A specialized version of `_.sampleSize` for arrays.
 *
 * @private
 * @param {Array} array The array to sample.
 * @param {number} n The number of elements to sample.
 * @returns {Array} Returns the random elements.
 */
function arraySampleSize(array, n) {
  return shuffleSelf(copyArray(array), baseClamp(n, 0, array.length));
}

/**
 * The base implementation of `_.sampleSize` without param guards.
 *
 * @private
 * @param {Array|Object} collection The collection to sample.
 * @param {number} n The number of elements to sample.
 * @returns {Array} Returns the random elements.
 */
function baseSampleSize(collection, n) {
  var array = values(collection);
  return shuffleSelf(array, baseClamp(n, 0, array.length));
}

/**
 * Gets `n` random elements at unique keys from `collection` up to the
 * size of `collection`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Collection
 * @param {Array|Object} collection The collection to sample.
 * @param {number} [n=1] The number of elements to sample.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the random elements.
 * @example
 *
 * _.sampleSize([1, 2, 3], 2);
 * // => [3, 1]
 *
 * _.sampleSize([1, 2, 3], 4);
 * // => [2, 3, 1]
 */
function sampleSize(collection, n, guard) {
  if ((guard ? isIterateeCall(collection, n, guard) : n === undefined)) {
    n = 1;
  } else {
    n = toInteger(n);
  }
  var func = isArray(collection) ? arraySampleSize : baseSampleSize;
  return func(collection, n);
}

/**
 * Sets the value at `path` of `object`. If a portion of `path` doesn't exist,
 * it's created. Arrays are created for missing index properties while objects
 * are created for all other missing properties. Use `_.setWith` to customize
 * `path` creation.
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 3.7.0
 * @category Object
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns `object`.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 3 } }] };
 *
 * _.set(object, 'a[0].b.c', 4);
 * console.log(object.a[0].b.c);
 * // => 4
 *
 * _.set(object, ['x', '0', 'y', 'z'], 5);
 * console.log(object.x[0].y.z);
 * // => 5
 */
function set(object, path, value) {
  return object == null ? object : baseSet(object, path, value);
}

/**
 * This method is like `_.set` except that it accepts `customizer` which is
 * invoked to produce the objects of `path`.  If `customizer` returns `undefined`
 * path creation is handled by the method instead. The `customizer` is invoked
 * with three arguments: (nsValue, key, nsObject).
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to set.
 * @param {*} value The value to set.
 * @param {Function} [customizer] The function to customize assigned values.
 * @returns {Object} Returns `object`.
 * @example
 *
 * var object = {};
 *
 * _.setWith(object, '[0][1]', 'a', Object);
 * // => { '0': { '1': 'a' } }
 */
function setWith(object, path, value, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  return object == null ? object : baseSet(object, path, value, customizer);
}

/**
 * A specialized version of `_.shuffle` for arrays.
 *
 * @private
 * @param {Array} array The array to shuffle.
 * @returns {Array} Returns the new shuffled array.
 */
function arrayShuffle(array) {
  return shuffleSelf(copyArray(array));
}

/**
 * The base implementation of `_.shuffle`.
 *
 * @private
 * @param {Array|Object} collection The collection to shuffle.
 * @returns {Array} Returns the new shuffled array.
 */
function baseShuffle(collection) {
  return shuffleSelf(values(collection));
}

/**
 * Creates an array of shuffled values, using a version of the
 * [Fisher-Yates shuffle](https://en.wikipedia.org/wiki/Fisher-Yates_shuffle).
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to shuffle.
 * @returns {Array} Returns the new shuffled array.
 * @example
 *
 * _.shuffle([1, 2, 3, 4]);
 * // => [4, 1, 3, 2]
 */
function shuffle(collection) {
  var func = isArray(collection) ? arrayShuffle : baseShuffle;
  return func(collection);
}

/** `Object#toString` result references. */
var mapTag$9 = '[object Map]',
    setTag$9 = '[object Set]';

/**
 * Gets the size of `collection` by returning its length for array-like
 * values or the number of own enumerable string keyed properties for objects.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object|string} collection The collection to inspect.
 * @returns {number} Returns the collection size.
 * @example
 *
 * _.size([1, 2, 3]);
 * // => 3
 *
 * _.size({ 'a': 1, 'b': 2 });
 * // => 2
 *
 * _.size('pebbles');
 * // => 7
 */
function size(collection) {
  if (collection == null) {
    return 0;
  }
  if (isArrayLike(collection)) {
    return isString(collection) ? stringSize(collection) : collection.length;
  }
  var tag = getTag$1(collection);
  if (tag == mapTag$9 || tag == setTag$9) {
    return collection.size;
  }
  return baseKeys(collection).length;
}

/**
 * Creates a slice of `array` from `start` up to, but not including, `end`.
 *
 * **Note:** This method is used instead of
 * [`Array#slice`](https://mdn.io/Array/slice) to ensure dense arrays are
 * returned.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to slice.
 * @param {number} [start=0] The start position.
 * @param {number} [end=array.length] The end position.
 * @returns {Array} Returns the slice of `array`.
 */
function slice(array, start, end) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  if (end && typeof end != 'number' && isIterateeCall(array, start, end)) {
    start = 0;
    end = length;
  }
  else {
    start = start == null ? 0 : toInteger(start);
    end = end === undefined ? length : toInteger(end);
  }
  return baseSlice(array, start, end);
}

/**
 * Converts `string` to
 * [snake case](https://en.wikipedia.org/wiki/Snake_case).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the snake cased string.
 * @example
 *
 * _.snakeCase('Foo Bar');
 * // => 'foo_bar'
 *
 * _.snakeCase('fooBar');
 * // => 'foo_bar'
 *
 * _.snakeCase('--FOO-BAR--');
 * // => 'foo_bar'
 */
var snakeCase = createCompounder(function(result, word, index) {
  return result + (index ? '_' : '') + word.toLowerCase();
});

/**
 * The base implementation of `_.some` without support for iteratee shorthands.
 *
 * @private
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {boolean} Returns `true` if any element passes the predicate check,
 *  else `false`.
 */
function baseSome(collection, predicate) {
  var result;

  baseEach(collection, function(value, index, collection) {
    result = predicate(value, index, collection);
    return !result;
  });
  return !!result;
}

/**
 * Checks if `predicate` returns truthy for **any** element of `collection`.
 * Iteration is stopped once `predicate` returns truthy. The predicate is
 * invoked with three arguments: (value, index|key, collection).
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {boolean} Returns `true` if any element passes the predicate check,
 *  else `false`.
 * @example
 *
 * _.some([null, 0, 'yes', false], Boolean);
 * // => true
 *
 * var users = [
 *   { 'user': 'barney', 'active': true },
 *   { 'user': 'fred',   'active': false }
 * ];
 *
 * // The `_.matches` iteratee shorthand.
 * _.some(users, { 'user': 'barney', 'active': false });
 * // => false
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.some(users, ['active', false]);
 * // => true
 *
 * // The `_.property` iteratee shorthand.
 * _.some(users, 'active');
 * // => true
 */
function some(collection, predicate, guard) {
  var func = isArray(collection) ? arraySome : baseSome;
  if (guard && isIterateeCall(collection, predicate, guard)) {
    predicate = undefined;
  }
  return func(collection, baseIteratee(predicate, 3));
}

/**
 * Creates an array of elements, sorted in ascending order by the results of
 * running each element in a collection thru each iteratee. This method
 * performs a stable sort, that is, it preserves the original sort order of
 * equal elements. The iteratees are invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Collection
 * @param {Array|Object} collection The collection to iterate over.
 * @param {...(Function|Function[])} [iteratees=[_.identity]]
 *  The iteratees to sort by.
 * @returns {Array} Returns the new sorted array.
 * @example
 *
 * var users = [
 *   { 'user': 'fred',   'age': 48 },
 *   { 'user': 'barney', 'age': 36 },
 *   { 'user': 'fred',   'age': 40 },
 *   { 'user': 'barney', 'age': 34 }
 * ];
 *
 * _.sortBy(users, [function(o) { return o.user; }]);
 * // => objects for [['barney', 36], ['barney', 34], ['fred', 48], ['fred', 40]]
 *
 * _.sortBy(users, ['user', 'age']);
 * // => objects for [['barney', 34], ['barney', 36], ['fred', 40], ['fred', 48]]
 */
var sortBy = baseRest(function(collection, iteratees) {
  if (collection == null) {
    return [];
  }
  var length = iteratees.length;
  if (length > 1 && isIterateeCall(collection, iteratees[0], iteratees[1])) {
    iteratees = [];
  } else if (length > 2 && isIterateeCall(iteratees[0], iteratees[1], iteratees[2])) {
    iteratees = [iteratees[0]];
  }
  return baseOrderBy(collection, baseFlatten(iteratees, 1), []);
});

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH$2 = 4294967295,
    MAX_ARRAY_INDEX = MAX_ARRAY_LENGTH$2 - 1;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeFloor$3 = Math.floor,
    nativeMin$a = Math.min;

/**
 * The base implementation of `_.sortedIndexBy` and `_.sortedLastIndexBy`
 * which invokes `iteratee` for `value` and each element of `array` to compute
 * their sort ranking. The iteratee is invoked with one argument; (value).
 *
 * @private
 * @param {Array} array The sorted array to inspect.
 * @param {*} value The value to evaluate.
 * @param {Function} iteratee The iteratee invoked per element.
 * @param {boolean} [retHighest] Specify returning the highest qualified index.
 * @returns {number} Returns the index at which `value` should be inserted
 *  into `array`.
 */
function baseSortedIndexBy(array, value, iteratee, retHighest) {
  value = iteratee(value);

  var low = 0,
      high = array == null ? 0 : array.length,
      valIsNaN = value !== value,
      valIsNull = value === null,
      valIsSymbol = isSymbol(value),
      valIsUndefined = value === undefined;

  while (low < high) {
    var mid = nativeFloor$3((low + high) / 2),
        computed = iteratee(array[mid]),
        othIsDefined = computed !== undefined,
        othIsNull = computed === null,
        othIsReflexive = computed === computed,
        othIsSymbol = isSymbol(computed);

    if (valIsNaN) {
      var setLow = retHighest || othIsReflexive;
    } else if (valIsUndefined) {
      setLow = othIsReflexive && (retHighest || othIsDefined);
    } else if (valIsNull) {
      setLow = othIsReflexive && othIsDefined && (retHighest || !othIsNull);
    } else if (valIsSymbol) {
      setLow = othIsReflexive && othIsDefined && !othIsNull && (retHighest || !othIsSymbol);
    } else if (othIsNull || othIsSymbol) {
      setLow = false;
    } else {
      setLow = retHighest ? (computed <= value) : (computed < value);
    }
    if (setLow) {
      low = mid + 1;
    } else {
      high = mid;
    }
  }
  return nativeMin$a(high, MAX_ARRAY_INDEX);
}

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH$3 = 4294967295,
    HALF_MAX_ARRAY_LENGTH = MAX_ARRAY_LENGTH$3 >>> 1;

/**
 * The base implementation of `_.sortedIndex` and `_.sortedLastIndex` which
 * performs a binary search of `array` to determine the index at which `value`
 * should be inserted into `array` in order to maintain its sort order.
 *
 * @private
 * @param {Array} array The sorted array to inspect.
 * @param {*} value The value to evaluate.
 * @param {boolean} [retHighest] Specify returning the highest qualified index.
 * @returns {number} Returns the index at which `value` should be inserted
 *  into `array`.
 */
function baseSortedIndex(array, value, retHighest) {
  var low = 0,
      high = array == null ? low : array.length;

  if (typeof value == 'number' && value === value && high <= HALF_MAX_ARRAY_LENGTH) {
    while (low < high) {
      var mid = (low + high) >>> 1,
          computed = array[mid];

      if (computed !== null && !isSymbol(computed) &&
          (retHighest ? (computed <= value) : (computed < value))) {
        low = mid + 1;
      } else {
        high = mid;
      }
    }
    return high;
  }
  return baseSortedIndexBy(array, value, identity, retHighest);
}

/**
 * Uses a binary search to determine the lowest index at which `value`
 * should be inserted into `array` in order to maintain its sort order.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The sorted array to inspect.
 * @param {*} value The value to evaluate.
 * @returns {number} Returns the index at which `value` should be inserted
 *  into `array`.
 * @example
 *
 * _.sortedIndex([30, 50], 40);
 * // => 1
 */
function sortedIndex(array, value) {
  return baseSortedIndex(array, value);
}

/**
 * This method is like `_.sortedIndex` except that it accepts `iteratee`
 * which is invoked for `value` and each element of `array` to compute their
 * sort ranking. The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The sorted array to inspect.
 * @param {*} value The value to evaluate.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {number} Returns the index at which `value` should be inserted
 *  into `array`.
 * @example
 *
 * var objects = [{ 'x': 4 }, { 'x': 5 }];
 *
 * _.sortedIndexBy(objects, { 'x': 4 }, function(o) { return o.x; });
 * // => 0
 *
 * // The `_.property` iteratee shorthand.
 * _.sortedIndexBy(objects, { 'x': 4 }, 'x');
 * // => 0
 */
function sortedIndexBy(array, value, iteratee) {
  return baseSortedIndexBy(array, value, baseIteratee(iteratee, 2));
}

/**
 * This method is like `_.indexOf` except that it performs a binary
 * search on a sorted `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @returns {number} Returns the index of the matched value, else `-1`.
 * @example
 *
 * _.sortedIndexOf([4, 5, 5, 5, 6], 5);
 * // => 1
 */
function sortedIndexOf(array, value) {
  var length = array == null ? 0 : array.length;
  if (length) {
    var index = baseSortedIndex(array, value);
    if (index < length && eq(array[index], value)) {
      return index;
    }
  }
  return -1;
}

/**
 * This method is like `_.sortedIndex` except that it returns the highest
 * index at which `value` should be inserted into `array` in order to
 * maintain its sort order.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The sorted array to inspect.
 * @param {*} value The value to evaluate.
 * @returns {number} Returns the index at which `value` should be inserted
 *  into `array`.
 * @example
 *
 * _.sortedLastIndex([4, 5, 5, 5, 6], 5);
 * // => 4
 */
function sortedLastIndex(array, value) {
  return baseSortedIndex(array, value, true);
}

/**
 * This method is like `_.sortedLastIndex` except that it accepts `iteratee`
 * which is invoked for `value` and each element of `array` to compute their
 * sort ranking. The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The sorted array to inspect.
 * @param {*} value The value to evaluate.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {number} Returns the index at which `value` should be inserted
 *  into `array`.
 * @example
 *
 * var objects = [{ 'x': 4 }, { 'x': 5 }];
 *
 * _.sortedLastIndexBy(objects, { 'x': 4 }, function(o) { return o.x; });
 * // => 1
 *
 * // The `_.property` iteratee shorthand.
 * _.sortedLastIndexBy(objects, { 'x': 4 }, 'x');
 * // => 1
 */
function sortedLastIndexBy(array, value, iteratee) {
  return baseSortedIndexBy(array, value, baseIteratee(iteratee, 2), true);
}

/**
 * This method is like `_.lastIndexOf` except that it performs a binary
 * search on a sorted `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {*} value The value to search for.
 * @returns {number} Returns the index of the matched value, else `-1`.
 * @example
 *
 * _.sortedLastIndexOf([4, 5, 5, 5, 6], 5);
 * // => 3
 */
function sortedLastIndexOf(array, value) {
  var length = array == null ? 0 : array.length;
  if (length) {
    var index = baseSortedIndex(array, value, true) - 1;
    if (eq(array[index], value)) {
      return index;
    }
  }
  return -1;
}

/**
 * The base implementation of `_.sortedUniq` and `_.sortedUniqBy` without
 * support for iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @returns {Array} Returns the new duplicate free array.
 */
function baseSortedUniq(array, iteratee) {
  var index = -1,
      length = array.length,
      resIndex = 0,
      result = [];

  while (++index < length) {
    var value = array[index],
        computed = iteratee ? iteratee(value) : value;

    if (!index || !eq(computed, seen)) {
      var seen = computed;
      result[resIndex++] = value === 0 ? 0 : value;
    }
  }
  return result;
}

/**
 * This method is like `_.uniq` except that it's designed and optimized
 * for sorted arrays.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @returns {Array} Returns the new duplicate free array.
 * @example
 *
 * _.sortedUniq([1, 1, 2]);
 * // => [1, 2]
 */
function sortedUniq(array) {
  return (array && array.length)
    ? baseSortedUniq(array)
    : [];
}

/**
 * This method is like `_.uniqBy` except that it's designed and optimized
 * for sorted arrays.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @returns {Array} Returns the new duplicate free array.
 * @example
 *
 * _.sortedUniqBy([1.1, 1.2, 2.3, 2.4], Math.floor);
 * // => [1.1, 2.3]
 */
function sortedUniqBy(array, iteratee) {
  return (array && array.length)
    ? baseSortedUniq(array, baseIteratee(iteratee, 2))
    : [];
}

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH$4 = 4294967295;

/**
 * Splits `string` by `separator`.
 *
 * **Note:** This method is based on
 * [`String#split`](https://mdn.io/String/split).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to split.
 * @param {RegExp|string} separator The separator pattern to split by.
 * @param {number} [limit] The length to truncate results to.
 * @returns {Array} Returns the string segments.
 * @example
 *
 * _.split('a-b-c', '-', 2);
 * // => ['a', 'b']
 */
function split(string, separator, limit) {
  if (limit && typeof limit != 'number' && isIterateeCall(string, separator, limit)) {
    separator = limit = undefined;
  }
  limit = limit === undefined ? MAX_ARRAY_LENGTH$4 : limit >>> 0;
  if (!limit) {
    return [];
  }
  string = toString(string);
  if (string && (
        typeof separator == 'string' ||
        (separator != null && !isRegExp(separator))
      )) {
    separator = baseToString(separator);
    if (!separator && hasUnicode(string)) {
      return castSlice(stringToArray(string), 0, limit);
    }
  }
  return string.split(separator, limit);
}

/** Error message constants. */
var FUNC_ERROR_TEXT$a = 'Expected a function';

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$d = Math.max;

/**
 * Creates a function that invokes `func` with the `this` binding of the
 * create function and an array of arguments much like
 * [`Function#apply`](http://www.ecma-international.org/ecma-262/7.0/#sec-function.prototype.apply).
 *
 * **Note:** This method is based on the
 * [spread operator](https://mdn.io/spread_operator).
 *
 * @static
 * @memberOf _
 * @since 3.2.0
 * @category Function
 * @param {Function} func The function to spread arguments over.
 * @param {number} [start=0] The start position of the spread.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var say = _.spread(function(who, what) {
 *   return who + ' says ' + what;
 * });
 *
 * say(['fred', 'hello']);
 * // => 'fred says hello'
 *
 * var numbers = Promise.all([
 *   Promise.resolve(40),
 *   Promise.resolve(36)
 * ]);
 *
 * numbers.then(_.spread(function(x, y) {
 *   return x + y;
 * }));
 * // => a Promise of 76
 */
function spread(func, start) {
  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$a);
  }
  start = start == null ? 0 : nativeMax$d(toInteger(start), 0);
  return baseRest(function(args) {
    var array = args[start],
        otherArgs = castSlice(args, 0, start);

    if (array) {
      arrayPush(otherArgs, array);
    }
    return apply(func, this, otherArgs);
  });
}

/**
 * Converts `string` to
 * [start case](https://en.wikipedia.org/wiki/Letter_case#Stylistic_or_specialised_usage).
 *
 * @static
 * @memberOf _
 * @since 3.1.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the start cased string.
 * @example
 *
 * _.startCase('--foo-bar--');
 * // => 'Foo Bar'
 *
 * _.startCase('fooBar');
 * // => 'Foo Bar'
 *
 * _.startCase('__FOO_BAR__');
 * // => 'FOO BAR'
 */
var startCase = createCompounder(function(result, word, index) {
  return result + (index ? ' ' : '') + upperFirst(word);
});

/**
 * Checks if `string` starts with the given target string.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to inspect.
 * @param {string} [target] The string to search for.
 * @param {number} [position=0] The position to search from.
 * @returns {boolean} Returns `true` if `string` starts with `target`,
 *  else `false`.
 * @example
 *
 * _.startsWith('abc', 'a');
 * // => true
 *
 * _.startsWith('abc', 'b');
 * // => false
 *
 * _.startsWith('abc', 'b', 1);
 * // => true
 */
function startsWith(string, target, position) {
  string = toString(string);
  position = position == null
    ? 0
    : baseClamp(toInteger(position), 0, string.length);

  target = baseToString(target);
  return string.slice(position, position + target.length) == target;
}

/**
 * This method returns a new empty object.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {Object} Returns the new empty object.
 * @example
 *
 * var objects = _.times(2, _.stubObject);
 *
 * console.log(objects);
 * // => [{}, {}]
 *
 * console.log(objects[0] === objects[1]);
 * // => false
 */
function stubObject() {
  return {};
}

/**
 * This method returns an empty string.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {string} Returns the empty string.
 * @example
 *
 * _.times(2, _.stubString);
 * // => ['', '']
 */
function stubString() {
  return '';
}

/**
 * This method returns `true`.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {boolean} Returns `true`.
 * @example
 *
 * _.times(2, _.stubTrue);
 * // => [true, true]
 */
function stubTrue() {
  return true;
}

/**
 * Subtract two numbers.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Math
 * @param {number} minuend The first number in a subtraction.
 * @param {number} subtrahend The second number in a subtraction.
 * @returns {number} Returns the difference.
 * @example
 *
 * _.subtract(6, 4);
 * // => 2
 */
var subtract = createMathOperation(function(minuend, subtrahend) {
  return minuend - subtrahend;
}, 0);

/**
 * Computes the sum of the values in `array`.
 *
 * @static
 * @memberOf _
 * @since 3.4.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @returns {number} Returns the sum.
 * @example
 *
 * _.sum([4, 2, 8, 6]);
 * // => 20
 */
function sum(array) {
  return (array && array.length)
    ? baseSum(array, identity)
    : 0;
}

/**
 * This method is like `_.sum` except that it accepts `iteratee` which is
 * invoked for each element in `array` to generate the value to be summed.
 * The iteratee is invoked with one argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Math
 * @param {Array} array The array to iterate over.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {number} Returns the sum.
 * @example
 *
 * var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];
 *
 * _.sumBy(objects, function(o) { return o.n; });
 * // => 20
 *
 * // The `_.property` iteratee shorthand.
 * _.sumBy(objects, 'n');
 * // => 20
 */
function sumBy(array, iteratee) {
  return (array && array.length)
    ? baseSum(array, baseIteratee(iteratee, 2))
    : 0;
}

/**
 * Gets all but the first element of `array`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * _.tail([1, 2, 3]);
 * // => [2, 3]
 */
function tail(array) {
  var length = array == null ? 0 : array.length;
  return length ? baseSlice(array, 1, length) : [];
}

/**
 * Creates a slice of `array` with `n` elements taken from the beginning.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {number} [n=1] The number of elements to take.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * _.take([1, 2, 3]);
 * // => [1]
 *
 * _.take([1, 2, 3], 2);
 * // => [1, 2]
 *
 * _.take([1, 2, 3], 5);
 * // => [1, 2, 3]
 *
 * _.take([1, 2, 3], 0);
 * // => []
 */
function take(array, n, guard) {
  if (!(array && array.length)) {
    return [];
  }
  n = (guard || n === undefined) ? 1 : toInteger(n);
  return baseSlice(array, 0, n < 0 ? 0 : n);
}

/**
 * Creates a slice of `array` with `n` elements taken from the end.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {number} [n=1] The number of elements to take.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * _.takeRight([1, 2, 3]);
 * // => [3]
 *
 * _.takeRight([1, 2, 3], 2);
 * // => [2, 3]
 *
 * _.takeRight([1, 2, 3], 5);
 * // => [1, 2, 3]
 *
 * _.takeRight([1, 2, 3], 0);
 * // => []
 */
function takeRight(array, n, guard) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return [];
  }
  n = (guard || n === undefined) ? 1 : toInteger(n);
  n = length - n;
  return baseSlice(array, n < 0 ? 0 : n, length);
}

/**
 * Creates a slice of `array` with elements taken from the end. Elements are
 * taken until `predicate` returns falsey. The predicate is invoked with
 * three arguments: (value, index, array).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'active': true },
 *   { 'user': 'fred',    'active': false },
 *   { 'user': 'pebbles', 'active': false }
 * ];
 *
 * _.takeRightWhile(users, function(o) { return !o.active; });
 * // => objects for ['fred', 'pebbles']
 *
 * // The `_.matches` iteratee shorthand.
 * _.takeRightWhile(users, { 'user': 'pebbles', 'active': false });
 * // => objects for ['pebbles']
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.takeRightWhile(users, ['active', false]);
 * // => objects for ['fred', 'pebbles']
 *
 * // The `_.property` iteratee shorthand.
 * _.takeRightWhile(users, 'active');
 * // => []
 */
function takeRightWhile(array, predicate) {
  return (array && array.length)
    ? baseWhile(array, baseIteratee(predicate, 3), false, true)
    : [];
}

/**
 * Creates a slice of `array` with elements taken from the beginning. Elements
 * are taken until `predicate` returns falsey. The predicate is invoked with
 * three arguments: (value, index, array).
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Array
 * @param {Array} array The array to query.
 * @param {Function} [predicate=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the slice of `array`.
 * @example
 *
 * var users = [
 *   { 'user': 'barney',  'active': false },
 *   { 'user': 'fred',    'active': false },
 *   { 'user': 'pebbles', 'active': true }
 * ];
 *
 * _.takeWhile(users, function(o) { return !o.active; });
 * // => objects for ['barney', 'fred']
 *
 * // The `_.matches` iteratee shorthand.
 * _.takeWhile(users, { 'user': 'barney', 'active': false });
 * // => objects for ['barney']
 *
 * // The `_.matchesProperty` iteratee shorthand.
 * _.takeWhile(users, ['active', false]);
 * // => objects for ['barney', 'fred']
 *
 * // The `_.property` iteratee shorthand.
 * _.takeWhile(users, 'active');
 * // => []
 */
function takeWhile(array, predicate) {
  return (array && array.length)
    ? baseWhile(array, baseIteratee(predicate, 3))
    : [];
}

/**
 * This method invokes `interceptor` and returns `value`. The interceptor
 * is invoked with one argument; (value). The purpose of this method is to
 * "tap into" a method chain sequence in order to modify intermediate results.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Seq
 * @param {*} value The value to provide to `interceptor`.
 * @param {Function} interceptor The function to invoke.
 * @returns {*} Returns `value`.
 * @example
 *
 * _([1, 2, 3])
 *  .tap(function(array) {
 *    // Mutate input array.
 *    array.pop();
 *  })
 *  .reverse()
 *  .value();
 * // => [2, 1]
 */
function tap(value, interceptor) {
  interceptor(value);
  return value;
}

/** Used for built-in method references. */
var objectProto$q = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$m = objectProto$q.hasOwnProperty;

/**
 * Used by `_.defaults` to customize its `_.assignIn` use to assign properties
 * of source objects to the destination object for all destination properties
 * that resolve to `undefined`.
 *
 * @private
 * @param {*} objValue The destination value.
 * @param {*} srcValue The source value.
 * @param {string} key The key of the property to assign.
 * @param {Object} object The parent object of `objValue`.
 * @returns {*} Returns the value to assign.
 */
function customDefaultsAssignIn(objValue, srcValue, key, object) {
  if (objValue === undefined ||
      (eq(objValue, objectProto$q[key]) && !hasOwnProperty$m.call(object, key))) {
    return srcValue;
  }
  return objValue;
}

/** Used to escape characters for inclusion in compiled string literals. */
var stringEscapes = {
  '\\': '\\',
  "'": "'",
  '\n': 'n',
  '\r': 'r',
  '\u2028': 'u2028',
  '\u2029': 'u2029'
};

/**
 * Used by `_.template` to escape characters for inclusion in compiled string literals.
 *
 * @private
 * @param {string} chr The matched character to escape.
 * @returns {string} Returns the escaped character.
 */
function escapeStringChar(chr) {
  return '\\' + stringEscapes[chr];
}

/** Used to match template delimiters. */
var reInterpolate = /<%=([\s\S]+?)%>/g;

/** Used to match template delimiters. */
var reEscape = /<%-([\s\S]+?)%>/g;

/** Used to match template delimiters. */
var reEvaluate = /<%([\s\S]+?)%>/g;

/**
 * By default, the template delimiters used by lodash are like those in
 * embedded Ruby (ERB) as well as ES2015 template strings. Change the
 * following template settings to use alternative delimiters.
 *
 * @static
 * @memberOf _
 * @type {Object}
 */
var templateSettings = {

  /**
   * Used to detect `data` property values to be HTML-escaped.
   *
   * @memberOf _.templateSettings
   * @type {RegExp}
   */
  'escape': reEscape,

  /**
   * Used to detect code to be evaluated.
   *
   * @memberOf _.templateSettings
   * @type {RegExp}
   */
  'evaluate': reEvaluate,

  /**
   * Used to detect `data` property values to inject.
   *
   * @memberOf _.templateSettings
   * @type {RegExp}
   */
  'interpolate': reInterpolate,

  /**
   * Used to reference the data object in the template text.
   *
   * @memberOf _.templateSettings
   * @type {string}
   */
  'variable': '',

  /**
   * Used to import variables into the compiled template.
   *
   * @memberOf _.templateSettings
   * @type {Object}
   */
  'imports': {

    /**
     * A reference to the `lodash` function.
     *
     * @memberOf _.templateSettings.imports
     * @type {Function}
     */
    '_': { 'escape': escape }
  }
};

/** Used to match empty string literals in compiled template source. */
var reEmptyStringLeading = /\b__p \+= '';/g,
    reEmptyStringMiddle = /\b(__p \+=) '' \+/g,
    reEmptyStringTrailing = /(__e\(.*?\)|\b__t\)) \+\n'';/g;

/**
 * Used to match
 * [ES template delimiters](http://ecma-international.org/ecma-262/7.0/#sec-template-literal-lexical-components).
 */
var reEsTemplate = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g;

/** Used to ensure capturing order of template delimiters. */
var reNoMatch = /($^)/;

/** Used to match unescaped characters in compiled string literals. */
var reUnescapedString = /['\n\r\u2028\u2029\\]/g;

/** Used for built-in method references. */
var objectProto$r = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$n = objectProto$r.hasOwnProperty;

/**
 * Creates a compiled template function that can interpolate data properties
 * in "interpolate" delimiters, HTML-escape interpolated data properties in
 * "escape" delimiters, and execute JavaScript in "evaluate" delimiters. Data
 * properties may be accessed as free variables in the template. If a setting
 * object is given, it takes precedence over `_.templateSettings` values.
 *
 * **Note:** In the development build `_.template` utilizes
 * [sourceURLs](http://www.html5rocks.com/en/tutorials/developertools/sourcemaps/#toc-sourceurl)
 * for easier debugging.
 *
 * For more information on precompiling templates see
 * [lodash's custom builds documentation](https://lodash.com/custom-builds).
 *
 * For more information on Chrome extension sandboxes see
 * [Chrome's extensions documentation](https://developer.chrome.com/extensions/sandboxingEval).
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category String
 * @param {string} [string=''] The template string.
 * @param {Object} [options={}] The options object.
 * @param {RegExp} [options.escape=_.templateSettings.escape]
 *  The HTML "escape" delimiter.
 * @param {RegExp} [options.evaluate=_.templateSettings.evaluate]
 *  The "evaluate" delimiter.
 * @param {Object} [options.imports=_.templateSettings.imports]
 *  An object to import into the template as free variables.
 * @param {RegExp} [options.interpolate=_.templateSettings.interpolate]
 *  The "interpolate" delimiter.
 * @param {string} [options.sourceURL='templateSources[n]']
 *  The sourceURL of the compiled template.
 * @param {string} [options.variable='obj']
 *  The data object variable name.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {Function} Returns the compiled template function.
 * @example
 *
 * // Use the "interpolate" delimiter to create a compiled template.
 * var compiled = _.template('hello <%= user %>!');
 * compiled({ 'user': 'fred' });
 * // => 'hello fred!'
 *
 * // Use the HTML "escape" delimiter to escape data property values.
 * var compiled = _.template('<b><%- value %></b>');
 * compiled({ 'value': '<script>' });
 * // => '<b>&lt;script&gt;</b>'
 *
 * // Use the "evaluate" delimiter to execute JavaScript and generate HTML.
 * var compiled = _.template('<% _.forEach(users, function(user) { %><li><%- user %></li><% }); %>');
 * compiled({ 'users': ['fred', 'barney'] });
 * // => '<li>fred</li><li>barney</li>'
 *
 * // Use the internal `print` function in "evaluate" delimiters.
 * var compiled = _.template('<% print("hello " + user); %>!');
 * compiled({ 'user': 'barney' });
 * // => 'hello barney!'
 *
 * // Use the ES template literal delimiter as an "interpolate" delimiter.
 * // Disable support by replacing the "interpolate" delimiter.
 * var compiled = _.template('hello ${ user }!');
 * compiled({ 'user': 'pebbles' });
 * // => 'hello pebbles!'
 *
 * // Use backslashes to treat delimiters as plain text.
 * var compiled = _.template('<%= "\\<%- value %\\>" %>');
 * compiled({ 'value': 'ignored' });
 * // => '<%- value %>'
 *
 * // Use the `imports` option to import `jQuery` as `jq`.
 * var text = '<% jq.each(users, function(user) { %><li><%- user %></li><% }); %>';
 * var compiled = _.template(text, { 'imports': { 'jq': jQuery } });
 * compiled({ 'users': ['fred', 'barney'] });
 * // => '<li>fred</li><li>barney</li>'
 *
 * // Use the `sourceURL` option to specify a custom sourceURL for the template.
 * var compiled = _.template('hello <%= user %>!', { 'sourceURL': '/basic/greeting.jst' });
 * compiled(data);
 * // => Find the source of "greeting.jst" under the Sources tab or Resources panel of the web inspector.
 *
 * // Use the `variable` option to ensure a with-statement isn't used in the compiled template.
 * var compiled = _.template('hi <%= data.user %>!', { 'variable': 'data' });
 * compiled.source;
 * // => function(data) {
 * //   var __t, __p = '';
 * //   __p += 'hi ' + ((__t = ( data.user )) == null ? '' : __t) + '!';
 * //   return __p;
 * // }
 *
 * // Use custom template delimiters.
 * _.templateSettings.interpolate = /{{([\s\S]+?)}}/g;
 * var compiled = _.template('hello {{ user }}!');
 * compiled({ 'user': 'mustache' });
 * // => 'hello mustache!'
 *
 * // Use the `source` property to inline compiled templates for meaningful
 * // line numbers in error messages and stack traces.
 * fs.writeFileSync(path.join(process.cwd(), 'jst.js'), '\
 *   var JST = {\
 *     "main": ' + _.template(mainText).source + '\
 *   };\
 * ');
 */
function template(string, options, guard) {
  // Based on John Resig's `tmpl` implementation
  // (http://ejohn.org/blog/javascript-micro-templating/)
  // and Laura Doktorova's doT.js (https://github.com/olado/doT).
  var settings = templateSettings.imports._.templateSettings || templateSettings;

  if (guard && isIterateeCall(string, options, guard)) {
    options = undefined;
  }
  string = toString(string);
  options = assignInWith({}, options, settings, customDefaultsAssignIn);

  var imports = assignInWith({}, options.imports, settings.imports, customDefaultsAssignIn),
      importsKeys = keys(imports),
      importsValues = baseValues(imports, importsKeys);

  var isEscaping,
      isEvaluating,
      index = 0,
      interpolate = options.interpolate || reNoMatch,
      source = "__p += '";

  // Compile the regexp to match each delimiter.
  var reDelimiters = RegExp(
    (options.escape || reNoMatch).source + '|' +
    interpolate.source + '|' +
    (interpolate === reInterpolate ? reEsTemplate : reNoMatch).source + '|' +
    (options.evaluate || reNoMatch).source + '|$'
  , 'g');

  // Use a sourceURL for easier debugging.
  // The sourceURL gets injected into the source that's eval-ed, so be careful
  // with lookup (in case of e.g. prototype pollution), and strip newlines if any.
  // A newline wouldn't be a valid sourceURL anyway, and it'd enable code injection.
  var sourceURL = hasOwnProperty$n.call(options, 'sourceURL')
    ? ('//# sourceURL=' +
       (options.sourceURL + '').replace(/[\r\n]/g, ' ') +
       '\n')
    : '';

  string.replace(reDelimiters, function(match, escapeValue, interpolateValue, esTemplateValue, evaluateValue, offset) {
    interpolateValue || (interpolateValue = esTemplateValue);

    // Escape characters that can't be included in string literals.
    source += string.slice(index, offset).replace(reUnescapedString, escapeStringChar);

    // Replace delimiters with snippets.
    if (escapeValue) {
      isEscaping = true;
      source += "' +\n__e(" + escapeValue + ") +\n'";
    }
    if (evaluateValue) {
      isEvaluating = true;
      source += "';\n" + evaluateValue + ";\n__p += '";
    }
    if (interpolateValue) {
      source += "' +\n((__t = (" + interpolateValue + ")) == null ? '' : __t) +\n'";
    }
    index = offset + match.length;

    // The JS engine embedded in Adobe products needs `match` returned in
    // order to produce the correct `offset` value.
    return match;
  });

  source += "';\n";

  // If `variable` is not specified wrap a with-statement around the generated
  // code to add the data object to the top of the scope chain.
  // Like with sourceURL, we take care to not check the option's prototype,
  // as this configuration is a code injection vector.
  var variable = hasOwnProperty$n.call(options, 'variable') && options.variable;
  if (!variable) {
    source = 'with (obj) {\n' + source + '\n}\n';
  }
  // Cleanup code by stripping empty strings.
  source = (isEvaluating ? source.replace(reEmptyStringLeading, '') : source)
    .replace(reEmptyStringMiddle, '$1')
    .replace(reEmptyStringTrailing, '$1;');

  // Frame code as the function body.
  source = 'function(' + (variable || 'obj') + ') {\n' +
    (variable
      ? ''
      : 'obj || (obj = {});\n'
    ) +
    "var __t, __p = ''" +
    (isEscaping
       ? ', __e = _.escape'
       : ''
    ) +
    (isEvaluating
      ? ', __j = Array.prototype.join;\n' +
        "function print() { __p += __j.call(arguments, '') }\n"
      : ';\n'
    ) +
    source +
    'return __p\n}';

  var result = attempt(function() {
    return Function(importsKeys, sourceURL + 'return ' + source)
      .apply(undefined, importsValues);
  });

  // Provide the compiled function's source by its `toString` method or
  // the `source` property as a convenience for inlining compiled templates.
  result.source = source;
  if (isError(result)) {
    throw result;
  }
  return result;
}

/** Error message constants. */
var FUNC_ERROR_TEXT$b = 'Expected a function';

/**
 * Creates a throttled function that only invokes `func` at most once per
 * every `wait` milliseconds. The throttled function comes with a `cancel`
 * method to cancel delayed `func` invocations and a `flush` method to
 * immediately invoke them. Provide `options` to indicate whether `func`
 * should be invoked on the leading and/or trailing edge of the `wait`
 * timeout. The `func` is invoked with the last arguments provided to the
 * throttled function. Subsequent calls to the throttled function return the
 * result of the last `func` invocation.
 *
 * **Note:** If `leading` and `trailing` options are `true`, `func` is
 * invoked on the trailing edge of the timeout only if the throttled function
 * is invoked more than once during the `wait` timeout.
 *
 * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
 * until to the next tick, similar to `setTimeout` with a timeout of `0`.
 *
 * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
 * for details over the differences between `_.throttle` and `_.debounce`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to throttle.
 * @param {number} [wait=0] The number of milliseconds to throttle invocations to.
 * @param {Object} [options={}] The options object.
 * @param {boolean} [options.leading=true]
 *  Specify invoking on the leading edge of the timeout.
 * @param {boolean} [options.trailing=true]
 *  Specify invoking on the trailing edge of the timeout.
 * @returns {Function} Returns the new throttled function.
 * @example
 *
 * // Avoid excessively updating the position while scrolling.
 * jQuery(window).on('scroll', _.throttle(updatePosition, 100));
 *
 * // Invoke `renewToken` when the click event is fired, but not more than once every 5 minutes.
 * var throttled = _.throttle(renewToken, 300000, { 'trailing': false });
 * jQuery(element).on('click', throttled);
 *
 * // Cancel the trailing throttled invocation.
 * jQuery(window).on('popstate', throttled.cancel);
 */
function throttle(func, wait, options) {
  var leading = true,
      trailing = true;

  if (typeof func != 'function') {
    throw new TypeError(FUNC_ERROR_TEXT$b);
  }
  if (isObject(options)) {
    leading = 'leading' in options ? !!options.leading : leading;
    trailing = 'trailing' in options ? !!options.trailing : trailing;
  }
  return debounce(func, wait, {
    'leading': leading,
    'maxWait': wait,
    'trailing': trailing
  });
}

/**
 * This method is like `_.tap` except that it returns the result of `interceptor`.
 * The purpose of this method is to "pass thru" values replacing intermediate
 * results in a method chain sequence.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Seq
 * @param {*} value The value to provide to `interceptor`.
 * @param {Function} interceptor The function to invoke.
 * @returns {*} Returns the result of `interceptor`.
 * @example
 *
 * _('  abc  ')
 *  .chain()
 *  .trim()
 *  .thru(function(value) {
 *    return [value];
 *  })
 *  .value();
 * // => ['abc']
 */
function thru(value, interceptor) {
  return interceptor(value);
}

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER$4 = 9007199254740991;

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH$5 = 4294967295;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin$b = Math.min;

/**
 * Invokes the iteratee `n` times, returning an array of the results of
 * each invocation. The iteratee is invoked with one argument; (index).
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Util
 * @param {number} n The number of times to invoke `iteratee`.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @returns {Array} Returns the array of results.
 * @example
 *
 * _.times(3, String);
 * // => ['0', '1', '2']
 *
 *  _.times(4, _.constant(0));
 * // => [0, 0, 0, 0]
 */
function times(n, iteratee) {
  n = toInteger(n);
  if (n < 1 || n > MAX_SAFE_INTEGER$4) {
    return [];
  }
  var index = MAX_ARRAY_LENGTH$5,
      length = nativeMin$b(n, MAX_ARRAY_LENGTH$5);

  iteratee = castFunction(iteratee);
  n -= MAX_ARRAY_LENGTH$5;

  var result = baseTimes(length, iteratee);
  while (++index < n) {
    iteratee(index);
  }
  return result;
}

/**
 * Enables the wrapper to be iterable.
 *
 * @name Symbol.iterator
 * @memberOf _
 * @since 4.0.0
 * @category Seq
 * @returns {Object} Returns the wrapper object.
 * @example
 *
 * var wrapped = _([1, 2]);
 *
 * wrapped[Symbol.iterator]() === wrapped;
 * // => true
 *
 * Array.from(wrapped);
 * // => [1, 2]
 */
function wrapperToIterator() {
  return this;
}

/**
 * The base implementation of `wrapperValue` which returns the result of
 * performing a sequence of actions on the unwrapped `value`, where each
 * successive action is supplied the return value of the previous.
 *
 * @private
 * @param {*} value The unwrapped value.
 * @param {Array} actions Actions to perform to resolve the unwrapped value.
 * @returns {*} Returns the resolved value.
 */
function baseWrapperValue(value, actions) {
  var result = value;
  if (result instanceof LazyWrapper) {
    result = result.value();
  }
  return arrayReduce(actions, function(result, action) {
    return action.func.apply(action.thisArg, arrayPush([result], action.args));
  }, result);
}

/**
 * Executes the chain sequence to resolve the unwrapped value.
 *
 * @name value
 * @memberOf _
 * @since 0.1.0
 * @alias toJSON, valueOf
 * @category Seq
 * @returns {*} Returns the resolved unwrapped value.
 * @example
 *
 * _([1, 2, 3]).value();
 * // => [1, 2, 3]
 */
function wrapperValue() {
  return baseWrapperValue(this.__wrapped__, this.__actions__);
}

/**
 * Converts `string`, as a whole, to lower case just like
 * [String#toLowerCase](https://mdn.io/toLowerCase).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the lower cased string.
 * @example
 *
 * _.toLower('--Foo-Bar--');
 * // => '--foo-bar--'
 *
 * _.toLower('fooBar');
 * // => 'foobar'
 *
 * _.toLower('__FOO_BAR__');
 * // => '__foo_bar__'
 */
function toLower(value) {
  return toString(value).toLowerCase();
}

/**
 * Converts `value` to a property path array.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Util
 * @param {*} value The value to convert.
 * @returns {Array} Returns the new property path array.
 * @example
 *
 * _.toPath('a.b.c');
 * // => ['a', 'b', 'c']
 *
 * _.toPath('a[0].b.c');
 * // => ['a', '0', 'b', 'c']
 */
function toPath(value) {
  if (isArray(value)) {
    return arrayMap(value, toKey);
  }
  return isSymbol(value) ? [value] : copyArray(stringToPath(toString(value)));
}

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER$5 = 9007199254740991;

/**
 * Converts `value` to a safe integer. A safe integer can be compared and
 * represented correctly.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {number} Returns the converted integer.
 * @example
 *
 * _.toSafeInteger(3.2);
 * // => 3
 *
 * _.toSafeInteger(Number.MIN_VALUE);
 * // => 0
 *
 * _.toSafeInteger(Infinity);
 * // => 9007199254740991
 *
 * _.toSafeInteger('3.2');
 * // => 3
 */
function toSafeInteger(value) {
  return value
    ? baseClamp(toInteger(value), -MAX_SAFE_INTEGER$5, MAX_SAFE_INTEGER$5)
    : (value === 0 ? value : 0);
}

/**
 * Converts `string`, as a whole, to upper case just like
 * [String#toUpperCase](https://mdn.io/toUpperCase).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the upper cased string.
 * @example
 *
 * _.toUpper('--foo-bar--');
 * // => '--FOO-BAR--'
 *
 * _.toUpper('fooBar');
 * // => 'FOOBAR'
 *
 * _.toUpper('__foo_bar__');
 * // => '__FOO_BAR__'
 */
function toUpper(value) {
  return toString(value).toUpperCase();
}

/**
 * An alternative to `_.reduce`; this method transforms `object` to a new
 * `accumulator` object which is the result of running each of its own
 * enumerable string keyed properties thru `iteratee`, with each invocation
 * potentially mutating the `accumulator` object. If `accumulator` is not
 * provided, a new object with the same `[[Prototype]]` will be used. The
 * iteratee is invoked with four arguments: (accumulator, value, key, object).
 * Iteratee functions may exit iteration early by explicitly returning `false`.
 *
 * @static
 * @memberOf _
 * @since 1.3.0
 * @category Object
 * @param {Object} object The object to iterate over.
 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
 * @param {*} [accumulator] The custom accumulator value.
 * @returns {*} Returns the accumulated value.
 * @example
 *
 * _.transform([2, 3, 4], function(result, n) {
 *   result.push(n *= n);
 *   return n % 2 == 0;
 * }, []);
 * // => [4, 9]
 *
 * _.transform({ 'a': 1, 'b': 2, 'c': 1 }, function(result, value, key) {
 *   (result[value] || (result[value] = [])).push(key);
 * }, {});
 * // => { '1': ['a', 'c'], '2': ['b'] }
 */
function transform(object, iteratee, accumulator) {
  var isArr = isArray(object),
      isArrLike = isArr || isBuffer(object) || isTypedArray(object);

  iteratee = baseIteratee(iteratee, 4);
  if (accumulator == null) {
    var Ctor = object && object.constructor;
    if (isArrLike) {
      accumulator = isArr ? new Ctor : [];
    }
    else if (isObject(object)) {
      accumulator = isFunction(Ctor) ? baseCreate(getPrototype(object)) : {};
    }
    else {
      accumulator = {};
    }
  }
  (isArrLike ? arrayEach : baseForOwn)(object, function(value, index, object) {
    return iteratee(accumulator, value, index, object);
  });
  return accumulator;
}

/**
 * Used by `_.trim` and `_.trimEnd` to get the index of the last string symbol
 * that is not found in the character symbols.
 *
 * @private
 * @param {Array} strSymbols The string symbols to inspect.
 * @param {Array} chrSymbols The character symbols to find.
 * @returns {number} Returns the index of the last unmatched string symbol.
 */
function charsEndIndex(strSymbols, chrSymbols) {
  var index = strSymbols.length;

  while (index-- && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
  return index;
}

/**
 * Used by `_.trim` and `_.trimStart` to get the index of the first string symbol
 * that is not found in the character symbols.
 *
 * @private
 * @param {Array} strSymbols The string symbols to inspect.
 * @param {Array} chrSymbols The character symbols to find.
 * @returns {number} Returns the index of the first unmatched string symbol.
 */
function charsStartIndex(strSymbols, chrSymbols) {
  var index = -1,
      length = strSymbols.length;

  while (++index < length && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
  return index;
}

/** Used to match leading and trailing whitespace. */
var reTrim$1 = /^\s+|\s+$/g;

/**
 * Removes leading and trailing whitespace or specified characters from `string`.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category String
 * @param {string} [string=''] The string to trim.
 * @param {string} [chars=whitespace] The characters to trim.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {string} Returns the trimmed string.
 * @example
 *
 * _.trim('  abc  ');
 * // => 'abc'
 *
 * _.trim('-_-abc-_-', '_-');
 * // => 'abc'
 *
 * _.map(['  foo  ', '  bar  '], _.trim);
 * // => ['foo', 'bar']
 */
function trim(string, chars, guard) {
  string = toString(string);
  if (string && (guard || chars === undefined)) {
    return string.replace(reTrim$1, '');
  }
  if (!string || !(chars = baseToString(chars))) {
    return string;
  }
  var strSymbols = stringToArray(string),
      chrSymbols = stringToArray(chars),
      start = charsStartIndex(strSymbols, chrSymbols),
      end = charsEndIndex(strSymbols, chrSymbols) + 1;

  return castSlice(strSymbols, start, end).join('');
}

/** Used to match leading and trailing whitespace. */
var reTrimEnd = /\s+$/;

/**
 * Removes trailing whitespace or specified characters from `string`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to trim.
 * @param {string} [chars=whitespace] The characters to trim.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {string} Returns the trimmed string.
 * @example
 *
 * _.trimEnd('  abc  ');
 * // => '  abc'
 *
 * _.trimEnd('-_-abc-_-', '_-');
 * // => '-_-abc'
 */
function trimEnd(string, chars, guard) {
  string = toString(string);
  if (string && (guard || chars === undefined)) {
    return string.replace(reTrimEnd, '');
  }
  if (!string || !(chars = baseToString(chars))) {
    return string;
  }
  var strSymbols = stringToArray(string),
      end = charsEndIndex(strSymbols, stringToArray(chars)) + 1;

  return castSlice(strSymbols, 0, end).join('');
}

/** Used to match leading and trailing whitespace. */
var reTrimStart$1 = /^\s+/;

/**
 * Removes leading whitespace or specified characters from `string`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to trim.
 * @param {string} [chars=whitespace] The characters to trim.
 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
 * @returns {string} Returns the trimmed string.
 * @example
 *
 * _.trimStart('  abc  ');
 * // => 'abc  '
 *
 * _.trimStart('-_-abc-_-', '_-');
 * // => 'abc-_-'
 */
function trimStart(string, chars, guard) {
  string = toString(string);
  if (string && (guard || chars === undefined)) {
    return string.replace(reTrimStart$1, '');
  }
  if (!string || !(chars = baseToString(chars))) {
    return string;
  }
  var strSymbols = stringToArray(string),
      start = charsStartIndex(strSymbols, stringToArray(chars));

  return castSlice(strSymbols, start).join('');
}

/** Used as default options for `_.truncate`. */
var DEFAULT_TRUNC_LENGTH = 30,
    DEFAULT_TRUNC_OMISSION = '...';

/** Used to match `RegExp` flags from their coerced string values. */
var reFlags$1 = /\w*$/;

/**
 * Truncates `string` if it's longer than the given maximum string length.
 * The last characters of the truncated string are replaced with the omission
 * string which defaults to "...".
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to truncate.
 * @param {Object} [options={}] The options object.
 * @param {number} [options.length=30] The maximum string length.
 * @param {string} [options.omission='...'] The string to indicate text is omitted.
 * @param {RegExp|string} [options.separator] The separator pattern to truncate to.
 * @returns {string} Returns the truncated string.
 * @example
 *
 * _.truncate('hi-diddly-ho there, neighborino');
 * // => 'hi-diddly-ho there, neighbo...'
 *
 * _.truncate('hi-diddly-ho there, neighborino', {
 *   'length': 24,
 *   'separator': ' '
 * });
 * // => 'hi-diddly-ho there,...'
 *
 * _.truncate('hi-diddly-ho there, neighborino', {
 *   'length': 24,
 *   'separator': /,? +/
 * });
 * // => 'hi-diddly-ho there...'
 *
 * _.truncate('hi-diddly-ho there, neighborino', {
 *   'omission': ' [...]'
 * });
 * // => 'hi-diddly-ho there, neig [...]'
 */
function truncate(string, options) {
  var length = DEFAULT_TRUNC_LENGTH,
      omission = DEFAULT_TRUNC_OMISSION;

  if (isObject(options)) {
    var separator = 'separator' in options ? options.separator : separator;
    length = 'length' in options ? toInteger(options.length) : length;
    omission = 'omission' in options ? baseToString(options.omission) : omission;
  }
  string = toString(string);

  var strLength = string.length;
  if (hasUnicode(string)) {
    var strSymbols = stringToArray(string);
    strLength = strSymbols.length;
  }
  if (length >= strLength) {
    return string;
  }
  var end = length - stringSize(omission);
  if (end < 1) {
    return omission;
  }
  var result = strSymbols
    ? castSlice(strSymbols, 0, end).join('')
    : string.slice(0, end);

  if (separator === undefined) {
    return result + omission;
  }
  if (strSymbols) {
    end += (result.length - end);
  }
  if (isRegExp(separator)) {
    if (string.slice(end).search(separator)) {
      var match,
          substring = result;

      if (!separator.global) {
        separator = RegExp(separator.source, toString(reFlags$1.exec(separator)) + 'g');
      }
      separator.lastIndex = 0;
      while ((match = separator.exec(substring))) {
        var newEnd = match.index;
      }
      result = result.slice(0, newEnd === undefined ? end : newEnd);
    }
  } else if (string.indexOf(baseToString(separator), end) != end) {
    var index = result.lastIndexOf(separator);
    if (index > -1) {
      result = result.slice(0, index);
    }
  }
  return result + omission;
}

/**
 * Creates a function that accepts up to one argument, ignoring any
 * additional arguments.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Function
 * @param {Function} func The function to cap arguments for.
 * @returns {Function} Returns the new capped function.
 * @example
 *
 * _.map(['6', '8', '10'], _.unary(parseInt));
 * // => [6, 8, 10]
 */
function unary(func) {
  return ary(func, 1);
}

/** Used to map HTML entities to characters. */
var htmlUnescapes = {
  '&amp;': '&',
  '&lt;': '<',
  '&gt;': '>',
  '&quot;': '"',
  '&#39;': "'"
};

/**
 * Used by `_.unescape` to convert HTML entities to characters.
 *
 * @private
 * @param {string} chr The matched character to unescape.
 * @returns {string} Returns the unescaped character.
 */
var unescapeHtmlChar = basePropertyOf(htmlUnescapes);

/** Used to match HTML entities and HTML characters. */
var reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g,
    reHasEscapedHtml = RegExp(reEscapedHtml.source);

/**
 * The inverse of `_.escape`; this method converts the HTML entities
 * `&amp;`, `&lt;`, `&gt;`, `&quot;`, and `&#39;` in `string` to
 * their corresponding characters.
 *
 * **Note:** No other HTML entities are unescaped. To unescape additional
 * HTML entities use a third-party library like [_he_](https://mths.be/he).
 *
 * @static
 * @memberOf _
 * @since 0.6.0
 * @category String
 * @param {string} [string=''] The string to unescape.
 * @returns {string} Returns the unescaped string.
 * @example
 *
 * _.unescape('fred, barney, &amp; pebbles');
 * // => 'fred, barney, & pebbles'
 */
function unescape$1(string) {
  string = toString(string);
  return (string && reHasEscapedHtml.test(string))
    ? string.replace(reEscapedHtml, unescapeHtmlChar)
    : string;
}

/** Used as references for various `Number` constants. */
var INFINITY$5 = 1 / 0;

/**
 * Creates a set object of `values`.
 *
 * @private
 * @param {Array} values The values to add to the set.
 * @returns {Object} Returns the new set.
 */
var createSet = !(Set && (1 / setToArray(new Set([,-0]))[1]) == INFINITY$5) ? noop : function(values) {
  return new Set(values);
};

/** Used as the size to enable large array optimizations. */
var LARGE_ARRAY_SIZE$2 = 200;

/**
 * The base implementation of `_.uniqBy` without support for iteratee shorthands.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new duplicate free array.
 */
function baseUniq(array, iteratee, comparator) {
  var index = -1,
      includes = arrayIncludes,
      length = array.length,
      isCommon = true,
      result = [],
      seen = result;

  if (comparator) {
    isCommon = false;
    includes = arrayIncludesWith;
  }
  else if (length >= LARGE_ARRAY_SIZE$2) {
    var set = iteratee ? null : createSet(array);
    if (set) {
      return setToArray(set);
    }
    isCommon = false;
    includes = cacheHas;
    seen = new SetCache;
  }
  else {
    seen = iteratee ? [] : result;
  }
  outer:
  while (++index < length) {
    var value = array[index],
        computed = iteratee ? iteratee(value) : value;

    value = (comparator || value !== 0) ? value : 0;
    if (isCommon && computed === computed) {
      var seenIndex = seen.length;
      while (seenIndex--) {
        if (seen[seenIndex] === computed) {
          continue outer;
        }
      }
      if (iteratee) {
        seen.push(computed);
      }
      result.push(value);
    }
    else if (!includes(seen, computed, comparator)) {
      if (seen !== result) {
        seen.push(computed);
      }
      result.push(value);
    }
  }
  return result;
}

/**
 * Creates an array of unique values, in order, from all given arrays using
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @returns {Array} Returns the new array of combined values.
 * @example
 *
 * _.union([2], [1, 2]);
 * // => [2, 1]
 */
var union = baseRest(function(arrays) {
  return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
});

/**
 * This method is like `_.union` except that it accepts `iteratee` which is
 * invoked for each element of each `arrays` to generate the criterion by
 * which uniqueness is computed. Result values are chosen from the first
 * array in which the value occurs. The iteratee is invoked with one argument:
 * (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Array} Returns the new array of combined values.
 * @example
 *
 * _.unionBy([2.1], [1.2, 2.3], Math.floor);
 * // => [2.1, 1.2]
 *
 * // The `_.property` iteratee shorthand.
 * _.unionBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
 * // => [{ 'x': 1 }, { 'x': 2 }]
 */
var unionBy = baseRest(function(arrays) {
  var iteratee = last(arrays);
  if (isArrayLikeObject(iteratee)) {
    iteratee = undefined;
  }
  return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), baseIteratee(iteratee, 2));
});

/**
 * This method is like `_.union` except that it accepts `comparator` which
 * is invoked to compare elements of `arrays`. Result values are chosen from
 * the first array in which the value occurs. The comparator is invoked
 * with two arguments: (arrVal, othVal).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of combined values.
 * @example
 *
 * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
 * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
 *
 * _.unionWith(objects, others, _.isEqual);
 * // => [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }, { 'x': 1, 'y': 1 }]
 */
var unionWith = baseRest(function(arrays) {
  var comparator = last(arrays);
  comparator = typeof comparator == 'function' ? comparator : undefined;
  return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), undefined, comparator);
});

/**
 * Creates a duplicate-free version of an array, using
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons, in which only the first occurrence of each element
 * is kept. The order of result values is determined by the order they occur
 * in the array.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @returns {Array} Returns the new duplicate free array.
 * @example
 *
 * _.uniq([2, 1, 2]);
 * // => [2, 1]
 */
function uniq(array) {
  return (array && array.length) ? baseUniq(array) : [];
}

/**
 * This method is like `_.uniq` except that it accepts `iteratee` which is
 * invoked for each element in `array` to generate the criterion by which
 * uniqueness is computed. The order of result values is determined by the
 * order they occur in the array. The iteratee is invoked with one argument:
 * (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Array} Returns the new duplicate free array.
 * @example
 *
 * _.uniqBy([2.1, 1.2, 2.3], Math.floor);
 * // => [2.1, 1.2]
 *
 * // The `_.property` iteratee shorthand.
 * _.uniqBy([{ 'x': 1 }, { 'x': 2 }, { 'x': 1 }], 'x');
 * // => [{ 'x': 1 }, { 'x': 2 }]
 */
function uniqBy(array, iteratee) {
  return (array && array.length) ? baseUniq(array, baseIteratee(iteratee, 2)) : [];
}

/**
 * This method is like `_.uniq` except that it accepts `comparator` which
 * is invoked to compare elements of `array`. The order of result values is
 * determined by the order they occur in the array.The comparator is invoked
 * with two arguments: (arrVal, othVal).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new duplicate free array.
 * @example
 *
 * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }, { 'x': 1, 'y': 2 }];
 *
 * _.uniqWith(objects, _.isEqual);
 * // => [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }]
 */
function uniqWith(array, comparator) {
  comparator = typeof comparator == 'function' ? comparator : undefined;
  return (array && array.length) ? baseUniq(array, undefined, comparator) : [];
}

/** Used to generate unique IDs. */
var idCounter = 0;

/**
 * Generates a unique ID. If `prefix` is given, the ID is appended to it.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Util
 * @param {string} [prefix=''] The value to prefix the ID with.
 * @returns {string} Returns the unique ID.
 * @example
 *
 * _.uniqueId('contact_');
 * // => 'contact_104'
 *
 * _.uniqueId();
 * // => '105'
 */
function uniqueId(prefix) {
  var id = ++idCounter;
  return toString(prefix) + id;
}

/**
 * Removes the property at `path` of `object`.
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Object
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to unset.
 * @returns {boolean} Returns `true` if the property is deleted, else `false`.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 7 } }] };
 * _.unset(object, 'a[0].b.c');
 * // => true
 *
 * console.log(object);
 * // => { 'a': [{ 'b': {} }] };
 *
 * _.unset(object, ['a', '0', 'b', 'c']);
 * // => true
 *
 * console.log(object);
 * // => { 'a': [{ 'b': {} }] };
 */
function unset(object, path) {
  return object == null ? true : baseUnset(object, path);
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$e = Math.max;

/**
 * This method is like `_.zip` except that it accepts an array of grouped
 * elements and creates an array regrouping the elements to their pre-zip
 * configuration.
 *
 * @static
 * @memberOf _
 * @since 1.2.0
 * @category Array
 * @param {Array} array The array of grouped elements to process.
 * @returns {Array} Returns the new array of regrouped elements.
 * @example
 *
 * var zipped = _.zip(['a', 'b'], [1, 2], [true, false]);
 * // => [['a', 1, true], ['b', 2, false]]
 *
 * _.unzip(zipped);
 * // => [['a', 'b'], [1, 2], [true, false]]
 */
function unzip(array) {
  if (!(array && array.length)) {
    return [];
  }
  var length = 0;
  array = arrayFilter(array, function(group) {
    if (isArrayLikeObject(group)) {
      length = nativeMax$e(group.length, length);
      return true;
    }
  });
  return baseTimes(length, function(index) {
    return arrayMap(array, baseProperty(index));
  });
}

/**
 * This method is like `_.unzip` except that it accepts `iteratee` to specify
 * how regrouped values should be combined. The iteratee is invoked with the
 * elements of each group: (...group).
 *
 * @static
 * @memberOf _
 * @since 3.8.0
 * @category Array
 * @param {Array} array The array of grouped elements to process.
 * @param {Function} [iteratee=_.identity] The function to combine
 *  regrouped values.
 * @returns {Array} Returns the new array of regrouped elements.
 * @example
 *
 * var zipped = _.zip([1, 2], [10, 20], [100, 200]);
 * // => [[1, 10, 100], [2, 20, 200]]
 *
 * _.unzipWith(zipped, _.add);
 * // => [3, 30, 300]
 */
function unzipWith(array, iteratee) {
  if (!(array && array.length)) {
    return [];
  }
  var result = unzip(array);
  if (iteratee == null) {
    return result;
  }
  return arrayMap(result, function(group) {
    return apply(iteratee, undefined, group);
  });
}

/**
 * The base implementation of `_.update`.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to update.
 * @param {Function} updater The function to produce the updated value.
 * @param {Function} [customizer] The function to customize path creation.
 * @returns {Object} Returns `object`.
 */
function baseUpdate(object, path, updater, customizer) {
  return baseSet(object, path, updater(baseGet(object, path)), customizer);
}

/**
 * This method is like `_.set` except that accepts `updater` to produce the
 * value to set. Use `_.updateWith` to customize `path` creation. The `updater`
 * is invoked with one argument: (value).
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.6.0
 * @category Object
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to set.
 * @param {Function} updater The function to produce the updated value.
 * @returns {Object} Returns `object`.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 3 } }] };
 *
 * _.update(object, 'a[0].b.c', function(n) { return n * n; });
 * console.log(object.a[0].b.c);
 * // => 9
 *
 * _.update(object, 'x[0].y.z', function(n) { return n ? n + 1 : 0; });
 * console.log(object.x[0].y.z);
 * // => 0
 */
function update(object, path, updater) {
  return object == null ? object : baseUpdate(object, path, castFunction(updater));
}

/**
 * This method is like `_.update` except that it accepts `customizer` which is
 * invoked to produce the objects of `path`.  If `customizer` returns `undefined`
 * path creation is handled by the method instead. The `customizer` is invoked
 * with three arguments: (nsValue, key, nsObject).
 *
 * **Note:** This method mutates `object`.
 *
 * @static
 * @memberOf _
 * @since 4.6.0
 * @category Object
 * @param {Object} object The object to modify.
 * @param {Array|string} path The path of the property to set.
 * @param {Function} updater The function to produce the updated value.
 * @param {Function} [customizer] The function to customize assigned values.
 * @returns {Object} Returns `object`.
 * @example
 *
 * var object = {};
 *
 * _.updateWith(object, '[0][1]', _.constant('a'), Object);
 * // => { '0': { '1': 'a' } }
 */
function updateWith(object, path, updater, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  return object == null ? object : baseUpdate(object, path, castFunction(updater), customizer);
}

/**
 * Converts `string`, as space separated words, to upper case.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category String
 * @param {string} [string=''] The string to convert.
 * @returns {string} Returns the upper cased string.
 * @example
 *
 * _.upperCase('--foo-bar');
 * // => 'FOO BAR'
 *
 * _.upperCase('fooBar');
 * // => 'FOO BAR'
 *
 * _.upperCase('__foo_bar__');
 * // => 'FOO BAR'
 */
var upperCase = createCompounder(function(result, word, index) {
  return result + (index ? ' ' : '') + word.toUpperCase();
});

/**
 * Creates an array of the own and inherited enumerable string keyed property
 * values of `object`.
 *
 * **Note:** Non-object values are coerced to objects.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property values.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.valuesIn(new Foo);
 * // => [1, 2, 3] (iteration order is not guaranteed)
 */
function valuesIn(object) {
  return object == null ? [] : baseValues(object, keysIn$1(object));
}

/**
 * Creates an array excluding all given values using
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons.
 *
 * **Note:** Unlike `_.pull`, this method returns a new array.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {Array} array The array to inspect.
 * @param {...*} [values] The values to exclude.
 * @returns {Array} Returns the new array of filtered values.
 * @see _.difference, _.xor
 * @example
 *
 * _.without([2, 1, 2, 3], 1, 2);
 * // => [3]
 */
var without = baseRest(function(array, values) {
  return isArrayLikeObject(array)
    ? baseDifference(array, values)
    : [];
});

/**
 * Creates a function that provides `value` to `wrapper` as its first
 * argument. Any additional arguments provided to the function are appended
 * to those provided to the `wrapper`. The wrapper is invoked with the `this`
 * binding of the created function.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {*} value The value to wrap.
 * @param {Function} [wrapper=identity] The wrapper function.
 * @returns {Function} Returns the new function.
 * @example
 *
 * var p = _.wrap(_.escape, function(func, text) {
 *   return '<p>' + func(text) + '</p>';
 * });
 *
 * p('fred, barney, & pebbles');
 * // => '<p>fred, barney, &amp; pebbles</p>'
 */
function wrap(value, wrapper) {
  return partial(castFunction(wrapper), value);
}

/**
 * This method is the wrapper version of `_.at`.
 *
 * @name at
 * @memberOf _
 * @since 1.0.0
 * @category Seq
 * @param {...(string|string[])} [paths] The property paths to pick.
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
 *
 * _(object).at(['a[0].b.c', 'a[1]']).value();
 * // => [3, 4]
 */
var wrapperAt = flatRest(function(paths) {
  var length = paths.length,
      start = length ? paths[0] : 0,
      value = this.__wrapped__,
      interceptor = function(object) { return baseAt(object, paths); };

  if (length > 1 || this.__actions__.length ||
      !(value instanceof LazyWrapper) || !isIndex(start)) {
    return this.thru(interceptor);
  }
  value = value.slice(start, +start + (length ? 1 : 0));
  value.__actions__.push({
    'func': thru,
    'args': [interceptor],
    'thisArg': undefined
  });
  return new LodashWrapper(value, this.__chain__).thru(function(array) {
    if (length && !array.length) {
      array.push(undefined);
    }
    return array;
  });
});

/**
 * Creates a `lodash` wrapper instance with explicit method chain sequences enabled.
 *
 * @name chain
 * @memberOf _
 * @since 0.1.0
 * @category Seq
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * var users = [
 *   { 'user': 'barney', 'age': 36 },
 *   { 'user': 'fred',   'age': 40 }
 * ];
 *
 * // A sequence without explicit chaining.
 * _(users).head();
 * // => { 'user': 'barney', 'age': 36 }
 *
 * // A sequence with explicit chaining.
 * _(users)
 *   .chain()
 *   .head()
 *   .pick('user')
 *   .value();
 * // => { 'user': 'barney' }
 */
function wrapperChain() {
  return chain(this);
}

/**
 * This method is the wrapper version of `_.reverse`.
 *
 * **Note:** This method mutates the wrapped array.
 *
 * @name reverse
 * @memberOf _
 * @since 0.1.0
 * @category Seq
 * @returns {Object} Returns the new `lodash` wrapper instance.
 * @example
 *
 * var array = [1, 2, 3];
 *
 * _(array).reverse().value()
 * // => [3, 2, 1]
 *
 * console.log(array);
 * // => [3, 2, 1]
 */
function wrapperReverse() {
  var value = this.__wrapped__;
  if (value instanceof LazyWrapper) {
    var wrapped = value;
    if (this.__actions__.length) {
      wrapped = new LazyWrapper(this);
    }
    wrapped = wrapped.reverse();
    wrapped.__actions__.push({
      'func': thru,
      'args': [reverse],
      'thisArg': undefined
    });
    return new LodashWrapper(wrapped, this.__chain__);
  }
  return this.thru(reverse);
}

/**
 * The base implementation of methods like `_.xor`, without support for
 * iteratee shorthands, that accepts an array of arrays to inspect.
 *
 * @private
 * @param {Array} arrays The arrays to inspect.
 * @param {Function} [iteratee] The iteratee invoked per element.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of values.
 */
function baseXor(arrays, iteratee, comparator) {
  var length = arrays.length;
  if (length < 2) {
    return length ? baseUniq(arrays[0]) : [];
  }
  var index = -1,
      result = Array(length);

  while (++index < length) {
    var array = arrays[index],
        othIndex = -1;

    while (++othIndex < length) {
      if (othIndex != index) {
        result[index] = baseDifference(result[index] || array, arrays[othIndex], iteratee, comparator);
      }
    }
  }
  return baseUniq(baseFlatten(result, 1), iteratee, comparator);
}

/**
 * Creates an array of unique values that is the
 * [symmetric difference](https://en.wikipedia.org/wiki/Symmetric_difference)
 * of the given arrays. The order of result values is determined by the order
 * they occur in the arrays.
 *
 * @static
 * @memberOf _
 * @since 2.4.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @returns {Array} Returns the new array of filtered values.
 * @see _.difference, _.without
 * @example
 *
 * _.xor([2, 1], [2, 3]);
 * // => [1, 3]
 */
var xor = baseRest(function(arrays) {
  return baseXor(arrayFilter(arrays, isArrayLikeObject));
});

/**
 * This method is like `_.xor` except that it accepts `iteratee` which is
 * invoked for each element of each `arrays` to generate the criterion by
 * which by which they're compared. The order of result values is determined
 * by the order they occur in the arrays. The iteratee is invoked with one
 * argument: (value).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
 * @returns {Array} Returns the new array of filtered values.
 * @example
 *
 * _.xorBy([2.1, 1.2], [2.3, 3.4], Math.floor);
 * // => [1.2, 3.4]
 *
 * // The `_.property` iteratee shorthand.
 * _.xorBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
 * // => [{ 'x': 2 }]
 */
var xorBy = baseRest(function(arrays) {
  var iteratee = last(arrays);
  if (isArrayLikeObject(iteratee)) {
    iteratee = undefined;
  }
  return baseXor(arrayFilter(arrays, isArrayLikeObject), baseIteratee(iteratee, 2));
});

/**
 * This method is like `_.xor` except that it accepts `comparator` which is
 * invoked to compare elements of `arrays`. The order of result values is
 * determined by the order they occur in the arrays. The comparator is invoked
 * with two arguments: (arrVal, othVal).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Array
 * @param {...Array} [arrays] The arrays to inspect.
 * @param {Function} [comparator] The comparator invoked per element.
 * @returns {Array} Returns the new array of filtered values.
 * @example
 *
 * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
 * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
 *
 * _.xorWith(objects, others, _.isEqual);
 * // => [{ 'x': 2, 'y': 1 }, { 'x': 1, 'y': 1 }]
 */
var xorWith = baseRest(function(arrays) {
  var comparator = last(arrays);
  comparator = typeof comparator == 'function' ? comparator : undefined;
  return baseXor(arrayFilter(arrays, isArrayLikeObject), undefined, comparator);
});

/**
 * Creates an array of grouped elements, the first of which contains the
 * first elements of the given arrays, the second of which contains the
 * second elements of the given arrays, and so on.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Array
 * @param {...Array} [arrays] The arrays to process.
 * @returns {Array} Returns the new array of grouped elements.
 * @example
 *
 * _.zip(['a', 'b'], [1, 2], [true, false]);
 * // => [['a', 1, true], ['b', 2, false]]
 */
var zip = baseRest(unzip);

/**
 * This base implementation of `_.zipObject` which assigns values using `assignFunc`.
 *
 * @private
 * @param {Array} props The property identifiers.
 * @param {Array} values The property values.
 * @param {Function} assignFunc The function to assign values.
 * @returns {Object} Returns the new object.
 */
function baseZipObject(props, values, assignFunc) {
  var index = -1,
      length = props.length,
      valsLength = values.length,
      result = {};

  while (++index < length) {
    var value = index < valsLength ? values[index] : undefined;
    assignFunc(result, props[index], value);
  }
  return result;
}

/**
 * This method is like `_.fromPairs` except that it accepts two arrays,
 * one of property identifiers and one of corresponding values.
 *
 * @static
 * @memberOf _
 * @since 0.4.0
 * @category Array
 * @param {Array} [props=[]] The property identifiers.
 * @param {Array} [values=[]] The property values.
 * @returns {Object} Returns the new object.
 * @example
 *
 * _.zipObject(['a', 'b'], [1, 2]);
 * // => { 'a': 1, 'b': 2 }
 */
function zipObject(props, values) {
  return baseZipObject(props || [], values || [], assignValue);
}

/**
 * This method is like `_.zipObject` except that it supports property paths.
 *
 * @static
 * @memberOf _
 * @since 4.1.0
 * @category Array
 * @param {Array} [props=[]] The property identifiers.
 * @param {Array} [values=[]] The property values.
 * @returns {Object} Returns the new object.
 * @example
 *
 * _.zipObjectDeep(['a.b[0].c', 'a.b[1].d'], [1, 2]);
 * // => { 'a': { 'b': [{ 'c': 1 }, { 'd': 2 }] } }
 */
function zipObjectDeep(props, values) {
  return baseZipObject(props || [], values || [], baseSet);
}

/**
 * This method is like `_.zip` except that it accepts `iteratee` to specify
 * how grouped values should be combined. The iteratee is invoked with the
 * elements of each group: (...group).
 *
 * @static
 * @memberOf _
 * @since 3.8.0
 * @category Array
 * @param {...Array} [arrays] The arrays to process.
 * @param {Function} [iteratee=_.identity] The function to combine
 *  grouped values.
 * @returns {Array} Returns the new array of grouped elements.
 * @example
 *
 * _.zipWith([1, 2], [10, 20], [100, 200], function(a, b, c) {
 *   return a + b + c;
 * });
 * // => [111, 222]
 */
var zipWith = baseRest(function(arrays) {
  var length = arrays.length,
      iteratee = length > 1 ? arrays[length - 1] : undefined;

  iteratee = typeof iteratee == 'function' ? (arrays.pop(), iteratee) : undefined;
  return unzipWith(arrays, iteratee);
});

const array = {
  chunk, compact, concat, difference, differenceBy,
  differenceWith, drop, dropRight, dropRightWhile, dropWhile,
  fill, findIndex, findLastIndex, first: head, flatten,
  flattenDeep, flattenDepth, fromPairs, head, indexOf,
  initial, intersection, intersectionBy, intersectionWith, join,
  last, lastIndexOf, nth, pull, pullAll,
  pullAllBy, pullAllWith, pullAt, remove, reverse,
  slice, sortedIndex, sortedIndexBy, sortedIndexOf, sortedLastIndex,
  sortedLastIndexBy, sortedLastIndexOf, sortedUniq, sortedUniqBy, tail,
  take, takeRight, takeRightWhile, takeWhile, union,
  unionBy, unionWith, uniq, uniqBy, uniqWith,
  unzip, unzipWith, without, xor, xorBy,
  xorWith, zip, zipObject, zipObjectDeep, zipWith
};

const collection = {
  countBy, each: forEach, eachRight: forEachRight, every, filter,
  find, findLast, flatMap, flatMapDeep, flatMapDepth,
  forEach, forEachRight, groupBy, includes, invokeMap,
  keyBy, map, orderBy, partition, reduce,
  reduceRight, reject, sample, sampleSize, shuffle,
  size, some, sortBy
};

const date = {
  now
};

const func = {
  after, ary, before, bind, bindKey,
  curry, curryRight, debounce, defer, delay,
  flip, memoize, negate, once, overArgs,
  partial, partialRight, rearg, rest, spread,
  throttle, unary, wrap
};

const lang = {
  castArray, clone, cloneDeep, cloneDeepWith, cloneWith,
  conformsTo, eq, gt, gte, isArguments,
  isArray, isArrayBuffer, isArrayLike, isArrayLikeObject, isBoolean,
  isBuffer, isDate, isElement, isEmpty, isEqual,
  isEqualWith, isError, isFinite, isFunction, isInteger,
  isLength, isMap, isMatch, isMatchWith, isNaN,
  isNative, isNil, isNull, isNumber, isObject,
  isObjectLike, isPlainObject, isRegExp, isSafeInteger, isSet,
  isString, isSymbol, isTypedArray, isUndefined, isWeakMap,
  isWeakSet, lt, lte, toArray, toFinite,
  toInteger, toLength, toNumber, toPlainObject, toSafeInteger,
  toString
};

const math = {
  add, ceil, divide, floor, max,
  maxBy, mean, meanBy, min, minBy,
  multiply, round, subtract, sum, sumBy
};

const number = {
  clamp, inRange, random
};

const object = {
  assign, assignIn, assignInWith, assignWith, at,
  create, defaults, defaultsDeep, entries: toPairs, entriesIn: toPairsIn,
  extend: assignIn, extendWith: assignInWith, findKey, findLastKey, forIn,
  forInRight, forOwn, forOwnRight, functions, functionsIn,
  get, has, hasIn, invert, invertBy,
  invoke, keys, keysIn: keysIn$1, mapKeys, mapValues,
  merge, mergeWith, omit, omitBy, pick,
  pickBy, result, set, setWith, toPairs,
  toPairsIn, transform, unset, update, updateWith,
  values, valuesIn
};

const seq = {
  at: wrapperAt, chain, commit: wrapperCommit, lodash, next: wrapperNext,
  plant: wrapperPlant, reverse: wrapperReverse, tap, thru, toIterator: wrapperToIterator,
  toJSON: wrapperValue, value: wrapperValue, valueOf: wrapperValue, wrapperChain
};

const string = {
  camelCase, capitalize, deburr, endsWith, escape,
  escapeRegExp, kebabCase, lowerCase, lowerFirst, pad,
  padEnd, padStart, parseInt: parseInt$1, repeat, replace,
  snakeCase, split, startCase, startsWith, template,
  templateSettings, toLower, toUpper, trim, trimEnd,
  trimStart, truncate, unescape: unescape$1, upperCase, upperFirst,
  words
};

const util = {
  attempt, bindAll, cond, conforms, constant,
  defaultTo, flow, flowRight, identity, iteratee,
  matches, matchesProperty, method, methodOf, mixin,
  noop, nthArg, over, overEvery, overSome,
  property, propertyOf, range, rangeRight, stubArray,
  stubFalse, stubObject, stubString, stubTrue, times,
  toPath, uniqueId
};

/**
 * Creates a clone of the lazy wrapper object.
 *
 * @private
 * @name clone
 * @memberOf LazyWrapper
 * @returns {Object} Returns the cloned `LazyWrapper` object.
 */
function lazyClone() {
  var result = new LazyWrapper(this.__wrapped__);
  result.__actions__ = copyArray(this.__actions__);
  result.__dir__ = this.__dir__;
  result.__filtered__ = this.__filtered__;
  result.__iteratees__ = copyArray(this.__iteratees__);
  result.__takeCount__ = this.__takeCount__;
  result.__views__ = copyArray(this.__views__);
  return result;
}

/**
 * Reverses the direction of lazy iteration.
 *
 * @private
 * @name reverse
 * @memberOf LazyWrapper
 * @returns {Object} Returns the new reversed `LazyWrapper` object.
 */
function lazyReverse() {
  if (this.__filtered__) {
    var result = new LazyWrapper(this);
    result.__dir__ = -1;
    result.__filtered__ = true;
  } else {
    result = this.clone();
    result.__dir__ *= -1;
  }
  return result;
}

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$f = Math.max,
    nativeMin$c = Math.min;

/**
 * Gets the view, applying any `transforms` to the `start` and `end` positions.
 *
 * @private
 * @param {number} start The start of the view.
 * @param {number} end The end of the view.
 * @param {Array} transforms The transformations to apply to the view.
 * @returns {Object} Returns an object containing the `start` and `end`
 *  positions of the view.
 */
function getView(start, end, transforms) {
  var index = -1,
      length = transforms.length;

  while (++index < length) {
    var data = transforms[index],
        size = data.size;

    switch (data.type) {
      case 'drop':      start += size; break;
      case 'dropRight': end -= size; break;
      case 'take':      end = nativeMin$c(end, start + size); break;
      case 'takeRight': start = nativeMax$f(start, end - size); break;
    }
  }
  return { 'start': start, 'end': end };
}

/** Used to indicate the type of lazy iteratees. */
var LAZY_FILTER_FLAG = 1,
    LAZY_MAP_FLAG = 2;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMin$d = Math.min;

/**
 * Extracts the unwrapped value from its lazy wrapper.
 *
 * @private
 * @name value
 * @memberOf LazyWrapper
 * @returns {*} Returns the unwrapped value.
 */
function lazyValue() {
  var array = this.__wrapped__.value(),
      dir = this.__dir__,
      isArr = isArray(array),
      isRight = dir < 0,
      arrLength = isArr ? array.length : 0,
      view = getView(0, arrLength, this.__views__),
      start = view.start,
      end = view.end,
      length = end - start,
      index = isRight ? end : (start - 1),
      iteratees = this.__iteratees__,
      iterLength = iteratees.length,
      resIndex = 0,
      takeCount = nativeMin$d(length, this.__takeCount__);

  if (!isArr || (!isRight && arrLength == length && takeCount == length)) {
    return baseWrapperValue(array, this.__actions__);
  }
  var result = [];

  outer:
  while (length-- && resIndex < takeCount) {
    index += dir;

    var iterIndex = -1,
        value = array[index];

    while (++iterIndex < iterLength) {
      var data = iteratees[iterIndex],
          iteratee = data.iteratee,
          type = data.type,
          computed = iteratee(value);

      if (type == LAZY_MAP_FLAG) {
        value = computed;
      } else if (!computed) {
        if (type == LAZY_FILTER_FLAG) {
          continue outer;
        } else {
          break outer;
        }
      }
    }
    result[resIndex++] = value;
  }
  return result;
}

/**
 * @license
 * Lodash (Custom Build) <https://lodash.com/>
 * Build: `lodash modularize exports="es" -o ./`
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */

/** Used as the semantic version number. */
var VERSION = '4.17.15';

/** Used to compose bitmasks for function metadata. */
var WRAP_BIND_KEY_FLAG$6 = 2;

/** Used to indicate the type of lazy iteratees. */
var LAZY_FILTER_FLAG$1 = 1,
    LAZY_WHILE_FLAG = 3;

/** Used as references for the maximum length and index of an array. */
var MAX_ARRAY_LENGTH$6 = 4294967295;

/** Used for built-in method references. */
var arrayProto$5 = Array.prototype,
    objectProto$s = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$o = objectProto$s.hasOwnProperty;

/** Built-in value references. */
var symIterator$1 = Symbol ? Symbol.iterator : undefined;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeMax$g = Math.max,
    nativeMin$e = Math.min;

// wrap `_.mixin` so it works when provided only one argument
var mixin$1 = (function(func) {
  return function(object, source, options) {
    if (options == null) {
      var isObj = isObject(source),
          props = isObj && keys(source),
          methodNames = props && props.length && baseFunctions(source, props);

      if (!(methodNames ? methodNames.length : isObj)) {
        options = source;
        source = object;
        object = this;
      }
    }
    return func(object, source, options);
  };
}(mixin));

// Add methods that return wrapped values in chain sequences.
lodash.after = func.after;
lodash.ary = func.ary;
lodash.assign = object.assign;
lodash.assignIn = object.assignIn;
lodash.assignInWith = object.assignInWith;
lodash.assignWith = object.assignWith;
lodash.at = object.at;
lodash.before = func.before;
lodash.bind = func.bind;
lodash.bindAll = util.bindAll;
lodash.bindKey = func.bindKey;
lodash.castArray = lang.castArray;
lodash.chain = seq.chain;
lodash.chunk = array.chunk;
lodash.compact = array.compact;
lodash.concat = array.concat;
lodash.cond = util.cond;
lodash.conforms = util.conforms;
lodash.constant = util.constant;
lodash.countBy = collection.countBy;
lodash.create = object.create;
lodash.curry = func.curry;
lodash.curryRight = func.curryRight;
lodash.debounce = func.debounce;
lodash.defaults = object.defaults;
lodash.defaultsDeep = object.defaultsDeep;
lodash.defer = func.defer;
lodash.delay = func.delay;
lodash.difference = array.difference;
lodash.differenceBy = array.differenceBy;
lodash.differenceWith = array.differenceWith;
lodash.drop = array.drop;
lodash.dropRight = array.dropRight;
lodash.dropRightWhile = array.dropRightWhile;
lodash.dropWhile = array.dropWhile;
lodash.fill = array.fill;
lodash.filter = collection.filter;
lodash.flatMap = collection.flatMap;
lodash.flatMapDeep = collection.flatMapDeep;
lodash.flatMapDepth = collection.flatMapDepth;
lodash.flatten = array.flatten;
lodash.flattenDeep = array.flattenDeep;
lodash.flattenDepth = array.flattenDepth;
lodash.flip = func.flip;
lodash.flow = util.flow;
lodash.flowRight = util.flowRight;
lodash.fromPairs = array.fromPairs;
lodash.functions = object.functions;
lodash.functionsIn = object.functionsIn;
lodash.groupBy = collection.groupBy;
lodash.initial = array.initial;
lodash.intersection = array.intersection;
lodash.intersectionBy = array.intersectionBy;
lodash.intersectionWith = array.intersectionWith;
lodash.invert = object.invert;
lodash.invertBy = object.invertBy;
lodash.invokeMap = collection.invokeMap;
lodash.iteratee = util.iteratee;
lodash.keyBy = collection.keyBy;
lodash.keys = keys;
lodash.keysIn = object.keysIn;
lodash.map = collection.map;
lodash.mapKeys = object.mapKeys;
lodash.mapValues = object.mapValues;
lodash.matches = util.matches;
lodash.matchesProperty = util.matchesProperty;
lodash.memoize = func.memoize;
lodash.merge = object.merge;
lodash.mergeWith = object.mergeWith;
lodash.method = util.method;
lodash.methodOf = util.methodOf;
lodash.mixin = mixin$1;
lodash.negate = negate;
lodash.nthArg = util.nthArg;
lodash.omit = object.omit;
lodash.omitBy = object.omitBy;
lodash.once = func.once;
lodash.orderBy = collection.orderBy;
lodash.over = util.over;
lodash.overArgs = func.overArgs;
lodash.overEvery = util.overEvery;
lodash.overSome = util.overSome;
lodash.partial = func.partial;
lodash.partialRight = func.partialRight;
lodash.partition = collection.partition;
lodash.pick = object.pick;
lodash.pickBy = object.pickBy;
lodash.property = util.property;
lodash.propertyOf = util.propertyOf;
lodash.pull = array.pull;
lodash.pullAll = array.pullAll;
lodash.pullAllBy = array.pullAllBy;
lodash.pullAllWith = array.pullAllWith;
lodash.pullAt = array.pullAt;
lodash.range = util.range;
lodash.rangeRight = util.rangeRight;
lodash.rearg = func.rearg;
lodash.reject = collection.reject;
lodash.remove = array.remove;
lodash.rest = func.rest;
lodash.reverse = array.reverse;
lodash.sampleSize = collection.sampleSize;
lodash.set = object.set;
lodash.setWith = object.setWith;
lodash.shuffle = collection.shuffle;
lodash.slice = array.slice;
lodash.sortBy = collection.sortBy;
lodash.sortedUniq = array.sortedUniq;
lodash.sortedUniqBy = array.sortedUniqBy;
lodash.split = string.split;
lodash.spread = func.spread;
lodash.tail = array.tail;
lodash.take = array.take;
lodash.takeRight = array.takeRight;
lodash.takeRightWhile = array.takeRightWhile;
lodash.takeWhile = array.takeWhile;
lodash.tap = seq.tap;
lodash.throttle = func.throttle;
lodash.thru = thru;
lodash.toArray = lang.toArray;
lodash.toPairs = object.toPairs;
lodash.toPairsIn = object.toPairsIn;
lodash.toPath = util.toPath;
lodash.toPlainObject = lang.toPlainObject;
lodash.transform = object.transform;
lodash.unary = func.unary;
lodash.union = array.union;
lodash.unionBy = array.unionBy;
lodash.unionWith = array.unionWith;
lodash.uniq = array.uniq;
lodash.uniqBy = array.uniqBy;
lodash.uniqWith = array.uniqWith;
lodash.unset = object.unset;
lodash.unzip = array.unzip;
lodash.unzipWith = array.unzipWith;
lodash.update = object.update;
lodash.updateWith = object.updateWith;
lodash.values = object.values;
lodash.valuesIn = object.valuesIn;
lodash.without = array.without;
lodash.words = string.words;
lodash.wrap = func.wrap;
lodash.xor = array.xor;
lodash.xorBy = array.xorBy;
lodash.xorWith = array.xorWith;
lodash.zip = array.zip;
lodash.zipObject = array.zipObject;
lodash.zipObjectDeep = array.zipObjectDeep;
lodash.zipWith = array.zipWith;

// Add aliases.
lodash.entries = object.toPairs;
lodash.entriesIn = object.toPairsIn;
lodash.extend = object.assignIn;
lodash.extendWith = object.assignInWith;

// Add methods to `lodash.prototype`.
mixin$1(lodash, lodash);

// Add methods that return unwrapped values in chain sequences.
lodash.add = math.add;
lodash.attempt = util.attempt;
lodash.camelCase = string.camelCase;
lodash.capitalize = string.capitalize;
lodash.ceil = math.ceil;
lodash.clamp = number.clamp;
lodash.clone = lang.clone;
lodash.cloneDeep = lang.cloneDeep;
lodash.cloneDeepWith = lang.cloneDeepWith;
lodash.cloneWith = lang.cloneWith;
lodash.conformsTo = lang.conformsTo;
lodash.deburr = string.deburr;
lodash.defaultTo = util.defaultTo;
lodash.divide = math.divide;
lodash.endsWith = string.endsWith;
lodash.eq = lang.eq;
lodash.escape = string.escape;
lodash.escapeRegExp = string.escapeRegExp;
lodash.every = collection.every;
lodash.find = collection.find;
lodash.findIndex = array.findIndex;
lodash.findKey = object.findKey;
lodash.findLast = collection.findLast;
lodash.findLastIndex = array.findLastIndex;
lodash.findLastKey = object.findLastKey;
lodash.floor = math.floor;
lodash.forEach = collection.forEach;
lodash.forEachRight = collection.forEachRight;
lodash.forIn = object.forIn;
lodash.forInRight = object.forInRight;
lodash.forOwn = object.forOwn;
lodash.forOwnRight = object.forOwnRight;
lodash.get = object.get;
lodash.gt = lang.gt;
lodash.gte = lang.gte;
lodash.has = object.has;
lodash.hasIn = object.hasIn;
lodash.head = array.head;
lodash.identity = identity;
lodash.includes = collection.includes;
lodash.indexOf = array.indexOf;
lodash.inRange = number.inRange;
lodash.invoke = object.invoke;
lodash.isArguments = lang.isArguments;
lodash.isArray = isArray;
lodash.isArrayBuffer = lang.isArrayBuffer;
lodash.isArrayLike = lang.isArrayLike;
lodash.isArrayLikeObject = lang.isArrayLikeObject;
lodash.isBoolean = lang.isBoolean;
lodash.isBuffer = lang.isBuffer;
lodash.isDate = lang.isDate;
lodash.isElement = lang.isElement;
lodash.isEmpty = lang.isEmpty;
lodash.isEqual = lang.isEqual;
lodash.isEqualWith = lang.isEqualWith;
lodash.isError = lang.isError;
lodash.isFinite = lang.isFinite;
lodash.isFunction = lang.isFunction;
lodash.isInteger = lang.isInteger;
lodash.isLength = lang.isLength;
lodash.isMap = lang.isMap;
lodash.isMatch = lang.isMatch;
lodash.isMatchWith = lang.isMatchWith;
lodash.isNaN = lang.isNaN;
lodash.isNative = lang.isNative;
lodash.isNil = lang.isNil;
lodash.isNull = lang.isNull;
lodash.isNumber = lang.isNumber;
lodash.isObject = isObject;
lodash.isObjectLike = lang.isObjectLike;
lodash.isPlainObject = lang.isPlainObject;
lodash.isRegExp = lang.isRegExp;
lodash.isSafeInteger = lang.isSafeInteger;
lodash.isSet = lang.isSet;
lodash.isString = lang.isString;
lodash.isSymbol = lang.isSymbol;
lodash.isTypedArray = lang.isTypedArray;
lodash.isUndefined = lang.isUndefined;
lodash.isWeakMap = lang.isWeakMap;
lodash.isWeakSet = lang.isWeakSet;
lodash.join = array.join;
lodash.kebabCase = string.kebabCase;
lodash.last = last;
lodash.lastIndexOf = array.lastIndexOf;
lodash.lowerCase = string.lowerCase;
lodash.lowerFirst = string.lowerFirst;
lodash.lt = lang.lt;
lodash.lte = lang.lte;
lodash.max = math.max;
lodash.maxBy = math.maxBy;
lodash.mean = math.mean;
lodash.meanBy = math.meanBy;
lodash.min = math.min;
lodash.minBy = math.minBy;
lodash.stubArray = util.stubArray;
lodash.stubFalse = util.stubFalse;
lodash.stubObject = util.stubObject;
lodash.stubString = util.stubString;
lodash.stubTrue = util.stubTrue;
lodash.multiply = math.multiply;
lodash.nth = array.nth;
lodash.noop = util.noop;
lodash.now = date.now;
lodash.pad = string.pad;
lodash.padEnd = string.padEnd;
lodash.padStart = string.padStart;
lodash.parseInt = string.parseInt;
lodash.random = number.random;
lodash.reduce = collection.reduce;
lodash.reduceRight = collection.reduceRight;
lodash.repeat = string.repeat;
lodash.replace = string.replace;
lodash.result = object.result;
lodash.round = math.round;
lodash.sample = collection.sample;
lodash.size = collection.size;
lodash.snakeCase = string.snakeCase;
lodash.some = collection.some;
lodash.sortedIndex = array.sortedIndex;
lodash.sortedIndexBy = array.sortedIndexBy;
lodash.sortedIndexOf = array.sortedIndexOf;
lodash.sortedLastIndex = array.sortedLastIndex;
lodash.sortedLastIndexBy = array.sortedLastIndexBy;
lodash.sortedLastIndexOf = array.sortedLastIndexOf;
lodash.startCase = string.startCase;
lodash.startsWith = string.startsWith;
lodash.subtract = math.subtract;
lodash.sum = math.sum;
lodash.sumBy = math.sumBy;
lodash.template = string.template;
lodash.times = util.times;
lodash.toFinite = lang.toFinite;
lodash.toInteger = toInteger;
lodash.toLength = lang.toLength;
lodash.toLower = string.toLower;
lodash.toNumber = lang.toNumber;
lodash.toSafeInteger = lang.toSafeInteger;
lodash.toString = lang.toString;
lodash.toUpper = string.toUpper;
lodash.trim = string.trim;
lodash.trimEnd = string.trimEnd;
lodash.trimStart = string.trimStart;
lodash.truncate = string.truncate;
lodash.unescape = string.unescape;
lodash.uniqueId = util.uniqueId;
lodash.upperCase = string.upperCase;
lodash.upperFirst = string.upperFirst;

// Add aliases.
lodash.each = collection.forEach;
lodash.eachRight = collection.forEachRight;
lodash.first = array.head;

mixin$1(lodash, (function() {
  var source = {};
  baseForOwn(lodash, function(func, methodName) {
    if (!hasOwnProperty$o.call(lodash.prototype, methodName)) {
      source[methodName] = func;
    }
  });
  return source;
}()), { 'chain': false });

/**
 * The semantic version number.
 *
 * @static
 * @memberOf _
 * @type {string}
 */
lodash.VERSION = VERSION;
(lodash.templateSettings = string.templateSettings).imports._ = lodash;

// Assign default placeholders.
arrayEach(['bind', 'bindKey', 'curry', 'curryRight', 'partial', 'partialRight'], function(methodName) {
  lodash[methodName].placeholder = lodash;
});

// Add `LazyWrapper` methods for `_.drop` and `_.take` variants.
arrayEach(['drop', 'take'], function(methodName, index) {
  LazyWrapper.prototype[methodName] = function(n) {
    n = n === undefined ? 1 : nativeMax$g(toInteger(n), 0);

    var result = (this.__filtered__ && !index)
      ? new LazyWrapper(this)
      : this.clone();

    if (result.__filtered__) {
      result.__takeCount__ = nativeMin$e(n, result.__takeCount__);
    } else {
      result.__views__.push({
        'size': nativeMin$e(n, MAX_ARRAY_LENGTH$6),
        'type': methodName + (result.__dir__ < 0 ? 'Right' : '')
      });
    }
    return result;
  };

  LazyWrapper.prototype[methodName + 'Right'] = function(n) {
    return this.reverse()[methodName](n).reverse();
  };
});

// Add `LazyWrapper` methods that accept an `iteratee` value.
arrayEach(['filter', 'map', 'takeWhile'], function(methodName, index) {
  var type = index + 1,
      isFilter = type == LAZY_FILTER_FLAG$1 || type == LAZY_WHILE_FLAG;

  LazyWrapper.prototype[methodName] = function(iteratee) {
    var result = this.clone();
    result.__iteratees__.push({
      'iteratee': baseIteratee(iteratee, 3),
      'type': type
    });
    result.__filtered__ = result.__filtered__ || isFilter;
    return result;
  };
});

// Add `LazyWrapper` methods for `_.head` and `_.last`.
arrayEach(['head', 'last'], function(methodName, index) {
  var takeName = 'take' + (index ? 'Right' : '');

  LazyWrapper.prototype[methodName] = function() {
    return this[takeName](1).value()[0];
  };
});

// Add `LazyWrapper` methods for `_.initial` and `_.tail`.
arrayEach(['initial', 'tail'], function(methodName, index) {
  var dropName = 'drop' + (index ? '' : 'Right');

  LazyWrapper.prototype[methodName] = function() {
    return this.__filtered__ ? new LazyWrapper(this) : this[dropName](1);
  };
});

LazyWrapper.prototype.compact = function() {
  return this.filter(identity);
};

LazyWrapper.prototype.find = function(predicate) {
  return this.filter(predicate).head();
};

LazyWrapper.prototype.findLast = function(predicate) {
  return this.reverse().find(predicate);
};

LazyWrapper.prototype.invokeMap = baseRest(function(path, args) {
  if (typeof path == 'function') {
    return new LazyWrapper(this);
  }
  return this.map(function(value) {
    return baseInvoke(value, path, args);
  });
});

LazyWrapper.prototype.reject = function(predicate) {
  return this.filter(negate(baseIteratee(predicate)));
};

LazyWrapper.prototype.slice = function(start, end) {
  start = toInteger(start);

  var result = this;
  if (result.__filtered__ && (start > 0 || end < 0)) {
    return new LazyWrapper(result);
  }
  if (start < 0) {
    result = result.takeRight(-start);
  } else if (start) {
    result = result.drop(start);
  }
  if (end !== undefined) {
    end = toInteger(end);
    result = end < 0 ? result.dropRight(-end) : result.take(end - start);
  }
  return result;
};

LazyWrapper.prototype.takeRightWhile = function(predicate) {
  return this.reverse().takeWhile(predicate).reverse();
};

LazyWrapper.prototype.toArray = function() {
  return this.take(MAX_ARRAY_LENGTH$6);
};

// Add `LazyWrapper` methods to `lodash.prototype`.
baseForOwn(LazyWrapper.prototype, function(func, methodName) {
  var checkIteratee = /^(?:filter|find|map|reject)|While$/.test(methodName),
      isTaker = /^(?:head|last)$/.test(methodName),
      lodashFunc = lodash[isTaker ? ('take' + (methodName == 'last' ? 'Right' : '')) : methodName],
      retUnwrapped = isTaker || /^find/.test(methodName);

  if (!lodashFunc) {
    return;
  }
  lodash.prototype[methodName] = function() {
    var value = this.__wrapped__,
        args = isTaker ? [1] : arguments,
        isLazy = value instanceof LazyWrapper,
        iteratee = args[0],
        useLazy = isLazy || isArray(value);

    var interceptor = function(value) {
      var result = lodashFunc.apply(lodash, arrayPush([value], args));
      return (isTaker && chainAll) ? result[0] : result;
    };

    if (useLazy && checkIteratee && typeof iteratee == 'function' && iteratee.length != 1) {
      // Avoid lazy use if the iteratee has a "length" value other than `1`.
      isLazy = useLazy = false;
    }
    var chainAll = this.__chain__,
        isHybrid = !!this.__actions__.length,
        isUnwrapped = retUnwrapped && !chainAll,
        onlyLazy = isLazy && !isHybrid;

    if (!retUnwrapped && useLazy) {
      value = onlyLazy ? value : new LazyWrapper(this);
      var result = func.apply(value, args);
      result.__actions__.push({ 'func': thru, 'args': [interceptor], 'thisArg': undefined });
      return new LodashWrapper(result, chainAll);
    }
    if (isUnwrapped && onlyLazy) {
      return func.apply(this, args);
    }
    result = this.thru(interceptor);
    return isUnwrapped ? (isTaker ? result.value()[0] : result.value()) : result;
  };
});

// Add `Array` methods to `lodash.prototype`.
arrayEach(['pop', 'push', 'shift', 'sort', 'splice', 'unshift'], function(methodName) {
  var func = arrayProto$5[methodName],
      chainName = /^(?:push|sort|unshift)$/.test(methodName) ? 'tap' : 'thru',
      retUnwrapped = /^(?:pop|shift)$/.test(methodName);

  lodash.prototype[methodName] = function() {
    var args = arguments;
    if (retUnwrapped && !this.__chain__) {
      var value = this.value();
      return func.apply(isArray(value) ? value : [], args);
    }
    return this[chainName](function(value) {
      return func.apply(isArray(value) ? value : [], args);
    });
  };
});

// Map minified method names to their real names.
baseForOwn(LazyWrapper.prototype, function(func, methodName) {
  var lodashFunc = lodash[methodName];
  if (lodashFunc) {
    var key = lodashFunc.name + '';
    if (!hasOwnProperty$o.call(realNames, key)) {
      realNames[key] = [];
    }
    realNames[key].push({ 'name': methodName, 'func': lodashFunc });
  }
});

realNames[createHybrid(undefined, WRAP_BIND_KEY_FLAG$6).name] = [{
  'name': 'wrapper',
  'func': undefined
}];

// Add methods to `LazyWrapper`.
LazyWrapper.prototype.clone = lazyClone;
LazyWrapper.prototype.reverse = lazyReverse;
LazyWrapper.prototype.value = lazyValue;

// Add chain sequence methods to the `lodash` wrapper.
lodash.prototype.at = seq.at;
lodash.prototype.chain = seq.wrapperChain;
lodash.prototype.commit = seq.commit;
lodash.prototype.next = seq.next;
lodash.prototype.plant = seq.plant;
lodash.prototype.reverse = seq.reverse;
lodash.prototype.toJSON = lodash.prototype.valueOf = lodash.prototype.value = seq.value;

// Add lazy aliases.
lodash.prototype.first = lodash.prototype.head;

if (symIterator$1) {
  lodash.prototype[symIterator$1] = seq.toIterator;
}

/**
 * @license
 * Lodash (Custom Build) <https://lodash.com/>
 * Build: `lodash modularize exports="es" -o ./`
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */

const QuickomSvgRender = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
    this.width = 0;
    this.height = 0;
    this.svgContent = '';
    this.svgAttriutes = {
      width: 0,
      height: 0,
    };
  }
  componentWillLoad() {
    return this.createSvgElement();
  }
  async createSvgElement() {
    let responseText = await memoizedGetSvgFile(this.src);
    const domParser = new DOMParser();
    let elementSvg = domParser.parseFromString(responseText, 'text/xml');
    let attributes = {};
    let el = elementSvg.documentElement;
    for (let i = 0; i < elementSvg.documentElement.attributes.length; i++) {
      let attrib = el.attributes[i];
      attributes[attrib.name] = attrib.value;
    }
    this.svgAttriutes = attributes;
    if (this.width) {
      this.svgAttriutes.width = this.width;
    }
    if (this.height) {
      this.svgAttriutes.height = this.height;
    }
    this.svgContent = elementSvg.documentElement.innerHTML;
  }
  render() {
    return (h("svg", Object.assign({ ref: (el) => el.innerHTML = this.svgContent }, this.svgAttriutes)));
  }
};
let memoizedGetSvgFile = memoize(getSvgFile);
function getSvgFile(path) {
  const dir = window.location.origin;
  let source = path.match(/^http(s?):\/\//) ? path : path.substring(0, 1) === '/' ? `${dir}${path}` : `${dir}/${path}`;
  /*
  return fetch(source)
    .then((response) => {
      return response.text();
    });
  */
  let p = new Promise((resolve, reject) => {
    const request = new XMLHttpRequest();
    request.open('GET', source, true);
    request.onload = async () => {
      if (request.status >= 200 && request.status < 400) {
        resolve(request.responseText);
      }
      else {
        reject(new Error(`Can't load element from this path.\nPath : ${source}`));
      }
    };
    request.onerror = () => {
      reject(new Error(`Can't load element from this path.\nPath : ${source}`));
    };
    request.send();
  });
  return p;
}

globalScripts();
const QuickomChat$1 = /*@__PURE__*/proxyCustomElement(QuickomChat, [0,"quickom-chat",{"domain":[1],"backgroundColor":[1,"background-color"],"chatAccount":[16],"chatWithAccount":[16],"isOpen":[32]}]);
const QuickomChatIframe$1 = /*@__PURE__*/proxyCustomElement(QuickomChatIframe, [0,"quickom-chat-iframe",{"domain":[1],"chatAccount":[16],"chatWithAccount":[16]}]);
const QuickomChatQrcode = /*@__PURE__*/proxyCustomElement(QuickomChatQrCode, [1,"quickom-chat-qrcode",{"alias":[1],"backgroundColor":[1,"background-color"],"domain":[1],"isOpen":[32]}]);
const QuickomSvgRender$1 = /*@__PURE__*/proxyCustomElement(QuickomSvgRender, [1,"quickom-svg-render",{"src":[1],"width":[2],"height":[2],"svgContent":[32],"svgAttriutes":[32]}]);
const defineCustomElements = (opts) => {
  if (typeof customElements !== 'undefined') {
    [
      QuickomChat$1,
  QuickomChatIframe$1,
  QuickomChatQrcode,
  QuickomSvgRender$1
    ].forEach(cmp => {
      if (!customElements.get(cmp.is)) {
        customElements.define(cmp.is, cmp, opts);
      }
    });
  }
};

export { QuickomChat$1 as QuickomChat, QuickomChatIframe$1 as QuickomChatIframe, QuickomChatQrcode, QuickomSvgRender$1 as QuickomSvgRender, defineCustomElements };
